<% 'Module: CaseExportLabels.inc

   'Description: This module contains headers for the case export function
   'If the header = "", the column will not appear in the export file
   
   ' This file should be located in the wclanguage virtual directory so it is
   ' available for both Customer+Center and Tech+Center applications.
   
   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/05/11	CMB		Created CaseExportLabels
   
        wc_Export_Number_of_Categories = 40
        wc_Export_Version_Number = 6       ' NOTE this will determine whether the asset groups are exported (change to 7 for Asset Groups)
	wc_Export_Case_Number = "Case #"   			' "Case #"
        wc_Export_External_Case_Number = "External Case_#"  	' "External Case_#"
        wc_Export_Duplicate_Case_Number = "Duplicate Case_#"  	' "Duplicate Case_#"
        
		response.write "External Case_#" & delimiter
		response.write "Duplicate Case_#" & delimiter
		response.write "Asset Number" & delimiter
		response.write  "Group_Number" & delimiter
		response.write  "Case One Line" & delimiter
		response.write  "Customer ID" & delimiter
		response.write  "Contact First Name"  & Delimiter & "Contact LastName" & delimiter
		response.write  "Company" & delimiter
		response.write  "Assigned Tech" & delimiter
		response.write  "Tech First Name"  & Delimiter   & "Tech Last Name" & delimiter
		response.write  "Case History" & delimiter
		response.write  "Case summary" & delimiter
		response.write  "Case Resolution" & delimiter
		response.write  "Open Date" & delimiter
		response.write  "Open Time" & delimiter
		response.write  "Date Last Modified" & delimiter
		response.write  "Time Last Modified" & delimiter
		response.write  "Reopen Date" & delimiter
		response.write  "Reopen Time" & delimiter
		response.write  "Due Date" & delimiter
		response.write  "Due Time" & delimiter
		response.write  "Repeat interval" & delimiter
		response.write  "Status Value" & delimiter
		response.write  "Status" & delimiter
		response.write  "Scheduled Case Type"& delimiter

		'SEVERITY/priority
		response.write  "Severity" & delimiter
		response.write  "Private Notes" & delimiter

		'assetgroupname V 7 ONLY!!!
		response.write  "Asset Group Name" & delimiter

%>
