<% 'Module: HTMLEmailTemplateTechUpdate.inc

   'Description: This include file contains the HTML template for the HTML message that is
   ' sent out to the tech when a case is updated when HTML emails are selected.

   ' This file should be located in the wclanguage virtual directory so it is
   ' available for both Customer+Center and Tech+Center and Pocket+Center applications.

   '(C) 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '10/1/04		SAV		Created original HTMLEmailTemplateTechUpdate.inc
   '10/7/11             CMB            Changed method of opening recordsets; cleaned up HTML
   '02/22/12            CMB             Country label changed to wc_country
   '11/06/13   CMB      Mobile login link
%>
<!-- #INCLUDE FILE="../Language/version.inc" -->

<% Function CreateHTMLTechMsg2(Case_Number)


	' * * * * * * * * * * * Start User Customizations Sections * * * * * * * *

TU = ""

TU = "<html>"
TU = TU & "<head><title>Support Case Update</title></head>"
TU = TU & "<body bgcolor=F0C0E0>"
TU = TU & "<font face=arial size=-1>"

TU = TU & "Here is some text"
TU = TU & "Assigned Tech" & ToFullName
TU = TU & "</body></html>"

CreateHTMLTechMsg2 = TU

End Function

	' * * * * * * * * * End User Customizations Section * * * * ** * * *
%>

<% Function CreateHTMLTechMsg(Case_Number, CaseLink, NotificationReportTitle)

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL2="select * from Cases where Case_number = " & Case_number

		' Fixed record operation for SQL*Server - 5/3/2007
		set rstemp9 = server.createobject("adodb.recordset")
		rstemp9.open mySQL2, conntemp8, 1,3


		if rstemp9.EOF then
			Response.write " Case Not Found "
		Else
			' Get all of the fields
			Dup_case_num = rstemp9("Dup_case_num")
			Group_number = rstemp9("Group_number")
			Asset_number = rstemp9("Asset_number")
			customer_Id = rstemp9("Customer_ID")
			tech_ID = rstemp9("tech_id")
			open_date = rstemp9("Open_Date")
			Open_time = rstemp9("Open_Time")
			Reopen_time = rstemp9("Reopen_time")
			mod_date = rstemp9("Mod_date")
			mod_time = rstemp9("Mod_time")
			case_one_line = rstemp9("case_one_line")
			case_history = rstemp9("Case_history")
			case_summary = rstemp9("Case_summary")
			case_resolution = rstemp9("Case_resolution")
			status = CInt(rstemp9("Status"))
			severity = CInt(rstemp9("Severity"))
			modified_flag = rstemp9("modified_flag")

			External_Case_Number = rstemp9("External_Case_number")

			Due_Time = rstemp9("Due_Time")

			Due_Date = rstemp9("Due_Date")

			status = CInt(rstemp9("Status"))

		' Check for any optional text field values

			Field_1_Value = rstemp9("text_field_1")
			Field_2_Value = rstemp9("text_field_2")
			Field_3_Value = rstemp9("text_field_3")
			Field_4_Value = rstemp9("text_field_4")
			Field_5_Value = rstemp9("text_field_5")
			Field_6_Value = rstemp9("text_field_6")
			Field_7_Value = rstemp9("text_field_7")
			Field_8_Value = rstemp9("text_field_8")
			Field_9_Value = rstemp9("text_field_9")
			Field_10_Value = rstemp9("text_field_10")

		End If

		rstemp9.close
		set rstemp9=nothing
	'	conntemp8.close ' Close the connection
	'	set conntemp8=nothing


	TechMobileVirtual = ""
	CustomerMobileVirtual = ""
   CustomerVirtual = ""
   TechVirtual = ""

if Version8point0="YES" Then

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp9 = server.createobject("adodb.recordset")
	rstemp9.open mySQL, conntemp8, 1,3


	If NOT rstemp9.EOF   Then
			If Not IsNull(rstemp9("TechMobileVirtual")) Then
				TechMobileVirtual = rstemp9("TechMobileVirtual")
			End If
			If Not IsNull(rstemp9("CustomerMobileVirtual")) Then
				CustomerMobileVirtual = rstemp9("CustomerMobileVirtual")
			End If
			If Not IsNull(rstemp9("TechVirtual")) Then
				TechVirtual = rstemp9("TechVirtual")
			End If
			If Not IsNull(rstemp9("CustomerVirtual")) Then
				CustomerVirtual = rstemp9("CustomerVirtual")
			End If

	End If
	rstemp9.close
	set rstemp9 = nothing
	conntemp8.close
	set conntemp8 = nothing
 End If ' version 8

	' Now Get the customer Information

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		'set rstemp9=conntemp8.execute(mySQL2)
		set rstemp9 = server.createobject("adodb.recordset") ' 10/07/11
		rstemp9.open mySQL2, conntemp8, 1,3  ' 10/07/11

		' Check to see if any records are returned
		' if none found the
		if rstemp9.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp9("contact_fname")
			contact_lname = rstemp9("contact_lname")
			company = rstemp9("company")
			address = rstemp9("address")
			mailstop = rstemp9("mailstop")
			city = rstemp9("city")
			state = rstemp9("state")
			zip = rstemp9("Zip")
			country = rstemp9("Country")
			email = rstemp9("Email")
			phone1 = rstemp9("Phone1")
			phone2 = rstemp9("phone2")
			fax = rstemp9("fax")
			contact_method = rstemp9("contact_method")
			contact_times = rstemp9("Contact_times")
		End If

		rstemp9.close
		set rstemp9=nothing
		conntemp8.close ' Close the connection
		set conntemp8=nothing

	' Now Get the message from the email_text table that the user can customize as
	' part of their notification message.

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table

		set rstemp9 = server.createobject("adodb.recordset")
		rstemp9.open mySQL2, conntemp8, 1,3

	' Old Way	set rstemp9=conntemp8.execute(mySQL2)

		if rstemp9.EOF then
			Response.write "Email Message Text Not Found "
		Else
			' Get all of the fields
			Tech_Update_Case = rstemp9("tech_update_case")
			Customer_Update_Case = rstemp9("customer_update_case")
			Tech_case_Assigned = rstemp9("tech_case_assigned")
		End If

		rstemp9.close
		set rstemp9=nothing
		conntemp8.close ' Close the connection
		set conntemp8=nothing

 ' Display the Case Form

TU = ""
TU = TU & "<html>"

TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2005 by Internet Software Sciences -->"

TU = TU & "<head>"

TU = TU & "<title>Case: " & Case_Number & " </title>"

TU = TU & "</head>"

TU = TU & "<body bgcolor=FFFFFF>"

TU = TU & "<p>"

TU = TU & "<center>"

TU = TU & "<center><table width=98% border=1><tr><td bgcolor=CC9900 align=center colspan=1 width=70% >"
TU = TU & "<font size=+1><B>" & NotificationReportTitle & "</b> </font></td>"  ' CMB added end font

' actually if techmobilevirtual is a null string than instr probably returns 1

if  instr(1,caselink,TechMobileVirtual,1) > 0  and techmobilevirtual > "" then  ' 12/12/13
	 if TechMobileVirtual > ""  then
	 		NonMobileLink = replace(Caselink,techMobileVirtual,TechVirtual,1,1,1)
		 	TU = TU & "<td bgcolor=FFFFFF align=center  ><font size=+1><a href=" & NonMobileLink & ">LOGIN<br>Tech+Center</a></font></td>"
			TU = TU & "<td bgcolor=FFFFFF align=center  ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Tech+Mobile</a></font></td>"
		Else
			TU = TU & "<td colspan=2 bgcolor=FFFFFF align=center  ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Tech+Center</a></font></td>"
	end if
Else
	if instr(1,caselink,techvirtual,1) > 0  then
		 if TechMobileVirtual > ""  then
				TU = TU & "<td bgcolor=FFFFFF align=center  ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Tech+Center</a></font></td>"
				MobileLink = replace(Caselink,techVirtual,TechMobileVirtual,1,1,1)
				TU = TU & "<td bgcolor=FFFFFF align=center  ><font size=+1><a href=" & MobileLink & ">LOGIN<br>Tech+Mobile</a></font></td>"
		Else
			TU = TU & "<td colspan=2 bgcolor=FFFFFF align=center  ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Tech+Center</a></font></td>"
		end if
	end if
End If

TU = TU & "</tr></table></CENTER>"

TU = TU & "<center><table width=98% border=1>"

TU = TU & "<tr><td bgcolor=D0D0F0 colspan=3 align=center><font size=-1>"
TU = TU & "<B>Support Case:</b> <a href=" & CaseLink & ">" & Case_number & "</a> was updated by another technician, the customer or escalated for elapsed time. <br> Please review new updates below."

TU = TU & " </font></td></tr>"  ' cmb added end font



TU = TU & "<tr>"
TU = TU & "<td bgcolor=FFFFFF>"
TU = TU & "<font size=-1><B>" & wc_Due_Date & ":</b>"
TU = TU & "&nbsp;&nbsp;" & Due_Date

TU = TU & " </font></td>"   ' cmb added end font

TU = TU & "<td bgcolor=FFFFFF>"
TU = TU & "<font size=-1><B>" & wc_Due_Time & ":</b>"
TU = TU & "&nbsp;&nbsp;" & Due_Time

TU = TU & " </font></td>"  ' cmb added end font


TU = TU & "</tr>"


TU = TU & "</table></center>"
TU = TU & "<br>"

' Second Part of HTML Message ----------------------------



TU = TU & "<table border=1 cellspacing=2 cellpadding=3 width=98% >"

TU = TU & "<tr>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1>"


TU = TU & "<b>" & Customer_ID & "</b><br>"


TU = TU & "<b>Name: </b>"


TU = TU & contact_fname & " "

TU = TU & contact_lname
TU = TU & "<br>"


TU = TU & "<b>Company: </b>"
TU = TU & Company

TU = TU & "<br>"


TU = TU & "<b>Street: </b>"
TU = TU & Address

TU = TU & "<br>"


TU = TU & "<b>Mailstop: </b>"
TU = TU & MailStop

TU = TU & "<br>"


TU = TU & "<b>City/St/Zip: </b>"

TU = TU & city & "," &  State  & " " &  Zip



TU = TU & "<br>"


TU = TU & "<b>" & wc_Country & ": </b>"
TU = TU & Country


TU = TU & "<br>"


TU = TU & "</font></td>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1>"


TU = TU & "<b>Email: </b>"

TU = TU & Email
TU = TU & "<br>"

TU = TU & "<b>Login: </b>"

TU = TU & customer_username

TU = TU & "<br>"


TU = TU & "<b>Phone1: </b>"

TU = TU & Phone1

TU = TU & "<br>"


TU = TU & "<b>Phone2: </b>"
TU = TU & Phone2

TU = TU & "<br>"


TU = TU & "<b>Fax: </b>"
TU = TU & Fax

TU = TU & "<br>"

TU = TU & "<b>Contact by:</b>"
TU = TU & Contact_Method
TU = TU & "<br>"

TU = TU & "<b>Notes: </b>"
TU = TU & Contact_times

TU = TU & "<br>"

TU = TU & "</font></td>"

TU = TU & "<td valign=top>"

TU = TU & "<br>"
TU = TU & "<center>"
 TU = TU & " </font><font size=+2 color=red>"    ' cmb added end font


   ' Put Extra Zeros infront of short case numbers
  		ExtraZeros = 4 - Len(Case_number)
		If ExtraZeros = 1 Then
			TU = TU & "0"
		Elseif ExtraZeros = 2 Then
			TU = TU &  "00"
		Elseif ExtraZeros = 3 Then
			TU = TU & "000"
		Else
			' Only display up to 3 extra zeros
		End IF

TU = TU & Case_number

TU = TU & "  </font></center>"
TU = TU & "  <br>"

TU = TU & "<center>"
TU = TU & "   <font size=-1>"

	 IF AssetEnabled = False Then
		TU = TU &  "<P>" ' Centering for case number text
	End If

 ' Display link to duplicate case if  duplicate case number is present.

	 If CLng(Dup_Case_Num) = 0 Then
		TU = TU & "      <b>Duplicate Case:</b> &nbsp;&nbsp;&nbsp;None<br>"
   Else

		TU = TU & "	<b>Duplicate Case:</b> &nbsp;&nbsp;&nbsp;"
		TU = TU &    DUp_Case_num & " <br>"

	End IF ' End of Duplicate Case Number  = ""

   if AssetEnabled = True then
	' Display link to asset form if asset
	' number is present.
      if Not IsNull(asset_number) Then
			If CLng(asset_number) > 0 Then
				TU = TU & "             <b>Asset Number:</b>&nbsp;&nbsp;&nbsp; "
				TU = TU & 			 Asset_Number & "<br>"
    		Else
   				TU = TU & "      <br><b>Asset Number:</b>&nbsp;&nbsp;&nbsp;None<br> "
     		End If  ' End of If asset_number > 0
   	 Else
		TU = TU & "         <br><b>Asset Number:</b><br>"
     End If  ' End of If not null asset_number > 0
  End If

	TU = TU & "</center>"

TU = TU & " </td>"

TU = TU & "</tr>"

TU = TU & "</table>"

'  Case Information Part - One Line Description, Case History

'---------------------------------------- one line description

TU = TU & "<br>"
TU = TU & "<table border=1 cellspacing=3 cellpadding=4 width=98% >"

TU = TU & "<tr>"

TU = TU & "<td bgcolor=CCCC99><font size=-1>"

TU = TU & "<b>One Line Description:</b> &nbsp;&nbsp;&nbsp;" & case_one_line & "<br>"

TU = TU & " </font></td>"   ' cmb added end font

TU = TU & "<td width=20% bgcolor=FFFFFF><font size=-1>"
TU = TU & "<B>" & wc_Reference & ":</b>"

TU = TU & External_Case_Number

TU = TU & " </td>"
TU = TU & "</tr>"

TU = TU & "<tr>"

TU = TU & "<td colspan=2><font size=-1>"

TU = TU & "<b>Case History:</b><br>"

                 ' Display history log.
	 If Case_number <> "NEW"  AND case_history <> "" Then
			New_History = Format_Case_Text(Case_History)
			TU = TU & New_History 'New_History
		End If

TU = TU & " </font></td>"   ' cmb added end font

TU = TU & "</tr>"

TU = TU & "<tr>"

TU = TU & "</tr>"

TU = TU & "<tr>"

TU = TU & "<td><font size=-1>"

TU = TU & "<b>Case Summary:</b><br>"

	If Case_Summary <> "" Then
		New_Summary = Format_Case_Text(Case_Summary)
	Else
		New_Summary = ""
	End If

TU = TU & New_summary & "<P>"

TU = TU & " </font></td>"  ' cmb added end font

TU = TU & "</tr>"

TU = TU & "<tr>"

TU = TU & "<td colspan=2><font size=-1>"

TU = TU & "<b>Case Resolution:</b><br>"

	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text(Case_Resolution)
	Else
		New_Resolution = Case_Resolution
	End If

TU = TU & New_resolution

TU = TU & " </font></td>"   ' cmb added end font

TU = TU & "</tr>"

TU = TU & "<tr>"
TU = TU & "	<TD VALIGN=CENTER COLSPAN=2>"
TU = TU & "	<TABLE BORDER=0 CELLPADDING=2 WIDTH=99% >"
TU = TU & "	<TR>"

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL="select * from Cases where case_number = " & case_Number

		'set rstemp=conntemp8.execute(mySQL)
		set rstemp = server.createobject("adodb.recordset") ' 10/07/11
		rstemp.open mySQL, conntemp8, 1,3  ' 10/07/11

		' Do Not close the recordset or connection yet since we will
		' need it for displaying the categories

		' For techs, display categories that are not disabled.

		mySQL2="select * from Categories where  State <> 0  Order by Category_index ASC"

		'set rstemp9=conntemp8.execute(mySQL2)
		set rstemp9 = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" THEN
			rstemp9.CursorLocation = adUseClient
		End If

		'rstemp9.Open mySQL2, conntemp8,adOpenDynamic,adLockReadOnly
		rstemp9.open mySQL2, conntemp8, 1,3  ' 10/07/11

		' Check to see if any records are returned

		If  rstemp9.eof then ' Check to see any Categories exist
			' No categories exist so don't display anything here
		Else

			Category_name = rstemp9("Category_name")
			Category_number = CInt(rstemp9("Category_number"))
			Catnum = 0  ' CMB initialize this

			TU = TU & "	<TD WIDTH= 50% ><font size=-1>"
			TU = TU & "<B>" & Category_name & ":</b><br>"

			Do While Not rstemp9.EOF

				if CInt(rstemp9("Category_number")) <> Category_number THEN
					TU = TU & " </font></td>"  ' CMB added </FONT>

					' Decide if we need to close this inner table row
					' So we have two columns of drop down lists

					CatNum = CatNum + 1
					If CatNum = 2 Then
					TU = TU & "</tr><tr>"
						Catnum = 0
					End IF

					TU = TU & " <td width=50% ><font size=-1>"
					TU = TU & "<B>" & rstemp9("Category_Name") & ":</b><br>" & vbCRLF
					Category_number = CInt(rstemp9("Category_number"))
				End If

				' Checked if this option is already selected for this case
					If IsNull(rstemp9("item_number")) Then
						ItmNumber = 0
					Else
						ItmNumber = rstemp9("item_number")
					End If

					If IsNull(rstemp("C" & CInt(Category_number))) Then
						CatGNumber = 0
					Else
						CatGNumber = rstemp("C" & CInt(Category_number))
					End If

					If CInt(CatGNumber) = CInt(ItmNumber) Then
						' CMB Changed TU = TU & rstemp9("item_name")  & chr(10) & chr(13)
						TU = TU & rstemp9("item_name")  & "<br>"

					End IF



				rstemp9.MoveNext
			Loop

			TU = TU & " </td></tr></table>"  ' CMB removed </select>

		End IF

		rstemp9.close
		set rstemp9=nothing

		conntemp8.close ' Close the connection
		set conntemp8=nothing



TU = TU & "	</td></tr>"


 ' --------------- Group and Case Status/Assigned Staff Member and Priority

TU = TU & "<TR>"
TU = TU & "<TD ALIGN=CENTER colspan=2>"
TU = TU & "<TABLE BORDER=0 CELLPADDING=2 WIDTH=98% >"
TU = TU & "<TR>"
TU = TU & "<TD><B><FONT SIZE=-1>Assigned group:&nbsp;</FONT></B>"
TU = TU & "<font size=-1>"
TU = TU & "<BR>"

' Get the Groups from the database

	set conntemp8=server.createobject("adodb.connection")
	conntemp8.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	'set rstemp7=conntemp8.execute(mySQL)
	set rstemp7 = server.createobject("adodb.recordset") ' 10/07/11
	rstemp7.open mySQL, conntemp8, 1,3  ' 10/07/11

	' Check to see if any records are returned

	If  NOT rstemp7.eof then ' Check to see any Groups exist
		Do While NOT rstemp7.EOF
			If CInt(rstemp7("Group_Number")) = CInt(Group_number) Then
				' CMB changed TU = TU &  rstemp7("group_name") & chr(10) & chr(13)
				 TU = TU &  rstemp7("group_name") & "<br>"
			End IF

			rstemp7.MoveNext
		Loop

	End IF

	rstemp7.close
	set rstemp7=nothing
	conntemp8.close ' Close the connection
	set conntemp8=nothing

 ' End of Display the Group List


TU = TU & "</font></TD>"  ' cmb added end font

TU = TU & "<TD><B><FONT SIZE=-1>Status:&nbsp;</FONT></B>"

' Hard coded status's are:
	' 0 = default = Open (Active)
	' 1 = Closed
	' 2 = Open (Waiting)
	' 3 = Open (On-Hold)


TU = TU & "<FONT SIZE=-1><BR>"

 IF Status = 0 then
TU = TU & "Open (Active)"
End If

 If Status = 1 Then
TU = TU & "Closed"
End If

If Status = 2 Then
TU = TU & "Open (Waiting)"
End If

 If Status = 3 Then
TU = TU & "Open (On Hold)"
End If

TU = TU & "</font></TD>"  ' cmb added end font

TU = TU & "</tr>"
TU = TU & "<tr>"

TU = TU & "<TD><B><FONT SIZE=-1>Assigned staff member:&nbsp;</FONT></B>"
TU = TU & "<font size=-1><BR>"

' Display the List of Techs

	set conntemp8=server.createobject("adodb.connection")
	conntemp8.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	'set rstemp7=conntemp8.execute(mySQL)
	set rstemp7 = server.createobject("adodb.recordset") ' 10/07/11
	rstemp7.open mySQL, conntemp8, 1,3  ' 10/07/11

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp7.eof then ' Check to see any Groups exist

	Else
		Do While rstemp7.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want groups to be display with tech then
		' comment out the next 12 or so lines of code

		mySQL3="SELECT Group_list.group_name, Groups.tech_id FROM Group_list INNER JOIN Groups ON Group_list.group_number = Groups.group_number "
		mySQL3 = mySQL3 & " where tech_id = '" & rstemp7("Tech_ID") & "'"
		'set rstemp3=conntemp8.execute(mySQL3)
		set rstemp3 = server.createobject("adodb.recordset") ' 10/07/11
		rstemp3.open mySQL3, conntemp8, 1,3  ' 10/07/11

		If rstemp3.EOF <> True Then
			GroupName = " ("& rstemp3("Group_name") & ")" ' Grab only the first one
		Else
			GroupName = "" ' Clear group name
		End IF

		rstemp3.close ' close the record set
		set rstemp3=nothing
		' * * * * * * * * End User Customizations * * * * * * * * * * * * *

			IF Tech_Id = rstemp7("Tech_id") Then
			  ' CMB removed option	TU = TU &  rstemp7("Last_Name") & "," & rstemp7("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
				TU = TU &  rstemp7("Last_Name") & "," & rstemp7("first_Name")  & GroupName &  "<br>"

			End If

			rstemp7.MoveNext
		Loop

		TU = TU & " </font></td>"  ' cmb added end font
	End IF

	rstemp7.close
	set rstemp7=nothing
	conntemp8.close ' Close the connection
	set conntemp8=nothing


TU = TU & "<TD><B><FONT SIZE=-1>Priority:&nbsp;</FONT></B>"
TU = TU & "<font size=-1>"
TU = TU & "<BR>"

 ' Display the List of Priorities

	set conntemp8=server.createobject("adodb.connection")
	conntemp8.open myDSN

	mySQL="select * from Priority order by Priorityid"
	'set rstemp7=conntemp8.execute(mySQL)
	set rstemp7 = server.createobject("adodb.recordset") ' 10/07/11
	rstemp7.open mySQL, conntemp8, 1,3  ' 10/07/11

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp7.eof then ' Check to see any priorities exist

	Else
		Do While rstemp7.EOF <> True
			If Severity = Cint(rstemp7("PriorityID")) Then
				' CMB changed	TU = TU &  rstemp7("ShortDesc") & chr(10) & chr(13)
				TU = TU &  rstemp7("ShortDesc") & "<br>"
			End If
			rstemp7.MoveNext
		Loop
		' CMB removed ,/select> TU = TU &  " </select> </td>" ' and put outside of loop
	End IF
	TU = TU &  " </font></td>"  ' cmb moved from above and added end font

	rstemp7.close
	set rstemp7=nothing
	conntemp8.close ' Close the connection
	set conntemp8=nothing


TU = TU & "</TR>"
TU = TU & "</table>"

TU = TU & " </td></tr>"

TU = TU & "</table>"


 '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************

	' Get the values if they exist

	set conntemp8=server.createobject("adodb.connection")
	conntemp8.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

'	set rstemp7=conntemp8.execute(mySQL)
	set rstemp7 = server.createobject("adodb.recordset") ' 10/07/11
	rstemp7.open mySQL, conntemp8, 1,3  ' 10/07/11

	If rstemp7.EOF <> True then
		Field_1_Label = rstemp7("Field_1_Label")
		Field_2_Label = rstemp7("Field_2_Label")
		Field_3_Label = rstemp7("Field_3_Label")
		Field_4_Label = rstemp7("Field_4_Label")
		Field_5_Label = rstemp7("Field_5_Label")
		Field_6_Label = rstemp7("Field_6_Label")
		Field_7_Label = rstemp7("Field_7_Label")
		Field_8_Label = rstemp7("Field_8_Label")
		Field_9_Label = rstemp7("Field_9_Label")
		Field_10_Label = rstemp7("Field_10_Label")

		Field_1_State = rstemp7("Field_1_State")
		Field_2_State = rstemp7("Field_2_State")
		Field_3_State = rstemp7("Field_3_State")
		Field_4_State = rstemp7("Field_4_State")
		Field_5_State = rstemp7("Field_5_State")
		Field_6_State = rstemp7("Field_6_State")
		Field_7_State = rstemp7("Field_7_State")
		Field_8_State = rstemp7("Field_8_State")
		Field_9_State = rstemp7("Field_9_State")
		Field_10_State = rstemp7("Field_10_State")

	End If

	rstemp7.close
	set rstemp7=nothing
	conntemp8.close ' Close the connection
	set conntemp8=nothing

	' Now determine if any of the case text fields are enabled for ALL view(2) or tech view (1)
	' or determine if any of the fields are greater than 0

	If Field_1_State > 0  OR Field_2_State > 0 OR  Field_3_State > 0 OR  Field_4_State > 0 OR  Field_5_State > 0 OR  Field_6_State > 0 OR  Field_7_State  > 0 OR  Field_8_State > 0 OR  Field_9_State > 0 OR  Field_10_State > 0  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it

TU = TU & "	<tr>"
TU = TU & "	<td align=center  bgcolor=F0E0C0 WIDTH=98% colspan=2>"

	 ' Start new Table for Optional text fields

TU = TU & "<table cellspacing=2 cellpadding=2 WIDTH=98% >"
TU = TU & "	<tr>"

TU = TU & "	<td align=left colspan=2 bgcolor=F0E0C0><font size=-1>"
TU = TU & "	<B>"
TU = TU & wc_Optional_Information_Fields:
TU = TU & "	</b>"
TU = TU & "	</font></td>"   ' cmb added end font
TU = TU & "	</tr>"


' Display 1 to 10 field labels and values

	 If Field_1_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_1_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"   ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_1_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If


	 If Field_2_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_2_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_2_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_3_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_3_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_3_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_4_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_4_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_4_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_5_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_5_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_5_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_6_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_6_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_6_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_7_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_7_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_7_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_8_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_8_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_8_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_9_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_9_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_9_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If

	 If Field_10_State > 0  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_10_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_10_Value
TU = TU & "	</font></td>"  ' cmb added end font
TU = TU & "	</tr>"

	 End If



TU = TU & "	</table>"

TU = TU & "	</td></tr>"


End If ' If no Case Text fields are enabled for customer view



	 '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************
' Display Optional Company Logo Box

	TU = TU & "<table width=100% bgcolor=FFFFFF><tr><td align=center><font size=-1 face=arial color=blue>"
	TU = TU & "Web+Center Help Desk From Internet Software Sciences </font><font size=-2 face=arial>"
	TU = TU & "<a href=http://www.inet-sciences.com>www.inet-sciences.com</a></font><td></tr></table>"


TU = TU & "</body>"
TU = TU & "</html>"

CreateHTMLTechMsg = TU


End Function
%>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

	NewText = Case_Text

	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")

' This one is the one that needs to be replaced.  ' Do not use this one - old one.
' some problem with the 64 bit version of 2008 that causes one character to be clobbered.

'	NewText = replace(NewText, chr(10), "<br>")

'  New one Special fix required for St Mary's college - a space was needed before the  BR tag to make it work - see below
' I am not sure why  - 7/9/2010 - SAV

	NewText = replace(NewText, chr(10), " <br>")

'	NewText = replace(NewText, chr(10)&chr13, "<br>")

	Format_Case_Text = NewText

End function
%>

