<% 'Module: ScreenFormats.inc

   'Description: This module contains all of screen format Codes 
   ' to define the various screen layout options for Tech+Center, Business+Center
   ' Customer+Center or Pocket Center applications.
   ' DO NOT CHANGE of the screen formats below without reviewing the 
   ' Screen formatting section of the user guide or contact IIS for more
   ' details.
   
   
   '(C) 1995-2005 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who	What
   '-------	---	------------------------------------------------
   '02/04/05	SAV	Created original ScreenFormats.inc module
   '03/28/2011	SAV	Updated with new screen formats and registry needs to support higher video resolutions

%>

<%

	' Screen option Definitions
	'***********************************************************************

	' Option 1

	ScreenConstX = 680
	ScreenConstY = 1280
	
	'option 2
	
	ScreenConstX = 1200
	ScreenConstY = 1600
	
	' Other Formats based on keys in registry for screen coordinate sizes
	' Obtain browser and email window key first
	
	
	'CalculateRegKey = "AM-XS1088813180-00104-" ' older registry key
	
	CalculateRegKey = "AM-XS1178329941-01293-"


	' Option 1

	ScreenConstX = 680
	ScreenConstY = 1280
	
	'option 2
	
	ScreenConstX = 1200
	ScreenConstY = 1600
	
	
	'CalculateReqKey = GetRegistrySetting ()
	

	' Recompute Key based on registry values
	
	'CalculateRegKey = CalculateRegKey  &  "F890E5B7A536EE45AAC518F1D3515D29" ' Older Registry key
	
	CalculateRegKey = CalculateRegKey & "C2E19DF3E88A872121AF2F05248E5343"
	
	
 %>
 
 
 <%
 Sub GetRegistrySetting 	
 ' Internal Function call from CGI
 
 End Sub
 
 %>
 