<% 'Module: WriteTextFile.inc

   'Description: This module is used by the various programs to output a file to the
   ' Web+Center Temp directory so it can then be referenced as a link by the browser.
   ' Inside this module is one subroutine to take a filename, and a string and create
   ' that local file in the webcentertemp virtual directory.

   '(C) 1998,1999, 2000, 2001, 2002, 2005, 2006 2007 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '04/29/2007		SAV		Created original version
   '10/03/2007		JC		Fixed to also accomodate Linux needs for different slash character


%>



<% Sub  WriteTextFile(FileString, Filename)

	
baseDirectory = Server.MapPath(".")

' determine what type of platform we are running on and set value of slash accordingly
xxxpos = Instr(baseDirectory, "\")
if xxxpos <> 0 then
   slash = "\" ' we are nunning on a windows box
else
   slash = "/" ' we are nunning on a linux box
end if


' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & slash & "wctempfiles" & slash & Filename


Set fs2 = CreateObject("Scripting.FileSystemObject")
Set c = fs2.CreateTextFile(TargetFilePath, True)


	myrec = FileString

	c.WriteLine(myrec)



c.close

end sub ' End of Sub WriteTextFile

%>
