<% 'Module: CaseExportLabels.inc
   ' This file should be located in the wclanguage virtual directory 
   
   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'Description: This module contains headers for the case export function
   ' CUSTOMIZATIONS
   
   ' wc_Export_Number_of_Categories = 40 - set this value BELOW to the number of categories you wish to include in the export file
   
   ' wc_Export_Version_Number = 6  - set this value BELOW to 6 or 7 depending on what version of Web+Center you are running
   '           only versions 7 and above have asset groups.
   
   ' wc_Export_Number_of_Text_Fields = 10 - set this value BELOW to the number of optional text fields  which
   '    you wish to have appear in the export file
   
   'TO REMOVE A COLUMN FROM THE EXPORT FILE, set the value of the column header to "" e.g.,
   '   wc_Export_External_Case_Number = ""      ' "External Case #"
   '  The value to the right of the apostrophe is a comment - don't blank this out - it may be useful later if you decide
   '  that you want to include the column in the export file   

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/05/11	CMB		Created wc_ExportCaseLabels.inc
   
        wc_Export_Number_of_Categories = 40   ' set this to the number of categories you wish to include in the export file (0-100 possible)
        wc_Export_Version_Number = 6       ' Only Web+Center versions 7 and later have Asset Groups so set to 6 or 7
	wc_Export_Number_of_Text_Fields = 10   ' set this to the number of optional text fields to include in the export file (0-10)
	
	wc_Export_Case_Number = "Case #"   			' "Case #"
        wc_Export_External_Case_Number = "External Case #"  	' "External Case #"
        wc_Export_Duplicate_Case_Number = "Duplicate Case #"  	' "Duplicate Case #"
        wc_Export_Asset_Number = "Asset Number"  		' "Asset Number"
        wc_Export_Assigned_group = "Assigned Group"  	   	' "Assigned Group"
        wc_Export_Case_One_Line = "Case One Line"  		' "Case One Line"
        wc_Export_Customer_ID = "Customer ID"  			' "Customer ID"
        wc_Export_Contact_First_Name = "Contact First Name"  	' "Contact First Name"
        wc_Export_Contact_Last_Name = "Contact_Last_Name"  	' "Contact_Last_Name"
        wc_Export_Company = "Company"  				' "Company"
        wc_Export_Assigned_Tech = "Assigned Tech"  		' "Assigned Tech"
        wc_Export_Tech_First_Name = "Tech First Name"  		' "Tech First Name"
        wc_Export_Tech_Last_Name = "Tech Last Name"  		' "Tech Last Name"
        wc_Export_Case_History = "Case History"  		' "Case History"
        wc_Export_Case_Resolution = "Case Resolution"  		' "Case Resolution"
        wc_Export_Case_summary = "Case summary"  		' "Case summary"
        wc_Export_Open_Date = "Open Date"  			' "Open Date"
        wc_Export_Open_Time = "Open Time"  			' "Open Time"
        wc_Export_Date_Last_Modified = "Date Last Modified"  	' "Date Last Modified"
        wc_Export_Time_Last_Modified = "Time Last Modified"  	' "Time Last Modified"
        wc_Export_Reopen_Date = "Reopen Date"  			' "Reopen Date"
        wc_Export_Reopen_Time = "Reopen Time"  			' "Reopen Time"
        wc_Export_Due_Date = "Due Date"  			' "Due Date"
        wc_Export_Due_Time = "Due Time"  			' "Due Time"
        wc_Export_Repeat_Interval = "Repeat Interval"  		' "Repeat Interval"
        wc_Export_Status_Value = "Status Value"  		' "Status Value"
        wc_Export_Status = "Status"  				' "Status"        
        wc_Export_Scheduled_Case_Type = "Scheduled Case Type"  	' "Scheduled Case Type"
        wc_Export_Severity = "Severity"  			' "Severity" or "Priority"
        wc_Export_Private_Notes = "Private Notes"  		' "Private Notes"
        wc_Export_Asset_Group_Name = "Asset Group Name"  	' "Asset Group Name"  Version 7 or later


%>
