<% 'Module: CasesByCategory.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
   '08/05/11 CMB   UK Date; clean up
    ' NOTE either this report should be renamed or get rid of the status!

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>
<head>
<title><%=wc_Average_Time_To_Close_By_Category%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		CategoryNumber = Request.form("CategoryNumber")
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Case_Status = Request.form("Case_Status")
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Average_Time_To_Close_By_Category%></font>
<center><font size=-2>This report shows all cases that were closed within the specified date range,
by selected category.<br>
Percentage is based on ALL cases closed within the date range for the selected category.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>

</center>

<form action=AvgTimeToCloseByCategory.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Category%>:</font></b><br>
<font size=-2>
<%=wc_Select_One%><br></font>

<% ' ***************** Display the  Categories in the drop down
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Categories where  State <> 0 Order by Category_index ASC"
	set rstemp=Server.CreateObject("adodb.Recordset")

	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then ' Check to see any Categories exist
		response.write " No Categories Defined"
	Else
		 FirstCategoryNumber = CInt(rstemp("Category_Number"))
	 %>
		<select name=CategoryNumber size=1>

	<%
	Do While not rstemp.EOF
		Category_Number = CInt(rstemp("Category_Number"))
		If Category_Number <> Last_Category_Number Then
			If CInt(CategoryNumber) = Category_Number then
			%>
				<option SELECTED value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
			<%Else %>
				<option value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
			<%
			End If
		End If

		Last_Category_Number = Category_Number
		rstemp.MoveNext
		Loop
	%>
		</select>
	<%
	End IF
	rstemp.close
	set rstemp=nothing
%>

</td>
<!-- CMB got rid of status bar
<TD valign=top><B><FONT SIZE=-1><%=wc_Status%>:</FONT></B>
<br><font size=-2><%=wc_Select_One%></font><br>

<FONT SIZE=-1><SELECT size=1 name=case_status>

<% If Case_Status = "" Then%>
	<OPTION selected value=""><%=wc_All_Cases%></OPTION>
<%Else %>
	<OPTION value=""><%=wc_All_Cases%></OPTION>
<%End If %>

<% If Case_Status = "1" Then%>
	<OPTION value=1 SELECTED><%=wc_Closed_Cases%></OPTION>
<%Else %>
	<OPTION value=1><%=wc_Closed_Cases%></OPTION>
<%End If %>

<% If Case_Status = "4" Then %>
	<OPTION value=4 SELECTED><%=wc_All_Open_Cases%></OPTION>
<%Else %>
	<OPTION value=4><%=wc_All_Open_Cases%></OPTION>
<%End If %>

<% If Case_Status = "0" Then %>
	<OPTION value=0 SELECTED><%=wc_Active%></OPTION>
<%Else %>
	<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End IF %>

<% If Case_Status = "2" Then %>
	<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
	<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If Case_Status = "3" Then %>
	<OPTION value=3 SELECTED><%=wc_Open_on_Hold%></OPTION>
<%Else %>
	<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</font>
</SELECT></TD>
-->
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data

		WhereStatement = ""

		If Start_Date <> "" Then
			Start_Date = PadDate(Start_Date)
			NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
			WhereStatement = " Cases.Mod_Date >= '" & NewStartDate & "'"
			AndText = " AND "
		End if

		If End_date <> "" Then
			End_Date = PadDate(End_Date)
			NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
			WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewEndDate & "'"
			AndText = " AND "
		End IF

		' Case Status Search  CMB commented this out since it does not make sense
		'If  Case_Status <> "" Then
			'If Case_Status = "4" Then 'All Open Cases
				'WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			'Else
				'WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
				WhereStatement = WhereStatement & AndText & " Cases.status = 1 "
			'End If
			AndText = " AND "
		'End IF

		' Case Category Selection
		' We are passed a Category number so we need to add a "C" infront of it
		' to get the category number in the case table.


		Category_Number = CStr(Request.form("CategoryNumber"))

		If Category_Number = "" Then
			Category_Number = FirstCategoryNumber
		End If

		CategoryColumn = "C" & Category_Number

		If WhereStatement <> "" Then
			WhereStatement = " Where " & WhereStatement
		End IF


%>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	sqltemp="select count(Case_Number) as cnt from Cases "
	sqltemp = sqltemp & WhereStatement
	set rstemp=Server.CreateObject("adodb.Recordset")

'	response.write "SQL"
'	response.write sqltemp
'	response.flush
'	response.end

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalCategoryCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<% ' Display the Category Name at the top of the table
	if Category_Number > "" then
		mySQL2="select * from Categories where  Category_Number = " & Category_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned

		If rstemp2.EOF  Then
			Category_Name = " No Category Defined"
		Else
			Category_Name = rstemp2("Category_Name")
		End If

		rstemp2.close
		set rstemp2 = Nothing
	else
		Category_Name = " No Category Defined"
	end if
%>

<center>
<B><%=wc_Cases_by_category%>: <font color=blue><%=Category_Name %></font> <%=wc_Report%></b><br>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Category_Item%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> %&nbsp;&nbsp;of&nbsp;&nbsp;<%=wc_Total%></th>


<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Days <br> To Close</th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Hours <br> To Close</th>
</tr>
<%
	mySQL="select count(case_number) as cnt, item_Name, item_Number, "
	mySQL=mySQL & CategoryColumn
	mySQL=mySQL & " from cases LEFT JOIN Categories on (Cases." & CategoryColumn & " = Categories.Item_Number and Category_Number = " & Category_Number & ") "
	mySQL=mySQL &  WhereStatement
	mySQL=mySQL & " group by " & CategoryColumn & ", Item_Name, item_Number "
	mySQL=mySQL & " order by "  & CategoryColumn
	'response.write "SQL"
	'response.write mysql
	'response.flush
	'response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	rstemp.open mySQL, conntemp, adopenstatic

	If  rstemp.eof then
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Matching Cases Found </b></font></td></tr>
<%
	Else ' Must be one or more open Cases

		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color
		CategoryCases = 0 ' Default to one case
		CategoryCount = 0

		do while not rstemp.eof
			CategoryCount = CategoryCount+1
			' Now step through the records
			' Check to see if this tech value is null or blank
			CategoryCases = rstemp("cnt")

			if IsNull(rstemp(CategoryColumn)) = TRUE Then
				Category = "Un-assigned"
				CategoryName = "Not Assigned" ' This should never happen - it should default to 0
			else
				Category = rstemp(CategoryColumn)  ' this is the numeric value in the c1 or whatever field
				CategoryName = rstemp("Item_Name")
				if Item_Number = 0 and isnull(rstemp("Item_Name")) then
					CategoryName = "<B>Category Not Set</b>"
				end if
			End If
			color=RotateColor(color)

			call GetStats(CategoryColumn, Category, WhereStatement, TotalAvgHour) ' calculates totalavghours for this tech
			FinalAvgHour = TotalAvgHour/CategoryCases
			FinalAvgDays = FinalAvgHour/24

			FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
			Percentage = Int(1000* (CategoryCases/TotalCategoryCases))/10
			' Display a row in the table
%>

<tr>
<td><font size=-1><%=CategoryName%></td>
<td align=center><font size=-1><%=CategoryCases %></td>
<td align=center><font size=-1><%=Percentage %>%</td>
<td align=center><font size=-1><%= round(FinalAvgDays,2) %></td>
<td align=center><font size=-1><%= round(FinalAvgHour,2)%></td>
</tr>

<%
		rstemp.movenext
	loop

	End If

	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' **** display TOTALS ' Do not display last if no items or only one row
	if categorycount > 1 then

		 'Compute Average Total
		call GetStats(CategoryColumn, -1, WhereStatement, TotalAvgHour) ' calculates totalavghours for all categories
		AvgAvgHour = TotalAvgHour/TotalCategoryCases

		' CMB i changed this so it calculates averages over all cases for all priorities rather than an average of average
		'AvgAvgHour = FinalAvgHourTotal/CategoryCount  ' old way
		AvgAvgDays = AvgAvgHour/24
%>

<% ' Display the summary row information %>
<tr>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b>
<%
color=RotateColor(color)
%>
</td>
<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalCategoryCases%></b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>
<td align=center bgcolor=FFFFFF><font size=-1><%=Round(AvgAvgDays,2)%></td>
<td bgcolor=FFFFFF align=center><font size=-1><%=Round(AvgAvgHour,2)%></td>
</tr>
<% end if ' summary %>
</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
</body>
</html>

<%
Sub GetStats (CategoryColumn, nCategoryValue, sWhere, outTotalHours)
'Gets stats for this category (avghours, totalhours,
' use negative 1 nCategoryValue for totals

	outTotalHours = 0
'response.write "NCAT" & ncategoryvalue
'response.flush
'response.end
'
	if nCategoryValue >= 0 then
		sqltemp = "select Open_Date, Open_Time, Mod_Date, Mod_Time FROM CASES "
		sqltemp = sqltemp & sWhere
		if sWhere > "" then
			sqltemp = sqltemp & " AND " & CategoryColumn & " = " & nCategoryValue
		else
			sqltemp = sqltemp & " WHERE " & CategoryColumn & " = " & nCategoryValue
		end if
	else ' grand totals
		sqltemp = "select Open_Date, Open_Time, Mod_Date, Mod_Time FROM CASES "
		sqltemp = sqltemp & sWhere
	end if

	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN
	set rstemp2 = server.createobject("adodb.recordset")

'response.write "SQL" & sqltemp
'response.flush
'response.end

	set rstemp2=conntemp2.execute(sqltemp)

	If rstemp2.EOF Then
		outTotalHours = 0
	Else
		do while not rstemp2.eof
			open_date = rstemp2("Open_date")
			Open_time = rstemp2("Open_Time")
			Mod_date = rstemp2("mod_date")
			Mod_Time = rstemp2("mod_time")

			AvgHours = ComputeHourDifference(open_time, open_date, mod_Time, mod_date)

			outTotalHours = AvgHours + outTotalHours
			rstemp2.movenext
		Loop
	end if

	rstemp2.close
	set rstemp2=nothing
	conntemp2.close ' Close the connection
	set conntemp2=nothing
End Sub

	%>


