<% 'Module: AvgTimeToOpenCloseByTech.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
   '3/15/05	SAV		Created AvgTimeToCloseByGroup.asp
   '08/02/07 SAV	Created AvgTimeToCloseByTech.asp module for Prestonwood.
   '08/05/2011 CMB  Cleaned up; UK date compliance; fixed problem old code had weird stuff if no end date;

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="db_define.inc" -->
<!-- #INCLUDE FILE="../language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="ADOVBS.INC" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>
<head>

<% wc_Average_Time_To_Close_A_Case_By_Tech_By_Date = "Average Time to Close a Case By Tech By Date"%>
<title><%=wc_Average_Time_To_Close_A_Case_By_Group_By_Date%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>Average Time To Open and Close By Tech</font>
<br>
<center>
<font size=-2>This report shows all cases that are both opened and closed within <br>the start and
end date range broken down by technician.</font>
</center>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>

</center>

<form action=AvgTimeToOpenCloseByTech.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>
</font></TD>

<td valign=middle><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data

	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
		WhereStatement = " Cases.Open_Date  >= '" & NewStartDate & "' AND Cases.Mod_Date >= '" & NewStartDate & "'"
		AndText = " AND "
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_Date  <= '" & NewEndDate & "' AND Cases.Mod_Date <= '" & NewEndDate & "'"
		AndText = " AND "
	End IF

	If WhereStatement <> "" Then
		WhereStatement = " Where Status = 1  AND " & WhereStatement
	Else
		WhereStatement = " Where Status = 1 "
	End IF
%>

<center>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Tech%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # of Cases </th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Days <br> To Close</th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Hours <br> To Close</th>
</tr>

<% ' Outside loop - totals by group and group name

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	sqlTemp = "Select count (case_Number)as cnt, Cases.Tech_ID, first_Name, Last_Name  "
	sqltemp = sqltemp &  " FROM CASES LEFT OUTER JOIN tech_Staff on cases.Tech_ID = Tech_Staff.Tech_ID "
	sqltemp = sqltemp & WhereStatement
	sqltemp = sqltemp & " group by cases.tech_id, last_Name, First_Name  order by cases.Tech_ID "
'response.write "SQL" & sqltemp
'response.flush
'response.end
	set rstemp=Server.CreateObject("adodb.Recordset")
	rstemp.open sqltemp, conntemp, adopenstatic

	If  rstemp.eof then
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Matching Cases Found </b></font></td></tr>
<%
	Else
		' Setup for the first one  outside of the loop

		TotalTechCases = 0
		TechCount = 0
		FinalAvgHourTotal = 0

		do while not rstemp.eof
			TechCases = rstemp("CNT") ' all cases for this priority
			TotalTechCases = TotalTechCases + TechCases
			TechCount = TechCount + 1

			if isnull(rstemp("Tech_ID")) then
				Tech_ID = "0"
				TechName="No Tech Assignment"
			else
				Tech_ID = rstemp("Tech_ID")
			end if

			if isnull(rstemp("Last_Name")) then
				LastName = ""
			else
				LastName = rstemp("Last_Name")
			end if

			if isnull(rstemp("First_Name")) then
				FirstName = ""
			else
				FirstName = rstemp("First_Name")
			end if

			TechName = trim(FirstName & " " & LastName)

			If trim(TechName) = "" then
				If Tech_ID = "0" then
					TechName = "No Tech Assignment"
				Else
					TechName = "Tech account Record not found"
				End If
			End if

			call GetStats(Tech_ID, WhereStatement, TotalAvgHour) ' calculates totalavghours for this tech
			FinalAvgHour = TotalAvgHour/TechCases
			FinalAvgDays = FinalAvgHour/24

			FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
		' Display a row in the table
%>

<tr>

<td><font size=-1><%=TechName%></td>
<td align=center><font size=-1><%=TechCases %></td>

<td align=center><font size=-1><%= Round(FinalAvgDays,2) %></td>
<td align=center><font size=-1><%= Round(FinalAvgHour,2)%></td>
</tr>

<%
		rstemp.movenext
	loop

	End If

	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' **** display TOTALS ' Do not display last if no items or only one row
	if techcount > 1 then

		 'Compute Average Total
		call GetStats("", WhereStatement, TotalAvgHour) ' calculates totalavghours for all techs
		AvgAvgHour = TotalAvgHour/TotalTechCases

		' CMB i changed this so it calculates averages over all cases for all priorities rather than an average of average
		'AvgAvgHour = FinalAvgHourTotal/TechCount  ' old way
		AvgAvgDays = AvgAvgHour/24
%>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalTechCases%></b></td>
<td align=center bgcolor=FFFFFF><font size=-1><%=Round(AvgAvgDays,2)%></td>
<td bgcolor=FFFFFF align=center><font size=-1><%=Round(AvgAvgHour,2)%></td>
</tr>
<% end if ' summary %>

</table>

<P>
<center>
<a href=reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
</body>
</html>

<%
Sub GetStats (Passed_Tech_ID, sWhere, outTotalHours)
'Gets stats for this tech (avghours, totalhours,

	outTotalHours = 0

	if Passed_Tech_ID > "" then
		sqltemp = "select Open_Date, Open_Time, Mod_Date, Mod_Time FROM CASES "
		sqltemp = sqltemp & sWhere
		if Passed_tech_ID = "0" then 'null
			sqltemp = sqltemp & " AND cases.Tech_ID IS NULL "
		else
			sqltemp = sqltemp & " AND cases.Tech_ID = '" & Passed_Tech_ID & "'"
		end if
	else ' grand totals
		sqltemp = "select Open_Date, Open_Time, Mod_Date, Mod_Time FROM CASES "
		sqltemp = sqltemp & sWhere
	end if

	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN
	set rstemp2 = server.createobject("adodb.recordset")

'response.write "SQL" & sqltemp
'response.flush
'response.end

	set rstemp2=conntemp2.execute(sqltemp)

	If rstemp2.EOF Then
		outTotalHours = 0
	Else
		do while not rstemp2.eof
			open_date = rstemp2("Open_date")
			Open_time = rstemp2("Open_Time")
			Mod_date = rstemp2("mod_date")
			Mod_Time = rstemp2("mod_time")

			AvgHours = ComputeHourDifference(open_time, open_date, mod_Time, mod_date)

			outTotalHours = AvgHours + outTotalHours
			rstemp2.movenext
		Loop
	end if

	rstemp2.close
	set rstemp2=nothing
	conntemp2.close ' Close the connection
	set conntemp2=nothing
End Sub

	%>

