<% 'Module: AssetInfo.asp

   'Description: This module is the AssetInfo edit and new asset
   ' module that is used to create new or update existing
   ' asset information.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/15/00	SAV		Created original AssetInfo Page
	'12/03/01	SAV		Integrated AssetLabels.inc into this page

%>


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
	' and then copy the edited file to customercenter directory
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AssetInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If
	%>

<% ' Determine if this a new Asset entry or an edit of an existing asset

	 Asset_number = Request.Querystring("Asset_number")
	 If Asset_number = "" THen
	 	Asset_number = "NEW"
	End IF

	'Response.write "Asset_number = " & Asset_number & "<br>"

	If Asset_Number <> "NEW" Then ' Get all of the asset values
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Assets where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			response.write " Invalid Asset_number:" & Asset_number
		Else

			computer_id = rstemp2("Computer_id")
			property_tag = rstemp2("Property_tag")
			Equipment_type = rstemp2("equipment_type")
			lease_or_purchase = rstemp2("lease_or_purchase")
			purchase_order_num = rstemp2("purchase_order_num")

			serial_number = rstemp2("serial_number")

			' Acquisition
			acquired_from = rstemp2("acquired_from")
			date_acquired = rstemp2("date_acquired")
			date_in_service = rstemp2("date_in_service")

			' Specifications

			Processor_speed = rstemp2("processor_speed")
			ram_size = rstemp2("ram_size")
			hd_size = rstemp2("hd_size")
			monitor_model = rstemp2("monitor_model")
			monitor_size = rstemp2("monitor_size")
			Monitor_serial_num = rstemp2("Monitor_serial_num")

			'assignments

			assigned_group = rstemp2("assigned_group")
			location = rstemp2("location")
			date_assigned = rstemp2("date_assigned")
			ip_address = rstemp2("ip_address")
			wall_port_number =rstemp2("wall_port_number")

			' Applications
			operating_system1 = rstemp2("operating_system1")
			operating_system2 = rstemp2("operating_system2")

			app1 = rstemp2("app1")
			app1_product_id = rstemp2("app1_product_id")
			app1_install_date = rstemp2("app1_install_date")

			app2 = rstemp2("app2")
			app2_product_id = rstemp2("app2_product_id")
			app2_install_date = rstemp2("app2_install_date")

			app3 = rstemp2("app3")
			app3_product_id = rstemp2("app3_product_id")
			app3_install_date = rstemp2("app3_install_date")

			app4 = rstemp2("app4")
			app4_product_id = rstemp2("app4_product_id")
			app4_install_date = rstemp2("app4_install_date")

			app5 = rstemp2("app5")
			app5_product_id = rstemp2("app5_product_id")
			app5_install_date = rstemp2("app5_install_date")

			app6 = rstemp2("app6")
			app6_product_id = rstemp2("app6_product_id")
			app6_install_date = rstemp2("app6_install_date")

			app7 = rstemp2("app7")
			app7_product_id = rstemp2("app7_product_id")
			app7_install_date = rstemp2("app7_install_date")

			app8 = rstemp2("app8")
			app8_product_id = rstemp2("app8_product_id")
			app8_install_date = rstemp2("app8_install_date")

			app9 = rstemp2("app9")
			app9_product_id = rstemp2("app9_product_id")
			app9_install_date = rstemp2("app9_install_date")

			app10 = rstemp2("app10")
			app10_product_id = rstemp2("app10_product_id")
			app10_install_date = rstemp2("app10_install_date")

			app11 = rstemp2("app11")
			app11_product_id = rstemp2("app11_product_id")
			app11_install_date = rstemp2("app11_install_date")

			app12 = rstemp2("app12")
			app12_product_id = rstemp2("app12_product_id")
			app12_install_date = rstemp2("app12_install_date")

			app13 = rstemp2("app13")
			app13_product_id = rstemp2("app13_product_id")
			app13_install_date = rstemp2("app13_install_date")

			app14 = rstemp2("app14")
			app14_product_id = rstemp2("app14_product_id")
			app14_install_date = rstemp2("app14_install_date")

			app15 = rstemp2("app15")
			app15_product_id = rstemp2("app15_product_id")
			app15_install_date = rstemp2("app15_install_date")

			' Get the custom fields 1-5
			custom_field1 = rstemp2("custom_field1")
			custom_field2 = rstemp2("custom_field2")
			custom_field3 = rstemp2("custom_field3")
			custom_field4 = rstemp2("custom_field4")
			custom_field5 = rstemp2("custom_field5")

			' Get the asset_notes

			'AssetNotes = rstemp2("assetnotes")

		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



	' Get AssetNotes separately since there appears to be a problem
	' accessing this memo field under SQL*Server with the Select * statement.


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select assetnotes  from Assets where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			response.write " Invalid Asset_number:" & Asset_number
		Else

			AssetNotes = rstemp2("assetnotes")

		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get any asset assignment from the AssetAssignment Table

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from AssetAssignment where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			'response.write " No assigment Found for Asset:" & asset_number
			' No assignment found which is ok
		Else
			Customer_id = rstemp2("Customer_ID")
			Tech_id = rstemp2("tech_id")
			Asset_number2 = rstemp2("Asset_number2")


		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing




	End IF 'if Asset <> NEW
%>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

<head>

<title><%=wc_Asset_Information%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Asset_Information%>
</td>
<td width=50% align=center valign=center  class=MajorScreenTitleValue>
<font  color=red><%= Asset_number%></font>
</td>
</tr></table>











<br>

<FORM name="myform" action=DoAssetInfo.asp Method = POST>

<% If Asset_Number <> "NEW" Then %>
<input type=hidden name="asset_number" value=<%=Asset_number%>>
<%End IF %>



<br>
<table class=outerformwrapper cellspacing=0 cellpadding=0 >

<tr>
  <td align=center>

			<table border=0  cellspacing=0 cellpadding=0 width=100%>
			<tr>
			<td align=center>&nbsp; &nbsp; &nbsp;
			<%
			  Tech_Level = CInt(Tech_Level)
			  If Tech_Level >  2 Then %>
			<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>

			<%End If ' Do not show button when read/write allowed %>
			&nbsp; &nbsp; &nbsp;
			</td>



			<td align=center>&nbsp; &nbsp; &nbsp;
			<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
			&nbsp; &nbsp; &nbsp;
			</td>


			<% ' Show extra delete button for administrators and above %>
			<% If Tech_Level >  2 and Asset_number <> "NEW" THEN %>

			<td align=right>
			<a href=DeleteAsset.asp?Asset_number=<%=Asset_Number%>>
			<img src=/<%=WCLanguageDirectory%>/ts_delete_asset30x100.gif border=0></a>
			</td>


			<%End If ' Do not show button when read/write allowed %>

			</tr>
			</table>


  </td>
</tr>

<tr>
<td align=center>
<table class=innerformwrapper cellspacing=1 cellpadding=3 >
<tr>
<td valign=top class=formlabelsuper>
<center><div class=minorformtitle><%=wc_Asset_Information%>:</div></center>



<%=Description_Label%>:<font color=red>*</font><br>
<input  type=text name=Equipment_Type size=30 maxlength=100 value="<%=equipment_type%>"> <a href='javascript:var w=window.open("Asset_Description_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a><br>
<%=Property_tag_Label%>:<br>
<input type=text name=property_tag size=30 maxlength=30 value="<%=property_tag%>">
<br>

<table  align=center><tr><td height=2></td></tr></table>

<center><div class=minorformtitle><%=wc_Asset_Assignments%></div></center>


<%=wc_Customer%>:<br>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases


	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then

		Response.write "<SELECT size=1 name=customer_id>"
		Response.write "<OPTION value="""">None</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			'Response.write " Comparing '" & rstemp("customer_id")  & "' AND '" & customer_id & "'<br>"

			If trim(rstemp("Customer_id")) = trim(Customer_ID) then
				response.write "<option value=" & rstemp("customer_id") & " SELECTED>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

	End IF

	response.write "</select>"

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Customer_List

End If



   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
			<%
     End If ' End of If using copy/paste sub-window

%>

<br>
<%=wc_Tech%>:<br>
<SELECT size=1 name=tech_id>
<OPTION value="">None</OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

			IF Tech_ID = rstemp("tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			End IF

			rstemp.MoveNext

		Loop

		response.write "</select><br>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<%=wc_Other_Asset_Number%>:<br>
<input type=text name=asset_number2 size=10 maxlength=10 value=<%=asset_number2%>>


<% If Asset_number2 <> "" AND Asset_number2 <> 0 Then %>
&nbsp;&nbsp;&nbsp;<a href=AssetInfo.asp?Asset_number=<%=Asset_number2%>><%=Asset_number2%></a>
<%End If %>

<br>
<%=Assigned_group_Label%>:<br>


<input type=text name=assigned_group size=30 maxlength=20 value="<%=assigned_group%>"><br>


<%=Location_Label%>:<br>
<input type=text name=location size=30 maxlength=20 value="<%=location%>"><br>
<%=Date_assigned_Label%>:<br>
<input type=text name=date_assigned size=30 maxlength=8 value="<%=date_assigned%>"><br>
<%=IP_address_Label%>:<br>
<input type=text name=ip_address size=30 maxlength=20 value="<%=ip_address%>"><br>
<%=Wall_port_number_Label%>:<br>
<input type=text name=wall_port_number size=30 maxlength=8 value="<%=wall_port_number%>">
<Br>

<table  align=center><tr><td height=2></td></tr></table>

<center>
<div class=minorformtitle><%=wc_Asset_Details%></div>
</center>

<%=Computer_ID_Label%>:<br>
<input type=text name=computer_id size=30 maxlength=20 value="<%=computer_id%>">
<br>
<%=Lease_or_purchase_Label%>:<br>
<input type=text name=lease_or_purchase size=30 maxlength=10 value="<%=lease_or_purchase%>">
<br>
<%=Purchase_order_number_Label%>:<br>
<input type=text name=purchase_order_num size=30 maxlength=20 value="<%=purchase_order_num%>">
<br>
<%=Serial_number_Label%>:<br>
<input type=text name=serial_number size=30 maxlength=20 value="<%=serial_number%>">
<table  align=center><tr><td height=2></td></tr></table>

<center><div class=minorformtitle><%=wc_Acquisition%></div></center>

<%=Acquired_from_Label%>:<br>
<input type=text name=acquired_from size=30 maxlength=30 value="<%=acquired_from%>"><br>
<%=Date_acquired_Label%>:<br>
<input type=text name=date_acquired size=30 maxlength=8 value="<%=date_acquired%>"><br>
<%=Date_put_into_service_Label%>:<br>
<input type=text name=date_in_service size=30 maxlength=8 value="<%=date_in_service%>">

<table  align=center><tr><td height=2></td></tr></table>

<center><div class=minorformtitle><%=wc_Specifications%></div></center>

<%=Processor_speed_Label%>:<br>
<input type=text name=processor_speed size=30 maxlength=8 value="<%=processor_speed%>">
<br><%=RAM_size_Label%>:<br>
<input type=text name=ram_size size=30 maxlength=8 value="<%=ram_size%>"><br>
<%=Hard_drive_size_Label%>:<br>
<input type=text name=hd_size size=30 maxlength=8 value="<%=hd_size%>"><br>
<%=Monitor_model_Label%>:<br>
<input type=text name=monitor_model size=30 maxlength=15 value="<%=monitor_model%>">
<br><%=Monitor_size_Label%>:<br>
<input type=text name=monitor_size size=30 maxlength=8 value="<%=monitor_size%>"><br>
<%=Monitor_serial_number_Label%>:<br>
<input type=text name=monitor_serial_num size=30 maxlength=20 value="<%=monitor_serial_num%>">
<table  align=center><tr><td height=2></td></tr></table>
<center><div class=minorformtitle><%=wc_Custom_Fields%></div></center>

<%=Custom_Field_1_Label%>:<br>
<input type=text name=custom_field1 size=30 maxlength=50 value="<%=custom_field1%>">
<br>
<%=Custom_Field_2_Label%>:<br>
<input type=text name=custom_field2 size=30 maxlength=50 value="<%=custom_field2%>">
<br>
<%=Custom_Field_3_Label%>:<br>
<input type=text name=custom_field3 size=30 maxlength=50 value="<%=custom_field3%>">
<br>
<%=Custom_Field_4_Label%>:<br>
<input type=text name=custom_field4 size=30 maxlength=50 value="<%=custom_field4%>">
<br>
<%=Custom_Field_5_Label%>:<br>
<input type=text name=custom_field5 size=30 maxlength=50 value="<%=custom_field5%>">
<br>
<table  align=center><tr><td height=2></td></tr></table>
<center><div class=minorformtitle><%=wc_Asset_Notes%></div></center>

<%=wc_Notes%>:<br>
<%=assetnotes%><br>
<%=wc_Enter_New_Notes_Below%>:<br>
<textarea name=assetnotes rows=3 cols=30 wrap=on></textarea>
<br>


</td>

<!-- ---------------------------------------------------------------------------------------------- -->

<td class=formboxwrapper><br></td>

<td valign=top class=formlabelsuper>
<center><div class=minorformtitle><%=wc_Software%></div></center>

<%=Operating_system_1_Label%>:<br>
<input type=text name=operating_system1 size=30 maxlength=15 value="<%=operating_system1%>"><br>
<%=Operating_system_2_Label%>:<br>
<input type=text name=operating_system2 size=30 maxlength=15 value="<%=operating_system2%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>

<%=App_1_Label%>:<br>
<input type=text name=app1 size=30 maxlength=15 value="<%=app1%>"><br>
<%=App_1_product_ID_Label%>:<br>
<input type=text name=app1_product_id size=30 maxlength=20 value="<%=app1_product_id%>"><br>
<%=App_1_installation_date_Label%>:<br>
<input type=text name=app1_install_date size=30 maxlength=10 value="<%=app1_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>

<%=App_2_Label%>:<br>
<input type=text name=app2 size=30 maxlength=15 value="<%=app2%>"><br>
<%=App_2_product_ID_Label%>:<br>
<input type=text name=app2_product_id size=30 maxlength=20 value="<%=app2_product_id%>"><br>
<%=App_2_installation_date_Label%><br>
<input type=text name=app2_install_date size=30 maxlength=10 value="<%=app2_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>

<%=App_3_Label%>:<br>
<input type=text name=app3 size=30 maxlength=15 value="<%=app3%>"><br>
<%=App_3_product_ID_Label%>:<br>
<input type=text name=app3_product_id size=30 maxlength=20 value="<%=app3_product_id%>"><br>
<%=App_3_installation_date_Label%>:<br>
<input type=text name=app3_install_date size=30 maxlength=10 value="<%=app3_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>

<%=App_4_Label%>:<br>
<input type=text name=app4 size=30 maxlength=15 value="<%=app4%>"><br>
<%=App_4_product_ID_Label%>:<br>
<input type=text name=app4_product_id size=30 maxlength=20 value="<%=app4_product_id%>"><br>
<%=App_4_installation_date_Label%>:<br>
<input type=text name=app4_install_date size=30 maxlength=10 value="<%=app4_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_5_Label%>:<br>
<input type=text name=app5 size=30 maxlength=15 value="<%=app5%>"><br>
<%=App_5_product_ID_Label%>:<br>
<input type=text name=app5_product_id size=30 maxlength=20 value="<%=app5_product_id%>"><br>
<%=App_5_installation_date_Label%>:<br>
<input type=text name=app5_install_date size=30 maxlength=10 value="<%=app5_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_6_Label%>:<br>
<input type=text name=app6 size=30 maxlength=15 value="<%=app6%>"><br>
<%=App_6_product_ID_Label%>:<br>
<input type=text name=app6_product_id size=30 maxlength=20 value="<%=app6_product_id%>"><br>
<%=App_6_installation_date_Label%>:<br>
<input type=text name=app6_install_date size=30 maxlength=10 value="<%=app6_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_7_Label%>:<br>
<input type=text name=app7 size=30 maxlength=15 value="<%=app7%>"><br>
<%=App_7_product_ID_Label%>:<br>
<input type=text name=app7_product_id size=30 maxlength=20 value="<%=app7_product_id%>"><br>
<%=App_7_installation_date_Label%>:<br>
<input type=text name=app7_install_date size=30 maxlength=10 value="<%=app7_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_8_Label%>:<br>
<input type=text name=app8 size=30 maxlength=15 value="<%=app8%>"><br>
<%=App_8_product_ID_Label%>:<br>
<input type=text name=app8_product_id size=30 maxlength=20 value="<%=app8_product_id%>"><br>
<%=App_8_installation_date_Label%>:<br>
<input type=text name=app8_install_date size=30 maxlength=10 value="<%=app8_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_9_Label%>:<br>
<input type=text name=app9 size=30 maxlength=15 value="<%=app9%>"><br>
<%=App_9_product_ID_Label%>:<br>
<input type=text name=app9_product_id size=30 maxlength=20 value="<%=app9_product_id%>"><br>
<%=App_9_installation_date_Label%>:<br>
<input type=text name=app9_install_date size=30 maxlength=10 value="<%=app9_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_10_Label%>:<br>
<input type=text name=app10 size=30 maxlength=15 value="<%=app10%>"><br>
<%=App_10_product_ID_Label%>:<br>
<input type=text name=app10_product_id size=30 maxlength=20 value="<%=app10_product_id%>"><br>
<%=App_10_installation_date_Label%>:<br>
<input type=text name=app10_install_date size=30 maxlength=10 value="<%=app10_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_11_Label%>:<br>
<input type=text name=app11 size=30 maxlength=15 value="<%=app11%>"><br>
<%=App_11_product_ID_Label%>:<br>
<input type=text name=app11_product_id size=30 maxlength=20 value="<%=app11_product_id%>"><br>
<%=App_11_installation_date_Label%>:<br>
<input type=text name=app11_install_date size=30 maxlength=10 value="<%=app11_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_12_Label%>:<br>
<input type=text name=app12 size=30 maxlength=15 value="<%=app12%>"><br>
<%=App_12_product_ID_Label%>:<br>
<input type=text name=app12_product_id size=30 maxlength=20 value="<%=app12_product_id%>"><br>
<%=App_12_installation_date_Label%>:<br>
<input type=text name=app12_install_date size=30 maxlength=10 value="<%=app12_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_13_Label%>:<br>
<input type=text name=app13 size=30 maxlength=15 value="<%=app13%>"><br>
<%=App_13_product_ID_Label%>:<br>
<input type=text name=app13_product_id size=30 maxlength=20 value="<%=app13_product_id%>"><br>
<%=App_13_installation_date_Label%>:<br>
<input type=text name=app13_install_date size=30 maxlength=10 value="<%=app13_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_14_Label%>:<br>
<input type=text name=app14 size=30 maxlength=15 value="<%=app14%>"><br>
<%=App_14_product_ID_Label%>:<br>
<input type=text name=app14_product_id size=30 maxlength=20 value="<%=app14_product_id%>"><br>
<%=App_14_installation_date_Label%>:<br>
<input type=text name=app14_install_date size=30 maxlength=10 value="<%=app14_install_date%>"><br>

<table width=66% align=center><tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr></table>


<%=App_15_Label%>:<br>
<input type=text name=app15 size=30 maxlength=15 value="<%=app15%>"><br>
<%=App_15_product_ID_Label%>:<br>
<input type=text name=app15_product_id size=30 maxlength=20 value="<%=app15_product_id%>"><br>
<%=App_15_installation_date_Label%>:<br>
<input type=text name=app15_install_date size=30 maxlength=10 value="<%=app15_install_date%>">
</td>
</tr>
</table>
</td>
</tr>
</table>
<p>
<center></form>
</body></html>

<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
