<% 'Module: CalendarView.asp (Tech+Center Version)

   'Description: This module is the Calendar View Page


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/11/02	SAV		Created original CalendarView.asp Page


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CalendarView.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Calendar_View%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<% ' Display the Calendar Page
%>
<br>

<%
	PassedMonth = Request.QueryString("PassedMonth") ' Month (1-12) is passed
	PassedYear = Request.QueryString("PassedYear") ' Year is passed as 4 digit
	PassedDay = Request.QueryString("Day")

	If PassedMonth = "" Then
		PassedMonth = Month(Now())
		PassedYear = Year(Now())
	End If

'	PassedMonth = 2
'	PassedYear = 2002
%>

<table width=100%>
<tr>
<td>
<font size=-1>

<%
	PreviousYear=Cint(PassedYear) -1
	NextYear=Cint(PassedYear) + 1
%>

<a href=CalendarView.asp?PassedYear=<%=PreviousYear%>&PassedMonth=12><%=PreviousYear%></a>
</font>

<font size=+2>  .  <%=PassedYear%>  .
</font>
<font size=-1>


<a href=CalendarView.asp?PassedYear=<%=NextYear%>&PassedMonth=1><%=NextYear%></a>
</font>


</td>

<td>


<%If PassedMonth = 1 Then%>
<font size=+2 color=RED><%=Month1%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 2 Then%>
<font size=+2 color=RED><%=Month2%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 3 Then%>
<font size=+2 color=RED><%=Month3%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 4 Then%>
<font size=+2 color=RED><%=Month4%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 5 Then%>
<font size=+2 color=RED><%=Month5%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 6 Then%>
<font size=+2 color=RED><%=Month6%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a>
</font>
<%End If %>

  <br>

<%If PassedMonth = 7 Then%>
<font size=+2 color=RED><%=Month7%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 8 Then%>
<font size=+2 color=RED><%=Month8%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 9 Then%>
<font size=+2 color=RED><%=Month9%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=9><%=Month9%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 10 Then%>
<font size=+2 color=RED><%=Month10%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 11 Then%>
<font size=+2 color=RED><%=Month11%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 12 Then%>
<font size=+2 color=RED><%=Month12%></font>
<%else%>
<font size=-1>
<a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a>
</font>
<%End If %>

</td>
<td>
  <table>
  <tr>
		<td class=SimpleWrapper  align=center><a href=EventSearch.asp><span class=plaintext><%=wc_FIND%></span></a></td>
   </tr>
   </table>

</td>
</tr>
</table>


<center>
<p>
<table width=80% cellspacing=2 class=TightTableWrapper >
<tr>
<th width= 14% align=center class=TightBodyTextHilight>
<font size=-1>
<%=Day1%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day2%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day3%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day4%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day5%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day6%>
</font>
</th>

<th width= 14% align=center  class=TightBodyTextHilight>
<font size=-1>
<%=Day7%>
</font>
</th>

</tr>



<%' Now display the calendar %>


<%
StartingDate  = DateSerial(PassedYear, PassedMonth, 1)
DayOfWeek = WeekDay(StartingDate)
'First display the empty cells for the first week

For j = 1 to (DayOfWeek - 1)
	response.write "<td class=CalendarBodyText ></td>" & vbCRLF
Next

' Compute current Date
	CurrentYear = Year(Now())
	CurrentMonth = Month(Now())
	CurrentDay = Day(Now())

For i = 0 to 31

	NextDate = DateAdd("d", i, StartingDate)

	NextYear = Year(NextDate)
	NextMonth = Month(NextDate)
	NextDay = Day(NextDate)


	If NextDay = CurrentDay AND NextMonth = CurrentMonth and NextYear = CurrentYear THEN
		response.write "<td class=CalendarBodyToDay  >" & vbCRLF
	Else
		response.write "<td class=CalendarBodyText >" & vbCRLF
	End If

	If Month(NextDate) = Cint(PassedMonth) Then


		'response.write "NewDate = " & NextDate


		DayNumber = Day(NextDate)

		response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		response.write DayNumber & "</a>"
	End If

	response.write "<br><br></td>"


	DayOfWeek = Weekday(NextDate)

	'response.write "DayOfWeek=" & DayOfWeek
	If DayOfWeek = 7 Then
		response.write "</tr>"& vbCRLF
	If Month(NextDate) <> Cint(PassedMonth) Then
		Exit For
	End If

	End IF

Next

%>

</table>

<p>


<% ' ---------start of logic to show selection menu of tech staff ------------------------------- %>
<center>
<table class=innerformwrapper>
<tr>
	<form action=ListAllView.asp method=post>
	  <td class=formlabel>
		<input type=hidden size=3 name=invoked value="Yes">
		<%=wc_Show_Schedule_Summary_For%>: </td>
		<td class=formboxholder>




<%
selected_id = Request.form("selected_id")
set conntemp=server.createobject("adodb.connection")
conntemp.open MyDSN
SQL6 = "Select * from Tech_staff"
set rstemp6=conntemp.execute(SQL6)
If rstemp6.eof Then
    %>
   <center>
      <p> &nbsp; <p> &nbsp; <p> No records found for Tech Staff
   </center>
   <%
   response.flush
   response.end
End If
%>
<select name=selected_id class=inputbox>
<option value="<%=wc_All_Tech_Staff%>"><%=wc_All_Tech_Staff%>
<%
Do while (Not rstemp6.eof)
%>


		   <option value=<%=rstemp6("tech_id")%>
			  <% if selected_id = rstemp6("tech_id") then
				  response.write " selected"
				 end if %>
			  ><%=rstemp6("first_name")%>&nbsp;<%=rstemp6("last_name")%>

<%
rstemp6.Movenext
Loop

%>

		</select>
		</td>
		<td><input type=submit class=inputbox name=submit value="Go"></td>
	  </td>
	</form>
</tr>
</table>
</center>
<% ' ---------end of logic to show selection menu of tech staff ------------------------------- %>








</body>
</html>

<%End If '  End of  Security Check %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
