<% 'Module: CheckForUpdates.asp

   'Description: This module is the page that launches the checkversions.asp scripts
   ' for each of the virtual directories.

   '(C) 2009 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original MyInfo.asp
   '8/16/04 JC      Cloned a variant for Tech+Center
   '10/10/08 SAV	Cloned this module from TMyOptions.asp
   '02/12/09  SAV	Created from Remotecontrol.asp

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CheckForUpdates.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2004-2009 by Internet Software Sciences -->

<head>

<title>Remote Control Sessions</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>








<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
Check For Web+Center Version Updates
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
 <td>

        <center>
        <table class=innerformwrapper cellspacing=1>
        <tr>

        <td class=formlabel>
        <B>Overview:</b><Br>


<B>Version 8.0 Files </b><br>

There are two methods by which you can check to see if there are any updates to your
Web+Center files.<br><br>

<B>Method 1: - Viewing our Web+Center 8.0 version server</b><br>
Our version server show the dates of the Web+Center files of our latest production release.

You can compare the dates listed in each of the options and if necessary, download the
the appropriate file using the FTP link provided and placing that file into the necessary
Web+Center directory.  Always backup the original file before replacing that file with your new FTP file.
You must have file access to the web+center directory to do this file replacement.
<font color=red>Important- If  updating a file, it may be necessary to check the language
directory for any related updates as well.</font>

<br>

<I>To obtain a list of currently released Web+Center files, click
the appropriate link below: <P> </i>
<UL>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllCustomerFiles.asp>Customer+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllCustomerMobileFiles.asp>Customer+Mobile Files</a><br><br>

<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllTechFiles.asp>Tech+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllTechMobileFiles.asp>Tech+Mobile Files</a><br><br>

<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllBusinessFiles.asp>Business+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllPocketFiles.asp>Pocket+Center Files </a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllReservationFiles.asp>Reservation+Center Files </a><br>
<br>
<LI><a href=http://helpdesk.inet-sciences.com/Version80Check/ShowAllLanguageFiles.asp>Language Directory Files </a><br>
<br>


</ul>

<br>

<B>Method 2: - Running Checkversions in each of the Web+Center folders.</b>

<br>
A special routine exists in each of the virtual directories to compare file sizes and dates in  your
own installation with the file sizes on our version/release server.  Check on the links
below to run the "Checkversion.asp" routine to perform this analysis and options to
download updated files.<font color=red>Important- If  updating a file, it may be necessary to check the language
directory for any related updates as well.</font>

<br>

<I> Click on the links below to check to perform a file update analysis on each of the
Web+Center viritual directories</I>
<br>
<UL>
<LI><a href=/customer/checkversions.asp>Customer+Center Directory Check For Updates </a>(Customer80)<br><br>
<LI><a href=/customermobile/checkversions.asp>Customer+Mobile Directory Check For Updates </a>(CustomerMobile80)<br><br>

<LI><a href=/tech/checkversions.asp>Tech+Center Directory Check For Updates </a>(Tech80)<br><br>
<LI><a href=/techmobile/checkversions.asp>Tech+Mobile Directory Check For Updates </a>(TechMobile80)<br><br>

<LI><a href=/business/checkversions.asp>Business+Center Directory Check For Updates </a>(Business80)<br><br>
<LI><a href=/pocket/checkversions.asp>Pocket+Center Directory Check For Updates </a>(Pocket80)<br><br>
<LI><a href=/language/checkversions.asp>Language Directory Check For Updates </a>(Language80)<br><br>
<LI><a href=/reservation/checkversions.asp>Reservation+Center Directory Check For Updates </a>(Reservation80)<br><br>
</ul><br>

<hr>


<B>Version 7.0 Files </b><br>

There are two methods by which you can check to see if there are any updates to your
Web+Center files.<br><br>

<B>Method 1: - Viewing our Web+Center 7.0 version server</b><br>
Our version server show the dates of the Web+Center files of our latest production release.

You can compare the dates listed in each of the options and if necessary, download the
the appropriate file using the FTP link provided and placing that file into the necessary
Web+Center directory.  Always backup the original file before replacing that file with your new FTP file.
You must have file access to the web+center directory to do this file replacement.
<font color=red>Important- If  updating a file, it may be necessary to check the language
directory for any related updates as well.</font>

<br>

<I>To obtain a list of currently released Web+Center files, click
the appropriate link below: <P> </i>
<UL>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllCustomerFiles.asp>Customer+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllTechFiles.asp>Tech+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllBusinessFiles.asp>Business+Center Files</a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllPocketFiles.asp>Pocket+Center Files </a><br><br>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllReservationFiles.asp>Reservation+Center Files </a><br>
<br>
<LI><a href=http://helpdesk.inet-sciences.com/Version70Check/ShowAllLanguageFiles.asp>Language Directory Files </a><br>
<br>


</ul>

<br>

<B>Method 2: - Running Checkversions in each of the Web+Center folders.</b>

<br>
A special routine exists in each of the virtual directories to compare file sizes and dates in  your
own installation with the file sizes on our version/release server.  Check on the links
below to run the "Checkversion.asp" routine to perform this analysis and options to
download updated files.<font color=red>Important- If  updating a file, it may be necessary to check the language
directory for any related updates as well.</font>

<br>

<I> Click on the links below to check to perform a file update analysis on each of the
Web+Center viritual directories</I>
<br>
<UL>
<LI><a href=/customer/checkversions.asp>Customer+Center Directory Check For Updates </a>(Customer70)<br><br>
<LI><a href=/tech/checkversions.asp>Tech+Center Directory Check For Updates </a>(Tech70)<br><br>
<LI><a href=/business/checkversions.asp>Business+Center Directory Check For Updates </a>(Business70)<br><br>
<LI><a href=/pocket/checkversions.asp>Pocket+Center Directory Check For Updates </a>(Pocket70)<br><br>
<LI><a href=/language/checkversions.asp>Language Directory Check For Updates </a>(Language70)<br><br>
<LI><a href=/reservation/checkversions.asp>Reservation+Center Directory Check For Updates </a>(Reservation70)<br><br>
</ul><br>









		</td></tr>
		</table>
		</center>





</td>
</tr>
</table>

</form>

</body>
</html>

<% End If %>
