<% 'Module: Company_Field_Assist.asp

   'Description: This module is the Invoice  "Company Field Search Assist" Version 2 Page
   ' That was cloned for Tech+Center Version 6 to integrate the new "Companies" Table facility.
   ' It is invoked into a sub-window to help the user select a given company.
   ' It searches the table(s) based on user-supplied values and then allows the user
   ' to click on a generated line which in turn causes the appropriate Company value(s)
   ' to be passed back to the invoking "main" window where it is placed into the Formfield(s)
   ' without otherwise disturbing the latter. It uses javascript to achieve this function.


   '(C) 2000,2001, 2002 2003, 2004, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '4/3/2004	JC		Created original module
   '04/29/04	SAV		Created duplicate module for Company field lookup
   '11/02/06	JC		Cloned/adapted to recognize lookup from either Customers or Companies Table

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% ' Display the Customer Search Form %>


<html>
<head>
	<title><%=wc_Company_Search_Assistance%></title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->
<script language="javascript">
function writeValue(recept){
	if(opener == null)
		document.write('<h5>We do not see opener</h5>');
	else
		{window.opener.document.myform.company.value = recept;
		 window.opener.document.myform.company_id.value = '0';
		 window.opener.document.myform.auto_update[0].checked= true;
	     window.close();}
	return;
}


function Punt(p1,p2,p3,p4,p5,p6,p7,p8){
	if(opener == null)
		document.write('<h5>We do not see opener</h5>');
	else
		 window.opener.document.myform.company_id.value = p1;
		 window.opener.document.myform.company.value = p2;
		 window.opener.document.myform.address.value = p3;
		 window.opener.document.myform.mailstop.value = p4;
		 window.opener.document.myform.city.value = p5;
		 window.opener.document.myform.State.value = p6;
		 window.opener.document.myform.Zip.value = p7;
		 window.opener.document.myform.country.value = p8;
		 window.opener.document.myform.auto_update[1].checked= true;
	     window.close();
	return;
}

function PuntX(p1,p2,p3,p4,p5,p6,p7,p8){
	if(opener == null)
		document.write('<h5>We do not see opener</h5>');
	else
	    document.write('<p>P1 is ');
	    document.write(p1);
	    document.write('<p>P2 is ');
	    document.write(p2);
	    document.write('<p>P3 is ');
	    document.write(p3);
	    document.write('<p>P4 is ');
	    document.write(p4);
	    document.write('<p>P5 is ');
	    document.write(p5);
	    document.write('<p>P6 is ');
	    document.write(p6);
	    document.write('<p>P7 is ');
	    document.write(p7);
	    document.write('<p>P8 is ');
	    document.write(p8);
	return;
}


</script>


<!-- The following style is necessary to prevent all kinds of ugly underlines appearing on the sreen on every selection line,
because they are in fact URL's - but the user doesn't need to know that and it makes it really hard to read -->

<style>
#TagA {
          text-decoration: none;
          font-family: 'Trebuchet MS', 'Comic Sans MS', 'Arial', 'Sans-Serif';
          font-size: 12;
          color: black
          }


.inputbox { color: black;
           font-family: "Verdana, Geneva, Arial, Helvetica";
           font-size: 12;
		  }


.screentitle { color: black;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 16;
          font-weight: bold;
		  }

.tablewrapper {
		border-width: 2px;
		border-style: solid;
		border-color: #000000;
		background-color: #eeeeee;
		padding-top: 5px;
		padding-bottom: 5px;
		padding-left: 5px;
		padding-right: 5px;
		}


.screentitlewrapper {
		padding-top: 0px;
		padding-bottom: 5px;
		}

.liner {
          	border-top-width: 0px;
	  		border-bottom-width: 1px;
	  		border-left-width: 0px;
	  		border-right-width: 0px;
	  		border-style: solid;
	  		border-bottom-color: gray;
		    padding-left: 0px;
		    padding-right: 0px;
		    padding-top: 0px;
		    padding-bottom: 0px;
		}

.colhead { color: white;
          background-color: #053E5B;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 12;
          font-weight: bold;
          padding-top: 1px;
		  padding-bottom: 1px;
		  }
</style>

</head>
<body class=popup-assist>
<% If request.form("invoked") = "" Then ' Only put out screen title if freshly invoked - to save real estate %>
	<center>
	<Table  class=screentitlewrapper><tr><td>
	<div class=MajorScreenTitleFixed>
	 Employee Address Look-up Assistance
	</div>
	</tr></td></table>
	</center>
<% end if %>

<%

searchvalue = request.form("searchval")



%>


<center>
<table class=innerformwrapper cellpadding=10 cellspacing=0>
<form action=Company_Field_Assist2.asp method=post>
<tr>
  <td class=MinorformTitle colspan=2 align=center>
	<input type=hidden size=3 name=invoked value="Yes">
	Search for Company Name in either Employee or Billing Records
  </td>
</tr>





<tr>
	<td class=formboxholder align=right>Company Name starts with the letters:&nbsp;<input type=text  class=inputbox size=5 name="searchval" value="<%=searchvalue%>"></td>
	<td class=formboxholder><!--<input type=submit class=inputbox name=search_customers value="Search Employee Records">
	<br>-->
	<input type=submit class=inputbox name=search_companies value="&nbsp;&nbsp;&nbsp;Search Billing Records&nbsp;&nbsp;&nbsp;"></td>
  </td>
</tr>
</form>
</table>
</center>

<%

If request.form("invoked") = "" Then ' initial call - just display form and and intial help text
    %>
    <blockquote>
     <p> &nbsp; <p> &nbsp; <p><%=wc_Company_Field_Search_Assistance_help_block2%>


	</blockquote>
    <%
Else'    Control only reaches this point if the form was actually "submitted"



   If request.form("search_customers") <> "" then
      DoCustomerLookup
   else
      DoCompanyLookup
   end if

End If
%>

<% ' -------------Start of Subroutine DoCustomerLookup--------------------------------------------------------------
Sub DoCustomerLookup

If searchvalue <> "" Then

    searchvalue = searchvalue & "%"

    searchvalue = Replace(searchvalue, "'", "''")

	   SQL = "SELECT DISTINCT Company  From Customers WHERE company LIKE '" & searchvalue & "' order by company"


Else ' we have an empty search string - so return whole database

	   SQL = "SELECT DISTINCT Company From Customers order by company"

End If

    ' response.write SQL & "<P>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open MyDSN

	set rstemp=conntemp.execute(SQL)

	If rstemp.eof Then
	    %>
	   <center>
	      <p> &nbsp; <p> &nbsp; <p><%=wc_No_records_found%>
	   </center>
	   <%

	Else
	Response.write "<br><Center>" & wc_Click_on_desired_line_for_company  & "<p>"


	           %>
	            <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_Company%></td>
	              </tr>
	           <%
			Do while (Not rstemp.eof)
					%>
					<tr>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("company")%>');"><b><%=rstemp("company")%></b>&nbsp;&nbsp;</a></td>
					</tr>
					<%

					rstemp.Movenext
			Loop
			Response.write  vbcrlf & "</table>"



	End if ' not immediate eof
End Sub '-----end of subroutine DoCutomerLookup-----------------------------------------------------------------
%>

<%
Sub DoCompanyLookup ' -------------Start of Subroutine DoCompanyLookup--------------------------------------------------------------


If searchvalue <> "" Then

    searchvalue = searchvalue & "%"

    searchvalue = Replace(searchvalue, "'", "''")

	   SQL = "SELECT *  From Companies WHERE company_name LIKE '" & searchvalue & "' order by company_name"


Else ' we have an empty search string - so return whole database

	   SQL = "SELECT * From Companies order by company_name"

End If

    ' response.write SQL & "<P>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open MyDSN

	set rstemp=conntemp.execute(SQL)

	If rstemp.eof Then
	    %>
	   <center>
	      <p> &nbsp; <p> &nbsp; <p><%=wc_No_records_found%>
	   </center>
	   <%

	Else
	Response.write "<br><Center>" & wc_Click_on_desired_line_for_company  & "<p>"


	           %>
	            <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_Company%></td>
	              </tr>
	           <%


			Do while (Not rstemp.eof)
			P1=Clean(rstemp("company_id"))
			P2=Clean(rstemp("company_name"))
			P3=Clean(rstemp("company_address"))
			P4=Clean(rstemp("company_mailstop"))
			P5=Clean(rstemp("company_city"))
			P6=Clean(rstemp("company_state"))
			P7=Clean(rstemp("company_zip"))
			P8=Clean(rstemp("company_country"))


            disp_string = "<b>" & rstemp("Company_name") & "</b>"
            If rstemp("company_city") <> "" then disp_string = disp_string & ", " & rstemp("company_address")
            If rstemp("company_city") <> "" then disp_string = disp_string & ", " & rstemp("company_city")
            If rstemp("company_state") <> "" then  disp_string = disp_string & ", " & rstemp("company_state")
            If rstemp("company_zip") <> "" then  disp_string = disp_string & ", " & rstemp("company_zip")
            If rstemp("company_country") <> "" then  disp_string = disp_string & ", " & rstemp("company_country")



					%>
					<tr>
					   <td valign=top class=liner>
					   <a id=Taga href="javascript:Punt('<%=P1%>','<%=P2%>','<%=P3%>','<%=P4%>','<%=P5%>','<%=P6%>','<%=P7%>','<%=P8%>');">
					   <%=disp_string%></a>
					   </td>
					</tr>
					<%

					rstemp.Movenext
			Loop
			Response.write  vbcrlf & "</table>"



	End if ' not immediate eof


end sub '-----end of subroutine DoCompanyLookup-----------------------------------------------------------------
%>

<%
' due to the danger of apostrophe use in Javascript parameter data, we replace apostrophes with a safe character
Function Clean(thisfield)
  clean = replace(thisfield,"'","`")
end function
%>



<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>
