<% 'Module:

   'Description: This module is the first Custom Report Page
   ' for the Two Step Reports where some sort and criteria is required.
   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
   '4/26/01	AJS		Changed Search By Case Status to work properly
   '10/05/01 SAV	Created new CustomReport.asp module from the search module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Search.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>


<html>

<head>
<title>2 Step Report</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER><FORM name="myform" METHOD=POST ACTION=DoCustomReport.asp>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Custom 2 Step Report Title</FONT></B></TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>
<center><br></center>
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>


<% ' Display the Form questions at the bottom of the page %>
<center>
<table border=1 WIDTH="90%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1>Start date:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10></TD>

<TD valig=top><B><FONT SIZE=-1>End date:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10></TD>

<TD valign=top><B><FONT SIZE=-1>Date Type:</font></b><br>
<font size=-2>Create/Last Modify<br></FONT>
<FONT SIZE=-1>
<SELECT  name=date_type><OPTION selected value=0>Creation
date</OPTION><OPTION value=1>Last modification date</FONT></OPTION></SELECT></TD>
</TR>
</TABLE>
</TD>
</TR>

<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=2 WIDTH="98%" >
<TR>
<TD><B><FONT SIZE=-1>Assigned group:&nbsp;</FONT></B>
<font size=-1>
<BR><SELECT size=1 name=group_number>
<option value="""" selected>Ignore</option>

<% ' Get the Groups from the database

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Group List
 %>

</TD>

<TD><B><FONT SIZE=-1>Status:&nbsp;</FONT></B>
<FONT SIZE=-1><BR><SELECT size=1 name=case_status><OPTION selected value="">Ignore</OPTION>
<OPTION value=1>Closed Cases</OPTION>
<OPTION value=4>All Open Cases</OPTION>
<OPTION value=0>Open (Active)</OPTION>
<OPTION value=2>Open (Waiting)</OPTION>
<OPTION value=3>Open (On-Hold)</OPTION>


</font>
</SELECT></TD>

<TD><B><FONT SIZE=-1>Customer ID:&nbsp;</FONT></B>
<font size=-1><BR>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
		Response.write "<OPTION selected value="""">Ignore</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Customer_List

End If



   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window

%>

</TD>
</TR>

<TR>
<TD><B><FONT SIZE=-1>Assigned staff member:&nbsp;</FONT></B>
<font size=-1><BR><SELECT size=1 name=tech_id><OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<TD><B><FONT SIZE=-1>Priority:&nbsp;</FONT></B>
<font size=-1>
<BR><SELECT size=1 name=case_severity><OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by Priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
		    if CInt(rstemp("PriorityID")) > 0 then
				response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
			end if
			rstemp.MoveNext
		Loop
		response.write "</select></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


<!--
<OPTION value=1>Priority 1 (Highest=1)</OPTION>
<OPTION value=2>Priority 2 (Highest=1)</OPTION>
<OPTION value=3>Priority 3 (Highest=1)</OPTION>
<OPTION value=4>Priority 4 (Highest=1)</OPTION>
-->

</FONT></SELECT></TD>


<TD><B><FONT SIZE=-1>Duplicates:&nbsp;</FONT></B>

<font size=-1><BR><SELECT size=1 name=dup_Cases><OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION><OPTION value=1>No
duplicate Cases</FONT></OPTION></SELECT></TD>
</TR>

<TR>
<TD><B><FONT SIZE=-1>Case number:&nbsp;</FONT></B>
<font size=-1>
<BR><INPUT type=text name=case_number size=15 maxlength=15></TD>

<TD><B><FONT SIZE=-1>Asset number:&nbsp;</FONT></B>
<font size=-1>
<BR><INPUT type=text name=asset_number size=15 maxlength=15></font></TD>

<TD><B><FONT SIZE=-1>Scheduled Cases:&nbsp;</FONT></B>
<FONT SIZE=-1><BR><SELECT size=1 name=ScheduledCase>
<OPTION selected value="">Ignore</OPTION>
<OPTION value="ALL">All Scheduled Cases</OPTION>
<OPTION value="ONCE">All Single Event Cases</OPTION>
<OPTION value="REPEATED">All Repeating Cases</OPTION>
<OPTION value="LATE">Cases Overdue</OPTION>
<OPTION value="TODAY">Cases Scheduled Today</OPTION>

</font>
</SELECT></TD>

<% ' New fields for Reference Number and Duplicate Case Number %>
<TR>
<TD><B><FONT SIZE=-1>Dup Case number:&nbsp;</FONT></B>
<font size=-1>
<BR><INPUT type=text name=Dup_case_number size=15 maxlength=15></TD>

<TD><B><FONT SIZE=-1>Reference Number:&nbsp;</FONT></B>
<font size=-1>
<BR><INPUT type=text name=External_Case_Number size=15 maxlength=30></font></TD>

<TD><B><FONT SIZE=-1>Reference Type:&nbsp;</FONT></B>
<FONT SIZE=-1><BR><SELECT size=1 name=ReferenceType>
<OPTION selected value="">Ignore</OPTION>
<OPTION value="REFERENCEONLY">Reference Cases</OPTION>
<OPTION value="NOREFERENCEONLY">No Reference Cases</OPTION>

</font>
</SELECT></TD>


</TR>
</TABLE>
&nbsp;</TD>
</TR>
</TABLE></CENTER>
&nbsp;

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
