<% 'Module: Customer_Id_Assist.asp

   'Description: This module is the Invoice  "Customer ID Search Assist" Page
   ' that is invoked into a sub-window to help the user select a given customer
   ' It searches the database based on user-supplied values and then allows the user
   ' to click on a generated line which in turn causes the appropriate customer_id value
   ' to be passed back to the invoking "main" window where it is placed into the Formfield
   ' without otherwise disturbing the latter. It uses javascript to achieve this function.


   '(C) 2000,2001, 2002 2003, 2004 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '4/3/2004	JC		Created original module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>





<% ' Display the Customer Search Form %>


<html>
<head>
	<title>Customer_Id_Assist</title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->




<script language="javascript">
function writeValue(recept,lname,fname){
    var fullname;
    var t;
	if(opener == null)
		document.write('<h5>We do not see opener</h5>');
	else
		{
		fullname = lname + ', ' + fname;
		window.opener.AddFromPopUp(lname,fname,recept);
//		window.opener.document.myform.customer_id.value = recept; // works in IE
	     window.close();
	     }
	return;
}
</script>


<!-- The following style is necessary to prevent all kinds of ugly underlines appearing on the sreen on every selection line,
because they are in fact URL's - but the user doesn't need to know that and it makes it really hard to read -->

<style>
#TagA {
          text-decoration: none;
          font-family: 'Trebuchet MS', 'Comic Sans MS', 'Arial', 'Sans-Serif';
          font-size: 12;
          color: black
          }


.inputbox { color: black;
           font-family: "Verdana, Geneva, Arial, Helvetica";
           font-size: 12;
		  }



.screentitle { color: black;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 16;
          font-weight: bold;
		  }

.tablewrapper {
		border-width: 2px;
		border-style: solid;
		border-color: #000000;
		background-color: #eeeeee;
		padding-top: 5px;
		padding-bottom: 5px;
		padding-left: 5px;
		padding-right: 5px;
		}


.screentitlewrapper {
		padding-top: 0px;
		padding-bottom: 5px;
		}

.liner {
          	border-top-width: 0px;
	  		border-bottom-width: 1px;
	  		border-left-width: 0px;
	  		border-right-width: 0px;
	  		border-style: solid;
	  		border-bottom-color: gray;
		    padding-left: 0px;
		    padding-right: 0px;
		    padding-top: 0px;
		    padding-bottom: 0px;
		}

.colhead { color: white;
          background-color: #053E5B;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 12;
          font-weight: bold;
          padding-top: 1px;
		  padding-bottom: 1px;
		  }
</style>

</head>
<body class=popup-assist>
<% If request.form("invoked") = "" Then ' Only put out screen title if freshly invoked - to save real estate %>
	<center>
	<Table  class=screentitlewrapper><tr><td>
	<div class=screentitle>
	 <%=wc_Customer_ID_Search_Assistance%>
	</div>
	</tr></td></table>
	</center>
<% end if %>

<%

searchvalue = request.form("searchval")
searchoption = request.form("searchoption")


%>


<center>
<table class=innerformwrapper>
<tr>
	<form action=Customer_Id_Assist_all.asp method=post>
	  <td class=formlabel>
		<input type=hidden size=3 name=invoked value="Yes">
		<%=wc_Find_Customer_Where%></td>
		<td class=formboxholder>
		<select name=searchoption class=inputbox>
		   <option value="companyname"
			  <% if searchoption = "companyname" then
				  response.write "selected"
				 end if %>
			  >Company Name
		   <option value="email"
			   <% if searchoption = "email" then
				  response.write "selected"
				  end if %>
			  >Email Address
		   <option value="lastname"
			   <% if searchoption = "lastname" then
				  response.write "selected"
				  end if %>
			  >Last Name
		   <option value="firstname"
			   <% if searchoption = "firstname" then
				  response.write "selected"
				  end if %>
			  >First Name
		</select>
		</td>
		<td class=formlabel><%=wc_Starts_with_the_letters%></td>
		<td class=formboxholder><input type=text  class=inputbox size=5 name="searchval" value="<%=searchvalue%>"></td>
		<td><input type=submit class=inputbox name=submit value="Go"></td>
	  </td>
	</form>
</tr>
</table>
</center>

<%

If request.form("invoked") = "" Then ' initial call - just display form and and intial help text
    %>
    <blockquote>
     <p> &nbsp; <p> &nbsp; <p><%=wc_Customer_ID_Search_Assistance_help_block%>


	</blockquote>
    <%
Else'    Control only reaches this point if the form was actually "submitted"




If searchvalue <> "" Then

    searchvalue = searchvalue & "%"

    searchvalue = Replace(searchvalue, "'", "''")

	if searchoption = "companyname" Then
	   SQL = "SELECT * From Customers WHERE company LIKE '" & searchvalue & "' order by company"
	End If


	if searchoption = "email" Then
	   SQL = "SELECT * From Customers WHERE email LIKE '" & searchvalue & "' order by email"
	End If


	if searchoption = "lastname" Then
	   SQL = "SELECT * From Customers WHERE contact_lname LIKE '" & searchvalue & "' order by contact_lname"
	End If


	if searchoption = "firstname" Then
	   SQL = "SELECT * From Customers WHERE contact_fname LIKE '" & searchvalue & "' order by contact_fname"
	End If

Else ' we have an empty search string - so return whole database

	if searchoption = "companyname" Then
	   SQL = "SELECT * From Customers order by company"
	End If


	if searchoption = "email" Then
	   SQL = "SELECT * From Customers order by email"
	End If


	if searchoption = "lastname" Then
	   SQL = "SELECT * From Customers  order by contact_lname"
	End If


	if searchoption = "firstname" Then
	   SQL = "SELECT * From Customers order by contact_fname"
	End If


End If

    ' response.write SQL & "<P>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open MyDSN

	set rstemp=conntemp.execute(SQL)

	If rstemp.eof Then
	    %>
	   <center>
	      <p> &nbsp; <p> &nbsp; <p><%=wc_No_records_found%>
	   </center>
	   <%

	Else
	Response.write "<br><Center>" & wc_Click_on_desired_line & "<p>"


	    if searchoption = "companyname" Then
	           %>
	            <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_Company%></td>
	               <td class=colhead align=center><%=wc_Name%></td>
	               <td class=colhead align=center><%=wc_email%></td>
	              </tr>
	           <%
			Do while (Not rstemp.eof)
					%>
					<tr>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"></b>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("contact_fname")%>&nbsp;<%=rstemp("contact_lname")%>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("email")%>&nbsp;&nbsp;</a></td>
					</tr>
					<%

					rstemp.Movenext
			Loop
			Response.write  vbcrlf & "</table>"
		end if


	    if searchoption = "email" Then
	            %>
	             <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_email%></td>
	               <td class=colhead align=center><%=wc_Name%></td>
	               <td class=colhead align=center><%=wc_Company%></td>
	              </tr>
	           <%
			Do while (Not rstemp.eof)
					%>
					<tr>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><b><%=rstemp("email")%></b>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("contact_fname")%>&nbsp;<%=rstemp("contact_lname")%>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("company")%>&nbsp;&nbsp;</a></td>
					</tr>

					<%

					rstemp.Movenext
			Loop
			Response.write "</table>"
		end if


	    if searchoption = "lastname" Then
	            %>
	             <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_Name%></td>
	               <td class=colhead align=center><%=wc_Company%></td>
	               <td class=colhead align=center><%=wc_email%></td>
	              </tr>
	           <%
			Do while (Not rstemp.eof)
					%>
					<tr>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><b><%=rstemp("contact_lname")%>,&nbsp;<%=rstemp("contact_fname")%></b>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("company")%>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("email")%>&nbsp;&nbsp;</a></td>
					</tr>
					<%

					rstemp.Movenext
			Loop
			Response.write "</table>"
		end if


	    if searchoption = "firstname" Then
	            %>
	             <table cellpadding=0 cellspacing=0>
	              <tr>
	               <td class=colhead align=center><%=wc_Name%></td>
	               <td class=colhead align=center><%=wc_Company%></td>
	               <td class=colhead align=center><%=wc_email%></td>
	              </tr>
	           <%
			Do while (Not rstemp.eof)
					%>
					<tr>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><b><%=rstemp("contact_fname")%>&nbsp;<%=rstemp("contact_lname")%></b>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("company")%>&nbsp;&nbsp;</a></td>
					   <td valign=top class=liner><a id=Taga href="javascript:writeValue('<%=rstemp("customer_id")%>','<%=rstemp("contact_lname")%>', '<%=rstemp("contact_fname")%>');"><%=rstemp("email")%>&nbsp;&nbsp;</a></td>
					</tr>
					<%

					rstemp.Movenext
			Loop
			Response.write "</table>"
		end if



	End if ' not immediate eof
%>





<%
end if ' the form was actually invked
%>

<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>
