<% 'Module: DeleteAsset.asp

   'Description: This module is the first confirmation to deleting an
   ' asset from the Asset database.
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/02/00	SAV		Created original DeleteAsset.asp Page
   '11/14/11  CMB      Delete also from assetgroupvalues

	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 5 and above--- Administrators ONLY


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteAsset.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If
	%>

<% ' Determine if this a new Asset entry or an edit of an existing asset

	 Asset_number = Request.Querystring("Asset_number")


	If Asset_Number <> "NEW" Then ' Get all of the asset values
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Assets where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			response.write " Invalid Asset_number:" & Asset_number
		Else

			computer_id = rstemp2("Computer_id")
			property_tag = rstemp2("Property_tag")
			Equipment_type = rstemp2("equipment_type")
			lease_or_purchase = rstemp2("lease_or_purchase")
			purchase_order_num = rstemp2("purchase_order_num")

			serial_number = rstemp2("serial_number")

			' Acquisition
			acquired_from = rstemp2("acquired_from")
			date_acquired = rstemp2("date_acquired")
			date_in_service = rstemp2("date_in_service")

			' Specifications

			Processor_speed = rstemp2("processor_speed")
			ram_size = rstemp2("ram_size")
			hd_size = rstemp2("hd_size")
			monitor_model = rstemp2("monitor_model")
			monitor_size = rstemp2("monitor_size")
			Monitor_serial_num = rstemp2("Monitor_serial_num")

			'assignments

			assigned_group = rstemp2("assigned_group")
			location = rstemp2("location")
			date_assigned = rstemp2("date_assigned")
			ip_address = rstemp2("ip_address")
			wall_port_number =rstemp2("wall_port_number")

			' Applications
			operating_system1 = rstemp2("operating_system1")
			operating_system2 = rstemp2("operating_system2")

			app1 = rstemp2("app1")
			app1_product_id = rstemp2("app1_product_id")
			app1_install_date = rstemp2("app1_install_date")

			app2 = rstemp2("app2")
			app2_product_id = rstemp2("app2_product_id")
			app2_install_date = rstemp2("app2_install_date")

			app3 = rstemp2("app3")
			app3_product_id = rstemp2("app3_product_id")
			app3_install_date = rstemp2("app3_install_date")

			app4 = rstemp2("app4")
			app4_product_id = rstemp2("app4_product_id")
			app4_install_date = rstemp2("app4_install_date")

			app5 = rstemp2("app5")
			app5_product_id = rstemp2("app5_product_id")
			app5_install_date = rstemp2("app5_install_date")

			app6 = rstemp2("app6")
			app6_product_id = rstemp2("app6_product_id")
			app6_install_date = rstemp2("app6_install_date")

			app7 = rstemp2("app7")
			app7_product_id = rstemp2("app7_product_id")
			app7_install_date = rstemp2("app7_install_date")

			app8 = rstemp2("app8")
			app8_product_id = rstemp2("app8_product_id")
			app8_install_date = rstemp2("app8_install_date")

			app9 = rstemp2("app9")
			app9_product_id = rstemp2("app9_product_id")
			app9_install_date = rstemp2("app9_install_date")

			app10 = rstemp2("app10")
			app10_product_id = rstemp2("app10_product_id")
			app10_install_date = rstemp2("app10_install_date")

			app11 = rstemp2("app11")
			app11_product_id = rstemp2("app11_product_id")
			app11_install_date = rstemp2("app11_install_date")

			app12 = rstemp2("app12")
			app12_product_id = rstemp2("app12_product_id")
			app12_install_date = rstemp2("app12_install_date")

			app13 = rstemp2("app13")
			app13_product_id = rstemp2("app13_product_id")
			app13_install_date = rstemp2("app13_install_date")

			app14 = rstemp2("app14")
			app14_product_id = rstemp2("app14_product_id")
			app14_install_date = rstemp2("app14_install_date")

			app15 = rstemp2("app15")
			app15_product_id = rstemp2("app15_product_id")
			app15_install_date = rstemp2("app15_install_date")


		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get any asset assignment from the AssetAssignment Table

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from AssetAssignment where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			'response.write " No assigment Found for Asset:" & asset_number
			' No assignment found which is ok
		Else
			Customer_id = rstemp2("Customer_ID")
			Tech_id = rstemp2("tech_id")
			Asset_number2 = rstemp2("Asset_number2")


		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing




	End IF 'if Asset <> NEW
%>


<% ' Display the Delete Asset Confirmation %>

<html>


<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title>Delete Asset </title>

</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor=#<%=ts_User_Page_Color%>>


<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Delete Asset Confirmation</b>
</font>
<br>
</td>
<td align=center>
<font size=+1
color=red>
<%= Asset_number%>

</font>
</td>
</tr>
</table>
</center>
<br>

<center>
<table width=70%>
<tr><td bgcolor=F0D0C0>
<font size=-1>
<B>Asset Number: </b><%=asset_number%><P>

<b>Asset Description:</b> <%=equipment_type%><P>
<b>Property tag:</b> <%=property_tag%><P>
</td></tr></table>
</center>

<FORM action =DoDeleteAsset.asp Method = POST>
<input type=hidden name="asset_number" value=<%=asset_number%>>

<center>
<table width=70%>
<tr><td>
<B>Do you really want to delete the following asset ?</b><P>
<font size=-1>

<I>Note: Deleting this asset will remove the asset from the asset table
and also NULL any related asset assignments for customers or cases databases.
</I>
</font>
</td></tr></table>



<P>

<table border=0 cellspacing=1 cellpadding=1 width=65%>
<tr>
<td align=center>
<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>

</td>
<td align=center>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
</td>

</tr>
</table>
<br>
<p>
<center></form>
</body></html>

<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
