<% 'Module: DeleteCase.asp

   'Description: This module is the Page that allows the user to delete a Case


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/03/02	 JC		Created original ASP version with new UI


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Delete Case- CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Delete_a_Case%></b></font><br>
	</td>
</tr>
</table>

<p>



<table border=1 cellspacing=2 cellpadding=20 width=98%>


<tr>

<FORM METHOD=POST ACTION=DoDeleteCase1.asp>
	<td align=center  valign=top colspan=2>
	<font size=+1><b><%=wc_Case_Number%>:</b></font>
	<input type=text size=20 maxlength=20 name=case_number>
	<p>
	<div align=center>
	 <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_delete_case30x100.gif border=0>
	 </div>
	</td>
</form>



</tr>
</table>

<p>

<center>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>


<td align=center>
  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
</b>
</form>
</body>
</html>



<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
