<% 'Module: DeleteTech.asp

   'Description: This module is the first page when attempting to delete a tech

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/26/00	SAV		Created original DeleteTech.asp module.
   '04/09/12   CMB      Added verbiate about asset assignments

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Delete Staff Member</title>
</head>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
%>


<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Delete Staff Member</b>
</font>
<br>
</td></tr></table><p>
</center>

<center>
<FORM METHOD=POST ACTION=DoDeleteTech.asp>
<table width=98%>
<tr><td>
<font size=-1>
<B>Instructions:</b>
<UL>
Deleting a staff member will permanently remove the staff member from the database
and remove ALL their assignments to open or closed Cases and customer contact assignments.
In the form below,
choose the staff member to delete and the staff member (if any) to re-assign all cases, contact
assignments and asset assignments.
<P>
</uL>

</td></tr></table>
</center>
<br>

<center>

<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<td>
<UL>
<br>

<B>Step 1:</b> <font size=-1>Select Staff Member To Delete:


<%

	mySQL="select * from Tech_staff" ' Get all techstaff records

	set rstemp=conntemp.execute(mySQL)


	If rstemp.EOF <> True then

%>
	<select name=techid size=1>
	<option value = "">Select Staff Member </option>

<%
		Do While rstemp.EOF <> True
%>
			<option value=<%=rstemp("tech_id")%>><%=rstemp("First_Name")%>
		<% Response.write " " %>
		<%=rstemp("Last_Name")%></option>
<%
			rstemp.MoveNext
		Loop

		Response.write " </select>" & vbCRLF

		Else
			Response.write " No Tech Records Found "
		End IF

	rstemp.close
	set rstemp=nothing

%>


<P>
</font>
<br>

<B>Step 2:</b>
<font size=-1>Select Staff Member to re-assign Cases/Customers To:

<%

	mySQL="select * from Tech_staff" ' Get all techstaff records

	set rstemp=conntemp.execute(mySQL)


	If rstemp.EOF <> True then
%>
	<select name=reassignedtechid size=1>
	<option value="">Nobody (Reset to Un-assigned)</option>

<%
		Do While rstemp.EOF <> True
%>
			<option value=<%=rstemp("tech_id")%>><%=rstemp("First_Name")%>
		<% Response.write " " %>
		<%=rstemp("Last_Name")%></option>
<%
			rstemp.MoveNext
		Loop

		Response.write " </select>" & vbCRLF


		Else
			Response.write " No Tech Records Found "
		End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>
	</font>
	<br>
	<br>
	</ul>
	</td></tr>
	</table>

	<P>

	<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_delete_member30x120.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="SystemAdmin.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


</form>

</body>
</html>

<% End If %>

