<% 'Module: DoAdvancedEscalationTimeFilter.asp

   'Description: This module processes the Escalation time filter configuration options
   ' and returns the user back to the escalation config page.
   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '6/10/02		SAV		Created original form submit page
   '3/27/13		SAV		Created DoAdvancedEscalationConfig.asp page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<% 'Get the Escalation Configuration options %>

<%


			TimeFilterName = Request.form("TimeFilterName")
			DayOfWeek = Request.form("DayOfWeek")
			StartTime = Request.form("StartTime")
			EndTime = Request.form("EndTime")
			TimeFilterDate = Request.form("TimeFilterDate")

	' First checked for required fields and display a error page before adding or updating the record

		ErrorMessage = ""

		If TimeFilterName = "" then
			ErrorMessage = ErrorMessage & " <LI> Time Filter Name is required"
		End If


		If ErrorMessage <> "" Then
%>

html>

<head>
<title><%=wc_Advanced_Escalation_Time_Filters%></title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>
<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Advanced_Escalation_Time_Filters%></FONT>

</TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>

<UL>

We encounted an error creating or updating the Time Filter. Please use the browser back button
and resubmit your form with the corrected information.

<UL>
<%= ErrorMessage %>
</ul>

<ul>

</body>
</html>


<%
	Else ' Do Update


	ID = Request.Form("ID")

	If ID <> "" Then

		mySQL2="SELECT * from EscalationTimeFilters where TimeFilterIndex = " & ID
	Else
		mySQL2="SELECT * from EscalationTimeFilters"
	End IF

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		If ID = ""  OR rstemp.EOF = True Then
				rstemp.AddNew
		End IF


		rstemp("TimeFilterName") = TimeFilterName

		If DayOfWeek <> "" Then
			 rstemp("DayOfWeek") = DayOfWeek
		End If

		If IsNull(rstemp("DayOfWeek")) = False and DayOfWeek = "" Then
			rstemp("DayOfWeek") = Null ' Set to Null
		End If



		If StartTime <> "" Then
			 rstemp("StartTime") = StartTime
		End If

		If IsNull(rstemp("StartTime")) = False and StartTime = "" Then
			rstemp("StartTime") = Null ' Set to Null
		End If


		If EndTime <> "" Then
			 rstemp("EndTime") = EndTime
		End If

		If IsNull(rstemp("EndTime")) = False and EndTime = "" Then
			rstemp("EndTime") = Null ' Set to Null
		End If


		If TimeFilterDate <> "" Then
			 rstemp("TimeFilterDate") = TimeFilterDate
		End If

		If IsNull(rstemp("TimeFilterDate")) = False and TimeFilterDate = "" Then
			rstemp("TimeFilterDate") = Null ' Set to Null
		End If



				Rstemp.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conntemp.errors.count> 0 then
	   '   response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conntemp.errors.count
	    '  response.write "Error #" & conntemp.errors(counter).number & "<P>"
	    '  response.write "Error desc. -> " & conntemp.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if


		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>

<%
	response.redirect ("AdvancedEscalationTimeFilter.asp")
%>



