<% 'Module: DoAssetsAudit.asp

   'Description: This module imports and updates audited assets
   ' from the CI Web discovery tool.
   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '08/27/00	SAV		Created original ASP
   '09/05/00	SAV		Fixed problem with Adding Deletes
   '12/17/00	SAV		Created DoAssetInfo.asp module from DoNewCustomer.asp
	'05/29/03	SAV		CreatedDoAssetsAudit.asp module for integration with CI Discovery
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabelsCI.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************

	' Get the Logged in Tech

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoAssetsAudit.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with Configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If


	' First determine which type of import (ALL or SELECTEDFEW)

	AuditType = Request.form("AuditType")

	If AuditType = "ALL" Then



		'mySQL="select * FROM AD_WKS_AUDIT"

		mySQL = "SELECT AD_WKS_AUDIT.AD_WKS_ID, AD_WKS_AUDIT.AD_OWNER, AD_WKS_AUDIT.AD_COMPANY, AD_WKS_AUDIT.AD_COMPUTER_NAME, AD_WKS_AUDIT.AD_OS, AD_WKS_AUDIT.AD_OS_VER, AD_WKS_AUDIT.AD_RAM, AD_WKS_AUDIT.AD_NET_NIC_ADDRESS, AD_WKS_AUDIT.AD_NET_IP_ADDRESS, AD_WKS_AUDIT.AD_DRV_FIXED_CAP, AD_WKS.AD_SERIAL_NUMBER, AD_WKS.AD_WKS_TAG, AD_WKS.AD_LAST_AUDIT,  AD_WKS_AUDIT.AD_CPU_SPEED, AD_WKS_AUDIT.AD_OS_PATCH FROM AD_WKS INNER JOIN AD_WKS_AUDIT ON AD_WKS.AD_WKS_ID = AD_WKS_AUDIT.AD_WKS_ID "

		set conntemp=server.createobject("adodb.connection")
		conntemp.open CIDSN

		Set rstemp = Server.CreateObject("ADODB.Recordset")

		rstemp.Open mySQL,Conntemp,3,3

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Assets exists in the CI Database

%>

	No Assets were found or Exported

%>

<%
	Else


		' Debugging Code

		'response.write " Asset Found: " &  rstemp("AD_WKS_ID")

		' Create a HTML list of assets that were exported or updated

		ExportedAssetList = ""
		ExportListCount = 0
		NewAssetCount = 0
		UpdatedAssetCount = 0

		Do While rstemp.EOF <> True

			AD_WKS_ID = rstemp("AD_WKS_ID")

			ExportListCount = ExportListCount + 1

			AD_WKS_ID_TEXT = CStr(AD_WKS_ID)


	' For Each Asset first check to see if the asset exists in the
	' the database and either do an update or insert.
	' The CI discovery assets are keyed with the AD_WKS_ID
	' number field and this key will be stored in the Computer_ID
	' field in the web+center Asset table.  The Computer_ID
	' field is a text field so we will have to convert from the
	' the number long integer to text before storing.


		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN

		' Check to see if AD_WKS_ID exists then this is an update


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Assets where computer_id = '" & AD_WKS_ID_TEXT & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn2,3,3


			Asset_Number = ""
			If NewRecord.EOF = True Then

					NewRecord.AddNew  ' This will create a unique asset_number
					NewRecord("Computer_id") = AD_WKS_ID_TEXT
					NewAssetCount = NewAssetCount + 1


			Else

					UpdatedAssetCount = UpdatedAssetCount + 1
					' Computer_ID already contains CI KEY

					Asset_Number = NewRecord("Asset_Number")

					'Response.write "Existing Asset in Database"
			End IF



			' Set all of the variables the same for either new/update

			' Notice - Many of the fields have been remapped for CI Asset definitions


			' ----- Asset Assignments ---------------

			' With the current version of  CI Discovery, Manufacturer
			' and model are pulled directly from the machine hard and
			' this information in not stored in the database but in some
			' other non database file so we can't import that value.

			' Assigned_Group is replaced by Manufacturer
			'If rstemp("Manufacturer") <> "" Then
			'	NewRecord("Assigned_group") = rstemp("Manufacturer")
			'End If


			' Similar issue with Model - Can not get model information.
			' Location remapped to Model
			'If rstemp("Model") <> "" Then
			'	NewRecord("location") = rstemp("Model")
			'End If



			' IP Address is mapped to IP Address
			If rstemp("AD_NET_IP_Address") <> "" then
				NewRecord("IP_Address") = rstemp("AD_NET_IP_Address")
			End If


			'	NIC ADDRESS
			' NIC Address is mapped to CUSTOM_FIELD1
			If rstemp("AD_NET_NIC_Address") <> "" then
				NewRecord("CUSTOM_FIELD1") = rstemp("AD_NET_NIC_Address")
			End If


			' ------------Computer Info Section


			' Tag can  come from the AD_WKS table.


			' AD_WKS_TAG is type Int LONG and computer_id is
			If rstemp("AD_WKS_TAG") <> "" Then

				NewRecord("PROPERTY_TAG") = rstemp("AD_WKS_TAG")
			End If


			' Equipment type is actually the description field
			' in the Web+Center database.  It will store the computer name

			If rstemp("AD_Computer_Name") <> "" then
				NewRecord("Equipment_Type") = rstemp("AD_Computer_Name")
				ComputerName = rstemp("AD_Computer_Name")
			End If



			' Serial Number is mapped to Serial Number
			If rstemp("AD_Serial_Number")  <> "" Then
				NewRecord("Serial_Number") = rstemp("AD_Serial_number")
			End If



			' ----- Acquisition------------

			' Acquired_From Field is mapped to the Owner Field
			If rstemp("AD_Owner") <> "" Then
				NewRecord("Acquired_From") = rstemp("AD_Owner")
			End If


			' CUSTOM_FIELD2 field is mapped to Company field
			If rstemp("AD_Company") <> "" Then
				NewRecord("CUSTOM_FIELD2") = rstemp("AD_Company")
			End If



			' ---- Specifications -----------

			' Processor_Speed is mapped to AD_CPU_Speed
			If rstemp("AD_CPU_Speed") <> "" Then
				NewRecord("Processor_speed") = rstemp("AD_CPU_Speed")
			End If


			' RAM_Size is mapped to Total (Ram size)
			If rstemp("AD_RAM") <> "" Then
				NewRecord("RAM_Size") = rstemp("AD_RAM")
			End If


			If rstemp("AD_DRV_FIXED_CAP") <> "" Then
				NewRecord("HD_Size") = rstemp("AD_DRV_FIXED_CAP")
			End If



			' -------------Software ------------------------

			' Operating system, version and patch level are mapped to OS 1 and 2
			If rstemp("AD_OS") <> "" Then
				NewRecord("Operating_system1") = rstemp("AD_OS")
			End If


			If rstemp("AD_OS_VER") <> "" Then
				NewRecord("CUSTOM_FIELD3") = rstemp("AD_OS_VER")
			End If


			If rstemp("AD_OS_PATCH") <> "" Then
				NewRecord("Operating_system2") = rstemp("AD_OS_PATCH")
			End If

		' Now Update and save the record

		' Now put in the most current date/Time into the database
		GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel
		DateString = ""
		TimeString = ""
		 CreateTimeDateValues DateString, TimeString, DateTimeString


		' Update each asset with audit trail showing date of import



			CurrentNotes = NewRecord("AssetNotes")

			' Add Date and Time stamps and who edited the notes
						' Time Stamp the Case History before we put it into the case record

			CreateTimeDateValues DateString, TimeString, DateTimeString
			UserName = TechFullName() ' Get the name of the tech logged in

			NewNotes = "<font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Asset Import/Updated by Tech: " & UserName & "</b> </font><br>" & vbCRLF & "<P>" &  CurrentNotes

			' Limit the notes to 2000 characters max
			' to prevent ODBC problems with

			NewNotes = Mid(NewNotes,1,2000)

			NewRecord("AssetNotes") = NewNotes


		LastUpdateString = DateString&TimeString
		NewRecord("LastUpdate") = LastUpdateString

		NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

		NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

		'Create output asset display





		NewRecord.Update

		NewRecord.Close
		Set NewRecord = Nothing

		Conn2.Close ' Close connection to Web+center Asset database
		Set Conn2 = Nothing


		' Get the Asset Number so a link can be created to that asset for the
		' display page.

		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN

		' Check to see if AD_WKS_ID exists then this is an update


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Assets where computer_id = '" & AD_WKS_ID_TEXT & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn2,3,3

			If NewRecord.EOF = True Then

				' This should not happen since we just either updated or created new record

			Else

				Asset_Number = NewRecord("Asset_Number")

			End If

		NewRecord.Close
		Set NewRecord = Nothing

		Conn2.Close ' Close connection to Web+center Asset database
		Set Conn2 = Nothing


		ExportedAssetList = ExportedAssetList & "<LI> (CI Index= " & AD_WKS_ID & ") Computer Name=<a href=AssetInfo.asp?asset_number=" & Asset_Number & ">" & ComputerName & "</a>"



		rstemp.MoveNext

	Loop


	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End If  ' End of if No Assets Found


	'**************************************************************************
	'************* SELECTED FEW ASSETS CHOICE SELECTION CODE ****************
	'*************************************************************************

	If AuditType = "SELECTFEW" Then

		'mySQL="select * FROM AD_WKS_AUDIT"

		mySQL = "SELECT AD_WKS_AUDIT.AD_WKS_ID, AD_WKS_AUDIT.AD_OWNER, AD_WKS_AUDIT.AD_COMPANY, AD_WKS_AUDIT.AD_COMPUTER_NAME, AD_WKS_AUDIT.AD_OS, AD_WKS_AUDIT.AD_OS_VER, AD_WKS_AUDIT.AD_RAM, AD_WKS_AUDIT.AD_NET_NIC_ADDRESS, AD_WKS_AUDIT.AD_NET_IP_ADDRESS, AD_WKS_AUDIT.AD_DRV_FIXED_CAP, AD_WKS.AD_SERIAL_NUMBER, AD_WKS.AD_WKS_TAG, AD_WKS.AD_LAST_AUDIT,  AD_WKS_AUDIT.AD_CPU_SPEED, AD_WKS_AUDIT.AD_OS_PATCH FROM AD_WKS INNER JOIN AD_WKS_AUDIT ON AD_WKS.AD_WKS_ID = AD_WKS_AUDIT.AD_WKS_ID "

		' Now set up an outter loop that loops through each of the form
		' elements

		' Set up outside counters

		ExportedAssetList = ""
		ExportListCount = 0
		NewAssetCount = 0
		UpdatedAssetCount = 0
		Count = 0

		For Each SubKey in Request.form("WKS_ID")  ' START OF FOR LOOP


			WhereClause = ""

			Count = Count + 1
			WKS_ID = ""
   			WKS_ID = Request.Form("WKS_ID")(Count)

			WhereClause = " WHERE AD_WKS_AUDIT.AD_WKS_ID = " & WKS_ID

			mySQLnew = mySQL & WHEREClause


		set conntemp=server.createobject("adodb.connection")
		conntemp.open CIDSN

		Set rstemp = Server.CreateObject("ADODB.Recordset")

		rstemp.Open mySQLnew,Conntemp,3,3

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Assets exists in the CI Database

%>

	No Assets were found or Exported

%>

<%
	Else


		' Debugging Code

		'response.write " Asset Found: " &  rstemp("AD_WKS_ID")

		' Create a HTML list of assets that were exported or updated

		Do While rstemp.EOF <> True

			AD_WKS_ID = rstemp("AD_WKS_ID")


			ExportListCount = ExportListCount + 1
			AD_WKS_ID_TEXT = CStr(AD_WKS_ID)


	' For Each Asset first check to see if the asset exists in the
	' the database and either do an update or insert.
	' The CI discovery assets are keyed with the AD_WKS_ID
	' number field and this key will be stored in the Computer_ID
	' field in the web+center Asset table.  The Computer_ID
	' field is a text field so we will have to convert from the
	' the number long integer to text before storing.


		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN

		' Check to see if AD_WKS_ID exists then this is an update


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Assets where computer_id = '" & AD_WKS_ID_TEXT & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn2,3,3


			Asset_Number = ""
			If NewRecord.EOF = True Then

					NewRecord.AddNew  ' This will create a unique asset_number
					NewRecord("Computer_id") = AD_WKS_ID_TEXT
					NewAssetCount = NewAssetCount + 1


			Else

					UpdatedAssetCount = UpdatedAssetCount + 1
					' Computer_ID already contains CI KEY

					Asset_Number = NewRecord("Asset_Number")

					'Response.write "Existing Asset in Database"
			End IF



			' Set all of the variables the same for either new/update

			' Notice - Many of the fields have been remapped for CI Asset definitions


			' ----- Asset Assignments ---------------

			' With the current version of  CI Discovery, Manufacturer
			' and model are pulled directly from the machine hard and
			' this information in not stored in the database but in some
			' other non database file so we can't import that value.

			' Assigned_Group is replaced by Manufacturer
			'If rstemp("Manufacturer") <> "" Then
			'	NewRecord("Assigned_group") = rstemp("Manufacturer")
			'End If


			' Similar issue with Model - Can not get model information.
			' Location remapped to Model
			'If rstemp("Model") <> "" Then
			'	NewRecord("location") = rstemp("Model")
			'End If



			' IP Address is mapped to IP Address
			If rstemp("AD_NET_IP_Address") <> "" then
				NewRecord("IP_Address") = rstemp("AD_NET_IP_Address")
			End If


			'	NIC ADDRESS
			' NIC Address is mapped to CUSTOM_FIELD1
			If rstemp("AD_NET_NIC_Address") <> "" then
				NewRecord("CUSTOM_FIELD1") = rstemp("AD_NET_NIC_Address")
			End If


			' ------------Computer Info Section


			' Tag can  come from the AD_WKS table.


			' AD_WKS_TAG is type Int LONG and computer_id is
			If rstemp("AD_WKS_TAG") <> "" Then

				NewRecord("PROPERTY_TAG") = rstemp("AD_WKS_TAG")
			End If


			' Equipment type is actually the description field
			' in the Web+Center database.  It will store the computer name

			If rstemp("AD_Computer_Name") <> "" then
				NewRecord("Equipment_Type") = rstemp("AD_Computer_Name")
				ComputerName = rstemp("AD_Computer_Name")
			End If



			' Serial Number is mapped to Serial Number
			If rstemp("AD_Serial_Number")  <> "" Then
				NewRecord("Serial_Number") = rstemp("AD_Serial_number")
			End If



			' ----- Acquisition------------

			' Acquired_From Field is mapped to the Owner Field
			If rstemp("AD_Owner") <> "" Then
				NewRecord("Acquired_From") = rstemp("AD_Owner")
			End If


			' CUSTOM_FIELD2 field is mapped to Company field
			If rstemp("AD_Company") <> "" Then
				NewRecord("CUSTOM_FIELD2") = rstemp("AD_Company")
			End If



			' ---- Specifications -----------

			' Processor_Speed is mapped to AD_CPU_Speed
			If rstemp("AD_CPU_Speed") <> "" Then
				NewRecord("Processor_speed") = rstemp("AD_CPU_Speed")
			End If


			' RAM_Size is mapped to Total (Ram size)
			If rstemp("AD_RAM") <> "" Then
				NewRecord("RAM_Size") = rstemp("AD_RAM")
			End If


			If rstemp("AD_DRV_FIXED_CAP") <> "" Then
				NewRecord("HD_Size") = rstemp("AD_DRV_FIXED_CAP")
			End If



			' -------------Software ------------------------

			' Operating system, version and patch level are mapped to OS 1 and 2
			If rstemp("AD_OS") <> "" Then
				NewRecord("Operating_system1") = rstemp("AD_OS")
			End If


			If rstemp("AD_OS_VER") <> "" Then
				NewRecord("CUSTOM_FIELD3") = rstemp("AD_OS_VER")
			End If


			If rstemp("AD_OS_PATCH") <> "" Then
				NewRecord("Operating_system2") = rstemp("AD_OS_PATCH")
			End If

		' Now Update and save the record

		' Now put in the most current date/Time into the database
		GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel
		DateString = ""
		TimeString = ""
		 CreateTimeDateValues DateString, TimeString, DateTimeString


		' Update each asset with audit trail showing date of import



			CurrentNotes = NewRecord("AssetNotes")

			' Add Date and Time stamps and who edited the notes
						' Time Stamp the Case History before we put it into the case record

			CreateTimeDateValues DateString, TimeString, DateTimeString
			UserName = TechFullName() ' Get the name of the tech logged in

			NewNotes = "<font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Asset Import/Updated by Tech: " & UserName & "</b> </font><br>" & vbCRLF & "<P>" &  CurrentNotes

			' Limit the notes to 2000 characters max
			' to prevent ODBC problems with

			NewNotes = Mid(NewNotes,1,2000)

			NewRecord("AssetNotes") = NewNotes


		LastUpdateString = DateString&TimeString
		NewRecord("LastUpdate") = LastUpdateString

		NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

		NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

		'Create output asset display





		NewRecord.Update

		NewRecord.Close
		Set NewRecord = Nothing

		Conn2.Close ' Close connection to Web+center Asset database
		Set Conn2 = Nothing


		' Get the Asset Number so a link can be created to that asset for the
		' display page.

		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN

		' Check to see if AD_WKS_ID exists then this is an update


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Assets where computer_id = '" & AD_WKS_ID_TEXT & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn2,3,3

			If NewRecord.EOF = True Then

				' This should not happen since we just either updated or created new record

			Else

				Asset_Number = NewRecord("Asset_Number")

			End If

		NewRecord.Close
		Set NewRecord = Nothing

		Conn2.Close ' Close connection to Web+center Asset database
		Set Conn2 = Nothing


		ExportedAssetList = ExportedAssetList & "<LI> (CI Index= " & AD_WKS_ID & ") Computer Name=<a href=AssetInfo.asp?asset_number=" & Asset_Number & ">" & ComputerName & "</a>"



		rstemp.MoveNext

	Loop


	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	Next ' End of For... Next Loop


	End If  ' End of if No Assets Found







%>


<% ' Display the page now %>



<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

<head>

<title><%=wc_Asset_Information%></title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>


<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER><FORM METHOD=POST ACTION=DoAssetsAudit.asp>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Asset_Audit%></FONT></B>
<font size=-1>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;(<a href=/<%=CI_VIRTUAL_DIRECTORY%>><%=wc_Launch_CI_Discovery_in_New_Window%></a> )
</font>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>
<center><br></center>



<font size=-1>


<B>Assets Imported from CI Discovery Database</b>

<P>

<UL>
<%=ExportedAssetList%>
</ul>

<P>

<B>Summary Information:   </B>
<ul>

Total Exported Asset Count = <%=ExportListCount%>
<br>
New Assets Imported = <%=NewAssetCount%>
<br>
Existing Asset Updated = <%=UpdatedAssetcount%>


</ul>


<br>
<br>


</font>


</body>
</html>


<%End If ' End if Security Checks %>







<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp4=server.createobject("adodb.connection")

		conntemp4.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp4.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp4.close ' Close the connection
		set conntemp4=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue, asset_number)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here


		If Asset_number <> "" Then
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "' AND Asset_number <> " & Asset_number
		Else
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"
		End If


		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			' Check if this is the correct asset number

				CheckForUniqueTableValues = "NONUNIQUE"


		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>


<% Function CheckForValidAssetNumber(asset_number2)
	'This function checks to see if the passed asset_number is a valid
	' asset number.
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		If IsNumeric(Asset_number2) then

			set conntemp2=server.createobject("adodb.connection")

			conntemp2.open myDSN ' Open the connection once here

			mySQL2="select * from Assets where Asset_number  = " & Asset_number2

			set rstemp5=conntemp2.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				CheckForValidAssetNumber = "NO"
			Else
				CheckForValidAssetNumber = "YES"
			End If


			rstemp5.close
			set rstemp5=nothing

			conntemp2.close ' Close the connection
			set conntemp2=nothing

	  Else

           CheckForValidAssetNumber = "NO"

      End If
	End Function ' End of CheckForUniqueTableValues
	%>


<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp3=server.createobject("adodb.connection")
			conntemp3.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp3.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp3.Close
			Set conntemp3 = nothing

		End If


	End Function ' End of TechFullName
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>
