<% 'Module: DoConfigureDefaultGroupAssignment.asp

   'Description: This module processes the first level of Default Group
   ' Assignments and diplays another page if they selected a category
   ' so they can choose a group assignment for each category selection.


   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/07/01	SAV		Created original DoConfigureDefaultGroupAssignment.asp module.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ConfigureDefaultGroupAssignment.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Configure Default Group Assignment Continued</title>
</head>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
%>


<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Configure_Default_Group_Assignment%></b>
</font>
<br>
</td></tr></table><p>
</center>


<% CategoryNumber = Request.form("CategoryNumber") ' Category Item
   SingleDefaultGroup = Request.form("SingleDefaultGroup") ' Group Number

  ' First set/reset the SingleDefaultGroup

  ' First un-assign the old default group back to zero

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN ' Open connection here once


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Group_list  where Default_Flag = 1"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				NewRecord("Default_Flag") = 0 ' Reset to Zero
				NewRecord.Update

			Else ' If it already exists do not add another entry
				' This should not occur - display internal HTML based error
				Response.write "<!-- No Default Group Set - Internal Error -->"

			End If

		NewRecord.Close
		Set NewRecord = Nothing

		' Now Set/Reset the default group

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Group_list where Group_Number = " & SingleDefaultGroup

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				NewRecord("Default_Flag") = 1 ' Reset to 1
				Group_Name = NewRecord("Group_Name")

				NewRecord.Update

			Else ' If it already exists do not add another entry
				' This should not occur - display internal HTML based error
				Response.write "<!-- Group Number Not Found - Internal Error -->"

			End If

		NewRecord.Close
		Set NewRecord = Nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

%>


<% ' Display which is the current default group %>

	<center>
	<Table border=1 width=98% cellpadding=4>
	<tr>
	<td>
	<font size=-1>
	<ul><B><%=wc_Default_Group_set_to_Group%>:
	<font color=blue>
	<%=Group_Name%></font></b><br>
	</td></tr></table>
	</center>




<%' Grab all Category Items from the Categories table for this category_number
	'and display the previous set category table if it exist

	Category_Number = Request.Form("CategoryNumber")

	' If the Category_Number is empty, then do not display this next table
	' and form


	' If Category_Number is empty, then they may have unset the category/group
	' assignment so we need to clear out any values first

	If Category_Number = "" Then ' Clear out any values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Categories"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				Do While NewRecord.EOF <> True
					NewRecord("Group_Number") = Null ' Reset To null
					NewRecord.Update
					NewRecord.MoveNext
				Loop

			Else ' If it already exists do not add another entry

			End If

		NewRecord.Close
		Set NewRecord = Nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

	End If ' End if Category_Number = ""



	If Category_Number <> "" Then

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Categories where Category_Number = " & Category_Number & " Order by Category_Number"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Category Items exists
		response.write "<Center>" & wc_No_Categories_Found_must_be_defined_first & "</center><,P>"
	Else

		CategoryName = rstemp("Category_Name")
		Category_Number = rstemp("Category_Number")


%>

<FORM METHOD=POST ACTION=DoConfigureDefaultGroupAssignment2.asp>

<input type=hidden name="Category_Number" value=<%=Category_Number%>>


<center>
<font size=-1><%=wc_Set_the_Group_Assignment%>
</font>

<table border=1 width=98%><tr><td bgcolor=F0E0D0>
<font size=-1><B><%=wc_category%>:</b> <%=CategoryName%></font>
</td>
</tr>
</table>

<table border=1 cellspacing=2 cellpadding=3 width=98%>
<tr>
<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_Category_Item_Text%>
</th>

<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_assign_to_group%>
</th>

<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_group%>
</th>
</tr>

<%

		Do While rstemp.EOF <> True
			ItemName = rstemp("Item_Name")
			CategoryGroupNumber = rstemp("Group_Number") ' Value of group number in category table

%>
	<tr>
	<td><font size=-1><%=ItemName%></td>

<td align=center>

<font size=-1>
<%=wc_If_selected_assign_to_group%>
</td>

	<% ' Now display all of of the Groups

			mySQL2="select * from Group_list order by Group_Name"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found then login fails.

			If  rstemp2.eof then ' Check to see any Category Items exists
				response.write "<td colspan=>" & wc_No_Group_Found & " " &  wc_At_least_one_group_must_be_defined & "</td></tr>"

			Else

				SelectName = "CatItemNumber" & rstemp("Item_Number")
				Response.write "<td align=center><font size=-1>"
				Response.write "<Select name = " & SelectName & " size=1>"

				Do While rstemp2.EOF <> True
					GroupName = rstemp2("Group_Name")
					Group_Number = rstemp2("Group_Number")
					If CategoryGroupNumber = Group_Number Then ' Item selected
						response.write "<option value="& Group_Number & " SELECTED>" & GroupName & "</option>" & vbCRLF
					Else
						response.write "<option value="& Group_Number & ">" & GroupName & "</option>" & vbCRLF
					End IF

					rstemp2.MoveNext
				Loop
				response.write "</select></td></tr>"
			End IF

			' Close inner recordset
			rstemp2.close
			set rstemp2=nothing

			rstemp.MoveNext
		Loop ' Outer Loop

		End If ' If No Categories Found

		rstemp.Close
		Set rstemp = Nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>
	</table>

</center>


	<%End If ' If Category_Number <> ""  %>


	<P>

	<center>
	<table width=80% border=0>

		<tr>


	<% If Category_Number <> "" Then	%>
		<td  align=center valign=middle>
		<input type=image src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif name=b_submit border=0>
		</td><td  align=center width=50% valign=middle><a href="SystemAdmin.asp"><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></A>
		</td>
	<%  Else ' Category_Number not set condition %>
		<td  align=center valign=middle>
		</td><td  align=center width=50% valign=middle><a href="SystemAdmin.asp"><img src=/<%=WCLanguageDirectory%>/"ts_continue30x100.gif" border=0></A>
		</td>


	<%End IF %>

		</tr>
		</table>
		</center>

</form>

</body>
</html>

<% End If %>
