<%  ' Module: DoDeleteBatchCustomers1.asp
	'
	' Description: Submit Module For DeleteBatchCustomers.asp module
	'
	' (C) 2000, 2007 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00		SAV	Created original EmailListSearch Page
	'11/13/00 	SAV	Created version for techcenter from DoEmailListSearch.asp module
	'4/26/01 	AJS	Converted input values to ucase and used Oracle function UPPER to work with Oracles
	'				Case Sentitivity
    '29/9/2007	JC	Cloned and adapted version for BeleteBatchCustomers
	'06/03/2011 CMB Added email and customer ID
    '06/09/2011 CMB Cleaned up redundancies by removing unused fields in query



%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<script language="javascript">
function SetAllCheckBoxes(FormName, FieldName, CheckValue)
{
	if(!document.forms[FormName])
		return;
	var objCheckBoxes = document.forms[FormName].elements[FieldName];
	if(!objCheckBoxes)
		return;
	var countCheckBoxes = objCheckBoxes.length;
	if(!countCheckBoxes)
		objCheckBoxes.checked = CheckValue;
	else
		// set the check value for all check boxes
		for(var i = 0; i < countCheckBoxes; i++)
			objCheckBoxes[i].checked = CheckValue;
}
</script>

</head>

	<body class=rightwindow>





<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	If Trim(Query) = "AND" Then Query=""
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form


		Contact_fname = UCase(Request.form("Contact_fname"))
		Contact_lname = UCase(Request.form("Contact_lname"))

		' Replace any single quote for names like O'mally with O''Mally for searches

		Contact_fname = Replace(Contact_fname, "'", "''")
		Contact_lname = Replace(Contact_lname, "'", "''")

		Email = UCase(Request.form("email"))
		Company = UCase(Request.form("Company"))
		Company = Replace(Company, "'", "''")


		Address = UCase(Request.form("Address"))
		Address = Replace(Address, "'", "''")


		City = UCase(Request.form("City"))
		State = UCase(Request.form("State"))
		Phone1 = Request.form("Phone1")
		TextNote1 = Request.form("TextNote1")
		TextNote2 = Request.form("TextNote2")
		TextNote3 = Request.form("TextNote3")
		TextNote4 = Request.form("TextNote4")
		TextNote5 = Request.form("TextNote5")
		TextNote6 = Request.form("TextNote6")
		TextNote7 = Request.form("TextNote7")
		TextNote8 = Request.form("TextNote8")
		TextNote9 = Request.form("TextNote9")
		TextNote10 = Request.form("TextNote10")




		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If City <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.City like '" & City & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF



		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF

		' add any textnotes to the WHERE statement - for all 10 textnote fields

		If TextNote1 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote1 like '%" & TextNote1 & "%'"
		  AndText = " AND "
        End If


		If TextNote2 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote2 like '%" & TextNote2 & "%'"
		  AndText = " AND "
        End If


		If TextNote3 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote3 like '%" & TextNote3 & "%'"
		  AndText = " AND "
        End If


		If TextNote4 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote4 like '%" & TextNote4 & "%'"
		  AndText = " AND "
        End If


		If TextNote5 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote5 like '%" & TextNote5 & "%'"
		  AndText = " AND "
        End If


		If TextNote6 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote6 like '%" & TextNote6 & "%'"
		  AndText = " AND "
        End If


		If TextNote7 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote7 like '%" & TextNote7 & "%'"
		  AndText = " AND "
        End If


		If TextNote8 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote8 like '%" & TextNote8 & "%'"
		  AndText = " AND "
        End If


		If TextNote9 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote9 like '%" & TextNote9 & "%'"
		  AndText = " AND "
        End If


		If TextNote10 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote10 like '%" & TextNote10 & "%'"
		  AndText = " AND "
        End If



		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If


			OrText = ""
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "ALL" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		For each SelectedGroup in Request("customertechassignment")
		If SelectedGroup <> "ALL" Then
		WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
		ORText = " OR "

		End If
		'response.write SelectedGroup & "<br>"
		next

		If AssignedTechID <> "" Then ' This is getting called to view their own customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""


	' Display the Main body of the page %>





<%

	' Build the query based on the passed input fields
	' If no categories or tech assignement the use a simple query for first page




		' mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
		' Original SELECT statement (above) extended to also join on CustomerNotes


		'mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company, "
		'mySQL2 = mySQL2 & "CustomerNotes.TextNote1, CustomerNotes.TextNote2, CustomerNotes.TextNote3, CustomerNotes.TextNote4, CustomerNotes.TextNote5, CustomerNotes.TextNote6, CustomerNotes.TextNote7, CustomerNotes.TextNote8, CustomerNotes.TextNote9, CustomerNotes.TextNote10 "
		mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, Customers.company " ' CMB 06/09/2011

		mySQL2 = mySQL2 & "FROM ((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) "

		mySQL2 = mySQL2 & "LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) "

		mySQL2 = mySQL2 & "LEFT JOIN CustomerNotes ON Customers.customer_id = CustomerNotes.Customer_ID "


		If page <> "" Then
			WhereStatement = Query ' Where Query passed from link
			' This is important to pass the Select part of the query since people can
			' modify whole query and put in SQL like DELETE.
		End If



	If Trim(WhereStatement) = "AND" Then
		mySQL2 = mySQL2 & " Order by Contact_lname"
	Else
		mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"
	End If
	' response.write "<font color=red>SQL statement is </font>" & mySQL2 & "<P>"

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	' --------------------- Tunable Paramameter Follows ------------------------------------------
    '
    ' Following parameter determines how many entries may be processed in any given execution
     maxcount = 99
    '
    ' ---------------------------------------------------------------------------------------------

	%>


	<CENTER>
	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Customer_Search_Results%>
	<br>
	 <span class=MinorScreenTitle><%=wc_Your_search_has_found%> </span>
	 <span class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</span>
     <span class=MinorScreenTitle> <%=wc_matching_records%>.</span>


	</td>
	</tr></table>

	<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->


 <TABLE BORDER=0 WIDTH="50%" >
 <TR>
 <TD ALIGN=CENTER><A HREF="DeleteBatchCustomers.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

 <TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
 </TR>
 </TABLE>
<p>
<%
if RecordsFound = 0 then
    response.write "<center><b>No Records Qualified With This Search</b></center>"
    response.flush
    response.end
end if
%>


 <font color=red><b>Cautionary Note</b></font> - Click
		    <a href='javascript:var w=window.open("BulkDeleteHelp.htm","subwindow77","width=800,height=600,screenX=100,screenY=30,left=100,top=30,scrollbars=yes,resizable=yes")'>
		    here </a>

 for further details

<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->


	<center>
	<form name=myform action=DoDeleteBatchCustomers2.asp method=post>
	<TABLE class=TightTableWrapper cellspacing=1" >
	<tr>
    <td class=ColumnLabel >Delete</td>
	<td class=ColumnLabel ><%=wc_Last%></td>
	<td  class=ColumnLabel ><%=wc_First%></td>

	<td  class=ColumnLabel ><%=wc_Company%></td>
	<td class=ColumnLabel ><%=wc_email%></td>
   <td class=ColumnLabel ><%=wc_Customer_ID%></td>


	</tr>



<%

        warning_flag = ""

        idcount=0


		do while (not rstemp.eof) and warning_flag = ""
        idcount=idcount+1

%>
	<tr>

	<% the_id = (rstemp("customer_id")) %>
	<%' !!!! may need to trim here to remove trailing spaces in some customer_id fields %>


    <td class=tightbodytext align=center><input type=checkbox name=id value="<%=the_id%>" >

    </td>
	<td class=tightbodytext height=20><%= rstemp("contact_lname") %> </td>

	<td class=tightbodytext><%= rstemp("contact_fname") %> </td>



	<td class=tightbodytext><%= rstemp("Company") %> </td>
	<td class=tightbodytext height=20><%= rstemp("Email") %> </td>
	<td class=tightbodytext height=20><%= rstemp("customer_ID") %> </td>


	</tr>

<%          if idcount > maxcount then
                warning_flag = "Yes"
            end if

 			rstemp.movenext
			loop
	rstemp.close
	set rstemp=nothing

%>

	</table>
	<p>
	<%
	If warning_flag = "Yes" then
	    %>
	    <center>
	    <Table width=90% class=SimpleWrapper bgcolor=lightpink><tr><td>
	     <font size=+1 color=red><b>Warning</b></font>
	     - the number of records found by this search exceeds the number that can be processed in a single attempt and only the
	     first <%=maxcount + 1%> records retrieved for this search are shown above. You can continue and delete all or some of these
	     records and/or return and specify a search which is more restrictive.
	     </td></tr></table>
	    </center>
	    <p>
	    <%
	end if
	%>
	<table>
	<tr>
	<td><input type="button" onclick="SetAllCheckBoxes('myform', 'id', true);" value="Select All"></td>
	<td width=30></td>
	<td><input type="button" onclick="SetAllCheckBoxes('myform', 'id', false);" value="Clear All"></td>
	</tr>
	</table>
<p>
	<table class=TightTableWrapper cellspacing=1>
	<tr>
	<td  class=formlabelsuper align=center>
	Re-Assign Customer_id
	</td>
	</tr>
	<tr>
	<td  class=formlabel width=450>
	All existing Cases, Assets, Notes, etc, that are associated with a customer to be deleted, must be re-assigned
	to another customer. Please specify here the customer-id to which all such items should be re-assigned.
	</td>
	</tr>
	<tr>
	<td class=tightbodytext align=center>
	       Customer_id:
	       <input type=text size=20 name=customer_id>
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
	</td>
	</tr>

	</table>

	<p>
         <input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

	</form>
	</center>






</body>
</html>

<% End If ' End of If Valid user %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
