<%  ' Module: DoDeleteBatchCustomers2.asp
	'
	' Description: Submit Module For DoDeleteBatchCustomers1.asp module
	'
	' (C) 2000, 2007 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   ' 9/29/07	JC		Originaly created
   '06/08/2011  CMB     When you delete a customer, move their contact notes over to new customer_ID
   '02/03/12    CMB   Reassign assets

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
		else
			TechFullName = "User Not Defined for Tech_ID: " & Tech_id
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteBatchCustomers1.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>






<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

<body class=rightwindow>

<%
set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN


' Get the form variables
' response.write request.form & "<P>"

assignee = request.form("customer_id")

' response.write "Assigned customer id = " & assignee & "<P>"
' ------------- check that customer id of assignee was filled in
if trim(assignee) = "" then
  response.write "<p><font color=red> You must supply a customer Id to which to re-assign cases for customers being deleted<p></font>"
  response.flush
  response.end
end if

' ------------- check that customer id of assignee is not being simultaneously deleted
For Each Item In Request.Form("id")
  If item = assignee then
	  response.write "<p><font color=red> The customer Id that you supplied (to which to re-assign cases for customers being deleted) is also specified as to be deleted. This is not a valid option.<p></font>"
	  response.flush
	  response.end
   end if
Next

' ------------- check that customer id of assignee is valid and exists as a customer


		mySQL2="SELECT * from Customers where Customer_id = '" & assignee & "'"
		' response.write "Check sql is " & Mysql2 & "<p>"
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF = True Then
            response.write "<p><font color=red>Customer Id for the Assignee do not match that of a record in the database</font><p>"
            response.flush
            response.end
        else
            ' do nothing"
		End If


' ------------- do a one-time check to see if Media Center is installed

If TableExists("Media_schedule","customer_id") Then
    media = "Yes"
else
    media = "No"
end if
' response.write "Media tables exist = " & media & "<p>"


response.write "Deleting...<br><blockquote><font color=blue size=-1>"


process_count = 0
For Each Item In Request.Form("id")
         process_count = process_count +1
        ' Response.Write "Calling with " & Item & "<br> "
         Call ProcessRecord(Item,assignee,media)

Next



response.write "</font><blockquote>" & process_count & " records processed<P>"
if process_count = 0 Then
  ' do nothing
else

	conntemp.close ' Close the connection
	set conntemp=nothing
end if
%>
</blockquote>
</blockquote>

 <TABLE BORDER=0 WIDTH="50%" >
 <TR>
 <TD ALIGN=CENTER><A HREF="DeleteBatchCustomers.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

 <TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
 </TR>
 </TABLE>

</body>
</html>

<% End If ' End of If Valid user %>




<%
Sub ProcessRecord(Thisid,assignee,media)

' response.write "Processing " & Thisid & " assignee is " & assignee & " media state is " & media & "<br>"
response.write  Thisid & "<br>"
response.flush

Thisid=Replace(Thisid,"'","''") ' double up apostrphe to make SQL work





		'mySQL2="SELECT * from Customers where Customer_id = '" & thisid & "'"
		'set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		'If rstemp.EOF = True Then
        '    response.write "<p><font color=red>Not found</font><p>"
        'else
        '    response.write "<p>Record Found<p>"
		'End If


'-----------------AssetAssignment			Delete
    '  MySQL = "Delete from AssetAssignment where customer_id ='" & ThisId & "'"  ' /02/03/12 reassign assets
      mySql = "Update AssetAssignment Set Customer_ID = '" & trim(assignee) & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)

'-----------------TextChat					Delete
      MySQL = "Delete from TextChat where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)

'-----------------CustomerNotes				Delete
'CMB ADDED 06/08/2011 because of a problem with sqlserver and ntext fields, have to do recordset a different way

		mySQL2="SELECT ContactNotes from CustomerNotes where customer_id ='" & ThisId & "'"

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3  ' was 1 will 0 work (openforward only)

		' Check to see if any records are returned

		OldNotes = ""
		If NOT rstemp2.EOF  Then  ' OPERATION NOT ALLOWED WHEN OBJECT IS CLOSED
			if not isnull(rstemp2("contactnotes")) then
				OldNotes = rstemp2("ContactNotes")
			end if
		end if
		rstemp2.close
		set rstemp2 = nothing
		conntemp.close
		set conntemp=nothing

		if OldNotes > "" then
			sNoteHdr = "<font color=green><B>Date: </b>" & FormatDateTime(now()) & "</font><br><font color=brown><B>By: </b>" & TechFullName & "</font><br><B>Note: </b>  Customer ID changed from " & ThisID & " to " & assignee & "<P>"
			OldNotes = sNoteHdr & OldNotes
			'sNoteTrailer = "<font color=green><B>Date: </b>"  & "</font><br><font color=brown><B>By: </b></font><br> ----- END OF CUSTOMER ID CHANGED -----<P>"
			'OldNotes = OldNotes & sNoteTrailer

			'Response.write OldNotes & "</BR>"
			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from CustomerNotes where customer_ID = '" & assignee & "'"
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			NewRecord.open SQL, conntemp, 1,3  ' OBJEcT CLOSED
			CurrentNotes = ""

			If NewRecord.EOF = True then
				NewRecord.AddNew
			else
				If not isnull(NewRecord("ContactNotes")) then
					CurrentNotes = NewRecord("ContactNotes")
				end if
			End If

			'NewNotes = OldNotes & CurrentNotes
			NewNotes = CurrentNotes & OldNotes
			NewRecord("Customer_ID") = assignee
			NewRecord("Tech_ID") = Tech_ID
			NewRecord("ContactNotes") = NewNotes
			NewRecord("LastModifiedDate") = Date ' Set of last modification

			NewRecord.Update
			NewRecord.close
			set newrecord = nothing
			conntemp.close
			set conntemp = nothing
		end if

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

     '*** end of update/add customer notes

      MySQL = "Delete from CustomerNotes where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)

'-----------------Customers					Delete
      MySQL = "Delete from Customers where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------CustomerTechAssignment	Delete
      MySQL = "Delete from CustomerTechAssignment where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------DeleteList				Delete
      MySQL = "Delete from DeleteList where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------EmailCategoryLinks		Delete
      MySQL = "Delete from EmailCategoryLinks where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------Cases						Re-assign to designated customer_id
      MySQL = "Update Cases Set customer_id = '" &  assignee & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------Schedule					Re-assign to designated customer_id
      MySQL = "Update Schedule Set customer_id = '" &  assignee & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)



'-----------------Survey_Results			Re-assign to designated customer_id
      MySQL = "Update Survey_Results Set customer_id = '" &  assignee & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------Invoice					Re-assign to designated customer_id
      MySQL = "Update Invoice Set customer_id = '" &  assignee & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
      set rstemp=conntemp.execute(mySQL)


'-----------------Media_schedule			Re-assign to designated customer_id
  if media = "Yes" then
       MySQL = "Update Media_schedule Set customer_id = '" &  assignee & "' where customer_id ='" & ThisId & "'"
    '  response.write "Doing SQL - " & Mysql & "<br>"
    '  response.flush
       set rstemp=conntemp.execute(mySQL)
  end if


end Sub
%>

<%
 ' This function takes 2 parameters - a table-name and optionaly a column-name which must be an empty string if absent.
 ' It returns TRUE or FALSE depending on whether the named table (and the column if specified) are in the database
  Function TableExists(tablename,columnname)
	set conntempveryunique=server.createobject("adodb.connection")
	conntempveryunique.open myDSN ' Open the connection once here
	if columnname = "" Then
	     mySQLveryunique="select * from " & tablename
	else
	     mySQLveryunique="select " & columnname & " from " & tablename
	end if
	' response.write "Executing " & mySQLveryunique & "<P>"
	errorcode = 0
	On error resume next
	set rstempveryunique=conntempveryunique.execute(mySQLveryunique)
	errorcode = err.number
	' response.write "I see error code is " & errorcode & "<P>"
	if errorcode = 0 then
       TableExists = 1
    else
       TableExists = 0
    end if

	rstempveryunique.close
	set rstempveryunique=nothing
	conntempveryunique.close ' Close the connection
	set conntempveryunique=nothing

  end function

%>




