<% 'Module: DoEditAssetCategory.asp

   'Description: This module adds or updates the AssetCategories table (from EditAssetCategory.asp)
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '09/13/11	CMB		Created DoEditAssetCategory from DoAssetInfo.asp
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	ValidUser = IsValidUser (TechLevel)

	if ValidUser <> "YES" Then %>
		<html>
		<head>
		<title>Invalid User</title>
		</head>
		<body bgcolor=beige>
		<p><font size=+2 color=red>
		   You do not have authorization to use this program - please Login first<p>
		   </font>
		</body>
		</html>
	<%

	response.flush
	response.end
End If

 ' End of ASP page security checks
 %>

<html>
<head>

<title><%=wc_Manage_Asset_Category_Label%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>
<body>
<% 'Get the form data

		ID = Request.form("txtID")
		AssetCategory = Request.form("txtAssetCategory")
		if Request.form("chkRequired") = "on" then
			bRequired = 1
		else
			bRequired = 0
		end if

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message

		If trim(AssetCategory) = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Asset_Category & " "  & wc_Is_A_Required_Field
		End If

		Valid = CheckForUniqueTableValues("AssetCategories","AssetCategory",AssetCategory,ID)
		if Valid <> "UNIQUE" Then
			ErrorMessage = ErrorMessage & "<LI>" & wc_Asset_Category & " "  & wc_Must_Be_Unique
		End If

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be display to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the asset information.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	Set NewRecord = Server.CreateObject("ADODB.Recordset")

	SQL = "Select * from AssetCategories where AssetCategoryID = " & ID

	NewRecord.Open SQL,Conn,3,3

	If ID = 0 Then ' If new
		NewRecord.AddNew
	End If

	NewRecord("AssetCategory") = trim(AssetCategory)
	NewRecord("IsRequired") = bRequired

	NewRecord.Update

	NewRecord.Close
	Conn.Close
	Set NewRecord = Nothing

	response.redirect("EditAssetCategory.asp")
%>
</body>
</html>


<%End If %>


<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue, CategoryID)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		If CategoryID <> "" Then
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "' AND AssetCategoryID <> " & CategoryID
		Else
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"
		End If

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			' Check if this is the correct asset number
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>

