<% 'Module: DoEditWhiteBoard.asp

   'Description: This module saves the values for the White Board
   ' that are setup by the EditMailMsg.asp module.
   '(C) 2000, 2001, 2002- 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/03/02	JC		Created original ASP module to replace the ?dll version
   '05/23/13	SAV		Created DoEditWhiteBoard.asp module from DoEditMailMsg.asp

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->

	<% ' Save all of the values into the email text table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Email_text"
			' There should only be 1 row in the email text table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

	' -------- Set Values from the form and check for empty string before setting ----------


		' Move the form field user_page_html to the database field user_page_html

			user_page_html = Request.form("user_page_html")
			If user_page_html <> "" Then
			     NewRecord("user_page_html") = user_page_html
			Else
			     NewRecord("user_page_html") =   Null  ' Set to null
			End If



' End Game Follows --------------------------------------

	NewRecord.Update
	NewRecord.Close
	Conn.Close

	Set NewRecord = Nothing
	Set Conn = nothing

%>

<% ' Call the EditMailMsg page again to confirm settings %>

<!-- #INCLUDE FILE="EditWhiteBoard.asp" -->


