<% 'Module: DoEmailCase.asp

   'Description: This module is the submit module for the EmailCase.asp module.

   '(C) 2000,2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/21/01	SAV		Created original ASP
   '06/04/13   CMB      Add case one line to subject

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateEmailCase.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the form data

	LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")

	Tech_Full_Name = TechFullName(LoginTech_ID)

	Customer_ID = Request.form("Customer_ID")


	Case_Number = Request.form("Case_Number")
	DirectEmail = Request.form("DirectEmail")
	IncludeHistory = Request.form("IncludeHistory")
	IncludeCustomerInfo = Request.form("IncludeCustomerinfo")
	IncludeCaseTimespent = Request.form("includecasetimespent")


	ReplyToEmail = Request.form("ReplyToEmail")
	AdditionalNotes = Request.form("AdditionalNotes")





	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values



	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	' Old Way
	'set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else


		' Get the other fields with another lookup


		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")

		Standard_reply_to_address = ReplyToEmail ' Put this value from the form field and not the database

		UserPageColor = rstemp("ts_user_page_color")
		OrganizationFromNameInternal = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		OrganizationFromName = OrganizationFromNameInternal


' New 5.0 fields for HTML

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF




	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


		' Check for the required fields or combinations of submitted form
		' elements which are not correct.


		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message


		If Customer_ID  = "" AND DirectEmail = "" Then
			ErrorMessage = ErrorMessage & "<LI> You must select a customer or enter a direct email address."
		End If

		If Case_number  = "" Then
			ErrorMessage = ErrorMessage & "<LI> You must enter a case number."
		End If

		If Customer_ID <> "" AND DirectEmail <> "" Then
			ErrorMessage = ErrorMessage & "<LI> Only select a customer OR enter a direct email address"
		End If



		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else ' Fields are ok so send email

		' Send out the Email now

		' If customer_id is selected, then get their email address

		If Customer_ID <> "" Then


			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here
			mySQL2="SELECT * from Customers where customer_id = '" & customer_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				ToEmail = ""
			Else
				ToEmail = rstemp2("email")
				ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

			End If

			rstemp2.close
			set rstemp2=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

		Else
			ToEmail = DirectEmail
		End If


		' Now get the case Information (One Line, summary, resolution, etc)

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing


		' Now grab more complete customer information to be sent with the email
		' as well

			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here
			mySQL2="SELECT * from customers where customer_id = '" & case_customer_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				Case_Customer_email = ""
			Else
				Case_Customer_Email = rstemp2("email")
				Case_Customer_Full_Name = rstemp2("contact_fname") & " " & rstemp2("contact_lname")
				Case_Customer_Company = rstemp2("Company")


			End If

			rstemp2.close
			set rstemp2=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing



		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""

		If AdditionalNotes <> "" Then
			Message =  AdditionalNotes  & vbCRLF & vbCRLF
		End If

		Message = Message & "CASE #: "  & Case_Number & vbCRLF
		Message = Message & "CUSTOMER:  " & Case_Customer_Full_Name & vbCRLF
		Message = Message & "COMPANY:  " & Case_Customer_Company & vbCRLF & vbCRLF



		Message = Message & "CASE ONE LINE DESCRIPTION:  " & Case_One_Line & vbCRLF & vbCRLF

		If IncludeHistory = "YES" Then

			Message = Message & "COMPLETE CASE HISTORY BELOW:" & vbCRLF &"---------------------------------" & vbCRLF

			' The special color codes have to be removed before sending the case_history

			Case_Text = Case_History
			Case_History = CleanUpHistoryText(Case_Text)
			Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF
		End IF


		If Case_Summary <> "" Then
			Message = Message & "----CASE SUMMARY----:"& vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & "----CASE RESOLUTION---:"& vbCRLF & Case_Resolution & vbCRLF
		End If




		If HTMLEmail = "YES" Then

			NotificationReportTitle = "Support Case Information"

			updatedby = "tech"


			AltBody = Message ' First save Text message into separate variable

			Message = CreateHTMLEmailCaseMsg(Case_Number,  AdditionalNotes, NotificationReportTitle, IncludeHistory, includecustomerinfo, includecasetimespent)



			' Debugging
	'		response.write Message
	'		response.flush
	'		response.end


		End IF





		' *************User Customizations *************************
		' You can change the Subject line if necessary

		' 06/04/13 SubjectLine = "Support Case Information"
		SubjectLine = "Support Case Information: " & Case_Number & " -- " & Case_One_Line   ' 06/04/13

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		If ToEmail <> ""  Then

			   If MyOS = "Windows" Then
				  SendEmail ToEmail, ToFullName, SubjectLine, Message
			   Else
				 SendLinuxEmail ToEmail,  ToFullName, SubjectLine, Message
			   End If

			   Customer_Notification = "<I>" &  ToFullName & "</i>(" & ToEmail & ")"
		End If






%>

<% ' Display the page now %>

<html><head>
<Title><%=wc_Email_Case_Confirmation%></title>
<!-- C. 1996, 1997, 1998, 1999, 2000, 2001 Internet Software Sciences -->

</head>

<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td Align=center>
<font size=+1><%=wc_Email_Case_Confirmation%></font>
</td></tr></table>

<br>
<br>
<center>
<font size=+1>
<%=wc_User%> <font color=blue> <%=Customer_Notification%></font> <%=wc_was_Emailed%>
<font color=blue><%=wc_case%> &nbsp;<%=Case_number%></font> <%=wc_information%>.

</font>

<p>
</center>
<P>
<center>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>


</body>
</html>


<% End if ' End of IF ErrorMessage <> ""%>


<% Sub GetDatabaseConfiguration(MaxHistorySize, MaxSummarySize, MaxResolutionSize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, userpagecolor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			MaxSummarySize =  rstemp2("max_case_summary_size")
			MaxResolutionSize =  rstemp2("max_case_resolution_size")

			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>





<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText

'	For i = 1 to len(NewText)
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>


<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>



<% Function CreateCategoryText(Case_Number)
	' This function performs a query of the set categories and
	' returns a string to be used when sending out the email messages

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here


	set rstemp2=conntemp.execute(mySQL3)


	' Create the category display for this case

	CategoryString = ""
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)


			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next ' Loop through the first 20 Categories

		If CategoryString = "" then
			CategoryString = "Categories: None set." & vbCRLF
		Else
			CategoryString = "Categories:" & vbCRLF & CategoryString
		End If

	CreateCategoryText = CategoryString ' Put function return value


	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


 End Function ' CreateCategoryText
%>

