<%  ' Module: DoEventSearch.asp
	'
	' Description: Submit Module For EventSearch.asp module
	'
	' (C) 2000, 2001, 2002, 2003 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'4/26/01	AJS		Changed Search By Case Status to work properly
	'01/07/2003 SAV		Created DoEventSearch.asp module from DoSearch.asp module
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

	' This will override databasetype2 constants set in the DB_define.inc file


		DatabaseType2 = Database



	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")
	Tech_ID = Request.querystring("Tech_ID")
	Status = Request.querystring("Event_Status")
	Case_Number = Request.querystring("Case_Number")


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form

		Search_String = Request.form("Search_String")
		Search_String = UCase(Search_String)
		If Search_String  = "" Then
			TextFlag = "NO"
		Else
			TextFlag = "YES"
		End If

		'SearchType = Request.form("SearchType") ' Set to ALL or ANY

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")


		If Status = "" Then
			Status = Request.form("status")
		End If

		Customer_ID = Request.form("customer_Id")

		If Tech_ID = "" Then
			Tech_ID = Request.form("Tech_ID")
		End If


		If Event_Type = "" Then
			Event_Type = Request.form("Event_Type")
		End If


		If Case_Number = "" Then
			Case_number = Request.form("Case_number")
		End If

		If ResultsView = "" Then
			ResultsView = Request.form("ResultsView") 'Detailed/Brief
		End If

		If ResultsView = "" Then
			ResultsView = "DETAILED"
		End IF


		If Search_String <> "" Then ' For Title Searches
			Search_String = Request.form("Search_String")
		End If

		' ****************************************************
		' Start to create the Query string
		' ****************************************************


		' Tech_ID  Search ' (Event Coordinator Search)
		If  Tech_ID <> "" Then
				WhereStatement = WhereStatement & AndText & " Schedule.Tech_ID = '" & Tech_ID & "'"
			AndText = " AND "
		End IF


		' Status Search
		If  Status <> "" Then
				WhereStatement = WhereStatement & AndText & " Schedule.Event_status = " & Status
			AndText = " AND "
		End IF


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Schedule.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF


		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Schedule.Case_number = " & Case_number
			AndText = " AND "
		End IF

		' Event_Type Search
		If  Event_Type <> "" Then
			WhereStatement = WhereStatement & AndText & " Schedule.Event_Type_ID = " & Event_Type
			AndText = " AND "
		End IF


		' Event Title Search

		' Date Searches
		If  Search_String <> "" Then
		' Note wildcat searches with allow to find text anywhere in the title
			WhereStatement = WhereStatement & AndText & " Schedule.Event_Title like '%" & Search_String & "%'"
			AndText = " AND "
		End IF


		' Databasetype2 comes out of the configuration table

		If Start_Date <> "" Then
			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & " Start_Date >= '" & Start_Date & "' "
				ANDText = " AND "
			End IF


			If DatabaseType2 = "ACCESS" Then
					WhereStatement = WhereStatement & ANDText & " Start_Date >= #" & Start_Date & "# "
					ANDText = " AND "
			End If

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & ANDText & " Start_Date >= '" & YYMMDD(Start_Date) & "' "
				ANDText = " AND "
			End IF

		End If






		If End_Date <> "" Then
			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & " Start_Date <= '" & End_Date & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & ANDText & " Start_Date <= #" & End_Date & "# "
				ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & ANDText & " Start_Date <= '" & YYMMDD(End_Date) & "' "
				ANDText = " AND "
			End IF

		End If





	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Event_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>



<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Event_Search_Results%></td>
</tr>
</table>

&nbsp;
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="EventSearch.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<%

	' Build the query based on the passed input fields


	'mySQL2 = "SELECT Schedule.Start_Date, Schedule.Tech_ID, Schedule.Event_Title, Schedule.Event_Status, Schedule.case_number, tech_staff.first_name, tech_staff.last_name, Event_Type.Event_Type_Name, Schedule.Schedule_ID, Schedule.Customer_ID, Schedule.Event_Notes FROM (Schedule INNER JOIN tech_staff ON Schedule.Tech_ID = tech_staff.tech_id) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "

	mySQL2 = "SELECT Schedule.Start_Date, Schedule.Tech_ID, Schedule.Event_Title, Schedule.Event_Status, Schedule.case_number, Tech_staff.first_name, Tech_staff.last_name, Event_Type.Event_Type_Name, Schedule.Schedule_ID, Schedule.Customer_ID, Schedule.Event_Notes, Schedule.Start_Time, Schedule.End_Date, Schedule.End_Time FROM (Schedule INNER JOIN Tech_staff ON Schedule.Tech_ID = Tech_staff.tech_id) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "

	mySQL2 = "SELECT Schedule.Start_Date, Schedule.Tech_ID, Schedule.Event_Title, Schedule.Event_Status, Schedule.case_number, Event_Type.Event_Type_Name, Schedule.Schedule_ID, Schedule.Customer_ID, Schedule.Event_Notes, Schedule.Start_Time, Schedule.End_Date, Schedule.End_Time FROM Schedule INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "
	If WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	If Page = "" Then
		mySQL2 = mySQL2 & WhereStatement & ExtraWhere
	Else
		mySQL2 = mySQL2 & WhereStatement
	End If



	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	If Page = "" Then ' First time through set the Query to the whole string
		Query = WhereStatement & Extrawhere
		'response.write "Query = " & Query

	End IF

	'response.write "Query = " & Query


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	'mySQL2 = mySQL2 & WhereStatement & " Order by Cases.Case_Number"

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' Uncomment Line here to debug SQL statement
	'response.write mySQL2

	'response.write "<Br>Query=" & Query
	'response.write "<Br>mySQL2=" & mySQL2


	' * * * * * * ** * * * * * * * * * * * * * * * * *

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string


	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(Query)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>


	 <center><%=wc_Your_search_has_found%>  <%=RecordsFound%>&nbsp; <%=wc_matching_records%>.<br></center><P>

	</font>


	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = 15 Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoEventSearch.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView&" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoEventSearch.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&">" & wc_Next & " .. &gt;&gt; </a>"
		response.write "<P></font>"
	End If

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

		If ResultsView = "BRIEF" Then
%>
		<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Event%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Date_Time%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Status%></th>
		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		do while not rstemp.eof AND Count < 15

		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView = "DETAILED" THEN
	%>

<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER colspan=2 bgcolor=C0B0A0><FONT SIZE=-1><B><%=wc_Event%>: <A HREF="EditEvent.asp?ID=<%=rstemp("Schedule_ID")%>"><%=rstemp("Event_Title")%></A></B></FONT></TD>

<TD ALIGN=CENTER colspan=2  bgcolor=C0B0A0><B><FONT SIZE=-1><%=wc_Date%>:</b> <%=rstemp("Start_Date")%>

&nbsp;&nbsp;&nbsp;<B><%=wc_Time%>:</b> <%=rstemp("Start_Time")%>


</B></TD>

</TR>


<TR>

<TD ALIGN=CENTER><B><FONT SIZE=-1><%=wc_Event_Coordinator%>:
<%

	If IsNull(rstemp("Tech_ID")) Then
       Response.Write wc_None
	Else
       qryTech = "select * from Tech_staff where tech_id = '" & rstemp("Tech_ID") & "'"
       set rstTECH = Server.CreateObject("adodb.recordset")
       rstTECH.open qryTech, myDSN, adopenstatic

	   If rstTech.EOF <> True Then

	       Response.Write "<A href=""mailto:" & rstTECH("WORK_EMAIL") & """>" & rstTECH("First_Name") & " " & rstTECH("Last_Name") & "</A>"
		Else
	       Response.Write "Invalid Tech"

		End IF

		rstTech.Close
		Set rstTech = Nothing

    end if

%>
</FONT></B><br></TD>

<TD ALIGN=CENTER><B><FONT SIZE=-1><%=wc_Customer%>: <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></B></TD>

<TD ALIGN=CENTER><FONT SIZE=-1>

<% If rstemp("Case_Number") <> "" Then
%>


<B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B><br><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<%Else %>

<B><%=wc_No_Case%></b>

<%End If %>

</td>


<TD ALIGN=CENTER><FONT SIZE=-1><B>

<%
		Status = rstemp("Event_Status")

		If status = "0" Or status = "" Then
			StatusString = wc_No_Status
		End If

		If status = "1"  Then
			StatusString = wc_Scheduled
		End IF

		If status = "2"  Then
			StatusString = wc_Postponed
		End IF

		If status = "3"  Then
			StatusString = wc_Cancelled
		End IF

		If status = "4"  Then
			StatusString = wc_ReScheduled
		End IF

		response.write StatusString


%>

</b></font></TD>


</TR>

<TR>
<TD COLSPAN=4 bgcolor=FFFFFF>
<font size=-1><B><%=wc_Event_Notes%>:</b>
<UL>
<%=rstemp("Event_Notes") %>

</ul>
</td>
</tr>


</TABLE></CENTER>

<CENTER>&nbsp;</CENTER>

<% 	Else ' Display the results in Brief view mode %>

<TR>

<TD><FONT SIZE=-1><B><%=wc_Event%>: <A HREF="EditEvent.asp?ID=<%=rstemp("Schedule_ID")%>"><%=rstemp("Event_Title")%></A></B></FONT></TD>

<TD ALIGN=CENTER ><B><FONT SIZE=-1><%=wc_Date%>:</b> <%=rstemp("Start_Date")%>

&nbsp;&nbsp;&nbsp;<B><%=wc_Time%></b>: <%=rstemp("Start_Time")%>


</B></TD>

<TD ALIGN=CENTER><FONT SIZE=-1><B>

<%
		Status = rstemp("Event_Status")

		If status = "0" Or status = "" Then
			StatusString = wc_No_Status
		End If

		If status = "1"  Then
			StatusString = wc_Scheduled
		End IF

		If status = "2"  Then
			StatusString = wc_Postponed
		End IF

		If status = "3"  Then
			StatusString = wc_Cancelled
		End IF

		If status = "4"  Then
			StatusString = wc_ReScheduled
		End IF

		response.write StatusString


%>

</b></font></TD>




</TR>


<% End if ' End If ResultsView = Detailed
%>


<%
			rstemp.movenext
			count = count + 1
		loop

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>




	<font size=-1 face=arial>
<%
	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoEventSearch.asp?Page=" & i & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next
		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoEventSearch.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="& TextFlag &"&ResultsView="&ResultsView&" >" & wc_Next & ".. &gt;&gt; </a>"
		response.write "<P></font>"
	End If
%>


</body>
</html>




<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

If IsNull(Case_Text) = True or Case_Text = ""  Then
	Format_Case_Text = ""
Else



	NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End If

End function
%>


<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>

