<% 'Module: DoExportMyCases.asp

   'Description: This module is submit module for ExportMyCases.asp
   ' to PDA *.tda file formats and Other formats
   ' Note this file does not generate an HTML page... it output a new Mime type
   ' to allow for a direct file download when the page is submitted.

   '
   '(C)  2001 Internet Software Sciences
   ' www.inet-sciences.com

	' The Lotus Organizer has the following fields and formats:
	' Comma delimited file, with string in double quote strings and other numbers/flags without
	' doubles quotes. The first line contains the column names
	'
	' Lotus Organizer 97 formats specifications

	' Field 1 "CONFIDENTIAL"  set to 1 or 0
	' Field 2 "CATEGORIES" Category name or "un-filed"
	' Field 2 "STARTDATE" format into: "1998-07-13 00:00:00.000000000"
	' Field 2 "DUEDATE" format into: "1998-07-13 00:00:00.000000000"
	' Field 2 "DESCRIPTION" put description here
	' Field 2 "COSTCODE" put as ""
	' Field 2 "CUSTOMERCODE" - put as ""
	' Field 8 "PRIORITY" formatted as: "Priority 1", "Priority 2"... or "Unprioritized"
	' Field 9 "COMPLETIONDATE"format into: "1998-07-13 00:00:00.000000000"
	' field 10 "STATUS" format as: "Completed" OR ...."Current" or "Overdue"

	' Palm Desktop Notes-------------

	' Note: We attempted to output a Palm Desk Compatible File (*.tda)
	' but Palm does not release this file format and we therefore do not
	' support the palm desktop for the To Do List for Techs.
	' For more information on the Todo Binary file structure
	' please refer to the URL: http://www.geocities.com/helphand1/todo_dat.html

	' MS Outlook To Do List Specifications
	' Outlook will accept a tab delimited file with the
	' following column names for importing to Do Lists
	' We will only output the fields we have available.
	' Fields exported as marked as **
	' Corresponding Web+Center fields are defined in ()

	' Field 1 Subject ** (Short Description)
	' Field 2 Start Date
	' Field 3 Start Time
	' field 4 End Date
	' Field 5 End Time
	' field 6 All day event
	' Field 7 Reminder on/off
	' Field 8 Reminder Date
	' Field 9 Reminder Time
	' Field 10 Meeting Organizer
	' Field 11 Required Attendees
	' Field 12 Optional Attendees
	' Field 13 Meeting Resources
	' Field 14 Billing Information
	' Field 15 Categories ** (Can optionally be entered by user at export time)
	' Field 16 Notes ** Case History + Customer Details if included
	' Field 17 Location
	' Field 18 Mileage
	' Field 19 Priority
	' Field 20 Private
	' Field 21 Sensitivity
	' Field 22 Show time as
	' Field 23 Contacts **  Put in the name of the customer assigned to the case (First Last)


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/23/01	SAV		Created DoExportMyCases.asp Page
   '01/31/01	SAV 	Removed palm desktop support and completed MS Outlook support
   '01/14/13   CMB    Changed the way we export comma delimited files

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel =2 ' Allow only Read techs and above  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoExportMyCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' First Process the Form element choices

	Category = Request.form("Category")
	FormatType = Request.form("FormatType")

		If FormatTYpe = "TAB" Then '(Excel format)
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"
		Elseif FormatType = "OUTLOOK" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-outlook"
			'Response.ContentType = "text/plain"


		Elseif FormatType = "COMMASCREEN" Then
			Delimiter = ","
			Response.ContentType = "text/plain"

		Else ' Plain Text screen output
			Delimiter = "," ' Comma Delimited
			'Response.ContentType = "text/plain"
			'Modified the way the CSV output is handled using the AddHeader method rather than content
			' Customization - You can change the name of the file below

			' ***** USER CUSTOMIZATION ************ CaseSearchExport.csv can be modified
			Response.AddHeader "Content-Disposition","attachment;filename=ExportMyCases.csv"

		End IF

	' Now Export the File information
	' First send the first line with the columns that will be exported


		Response.write  """Subject""" & Delimiter & """Categories""" & Delimiter & """Notes""" & delimiter
		Response.write  """Contacts"""
		Response.write  vbCRLF

	' Now output the cases for this tech or the passed tech

	CookieID = Request.form("xyzTech")


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2 = " SELECT Cases.tech_id, Cases.open_date, Cases.open_time, Cases.mod_date, Cases.mod_time, Cases.case_one_line, Cases.case_history, Cases.severity, Cases.severity, Cases.status, Customers.contact_fname, Customers.contact_lname, Customers.company, Customers.address, Customers.phone1, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id "

		mySQL2 = mySQL2 & "where Tech_ID = '" & CookieID & "' AND Status <> 1 Order by case_number desc"

		'response.write "MySQL = " & mySQL2


	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

		'set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then

		RecordsFound = rstemp.recordcount

		'Response.write " Records Found = " & RecordsFound

	 ' We need to get the tech name directly from the database since we won't have
		' the tech name since no rows were returned

		MySQL3 = " Select * from Tech_staff where tech_ID =  '" & CookieID & "'"

		set rstemp2=Server.CreateObject("adodb.Recordset")

		rstemp2.open mySQL3, conntemp, adopenstatic

		If rstemp2.EOF <> "True" Then
			TechFullName = rstemp2("First_Name") & " " & rstemp2("Last_name")
		Else
			TechFullName = "Tech Not Defined"
		End IF
		rstemp2.close
		set rstemp2=nothing

			do while not rstemp.eof
	%>

<% ' If case_number is less than 1000, then fill to the left with extra zeros

	Case_Number = rstemp("Case_Number")

	If len(case_number) = 1 Then
		DisplayCaseNumber = "000" & Case_Number
	ElseIf LEn(case_number) = 2 Then
		DisplayCaseNumber = "00" & Case_Number
	Elseif Len(case_number) = 3 Then
		DisplayCaseNumber = "0" & Case_Number
	Else
		DisplayCaseNumber = Case_Number
	End If
%>

<% ' Build up the three fields we are going to send out (subject,  description and contacts)

	Subject =  rstemp("Case_one_Line")

	CaseHistory = rstemp("case_history")
	NewCaseHistory = CleanUpHistoryText(casehistory)

	CustomerName = rstemp("Contact_fname") & " " & rstemp("Contact_lname")

	CompanyName = rstemp("Company")

	' Now add on additional fields to description

	Description = "Case: " & rstemp("Case_number") & " Customer:" & CustomerName
	If Company <> "" Then
		Description = Description & " Company: " & Company
	End IF

	CustomerPhone = rstemp("Phone1")
	CustomerEmail = rstemp("email")

	If CustomerPhone <> "" Then
		Description = Description & " Phone: " & CustomerPhone
	End IF
	If CustomerEmail <> "" Then
		Description = Description & " Email: " & Email
	End IF

	Description = Description & NewCaseHistory

		' Output the four fields now with the appropriate delimiter


		'Description = " A short bit of text without breaks"

			Response.write  Subject & Delimiter
			response.write Category & Delimiter
			response.write Description & Delimiter
			Response.write CustomerName

			response.write  vbCRLF

				rstemp.MoveNext
			loop

		Else ' No case so output page to browser

	%>

<% ' We need to get the tech name directly from the database since we won't have
	' the tech name since no rows were returned

	MySQL3 = " Select * from Tech_staff where tech_ID =  '" & CookieID & "'"

	set rstemp2=Server.CreateObject("adodb.Recordset")

	rstemp2.open mySQL3, conntemp, adopenstatic

	If rstemp2.EOF <> "True" Then
		TechFullName = rstemp2("First_Name") & " " & rstemp2("Last_name")
	Else
		TechFullName = "Tech Not Defined"
	End IF
	rstemp2.close
	set rstemp2=nothing
%>
	<%  ' Reset header to HTML if not records found
		Response.ContentType = "text/html"
	%>

	<html>
	<head>
	<title>Open Cases Export </title>
	</head>
	<body bgcolor=FFFFFF>

<P><CENTER>No file was
created because there are no open Cases for tech: <B><%=TechFullName%></B></CENTER>
</body>
</html>


		<%

		 ' Close the record set

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


	End If  ' End if No Open Cases for Tech

End If ' End of security check
%>

<% ' ****************** FUNCTIONS ***************************** %>

<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.

' We also need to remove any CR/ LF or CRLF combination
' so we can send it to the tab delimited file.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters



		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

		' remove all CR and LF from the text and any commas and replace with space

		NewText = Replace (Newtext, vbCRLF, " ")
		NewText = Replace (Newtext, vbCR, " ")
		NewText = Replace (Newtext, vbLF,  " ")
		NewText = Replace (Newtext, ",", " ")
		NewText = Replace (Newtext, vbTAB, "   ")


		NewText = Replace (Newtext, chr(10), vbCRLF)


'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText


'	response.write NewMessage



End function
%>



