<%  ' Module: DoExportWCItemListQB.asp
	'
	' Description: Submit Module For ExportWCItemListQB.asp module
	'
	' (C) 2000,2001- 2007, 2008 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '03/01/07	SAV		Created DoExportWCCustomersQB.asp
   '10/5/07		SAV		Updated to output direct .iif file with clickable link.
   '03/14/08	SAV		Created module for exporting techs to QB as employyes
   '04/08/08	SAV		Created module to export Web+Center Item list to QB

	' Note: This page does NOT generated HTML, instead it creates an QB IIF file to be exported
	' to QB.


%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%

	' Build the query based on the passed input fields
	' No not categories or tech assignement the use a simple query



	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL2 = "SELECT * From QBItem"

	'response.write mySQL2

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	RecordsFound = rstemp.recordcount

	%>


	<html>
	<head>
	<title>Export Web+Center QB Items into Quick Book Item List</title>
	</head>

	<body>

	<center>

	<font size=+2>
	Export Web+Center QB Items into Quick Book Item List IIF File
	</font>
	</center>



	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

			Delimiter = vbTab



		' QB Item List format

	'!INVITEM	NAME	INVITEMTYPE	DESC	ACCNT	PRICE	COST	NOTES

	' Here is an example of the IIF file we are trying to create:

'	!INVITEM	NAME	INVITEMTYPE	DESC	ACCNT	PRICE	COST	NOTES
'	INVITEM	IT Support-Repair	SERV	It Support and Repair	Consulting Income	83.00	0.00	Here are some notes

' Most of these columns come of the QBItem Table but others are defined in the QBOptions.inc file
' located in the language directory.

		'Web+Center QB Item column mappings to QB Field mappings


	'	QB IIF File Column - WC QBItem table Column
	'	---------------
	'NAME	 - QBItemName
	'INVITEMTYPE - QBItemType
	'DESC - QBItemDesc
	'ACCNT - Defined in QBOptions.inc located in the language directory - This must match an existing QB ACCNT
	'PRICE - Hourly Charge defined by QBItemPrice
	'COST - Set this to zero - this is for fix cost items.
	'NOTES - Some notes could be added but that field is currently not set

		' Now send out the first line that defines the columns we are going to export


	FileStr = ""
	FileStr = "!INVITEM" 	& Delimiter
	FileStr = FileStr & "NAME" & Delimiter
	FileStr = FileStr & "INVITEMTYPE" & Delimiter
	FileStr = FileStr & "DESC" & Delimiter
	FileStr = FileStr & "ACCNT" & Delimiter
	FileStr = FileStr & "PRICE" & Delimiter
	FileStr = FileStr & "COST" & Delimiter
	FileStr = FileStr & "NOTES"

	FileStr = FileStr & vbCRLF

	Record = FileStr

	Response.write " Adding Record line-->" & Record
	response.write "<br>"



	FinalDelimiter = Delimiter ' Save FinalDelimiter Value

	Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later




' Now start to parse the QBItem data from the W+C database



		' Now loop through the returned records and out the fields mapped


		do while not rstemp.eof


	' Need to replace any single quotes in customer ID if they exist

			' QB import specific

			Record = "INVITEM" & Delimiter


		Record = Record &  rstemp("QBItemName") & Delimiter

		Record = Record &  rstemp("QBItemType")		& Delimiter
		Record = Record &  rstemp("QBItemDesc")		& Delimiter

	If QBItemAccnt = "" Then
		QBItemAccnt = "Consulting Income"
	End IF


		Record = Record &  QBITemAccnt		& Delimiter
		Record = Record &  rstemp("QBItemPrice")	& Delimiter

		' Set cost to Zero for now.

		Record = Record &  "00.00"	& Delimiter
		Record = Record &  "Notes Place Holder"	& Delimiter

			' Now appy replace functions to the whole record

			Record = Replace (Record, ",", " ") ' Replace comma with space
			Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
			Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
			Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
			record = Replace (Record, vbCR, " ") ' Replace individual CR
			record = Replace (Record, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in


			Record = Record & vbCRLF ' Add in the line CR/LF

			FileStr = FileStr & Record

			Response.write " Adding Record line-->" & Record
			response.write "<br>"

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	'Now Write the File to wctempfiles directory


	Filename = "WebCenterItemListExport.IIF"

	WriteTextFile FileStr, Filename


%>



<Br>
QB Export file succesfully created<br>


<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoExportWCItemListQB.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech60"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>


Directions: Click on the link below to save and import your item list<br>


<a href="http://<%=hostname%><%=Virtual_path%>">Quick Book Item List IIF File</a>








</body>
</html>


