<%  ' Module: DoExtendedTimeSpentByTechByDate.asp
	'
	' Description: Submit Module For ExtendedTimeSpentByCustomerByDate.asp module
	'
	' (C) 2000, 2001, 2002, 2003,2004, 2005 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '1/12/05	    JC		Created DoCreateTimeSpent1.asp
   '3/18/05		SAV		Created DoExtendedTimeSpentByCustomerByDate.asp from Jitze's module
    '08/16/2011 CMB     SetLocale; reports.inc UK compliance


	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/InvoiceLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->


<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables

	Call SetLocale (1033) ' this is needed if using Month and day and other cstring functions CMB 08/15/2011

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		BusinessVirtual = rstemp("BusinessVirtual") ' Business+Center Virtual Directory


		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database

		DateDisplayFormat = rstemp("Date_Display_Format") ' 08/15/11 CMB


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>


<%
   'Get the cookie to be able to place it in the link to SC.asp
   Tech_ID = Request.Cookies("ISS_TECH") ' Get the Logged TechID from the cookie


' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form
		StartDate = Request.form("StartDate")
		EndDate = Request.form("EndDate")
		DateRange = Request.form("DateRange")

		GroupType = "Tech_ID" ' Always group by Tech_ID

		SetStatusID = Request.form("SetStatusID")
		SetInvoiceTypeID = Request.form("SetInvoiceTypeID")
		SetPurchaseDate = Request.form("SetPurchaseDate")





	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' DATE SEARCHES CODE BELOW
	' * * * * * * * * * * * * * * * * * * * * * * * * * *


		If DateRange = "Range" Then
			If  (not isDate(StartDate)) Then
				Bailout("Bad Start-Date in Date-Range specification")
			end if

			If  (not isDate(EndDate)) Then
				Bailout("Bad End-Date in Date-Range specification")

			end if


		End If





		' Check if Date Search uses one of the present date search
		' functions then use that for the Start and End Date instead

		'If DateRange <> "Range" Then
					ComputeDateRangeNewer StartDate, EndDate, DateRange, DateDisplayFormat  ' CMB 08/15/2011
		'End If



		If (StartDate <> "") AND (not isDate(StartDate)) Then
			response.write "Bad Start Date"
			response.flush
			response.end
		end if

		If (EndDate <> "") AND (not isDate(EndDate)) Then
			response.write "Bad End Date"
			response.flush
			response.end
		end if

		WhereStatement = "WHERE  "
		InvoiceDateField = " TimeSpent.Invoice_Date "

		' Special CODE FOR SQL*Server VS Access HERE !!!


		' Note Access version requires # for dates, SQL requires single quotes

		If StartDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & StartDate & "' "
				ANDText = " AND "
			End IF


			If DatabaseType2 = "ACCESS" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= #" & StartDate & "# "
					ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & YYMMDD(StartDate) & "' "
					ANDText = " AND "
			End If



		End If

		If EndDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & EndDate & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= #" & EndDate & "# "
				ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & YYMMDD(EndDate) & "' "
				ANDText = " AND "
			End IF


		End If

       ' response.write "where clause for date is " & WhereStatement & "<P>"

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>


<% ' Put main body of HTML page here. %>




<%
	If DatabaseType2 = "SQLSERVER" Then  '08/15/11 ' otherwise if sqlserver set to another locale won't find correct date range
		mySQL2 = "Set DATEFORMAT mdy; "
	Else
		mySQL2 = ""
	end if

	mySQL2 = mySQL2 & "SELECT TimeSpent.TimeSpentIndex, TimeSpent.Tech_ID, TimeSpent.InvoiceNumber, TimeSpent.Invoice_Date, TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, TimeSpent.Billable, "


	'mySQL2 = "SELECT TimeSpent.TimeSpentIndex, Timespent.Tech_ID, TimeSpent.InvoiceNumber, TimeSpent.Invoice_Date, TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, TimeSpent.Billable, "
	mySQL2 = mySQL2 & " Cases.case_number, Customers.contact_fname, Customers.contact_lname, Customers.company, Customers.customer_id "
	mySQL2 = mySQL2 & " FROM (TimeSpent INNER JOIN Cases ON TimeSpent.Case_Number = Cases.case_number) "
	mySQL2 = mySQL2 & " INNER JOIN Customers ON Cases.customer_id = Customers.customer_id"

    mySQL2 = mySQL2 & " " & WhereStatement


       mySQL2 = mySQL2 & " Order by TimeSpent.Tech_ID "



	' Uncomment this line for debugging SQL statement
	'response.write mySQL2 & "<P>"
    'response.flush
    'response.end

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)


	%>
<center>
	<form action=DoCreateTimeSpentInvoices2.asp name="myform" method=post>




<Table class=BGWrapper >
<tr>
<td  align=center valign=center class=majorscreentitlefixed>
 Extended Time Spent Reports by Technician
</td>
</tr>
<tr>
<td align=center valign=center  class=TitleInsert>
<%
      response.write "Grouped by Technician"

%>
</td>
</tr></table>



<p>

<table class=TightTableWrapper cellspacing=1>
<tr>
   <td  class=ColumnLabel align=center><%=wc_Date%></td>
   <td  class=ColumnLabel align=center><%=wc_Case_Number%></td>
   <td  class=ColumnLabel align=center><%=wc_Company%> / <%=wc_Customer%></td>
   <td  class=ColumnLabel align=center><%=wc_Description%></td>
   <td  class=ColumnLabel align=center><%=wc_Time%></td>

   <td  class=ColumnLabel align=center><%=wc_Amount%> / <%=wc_Total%></td>
</tr>


<% if rstemp.eof Then %>
<tr>
<td colspan=5 align=center><%=wc_No_Time_Spent_Records_Found%></td>
</tr>
</table>
<%
  else
  recordcount = 0
  Invoice_Total = 0
  Hours_Total = 0
  First_time  = "zxzxzxzxzxzxzxzx"
  Previous = First_Time
  do while not rstemp.eof


%>
<%
	if rstemp("billable") Then
	   recordcount = recordcount + 1
	   ' Act diferently depending on whether GroupType is "Individual_date" or "Individual_customer" or "Group_customer" or "Group_company"
       InvoiceNumber = rstemp("InvoiceNumber")




	   If GroupType = "Tech_ID" Then
	   %>


	    <%
	       prior_tech = This_tech
	       This_company = rstemp("tech_ID")


	       prior_fname = This_fname
	       this_fname = rstemp("contact_fname")

	       prior_lname = This_lname
	       this_lname = rstemp("contact_lname")

	       This_customer = rstemp("contact_fname") & " " & rstemp("contact_lname")

	       ' ------ on Control Break in sequence - generate a "Total" line in the output

	       If (Previous <> First_Time) AND (This_customer <> Previous) Then ' Insert a total line for the previous customer

	        %>

	          <tr>
	          <td class=TightBodyTextTotal align=right colspan=4><%=wc_Invoice_Total_For%>&nbsp; <b><%=previous%></b>&nbsp;</td>
	          <td class=TightBodyTextTotal align=right ><%=Hours_Total%>

	          <td class=TightBodyTextTotal align=right ><%=DisplayMoney(Invoice_Total)%>
	             <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Invoice_Total%> >
	             <input type=hidden name=TimeSpentIndex<%=recordcount%> value=0 >
	             <input type=hidden name=TotLine<%=recordcount%> value="Y" >
	          </td>
	          </tr>
	        <%

	          Invoice_Total = 0
	          Hours_Total= 0
	          recordcount = recordcount + 1
	          Contributor_flag = "No"
           End If
           previous = This_customer

        %>
		  <tr>

			  <% thisclass="TightBodyText" %>

			  <td class=<%=thisclass%> valign=top><%=rstemp("Invoice_Date")%></td>
			  <td class=<%=thisclass%> valign=top align=center><%=GenCaseLink(rstemp("case_number"))%></td>
			  <td class=<%=thisclass%> valign=top><%=rstemp("company")%> (<%=rstemp("contact_fname")%>&nbsp;<%=rstemp("contact_lname")%>)</td>
			  <td class=<%=thisclass%> valign=top><%=rstemp("TimeSpentNote")%></td>
			  <td class=<%=thisclass%>  valign=top><%=rstemp("Hours")%></td>

			  <% ' compute the amount and add it for later display BUT ONLY if the incoice number is empty - i.e. not part of an invoice already
			     ' and flag this record line as a "contributor"
			      line_amount = rstemp("Hours") * rstemp("HourlyRate")
			      Hours_Total = rstemp("Hours") + Hours_Total

			    If isNull(InvoiceNumber) or InvoiceNumber = "" or InvoiceNumber = 0 then
                  Invoice_Total = Invoice_Total + Line_amount

                  Contributor_flag = "Yes"
                  %>
                  <input type=hidden name=subline<%=recordcount%> value="Y" >
                  <%
                End If

			  %>
			  <td class=<%=thisclass%> valign=top align=right><%=DisplayMoney(line_amount)%></td>

		  </tr>


	  <% End if ' it was grouptype "Group_customer" %>


	 <%  If GroupType = "Group_company" Then %>

<% ' --------------------------------------------------- %>

   <%
	       prior_company = This_company
	       This_company = rstemp("company")


	       prior_fname = This_fname
	       this_fname = rstemp("contact_fname")

	       prior_lname = This_lname
	       this_lname = rstemp("contact_lname")

	       This_customer = rstemp("contact_fname") & " " & rstemp("contact_lname")


	       ' ------ on Control Break in sequence - generate a "Total" line in the output

	       If (Previous <> First_Time) AND (This_company <> Previous) Then ' Insert a total line for the previous customer
            %>



	          <tr>
	          <td class=TightBodyTextTotal align=right colspan=4><%=wc_Invoice_Total_For%>&nbsp; <b><%=previous%></b>&nbsp;</td>
	          <td class=TightBodyTextTotal align=right ><%=Hours_Total%>

	          <td class=TightBodyTextTotal align=right ><%=DisplayMoney(Invoice_Total)%>
	             <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Invoice_Total%> >
	             <input type=hidden name=TimeSpentIndex<%=recordcount%> value=0 >
	             <input type=hidden name=TotLine<%=recordcount%> value="Y" >
	          </td>
	          </tr>
	        <%

	          Contributor_flag = "No"
	          Invoice_Total = 0
	          Hours_Total= 0
	          recordcount = recordcount + 1
           End If
           previous = This_company

        %>
		  <tr>

			  <% thisclass="TightBodyText" %>

			  <td class=<%=thisclass%> valign=top><%=rstemp("Invoice_Date")%></td>
			  <td class=<%=thisclass%>  valign=top align=center><%=GenCaseLink(rstemp("case_number"))%></td>
			  <td class=<%=thisclass%>  valign=top><%=rstemp("company")%> (<%=rstemp("contact_fname")%>&nbsp;<%=rstemp("contact_lname")%>)</td>
			  <td class=<%=thisclass%>  valign=top><%=rstemp("TimeSpentNote")%></td>
			  <td class=<%=thisclass%>  valign=top><%=rstemp("Hours")%></td>




			  <% ' compute the amount and add it for later display BUT ONLY if invoice number is empty  i.e. it is not already part of another invoice
			     ' and slo flag this record as being a sub-part contributing to a total line
			     line_amount = rstemp("Hours") * rstemp("HourlyRate")
			     Hours_Total = rstemp("Hours") + Hours_Total

			    If isNull(InvoiceNumber) or InvoiceNumber = "" or InvoiceNumber = 0 then
                  Invoice_Total = Invoice_Total + Line_amount

                  Contributor_flag = "Yes"
                  %>
                  <input type=hidden name=subline<%=recordcount%> value="Y" >
                  <%
                End If
			  %>
			  <td class=<%=thisclass%>  valign=top align=right><%=DisplayMoney(line_amount)%></td>

		  </tr>



<% ' --------------------------------------------------- %>

	  <% End if ' it was grouptype "Group_company" %>

	<% end if ' if it was a billable record %>


<%
			rstemp.movenext
			count = count + 1
		loop
    ' -------------------------- Flush last total at EOF -------------------------------------------
	If GroupType = "Group_customer" or GroupType = "Group_company" Then ' flush out the last total which still needs to be output
	recordcount = recordcount + 1
	%>

	           <tr>
	          <td class=TightBodyTextTotal align=right colspan=4><%=wc_Invoice_Total_For%>&nbsp; <b><%=previous%></b>&nbsp; </td>
	          <td class=TightBodyTextTotal align=right ><%=Hours_Total%>

	          <td class=TightBodyTextTotal align=right ><%=DisplayMoney(Invoice_Total)%>
	              <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Invoice_Total%> >
	              <input type=hidden name=TimeSpentIndex<%=recordcount%> value="0" >
	              <input type=hidden name=TotLine<%=recordcount%> value="Y" >
	          </td>
	          </tr>

    <%
    End If
	rstemp.close
	set rstemp=nothing

%>

	</table>
	<input type=hidden name=recordcount value=<%=recordcount%> >
	<input type=hidden name=SetStatusID value=<%=SetStatusID%> >
	<input type=hidden name=SetInvoiceTypeID value=<%=SetInvoiceTypeID%> >
	<input type=hidden name=GroupType value=<%=GroupType%> >
	<input type=hidden name=SetPurchaseDate value=<%=SetPurchaseDate%> >
	<%
     If recordcount = 0 Then
        response.write "<P><font color=red>" & wc_No_Time_Spent_Records_Found & "</font>"
        response.flush
        response.end
     End If
    %>

	</center>


<table width=100% cellspacing=3 cellpadding=3 border=0>


<tr>

<td  align=center valign=top><a href="Reports.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

</table>

</form>
<% end if ' if not eof found immediately %>

<%' Display the bcfooter links %>

</body>
</html>



<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>
<% 'END OF PAGE CODE - START OF FUNCTIONS **************************%>
<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>



<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<%
Sub show_customer_pulldown(company, firstname, lastname, offset)

	' set conntemp2=server.createobject("adodb.connection")
	' conntemp2.open myDSN
	' set rstemp9=conntemp2.execute(mySQL9)

    set rstemp9 = Server.CreateObject("adodb.recordset")
	mySQL9="select * from Customers where company = '" & company & "' ORDER by contact_lname, contact_fname"
    rstemp9.open mySQL9, myDSN, adopenstatic


    tablecount = rstemp9.recordcount

    If tablecount = 1 Then

       %>
         <input type=hidden name=Bill_to_customer<%=offset%> value="<%=rstemp9("customer_id")%>">
       <%
       response.write rstemp9("contact_fname") & "&nbsp;" & rstemp9("contact_lname")
    Else
       response.write "<select name=bill_to_customer" & offset & " >"

		do while not rstemp9.eof

		 %>
		 <option value="<%=rstemp9("customer_id")%>"
		 <%
		 If firstname = rstemp9("contact_fname") And lastname = rstemp9("contact_lname") Then
			response.write " selected "
		 End If
		 Response.write ">"

		 %>
		  <%=rstemp9("contact_fname")%>&nbsp;<%=rstemp9("contact_lname")%>
		 <%
		rstemp9.movenext
		Loop
	  response.write "</select>"
   End If

End Sub
%>

<%
Function GenCaseLink(caseno)
   ' this function outputs the "special" link to SC.asp with case_number as the passed parameter

	' Get the full server http URL for the direct LINK.
 For each key in Request.serverVariables

	if Key = "SERVER_NAME" Then
		HostName =  Request.ServerVariables(key)
	End IF

	if Key = "SCRIPT_NAME" Then
		SCRIPT_Name =  Request.ServerVariables(key)
		' Replace our own module name with SC.asp


		Virtual_Path = replace(Script_Name, "DoCreateTimeSpentInvoices1.asp", "SC.asp")

		' Edit these virtual directory settings if needed - case sensitive
		CustomerCenterVirtual = "customer40"
		TechCenterVirtual = "tech40"


		If BusinessVirtual = "" Then
			BusinessCenterVirtual = "business40"
		Else
			BusinessCenterVirtual = BusinessVirtual ' Grab it from database
		End IF

		If TechVirtual = "" Then
			TechCenterVirtual = "tech40"
		Else
			TechCenterVirtual = TechVirtual
		End If



		Virtual_Path = replace(Virtual_Path, BusinessCenterVirtual, TechCenterVirtual)

	End IF

Next

	'response.write "<a href=http://" &  hostname & Virtual_path &"?ID=" & Tech_ID & "&N=" & caseno & " target=techcenterwindow>" & caseno & "</a>"

	response.write "<a href=TCaseForm.asp?Case_number=" & caseno & ">" & caseno & "</a>"


End Function

%>

<%
Sub Bailout(msge)

    %>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

    <center>
    <font size=+1 color=red><b> Error in field: &nbsp;</b></font>
    <%=msge%>

    <%
response.flush
response.end
End Sub
%>