<%  ' Module: DoGetCaseExport.asp
	'
	' Description: Submit Module For DoGetCaseExport.asp module
	'
	' (C) 2000,2001 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01   SAV	Created original DoEmailListSearchExport.asp Page
   '04/22/2011 CMB  Modified GetCustomerExport to use with Cases
   '01/14/13   cmb  modified the way we do csv files

	' Note: This page does NOT generate HTML, instead it send out a application
	' HTML mime type that you
	' directly Save As on you particular machine for potential
	' importing to a computer based scheduler/day timer program and
	' or Palm-top PDA.

	' CUSTOMIZATIONS - in the wc_ExportCaseLabels.inc file in the Language directory, there are several fields which
	' should be set -- most importantly the Version of Web+Center you are using (this is initially set to 6; setting it to 7 will
	'  allow you to export Asset Group name).  It is  allow you possible to
	' customize the column headings and which columns get retrieved as well as the number of categories and optional
	' text fields which get exported.  It is not possible at this time to rearrange the columns.  Please see
	' the wc_ExportCaseLabels.inc file for directions.

    ' NOTE to programmer: Text fields need to be gotten separately or else they don't show up in recordset
%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/wc_ExportCaseLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<%

'*** FROM DoSearch2.asp
	 ' Get the casenumber array
	  Array_casenumber = session("case_numbers")
	  hitcount = Ubound(Array_casenumber)

	  	set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
'****

    Dim CaseHistory
    Dim CaseResolution
    Dim CaseSummary

'   If you have more than 40 categories defined, change this number
	nCategories =  wc_Export_Number_of_Categories 'GetNumberOfCategories() ' HARDCODED

    Call GetConfiguration

	'*** Set up SQL statement; only version2 7 and above have Asset Groups defined

	sSQL = "Select cases.case_Number, external_case_Number, dup_Case_Num, cases.group_Number, cases.asset_Number, cases.customer_ID, "
	sSQL = sSQL & "cases.tech_id, open_date, open_Time, reopen_date, reopen_time, mod_date, mod_time, due_date, due_time,  "
	sSQL = sSQL & "status, severity, repeat_interval, scheduled_case_type, cases.assetgroupindex, "
	sSQL = sSQL & "text_field_1, text_field_2,text_field_3,text_field_4,text_field_5,text_field_6,text_field_7,text_field_8,text_field_9,text_field_10, "
	sSQL = sSQL & "Group_List.Group_Name, case_one_line, "

	If wc_Export_Version_Number <> 6 then
		sSQL = sSQL & " AssetGroup.AssetGroupName, "
	end if

	sSQL = sSQL & "Customers.company, Customers.contact_fname, Customers.contact_lname, Customers.city, "
	sSQL = sSQL & "tech_staff.first_name, tech_staff.last_name, Priority.ShortDesc "

	If wc_Export_Version_Number <> 6 then
		sSql = sSQL & "FROM (((Companies RIGHT JOIN ((cases LEFT JOIN AssetGroup ON cases.AssetGroupIndex = AssetGroup.AssetGroupIndex) LEFT JOIN Customers ON cases.customer_id = Customers.customer_id) ON Companies.Company_id = Customers.company_id) LEFT JOIN tech_staff ON cases.tech_id = tech_staff.tech_id) LEFT JOIN Priority ON cases.severity = Priority.PriorityID) LEFT JOIN group_list ON cases.group_number = group_list.group_number "
    else
    	sSql = sSQL & "FROM (((Companies RIGHT JOIN (cases LEFT JOIN Customers ON cases.customer_id = Customers.customer_id) ON Companies.Company_id = Customers.company_id) LEFT JOIN tech_staff ON cases.tech_id = tech_staff.tech_id) LEFT JOIN Priority ON cases.severity = Priority.PriorityID) LEFT JOIN group_list ON cases.group_number = group_list.group_number "
    end if


	 ' Send out special Content Type HTTP header so it will prompt the
	' user to either open or save the file instead of viewing it
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'    User Customizations
	' It is possible to change the order and columns headings below
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	' We have defined the content type to ms-excel format.  You can change it
	' to other format if you wish.
%>

		<% '*** Set the delimiter character based on format type

		FormatType = "COMMA"
		FormatTYpe = Request.QueryString("Mode")

		If FormatTYpe = "TAB" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"
		Elseif FormatType = "COMMA" Then
			Delimiter = "," ' Comma Delimited
		' 01/14/13	Response.ContentType = "application/txt"
					'Modified the way the CSV output is handled using the AddHeader method rather than content
					' Customization - You can change the name of the file below

					' ***** USER CUSTOMIZATION ************ CaseSearchExport.csv can be modified
					Response.AddHeader "Content-Disposition","attachment;filename=CaseSearchExport.csv"

		else			' Comma delimited to screen for viewing on screen.
			Delimiter = "," ' Comma Delimited
			Response.ContentType = "text/plain"
		End IF

		Call DoHeaders   ' Display the first line of column headings

		set rstemp = Server.CreateObject("adodb.recordset")

	'*** loop
		thisrec = 1
		do while thisrec < hitCount + 1
			target = Array_casenumber(thisrec)
			mySql = sSql & " where Cases.case_number = " & target
				'	response.write mysql
			set rstemp=conntemp.execute(mySQL)
			Call ProcessRecord
			thisrec = thisrec + 1
         LOOP

		SET rstemp= Nothing
	%>

<% Sub ProcessRecord  '*** this subroutine does the bulk of the processing for each case found
		' Save the delimiter since we will temporarily replace it [X*X] to remove any extra tabs

		FinalDelimiter = Delimiter ' Save FinalDelimiter Value
		If not rstemp.eof then

		' To remove any commas, tabs, CR,LF Newlines from the
		' the record line, we will first create the whole line
		' and then parse the whole string for these values and then put the tabs
		' back into the string.


		' We need to remove any commas from the fields since when we attempt
		' to import the data, outlook with insert a CR where a comma exists.
		' We will replace the comma with a space for entries my mycompany.com, INC.

		Record = "" ' Clear out record

		Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later
		' This way we can remove any extra tabs

		Record = Record & "" & rstemp("Case_Number") & ""

		if wc_Export_External_Case_Number > "" Then
			if not isnull(rstemp("External_case_Number")) then
				Record = Record &  Delimiter & "" & rstemp("External_case_Number") & ""
			else
				Record = Record &  Delimiter & "" & ""
			end if
		End If

		if wc_Export_Duplicate_Case_Number > "" Then
			if not isnull(rstemp("Dup_case_Num")) then
				Record = Record &  Delimiter & "" & rstemp("Dup_case_Num") & ""
			else
				Record = Record &  Delimiter & "" & ""
			end if
		end if

		if wc_Export_Asset_Number > "" Then
			if not isnull(rstemp("asset_number")) then
				Record = Record &  Delimiter & "" & rstemp("asset_number") & ""
			else
				Record = Record &  Delimiter & "" & ""
			end if
		end if

		if wc_Export_Assigned_group > "" Then
			if not isnull(rstemp("Group_Name")) then
				Record = Record &  Delimiter & "" & rstemp("Group_Name") & ""
			else
				Record = Record &  Delimiter & "" & ""
			end if
		end if

		if wc_Export_Case_One_Line > "" Then
			if not isnull(rstemp("Case_One_Line")) then
				Record = Record &  Delimiter & "" & rstemp("Case_One_Line") &""
			else
				Record = Record &  Delimiter & "" &""
			end if
		end if

		if wc_Export_Customer_ID > "" Then
			if not isnull(rstemp("Customer_ID")) then
				Record = Record &  Delimiter & "" & rstemp("Customer_ID") & ""
			else
				Record = Record &  Delimiter & "" &""
			end if
		end if

		if wc_Export_Contact_First_Name > "" Then
			if not isnull(rstemp("Contact_fname")) then
				Record = Record &  Delimiter & "" & rstemp("contact_fname") &""
			else
				Record = Record &  Delimiter & "" &""
			end if
		end if

		if wc_Export_Contact_Last_Name > "" Then
			if not isnull(rstemp("Contact_lname")) then
				Record = Record &  Delimiter & "" & rstemp("contact_lname") &""
			else
				Record = Record &  Delimiter & "" &""
			end if
		end if

		if wc_Export_Company > "" Then
			if not isnull(rstemp("Company")) then
					Record = Record & Delimiter & "" &  rstemp("Company") & ""
				else
					Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Assigned_Tech > "" Then
			if not isnull(rstemp("Tech_ID")) then
				Record = Record &  Delimiter & "" & rstemp("Tech_ID") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Tech_First_Name > "" Then
			if not isnull(rstemp("First_Name")) then
				Record = Record &  Delimiter & "" & rstemp("First_Name") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Tech_Last_Name > "" Then
			if not isnull(rstemp("Last_Name")) then
				Record = Record &  Delimiter & "" & rstemp("Last_Name") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Case_History > "" or wc_Export_Case_summary > "" or wc_Export_Case_Resolution > "" Then
			call GetCaseHistory(target)
		end if

		if wc_Export_Case_History > "" then
			' REMOVE CHARACTERS
			sCaseHistory = UnFormat_Case_Text(CaseHistory)
				'response.write "CASE HISTORY"
				'response.write sCaseHistory
				'response.write target
				'response.flush
				'response.end
			Record = Record &  Delimiter & "" & sCaseHistory & ""
		end if

		if wc_Export_Case_summary > "" Then
			Record = Record & Delimiter & "" &  CaseSummary & ""
		end if

		if wc_Export_Case_Resolution > "" Then
			Record = Record & Delimiter & "" &  CaseResolution & ""
		end if

		if wc_Export_Open_Date > "" Then
			if not isnull(rstemp("Open_Date")) then
				OpenDate = ConvertDate(rstemp("Open_Date"))
				Record = Record & Delimiter & "" &  OpenDate & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Open_Time > "" Then
			if not isnull(rstemp("Open_Time")) then
				OpenTime = ConvertTime(rstemp("Open_Time"))
				Record = Record & Delimiter & "" &  OpenTime & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Date_Last_Modified > "" Then
			if not isnull(rstemp("Mod_Date")) then
				OpenDate = ConvertDate(rstemp("Mod_Date"))
				Record = Record & Delimiter & "" &  OpenDate & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Time_Last_Modified > "" Then
			if not isnull(rstemp("Mod_Time")) then
				OpenTime = ConvertTime(rstemp("Mod_Time"))
				Record = Record & Delimiter & "" &  OpenTime & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Reopen_Date > "" Then
			if not isnull(rstemp("Reopen_Date")) then
				OpenDate = ConvertDate(rstemp("Reopen_Date"))
				Record = Record & Delimiter & "" &  OpenDate & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Reopen_Time > "" Then
			if not isnull(rstemp("Reopen_Time")) then
				OpenTime = ConvertTime(rstemp("Reopen_Time"))
				Record = Record & Delimiter & "" &  OpenTime & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Due_Date > "" Then
			if not isnull(rstemp("Due_Date")) then
				Record = Record & Delimiter & "" &  rstemp("Due_Date") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Due_Time > "" Then
			if not isnull(rstemp("Due_Time")) then
				Record = Record & Delimiter & "" &  rstemp("Due_Time") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Repeat_Interval > "" Then
			if not isnull(rstemp("Repeat_interval")) then
				Record = Record & Delimiter & "" &  rstemp("Repeat_interval") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		' STATUS
		if wc_Export_Status_Value > "" Then
			Record = Record & Delimiter & "" &  rstemp("Status") & ""
		end if

		if wc_Export_Status > "" Then
			nStatus = CInt(rstemp("Status"))
			If nStatus <> 0 Then
				Record = Record & Delimiter & "" &  wc_Open_Active & ""
			Elseif nStatus= 1 Then
				Record = Record & Delimiter & "" &  wc_Closed & ""
			Elseif nStatus = 2 Then
				Record = Record & Delimiter & "" &  wc_Open_Waiting & ""
			Else
				Record = Record & Delimiter & "" &  wc_Open_On_Hold & ""
			End IF
		end if

		'SCHEDULED CASE TYPE
		if wc_Export_Scheduled_Case_Type > "" Then
			if not isnull(rstemp("Scheduled_Case_Type")) then
				Record = Record & Delimiter & "" &  rstemp("Scheduled_Case_Type") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		'SEVERITY/priority
		if wc_Export_Severity > "" Then
			if not isnull(rstemp("Severity")) then
				Record = Record & Delimiter & "" &  rstemp("Severity") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		'pnote -  had to remove this from the main query since it's a TEXT field
		if wc_Export_Private_Notes > "" Then
			pnote = GetPNotes(target)
			Record = Record & Delimiter & "" &  pnote & ""
		end if

		if wc_Export_Asset_Group_Name > "" Then
			If wc_Export_Version_Number <> 6 then
				'assetgroupname V 7 ONLY!!!
				if not isnull(rstemp("AssetGroupName"))then
					Record = Record & Delimiter & "" &  rstemp("AssetGroupName") & ""
				else
					Record = Record  & Delimiter & ""  & ""
				end if
			end if
		end if

			'*** TEXT FIELDS
		if wc_Export_Number_of_Text_Fields > 0 then
			if not isnull(rstemp("Text_Field_1"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_1") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 1 then
			if not isnull(rstemp("Text_Field_2"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_2") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 2 then
			if not isnull(rstemp("Text_Field_3"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_3") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 3 then
			if not isnull(rstemp("Text_Field_4"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_4") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 4 then
			if not isnull(rstemp("Text_Field_5"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_5") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 5 then
			if not isnull(rstemp("Text_Field_6"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_6") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 6 then
			if not isnull(rstemp("Text_Field_7"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_7") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 7 then
			if not isnull(rstemp("Text_Field_8"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_8") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 8 then
			if not isnull(rstemp("Text_Field_9"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_9") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		if wc_Export_Number_of_Text_Fields > 9 then
			if not isnull(rstemp("Text_Field_10"))then
				Record = Record & Delimiter & "" &  rstemp("Text_Field_10") & ""
			else
				Record = Record  & Delimiter & ""  & ""
			end if
		end if

		Call GetCategories(target,nCategories,record)

		' **** Now apply replace functions to the whole record
		Record = Replace (Record, ",", " ") ' Replace comma with space
		Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
		Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
		Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
		record = Replace (Record, vbCR, " ") ' Replace individual CR
		record = Replace (Record, vbLF, " ") ' Replace individual LF

		' **** now put tabs back in replace the [X*X] string with tabs
		record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in
		Delimiter = FinalDelimiter

		Response.write Record
		response.write  vbCRLF
	End if
End Sub
%>

<%
function GetNumberOfCategories() '*** not currently used - categories is set in the wc_ExportCaseLabels.inc file
	Dim nCat

	qryCat = "Select max(Category_Number) as MaxCats from categories"
	set rsCAT = Server.CreateObject("adodb.recordset")
	rsCAT.open qryCat, myDSN, adopenstatic

   If rsCAT.EOF <> True Then
		nCat = CINT(rsCAT("MaxCats"))
	Else
	   nCat = 0
	End IF

	rsCAT.Close
	Set rsCAT = Nothing

	GetNumberofCategories = nCat
end function
	%>

<%
Sub GetCategories(in_target, nCat,irecord) '*** this subroutine gets the category numeric and text value from the Categories database table

	Dim cSql
	for i = 1 to nCat
		cSQL = "select category_Number, category_Name, Item_Name, Item_Number from Cases INNER join categories on (Cases.C" & i & " = Categories.Item_Number and categories.Category_Number = " & i
		cSql = cSQL & " and case_Number = " & in_target & ")"

		set rsCAT = Server.CreateObject("adodb.recordset")
		rsCAT.open cSQL, myDSN, adopenstatic
	    If rsCAT.EOF = True or isnull(rsCAT("Item_Number")) Then
			nCat=0 ' value
			sCat=""
			iRecord = iRecord  & Delimiter & ""  & ""
		Else
		    nCat= rsCAT("Item_Number")
		    sCat= rsCAT("Item_Name")
		    iRecord = iRecord & Delimiter & "" &  rsCat("Item_Name") & ""
		 '   response.write rsCat("Item_Name")
		End IF
		rsCAT.Close
	next
	Set rsCAT = Nothing
 end sub
%>

<%
Sub GetCategoryHeaders()
'*** this function gets the category headers from the Category database table for each category
	Dim cSql

	for i = 1 to nCategories
		cSQL = "select category_Number, category_Name from categories where category_Number = " & i
		set rsCAT = Server.CreateObject("adodb.recordset")
		rsCAT.open cSQL, myDSN, adopenstatic

	    If rsCAT.EOF = True or isnull(rsCAT("Category_Name"))  Then
			response.write   "Category " & i  & delimiter
		Else
		   response.write "" & rsCAT("Category_Name") & "" & Delimiter
		End IF

		rsCAT.Close
	next

	Set rsCAT = Nothing
 end sub
%>

<%
Sub GetCaseHistory(inCase)
		set rsCase = Server.CreateObject("adodb.recordset")

		qryCase = "Select case_history, case_summary, case_resolution from cases where case_Number = " & inCase
		rsCase.open qryCase, myDSN, adopenstatic
   		if not rsCase.EOF then
   			if not isnull(rsCase("Case_History")) then
   				CaseHistory = rsCase("Case_History")
   			else
   				CaseHistory = ""
   			end if
 			if not isnull(rsCase("Case_Resolution")) then
    				CaseResolution = rsCase("Case_Resolution")
    			else
    				CaseResolution = ""
   			end if
   			if not isnull(rsCase("Case_Summary")) then
   				CaseSummary = rsCase("Case_Summary")
   			else
   				CaseSummary = ""
   			end if
   		end if
		rsCase.Close
	Set rsCase = Nothing
 end sub
%>

<%
Function GetPNotes(inCase)
'***** This function gets private notes (nText field)

		set rsCase = Server.CreateObject("adodb.recordset")
        pNote1 = ""

		qryCase = "Select pnote from pnotes where case_Number = " & inCase
		rsCase.open qryCase, myDSN, adopenstatic
   		if not rsCase.EOF then
   			if not isnull(rsCase("pnote")) then
   				pNote1  = rsCase("pnote")
   			else
   				pNote1  = ""
   			end if
   		end if
   		GetPNotes = pNote1
		rsCase.Close
	Set rsCase = Nothing
 end Function
%>

<%
Sub GetTextFieldHeaders()
'*** This sub gets the defined Text Field headers from the Case_Text_Field_Labels database table

		qryCat = "Select * from case_text_field_labels"
	    set rsCAT = Server.CreateObject("adodb.recordset")
		rsCAT.open qryCat, myDSN, adopenstatic

	    if not rsCAT.EOF then
	   		if wc_Export_Number_of_Text_Fields > 0 then
				if not isnull(rsCat("field_1_label")) and rsCat("field_1_Label") > "" Then
					response.write "" & rsCAT("field_1_label") & "" & Delimiter
				else
					response.write   "Text_Field_1"  & delimiter
				end if
			end if

	   		if wc_Export_Number_of_Text_Fields > 1 then
				if not isnull(rsCat("field_2_label")) and rsCat("field_2_Label") > "" Then
					response.write "" & rsCAT("field_2_label") & "" & Delimiter
				else
					response.write   "Text_Field_2"  & delimiter
				end if
			end if

	   		if wc_Export_Number_of_Text_Fields > 2 then
				if not isnull(rsCat("field_3_label")) and rsCat("field_3_Label") > "" Then
					response.write "" & rsCAT("field_3_label") & "" & Delimiter
				else
					response.write   "Text_Field_3"  & delimiter
				end if
			end if

	   		if wc_Export_Number_of_Text_Fields > 3 then
				if not isnull(rsCat("field_4_label")) and rsCat("field_4_Label") > "" Then
					response.write "" & rsCAT("field_4_label") & "" & Delimiter
				else
					response.write   "Text_Field_4"  & delimiter
				end if
			end if

	   		if wc_Export_Number_of_Text_Fields > 4 then
				if not isnull(rsCat("field_5_label")) and rsCat("field_5_Label") > "" Then
					response.write "" & rsCAT("field_5_label") & "" & Delimiter
				else
					response.write   "Text_Field_5"  & delimiter
				end if
			end if

			if wc_Export_Number_of_Text_Fields > 5 then
				if not isnull(rsCat("field_6_label")) and rsCat("field_6_Label") > "" Then
					response.write "" & rsCAT("field_6_label") & "" & Delimiter
				else
					response.write   "Text_Field_6"  & delimiter
				end if
			end if

			if wc_Export_Number_of_Text_Fields > 6 then
				if not isnull(rsCat("field_7_label")) and rsCat("field_7_Label") > "" Then
					response.write "" & rsCAT("field_7_label") & "" & Delimiter
				else
					response.write   "Text_Field_7"  & delimiter
				end if
			end if

			if wc_Export_Number_of_Text_Fields > 7 then
				if not isnull(rsCat("field_8_label")) and rsCat("field_8_Label") > "" Then
					response.write "" & rsCAT("field_8_label") & "" & Delimiter
				else
					response.write   "Text_Field_8"  & delimiter
				end if
			end if

			if wc_Export_Number_of_Text_Fields > 8 then
				if not isnull(rsCat("field_9_label")) and rsCat("field_9_Label") > "" Then
					response.write "" & rsCAT("field_9_label") & "" & Delimiter
				else
					response.write   "Text_Field_9"  & delimiter
				end if
			end if

			if wc_Export_Number_of_Text_Fields > 9 then
				if not isnull(rsCat("field_10_label")) and rsCat("field_10_Label") > "" Then
					response.write "" & rsCAT("field_10_label") & "" & Delimiter
				else
					response.write   "Text_Field_10"  & delimiter
				end if
			end if
	   	else ' no  headers defined
	   		for nHeader = 0 to wc_Export_Number_of_Text_Fields
	   			response.write "Text_Field_" & nHeader & "" & Delimiter
			next
		end if
		rsCAT.Close
		Set rsCAT = Nothing
 end sub
%>

<%
Sub DoHeaders()  '**** this subroutine produces the first line of headers
		response.write wc_Export_Case_Number & delimiter

		if wc_Export_External_Case_Number > "" Then
			response.write wc_Export_External_Case_Number & delimiter
		end if

		if wc_Export_Duplicate_Case_Number > "" Then
			response.write wc_Export_Duplicate_Case_Number  & delimiter
		end if

		if wc_Export_Asset_Number > "" Then
			response.write wc_Export_Asset_Number & delimiter
		end if

		if wc_Export_Assigned_group > "" Then
			response.write  wc_Export_Assigned_group & delimiter
		end if

		if wc_Export_Case_One_Line > "" Then
			response.write  wc_Export_Case_One_Line & delimiter
		end if

		if wc_Export_Customer_ID > "" Then
			response.write  wc_Export_Customer_ID & delimiter
		end if

		if wc_Export_Contact_First_Name > "" Then
			response.write  wc_Export_Contact_First_Name  & Delimiter
		end if

		if wc_Export_Contact_Last_Name > "" Then
			response.write  wc_Export_Contact_Last_Name  & Delimiter
		end if

		if wc_Export_Company > "" Then
			response.write  wc_Export_Company & delimiter
		end if

		if wc_Export_Assigned_Tech > "" Then
			response.write  wc_Export_Assigned_Tech & delimiter
		end if

		if wc_Export_Tech_First_Name > "" Then
			response.write  wc_Export_Tech_First_Name  & Delimiter
		end if

		if wc_Export_Tech_Last_Name > "" Then
			response.write  wc_Export_Tech_Last_Name  & Delimiter
		end if

		if wc_Export_Case_History > "" Then
			response.write  wc_Export_Case_History & delimiter
		end if

		if wc_Export_Case_summary > "" Then
			response.write  wc_Export_Case_summary & delimiter
		end if

		if wc_Export_Case_Resolution > "" Then
			response.write  wc_Export_Case_Resolution & delimiter
		end if

		if wc_Export_Open_Date > "" Then
			response.write  wc_Export_Open_Date & delimiter
		end if

		if wc_Export_Open_Time > "" Then
			response.write  wc_Export_Open_Time & delimiter
		end if

		if wc_Export_Date_Last_Modified > "" Then
			response.write  wc_Export_Date_Last_Modified & delimiter
		end if

		if wc_Export_Time_Last_Modified > "" Then
			response.write  wc_Export_Time_Last_Modified & delimiter
		end if

		if wc_Export_Reopen_Date > "" Then
			response.write  wc_Export_Reopen_Date & delimiter
		end if

		if wc_Export_Reopen_Time > "" Then
			response.write  wc_Export_Reopen_Time & delimiter
		end if

		if wc_Export_Due_Date > "" Then
			response.write  wc_Export_Due_Date & delimiter
		end if

		if wc_Export_Due_Time > "" Then
			response.write  wc_Export_Due_Time & delimiter
		end if

		if wc_Export_Repeat_Interval > "" Then
			response.write  wc_Export_Repeat_Interval & delimiter
		end if

		if wc_Export_Status_Value > "" Then
			response.write  wc_Export_Status_Value & delimiter
		end if

		if wc_Export_Status > "" Then
			response.write  wc_Export_Status & delimiter
		end if

		if wc_Export_Scheduled_Case_Type > "" Then
			response.write  wc_Export_Scheduled_Case_Type & delimiter
		end if

		if wc_Export_Severity > "" Then
			response.write  wc_Export_Severity & delimiter
		end if

		if wc_Export_Private_Notes > "" Then
			response.write  wc_Export_Private_Notes & delimiter
		end if

		If wc_Export_Version_Number <> 6 then
			if wc_Export_Asset_Group_Name > "" Then
				response.write  wc_Export_Asset_Group_Name & delimiter
			end if
		End if

	   	if wc_Export_Number_of_Text_Fields > 0 then
			Call GetTextFieldHeaders
		End If

		Call GetCategoryHeaders

		response.write  vbCRLF ' do i need to remove final comma?
End Sub
%>

<%
Function UnFormat_Case_Text(Case_Text)
' This subroutines unformats the case_text with the proper color coding conventions

	If IsNull(Case_Text) = True or Case_Text = "" or Case_Text=vbNullString Then
		UnFormat_Case_Text = ""
	Else
		NewText = Case_Text

		' Tags entered by the user can be security issue so we will replace
		' them with printable html text of &lt; and & gt;

		' We need to replace double tag characters to double brackets so we can
		' convert them back to real tags
		'response.write "NewText"
		'response.write NewText
		'response.flush
		'response.end

		NewText = Replace (NewText, "<<", "")
		NewText = Replace (NewText, ">>", "")

		' Now replace regular tags

		NewText = Replace (NewText, "<", "")
		NewText = Replace (NewText, ">", "")


		' Now replace back the other double tags back to regular tags
		NewText = Replace (NewText, "[[", "")
		NewText = Replace (NewText, "]]", "")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "")
		NewText = Replace (NewText, "{g[", "")
		NewText = Replace (NewText, "{r[", "")
		NewText = Replace (NewText, "]r}", "")
		NewText = Replace (NewText, "]g}", "")

		NewText = replace(NewText, chr(10), "")
	'	NewText = replace(NewText, chr(10)&chr13, "<br>")

	' when upgrading to stylesheets - we further fix any 2 contiguous <br>'s by replacing them with a thin gray lie

	   NewText = replace(NewText, chr(13), "")
	   unFormat_Case_Text = NewText

	End If

End function
%>

<%
Sub GetConfiguration  '*** this subroutine gets configuration table from the database
	mySQL="select * from Configuration"
	set rstemp = Server.CreateObject("adodb.recordset")

	rstemp.open mySQL, myDSN, adopenstatic

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else
		WCDateFormat = rstemp("Date_Display_Format")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
	End If

	rstemp.close
	set rstemp=nothing

End Sub
%>

<%
Function ConvertDate(inDate)

	If WCDateFormat = "DDMMYYYY" Then
		ConvertDate =   mid(inDate,7,2) & "/" & mid(inDate,5,2) & "/" & mid(inDate,1,4)
	Else
		ConvertDate = mid(inDate,5,2) & "/" & mid(inDate,7,2) & "/" & mid(inDate,1,4)
	End IF
End Function
%>

<%
Function ConvertTime(inTime)

	ConvertedTime = mid(inTime, 1,2) & ":" & mid(inTime,3,2)

	ConvertedHour = int(mid(inTime,1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedTime = CStr(ConvertedHour) & mid(ConvertedTime, 3,3)
	Else
		If ConvertedHour = 12 Then
			AMPM = " PM"
		Else
			AMPM = " AM"
		End If
	End If
	ConvertTime = ConvertedTime & AMPM

End Function
%>