<% 'Module: DoRearrangeCategory1.asp

   'Description: This module is invoked by ManageCategoryLists.asp and allows a user to manipulate the sequence
   '             of items within a given category


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/29/02	JC		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>



<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Rearrange Category - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>


<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
         <font size=+1><b><%=wc_Rearrange_items_within_category%></b></font>
         <div align=left>
         <blockquote>
                  <font size=-1><%=wc_Rearrange_Category_Help_Block%></font>
         </blockquote>
         </div>
	</td>
</tr>
</table>




<p>

<FORM METHOD=POST ACTION=DoRearrangeCategory2.asp>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr><td align=center>
<%
' --- first pick the parameter telling us which category we are dealing with
'     also store it in a hidden form variable for use by DoRearrangeCategory2.asp

If request.querystring("category_name") <> "" Then
     category_name = request.querystring("category_name")
Else
     category_name = request.form("category_name")
End If



' next display a line with the category name - before the list of items within this category


%>
   <input type=hidden name=category_name value="<%=category_name%>">
   <font size=+1><b><%=wc_category_name%>: &nbsp; <font color=blue><%=category_name%></font></font></b><p>


<table border=0 cellspacing=0 cellpadding=0> <%' ----- inner table ----- %>
<%


set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

alphabetise = request.form("alphabetise")
'response.write "alph = "  & alphabetise & "<P>"
'response.flush
'response.end

If alphabetise = "" then
    SQL = "SELECT * from Categories WHERE category_name = '" & category_name & "' ORDER by category_index ASC"
else
    SQL = "SELECT * from Categories WHERE category_name = '" & category_name & "' ORDER by item_name ASC"
end if


set rstemp=conntemp.execute(SQL)
' response.write "sql is -" & SQL & "<P>"








Max_item_number = 0

%>
 <tr>
   <td align=center><b><%=wc_sequence_number%></b></td>
   <td> &nbsp; &nbsp; </td>
   <td align=center><b><%=wc_Item_Name %></b></td>
 </tr>
 <tr>
  <td> &nbsp; </td>   <%'  This is here just to provide some vertical space  %>

 </tr>
<%
' -----------Now list out the  items in this category

    sequence_number = 0
	Do while (Not rstemp.eof)

	' --- retrieve the fields from the database record
	category_number = rstemp("category_number")
	item_number = rstemp("item_number")
	category_name =  rstemp("category_name")
	item_name = rstemp("item_name")

     ' --- render alpha strings safe for single and double quotes
     ' especially to to protect compatibility with old existing databases

    category_name = replace(category_name, "'", "`")
    item_name = replace(item_name, "'", "`")
    category_name = replace(category_name, """", "``")
    item_name = replace(item_name, """", "``")
    ' --- also render them delimiter safe
    delim = "|"
    category_name = replace(category_name, delim, "\")
    item_name = replace(item_name, delim, "\")


	state = rstemp("state")
    group_number = rstemp("group_number")
    if group_number = "" or isNull(Group_number) Then
       group_number = "null"
    end if





	' --- Build up the fields as a concatenated string to pass as one parameter


		record_image =    category_number & delim  _
						& item_number  & delim  _
						& category_name & delim _
						& item_name & delim _
						& state & delim _
						& group_number


		sequence_number = sequence_number + 10

		%>
		  <tr>
		  <td align=center>
		      <input type=text size=3 maxlength=4 name=seqno value="<%=sequence_number%>">
		  </td>
		  <td> &nbsp; &nbsp; </td>
		  <td>
		     <%=item_name%>
		     <input type=hidden name=rec value="<%=record_image%>">
		  </td>
		  </tr>
		<%

		rstemp.Movenext
	Loop
	response.write "</td></tr>"



   ' -----------End Game Follows --------------------------------------


set rstemp=nothing
conntemp.close ' Close the connection



%>

   </table> <%' ----- inner table ----- %>
  </td>
</tr>
</table>

<center>



<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>
<td align=center> <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_commit30x80.gif border=0>
</td>

<td align=center>
  <a href=ManageCategoryLists.asp><img src=/<%=WCLanguageDirectory%>/ts_return30x80.gif border=0></a>
</td>
</tr>
</table>
</b>

<% End If ' This was a valid user%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
</form>
</body>
</html>
