<%  ' Module: DoSearch.asp
	'
	' Description: Submit Module For Search.asp module
	'
	' (C) 2000, 2001, 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'4/26/01	AJS		Changed Search By Case Status to work properly
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color and database type from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL
	End If
    DatabaseType2 = Database
	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")
	Tech_ID = Request.querystring("Tech_ID")
	Group_Number = Request.queryString("Group_Number")
	Case_Severity = Request.querystring("Case_Severity")
	Case_Status = Request.querystring("Case_Status")



'	If Tech_ID = "Un-assigned" Then
'		PassedTechID = "Un-assigned"
'	End If


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form

		Search_String = Request.form("Search_String")
		Search_String = UCase(Search_String)
		If Search_String  = "" Then
			TextFlag = "NO"
		Else
			TextFlag = "YES"
		End If

		'SearchType = Request.form("SearchType") ' Set to ALL or ANY

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type")

		If Group_Number = "" Then
			Group_Number = Request.form("Group_Number")
		End If

		If Case_status = "" Then
			Case_Status = Request.form("Case_status")
		End If

		Customer_ID = Request.form("customer_Id")

		If Tech_ID = "" Then
			Tech_ID = Request.form("Tech_ID")
		End If

		If Case_Severity = "" Then
			Case_Severity = Request.form("Case_Severity")
		End If

		Dup_Cases = Request.form("Dup_Cases")
		Case_number = Request.form("Case_number")
		Asset_Number = Request.form("Asset_number")

		Dup_Case_Number = Request.form("Dup_case_Number")
		External_Case_Number = Request.form("External_case_number")
		ReferenceType = Request.form("ReferenceType")


		If ResultsView = "" Then
			ResultsView = Request.form("ResultsView") 'Detailed/Brief
		End If

		ScheduledCase = Request.form("ScheduledCase")

		' Categories come in the form of C1, C2, C3 ... C100.
		' We will put in the code for C1 - C20.  If a user needs more the can
		' code additional code here to handle for categories

		Cat1 = Request.form("C1")
		Cat2 = Request.form("C2")
		Cat3 = Request.form("C3")
		Cat4 = Request.form("C4")
		Cat5 = Request.form("C5")
		Cat6 = Request.form("C6")
		Cat7 = Request.form("C7")
		Cat8 = Request.form("C8")
		Cat9 = Request.form("C9")
		Cat10 = Request.form("C10")

		Cat11 = Request.form("C11")
		Cat12 = Request.form("C12")
		Cat13 = Request.form("C13")
		Cat14 = Request.form("C14")
		Cat15 = Request.form("C15")
		Cat16 = Request.form("C16")
		Cat17 = Request.form("C17")
		Cat18 = Request.form("C18")
		Cat19 = Request.form("C19")
		Cat20 = Request.form("C20")


		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.

		If Search_String <> "" Then
			TextSearchQuery = Create_Text_Word_Query(Search_String)

		End If

		' Date Searches

		If Date_Type = 0 Then

			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Cases.Open_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF
		End If

		If Date_Type = 1 Then


			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		' Assigned Group Search
		If  Group_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Group_number = " & Group_Number
			AndText = " AND "
		End IF


		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "4" Then 'All Open Cases
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
			End If
			AndText = " AND "
		End IF


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF


		' Tech_ID  Search
		If  Tech_ID <> "" Then
			If Tech_ID = "Un-assigned" Then
				WhereStatement = WhereStatement & AndText & " Cases.Tech_ID IS Null "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.Tech_ID = '" & Tech_ID & "'"
			End If
			AndText = " AND "
		End IF


		' Priority Search
		If  Case_Severity <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Severity = " & Case_Severity
			AndText = " AND "
		End IF


		' Duplicate Search
		If  Dup_Cases <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Dup_case_Num = 0 "
			AndText = " AND "
		End IF


		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF


		' Asset Number Search
		If  Asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.asset_number = " & Asset_number
			AndText = " AND "
		End IF

		' Dup_Case_Number Search

		If Dup_case_Number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Dup_case_Num = " & Dup_Case_Number
			AndText = " AND "
		End IF

		' External Case Number search
		If External_Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number like '"  & External_Case_Number & "%'"
			AndText = " AND "
		End IF

		' External Case Number Type search
		If ReferenceType = "REFERENCEONLY" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number IS NOT NULL "
			AndText = " AND "
		End IF

		' External Case Number Type search
		If ReferenceType = "NOREFERENCEONLY" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number IS NULL "
			AndText = " AND "
		End IF


		' Case Category Search

		If Cat1 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C1 = " & Cat1
				AndText = " AND "
		End If

		If Cat2 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C2 = " & Cat2
				AndText = " AND "
		End If

		If Cat3 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C3 = "&Cat3
				AndText = " AND "
		End If

		If Cat4 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C4 = "&Cat4
				AndText = " AND "
		End If

		If Cat5 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C5 = "&Cat5
				AndText = " AND "
		End If

		If Cat6 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C6 = "&Cat6
				AndText = " AND "
		End If

		If Cat7 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C7 = "&Cat7
				AndText = " AND "
		End If

		If Cat8 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C8 = "&Cat8
				AndText = " AND "
		End If

		If Cat9 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C9 = "&Cat9
				AndText = " AND "
		End If

		If Cat10 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C10 = "&Cat10
				AndText = " AND "
		End If

		If Cat11 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C11 = " & Cat11
				AndText = " AND "
		End If

		If Cat12 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C12 = " & Cat12
				AndText = " AND "
		End If

		If Cat13 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C13 = "&Cat13
				AndText = " AND "
		End If

		If Cat14 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C14 = "&Cat14
				AndText = " AND "
		End If

		If Cat15 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C15 = "&Cat15
				AndText = " AND "
		End If

		If Cat16 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C16 = "&Cat16
				AndText = " AND "
		End If

		If Cat17 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C17 = "&Cat17
				AndText = " AND "
		End If

		If Cat18 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C18 = "&Cat18
				AndText = " AND "
		End If

		If Cat19 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C19 = "&Cat19
				AndText = " AND "
		End If

		If Cat20 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C20 = "&Cat20
				AndText = " AND "
		End If

		' Schedule Cases Search code **************************
		'  * * * * * * Time Zone Adjustment Calculation * * * * *

		' Late is computed by comparing the Date and time with the system time
		' A special date computation is needed if TimeZoneAdjustment is set.
		If TimeZoneAdjustment = "" Then
				TimeZoneAdjustmentInt = 0
			Else
				TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
		End If

		NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)
		NewDateDateOnly = DateValue(NewDate)
		NewTime = TimeValue(NewDate)

        ' database type is contained in DatabaseType2


			' Depending upon the type of ViewType, change the WHERE statement
			If ScheduledCase = "ALL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT Null AND  Status <> 1 "
			Elseif ScheduledCase = "ONCE" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type = 'ONCE' AND  Status <> 1 "
			Elseif ScheduledCase = "REPEATED" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type ='REPEAT' AND  Status <> 1 "


			Elseif ScheduledCase = "LATE" and DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= #" & NewDateDateOnly & "# And Due_Time <= #"& NewTime & "# AND Status <> 1 "
			Elseif ScheduledCase = "LATE" and (DatabaseType2 = "SQLSERVER" or DatabaseType2 = "SQL") Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & NewDateDateOnly & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "
			Elseif ScheduledCase = "LATE" and DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & YYMMDD(NewDateDateOnly) & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "



			Elseif ScheduledCase = "TODAY" and DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = #" & Date & "#  AND Status <> 1 "
			Elseif ScheduledCase = "TODAY"  and (DatabaseType2 = "SQLSERVER" or DatabaseType2 = "SQL") Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & Date & "'  AND Status <> 1 "
			Elseif ScheduledCase = "TODAY"  and DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & YYMMDD(Date) & "'  AND Status <> 1 "

			End IF





	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Case_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
</HEAD>




<body bgcolor="<%=UserPageColor%>">




&nbsp;
<TABLE BORDER CELLSPACING=2 CELLPADDING=10 WIDTH="98%" >
<TR>
<TD>
<CENTER><B><FONT SIZE=+1><%=wc_Case_Search_Results%></FONT></B></CENTER>

</TD>
</TR>
</TABLE>
&nbsp;
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="Search.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<%

	' Build the query based on the passed input fields

	' There are two basic queries... one for a search with a search string and
	' another for searches without search strings.


	If TextFlag = "YES" THEN ' Text Search string is enter so use this first query
		mySQL2 = "SELECT DISTINCT KBMap.Case_Number, Cases.case_one_line, Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.Repeat_Interval, Cases.customer_id, Cases.status, Cases.tech_id FROM Cases, KBMap "

		mySQL2 = "SELECT DISTINCT KBMap.Case_Number, Cases.case_one_line, Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.Repeat_Interval, Cases.customer_id, Cases.status, Cases.tech_id FROM cases INNER JOIN kbmap ON cases.case_number = kbmap.Case_Number "



		'ExtraWhere= " AND Cases.case_number = KBMap.Case_Number "
	else
		mySQL2 = "Select * from Cases "
		ExtraWhere= ""
	End If


	If TextSearchQuery <> "" Then ' Add in Keyword search query first
		If WhereStatement = "" THen
			WhereStatement = " WHERE (" & textSearchQuery & ")"
		Else
			WhereStatement = " WHERE " & WhereStatement & " AND (" & textSearchQuery & ")"
		End If
	End If

	If TextSearchQuery = "" AND WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	If Page = "" Then
		mySQL2 = mySQL2 & WhereStatement & ExtraWhere
	Else
		mySQL2 = mySQL2 & WhereStatement
	End If



	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	If Page = "" Then ' First time through set the Query to the whole string
		Query = WhereStatement & Extrawhere
		'response.write "Query = " & Query

	End IF

	'response.write "Query = " & Query


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	'mySQL2 = mySQL2 & WhereStatement & " Order by Cases.Case_Number"

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' Uncomment Line here to debug SQL statement
	response.write mySQL2

	'response.write "<Br>Query=" & Query

	'mySQL2 = "Select * from cases"
	' * * * * * * ** * * * * * * * * * * * * * * * * *

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query




	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(Query)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>


	 <center><%=wc_Your_search_has_found%>  <%=RecordsFound%>&nbsp; <%=wc_matching_records%>.<br></center><P>

	</font>


	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = 15 Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoSearch.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView&" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoSearch.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&">" & wc_Next & " .. &gt;&gt; </a>"
		response.write "<P></font>"
	End If

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

		If ResultsView = "BRIEF" Then
%>
		<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Case%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Customer%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Tech%></th>
		<th bgcolor=D0E0F0 width=50%><font size=-1><%=wc_One_Line_Description%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Status%></th>
		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		do while not rstemp.eof AND Count < 15

		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView = "DETAILED" THEN
	%>

<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER><FONT SIZE=-1><B><%=wc_Case%>: <A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B>&nbsp;<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ALIGN=CENTER><B><FONT SIZE=-1><%=wc_Customer%>: <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></B></TD>

<TD ALIGN=CENTER><B><FONT SIZE=-1><%=wc_Tech%>:
<%

	If IsNull(rstemp("Tech_ID")) Then
       Response.Write "Not Assigned"
	Else
       qryTech = "select * from Tech_staff where tech_id = '" & rstemp("Tech_ID") & "'"
       set rstTECH = Server.CreateObject("adodb.recordset")
       rstTECH.open qryTech, myDSN, adopenstatic

	   If rstTech.EOF <> True Then

	       Response.Write "<A href=""mailto:" & rstTECH("WORK_EMAIL") & """>" & rstTECH("First_Name") & " " & rstTECH("Last_Name") & "</A>"
		Else
	       Response.Write "Invalid Tech"

		End IF

		rstTech.Close
		Set rstTech = Nothing

    end if

%>
</FONT></B><br></TD>

<TD ALIGN=CENTER><B>

<% If CInt(rstemp("Status")) <> 1 Then
	Response.write "<FONT COLOR=""#008000""><FONT SIZE=-1>" & wc_Open & "</FONT></FONT>"
  Else
	Response.write "<FONT COLOR=""#FF0000""><FONT SIZE=-1>" & wc_Closed & "</FONT></FONT>"
  End If
%>

</B></TD>
</TR>

<% ' Display Case Schedule Information if it exists %>
<% If rstemp("Scheduled_Case_Type") <> "" Then %>
<tr>
<td><font size=-1><B>Schedule Type:</b>  <%=rstemp("Scheduled_Case_Type")%>
</td>
<td><font size=-1><B>Due Date:</b>  <%=rstemp("Due_Date")%>
</td>
<td><font size=-1><B>Due Time:</b>  <%=rstemp("Due_Time")%>
</td>
<td><font size=-1><B>Every:</b>  <%=rstemp("Repeat_Interval")%> Days
</td>
<tr>
<%End If %>


<TR>
<TD COLSPAN="4"><B><FONT SIZE=-1><%=wc_One_Line_Description%>:&nbsp;</FONT></B>
<BR><FONT SIZE=-1><%=rstemp("Case_One_Line")%></FONT></TD>
</TR>

<TR>
<TD COLSPAN="4"><B><FONT SIZE=-1><%=wc_Case_History%>:&nbsp;</FONT></B>
<font size=-1>

<% ' We need to get the Case_History, Summary and Resolution fields using a different
	' record set since the DISTINCT clause will not work with these memo fields

	mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

	'response.write mySQL3

	set rstemp2 = Server.CreateObject("adodb.recordset")
	rstemp2.open mySQL3, myDSN, adopenstatic



	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")

	' Close this intermediate record set
	rstemp2.close
	set rstemp2=nothing

	CaseText = Format_Case_Text (Case_History)

	response.write CaseText
%>

</TD>
</TR>

<TR>
<TD COLSPAN="4"><FONT SIZE=-1><B>Case Summary:&nbsp;</b>


<%
	New_Summary = Format_Case_Text(Case_Summary)
%>

<%=New_Summary%></FONT></TD>
</TR>

<TR>
<TD COLSPAN="4"><FONT SIZE=-1><B>Case Resolution:&nbsp;</b>

<%
	New_Resolution = Format_Case_Text(Case_Resolution)
%>


<%=New_Resolution%></FONT></TD>
</TR>
</TABLE></CENTER>

<CENTER>&nbsp;</CENTER>

<% 	Else ' Display the results in Brief view mode %>

<TR>
<TD ALIGN=CENTER><FONT SIZE=-1><B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B><br><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ALIGN=CENTER><FONT size=-1><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></TD>

<TD ALIGN=CENTER><B><FONT SIZE=-1>
<%
   if not isnull(rstemp("Tech_ID"))  then
       qryTech = "select * from Tech_staff where tech_id = '" & rstemp("Tech_ID") & "'"
       set rstTECH = Server.CreateObject("adodb.recordset")
       rstTECH.open qryTech, myDSN, adopenstatic

		If rstTech.EOF <> True Then
    	   Response.Write "<A href=""mailto:" & rstTECH("WORK_EMAIL") & """>" & rstTECH("First_Name") & " " & rstTECH("Last_Name") & "</A>"
    	else
    	   Response.Write "Invalid Tech"
		End If

		rstTech.Close
		Set rstTech = Nothing

    else
       Response.Write "Not Assigned"
    end if


%>
</FONT></B><br></TD>


<TD>
<FONT SIZE=-1><%=rstemp("Case_One_Line")%></FONT></TD>

<TD ALIGN=CENTER>

<% If CInt(rstemp("Status")) <> 1 Then
	Response.write "<FONT COLOR=""#008000""><FONT SIZE=-1>Open</FONT></FONT>"
  Else
	Response.write "<FONT COLOR=""#FF0000""><FONT SIZE=-1>Closed</FONT></FONT>"
  End If
%>

</TD>
</TR>


<% End if ' End If ResultsView = Detailed
%>


<%
			rstemp.movenext
			count = count + 1
		loop

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>




	<font size=-1 face=arial>
<%
	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoSearch.asp?Page=" & i & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next
		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoSearch.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="& TextFlag &"&ResultsView="&ResultsView&" >" & wc_Next & ".. &gt;&gt; </a>"
		response.write "<P></font>"
	End If
%>

<%End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>



<%Function Format_Case_Text_Old(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = ""

	LenCaseText = Len(Case_text)
	i = 1




	Do while i <= LenCaseText

		CurrentChar = mid(Case_text, i,1)

		If i <= LenCaseText - 3 Then ' Check to see if special format characters in string

			If CurrentChar = "{" Then

				If  mid(Case_text, i+1, 1) = "g" AND  mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#008000 size=-1>"
					i = i + 3


				ElseIf  mid(Case_text, i+1, 1) = "r" AND mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#FF0000 size=-1>"
					i = i + 3
				End If

			ElseIf CurrentChar = "]" THEN

				If mid(Case_text, i+1, 1) = "g" AND mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3

				ElseIf mid(Case_text, i+1, 1) = "r" AND  mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3
				End If

			ElseIf CurrentChar = chr(13) Then
				NewText = NewText & "<br>"
				i = i + 1
			Else
				NewText = NewText & Mid(case_text, i,1)
				i = i + 1
			End If
		Else ' Else if LenCaseText  is less than 3 characters from the end
			NewText = NewText & Mid(case_text, i,1)
			i = i + 1
		End If
	Loop

	Format_Case_Text_Old = NewText



End function
%>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

If IsNull(Case_Text) = True or Case_Text = ""  Then
	Format_Case_Text = ""
Else



	NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End If

End function
%>

<% Function Create_Text_Word_Query(Search_String)

' This function takes the Search_string as input and
' creates the query with each word mapped as a kbword entry
' it is exists.


' * * * * * * * USER CUSTOMIZATION * * * * * * * * * *
' The Text search uses an OR operator to find all cases that have any of the words
' listed.  If you wish to perform an AND operation to only return
' cases that have all of the words.

' To change it to AND operation rather than OR, select the appropriate operators

	' Default Value = OR

	'OR_SQL_STRING = " OR "
	OR_SQL_STRING = " AND "


If Search_string <> "" Then

	TextLen = Len(Search_string)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(search_string, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery = TotalQuery & ORWord & Query
					ORWord = OR_SQL_STRING

			End If

			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else
			NewWord = NewWord & currentchar
			LastChar = CurrentChar

		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery =  TotalQuery & ORWord & Query
					ORWord = OR_SQL_STRING
			End If


			'response.write NewWord & "<br>"

End If ' End of if Search_String <> blank

	Create_Text_word_Query = TotalQuery

End Function
%>

<% Sub AddToQuery(Word,  Query)
' Check to see if word exists and returns it to the query
' We will be creating a query like:
'  	WHERE (((KBMap.WordIndex) = 1 Or (KBMap.WordIndex)=2 Or (KBMap.WordIndex)=3))


' The Algorithm here is to use the "like SQL operator to find the word.

' We need to make sure that any word that has single quotes is converted to
' to two single quotes for SQL compatibility.

	SearchWord = ""

		for i = 1 to len(word)
			if (Mid(Word, i,1) = "'") Then
				SearchWord = SearchWord & "''"
			else
				SearchWord = SearchWord & Mid(Word, i,1)
			End If
		next

		' First try to find the exact word.  For Example, if the
		' user is searching for "DR" then search for exactly "DR"
		' and see if a match is found.  If it is then then use that
		' If that fails then do a wild card search finding the
		' cases of drop, droop, etc.

		mySQL2="select * from KBWords where Word = '" & SearchWord & "'"


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			Query = "KBMap.WordIndex = " & rstemp("WordIndex")
		Else
			Query = "" ' If no match then clear out query
		End If

		rstemp.close
		set rstemp=nothing

		Conn.Close


		If Query = "" Then ' Now do wildcat search if exact word fails


			mySQL2="select * from KBWords where Word like '%" & SearchWord & "%'"
			'mySQL2="select * from kbwords where Word = '" & SearchWord & "'"


			Set Conn = Server.CreateObject("ADODB.Connection")
			conn.open  myDSN
			set rstemp=conn.execute(mySQL2)

			If rstemp.eof = True Then
				Query = "" ' Still not match found
			Else
				' Get up to the first 5 matches... This can be changed to tighten
				' or loosen the search algorithm.
				SearchCount = 1
				Query = ""
				Do While rstemp.EOF <> True
					Query  = Query  & OrString & "KBMap.WordIndex = " & rstemp("WordIndex")
					OrString = " OR "
					rstemp.movenext
					SearchCount = SearchCount + 1
					If SearchCount >= 5 Then
						Exit Do
					End IF
				loop

				'response.write "Query String = " & Query

			End If

			rstemp.close
			set rstemp=nothing

			Conn.Close

		End IF
End Sub
%>



<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>