<% 'Module: DoVerifyAsset.asp

   'Description: This module updates the passed asset with a updated verification date (Custom field 3)

   '(C) 2003 2006 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '3/10/2003	JC		Created original page
   '08/18/06	SAV		Created from other module.

%>



<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->




<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page

			'TechFullName = rstemp("first_name") & " " & rstemp("Last_name")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoTVerifyAsset2.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	Asset_Number = Request.form("Asset_Number")
	VerifyDate = Request.form("VerifyDate")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if asset_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Assets where asset_number = " & Asset_Number


			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True Then
				Response.write "<Font color=red>ERROR - Asset Not Found </font>"
			Else


			'NewRecord.AddNew  ' This will create a unique asset_number


			' Set all of the variables the same for either new/update

		' Only Set these 5 fields

		If VerifyDate <> "" then
			NewRecord("Custom_Field4") = VerifyDate
		End If


		' Now put in the most current date/Time into the database
		'GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel
		DateString = ""
		TimeString = ""
		 CreateTimeDateValues DateString, TimeString, DateTimeString

		LastUpdateString = DateString&TimeString
		NewRecord("LastUpdate") = LastUpdateString

		NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

		NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

		NewRecord.Update

	End IF


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

' Call a redirect to verify the next asset

	target="TVerifyAsset.asp"
	response.redirect target


End If





Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues



 Function CheckForValidAssetNumber(asset_number2)
	'This function checks to see if the passed asset_number is a valid
	' asset number.
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from Assets where Asset_number  = " & Asset_number2

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForValidAssetNumber = "NO"
		Else
			CheckForValidAssetNumber = "YES"
		End If


		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

End Function ' End of CheckForUniqueTableValues


 Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			'set conntemp=server.createobject("adodb.connection")
			'conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			'rstemp2.close
			'set rstemp2=nothing
			'conntemp.Close
			'Set conntemp = nothing

		End If


End Function ' End of TechFullName


%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


