<% 'Module: EditEvent.asp (Tech+Center Version)

   'Description: This module is the Event Editor Page
   ' module that is used to create new or update existing
   ' event entries for the scheduler.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '03/13/02	SAV		Created original EditEvent.asp Page

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditEvent.asp"%>

	<!-- #include file=Invaliduser.inc-->

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Event%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>




<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
		WCDateFormat = rstemp2("Date_Display_Format")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% ' First check to see if we displaying a new Event form
	' or an existing event.  This page can be called like:
	' EditEvent.asp?ID=XXXXXXX   (edit update update)
	'   OR
	' EmailListReg.asp    (New Event)


	Schedule_ID = Request.querystring("ID")

	If Schedule_ID <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Schedule where Schedule_ID =" & Schedule_ID
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

		Else

			Customer_ID = rstemp2("customer_id")
			Event_Type_ID = rstemp2("Event_Type_ID")
			Email_Reminder = rstemp2("email_reminder")
			Start_Date = rstemp2("Start_Date")
			Start_Time = rstemp2("Start_Time")
			End_Date = rstemp2("End_Date")
			End_Time = rstemp2("End_Time")
			Tech_ID =  rstemp2("Tech_ID")
			Event_Title = rstemp2("Event_Title")
			Event_Notes = rstemp2("Event_Notes")
			Status = rstemp2("Event_Status")
			Case_Number = rstemp2("Case_Number")


		End If





	rstemp2.close
	set rstemp2=nothing

	' Do not close connection yet

	' Get the Event Type

	mySQL="select * from Event_Type where Event_Type_ID = " & Event_Type_ID

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		EventType = "Not Found"
	Else
		EventType = rstemp("Event_Type_Name")
	End IF

	rstemp.close
	set rstemp=nothing

	' Get the coordinator

	mySQL="select * from Tech_staff where Tech_ID = '" & Tech_ID & "'"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		Coordinator = "None"
	Else
		Coordinator = rstemp("First_Name") & " " & rstemp("Last_Name")
	End IF

	rstemp.close
	set rstemp=nothing

	' Get the name(s) of the attending reps

	mySQL = "SELECT Tech_staff.first_name, Tech_staff.last_name, Event_Attending.Schedule_ID FROM Tech_staff INNER JOIN Event_Attending ON Tech_staff.tech_id = Event_Attending.Tech_ID "
	mySQL = mySQL & " Where Schedule_ID = " &  Schedule_ID

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		AttendingRepsString = "No attendees"
	Else

		Do While rstemp.EOF <> True
			AttendingRepsString = AttendingRepsString & rstemp("First_Name") & " " &  rstemp("Last_Name") & ", "

			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


	End If ' End of If Schedule_ID <> ""

	' Now populate any fields supplied if we are here as a result of a URL call from TCaseForm

    If request.querystring("mode") <> "" and request.querystring("action") <> "" Then
        case_number = request.querystring("case_number")
        customer_id = request.querystring("customer_id")
	end if



%>

<% ' Display the Event Form
%>

	<form action=DoEditEvent.asp   name="myform" method=post>

	<% If Schedule_ID <> "" Then %>
		<input type=hidden name=Schedule_id value="<%=Schedule_ID%>">
	<% End if ' End if Schedule_id <> ""%>

	<% If request.querystring("mode") <> "" Then ' pass a parameter telling it we are in a sub window invoked from TCaseForm%>
		<input type=hidden name=mode value="sub">
	<% End if ' End if Schedule_id <> ""%>




<P>
<center>
<Table class=BGWrapper >
<tr>
<td width=250 align=center valign=center class=majorscreentitlefixed><%=wc_Schedule_Event_Editor%></td>
</tr>
</table>



<p>
 <%
 if request.querystring ("action") <> "" then ' if we are here creating a new event as a result of being called from TCaseForm
     ' do nothing
     else
	 ' First display all of the information very condensed at the top and then
			' put the form elements with data at the bottom for updating
%>
		<center>
        <table width=80% class=BoxTableWrapper cellpadding=0 cellspacing=0>
		<tr>
		<td class=BoxBodyTextHilight valign=top NOWRAP>

		<%=wc_Event%>:  <span class=BoxBodyText><%=Event_Title%></span><br>
		<%=wc_Type%>:   <span class=boxbodytext><%=EventType%></span><br>
		<%=wc_Coordinator%>:  <span class=boxbodytext> <%=Coordinator%></span><br>
		<%=wc_Customer%>:  <span class=boxbodytext> <a href=NewCustomer.asp?ID=<%=Customer_ID%>><%=Customer_ID%></a></span><br>
		<%=wc_Status%>: <span class=boxbodytext>

	<% ' Display the status which are hard coded %>

		<% If status = "0" Or status = "" Then%>
			<%=wc_No_Status%>
		<%End If %>

		<% If status = "1"  Then%>
			<%=wc_Scheduled%>
		<%End If%>

		<% If status = "2"  Then%>
			<%=wc_Postponed%>
		<%End If%>
		<% If status = "3"  Then%>
			<%=wc_Cancelled%>
		<%End If%>
		<% If status = "4"  Then%>
			<%=wc_ReScheduled%>
		<%End If%>
        </span>
		</td>
		<td class=BoxBodyTextHilight valign=top>
		<%=wc_Start_Date%>:  <span class=BoxBodyText> <%=Start_Date %></span><br>
		<%=wc_Start_Time%>:  <span class=BoxBodyText> <%=Start_Time%></span><br>
		<%=wc_End_Date%>: <span class=BoxBodyText>  <%=End_Date%></span><br>
		<%=wc_End_Time%>: <span class=BoxBodyText><%=End_Time%></span><br>
		<%=wc_Attending_Reps%>: <span class=BoxBodyText> <%=AttendingRepsString%></span>

<br>
		</td></tr>

		<tr><td colspan=2 height=2  class=lightline></td></tr>
		<%
		  oldstring = "<P>"
		  newstring = vbCRLF & "<Table width=100% cellspacing=0 cellpadding=0><tr><td  height=1 class=lightline></td></tr></table>" & vbCRLF

		  tighteventnotes = Replace(Event_Notes,oldstring,newstring)
        %>
        <tr>
		<td  colspan = 2 class=BoxBodyTextHilight align=left>
		<%=tighteventnotes%>
		</td>
		</tr>


		</td>
		</tr>
		</table>
        <p>


        <% end if ' if we are here creating a new event as a result of being called from TCaseForm %>

		<Center>
		<Table class=BGWrapper ><tr><td class=MinorScreenTitle><%=wc_Edit_fields_below_to_change_information%></td></tr></table>
		<p>
		</center>
<!-- -------------------------------- -->
        <center>

        <table class=outerformwrapper cellspacing=5>
        <tr>
        <td align=center>


        <table class=innerformwrapper >
        <tr>
        <td class=formlabel align=right><font color=red>*</font>Event Title:</td>
        <td class=formboxholder align=left><input type=text name=event_title size=30 maxlength=1000 value="<%=event_title%>"></td></tr>
        </tr>

         <tr>
        <td   class=formlabel  align=right valign=middle><font color=red>*</font>
		<%=wc_Event_Type%>:</td>

        <td   class=formboxholder  align=left>
		<select name=Event_Type_id size=1>
		<option value=""><%=wc_Please_Select_One%></option>

<% ' Display Event Type drop down box
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Event_Type"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True
			If Int(Event_Type_ID) = rstemp("Event_Type_ID") Then

%>
				<Option value=<%=rstemp("Event_Type_ID")%> SELECTED>
				<%=rstemp("Event_Type_Name")%>
				</option>
<%Else %>
				<Option value=<%=rstemp("Event_Type_ID")%>>
				<%=rstemp("Event_Type_Name")%>
				</option>


<%End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>

		<%
		If request.querystring("mode") <> ""  Then ' if we are in a subwindow, dont give link to create new event type

%>
		<span class=tinyprint>&nbsp;&nbsp;(<A href=AddEventType.asp target=AddNewEventType><%=wc_Add_New_Event_Type%></a>)</span>

<%
		   ' do nothing
		Else

		%>

		<span class=tinyprint>&nbsp;&nbsp;(<A href=AddEventType.asp><%=wc_Add_New_Event_Type%></a>)</span>

		<% end if %>

		</td></tr>

<% ' display the Customer List dropdown or customer fill in box %>

<TR>
<TD  class=formlabel align=right><%=wc_Customer%>:&nbsp;
</td>
<td  class=formboxholder align=left>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
		Response.write "<OPTION value="""">No Customer</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			If Customer_ID = rstemp("Customer_ID") Then
				response.write "<option value=""" & rstemp("customer_id") & """SELECTED>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=""" & rstemp("customer_id") & """>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			End If


			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Customer_List

 End If



   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window


%>

</TD>
</tr>

	<%' Event Author/coordinator %>
        <tr>
        <td  class=formlabel align=right valign=middle>
		<%=wc_Event_Coordinator%>:
		</td>
        <td class=formboxholder align=left>
		<select name=tech_id size=1>
		<option value=""><%=wc_Please_Select_One%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff order by last_name, first_name"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True
			If Tech_ID = rstemp("Tech_ID") Then
%>
		<Option value=<%=rstemp("tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
		</option>
<%Else %>
		<Option value=<%=rstemp("tech_ID")%> >
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
		</option>
<%End If %>

	%>


<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>


<tr><td colspan=2 class=lightline height=2></td></tr>

<tr>

<% ' Start and End Dates
 ' Compute Start_Date and Start_Time Parts
	If Start_Date <> "" Then
		StartMonth = Month(Start_Date)
		If Len(StartMonth) < 2 Then
			StartMonth = "0" & StartMonth
		End IF

		StartDay = Day(Start_Date)
		If Len(StartDay) < 2 Then
			StartDay = "0" & StartDay
		End If

		StartYear = Year(Start_Date)
	End if

	If Start_Time <> "" Then
		StartHour = Hour(Start_Time)
		If StartHour > 12 Then
			STartAMPM = "PM"
			StartHour = StartHour - 12
		Else
			StartAMPM = "AM"
		End IF

		If Len(StartHour) < 2 Then
			StartHour = "0" & StartHour
		End If

		StartMinute = Minute(Start_Time)

		If Len(StartMinute) < 2 Then
			StartMinute =  "0" & StartMinute
		End If

	End If
%>

<% ' Start and End Dates
 ' Compute End_Date and End_Time Parts
	If End_Date <> "" Then
		EndMonth = Month(End_Date)
		If Len(EndMonth) < 2 Then
			EndMonth = "0" & EndMonth
		End IF

		EndDay = Day(End_Date)
		If Len(EndDay) < 2 Then
			EndDay = "0" & EndDay
		End If

		EndYear = Year(End_Date)
	End if

	If End_Time <> "" Then
		EndHour = Hour(End_Time)
		If EndHour > 12 Then
			EndAMPM = "PM"
			EndHour = EndHour - 12
		Else
			EndAMPM = "AM"
		End IF

		If Len(EndHour) < 2 Then
			EndHour = "0" & EndHour
		End If

		EndMinute = Minute(End_Time)

		If Len(EndMinute) < 2 Then
			EndMinute =  "0" & EndMinute
		End If

	End If
%>


        <td  class=formlabel align=right><font color=red>*</font><%=wc_Start_Date%>:</td>
        <td  class=formboxholder align=left>

<% ' This EditEvent.asp may be called as a link to add a new event for
	' a selected day and the day, month, year are passed as
	' query string variables NewDay, NewMonth, and NewYear
	If Request.QueryString("NewDay") <> "" Then
		StartDay = Request.querystring("NewDay")
		EndDay = Request.querystring("NewDay")
	End IF
	If Request.QueryString("NewMonth") <> "" Then
		StartMonth = Request.querystring("NewMonth")
		EndMonth = Request.querystring("NewMonth")
	End IF
	If Request.QueryString("NewYear") <> "" Then
		StartYear = Request.querystring("NewYear")
		EndYear = Request.querystring("NewYear")
	End IF
%>


<%
   If WCDateFormat = "DDMMYYYY" Then ' UK format
      formatstring =  " (dd/mm/yyyy)"
   Else
       formatstring =  " (mm/dd/yyyy)"
   End If
%>

<% If WCDateFormat = "DDMMYYYY" Then ' UK format
%>

<input size=2 name= StartDay maxlength=2 value="<%=StartDay%>"><b>/</b>
<input size=2 name= StartMonth maxlength=2 value="<%=StartMonth%>"><B>/</b>

<input size=4 name= StartYear maxlength=4 value="<%=StartYear%>">



<% Else ' US format mm/dd/yyyy %>


<input size=2 name= StartMonth maxlength=2 value="<%=StartMonth%>"><B>/</b>
<input size=2 name= StartDay maxlength=2 value="<%=StartDay%>"><b>/</b>
<input size=4 name= StartYear maxlength=4 value="<%=StartYear%>">

<% End If %>


&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=FormatString%>

</td></tr>
<tr>
<td  class=formlabel align=right><%=wc_Start_Time%>:</td>
<td   class=formboxholder align=left>


<input size=2 name=StartHour maxlength=2 value="<%=StartHour%>"><b>:</b>
<input size=2 name=StartMinute maxlength=2 value="<%=StartMinute%>">
<select name= StartAMPM size=1>
<option value="">--</option>

<% If StartAMPM = "PM" Then %>
<option value="PM"SELECTED>PM</option>

<%Else %>

<option value="PM">PM</option>

<%End If %>


<% IF StartAMPM = "AM" Then %>
<option value="AM" SELECTED>AM</option>

<%Else %>
<option value="AM">AM</option>

<%End If %>

</select>

</td></tr>

<tr><td colspan=2 class=lightline height=2></td></tr>

<% ' End Date and time %>

<tr>
        <td  class=formlabel align=right><font color=red>*</font><%=wc_End_Date%>:</td>
        <td class=formboxholder align=left>


<% If WCDateFormat = "DDMMYYYY" Then ' UK format
%>


<input size=2 name=EndDay maxlength=2 value="<%=EndDay%>"><b>/</b>
<input size=2 name=EndMonth maxlength=2 value="<%=EndMonth%>"><B>/</b>

<input size=4 name=EndYear maxlength=4 value="<%=EndYear%>">

<% Else ' US Format %>

<input size=2 name=EndMonth maxlength=2 value="<%=EndMonth%>"><B>/</b>
<input size=2 name=EndDay maxlength=2 value="<%=EndDay%>"><b>/</b>
<input size=4 name=EndYear maxlength=4 value="<%=EndYear%>">


<% End If %>


&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=FormatString%>

</td></tr>
<tr>
<td   class=formlabel align=right><%=wc_End_Time%>:</td>
<td class=formboxholder  align=left>


<input size=2 name=EndHour maxlength=2 value="<%=EndHour%>"><b>:</b>
<input size=2 name=EndMinute maxlength=2 value="<%=EndMinute%>">
<select name= EndAMPM size=1>
<option value="">--</option>

<% If EndAMPM = "PM" Then %>
<option value="PM"SELECTED>PM</option>

<%Else %>

<option value="PM">PM</option>

<%End If %>


<% IF EndAMPM = "AM" Then %>
<option value="AM" SELECTED>AM</option>

<%Else %>
<option value="AM">AM</option>

<%End If %>

</select>

</td></tr>
<tr><td colspan=2 class=lightline height=2></td></tr>

	<%' Contact Rep Attendees %>
        <tr>
        <td  class=formlabel align=right valign=top><font color=red>*</font>
		<%=wc_Attending_Reps%>:
		</td>
        <td class=formboxholder align=left>
		<select name=AttendingReps size=4 multiple>


<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff order by last_name, first_name"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Schedule_ID <> "" Then
			mySQL2="select * from Event_Attending where Schedule_ID = " & Schedule_ID & " AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Schedule_ID = ""

		' When this is a new event, set the logged in tech as participating
		' Get the logged in tech from the cookieid variable

	%>

	<% If rstemp("Tech_ID") = CookieID Then %>
		<Option value=<%=rstemp("tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
		</option>

	<%Else %>

		<Option value=<%=rstemp("tech_ID")%>>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>


				<%=rstemp("Last_Name")%>
		</option>
	<%End If %>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

        <tr>
        <td  class=formlabel align=right valign=middle><%=wc_Status%>:</td>
        <td  class=formboxholder align=left valign=top>
		<select name=status size=1>

		<% If status = "0" Or status = "" Then%>
			<option selected value="0"><%=wc_No_Status%></option>
		<% Else %>
			<option value="0"><%=wc_No_Status%></option>
		<% End If %>

		<% If status = "1"  Then%>
			<option selected value="1"><%=wc_Scheduled%></option>
		<% Else %>
			<option value="1"><%=wc_Scheduled%></option>
		<% End If %>

		<% If status = "2"  Then%>
			<option selected value="2"><%=wc_postponed%></option>
		<% Else %>
			<option value="2"><%=wc_Postponed%></option>
		<% End If %>

		<% If status = "3"  Then%>
			<option selected value="3"><%=wc_Cancelled%></option>
		<% Else %>
			<option value="3"><%=wc_Cancelled%></option>
		<% End If %>

		<% If status = "4"  Then%>
			<option selected value="4"><%=wc_ReScheduled%></option>
		<% Else %>
			<option value="4"><%=wc_ReScheduled%></option>
		<% End If %>


		</select>

		</td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Case_Number%>:</td>
        <td   class=formboxholder align=left><input type=text name=Case_Number size=10 maxlength=15 value="<%=case_number%>"></td>
        </tr>


        <tr>
        <td class=formlabel align=right><%=wc_Event_Notes%>:</td>
		<td class=formboxholder align=left><textarea name=event_notes rows=3 cols=40 wrap=on></textarea></td>
		</tr>

		</table> <!-- end of inner wrapper -->

</td>
</tr>

<tr>
<td align=center>
   <table cellpadding=0 cellspacing=0>
   <tr>

		<td align=center>
			   <table class=BGwrapper cellpadding=0 cellspacing=0>
			   <tr>
			   <td><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif name=b_submit border=0></td>
			   <td class=formlabelsuper><%=wc_Notify%></td>
			   <td align=center>
					  <table cellspacing=0 cellpadding=0>
					  <tr>
						 <td class=formboxholder><INPUT type=radio name=EmailNotify value="Yes"><span class=tinyprint> <%=wc_send_email%>&nbsp; &nbsp;</span></td>
					  </tr>
					  <tr>
						 <td class=formboxholder><input type=radio name=EmailNotify value="No" CHECKED><span class=tinyprint> <%=wc_No_email%>&nbsp; &nbsp;</span></td>
					  </tr>
					 </table>
			   </td>
			   </tr>
			   </table>
        </td>

        <td> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>

        <% If request.querystring("mode") <> "" Then %>
             <td    align=center valign=center  valign=top><a href='javascript:var w=window.close()'><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></a>


             </td>
        <% else %>
	         <td    align=center valign=center  valign=top><font size=-1>
	         <a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

			<% IF Schedule_ID <> "NEW" Then %>

			<br><br>


	         <a href="TDeleteEvent.asp?Schedule_ID=<%=Schedule_ID%>"><img src="/<%=WCLanguageDirectory%>/ts_delete30x100.gif" border=0></A>

			<% End If %>


	</font>

	         </td>
        <% end if  %>

     </tr>
     </table>
</td>
</tr>
</table> <!-- end of outer wrapper -->
		</center>


</form>


<SCRIPT language="javascript">
    window.focus();
</SCRIPT>


</body>
</html>

<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>


