<% 'Module:

   'Description: This module is the Email List Search Start Page
   ' that allows Business+Center users to search and find customers and then
   ' export the customer information into an ASCII *.txt file
   ' that can then be imported into various calendar/scheduling address
   ' book program of Palm Pilot hand held devices.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
   '1/18/01	SAV		Created original EmailListExport.asp page
   '5/13/11 CMB     Added option for excluding email opt-outs
   '6/01/11 CMB     Added option for file size
   '06/02/11 CMB    Also added only opt-outs

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>

<% ' Check to see if this is being called from the customerOptions page
	If Action = "" Then

%>

<!-- #INCLUDE FILE="BCHeader.inc" -->

<% End If %>



<% ' Display the Customer Search Form
%>

	<form action=DoEmailListSearchExport.asp method=post>

	<% If customer_ID <> "" Then %>
		<input type=hidden name=customer_id value="<%=customer_ID%>">
	<% End if ' End if customer_id <> ""%>

		<Center>
		<font face=arial><%=wc_Search_Contacts_export_To_File%></font>
		</center><P>
        <center><font size=-1 face=arial>
		<%=wc_To_export_records_block%> (<a href=PDAInstructions.asp><%=wc_Instructions%></a>) <br>

        </font>
		</center>


        <center>
        <table width=90%>
        <tr>
        <td bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_First_Name%>:</font></b></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=contact_fname size=20 maxlength=40 value="<%=contact_fname%>"></td></tr>
        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_Last_Name%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=contact_lname size=20 maxlength=40 value="<%=contact_lname%>"></td></tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_Email%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=email size=30 maxlength=80 value="<%=email%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_Company%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=company size=20 maxlength=50 value="<%=company%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_Address%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=address size=20 maxlength=50 value="<%=address%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_City%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=city size=20 maxlength=50 value="<%=city%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_State%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=State size=15 maxlength=50 value="<%=State%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial><%=wc_Phone1%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial><input type=text name=phone1 size=15 maxlength=50 value="<%=phone1%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 face=arial><B>

		<%=wc_User_Groups%></b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
		<select name=emailUserCategory size=4 multiple>
		<option value=""><%=wc_All_User_Groups%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write wc_No_Categories_found
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("EmailCategoryID")%>>
	<%=rstemp("EmailCategory")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

	<%' Contact Management Assignments %>
        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 face=arial><font color=red>*</font><B>
		<%=wc_Assigned_To%>:
		</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
		<select name=CustomerTechAssignment size=4 multiple>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write wc_No_tech_staf_members_found
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Customer_ID <> "" Then
			mySQL2="select * from CustomerTechAssignment where Customer_ID = '" & Customer_ID & "' AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("tech_ID")%>>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>


		</option>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

<!-- CMB email opt out wc_Deleted_From_Email_List wc_No_Email-->
        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial>Email Options:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
        <INPUT type=radio name=EmailOptions value="include">Include opt-outs
        <INPUT type=radio name=EmailOptions value="exclude"  CHECKED>Exclude opt-outs
        <INPUT type=radio name=EmailOptions value="only">Only opt-outs
        </td>
		</tr>

<!-- CMB file type-->
        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 face=arial>Export Type:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
        <INPUT type=radio name=FileType value="MINIMAL" CHECKED>Minimal
        <INPUT type=radio name=FileType value="NONOTES">Exclude Notes
         <INPUT type=radio name=FileType value="FULL">Full
        </td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B>
		<font size=-1 face=arial><%=wc_Export_Format%> :</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
		<select name=FormatType size=1>
		<option value="OUTLOOK"><%=wc_MS_Outlook_Address_Book_format%></option>

		<option value="TAB"><%=wc_TAB_Delimited_Excel_format%></option>
		<option value="COMMA"><%=wc_Comma_Delimited_File_format%></option>
		<option value="COMMASCREEN"><%=wc_Comma_Delimited_To_Screen_format%></option>

		</select>
	</td>
		</tr>

<%	' Provide options to define the category for address book import %>

        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 face=arial><B>
        <%=wc_Select_Address_Category_block%>
		</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 face=arial>
		<select name=addressbookCategory size=4 multiple>
		<option value=""><%=wc_No_category%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True
	%>

	<Option>
	<%=rstemp("EmailCategory")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		<br>
		<%=wc_Enter_New_Category%>:<br>
		<input size=25 maxlength=50 name=enteredcategory>
		</td></tr>



		<tr>
		<td bgcolor=F0F0f0 align=center><font size=-1 face=arial>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		<%  If Request.Cookies("ISS_BUSINESS") = "" Then %>

		</td><td bgcolor=F0F0F0 align=center width=50% valign=top><a href="default.htm"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		<%else %>
		</td><td  bgcolor=F0F0F0 align=center width=50% valign=top><a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		<%End if %>

		</table>

		</center>


</form>

<% ' Put all of your custom web site footer changes into BCFooter.inc %>

<% ' Check if called from Customeroptions page
	If Action = "" Then
%>
<!-- #INCLUDE FILE="BCFooter.inc" -->


<% End If %>

