<% 'Module: EscalationConfig.asp

   'Description: This module sets the AUTO-Escalation features
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '2/15/00		SAV		Created original Search page
    '4/26/01	AJS	Changed KB Options to be numbered properly there were two of option 2
    '5/28/02	SAV		Created EscalationConfig.asp from KBoptions page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EscalationConfig.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title><%=wc_Escalation_Options%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% 'Get the Escalation Configuration options %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Escalation"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		Disable_All  = "YES"
		Escalation_Refresh_rate = 600 ' Default to every 10 minutes
		Newcase_Enable = "NO"
		NewCase_Interval = 0
		Newcase_Email = ""
		Newcase_CellEmail = ""
		NewCase_Group = 0

		Existcase_enable = "NO"
		Existcase_interval = 0
		Existcase_Priority = 0
		Existcase_status = 4 ' Default to 4 which is all open Cases
		Existcase_email  = ""
		Existcase_group = 0
		Existcase_cellemail = ""

	Else

		If rstemp2("Disable_All") = True THEN
			Disable_All = "YES"
		Else
			Disable_All = "NO"
		End If

		Escalation_Refresh_Rate = rstemp2("Escalation_Refresh_Rate")

		If rstemp2("Newcase_Enable") = True THEN
			Newcase_enable = "YES"
		Else
			Newcase_enable = "NO"
		End If

		Newcase_interval = rstemp2("Newcase_Interval")

		Newcase_email = rstemp2("Newcase_email")

		Newcase_group = rstemp2("Newcase_group")

		Newcase_CellEmail = rstemp2("newcase_cellemail")

		' Existing case fields

		If rstemp2("Existcase_enable") = True THEN
			Existcase_enable = "YES"
		Else
			Existcase_enable = "NO"
		End If

		Existcase_interval = rstemp2("Existcase_interval")

		Existcase_Priority = rstemp2("Existcase_Priority")

		Existcase_status = rstemp2("Existcase_status")

		Existcase_email = rstemp2("Existcase_email")

		Existcase_group = rstemp2("Existcase_group")

		Existcase_cellemail = rstemp2("Existcase_cellemail")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Escalation_Options%></FONT>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<a href=StartEscalation.asp><%=wc_Start_Escalation%></a>)</B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<form action = DoEscalationConfig.asp method=post>

<center>
<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="ConfigAdmin.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
</center>

<table bgcolor=F0F0f0 border=1 width=95% cellspacing=2 cellpadding=2>
<tr>
<td valign=middle>

<B>

<%
	If DISABLE_ALL = "YES" Then
		response.write "<input type=checkbox name=Disable_All value=YES CHECKED>&nbsp;&nbsp;&nbsp;" & wc_Disable_All_Escalation & "&nbsp;&nbsp;<P>"
	Else
		response.write "<input type=checkbox name=Disable_All value=YES >&nbsp;&nbsp;&nbsp;" & wc_Disable_All_Escalation & "&nbsp;&nbsp;<P>"

	End If
%>
</b>





</td>
</tr>
</table><P>

<table bgcolor=F0F0f0 border=1 width=95% cellspacing=2 cellpadding=2>
<tr>
<td valign=middle>
<UL>
<B>

<%=wc_Check_For_Escalation_Every%><input size = "5" maxlength=5 name="Escalation_Refresh_Rate" value = "<%=Escalation_Refresh_rate%>" > <%=wc_Minutes%>

</b>

</ul>



</td>
</tr>
</table><P>



<table bgcolor=F0F0f0 border=1 width=95% cellspacing=2 cellpadding=2><tr><td>
<font size=-1>
<UL>
<%
	If NewCase_Enable = "YES" Then
		Response.write "<input type=checkbox name=Newcase_Enable value=YES CHECKED> &nbsp;&nbsp;&nbsp;&nbsp;<B>" & wc_New_Case_Escalation & "</b><P>"
	Else
		Response.write "<input type=checkbox name=Newcase_Enable value=YES> &nbsp;&nbsp;&nbsp;&nbsp;<B>" & wc_New_Case_Escalation & "</b><P>"
	End If
%>

<P>
<UL>
<%=wc_Escalate_Case_After%><input size = "5" maxlength=5 name="NewCase_Interval" value = "<%=NewCase_Interval%>" > <%=wc_Minutes_Of_No_Activity%>
<P>

<P>
<U><B><%=wc_Escalation_Methods%></b></u>
<br>


 <%=wc_Send_Email_Alert_To%><input size = "40" maxlength=100 name="Newcase_email" value = "<%=NewCase_Email%>" >
<P>

 <%=wc_Re_assign_to_Group%>:

 <SELECT size=1 name=newcase_group>
 <option value=""""><%=wc_Do_Not_re_assign%></option>

 <% ' Get the Groups from the database

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Group_list Order by Group_Name"
 	set rstemp=conntemp.execute(mySQL)

 	' Check to see if any records are returned
 	' if none found then login fails.

 	If  rstemp.eof then ' Check to see any Groups exist

 	Else
 		Do While rstemp.EOF <> True
 			If rstemp("Group_Number") = Newcase_Group Then
 				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>"
 			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>"
			End If

 			rstemp.MoveNext

 		Loop

 		response.write "</select>"
 	End IF

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

  ' End of Display the Group List
  %>



<P>

 <%=wc_Send_Cell_Email_To%>
 <input size = "40" maxlength="100" name="Newcase_cellemail" value = "<%=newcase_cellemail%>" >



<P>



</ul>
</ul>
</td></tr></table><P>


<table bgcolor=F0F0f0 border=1 width=95% cellspacing=2 cellpadding=2><tr><td>
<font size=-1>
<UL>
<%
	If ExistCase_Enable = "YES" Then
		Response.write "<input type=checkbox name=Existcase_Enable value=YES CHECKED> &nbsp;&nbsp;&nbsp;&nbsp;<B>" & wc_Existing_Case_Escalation & "</b><P>"
	Else
		Response.write "<input type=checkbox name=Existcase_Enable value=YES> &nbsp;&nbsp;&nbsp;&nbsp;<B>" & wc_Existing_Case_Escalation & "</b><P>"
	End If
%>

<P>
<UL>
<%=wc_Escalate_Case_After%><input size = "5" maxlength=5 name="ExistCase_Interval" value = "<%=ExistCase_Interval%>" >  <%=wc_Minutes_Of_No_Activity%>
<P>
<%=wc_case_status%>:
<SELECT size=1 name=existcase_status>

<% ' Use a status setting of 4 to represent any open status value %>

<%If existcase_status <> 0 And Existcase_Status <> 2 and Existcase_status <> 3 Then %>
<OPTION value="4" ><%=wc_Any_Open_Status%></OPTION>
<%Else %>
<OPTION value="4"><%=wc_Any_Open_Status%></OPTION>
<%End If %>

<% If Existcase_status = 0 Then %>
<OPTION value=0 SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End If %>

<% If Existcase_status = 2 Then %>
<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>


<% If Existcase_status = 3 Then %>
<OPTION value=3 SELECTED><%=wc_Open_On_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_On_Hold%></OPTION>
<%End IF %>

</SELECT>
<P>
<%=wc_Minumum_Priority_setting%>:
<SELECT size=1 name=existcase_Priority>
<OPTION value=""><%=wc_Any_Priority%></OPTION>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by Priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
		    if CInt(rstemp("PriorityID")) > 0 Then
		    	If Cint(rstemp("PriorityID")) = ExistCase_Priority then
					response.write "<option value=" & CInt(rstemp("PriorityID")) & " SELECTED>" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				End If

			end if
			rstemp.MoveNext
		Loop
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

</select>

<P>


<U><B><%=wc_Escalation_Methods%></b></u>
<br>


 <%=wc_Send_Email_Alert_To%><input size = "40" maxlength=100 name="Existcase_email" value = "<%=ExistCase_Email%>" >
<P>

 <%=wc_Re_assign_to_Group%>:

 <SELECT size=1 name=existcase_group>
 <option value=""""><%=wc_Do_Not_re_assign%></option>

 <% ' Get the Groups from the database

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Group_list Order by Group_Name"
 	set rstemp=conntemp.execute(mySQL)

 	' Check to see if any records are returned
 	' if none found then login fails.

 	If  rstemp.eof then ' Check to see any Groups exist

 	Else
 		Do While rstemp.EOF <> True
 			If rstemp("Group_Number") = Existcase_Group Then
 				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
 			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			End If

 			rstemp.MoveNext

 		Loop

 		response.write "</select>"
 	End IF

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

  ' End of Display the Group List
  %>



<P>

 <%=wc_Send_Cell_Email_To%><input size = "40" maxlength=100 name="Existcase_cellemail" value = "<%=ExistCase_cellemail%>" >



<P>



</ul>
</ul>
</td></tr></table><P>


</form>

</BODY>
</HTML>

<%End If ' End of security checks %>
