<% 'Module: ExportMyCalendarEvents.asp (Tech+Center Version)

   'Description: This module is the Single Day Calendar Export to a iCalendar file for
   ' for importing into Outlook.


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/11/02	SAV		Created original ShowDayCalendar.asp Page


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->


<%' Include this file for special database cursor constants %>

<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQL

		WCDateFormat = rstemp("Date_Display_Format") ' Get Date Format


		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie


	TimeOffsetMinutes = Request.Cookies("WEB_CENTER_TIMEOFFSET")

	'response.write "TimeOffsetMinutes = " & TimeOffsetMinutes
	'response.flush
	'response.end


	' Get the time offset from GMT so we can add it to the calendar event.



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ShowDayCalendar.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<% ' Start to output vCalendar File


	Response.ContentType = "text/HTML"
	'Response.ContentType = "text/calendar"

	'Response.ContentType = "application/ms-tnef"


	FileString = "" ' Clear out FileString Variable

	FileString = FileString & "BEGIN:VCALENDAR" & vbCRLF
	FileString = FileString &  "VERSION:1.0" & vbCRLF

	' Now have individual BEGIN VEVENT records for each event we are exporting

%>



<%
	PassedMonth = Request.QueryString("PassedMonth") ' Month (1-12) is passed
	PassedYear = Request.QueryString("PassedYear") ' Year is passed as 4 digit
	PassedDay = Request.QueryString("PassedDay")

	EventID = Request.querystring("EventID") ' This routine can be passed a specific event ID instead




	If PassedMonth = "" Then
		PassedMonth = Month(Now())
		PassedYear = Year(Now())
	End If

%>

<%
	PreviousYear=Cint(PassedYear) -1
	NextYear=Cint(PassedYear) + 1
%>

<% ' Display the day of the week, month, day and year

	StartingDate  = DateSerial(PassedYear, PassedMonth, PassedDay)

	NextDate = DateAdd("d", 0, StartingDate)
	DayName = WeekDayName(WeekDay(NextDate))

	MonthNameString = MonthName(Month(NextDate))



%>




<%
	StartingDate  = DateSerial(PassedYear, PassedMonth, PassedDay)

	'Debug
	'Response.write "StartingDate = " & StartingDate

	NextDate = StartingDate

	NextDate = DateAdd("d", 0, StartingDate)
	'Response.write "NextDate = " & NextDate

	NextDate = StartingDate ' Reset Back to StartingDate

	NextYear = Year(NextDate)
	NextMonth = Month(NextDate)
	NextDay = Day(NextDate)

	'*****Important Change 8/29/05 SQL queries need to be UK or US specific

	'If WCDateFormat = "DDMMYYYY" Then   ' UK Format
	If WCDateFormat = "DDMMYYYY" AND (DatabaseType2 <> "SQLSERVER") Then' UK Format
		SQLDateString = NextDay & "/" & NextMonth & "/" & NextYear
	Else
		SQLDateString = NextMonth & "/" & NextDay & "/" & NextYear
	End If

%>



<%' Now display the event for this one day %>



<%
		'response.write "NewDate = " & NextDate

		DayNumber = Day(NextDate)

		' Now check if any events for this date by creating a special query
		' that will check for events for this person for this date

		Tech_ID = Request.Cookies("ISS_TECH_CENTER_LOGIN")

		mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Start_Date, Schedule.Start_Time, Schedule.End_Time, Schedule.customer_id, Schedule.Event_Notes, Schedule.End_Date, Schedule.Case_Number, Schedule.Event_Title, Schedule.Event_Status FROM (Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "
		'mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Customer_ID, Schedule.Start_Date, Schedule.Event_Notes, Schedule.Start_Time, Schedule.End_Time, Schedule.End_Date, Schedule.Event_Title, Schedule.Event_Status, Customers.contact_fname, Customers.contact_lname, Customers.company FROM ((Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID) INNER JOIN Customers ON Schedule.Customer_ID = Customers.customer_id "


		' Check if this routine is being called by passing EventID, if so then just use that for the query

		If EventID <> "" Then
			mySQL2 = mySQL2 & " Where Schedule.Schedule_ID =" & EventID
		Else



			mySQL2 = mySQL2 & " Where Event_Attending.Tech_ID = '" & Tech_ID & "' "

			' Now add dates into query
			' Note Access version requires # for dates, SQL requires single quotes


			If DatabaseType2 = "SQLSERVER" Then
				mySQL2 = mySQL2 & " AND  Start_Date <= '" & SQLDateString & "' And End_Date >= '"& SQLDateString & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
					mySQL2 = mySQL2 & " AND  Start_Date <= #" & SQLDateString & "# And End_Date >= #"& SQLDateString & "#"
			End IF


			If DatabaseType2 = "MYSQL" Then
				mySQL2 = mySQL2 & " AND  Start_Date <= '" & YYMMDD(NextDate) & "' And End_Date >= '"& YYMMDD(NextDate) & "'"
			End IF

			'mySQL2 = mySQL2 & " AND  Start_Date <= #" & NextDate & "# And End_Date >= #"& NextDate & "#"

			' Add Order by clause to arrange them in order
			mySQL2 = mySQL2 & " Order by Start_Date, Start_Time"

	End If


		'response.write "SQL=" &  mySQL2

		'mySQL2 = " select * from schedule"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	' DO not use conntemp.execute with SQL*Server
	'	set rstemp2=conntemp.execute(mySQL2)



		' Cursor type needs to be specified and use rstemp.open

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3




	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then ' Close out the table cell



	Else ' There is at least one entry for this date



		Do While rstemp2.EOF <> True
			' Get these two values now

			Schedule_ID = rstemp2("schedule_ID")
			Tech_ID =  rstemp2("Tech_ID")


		' Get any attending reps


		mySQL = "SELECT Tech_staff.first_name, Tech_staff.last_name, Event_Attending.Schedule_ID FROM Tech_staff INNER JOIN Event_Attending ON Tech_staff.tech_id = Event_Attending.Tech_ID "
		mySQL = mySQL & " Where Schedule_ID = " &  Schedule_ID





		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see any Cases exist
			AttendingRepsString = "No attendees"
		Else
				AttendingRepsString = "" ' Clear out old string
			Do While rstemp.EOF <> True
				AttendingRepsString = AttendingRepsString & rstemp("First_Name") & " " &  rstemp("Last_Name") & ", "
				rstemp.movenext
			loop

		End IF

		rstemp.close
		set rstemp=nothing

		' Get the name of the event organizer
		' Event Organizer is stored in the Schedule table as Tech_id column

		organizer = rstemp2("tech_id") ' Obtain from first select fetch

		mySQL3 = "SELECT * from Tech_staff where tech_id = '" & organizer & "'"

		set rstemp=conntemp.execute(mySQL3)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see any Cases exist
			OrganizerString = "Not Defined"
		Else

			OrganizerString = rstemp("First_Name") & " " &  rstemp("Last_Name")
			OrganizerString = OrganizerString & " [" & rstemp("Work_Phone1") & "] "
			OrganizerString = organizerstring & " (<a href=mailto:" & rstemp("Work_Email") & ">" & rstemp("Work_Email") & "</a>)"

		End IF

		rstemp.close
		set rstemp=nothing


			' Get the Customer and company information from a separate Query

			Customer_ID = rstemp2("customer_id")
			If Customer_ID <> ""  Then

				MySQL3 = " Select * from Customers where customer_id =  '" & customer_id & "'"

				set rstemp3=Server.CreateObject("adodb.Recordset")

				rstemp3.open mySQL3, conntemp, adopenstatic

				If rstemp3.EOF <> "True" Then
					CustomerName = rstemp3("contact_fname") & " " &  rstemp3("Contact_lname")
					Company = rstemp3("Company")
				Else
					CustomerName = ""
					Company = ""
				End If

				rstemp3.close
				set rstemp3=nothing


			End IF

			CustomerNAme = CustomerName & "/" & Company


			' Get the Case Information if it exists
			Case_Number = rstemp2("case_Number")
			Case_One_Line = ""

			'response.write "Case number = " & Case_Number

			If  Case_Number <> "" Then

				MySQL3 = " Select case_one_line from Cases where case_number = " & Case_Number

				set rstemp3=Server.CreateObject("adodb.Recordset")

				rstemp3.open mySQL3, conntemp, adopenstatic

				If rstemp3.EOF <> True Then
					Case_One_Line = rstemp3("Case_One_Line")
				Else
					Case_One_Line = ""
				End If

			'	response.write "Case One Line = " & Case_One_Line

				rstemp3.close
				set rstemp3=nothing

			End IF



			'Event_Type_ID = rstemp2("Event_Type_ID")
			'Email_Reminder = rstemp2("email_reminder")
			Start_Date = rstemp2("Start_Date")
			Start_Time = rstemp2("Start_Time")
			End_Date = rstemp2("End_Date")

			' Debug
		'	response.write "End_Date = " & end_date
		'	response.flush
		'	response.end

			End_Time = rstemp2("End_Time")
			Event_Title = rstemp2("Event_Title")

			EventsString = EventsString & "<LI>" & Event_Title & " at " & Start_time & " TO " & End_Time


			' Compute new GMT time for start and ending for import to outlook.

			' Create one string that has the date and time in it so we can do the DateAdd Function.

			StartDateTime2 = Start_Date & " " & Start_Time


'			response.write "StartDateTime2 = " & STartDateTime2
'			response.write "TimeOffMinutes = " & TimeOffsetMinutes

'			response.flush
'			response.end
'
'
			NewStartDateTime = DateAdd ("n", TimeOffsetMinutes, StartDateTime2)

 '  			response.write "NewDateTime = " & NewStartDateTime


			' Compute new GMT time for END and ending for import to outlook.

			' Create one string that has the date and time in it so we can do the DateAdd Function.

			EndDateTime2 = End_Date & " " & End_Time

		'	response.write "End_Date = " & end_date
		'	response.write "EndDateTime2 = " & EndDateTime2
		'	response.write "TimeOffMinutes = " & TimeOffsetMinutes

		'	response.flush
		'	response.end
'
'
			NewEndDateTime = DateAdd ("n", TimeOffsetMinutes, EndDateTime2)

   			'response.write "NewDateTime = " & NewStartDateTime

   			GMT = "YES" 'Do export in GTM formats..

			Original_Start_Date  = Start_Date


   			IF GMT = "YES" Then
   				Start_Date = CDate(NewSTartDatetime)
   				Start_Time = TimeValue(NewStartDatetime)
   				End_Date = CDate(NewEndDatetime)
   				End_Time = TimeValue(NewEndDatetime)
   			End If


			' Get Event_Notes with a separate Query since this memo fetch fails with SQL

			'Event_Notes = rstemp2("Event_Notes")

			MySQL3 = " Select Event_Notes from Schedule where Schedule_ID = " & Schedule_ID

			set rstemp3=Server.CreateObject("adodb.Recordset")

			rstemp3.open mySQL3, conntemp, adopenstatic

			If rstemp3.EOF <> True Then
				Event_Notes = rstemp3("Event_Notes")
			Else
				Event_Notes = ""
			End If

			rstemp3.close
			set rstemp3=nothing


			Status = rstemp2("Event_Status")
			'CustomerName = rstemp2("contact_fname") & " " &  rstemp2("Contact_lname")
			'Company = rstemp2("Company")
			'CustomerNAme = CustomerName & "/" & Company
			Event_Type = rstemp2("Event_Type_Name")

		' START TO OUTPUT EVENT Record
		FileString = FileString &  "BEGIN:VEVENT" & vbCRLF
		FileString = FileString &  "CATEGORIES:" & Event_Title & vbCRLF

		'If Customer_ID <> "" Then
		'	FileString = FileString &  "&nbsp;&nbsp;&nbsp;(<a href=NewCustomer.asp?ID=" & Customer_ID & ">" &  CustomerName & "</a>)"
		'End If

		If status = "0" Or status = "" Then
			StatusString = wc_No_Status
		End If

		If status = "1"  Then
			StatusString = wc_Scheduled
		End IF

		If status = "2"  Then
			StatusString = wc_Postponed
		End IF

		If status = "3"  Then
			StatusString = wc_Cancelled
		End IF

		If status = "4"  Then
			StatusString = wc_ReScheduled
		End IF

		FileString = FileString &  "STATUS:" & StatusString & vbCRLF


		' Write  out the Start Date/Time and End Date/Time

		' STart Date/Time String

			StartDateTimeString  = Year(Start_Date)
			IF Len(Month(Start_Date)) <2 Then
				StartDateTimeString = StartDateTimeSTring & "0" & Month(Start_Date)
			else
				StartDateTimeString = StartDateTimeSTring  & Month(Start_Date)
			End IF

			IF Len(Day(Start_Date)) <2 Then
				StartDateTimeString = StartDateTimeSTring & "0" & Day(Start_Date) & "T"
			else
				StartDateTimeString = StartDateTimeSTring  & Day(Start_Date) & "T"
			End IF


			IF Len(Hour(Start_Time)) < 2 Then
				StartDateTimeString = StartDateTimeSTring & "0" & Hour(Start_Time)
			else
				StartDateTimeString = StartDateTimeSTring  & Hour(Start_Time)
			End IF

			IF Len(Minute(Start_Time)) < 2 Then
				StartDateTimeString = StartDateTimeSTring & "0" & Minute(Start_Time) & "00"
			else
				StartDateTimeString = StartDateTimeSTring  & Minute(Start_Time) & "00"
			End IF

			IF GMT = "YES" Then
				StartDateTimeString = STartDateTimeString & "Z" & vbCRLF
			else
				StartDateTimeString = STartDateTimeString & "Z" & vbCRLF
			End If



			' End Date Time String


            EndDateTimeString  = Year(End_Date)
			IF Len(Month(End_Date)) <2 Then
				EndDateTimeString = EndDateTimeSTring & "0" & Month(End_Date)
			else
				EndDateTimeString = EndDateTimeSTring  & Month(End_Date)
			End IF

			IF Len(Day(End_Date)) <2 Then
				EndDateTimeString = EndDateTimeSTring & "0" & Day(End_Date) & "T"
			else
				EndDateTimeString = EndDateTimeSTring  & Day(End_Date) & "T"
			End IF


			IF Len(Hour(End_Time)) < 2 Then
				EndDateTimeString = EndDateTimeSTring & "0" & Hour(End_Time)
			else
				EndDateTimeString = EndDateTimeSTring  & Hour(End_Time)
			End IF

			IF Len(Minute(End_Time)) < 2 Then
				EndDateTimeString = EndDateTimeSTring & "0" & Minute(End_Time) & "00"
			else
				EndDateTimeString = EndDateTimeSTring  & Minute(End_Time) & "00"
			End IF

			IF GMT = "YES" Then
				EndDateTimeString = EndDateTimeString & "Z" & vbCRLF
			else
				EndDateTimeString = EndDateTimeString & vbCRLF
			End If



		FileString = FileString &  "DTSTART:" & StartDateTimeString
		FileString = FileString &  "DTEND:" & EndDateTimeString


		FileString = FileString &  "SUMMARY:" & Event_Title & vbCRLF

		New_Event_Notes = RemoveHTMLTags(Event_Notes)

		' We must also remove CR/LF from the event notes otherwise outlook will fail

		New_Event_Notes = Replace (New_Event_Notes, vbCRLF, "")

		FileString = FileString &  "DESCRIPTION:" & New_Event_Notes & vbCRLF
		FileString = FileString &  "CLASS:" & "PRIVATE" & vbCRLF


		FileString = FileString &  "END:VEVENT" & vbCRLF


			rstemp2.movenext
		loop

		FileString = FileString &  "END:VCALENDAR" & vbCRLF


	End If ' End of If rstemp = EOF

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

	Event_Type = ""
	CustomerName = ""



	' The filename must be unique

	Filename = "CalendarSync"& year(NOW) &Month(NOW)&Day(Now)&Hour(Now)&Minute(Now)&CookieID& ".vcs"

	'response.write "FileNAme = " & Filename
	'response.flush
	'response.end

	'FileName = "Filename.vcs"

	' Debugging to VCS file to screen
	'debugFile = "YES"

	IF debugFile = "YES" THen

		filestring  = replace(filestring, vbCRLF, "<br>")
		response.write "VCS file contents = " & Filestring
		response.flush
		response.end

	End If

	WriteTextFile FileString, Filename


%>


<html>
<head>
<Title> Web+Center Calendar Sync </title>


 <link rel='stylesheet' href='wc_Style.css' type='text/css'>


<style>
#TagA {
          text-decoration: none;
          font-family: 'Trebuchet MS', 'Comic Sans MS', 'Arial', 'Sans-Serif';
          font-size: 12;
          color: black
          }


.inputbox { color: black;
           font-family: "Verdana, Geneva, Arial, Helvetica";
           font-size: 12;
		  }


.screentitle { color: black;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 16;
          font-weight: bold;
		  }

.tablewrapper {
		border-width: 2px;
		border-style: solid;
		border-color: #000000;
		background-color: #eeeeee;
		padding-top: 5px;
		padding-bottom: 5px;
		padding-left: 5px;
		padding-right: 5px;
		}


.screentitlewrapper {
		padding-top: 0px;
		padding-bottom: 5px;
		}

.liner {
          	border-top-width: 0px;
	  		border-bottom-width: 1px;
	  		border-left-width: 0px;
	  		border-right-width: 0px;
	  		border-style: solid;
	  		border-bottom-color: gray;
		    padding-left: 0px;
		    padding-right: 0px;
		    padding-top: 0px;
		    padding-bottom: 0px;
		}

.colhead { color: white;
          background-color: #053E5B;
          font-family: "Verdana, Geneva, Arial, Helvetica";
          font-size: 12;
          font-weight: bold;
          padding-top: 1px;
		  padding-bottom: 1px;
		  }

</style>





</head>

<body class=popup-assist>



<center>
<table class=innerformwrapper width=90% >
<tr>
  <td class=formlabel>



<br>

<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "ExportMyCalendarEvents.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech50"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>

<center>

<font size=+1>
Web+Center iCalendar Sync
<br>
</font>

Click on the file link below to sync this event(s) to your calendar application.
<br> Note: If you are
syncing more than one event with your calendar event, it may be necessary to save and import
the calendar file directly into Outlook.
<br>
<br>


<% ' Debugging
	'response.write "Original_start_date = " & Original_start_date
	'response.flush
	'response.end
%>

<% ' Check if no events exists then display link that says no events to sync

	If Original_Start_Date = "" Then

%>
		No Events Available to Sync

	<% Else %>


	<a href="http://<%=hostname%><%=Virtual_path%>">Events for <%=DateValue(Original_Start_Date)%> </a>


<% End if %>


<br>
<br>
</center>
<UL>
<%=EventsString%>

</ul>


 </td>
</tr>
</table>
</center>




</body>
</html>



<%End If ' Cookie security check %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>


<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>

<% Function RemoveHTMLTags(HTMLString)
' This functions removes all of the HTML tags from the passed HTML string.



NewText = HTMLString

' Step through the string and search for the opening tag character and remove
' everything until the ending tag is found.


	Tag =  0

	For i = 1 to len(NewText)

		If mid(NewText, i, 1) = "<" Then
			Tag = 1
		End If

		If Tag <> 1 Then

			NewMessage  = NewMessage & mid(NewText,i,1)
		End IF

		If mid(NewText, i, 1) = ">" Then
			Tag = 0
		End If
	next

	' Debugging
	'response.write "NewMessage = " & NewMessage
	'response.flush
	'response.end

RemoveHTMLTags = NewMessage


End function
%>


