
<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If

	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If

	End Function
%>

<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If

	DisplayMoneyNoSign =  MoneyString2

	End If

	End Function
%>



<% Function GetLastDayOfMonth(MonthNumber, YearNumber)

	'This function determines the last day of the month (28, 30 or 31)
	' based on the passed MonthNumber and YearNumber

	If MonthNumber = 1 Or MonthNumber = 3 Or MonthNumber = 5 Or MonthNumber = 7 Or MonthNumber = 8 Or MonthNumber = 10 OR MonthNumber = 12 Then
		GetLastDayOfMonth = 31
	End If

	If MonthNumber = 4 Or MonthNumber = 6 Or MonthNumber = 9 Or MonthNumber = 11 Then
		GetLastDayOfMonth = 30
	End If

	' Determine Leap Years for 29 or 28 days

	If MonthNumber = 2 Then

		If (4*(Cint(YearNumber/4)) - YearNumber) <> 0 Then
			GetLastDayOfMonth = 28
		Else
			GetLastDayOfMonth = 29
		End If
	End If

	End Function
%>
