<% 'Module: ExtendedTimeSpentByGroupByDateDetail.asp

	' Extended TimeSpent Reporting module in the Tech+Center

   'Description: This module allows users to perform a search and find invoices
   'is the Invoice Processing module that identifies
   ' late invoices and allows for an easy way to change the status to a
   ' late status.

   '(C) 2000,2001, 2002 2003, 2004, 2005, 2006, 2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/22/13   cmb    Created report from ExtendedTimeSpentByCustomerByDateDetail.asp

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/InvoiceLabels.inc" -->

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Detailed_Time_Spent_Report_By_Group_Date%>
 </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% ' Display the Customer Search Form
%>

	<form action=DoExtendedTimeSpentByTechGroupByDateDetail.asp name="myform" method=post>

<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_case_Reports%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Detailed_Time_Spent_Report_By_Tech_Group_Date%></font>
<br><font size=-2>This report shows all entries in the 'Time and Billing Section' of the case ticket<br>
(billable and non-billable) made within the selected date range for the selected group <br>separated out by case.
Nonbillable hours/amounts are not included in totals.
</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>
<P>

 <table width=100% cellspacing=3 cellpadding=3 border=0>

	<tr>
		<td  align=center><font size=-1 face=arial>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
		</td><td  align=center width=50% valign=top><a href="Reports.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
	</table>

        <center>

  <table width=100% cellspacing=3 cellpadding=3>
        <tr>
        <td  bgcolor=A0B0A0 align=center colspan=3><B><font size=-1 face=arial><%=wc_Invoice_Date_Search%>:</b></font></td>
        </tr>

        <tr>
        <td  bgcolor=A0B0A0 align=center colspan=3>

        <% ' Display Fixed Date Search Options %>

    <Table border=0 width=100% cellspacing=3 cellpadding=3>
        <tr>
        <td width=50% align=left >
        <B><font size=-1 face=arial>
        <input type=radio name=DateRange value="Today">
        &nbsp; Today
		<br>

      <input type=radio name=DateRange value="WeekToDate">
        &nbsp; Week To Date
		<br>

      <input type=radio name=DateRange value="LastCompleteWeek">
        &nbsp; Last Complete Week
		<br>

        <input type=radio name=DateRange value="Current">
        &nbsp;<%=wc_Invoice_This_Month%>
        <br>
        <input type=radio name=DateRange value="LastCompleteMonth">
        &nbsp;<%=wc_Invoice_Last_Complete_Month%>
        <br>
		</td>

		<td>
        <B><font size=-1 face=arial>
       <input type=radio name=DateRange value="Last30Days">
        &nbsp;<%=wc_Invoice_Last_30_Days%>
		<br>

        <input type=radio name=DateRange value="Last60Days">
        &nbsp;<%=wc_Invoice_Last_60_Days%>
		<br>

        <input type=radio name=DateRange value="Quarter">
        &nbsp;<%=wc_Invoice_Last_Complete_Quarter%>
        <br>

        <input type=radio name=DateRange value="LastHalfYear">
        &nbsp;<%=wc_Invoice_Last_Complete_Half_Year%>
        <br>

        <input type=radio name=DateRange value="LastCompleteYear">
        &nbsp;<%=wc_Invoice_Last_Complete_Year%>
        <br>

        <input type=radio name=DateRange value="Range" CHECKED>
        &nbsp;<%=wc_Invoice_Use_Date_Range_Below%>
		</td>
		</tr>
		</table>

        </td>
        </tr>

        <tr>
        <td  bgcolor=A0B0A0 align=center width=30% ><B><font size=-1 face=arial><%=wc_Invoice_Start_Date_Range%></font></b><br>
        <font size=-2 face=arial><%=wc_Invoice_Date_Format%></font>
        <br>
        <input type=text name=StartDate size=10 maxlength=10>
        </td>

        <td  bgcolor=A0B0A0 align=center width=30% ><B><font size=-1 face=arial><%=wc_Invoice_End_Date_Range%></font></b><br>
        <font size=-2 face=arial><%=wc_Invoice_Date_Format%></font>
        <br>
        <input type=text name=EndDate size=10 maxlength=10>
        </td>

		</tr>

       <tr>
        <td  bgcolor=A0B0A0 align=center colspan=3><B><font size=-1 face=arial><%=wc_group%>:</b></font></td>
        </tr>
<tr>
        <td  bgcolor=A0B0A0 align=center colspan=3>

<font size=-1 face=arial><%=wc_Tech_Group%>:

<%
		Response.write "<SELECT size=1 name=Group_id>"
		response.write "<option value=>" & wc_Select_One & "</option>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select Group_number,group_name from group_list Order by group_name"
	set rstemp=conntemp.execute(mySQL)

		Do While rstemp.EOF <> True
			%>
			<option value=<%=rstemp("group_number")%>> <%=rstemp("group_name")%>  </option>
			<%
			rstemp.MoveNext
		Loop

		response.write "</select>"

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

        </td>
        </tr>

		</table>
		</center>
		</center>

</form>

</body>
</html>


