<% 'Module: ImportQBCustomers.asp

   'Description: This module is the function to import QB customers  that have been
   ' exported into an .iff customer for import.

   '(C) 2000, 2001   - 2007 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
   '1/18/01	SAV		Created original EmailListExport.asp page
   '3/01/07	SAV		Created original ExportWCCustomersQB.asp
   '03/07/07 SAV	Created original ImportQBCustomers.asp module

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>



<% ' Get get the Database information starting with Configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000-2007 by Internet Software Sciences -->

<head>

<title>Import QB Customers</title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>





<% ' Display the Customer Search Form
%>

	<form action=DoImportQBCustomers.asp method=post>

	<% If customer_ID <> "" Then %>
		<input type=hidden name=customer_id value="<%=customer_ID%>">
	<% End if ' End if customer_id <> ""%>

		<Center>
		<table width=90% border=1 cellspacing=4 cellpadding=2>
		<tr><td align=center valign=center>

		<font size=+1><B>Import Customers from Quickbooks IIF file</b></font>

		</td>
		</tr>
		</table>


		<table width=90% border=1 cellspacing=4 cellpadding=2>
		<tr><td bgcolor=EFEFEF>

		<font size=-1 face=arial>
		Instructions:
		<ol>
		<li> Inside of Quickbooks, export your customers lists to an *.iif file by selecting the Menu
		option File... Utilities...Export.. Lists to IIF files..

		<li> When selecting which lists to export, select the <B>Customer List</B> check box.
		<li> Press the OK button and save the file is location that can be easily found.
		<li> Open up that *.IIF file with a text editor (such as NotePad or Textpad)
		<li> Copy and paste the entire *.IIF file contents into the TextBox below.
		<li> Press the Submit button to import the customers into the Web+Center Customer database.
		</ol>



		</td>
		</tr>
		</table>



		<br>
        <center>
        <table width=90%>
        <tr>
        <td bgcolor=F0F0F0 align=right><B><font size=-1 >Select Import Options:</font></b></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=radio name=ImportOptions value=""></td></tr>
        <tr>
        <td  colspan=2 bgcolor=F0F0F0 align=center><B><font size=-1 >Copy and Paste your QB IIF file contents into the text box below</b></font></td>

        <tr>
        <td colspan=2 bgcolor=F0F0F0 align=center>
        <Textarea name=IIFFILE rows=10 cols = 60></textarea></td>
		</tr>

		<tr>
		<td bgcolor=F0F0f0 align=center><font size=-1 >
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		<%  If Request.Cookies("ISS_TECH_CENTER_LOGIN") = "" Then %>

		</td><td bgcolor=F0F0F0 align=center width=50% valign=top><a href="default.htm"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		<%else %>
		</td><td  bgcolor=F0F0F0 align=center width=50% valign=top><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		<%End if %>

		</table>

		</center>


</form>



</body>
</html>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
