<% 'Module: LinuxDatabaseCapture.asp

   'Description: This module is used to read an existing Web+Center database and generate from its contents
   ' a SQLLoad script that can be used to reload a mirror of the original database using MySQL



   '(C) 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/27/03	JC		Created original ASP module

%>


<html>
<head>
<title>Database Capture </title>
<body bgcolor=cornsilk>
<font color=red size=+3>Database Capture</font><font size=+1>  (Generates a script file suitable for re-loading a database's contents)</font>
<p>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Allow only levels 6 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF = True Then
          response.write "You are not validated to use this program - Please Log in with Configurator-level permission<p>"
          response.write "Cookie is " & CookieID & "<p>"
          response.flush
          response.end

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>




<%

testpath = Server.MapPath(".")
if Instr(testpath,"\") Then
   slash = "\"
else
   slash = "/"
end if

If Request.Form("Driverfile") <> "" Then
    CurrentFilePath = Request.Form("Driverfile")
Else
    CurrentFilePath = Server.MapPath(".") & slash & "LinuxDatabaseDriver.txt"
End If

If Request.Form("Outputfile") <> "" Then
    TargetFilePath = Request.Form("Outputfile")
Else
    TargetFilePath = Server.MapPath(".") & slash & "LinuxDatabaseLoadScript.txt"
End If


%>
<table bgcolor=silver>

<form method=POST action=LinuxDatabaseCapture.asp>

<input type=hidden name=selfcall value="Yes">
<tr>
 <td>
   <b>Driver Filepath/name:</b>
 </td>
 <td>
   <input type=text size=100 name=Driverfile value='<%=CurrentFilePath%>'>
 </td>
</tr>
<tr>
 <td>
   <b>Output Filepath/name:</b>
 </td>
 <td>
   <input type=text size=100 name=Outputfile value='<%=TargetFilePath%>'>
 </td>
</tr>


<tr>


  <td>
     <input type=submit name=submit value="DoIt">
  </td>

</tr>
</table>
</form>
<% If Request.Form("selfcall") <> "Yes" Then %>

<p><b>Instructions for use:</b>
<Blockquote>
Please provide the full path and file name for the "driver" file in the first box above, and the desired
destination path and filename in the second box above, then hit the button

<Blockquote>
<% End If %>
<hr>

<%
If Request.Form("selfcall") = "Yes" Then     ' If we have been called from the Form Submission



'****************Phase 1 is to load up the Driver file into an array so we can loop over the driver info *************

' Set up the file infrastructure



Set fs1 = CreateObject("Scripting.FileSystemObject")
REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(CurrentFilePath, 1, FALSE)


Set fs2 = CreateObject("Scripting.FileSystemObject")
Set c = fs2.CreateTextFile(TargetFilePath, True)

Tabchar = Chr(9)

Headx = "Processing Driver File " & CurrentFilePath & "<br>"
response.write Headx

Headx = "Generating Loader File " & TargetFilePath & "<br>"
response.write Headx

response.write "<p><blockquote>"
Response.write "<hr><center><font size=+2><b>Contents of Driver File are as follows:</b></font></center>"
Linecounter = 0
DiagFlag = 0
ValidWords = "INT CHAR SMALLINT TINYINT MEDIUMTEXT DATE TIME"

 Dim  Array_driver()

response.write "<table border=0 cellpadding=3 cellspacing=0 bgcolor=silver>"

While not b.AtEndOfStream
	InRec  = b.Readline

	InRec = Trim(Inrec)
	if Inrec = "" Then
		  ' do nothing
		else
		Token = Split(Inrec,tabchar)

		If Token(0) = "#CREATE" Then

		     ReDim preserve Array_driver(linecounter)
		     Array_driver(linecounter) = Inrec
		     linecounter = linecounter + 1
			 response.write "<tr><td><font size=-1><b>" & Token(1) & "</b></font></td><td><hr></td><td><hr></td></tr>"

		Else

		     ReDim preserve Array_driver(linecounter)
		     Array_driver(linecounter) = Inrec
		     linecounter = linecounter + 1
		     response.write "<tr>"
		     If Ubound(Token) = 2 Then
		        If Token(2) = "#UNIQUE" then
		            response.write "<td align=right><font size=-1 color=Yellow>Unique Key ---></font></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
		        Else
		            response.write "<td align=right><font color=red><b>Bad Syntax - " & Token(2) & "</b></font></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
		            DiagFlag = 1
		        End If
		     Else
		        If  (Instr(ValidWords,Token(1))) Then
                   response.write "<td></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
                Else
                   response.write "<td></td><td><font size=-1>" & Token(0) & "</font></td><td><font color=red><b>Bad Syntax - " & Token(1) & "</b></font></td>"
                   DiagFlag = 1
                End if

             End if
             response.write "</tr>"
        end if

	end if ' go process next line
Wend
response.write "</table> Line count of Driver data is " & linecounter & "<p>"
' Insert a final marker at the very end of the array
ReDim preserve Array_driver(linecounter)
Array_driver(linecounter) = "#ENDOFFILE"
linecounter = linecounter + 1
b.Close

Response.write "<center><font size=+2><b>Completed Loading The Driver File</b></font></center>"
response.write "<hr>"

If DiagFlag <> 0 Then
	Response.write "<center><font size=+2 color=red><b>Errors Exist in the Driver Directives (see above)</b></font></center>"
	Response.write "<center><font size=+2 color=red><b>Please Correct These Before Proceeding</b></font></center>"
	Response.flush
	Response.end
End If

' *********************** End of Phase 1 *******************************

Response.write "<center><font size=+2><b>Processing The Database Contents</b></font></center>"
' following 3 lines for debug only
'For i = 0 to linecounter - 1
   'response.write "Array sub" & i & " is " & Array_driver(i) & "<br>"
'Next

set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

Last_Entry = Linecounter - 1
Current_Table = 0
Next_Table = 0
SetNext_Table

EmitRecs


While Array_driver(Next_Table) <> "#ENDOFFILE"

	Current_Table = Next_Table
	SetNext_Table
	EmitRecs

Wend


c.Close

Response.write "<hr><center><font size=+2><b>Database-Capture Processing Completed</b></font></center>"
Response.write "<p>Loader Script was written to <b> " & TargetFilePath & "</b><p>"

End If ' If we have been called from the Form Submission

'-----------------------Subroutines---------------------------

Sub SetNext_Table()
   ' this subroutine is called with pointer to *current* tablename in the array. Its job is to find the *next* table name in the array and point to it
	Next_Table = Current_Table + 1
	Token = Split(Array_driver(Next_Table), tabchar)

	While (Token(0) <> "#CREATE") and (Token(0) <> "#ENDOFFILE")
		  Next_Table = Next_Table + 1
		  Token = Split(Array_driver(Next_Table), tabchar)
	Wend
End Sub

' ----------------------------------------------------------

Sub EmitRecs()
    ' this subroutine is given a table name (pointed to in the array) and his job is to read all records from that table
    ' and then within each record, read up each element one-by-one and emit the data to the output record

	Token = Split(Array_driver(Current_Table), tabchar)
	table_name = Token(1)
	response.write "Processing Table <b>" & table_name  & "</b>  "

	rec_count = 0
    mySQL2="SELECT * from " & Token(1)
	set rstemp=conntemp.execute(mySQL2)
	current_element = current_table  + 1
	carriage_return = vbCRLF

	Do while (Not rstemp.eof) ' loop for each record in this table
	    Outrec = ""
		rec_count = rec_count + 1
		' response.write "Processing record number " & rec_count & "<br>"
		For k = current_element to Next_table - 1 step 1  ' Loop over each element in this record
		    Token = Split(Array_driver(k), tabchar)
		    element_name = Token(0)
		    element_type = Token(1)
		     ' response.write "<br>emitting element " & element_name & " of type " & element_type & "<br>"
		    If Len(Outrec) = 0 Then
		      Outrec = "INSERT INTO " & table_name & " VALUES ("
		    End If

		    If element_type = "INT" or element_type = "SMALLINT" or element_type = "TINYINT" Then
		       outrec = outrec & rstemp(element_name) & ","
		    Else
		       temp = rstemp(element_name)
		       If not isNull(temp) Then
		           temp2 = Replace(temp,carriage_return,"<<cr>>")
		       Else
		           temp2 = temp
		       End If


		       outrec = outrec & "'" & temp2 & "',"
		    End If
        Next ' finished looping over all elements in a record
        ' replace the last comma in the output record with closing parenthesis.
        lambda = Len(outrec)
        lambda = lambda - 1
        Outrec = Left(Outrec,Lambda)
        Outrec = Outrec & ")"
        ' write the record
        c.WriteLine(Outrec)
        'response.write "<br><font color=blue>" & Outrec & "<font>"
	    rstemp.Movenext
    Loop
	response.write rec_count & " records<br>"
	response.flush



End Sub



%>
<p>

</body>
</html>
