<% 'Module: MoreConfiguration.asp

   'Description: This module is the Page for displaying the Third
   ' system level configuration page.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original EditConfiguration.asp Module
	'08/15/02	SAV		Created OtherConfiguration.asp module from EditConfiguration.asp Module
	'09/05/02	SAV		Created MoreConfiguration.asp module from OtherConfiguration.asp Module
	'05/05/13	SAV		Added new virtual directory definition fields
	'11/19/13   CMB      Added survey bits for version 8.1
	'03/21/14   CMB     Removed doc thing

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		Customersurvey = rstemp("Customersurvey")  ' YES/NO enable customer Survey
		SurveyEmail1 = rstemp("SurveyEmail1")
		SurveyEmail2 = rstemp("SurveyEmail2")
		SurveyEmail3 = rstemp("SurveyEmail3")
		SurveyEmailText = rstemp("SurveyEmailText")

		TechVirtual = rstemp("TechVirtual")
		CustomerVirtual = rstemp("CustomerVirtual")
		BusinessVirtual = rstemp("BusinessVirtual")
		LanguageVirtual	= rstemp("LanguageVirtual")


		'Version 8 new configuration file columns

		IF Version8point0 = "YES" Then

			PocketVirtual = rstemp("PocketVirtual")
			ReservationCenterVirtual = rstemp("ReservationCenterVirtual")
			CustomerMobileVirtual = rstemp("CustomerMobileVirtual")
			TechMobileVirtual = rstemp("TechMobileVirtual")
			if isnull(rstemp("WebCenterVersion")) then
				WebCenterVersion = 8.0
			Else
				WebCenterVersion = cdbl(rstemp("WebCenterVersion")) '11/19/13
			End if

			'if webcenterversion > 8.0 then  '11/19/13
				if not isnull(rstemp("ForceSurvey")) then
			   	ForceSurvey = rstemp("ForceSurvey")
			   Else
			   	ForceSurvey = false
			   end if

				if not isnull(rstemp("SendSurveyResultToTech")) then
						TechSurvey = rstemp("SendSurveyResultToTech")
					Else
						TechSurvey = false
				end if
				if not isnull(rstemp("ShowSurveyResultInCaseHistory")) then
			   	SurveyInCaseHistory = rstemp("ShowSurveyResultInCaseHistory")
			   Else
			   	SurveyInCaseHistory = false
			   end if
			'end if
		End If





	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_More_Configuration_Options%></title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>More Configuration Options</b><br>
</font>
<font size=-2> <%=wc_Please_refer_to_User_Guide_for_instructions%>
</font>
</font>
<br>
</td></tr></table><p>
</center>

<FORM ACTION=DoMoreConfiguration.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98%>
	<tr>
	<td>
	<table border=0>
	<tr>
	<td width=50% valign=top>
			<font size=-1>
			<br>


			<center><font size=+1><%=wc_Customer_Survey%></font></center><hr width=80%>
			<UL>


			<% If Customersurvey = True Then%>
			<input type=checkbox name=Customersurvey value=YES CHECKED><B><%=wc_Customer_Survey%></b><P>

			<% Else %>

			<input type=checkbox name=Customersurvey value=YES ><B><%=wc_Customer_Survey%></b><P>
			<%End If %>

<%'---- 11/19/13 %>

<%	IF Version8point0 = "YES" Then  ' 11/19/13
			if WebCenterVersion >= 8.0 then
			%>

    <% if ForceSurvey =  True then %>
     <input type=checkbox name=chkForce CHECKED>
     <% else %>
      <input type=checkbox name=chkForce >
     <%end if %>
	<b>	Force Customer Surveys</b><BR> (customer survey will be submitted when case is first closed)
<br><br>
    <% if TechSurvey = True then %>
      <input type=checkbox name=chkTech CHECKED>
     <% else %>
       <input type=checkbox name=chkTech>
     <%end if %>
  		<b>Send Survey to Assigned Tech</b>
<br><br>
     <% if SurveyInCaseHistory =  True then %>
 <input type=checkbox name=chkCaseHistory CHECKED>
      <% else %>
 <input type=checkbox name=chkCaseHistory>
      <%end if %>
  		<b>Include Survey Result in Case History</b>
<br><br>
<% end if ' 11/19/13
	end if %>
<%'---- end 11/19/13 %>

			<B><%=wc_Send_Email_Results_To%>:</B>
			<UL>
			<%=wc_Email1%>:
			<input type=text size=25 maxlength=80 name=SurveyEmail1 value="<%=SurveyEmail1%>"><P>

			<%=wc_Email2%>:
			<input type=text size=25 maxlength=80 name=SurveyEmail2 value="<%=SurveyEmail2%>"><P>
			<%=wc_Email3%>:
			<input type=text size=25 maxlength=80 name=SurveyEmail3 value="<%=SurveyEmail3%>"><P>

			</ul>

			<B><%=wc_Survey_Email_text%>:</b><br>
			<textarea name="SurveyEmailText" rows=3 cols=30><%=SurveyEmailText%></textarea>
	</td>

	<td valign=top width=50%>
		<br>
		<font size=-1>
		<center><font size=+1>Virtual or Application Directory Names</font></center><hr width=80%>
		<UL>

		<B><%=wc_Tech_Center%>:</b> (tech80 default)<br>


		<input type=text size=25 maxlength=100 name=TechVirtual value="<%=TechVirtual%>"><P>


		<B><%=wc_Customer_Center%>:</b> (customer80 default)<br>


		<input type=text size=25 maxlength=100 name=CustomerVirtual value="<%=customerVirtual%>"><P>

		<B><%=wc_Business_Center%>:</b> (business80 default)<br>


		<input type=text size=25 maxlength=100 name=businessVirtual value="<%=businessVirtual%>"><P>


		<B><%=wc_Language_Files%>:</b> (language80 default)<br>


		<input type=text size=30 maxlength=100 name=languageVirtual value="<%=languageVirtual%>"><P>


		<B>Pocket+Center:</b> (pocket80 default)<br>


		<%	IF Version8point0 = "YES" Then
		%>




		<input type=text size=30 maxlength=100 name=pocketVirtual value="<%=pocketVirtual%>"><P>

		<B>Reservation+Center:</b> (Reservation80 default)<br>

		<input type=text size=30 maxlength=100 name=ReservationCenterVirtual value="<%=ReservationCenterVirtual%>"><P>

		<B>Customer+Mobile:</b> (CustomerMobile80 default)<br>

		<input type=text size=30 maxlength=100 name=CustomerMobileVirtual value="<%=customerMobileVirtual%>"><P>

		<B>Tech+Mobile:</b> (TechMobile80 default)<br>

		<input type=text size=30 maxlength=100 name=TechMobileVirtual value="<%=TechMobileVirtual%>"><P>


		<% End IF

		%>


		</ul>

		</td>


	<% ' Close inner table %>
	</tr>

	</table>
	</td>
	</tr>
</table>

</form>

</body>
</html>

<% End If %>

