<% 'Module: PerformInspection.asp

   'Description: This module is invoked into a sub-window from a button in TCaseForm.
   'When originaly invoked it is paster the case_number via ID parameter on the URL, then
   ' it contains a form with a button that can cause it to loop on itself allowing it
   ' to update the Pnotes for this case number
   ' It also expects a parameter called "mode" which can be either "Show", "Update", "Clear" or "Confirm"
   ' which drives the mainline logic to perform the relevant action


   '(C) 2000,2001, 2002 2003, 2004, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '8/30/2006	JC		Created original module
   '01/19/2011	SAV		Created PerformINspection.asp module
   '04/13/2011  CMB     Added trim to Notes - was putting weird characters in Access database
   '04/14/2011  CMB     Dont save new record and they haven't changed status (it's default) and notes are blank (however,
   '                    if there is no default, will save all assets for a given case
   '11/14/2011  CMB     Added assetlabel include; dont display column if not defined; pulling second column from wrong field
   '01/02/2012  CMB     If description label wasn't defined, was putting the wrong columns under the wrong headers.
   '01/05/2012  CMB     Allow for multiple values for inspections
   '01/05/2012  CMB     FIXed bug - not showing correct technician; adds new record when anything changed
      '01/26/12   CMB      Changed add and delete procedures
    '01/26/12    CMB    Added spaces in table; if no assets associated with this group, add msg; YOU MUST
    '                   CHANGE NOTES OR STATUS IN ORDER FOR THIS TO SAVE -- JUST CHANGING TECH DOESN'T SAVE IT;
    '                    Put up success message
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<%
Dim Confirm_msg  ' cmb 01/26/12
Dim nChanged
nChanged = 0
Confirm_msg = "" ' cmb 01/26/12 %>
<% if request.querystring("Mode") = "Close" Then %>
<SCRIPT language="javascript">
    window.close();
</SCRIPT>
<% end if %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>





<% ' Display the Customer Search Form %>


<html>
<head>
	<title>Perform Asset Inspections</title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>
<body class=rightwindow>
<%


If request.querystring("ID") <> "" Then '
 case_number = request.querystring("ID")
 mode = request.querystring("Mode")
else
case_number = request.form("case_number")
  If request.form("update.y") <> "" then
    mode="Update"
  end if
  If request.form("clear.y") <> "" then
    mode="Clear"
  end if
  If request.form("confirm.y") <> "" then
    mode="Confirm"
  end if

end if

%>
  <center>

	<Table  class=BGWrapper><tr><td>
	<div class=MajorScreenTitleFixed>
	 Perform Asset Inspections For Case Number <%=Case_number%>
	</div>
	</tr></td>
	<tr><td align=center>Please make sure you change date/time if you're changing values</td></tr>
	</table>
	</center>




<%

'response.write "I see the case number is " & case_number & "<P>"
'response.write "I see the mode is " & mode & "<P>"
'response.write request.form
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

if Mode = "Show" then
  read_display case_number,mode
end if

if Mode = "Update" Then
   ' first make sure there is a record to be updated

   Case_Number = Request.form("Case_Number")
'   response.write "Case_Number = " & Case_Number
'   response.flush
'   response.end

	' A hidden form element will have a list of the asset number that we will use to
	' find the other form elements.

	For i = 1 To Request.Form("Asset_Number").Count
		' Debugging
	'	Response.Write Request.Form("Asset_number")(i) & "<br>"

		Call InsertChanged()
	Next

	Confirm_msg = nChanged & " records saved. "


   mySQL="select * from Pnotes WHERE Case_number =" & case_number
  ' response.write "Mysql is " & mysql & "<P>"
 '  response.flush
 '  response.end

   set rstemp=conntemp.execute(mySQL)
   if rstemp.eof then
	   MySQL = "INSERT into Pnotes (Case_Number) values (" & case_number & ")"
	  ' response.write "INSerting viz " & Mysql & "<P>"
   'response.flush
   'response.end
	   set rstemp=conntemp.execute(mySQL)
   end if
   Pnote_text = request.form("Pnote")
   If Pnote_text = "" then ' protect against updating with zero length string - if user tries to do this we just delete the record
	   mysql = "DELETE from Pnotes Where Case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   else
      Pnote_text = Replace(Pnote_text,"'","''")   ' protect aginst embedded apostrphes
	   mysql = "UPDATE Pnotes SET Pnote = '" & Pnote_text & "' WHERE case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   end if
   read_display case_number,mode
end if


if Mode = "Confirm" then
  mysql = "DELETE from Pnotes Where Case_number =" & case_number
  set rstemp=conntemp.execute(mySQL)

  response.write "Deleted<p>"
%>

<SCRIPT language="javascript">
    window.close();
</SCRIPT>

<%
end if

%>


<%
Sub Read_display(this_case,this_mode)

' This function has to be very smart..

'If this is the first time it is called, it needs to create the form based on the assets
'that are in the asset group.

'If the inspection has already been taken place, it must do a similar call but this time pick up any previous
' performed inspections for that asset and case number from the inspection table and fill them into the form.

' So first get the passed case number and then get the assigned asset group and then loop
' through the group and display the inspection fields and if any inspections are already performed,
' fill in that data.


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="SELECT * from Cases where case_number = " & this_case

		' Response.write "SQL=" & mySQL2

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			AssetGroupIndex = ""
		Else
			AssetGroupIndex  = rstemp2("AssetGroupIndex")
		End IF

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

		'response.write " AssetGroupIndex = " & AssetGroupindex

%>
<center>
<p>
<form action=PerformInspection.asp METHOD=POST name=myform>

<input type=hidden name="Case_number" value = "<%=Case_Number%>">



<table cellspacing=0 cellpadding=0>
<tr>
   <td class=outerformwrapper align=center>
		  <table cellspacing=0 cellpadding=0>
			<tr>
			  <td>

<%' Now cycle through all of the assets in this group and display the inspection form

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from AssetGroupValues where AssetGroupIndex =  " & AssetGroupIndex

	mySQL = "SELECT assets.asset_number, assets.computer_id, assets.property_tag, assets.equipment_type FROM AssetGroupValues INNER JOIN assets ON AssetGroupValues.Asset_Number = assets.asset_number where AssetGroupIndex =  " & AssetGroupIndex


		' Response.write "SQL=" & mySQL

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3


	'set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

		' no assets found
		%>
			<TR><TD>No assets found associated with this group</TD></TR>
	<%
	Else
		 if Confirm_msg > "" then ' CMB 01/26/12
		 %>
			<TR><TD><%=Confirm_msg%></TD></TR>
		<% end if
%>
		<table border=1>
		<tr>
		 <td bgcolor=white ><span class=tinyprint ><%=Asset_Number_Label%></span>  <!--Asset_Number_Label-->
		</td>

	<% if property_tag_label > "" then %>
		 <td bgcolor=white><span class=tinyprint><%=Property_Tag_Label%></span>  <!--Property_Tag_Label-->
		</td>
	<% End If %>

	<% if description_label > "" then %>
		 <td  bgcolor=white><span class=tinyprint><%=Description_Label%></span>  <!--Description_Label-->
		</td>
  <% end if %>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Status</span>
		</td>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Date</span>
		</td>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Time</span>
		</td>

		 <td bgcolor=white><span class=tinyprint><br>Techician</span>
		</td>

		 <td bgcolor=white><span class=tinyprint><br>Notes</span>
		</td>
		</tr>

<%
		Do While rstemp.EOF <> True


		' First we need to see if there are any inspection completed for any of the assets already and
		' if so, fill those in other set the default values

		' To do, we pass the case_number and the asset_number and see if there an inspection with those keys
		' and if so then return the information.

		mySQL3 = "SELECT Top 1 InspectionStatus.InspectionStatus, Inspection.InspectionDate, Inspection.InspectionTime, Inspection.InspectionNotes, Inspection.Tech_ID, tech_staff.last_name, tech_staff.first_name, Inspection.InspectionStatusIndex FROM (Inspection INNER JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex) INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id "

		WhereString = " WHERE Inspection.Case_Number = " & Case_Number & " AND Inspection.Asset_Number = " & rstemp("Asset_Number")

		mySQL3 = mySQL3 & WhereString & " ORDER by inspectionDate DESC, Inspectiontime desc, InspectionIndex DESC "  ' CMB 01/05/12 added order by and top 1

		'response.write "mySQL3 = " & mySQL3


		set rstemp3 = server.createobject("adodb.recordset")
		rstemp3.open mySQL3, conntemp, 1,3

		If rstemp3.EOF = True  Then
			' If no record found then default values

			InspectionStatusIndex = ""
			InspectionStatus = ""
			InspectionDate = Month(Now) & "/" & Day(Now) & "/" & Year(Now)
			InspectionTime = Hour(Now) & ":" & Minute(Now)
			InspectionTechID = ""
			InspectionTechName = ""
			InspectionNotes = ""

		Else

			InspectionStatusIndex = rstemp3("InspectionStatusIndex")
			InspectionStatus = rstemp3("InspectionStatus")
			InspectionDate = rstemp3("InspectionDate")
			InspectionTime = rstemp3("InspectionTime")
			InspectionTechID = rstemp3("Tech_ID")
			InspectionTechName = rstemp3("First_Name") & " " & rstemp3("Last_Name")
			InspectionNotes = trim(rstemp3("InspectionNotes")) ' CMB 04/13/2011 added trim; was getting weird characters somewhere

		End if

		rstemp3.close
		set rstemp3 = nothing
%>

		<tr>
		<td>
		<span  class=plaintext color="FFFFFF">
		<%=rstemp("Asset_Number") %>
		<% Asset_Number = rstemp("Asset_Number") %>

		<input type=hidden name="Asset_Number" value = "<%=rstemp("Asset_Number") %>">&nbsp;

		</span>
		</td>

	<% if property_tag_label > "" then %>
		<td>
		<span  class=plaintext color="FFFFFF">
		<%=rstemp("Property_Tag") %>&nbsp;
		</span>
		</td>
  <% end if %>

  <% if description_label > "" then %>

		<td>
		<span  class=plaintext color="FFFFFF">
		<%=rstemp("Equipment_Type")%>&nbsp;
		</span>
		</td>

 <% end if %>

		<td>
		<span class=formboxholder>

<% '--- Get all of the status values from the database and loop thru

		mySQL5 = "Select * From InspectionStatus"

		set rstemp5 = server.createobject("adodb.recordset")
		rstemp5.open mySQL5, conntemp, 1,3

	If  rstemp5.eof then ' Check to see any Groups exist
			Response.write "No Status Values Defined - You must create at least one status value "
			Response.flush
	Else

		response.write "<select name = InspectionStatus" & Asset_Number & " size=1>"

		Do While rstemp5.EOF <> True
				if rstemp5("DefaultStatus") = True then  'CMB 04/14/2011
					DefaultStatusIndex = rstemp5("InspectionStatusIndex") 'CMB 04/14/2011
				end if 'CMB 04/14/2011

				If InspectionStatusIndex = rstemp5("InspectionStatusIndex") then
					response.write "<option value=" & rstemp5("InspectionStatusIndex") & " SELECTED>" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
				Else
					if rstemp5("DefaultStatus") = True AND InspectionStatusIndex = "" Then

						response.write "<option value=" & rstemp5("InspectionStatusIndex") & " SELECTED>" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp5("InspectionStatusIndex") & ">" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
					End If

				End If

			rstemp5.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp5.close
	set rstemp5=nothing
'-------------- end statuses dropdown
 %>

		</span>
		</td>

		<td>
		<span class=formboxholder>

		<input name="InspectionDate<%=Asset_Number%>" size=10 value = "<%=InspectionDate%>">

		</span>
		</td>

		<td>
		<span class=formboxholder>

		<input name="InspectionTime<%=Asset_Number%>" size=10 value = "<%=InspectionTime%>">

		</span>
		</td>


		<td>
		<span class=formboxholder>


<% ' ---- Get all of the techs from the database and loop thru ' CMB changed comment 04/13/2011

		mySQL5 = "Select * From Tech_Staff"

		set rstemp5 = server.createobject("adodb.recordset")
		rstemp5.open mySQL5, conntemp, 1,3

		If  rstemp5.eof then ' Check to see any Groups exist
				Response.write "No Tech Staff Found"
				Response.flush
		Else
			response.write "<select name = Tech_ID" & Asset_Number & " size=1>"

			Do While rstemp5.EOF <> True

					If InspectionTechID = rstemp5("Tech_ID") then  ' CMB 01/05/12 BUG FIXED
						response.write "<option value=" & rstemp5("Tech_ID") & " SELECTED>" & rstemp5("First_Name") & " " & rstemp5("Last_Name") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp5("Tech_ID") & ">" & rstemp5("First_Name") & " " & rstemp5("Last_Name") & "</option>" & chr(10) & chr(13)
					End If

				rstemp5.MoveNext
			Loop

			response.write "</select>"
		End IF

		rstemp5.close
		set rstemp5=nothing
'---------- end tech drop down
 %>

		</span>
		</td>


		<td>
		<span class=formboxholder>
		<input name=Notes<%=Asset_Number%> size=20 maxlength=100 value="<%=InspectionNotes%>">
		<input type=hidden name=OldStatusIndex<%=Asset_Number%> visible=no value="<%=InspectionStatusIndex%>">   <!-- CMB 04/14/2011 -->
		<input type=hidden name=DefaultStatusIndex<%=Asset_Number%> visible=no value="<%=DefaultStatusIndex%>">   <!-- CMB 04/14/2011 -->
		<input type=hidden name=OldNotes<%=Asset_Number%> visible=no value="<%=inspectionNotes%>">  <!-- CMB 01/05/2012 -->
		<input type=hidden name=OldTech<%=Asset_Number%> visible=no value="<%=inspectionTechID%>">  <!-- CMB 01/05/2012 -->
		</span>

		</tr>

<%
			rstemp.MoveNext

		Loop
		response.write "</table>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

			  </td>
			</tr>
			<tr>
			  <td align=center>
					<% If this_mode = "Update" then %>
					 <span class=tinyprint>(Updated)</span>
					 <% else %>
					 <span class=tinyprint>&nbsp;</span>
					 <% end if %>
			 </td>
			</tr>
			</table>
  </td>
</tr>
<tr><td height=10></td></tr>
<tr><td align=center>
	<% If this_mode = "Clear" then %>
		<input type=image name=confirm src=/<%=WCLanguageDirectory%>/ts_red_delete30x100.gif border=0>
        &nbsp; &nbsp; &nbsp;
        <a href=Pnotes.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% else %>

		<input type=image name=update src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>
		&nbsp; &nbsp; &nbsp;
        <a href=PerformInspection.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% end if %>


</td></tr></table>
</form>
<%

end sub
%>

<% SUB InsertChanged()
Dim bDoNothing
bDoNothing = 0
Dim bNew
bNew = 0
		Asset_Number = Request.Form("Asset_number")(i)

	'Now get all of the form fields for status, date, time, tech and notes

	FormName = "InspectionStatus" &  Asset_Number
		InspectionStatus = Request.form(Formname)  ' this is index

	FormName = "InspectionDate" & Asset_Number
		InspectionDate = Request.form(Formname)

	FormName = "InspectionTime" & Asset_Number
		Inspectiontime = Request.form(Formname)

	FormName = "Tech_ID" & Asset_Number
		Tech_ID = Request.form(Formname)

	FormName = "Notes" & Asset_Number
		Notes = trim(Request.form(Formname)) ' CMB 04/13/2011

	FormName = "OldStatusIndex" & Asset_Number  ' CMB 04/14/2011 ' this is INDEX
		OldInspectionStatus = Request.form(Formname)  ' CMB 04/14/2011

	FormName = "DefaultStatusIndex" & Asset_Number  ' CMB 04/14/2011
		DefaultStatusIndex = Request.form(Formname)  ' CMB 04/14/2011

	FormName = "OldNotes" & Asset_Number  ' CMB 01/05/2012
		OldNotes = Request.form(Formname)  ' CMB 01/05/2012

	FormName = "OldTech" & Asset_Number  ' CMB 01/05/2012
		OldTech = Request.form(Formname)  ' CMB 01/05/2012


'Now insert the value into the database

	Set Conn5 = Server.CreateObject("ADODB.Connection")
	conn5.open  myDSN

	' Check to see if asset_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Inspection where Case_number = " & Case_number & " AND Asset_Number = " & Asset_Number
		'response.write SQL

		NewRecord.Open SQL,Conn5,3,3
	'	response.write "NEW" & inspectionStatus & "OLD" & oldinspectionstatus
	'	response.write "NEW" & notes & "OLD" & OldNotes
	'	response.write "NEW" & tech_ID & "OLD" & oldtech
	'	response.flush
	'	response.end

		If NewRecord.EOF   THEN
			' CMB added section - if inspectionstatus hasn't changed and not notes doesn't add record
				if InspectionStatus = DefaultStatusIndex and Notes = "" then  ' CMB 04/14/2011
			'	if InspectionStatus = DefaultStatusIndex and Notes = "" and  Tech_ID = ""  then  ' CMB 01/26/2012 doesn't work

					'do nothing New record still default and no notes
					'NOTE if there is no default status then will save all the asset records for this case
					bDoNothing=1
				Else
					NewRecord.AddNew
					nChanged = nChanged + 1 ' CMB 01/26/12
					bNew = 1
				End If
		else
				if InspectionStatus = OldInspectionStatus and Notes = OldNotes and Tech_ID = OldTech then
					bDoNothing = 1  ' oldrecord, status and notes not changed
				Else
					NewRecord.AddNew
					nChanged = nChanged + 1 ' CMB 01/26/12
					bNew = 0
				end if
		End IF

		If bNoNothing = 0 and Not Newrecord.eof  THEN  ' CMB 04/14/2011

			' Set all of the variables the same for either new/update 01/05/12 CMB NEVER UPDATES

			NewRecord("Case_number") = Case_number

			NewRecord("Asset_Number") = Asset_Number
			'If bNew = 1 then -- this will put up the old one -- if changing probably want to use new
				NewRecord("InspectionDate") = CDate(InspectionDate)

				NewRecord("InspectionTime") = InspectionTime
			' end if
			NewRecord("InspectionStatusIndex") = InspectionStatus

			NewRecord("Tech_ID") = Tech_ID

			NewRecord("InspectionNotes") = Notes

			NewRecord.Update


			'If  err.number>0 then
			'      response.write "VBScript Errors Occured:" & "<P>"
			'      response.write "Error Number=" & err.number & "<P>"
			'     response.write "Error Descr.=" & err.description & "<P>"
			'      response.write "Help Context=" & err.helpcontext & "<P>"
			'      response.write "Help Path=" & err.helppath & "<P>"
			'      response.write "Native Error=" & err.nativeerror & "<P>"
			'      response.write "Source=" & err.source & "<P>"
			'      response.write "SQLState=" & err.sqlstate & "<P>"
			'else
			'      response.write "No VBScript Errors Occured" & "<P>"
			'end if
			'IF  conn.errors.count> 0 then
			'      response.write "Database Errors Occured" & "<P>"
			'for counter= 0 to conn.errors.count
			'      response.write "Error #" & conn.errors(counter).number & "<P>"
			'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
			'next
			'else
			''      response.write "No Database Errors Occured!" & "<P>"
			'end if
	End If

	NewRecord.Close
	Set NewRecord = Nothing

	Conn5.Close
	Set Conn5 = nothing

END SUB
%>


<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>
