<% 'Module: PrintProject.asp

   'Description: This module display the Projects page when the user press the
   ' Projects button.
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/03/00	SAV		Created original NewCase.asp Module Page
   '05/18/11	SAV		Created Projects.asp module from NewCase Module page
	'05/19/11	SAV		Created MakeProjects.asp module
	'10/05/11   CMB     Testing Projects; changed class for Resource section
	'10/16/11   CMB     DisplayMoney; column alignment, totals for expenses and time & billing
   '11/28/11   CMB     Get rid of subchilds below subchilds
   '12/02/11   CMB     Separate dropdowns for project members; customer help; calendar control
   '12/03/11   CMB     Get DatabaseType
   '04/05/12   CMB     Put customers in order
   '04/10/15   JLC	   Created Print Project Page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "printproject.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySql = "Select * from configuration"
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")
		DatabaseType = rstemp2("DatabaseType")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 'Get Project Information

		ID = Request.querystring("ID")

		mySQL2 = "SELECT Projects.[ProjectID], Projects.[ProjectName], Projects.[ProjectLeader], Projects.[ProjectDescription], Projects.[HoursEstimated], Projects.[ResourcesEstimated], Projects.[MakePublic], Projects.[ProjectReferenceNumber], Projects.[ProjectStatus], Projects.[AdditionalProjectMembers], Projects.[ProjectDueDate] FROM Projects "

	'	not using tech join anyway mySQL2 = "SELECT Projects.[ProjectID], Projects.[ProjectName], Projects.[ProjectLeader], Projects.[ProjectDescription], Projects.[HoursEstimated], Projects.[ResourcesEstimated], Projects.[MakePublic], Projects.[ProjectReferenceNumber], Projects.[ProjectStatus], Projects.[AdditionalProjectMembers], Projects.[ProjectDueDate], tech_staff.first_name, tech_staff.last_name FROM Projects "
	'	Not using anyway mySQL2 = mySQL2 & " LEFT OUTER JOIN tech_staff ON Projects.ProjectLeader = tech_staff.tech_id"

		If ID = "NEW" Then ' Called when creating new projects

		Else
			WhereStatement = " WHERE PRojectID = " & ID

			mySQL2 = mySQL2  & WhereStatement

	'		mySQL2 = mySQL2 & " Order by " & FixedSortOrder  & " " & AscendDescend

			'response.write "MySQL = " & mySQL2 & "<br>"

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			set rstemp=Server.CreateObject("adodb.Recordset")
			'-->AKS<-- Need to specify cursor for record count to be correct.

			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open mySQL2, conntemp, adopenstatic

			If NOT rstemp.EOF Then

				ProjectName = rstemp("ProjectName")
				ProjectLeader = Trim(rstemp("ProjectLeader")) ' note not sure why this is happening in Access but if you don't trim it doesn't match in the project leader dropdown
				ProjectDescription = rstemp("ProjectDescription")

				If Not Isnull(rstemp("HoursEstimated")) then	' cmb failing later
					HoursEstimated = rstemp("HoursEstimated")
				Else
					HoursEstimated = 0
				End If

				If not Isnull(rstemp("ResourcesEstimated")) then ' cmb failing later
					ResourcesEstimated  = rstemp("ResourcesEstimated")
				Else
					ResourcesEstimated = 0
				End If

				MakePublic = rstemp("MakePublic")
				ProjectReferenceNumber = rstemp("ProjectReferenceNumber")
				'response.write "ProjectReferenceNumber = " & ProjectReferenceNumber

				ProjectStatus = rstemp("ProjectStatus")
				AdditionalProjectMembers = rstemp("AdditionalProjectMembers")
				projectduedate = rstemp("ProjectDueDate")

			End If ' End of if rstemp.EOF Check

		 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database

		conntemp.close ' Close the connection
		set conntemp=nothing

		End if ' End of if ID <> NEW

%>

<html>

<head>
<script language=javascript> window.focus(); window.print();
</SCRIPT>

<!-- CALENDAR -->
<link type="text/css" href="css/ui-lightness/jquery-ui-1.8.16.custom.css" rel="Stylesheet" />
<script type="text/javascript" src="js/jquery-1.6.2.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-1.8.16.custom.min.js"></script>

<script type="text/javascript">
$(document).ready(function()
{
$("#ProjectDueDate").datepicker({ showOn: 'button',buttonImageOnly: true, buttonImage: 'calendar.gif'  });

}
);
</script>
	<!-- END CALENDAR -->

<SCRIPT LANGUAGE="JavaScript1.1">
function AddTechToMembers(frm)
{
var Tech;
var TechValue;
//alert("YES");
if (frm.Techs.selectedIndex == -1) {
	alert("You must select a technician before you can add them");
	}
else
	{
//	alert("YES");
	Tech = frm.Techs.options[frm.Techs.selectedIndex].text;
	TechValue = frm.Techs.options[frm.Techs.selectedIndex].value;
//	alert("TECH: " + Tech);
	frm.ProjectMembers.options[frm.ProjectMembers.options.length] = new Option(Tech,TechValue);
}
}

function SelectAll(frm)
{
	for (i=0;i<frm.ProjectMembers.options.length;i++)
		{
		frm.ProjectMembers.options[i].selected=true;
		}
	//	document.myform.submit();
		//frm.submit();
}

function AddFromPopUp(lname,fname,cid)
{
var Tech;
var TechValue;
	Tech = lname + ", " + fname;
	TechValue = cid;
	ProjectLeaderForm.ProjectMembers.options[ProjectLeaderForm.ProjectMembers.options.length] = new Option(Tech,TechValue);
	return true;
}

function AddCustomerToMembers(frm)
{
var Tech;
var TechValue;
//alert("YES");
if (frm.Customers.selectedIndex == -1) {
	alert("You must select a customer before you can add them");
	}
else
	{
	Tech = frm.Customers.options[frm.Customers.selectedIndex].text;
	TechValue = frm.Customers.options[frm.Customers.selectedIndex].value;
	//alert("TECH: " + Tech);
	frm.ProjectMembers.options[frm.ProjectMembers.options.length] = new Option(Tech,TechValue);
}
}

function RemoveMember(frm)
{
if (frm.ProjectMembers.selectedIndex == -1) {
	alert("You must select a project member before you can delete them");
	}
else
	{
	var n;
	n=frm.ProjectMembers.options.length;
	for (i=n-1;i>=0;i--)
		{
		if (frm.ProjectMembers.options[i].selected==true)
			frm.ProjectMembers.remove(i);
		}

	//frm.ProjectMembers.remove(frm.ProjectMembers.selectedIndex); can't use if multiple select
}
}

</SCRIPT>

<title><%=wc_Project%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<center>

<table cellpadding=0 cellspacing=0 width = 90% >
<tr>
   <td align=center> <!---- start of overall form wrapper -->
	<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0 width=99%>

	<% If ID = "NEW" Then %>
	  <tr><td align=left class=PRTMinorFormTitle  >Project: <Font color=red>New Project - Enter Information below</font>
	<%  Else %>
	  <tr><td align=left class=PRTMinorFormTitle  >Project: <b><%=ProjectName%></b><br>
<%
		End IF
	%>

	   Project Number: <b><%=ID%></b>
	   </td>
	  	  <td align=left class=PRTMinorFormTitle width=40% >CIS Invoice Number:&nbsp;&nbsp;<b><%=ProjectReferenceNumber%></b>
	  	  </td></tr>
	  <tr><td align=left class=PRTMinorFormTitle colspan=2>Description:<br><b><%=ProjectDescription%></b>
	  </td>
</tr>
	  <tr><td align=left class=PRTMinorFormTitle>Status:

<% if ProjectStatus = 0 Then %>
<Font color=GREEN><b> OPEN </b></font>
<% Else %>
<Font color=RED><b> CLOSED </b></font>
<%End If %>
	  </td>
	  <TD class=PRTMinorFormTitle>Due Date:&nbsp;<b><%=projectduedate %></b></td>
</tr>
<tr>
<TD class=PRTMinorFormTitle>Estimated Expenses:&nbsp;<b>$<%=ResourcesEstimated %>.00</b></td>
<TD class=PRTMinorFormTitle>Hours Estimated:&nbsp;<b><%=HoursEstimated %></b></td>
</tr>
</table></td></tr></table>

<br>
<% ' ----> starting of actual Project Form %>

<% ' Display Any Project History information if it exists %>

<% If ID <> "NEW" Then %>
<a name="projecthistory">

<table cellpadding=0 cellspacing=0  width=90% >
<tr>
   <td align=center> <!---- start of overall form wrapper -->
	<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0 width=99%>
	  <tr><td align=left class=PRTTightBodyText  width = 100% >

	  <b>&nbsp;Project History:</b> <br><hr>

<%

' Code to Display the Project History
' Pull all Project History notes from the ProjectHistory Table where the ProjectID matches the ID

		mySQL2 = "SELECT tech_staff.first_name, tech_staff.first_name, tech_staff.last_name, ProjectHistory.ProjectHistoryID, ProjectHistory.ProjectID, ProjectHistory.ProjectHistoryDate, ProjectHistory.ProjectHistoryTime, ProjectHistory.ProjectHistoryUpdatedBy, ProjectHistory.ProjectHistory FROM tech_staff INNER JOIN ProjectHistory ON tech_staff.tech_id = ProjectHistory.ProjectHistoryUpdatedBy "

		WhereStatement  = " WHERE ProjectHistory.ProjectID = " & ID & " ORDER BY ProjectHistory.ProjectHistoryDate, ProjectHistory.ProjectHistoryTime"

		mySQL2 = mySQL2  & WhereStatement

	'	response.write "MySQL2 = " & mySQL2 & "<br>"
	'	response.flush
	'	response.end

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

' Display the Table Headers

	do while not rstemp.eof

	' Code here to get project rows

		HistoryLine = ""
		HistoryLine = "<font color=red>&nbsp;" & rstemp("ProjectHistoryDate") & " " & rstemp("ProjectHistoryTime") & " Updated By [" & rstemp("first_name") & " " & rstemp("last_name") & "]</font><br>"
		HistoryLine = HistoryLine & "&nbsp;" & rstemp("ProjectHistory") & "<hr>"

		response.write HistoryLine

	rstemp.MoveNext
	loop

	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database
		conntemp.close ' Close the connection
		set conntemp=nothing
	%>

</TABLE>

</td>
</tr>
	   </td>
</tr>

</table></td></tr></table>
<br>

<% End If %>

<% If ID <> "NEW" Then ' CMB %>

<% ' ------------------Select Associated Cases and Tasks ---------------------%>
<a name="asscases">


<form action=DoMakeProject.asp method=post>

<input type=hidden name=ProjectID value=<%=ID%>>

<table  cellpadding=0 cellspacing=0 width = 90%>
<tr>
   <td align=center>
	<table  class=PRTinnerformwrappertight cellpadding=0 cellspacing=0 border=0>

<% ' -- Start of stacking table to stack 3 vertically--------------------------------------
%>
<table  class=PRTinnerformwrappertight cellpadding=0 cellspacing=0 width=99%>
<tr><td height=5></td></tr>

<tr><td height=5></td></tr>
<tr>
<TD class=PRTformlabelsuper colspan  = 4 >Cases Associated with this Project:<hr>

</td>
</tr>

<% If ID <> "NEW" Then
%>

<tr>
<td colspan=4 class=InstructionText>
<%

	mySQL2 = "SELECT cases.case_one_line, cases.status, Projects.ProjectID, Projects.ProjectName, ProjectCases.Case_Number, ProjectCases.ParentCase, ProjectCases.ProjectID FROM (cases INNER JOIN ProjectCases ON cases.case_number = ProjectCases.Case_Number) INNER JOIN Projects ON ProjectCases.ProjectID = Projects.ProjectID"
	WhereStatement  = " WHERE ProjectCases.ProjectID = " & ID

	mySQL2 = mySQL2  & WhereStatement

	mySQL2 = mySQL2 & " Order by ProjectCases.ParentCase DESC"

	'response.write "MySQL2 = " & mySQL2 & "<br>"
	'response.flush
	'response.end

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

' Display the Table Headers
	If not rstemp.eof then

	do while not rstemp.eof

		If IsNull(rstemp("ParentCase")) = TRUE Then
	' Code here to get project rows
%>

<TABLE class=PRTTightTableWrapper cellspacing=1 width = 100%  >
	<TR>
	<TD align=left class=PRTTightBodyText colspan=2 >
	<li>CASE: <%=rstemp("Case_Number") %> &nbsp;&nbsp;
	<a href=TCaseForm.asp?customer_id=0&case_number=<%=rstemp("Case_Number") %>>
<%
	ShortString = Mid(rstemp("Case_One_Line"),1, 50)
%>

	<%=ShortString%> </a> - <B>(

	<%
		Case_status_value = CInt(rstemp("status"))
		If case_status_value = 0 THEN
			response.write wc_Active
		End If

		If case_status_value = 2 THEN
			response.write wc_Waiting
		End If

		If case_status_value = 1 THEN
			response.write wc_Closed
		End If

		IF case_status_value= 3 then
			response.write wc_On_Hold
		End If
	%>

	)</b>

  </td>
  </tr>
  </table>

<% ' Now Check to see if there are any sub cases where the parent case is this case number

	set rstemp5=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp5.CursorLocation = adUseClient
	End If

	mySQL5 = "SELECT cases.case_one_line, cases.status, Projects.ProjectID, Projects.ProjectName, ProjectCases.Case_Number, ProjectCases.ParentCase, ProjectCases.ProjectID FROM (cases INNER JOIN ProjectCases ON cases.case_number = ProjectCases.Case_Number) INNER JOIN Projects ON ProjectCases.ProjectID = Projects.ProjectID"
	WhereStatement  = " WHERE ProjectCases.ParentCase = " & rstemp("Case_Number")

	mySQL5 = mySQL5 & WhereStatement

	'response.write "mySQL5 = " & mySQL5

	rstemp5.open mySQL5, conntemp, adopenstatic

	do while not rstemp5.eof
			' Display the same output but with an extra cell at the left to indent.

			'Debug
		'	response.write "Child Case " & rstemp5("Case_Number")
%>

<TABLE class=TightTableWrapper cellspacing=1 width = 100%  >
	<TR>
	<TD align=left class=TightBodyText width=100 > <br></td>

	<TD align=left class=TightBodyText  >

	CASE: <%=rstemp5("Case_Number") %> &nbsp;&nbsp;
	<a href=TCaseForm.asp?customer_id=0&case_number=<%=rstemp5("Case_Number") %>>
<%
	ShortString = Mid(rstemp5("Case_One_Line"),1, 50)
%>
	<%=ShortString%> </a> - <B>(

	<%
		Case_status_value = CInt(rstemp("status"))
		If case_status_value = 0 THEN
			response.write wc_Active
		End If

		If case_status_value = 2 THEN
			response.write wc_Waiting
		End If

		If case_status_value = 1 THEN
			response.write wc_Closed
		End If

		IF case_status_value = 3 then
			response.write wc_On_Hold
		End If
	%>

	)</b>

<form action=DoMakeProject.asp method=post>

<input type=hidden name=ProjectID value=<%=ID%>>
<input type=hidden name=Case_Number value=<%=rstemp5("Case_Number")%>>

<!--<input type=input name=Subcase_number size=6 maxlength = 10> removed 11/28/11-->

<!--<input type = submit name=Submit value = "Add Child">&nbsp; removed 11/28/11-->

<input type=submit name="Submit" value = "Remove Case" >
</form>

  </td>
  </tr>
  </table>

<%
				rstemp5.MoveNext
		loop

		rstemp5.close
		set rstemp5=nothing
%>

<% End IF ' If Not Null for ParentCase
				rstemp.MoveNext
			loop

		Else  ' If no projects found matching criteria

%>

	<center>
	There are no cases associated with this project.
	</center>

<% End If  ' end of if no records found %>

	<%	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database
		conntemp.close ' Close the connection
		set conntemp=nothing
	%>

</TABLE>
</td>
</tr>

<% End IF ' End of IF ID <> NEW
%>

</table>
<% '  ------------------------------end of stacking table -------------------------- %>
</td></tr>
<p>
<!-- PROJECT RESOURCES -->

<% If ID <> "NEW" Then %>
<a name="resources">

<table cellpadding=0 cellspacing=0 width=90% >
<tr>
   <td align=center> <!---- start of overall form wrapper -->
	<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0 width=100%>
	  <tr><td align=center class=PRTMinorFormTitle  width = 100% >

	  Project Resources:

	  <br>

<%

' Code to Display the Project History
' Pull all of the related Time spent information into a graphical presentation and calculate the costs and the hours spent so far.

	mySQL2 = "SELECT TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, ProjectCases.ProjectID, cases.case_number, cases.case_one_line FROM (cases INNER JOIN ProjectCases ON cases.case_number = ProjectCases.Case_Number) INNER JOIN TimeSpent ON cases.case_number = TimeSpent.Case_Number "
	WhereStatement  = " WHERE ProjectCases.ProjectID = " & ID

	mySQL2 = mySQL2  & WhereStatement

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursor for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

' Display the Table Headers

		TotalHours = 0
		TotalCosts = 0

		TimeSpentTable  = "<tr><td class=PRTformboxholder> Case #</td><td class=PRTformboxholder> Notes</td><td class=PRTformboxholder> Hourly Rate</td><td class=PRTformboxholder> Hours</td><td class=PRTformboxholder> Cost</td></tr>"

		do while not rstemp.eof

		' Code here to get project rows

			If Not IsNull(rstemp("Billable")) then ' CMB calculations failing later
				Billable = rstemp("Billable")
			Else
				Billable = 0
			End If

			If Not IsNull(rstemp("Hours")) then ' CMB calculations failing later
				Hours = rstemp("Hours")
			Else
				Hours = 0
			End If

			If not IsNull(rstemp("HourlyRate")) then ' CMB calculations failing later
				HourlyRate = rstemp("HourlyRate")
			Else
				HourlyRate = 0
			End If

			TimeSpentNote  = rstemp("TimeSpentNote")
			Case_Number = rstemp("Case_Number")
			Case_One_Line = rstemp("Case_One_Line")

			' Compute Time and resources now

			TotalHours = TotalHours + Hours
			TotalCosts = TotalCosts + Hours*HourlyRate

			' Create table with case number, time spent, hourly rate, etc

			TimeSpentTable = TimeSpentTable & "<tr>"
			TimeSpentTable  = TimeSpentTable & "<td class=PRTformboxholder><a href=TCaseForm.asp?customer_id=0&case_number=" & Case_Number & ">" & Case_Number & "</td>"
			TimeSpentTable = TimeSpentTable & "<td class=PRTformboxholder>" & TimeSpentNote & "<br></td><td class=PRTformboxholder align=RIGHT>" &  DisplayMoney(HourlyRate) & "/hr</td><td class=PRTformboxholder align=RIGHT>" & Hours & "</td>" ' replaced with function
			TimeSpentTable = TimeSpentTable & "<td class=PRTformboxholder align=RIGHT>" & DisplayMoney(Hours*HourlyRate) & "</td></tr>"  ' replaced with function

			' Debug
		'	response.write "Billable Item for Project - Hours:" & Hours & " Rate: " & HourlyRate & " Case: " & Case_Number & "<br>"

			rstemp.MoveNext
		loop

	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		'Totals
		If totalcosts => 0 then
			TimeSpentTable = TimeSpentTable & "<tr>"
			TimeSpentTable  = TimeSpentTable & "<td class=PRTformboxholder> </td>"
			TimeSpentTable = TimeSpentTable & "<td class=PRTformboxholder><b>TOTAL</b><br></td><td class=PRTformboxholder align=RIGHT> </td><td class=PRTformboxholder align=CENTER><b>" & TotalHours & "</b></td>"
			TimeSpentTable = TimeSpentTable & "<td class=PRTformboxholder align=RIGHT><b>" & DisplayMoney(totalcosts) & "</b></td></tr>"  ' replaced with function


		End If

		' Close the only connection to the database
		conntemp.close ' Close the connection
		set conntemp=nothing


 ' Code to calculate all expenses for cases that are associated with this project

	mySQL2 = "SELECT Expenses.ExpenseIndex, Expenses.TaxRatePercent, Expenses.case_number, Expenses.Tech_ID, Expenses.Quantity, Expenses.Cost, Expenses.Description, ProjectCases.ProjectID FROM Expenses INNER JOIN ProjectCases ON Expenses.case_number = ProjectCases.Case_Number "

	WhereStatement  = " WHERE ProjectCases.ProjectID = " & ID

	mySQL2 = mySQL2  & WhereStatement

	'	response.write "MySQL2 = " & mySQL2 & "<br>"
	'	response.flush
	'	response.end

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursor for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic
	TotalExpenses = 0 ' cmb moved up 10/16/11

	If NOT rstemp.EOF  Then

		ExpenseTable  = "<tr><td class=PRTformboxholder> Case #</td><td class=PRTformboxholder> Description</td><td class=PRTformboxholder> Qty</td><td class=PRTformboxholder> Cost</td><td class=PRTformboxholder> Subtotal</td><td class=PRTformboxholder> Tax (%)</td><td class=PRTformboxholder> Total</td></tr>"
		'TotalExpenses = 0

		do while not rstemp.eof

		' Code here to expenses

			If Not IsNull(rstemp("Cost")) then ' CMB fails in calculation
				Cost = rstemp("Cost")
			Else
				Cost = 0
			End If

			If not IsNull(rstemp("Quantity")) then ' CMB fails in calculation
				Quantity = rstemp("Quantity")
			Else
				Quantity = 0
			End If

			TotalExpenses = TotalExpenses + Cost*Quantity
			SubTotal = CDBL(Cost)*CDBL(Quantity)

			If Not IsNull(rstemp("TaxRatePercent")) then ' CMB fails in calculation
				TaxRatePercent = rstemp("TaxRatePercent")
				DisplayTaxRatePercent = TaxRatePercent & "%"
			Else
				TaxRatePercent = 0
				Tax = 0
				DisplayTaxRatePercent = "" ' CMB looks funny with only a percent and no number so leave it blank
			End If

			If IsNull(TaxRatePercent) OR TaxRatePercent = 0 Then
				' Do not add additional tax for this expense
				Total = SubTotal
			Else
				Tax = SubTotal * (CDBL(TaxRatePercent)/100)
				Total = SubTotal + Tax
				TotalExpenses = TotalExpenses + Tax
			End If

			' Debug
		'	response.write "Total Expenses = " & TotalExpenses & "<br">

			' Create table with case number, time spent, hourly rate, etc

			ExpenseTable = ExpenseTable & "<tr>"
			ExpenseTable  = ExpenseTable & "<td class=PRTformboxholder><a href=TCaseForm.asp?customer_id=0&case_number=" & rstemp("Case_Number") & ">" & rstemp("Case_Number") & "</td>"   ' CMB changed
			ExpenseTable = ExpenseTable & "<td class=PRTformboxholder>" & rstemp("Description") & "<br></td><td class=PRTformboxholder align=RIGHT> " & Quantity & "</td>"
			ExpenseTable = ExpenseTable & "<td class=PRTformboxholder  align=RIGHT>" & DisplayMoney(Cost) & "</td>" ' replaced with function
			ExpenseTable = ExpenseTable & "<td class=PRTformboxholder  align=RIGHT>" & DisplayMoney(SubTotal) & " </td>" ' replaced with function

			ExpenseTable = ExpenseTable & "<td class=PRTformboxholder align=RIGHT>" & DisplayTaxRatePercent & " </td>"
			ExpenseTable = ExpenseTable & "<td class=PRTformboxholder align=RIGHT> "& DisplayMoney(Total) & "</td></tr>"  ' replaced with function

			rstemp.MoveNext
		loop

		' Total Row ' 10/16/2011
		ExpenseTable = ExpenseTable & "<tr>"
		ExpenseTable  = ExpenseTable & "<td class=PRTformboxholder> </td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder><b>TOTAL</b><br></td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder> </td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder> </td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder> </td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder> </td>"
		ExpenseTable = ExpenseTable & "<td class=PRTformboxholder align=RIGHT><b>" & DisplayMoney(TotalExpenses) & "</b></td></tr>"

		End If  ' end of if no records found

	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database

		conntemp.close ' Close the connection
		set conntemp=nothing

		'*********************** End of Code to calculate expenses for cases for project *********
	 ' Add in Expenses into Total Cost

		TotalCosts = TotalCosts + TotalExpenses

	'	Total Hours =TotalHours <br>
	'	TotalCosts = TotalCosts

	 ' Calculate ratio of Green/Red of resources used and estimated

		HoursRemaining = HoursEstimated - TotalHours

		IF HoursEstimated <> 0 Then
			PercentRemaining = Cint(100*(HoursRemaining/HoursEstimated))

		Else
			PercentRemaining = 0
		End IF

		If HoursEstimated <> 0 Then

			RedSide = (TotalHours/HoursEstimated)*600
			GreenSide = 600 - RedSide
		Else
			Redside=0
			Greenside = 600
		End If
	%>

	<table width=550 cellpadding=2 cellspacing=2 border=1>
	<tr>
	<td colspan=2 align=center class=InstructionText bgcolor=white>
	  Hours Estimated:  <b>(<%=HoursEstimated%>)</b>
	</td>
	</tr>

	<tr>
	<td width=<%=Redside %> class=InstructionText bgcolor=Red><br></td>
	<td width=<%=Greenside%> class=InstructionText bgcolor=White><br></td>
	</tr>

	<tr>
	<td align=center colspan=2 class=InstructionText >Hours&nbsp;Spent:  <b>(<%=TotalHours %>)</b>   -------- Hours&nbsp;Remaining: <b>(<%=HoursRemaining %>)</b></td>


<tr>
	<td colspan=2 align=center class=InstructionText >
	  Percentage Remaining: <b>(<%=PercentRemaining%>%)</b>
	</td>
</tr>
	</tr>
	</table>
<br><br>

	<table width=550 cellpadding=2 cellspacing=2 border=1>
	<tr>

	<% ' Calculate ratio of Green/Red of resources used and estimated

	ResourcesRemaining = ResourcesEstimated - TotalCosts

	IF ResourcesEstimated <> 0 Then
		PercentRemaining = Cint(100*(ResourcesRemaining/ResourcesEstimated))
	Else
		PercentRemaining = 0
	End IF

	If ResourcesEstimated <> 0 Then

		RedSide = (TotalCosts/ResourcesEstimated)*600
		GreenSide = 600 - RedSide
	Else
		Redside=0
		Greenside = 600
	End If

	%>
	<td colspan=2 align=center bgcolor=white class=InstructionText >
	  Estimated Expense:  <b>($<%=ResourcesEstimated%>.00)</b>
	</td>
	</tr>

	<tr>
	<td class=InstructionText width=<%=Redside %> bgcolor=Red><br></td>
	<td class=InstructionText width=<%=Greenside%> bgcolor=white><br></td>
	</tr>

	<tr>
	<td align=center colspan=2 class=InstructionText >Spent: <b>($<%=TotalCosts %>)</b>    ------ Remaining: <b>($<%=ResourcesRemaining %>)</b></td>
	</td>

<tr>
	<td colspan=2 align=center class=InstructionText >
	  Percentage Remaining: <b>(<%=PercentRemaining%>%)</b>
	</td>
</tr>
	</tr>
	</table>


<% ' Table to display actual time spent and expenses %>

<table border=1 cellspacing=2 cellpadding=1 width=550  >
<tr>
	<td colspan=6 align=center bgcolor=white class=InstructionText >
	 Detailed Hours
	</td>
</tr>

<%=TimeSpentTable%>

</table>

<table border=1 cellspacing=2 cellpadding=1 width=550  >
<tr>
	<td colspan=10 align=center bgcolor=white class=InstructionText >
	  Detailed Expenses
	</td>
</tr>

<%=ExpenseTable%>

</table>
</td></tr>
</TABLE>

</td>
</tr>
	   </td>
</tr>

</table></td></tr></table>
<br>

<% End If %>




<% If ID <> "NEW" Then ' CMB %>
<% ' ------------------Select Project Leader and Team Members Section ---------------------%>



	</td>
	</tr>



</TD>
</TR></TABLE>
</td>


<td  width=<%=spacewidth%> ></td>
</tr>

</table>
</td>
</tr>
<tr>
  <td  height=5></td><!--- little spacer -->
</tr>
</table>


<% End If ' CMB %>



<% If ID <> "NEW" Then ' CMB %>
<a name="attachfile">
<% ' ------------------Attach File ---------------------%>

<P>

<form action="DoAttachFiletoProject.asp" ENCTYPE="multipart/form-data" method="post">

	</TABLE>

</td>
</tr>
</form>


<% End IF ' End of IF ID <> NEW
%>


</table>
<% '  ------------------------------end of stacking table -------------------------- %>
</td>

<% ' put in a little horizontal space and a vertical divider line %>


<% ' ------------------Project Update Section ---------------------%>
<a name="projupdates">
<P>


<% '  ------------------------------end of stacking table -------------------------- %>


<% End If  ' CMB %>


<!--<a href=UserScreen.asp>
<img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>-->

</BODY>
</HTML>

<% End If ' End of IF Valid User %>

<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Time_Spent_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Time_Spent_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>
