<% 'Module: RearrangeAllCatLists1.asp

   'Description: This module is invoked by ManageCategoryLists.asp and allows a user to manipulate the sequence
   '             of the category names as they appear in the pull-down lists


   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '02/02/03	JC		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>



<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->
<head>
<title>Rearrange Categories - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>


<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
         <font size=+1><b><%=wc_RearrangeAllCategoryLists%></b></font>
         <div align=left>
         <blockquote>
                  <font size=-1><%=wc_Rearrange_Category_Lists_Help_Block%></font>
         </blockquote>
         </div>
	</td>
</tr>
</table>




<p>

<FORM METHOD=POST ACTION=RearrangeAllCatLists2.asp>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr><td align=center>

<table border=0 cellspacing=0 cellpadding=0> <%' ----- inner table ----- %>
<%


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

  		mySQL="SELECT * from  Categories order by category_index asc"
  		set rstemp=conntemp.execute(mySQL)
  		If rstemp.eof then
  		  response.write "No Category Entries Exist<br>"
  		Else

  		first_time = "Yes"  ' Used as flag to prevent looking inside the array when it doesnt even exist yet
  		XCounter = 0 ' Used as subscript into the array of category numbers
		counter = 0
		sequence_number = 0
		Dim  Array_catnumber()

  		Do while (Not rstemp.eof)
  		    category_number = rstemp("category_number")

  		    category_already_seen = "no"
  		    Call check_if_category_already_seen
  		    if category_already_seen = "yes" then
  		      ' do nothing
  		    else
  		       first_time = "no" 'Means array now exists
  		       ReDim preserve Array_catnumber(XCounter)
  			   ' response.write "<b>Category number = </b>" & category_number & " detected and placed in array position " & XCounter & "<p>"
                 Array_catnumber(XCounter) = category_number
                 XCounter = XCounter + 1
                 sequence_number = sequence_number + 10
 				 category_name = rstemp("category_name")
                 category_number = rstemp("category_number")


          %>

		 <tr>
			  <td align=center>
				  <input type=text size=3 maxlength=4 name=sequence_number value="<%=sequence_number%>">
			  </td>
			  <td> &nbsp; &nbsp; </td>
			  <td>
				 <%=category_name%>
				 <input type=hidden name=category_number value="<%=category_number%>">
			  </td>
		 </tr>

          <%

              End If
  		rstemp.Movenext
		Loop

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		End if ' the table was empty




%>

</table> <%' ----- inner table ----- %>
</td>
</tr>
</table>

<center>

<p>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>
<td align=center> <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>
</td>

<td align=center>
  <a href=ManageCategoryLists.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
</b>

<% End If ' This was a valid user%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration





  Sub check_if_category_already_seen
	  If first_time = "no" Then ' i.e. look for it only if the array even exists
		 For x = 0 to XCounter - 1
		   If category_number = Array_catnumber(x) Then
			  category_already_seen = "yes"
		   End If
		 Next
	  Else
	  End If 'the array already exists
  End Sub
%>
</form>
</body>
</html>
