<% 'Module: RemoteControlTool.asp

   'Description: This module is the RemoteControlTool.asp Launch page
   ' so tech/users download and configure a remote control session to support clients.

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original MyInfo.asp
   '8/16/04 JC      Cloned a variant for Tech+Center
   '10/10/08 SAV	Cloned this module from TMyOptions.asp
   '04/17/14	SAV  Removed support for Cross loop since they went out of business in 1/31/2014

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "RemoteControlTool.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2004-2008 by Internet Software Sciences -->

<head>

<title>Remote Control Sessions</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>








<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
Remote Control Sessions
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
 <td>

        <center>
        <table class=innerformwrapper cellspacing=1>
        <tr>

        <td class=formlabel>
        <B>Overview:</b><Br>

Web+Center's original remote control utility was licensed from
<a href=http://www.crossloop.com target = new>www.crossloop.com</a> which has discontinued support for their
product starting on January 31, 2014.  Any installed version of cross loop will not longer work and it should
replaced by another remote control program.


<P>

Some free or licensed remote control programs that we recommend are the following.  You must
separately download and install and use these program separately from the Web+Center application.

<LI><A href=http://join.me> Join.me </a>

<LI><A href=http://logmein.com>LogMeIn.com</a>
<LI><A href=http://teamviwer.com>TeamViewer.com </a>




		</td></tr>
		</table>
		</center>





</td>
</tr>
</table>

</form>

</body>
</html>

<% End If %>
