<% 'Module: ShowSurvey.asp

   'Description: This module is the Page for displaying the customer Survey


   ' Note: this Survey builder is designed to a "simple" survey for customers to fill out
   ' once a case is completed and not designed to be a comprehensive set of
   ' surveys and test taking applications.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'08/26/02	SAV		Created SurveyBuilder.asp module from OtherConfiguration.asp Module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ShowSurvey.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%

	Case_number = Request.QueryString("CN")


	If Case_Number = "" Then

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Cases"

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3


		If rstemp.EOF = True  Then
			Response.write "No Cases found"
		Else

			rstemp.MoveLast  ' Move to the last record just to use one case


			' Get the values from the configuration File

			case_One_Line = rstemp("case_One_Line")
			case_Number = rstemp("Case_Number")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	Else

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Cases where case_Number = " & Case_Number

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		If rstemp.EOF = True  Then
			Response.write "No Configuration file found"
		Else

			' Get the values from the configuration File

			case_One_Line = rstemp("case_One_Line")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	End IF ' If Case_Number = ""




	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


' First determine if this case has already had a customer survey completed for it and if so then
' do not allow another survey to be displayed.


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Survey_Results where Case_Number =" & Case_number


	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF <> True  And (Request.QueryString("Flag") <> "Test") Then

%>

<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_Customer_Survey_Test%></title>
</head>
<body bgcolor=#<%=UserPageColor%>>

<br>
<center>
Sorry.. Your survey has already been submitted.  You can only submit a survey once.
</center>
</body>
</html>

<%
 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing


	Response.flush
	   Response.end


 Else

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

 End IF

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_Customer_Survey_Test%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>
<body class=rightwindow>


<center>

<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
   <%=wc_Customer_Survey_Test%>
</td>
</tr>
</table>


</center>


<center>



<FORM ACTION=DoShowSurvey.asp method=post>
<input type=hidden name=Case_Number value=<%=Case_Number%>>

<table>
  <tr>
    <td class=InstructionText ><%=wc_Customer_Survey_For%>&nbsp;<%=wc_Case_number%>:&nbsp;</td>
    <td class=InstructionTextBold ><%=Case_Number%> </td>
    <td class=InstructionTextBold >(<%=case_One_Line%>) </td>
  </tr>
</table>


<P>


<br>
<center>
<table cellspacing=0 cellpadding=0> <!-- frame the questions in a table -->


<% ' Get the Values from the Survey Table of the questions and
	' post them in this table below

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Survey  Order by Question_Order"

	'mySQL2="select * from Survey where Active = True Order by Question_Order"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then

%>

	<tr><td colspan=5 align=center><font size=-1>
	No Survey Questions Defined
	</td>
	</tr>
<%
	Else
        Qnumber = 0
		Do While rstemp.EOF <> True

			Active = Rstemp("Active")

			If Active = True Then

			Survey_Question = rstemp("Survey_Question")
			Question_Type = rstemp("Question_Type")
			Question_ID = rstemp("Question_ID")
			Question_Order = rstemp("Question_Order")
			Qnumber = Qnumber + 1
		' Now display the table
%>


<tr>
  <td valign=top >
    <table>
      <tr>
          <td class=InstructionTextBold><%=Qnumber%></td>
          <td>&nbsp;</td>
      </tr>
    </table>
   </td>

<td align=right class=SurveyText ><%=Survey_Question%></td>

<td align=left class=SurveyFormField>
<% if Question_Type = 1 Then %>

<input type=radio name=Radio_<%=Question_ID%> value=1> 1 &nbsp;&nbsp;&nbsp;
<input type=radio name=Radio_<%=Question_ID%> value=2> 2 &nbsp;&nbsp;&nbsp;
<input type=radio name=Radio_<%=Question_ID%> value=3> 3 &nbsp;&nbsp;&nbsp;
<input type=radio name=Radio_<%=Question_ID%> value=4> 4 &nbsp;&nbsp;&nbsp;
<input type=radio name=Radio_<%=Question_ID%> value=5> 5 &nbsp;&nbsp;&nbsp;

<% End If %>

<%if Question_Type = 2 Then %>
<input type=radio name=YESNO_<%=Question_ID%> value=1> YES &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type=radio name=YESNO_<%=Question_ID%> value=2> NO &nbsp;&nbsp;&nbsp;&nbsp;
<% End If %>

<%if Question_Type = 3 Then %>
	<input type=text size=35 maxlength=100 name=Textbox_<%=Question_ID%>>
<% End If %>

<%if Question_Type = 4 Then %>
<textarea name=Textarea_<%=Question_ID%> cols=35 rows=3></textarea>
<% End If %>

</font>
</td>
</tr>
<tr><td height=10></td></tr>

<%

	End If ' If Active = True

		rstemp.MoveNext
		Loop

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>

</table>
<p>
	<table  border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
		</td>

		<td width=70></td>

		<td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


</form>

</body>
</html>

<% End If %>

