<% 'Module: SupervisorReport.asp

   'Description: This module is the search engine first page.
   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
   '07/12/2011      UK date formats
   '07/21/2011 CMB  Cleaned up; UK date compliance

   'NOTE THIS REPORT shows ...

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins and above to access this function.
	ValidUser = IsValidUser (TechLevel)

 ' End of ASP page security checks
 %>

<% if ValidUser <> "YES" Then %>
	<% ASPPage = "SupervisorReport.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<html>

<head>
<title><%=wc_Supervisor_Report_By_Tech%></title>
</head>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_case_report%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Supervisor_Report_By_Tech%>
</font><br><font size=-2>This report gives a summary of time-spent for each technician during the selected time period.
</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>
<br>

<FORM METHOD=POST ACTION=DoSupervisorReport.asp>

<center>

<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><B><FONT SIZE=3><%=wc_Start_date%>:</FONT></td>
<td>
<font size=-1>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
</font><font size=3><br>

<INPUT type=text name=start_date size=11 maxlength=10></TD>

<TD valign=bottom><B><FONT SIZE=3><%=wc_End_date%>:</font></b></td>
<td>

<font size=-1>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
</font><font size=3><br>
<font size=3>
<INPUT type=text name=end_date size=11 maxlength=10></TD>

<TD valign=top>
<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
</TD>
</TR>
</TABLE>
<hr>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>


