<% 'Module: SystemAdmin.asp

   'Description: This module is the main menu page for Systems Administration


   '(C) 2000, 2001, 2002, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/04/02	 JC		Created original ASP version based on old DLL version
   '10/05/11     CMB    Additional notifications removed if not an option
   '11/19/12    CMB     Changed style for rounded subcategories
   '03/21/14    CMB     Got rid of V7 in title
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<% ' Define if to run License Key DLL or use License Key Verification

'DLLOKAY = "YES"

%>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, ldap_enabled, bAdditionalEmailNotifications %>

<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>System Administration - CSS</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<style>
.adminheader  {
			font-family: verdana, arial, helvetica, sans-serif;
			font-size: 14;
			font-weight: bold;
			background-color: lightsteelblue;
			color: black;
		    border-width: 1px;
		    border-style: solid;
		    border-color: black;
		    padding-top: 3px;
		    padding-bottom: 3px;
		    padding-left: 25px;
		    padding-right: 25px;
		    /* added below 11/19/12 */
		border-bottom-left-radius: 8px;
		border-bottom-right-radius: 8px;
		border-top-left-radius: 8px;
		border-top-right-radius: 8px;


                   }
.linkage {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 13;
          color: black;
          font-style: normal;
		}
.bigjump {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 13;
          color: black;
          font-weight: bold;
		}

</style>
</head>
<body  class=rightwindow>

<% ' --- response.write "User is " & CookieID & " level is " & users_tech_level & "<P>" %>

<center>



<Table class=BGWrapper align=center>
<tr>
    <td align=center valign=center class=majorscreentitlefixed><%=wc_System_Administration%> </td>
</tr>
</table>
<p>


<% If users_tech_level > 5  Then %>
<span class=bigjump>
	For System Configuration Settings, go to
</span>
	<a href=ConfigAdmin.asp><%=wc_System_Configuration_Menu%></a><p>

<% End If %>



<table cellspacing=3 cellpadding=3>

<tr>
    <td valign=top class=linkage>

			<Span class=adminheader >Manage Staff Members  </span><p>
			<a href=ShowAllStaffMembers.asp><%=wc_Show_all_staff_members%></a><br>
			<a href=ShowStaffByGroup.asp><%=wc_Show_staff_members_by_support_group%></a><br>
			<% If MyOS = "Windows" Then %>
				 <a href=Audit.asp><%=wc_Create_staff_member%></a> <br>

		<% ' Old code 	<a href=techsupp.dll?Audit>
		%>

			<% Else %>
				 <a href=CreateTech.asp><%=wc_Create_staff_member%></a> <br>
			<% End If %>
			<a href=SelectStaffMember.asp><%=wc_Edit_staff_member%></a><br>
			<a href=ReassignCasesByTech.asp><%=wc_Reassign_all_cases_from_one_staff_member_to_another%></a><br>
			<a href=DeleteTech.asp><%=wc_Delete_staff_member%></a> <br>






			<p><Span class=adminheader >Manage Customer Records  </span><p>
			<a href=RenameCustomerID.asp><%=wc_Rename_customer_ID%></a><br>
			<a href=DeleteCustomerID.asp><%=wc_Delete_customer_and_attached_Cases%></a><br>
			<a href=DeleteBatchCustomers.asp>Delete One or More Customers </a><br>




			<p><Span class=adminheader >Manage Cases </span><p>
			<a href=ReAssignCaseCustomerID.asp><%=wc_Re_assign_Case_Customer_ID%></a><br>
			<a href=ReAssignOneCaseCustomerID.asp><%=wc_Re_assign_One_Case_Customer_ID%></a><br>
			<a href=DeleteCase.asp><%=wc_Delete_case%></a><br>
			<a href=DeleteKBCase.asp><%=wc_Delete_Case_from_Knowledge_Base%></a><br>

<%  If bAdditionalEmailNotifications = True Then  ' 10/05/11  %>

			<p><Span class=adminheader >Manage Additional Notifications </span><p>
			<a href=ConfigureAdditionalNotifications.asp>Configure Addtional Notifications</a><br>


<% End If %>

		<%
			If QBOption = "YES" Then

		%>

	<p><Span class=adminheader >Quick Books Integration </span><p>


		<a href=QuickBooksMenu.asp target = "pending_screen">Quick Book Integration Options Menu</a><br>



		<% End If %>


   </td>
   <td width=50</td>
   <td valign=top class=linkage>


			<Span class=adminheader >Manage Support Groups  </span><p>
			<a href=CreateSupportGroup.asp><%=wc_Create_support_group%></a><br>
			<a href=DeleteSupportGroup.asp><%=wc_Delete_support_group%></a><br>
			<a href=RenameSupportGroup.asp><%=wc_Rename_support_group%></a><br>
			<a href=ChangeDefaultGroup.asp><%=wc_Change_default_support_group%></a><br>
			<a href=AddStaffToGroup.asp><%=wc_Add_staff_members_to_support_group%></a><br>
			<a href=RemoveStaffFromGroup.asp><%=wc_Remove_staff_members_from_support_group%></a><br>
			<a href=ReassignCasesByGroup.asp><%=wc_Reassign_all_cases_from_one_support_group_to_another%></a><br>
			<a href=DisplayPrintSupportGroups.asp>Display/Print All Support Groups</a><br>




			<p><Span class=adminheader >Manage Surveys </span><p>
			<a href=SurveyBuilder.asp><%=wc_Survey_Builder%></a><br>
			<a href=ViewSurveyResults.asp><%=wc_View_Survey_Results%></a><br>
			<a href=SurveyReport.asp>Individual Survey Reports</a><br>
			<a href=SurveyReportAll.asp>All Survey Reports</a><br>
			<a href=SurveyReportDetails.asp>Survey Results with case Links</a><br>


			<p><Span class=adminheader >Misc. Utilities & Functions </span><p>
			<a href=CreateTop10.asp>FAQ - Case selection and arrangement</a><br>
			<a href=EditPriority.asp><%=wc_Edit_Priority_Table_Entries%></a><br>
			<a href=EditMailMsg.asp><%=wc_Edit_Tech_Business_Center_White_board_and_email_messages %></a><br>
			<a href=KBoptions.asp><%=wc_Knowledge_Base_Options%></a><br>

			<a href=EditCustomerWhiteBoard.asp><%=wc_Edit_Customer_Center_Message_Board%></a><br>


			<br>
			<% If users_tech_level > 4  Then %>
					<a href=ButtonAssistant.asp target=ButtonAssist>Button Creation Assistant</a><br>
			<% end if %>
			<% If users_tech_level > 5  Then %>
					<a href=DBSnooper.asp>Database Snooper</a><br>
			<% end if %>
   </td>
</tr>
</table>
<p>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a></b>

<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, ldap_enabled, bAdditionalEmails)
	'This function gets the database configuration information

		bAdditionalEmails = False

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			ldap_enabled = rstemp2("option1")

			If Version7point5 = "YES" Then
				if Not IsNull(rstemp2("AdditionalNotificationEmails")) then
					bAdditionalEmails = rstemp2("AdditionalNotificationEmails")
				End If
			Else
				If Version7 = "YES" and AdditionalNotificationEmails = "YES" then
					bAdditionalEmails = True
				End If
			End If
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>




</body>
</html>
