<% 'Module: SystemConfigOptions.asp

   'Description: This module is the Page for displaying the first
   ' system level configuration page.

   '(C) 2000, 2001, 2006, 2007 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '07/31/02	JC		Created original SystemConfigOptions.asp Module based on previous dll?
   '04/08/09	SAV		Updated with new date to fix calendar issue
'   10/05/11    CMB     Added additional configuration options
'   05/06/13	SAV		Added more configuration options for version 8.0
'   02/08/14    CMB     Got rid of MySQL as a database option


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	bExpenses = False
	bAssetInspections = True ' backward compatibility
	bEnableProjects = False
	bEnableReservations = True
	bAssetAuditTrail = False

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File
		ControlPanelWindowColor = rstemp("ts_options_color")
		OpenCasesWindowColor = rstemp("ts_pending_color")
		UserWindowColor = rstemp("ts_user_page_color")
		DispatcherOpenCasesRefreshRate = rstemp("pending_screen_refresh_rate")
		DispatcherStatusPageRefreshRate = rstemp("dispatcher_screen_refresh_rate")
		SmtpHost = rstemp("smtp_host_address")
		StandardReplyAddress = rstemp("standard_reply_to_address")
		CustomerIdList = rstemp("customer_id_list")
		CustomerCaseNotify = rstemp("customer_case_notify")
		EnableAssetsDatabase = rstemp("assets_db")
        MaxCaseHistorySize = rstemp("max_case_history_size")
        MaxCasesummarySize = rstemp("max_case_summary_size")
        MaxCaseResolutionSize = rstemp("max_case_resolution_size")
        MaxTechCasesearchReturn = rstemp("max_tech_case_search_return")
        MaxCustCasesearchReturn = rstemp("max_cust_case_search_return")
        OrganizationFromName = rstemp("Customer_Name_Text")
        Database = rstemp("DatabaseType")
        Language = rstemp("Language") ' Returns various system configurations - Not used for language

        ' New 5.0 Fields for SMTP

        SendHTMLEmail = rstemp("SendHTMLEmail")
        SMTP_User_Name = rstemp("SMTP_User_Name")
        SMTP_Password = rstemp("SMTP_password")

        ExtendedTimeSpent = rstemp("ExtendedTimeSpent") ' Field to enable Extended Time Spent Options
        Ldap_enabled = rstemp("Option1") ' Field to enable LDAP integration
        TextMessagingEnabled = rstemp("Option2") ' Field to enable Text Messaging integration

	'*** version 7.5

		If version7point5="YES" then
			If Not IsNull(rstemp("Expenses")) Then
				bExpenses = rstemp("Expenses")
			End If
			If not IsNull(rstemp("AssetInspections")) Then
				bAssetInspections = rstemp("AssetInspections")
			End If
			If not IsNull(rstemp("Projects")) Then
				bEnableProjects = rstemp("Projects")
			End If
			If not IsNull(rstemp("ReservationCenter")) Then
				bEnableReservations = rstemp("ReservationCenter")
			End If
			If not IsNull(rstemp("AssetAuditTrail")) Then
				bAssetAuditTrail = rstemp("AssetAuditTrail")
			End If
			If not IsNull(rstemp("AdditionalNotificationEmails")) Then
				bAdditionalEmails = rstemp("AdditionalNotificationEmails")
			End If

		End If


		If version8point0="YES" then
			If Not IsNull(rstemp("AdditionalCustomerCaseAssignments")) Then
				bAdditionalCustomerCaseAssignments = rstemp("AdditionalCustomerCaseAssignments")
			End If
			If not IsNull(rstemp("AssetInspections")) Then
				bAssetInspections = rstemp("AssetInspections")
			End If
			If not IsNull(rstemp("Projects")) Then
				bEnableProjects = rstemp("Projects")
			End If
			If not IsNull(rstemp("ReservationCenter")) Then
				bEnableReservations = rstemp("ReservationCenter")
			End If
			If not IsNull(rstemp("AssetAuditTrail")) Then
				bAssetAuditTrail = rstemp("AssetAuditTrail")
			End If
			If not IsNull(rstemp("AdditionalNotificationEmails")) Then
				bAdditionalEmails = rstemp("AdditionalNotificationEmails")
			End If

			If not IsNull(rstemp("DueDateControls")) Then
				bDueDateControls = rstemp("DueDateControls")
			End If



		End If




	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Configuration Options</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>
<p>

<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%><tr>
<td>

<table border=0 cellspacing=2 cellpadding=2 width=100%>
<tr>
  <td
     <div align=center>
         <font size=+1><b><%=wc_Configuration_Options%></b></font>
     </div>
     <div align=left>
     <p>
     <font size=-1>
     <%=wc_SysConfigInstruction_Block%>
     <br>
     </div>
  </td>
</tr>
</table>
</td>
</tr>
</table>
<p>

<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td>

	    <table border=0 cellpadding=4 width=100%>
		<FORM METHOD=POST ACTION=DoSystemConfigOptions.asp>
               <tr>
                  <td valign=top width=50%><font size=-1>
                    <center>
                    <font size=+1><%=wc_Background_Colors%> &nbsp;
                      <a href="#" onClick="alert('Caution - these Background Colors are only used in older modules.  Modules updated for Version 5 use instead the values defined in the stylesheet contained in the file called wc_Style.css'); return false">Cautionary Note </a>
                    </font></center>
                    <hr width=80%>
                    <B><%=wc_Control_Panel_Window_Color%></b> (RRGGBB):
                    <br>
                    <input type=text value="<%=ControlPanelWindowColor%>" name=ts_options_color size=7 maxlength=6>
                    <P>
                    <B><%=wc_Open_Cases_Window_Color%></b> (RRGGBB):
                    <br>
                    <input type=text value="<%=OpenCasesWindowColor%>" name=ts_pending_color size=7 maxlength=6>
                    <P>
                    <B><%=wc_User_Window_Color%></b> (RRGGBB):
                    <br>
                    <input type=text value="<%=UserWindowColor%>" name=ts_user_page_color size=7 maxlength=6>
                    <P>
                    <center>
                    <font size=+1><%=wc_SMTP_and_Email_Settings%></font>
                    </center>
                    <hr width=80%>
                    <B><%=wc_Smtp_Mail_Server_Address%>:</B>
                    <br>
                    <input type=text value="<%=SmtpHost%>" name=smtp_host_address size=35 maxlength=50>
                    <P>
                    <UL>
                    <B><%=wc_Smtp_User_Name%>: </B>&nbsp;(<%=wc_Optional%>)
					 <br>
					 <input type=text value="<%=Smtp_User_Name%>" name=smtp_User_Name size=35 maxlength=50>
					 <P>
                    <B><%=wc_Smtp_Password%>:</B>&nbsp;(<%=wc_Optional%>)
					 <br>
					 <input type=password value="<%=Smtp_Password%>" name=smtp_Password size=35 maxlength=50>
					</ul>


				<P>
				<B><%=wc_Select_Notification_Email_Format%></b><br>


                  <% If SendHTMLEmail = True or  SendHTMLEmail = Null Then %>


                  <input type=Radio name=SendHTMLEmail value=1 CHECKED>

                  <%Else %>

                  <input type=Radio name=SendHTMLEmail value=1>

				  <%End If %>



				   <%=wc_Send_HTML_Notification_Emails%><br>

                  <% If SendHTMLEmail = True or  SendHTMLEmail <> Null Then %>


                  <input type=Radio name=SendHTMLEmail value=0>

                  <%Else %>

                  <input type=Radio name=SendHTMLEmail value=0 CHECKED>

				  <%End If %>



				   <%=wc_Send_Plain_Text_Notification_Emails%><br>





                    <P>
                    <B><%=wc_Default_Reply_To_Address%>:</B><br>
                    <input type=text value="<%=StandardReplyAddress%>" name=standard_reply_to_address size=35 maxlength=50>
                    <br>
                    <p>

                    <B><%=wc_Organization_From_Name%>:</B><br>
                    <input type=text value="<%=OrganizationFromName%>" name=organizationfromname size=35 maxlength=50>
                    <br>
                    <p>
                    <center>
					<font size=+1><%=wc_Database%></font>
					</center>
					<hr width=80%>
					<B><%=wc_Database_Type%>:</B>
					<br>
					<select name=databaseType size=1>
					<% IF database = "ACCESS" Then %>
					<option value="ACCESS" selected>ACCESS</option>
					<%else %>
					<option value="ACCESS">ACCESS</option>
					<%End If %>


					<% IF database = "SQLSERVER" Then %>
					<option value="SQLSERVER" selected>SQLServer</option>
					<%else %>
					<option value="SQLSERVER">SQLServer</option>
					<%End If %>



					</select>

                    <P>

                    <%
                    If MyOS = "Linux" and database <> "MYSQL" Then
                      response.write "<font color=red><b>CAUTION - </b>MySQL should be specified <br>when operating on a Linux platform</font><p>"
                    End if

                    %>


                  <center>
                    <font size=+1>Text Messaging Support</font>
                    </center>
                    <hr width=80%>

                <input type=checkbox name=TextMessagingEnabled
                  <% If TextMessagingEnabled = True or TextMessagingEnabled = 1 Then response.write "checked"%>  >
                  <b>Enable Text Messaging Support Options</b>
                  <p>




             </td>

            <td valign=top colspan=1 width=50%>
                  <font size=-1>
                  <center>
                  <font size=+1><%=wc_Miscellaneous_Settings%></font>
                  </center>
                  <hr width=80%>
                   <b><%=wc_Option_how_user_enters_customer_id%></b><br>
                  <input type=radio name=customer_id_list value=0 <% If CustomerIdList = "0" or  CustomerIdList = "" Then response.write "checked"%>><%=wc_Use_Form_with_cut_paste%><br>
                  <input type=radio name=customer_id_list value=1 <% If CustomerIdList = "1" Then response.write "checked"%>><%=wc_Use_Pull_Down_Menu%><br>
                  <input type=radio name=customer_id_list value=2 <% If CustomerIdList = "2" Then response.write "checked"%>><%=wc_Use_Form_with_Assist%><br>






                  <p>

                  <input type=checkbox name=customer_case_notify
                  <% If CustomerCaseNotify = "1" Then response.write "checked"%>  >
                  <b><%=wc_Enable_Customer_Email_Notification%></b>
                  <p>

                  <input type=checkbox name=Assets_db
                  <% If EnableAssetsDatabase = "1" Then response.write "checked"%>  >
                  <b><%=wc_Enable_Assets_Database%></b>
                  <p>

				<!-- Version 7.5 -->
				<% if version7point5 = "YES" then ' no way to turn this on so default must be 1 for Inspections and Reservation version 7 backwards compat %>
                  <input type=checkbox name=AssetInspections
                  <% If bAssetInspections = True Then response.write "checked"%>  >
                  <b><%=wc_Enable_Asset_Inspections%></b>
                  <p>

 				<input type=checkbox name=AssetAuditTrail
                  <% If bAssetAuditTrail = True Then response.write "checked"%>  >
                  <b><%=wc_Asset_Audit_Trail%></b>
                  <p>

 				 <input type=checkbox name=EnableProjects
                  <% If bEnableProjects = True Then response.write "checked"%>  >
                  <b><%=wc_Enable_Projects%></b>
                  <p>

				 <input type=checkbox name=EnableExpenses
					<% If bExpenses = True Then response.write "checked"%>  >
					<b><%=wc_Enable_Expenses%></b>
					<p>

				 <input type=checkbox name=EnableReservations
                  <% If bEnableReservations = True Then response.write "checked"%>  >
                  <b><%=wc_Enable_Reservation_Center%></b>
                  <p>

				 <input type=checkbox name=AdditionalEmails
                  <% If bAdditionalEmails = True Then response.write "checked"%>  >
                  <b><%=wc_Additional_Emails%></b>
                  <p>
                  <% end if %>
                  <!-- End Version 7.5 -->

			<!-- Version 8.0 -->
					<% if version8point0 = "YES" then ' Configurable in CodeCustomizations.inc in the language directory %>

						 <input type=checkbox name=AdditionalCustomerCaseAssignments
						  <% If bAdditionalCustomerCaseAssignments = True Then response.write "checked"%>  >
						  <b><%=wc_Enable_Additional_Customer_Case_Assignments%></b>
						  <p>
						  <% end if %>

					<input type=checkbox name=DueDateControls
					<% if bDueDateControls = True then response.write " Checked" %>
					>
					<B>Display Due/Date Controls</b>
					<P>




             <!-- End Version 8.0 -->


	<% ' Code to check if calendar is enabled
		If InStr(Language,"Calendar")   Then
			Calendar = "YES"
		Else
			Calendar = "NO"
		End If

	%>



                  <input type=checkbox name = Calendar


                  <% If Calendar= "YES" Then response.write " checked"%>
        			>
                  <b>Enable Web+Center Calendar</b>
                  <p>

<!---------- REMOVE QB options now

	<% ' Code to check if Quickbooks integration is enabled
		If InStr(Language,"Quickbooks")   Then
			Quickbooks = "YES"
		Else
			Quickbooks = "NO"
		End If

	%>



                  <input type=checkbox name=Quickbooks


                  <% If Quickbooks = "YES" Then response.write " checked"%>
        			>
                  <b>Integrated Quickbooks options</b>
                  <p>

------------------>


                  <center>
                  <font size=+1><%=wc_Case_Size_Limits%></font>
                  </center>
                  <hr width=80%>
                  <B><%=wc_Max_Case_History_Size%> </B>(<%=wc_Chars%>):<br>
                  <input type=text value="<%=MaxCaseHistorySize%>" name=max_case_history_size size=6 maxlength=6>
                  <p>
                  <B><%=wc_Max_Case_Summary_Size%> </B>(<%=wc_Chars%>):<br>
                  <input type=text value="<%=MaxCasesummarySize%>" name=max_case_summary_size size=6 maxlength=6><p>
                  <B><%=wc_Max_Case_Resolution_Size%> </B>(<%=wc_Chars%>):<br>
                  <input type=text value="<%=MaxCaseResolutionSize%>" name=max_case_resolution_size size=6 maxlength=6><p>


                    <center>
                    <font size=+1><%=wc_Dispatcher_Refresh_Rates%></font>
                    </center>
                    <hr width=80%>
                    <B><%=wc_Dispatcher_Open_Cases_Refresh_Rate%> </b>(<%=wc_Secs%>):
                    <br>
                    <input type=text value="<%=DispatcherOpenCasesRefreshRate%>" name=pending_screen_refresh_rate size=5 maxlength=5> <%=wc_Zero_is_disable%>
                    <p>
                    <B><%=wc_Dispatcher_Status_Page_Refresh_Rate%> </B>(<%=wc_Secs%>):
                    <br>
                    <input type=text value="<%=DispatcherStatusPageRefreshRate%>" name=dispatcher_screen_refresh_rate size=5 maxlength=5> <%=wc_Zero_is_disable%>
                    <p>



                  <center>
                    <font size=+1><%=wc_Extended_Time_Spent_Options%></font>
                    </center>
                    <hr width=80%>

                <input type=checkbox name=ExtendedTimeSpent
                  <% If ExtendedTimeSpent = True or ExtendedTimeSpent = 1 Then response.write "checked"%>  >
                  <b><%=wc_Enable_Extended_Time_Spent_Reporting%></b>
                  <p>



                  <center>
                    <font size=+1>Active Directory/LDAP Integration</font>
                    </center>
                    <hr width=80%>

                <input type=checkbox name=Ldap_enabled
                  <% If Ldap_enabled = True or Ldap_enabled = 1 Then response.write "checked"%>  >
                  <b>Enable Active Directory Integration via LDAP</b>
                  <p>

    <%
       ' -------------------------------------------------------------------------------------------------
       ' Note following chunk of HTML removed as undesireable - may be reinstated by removel of commenting
       ' and reactivating the relevant code in "DoSystemConfigOptions.asp"
       ' -------------------------------------------------------------------------------------------------
    %>
            <!--
                  <center><font size=+1><%=wc_Case_Search_Limits%></font></center>
                  <hr width=80%>
                  <B><%=wc_Tech_Case_Search_Limit%>:</B><br>
                  <input type=text value="<%=MaxTechCasesearchReturn%>" name=max_tech_case_search_return size=5 maxlength=5><p>
                  <B><%=wc_Customer_Case_Search_Limit%>:</B><br>
                  <input type=text value="<%=MaxCustCasesearchReturn%>" name=max_cust_case_search_return size=5 maxlength=5><p>
             -->

             </td>
           </tr>
</table>
</td>
</tr>
</table>
<center>
<br>
<table border=0 cellspacing=1 cellpadding=1 width=50%>
  <tr>
    <td align=center>
         <input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>
   </td>
   <td align=center>
          <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
  </td>
 </tr>
</table>
</form>

</body>
</html>
</body></html>




<% End If %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
