<% 'Module: TCaseForm.asp

   'Description: This module display the Tech+Center case form'
   ' It is passed either a customer_ID or a case ID
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '09/14/00	SAV		Created original TCaseForm.asp Page
   '09/22/00	SAV		Added Function to Read Priorities from Priority Table

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%  spacerheight=3 %>


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 priority values

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		MinutesPerCategory = rstemp("Time_Spent_Interval")
		WCDateFormat = rstemp("Date_Display_Format")

	TechCenterFileUpload = rstemp("TechCenterFileUpload")
	' Boolean determining if file upload is enabled on customer side.

	If TechCenterFileUpload = True then
		'Response.write "TechCenterFileUpload = True"
		AttachFile = "YES"
	End If



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


	<% GetDatabaseConfiguration ts_user_page_color, assets_db
		If CInt(assets_db) = 1 then
			AssetEnabled = True
		Else
			AssetEnabled = False
		End If

	%>
<%	' Get The Customer_ID and Case_num Fields

	' This form can be called as a link or as FORM submit so
	' we must be able to handle Querystring or form elements

	Customer_ID = Request.QueryString("Customer_ID")
	Case_Number = Request.QueryString("Case_number")

	If Case_Number = "" Then
		Case_Number = Request.form("Case_number")
		Customer_ID = Request.form("Customer_ID")
	End If


	If Case_Number = "0" Then
	' Verify the customer_ID is a valid one before we proceed
	' since we always require a customer to create or update a case

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			InvalidCustomer = "YES"
		Else
			InvalidCustomer = "NO"
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If




	If Case_Number = "0" OR Case_number = ""  then
		Case_number = "NEW"
	End If

%>

<% If InvalidCustomer = "YES" Then
		DisplayInvalidCustomerPage()
	Else ' Customer_ID is ok so call the rest of the code

	' Get the Case Information if Case_number <> "NEW"
	If Case_Number <> "NEW" Then

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Cases where Case_number = " & Case_number

		'set rstemp2=conntemp.execute(mySQL2)
		' Note : Problem found with SQL*Server and conntemp.execute
		' Always use rstemp2.open mySQL2 conntemp, 1,3
		' Cursor type needs to be specified

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Case Not Found "
		Else

			severity = CInt(rstemp2("Severity"))

			Repeat_Interval = rstemp2("Repeat_Interval")

			Scheduled_Case_Type = rstemp2("Scheduled_Case_Type")

			Dup_case_num = rstemp2("Dup_case_num")
			Group_number = rstemp2("Group_number")
			Asset_number = rstemp2("Asset_number")
			customer_Id = rstemp2("Customer_ID")
			tech_ID = rstemp2("tech_id")
			open_date = rstemp2("Open_Date")
			Open_time = rstemp2("Open_Time")
			Reopen_time = rstemp2("Reopen_time")
			mod_date = rstemp2("Mod_date")
			mod_time = rstemp2("Mod_time")
			modified_flag = rstemp2("modified_flag")

			case_one_line = rstemp2("case_one_line")
			case_history = rstemp2("Case_history")
			case_summary = rstemp2("Case_summary")
			case_resolution = rstemp2("Case_resolution")
			External_Case_Number = rstemp2("External_Case_number")

			Due_Time = rstemp2("Due_Time")

			Due_Date = rstemp2("Due_Date")

			status = CInt(rstemp2("Status"))

		' Check for any optional text field values

			Field_1_Value = rstemp2("text_field_1")
			Field_2_Value = rstemp2("text_field_2")
			Field_3_Value = rstemp2("text_field_3")
			Field_4_Value = rstemp2("text_field_4")
			Field_5_Value = rstemp2("text_field_5")
			Field_6_Value = rstemp2("text_field_6")
			Field_7_Value = rstemp2("text_field_7")
			Field_8_Value = rstemp2("text_field_8")
			Field_9_Value = rstemp2("text_field_9")
			Field_10_Value = rstemp2("text_field_10")



		End If

		rstemp2.close
		set rstemp2=nothing



		conntemp.close ' Close the connection
		set conntemp=nothing

	' Set the modified_flag if read by the assigned tech

		SetModification_Flag case_number

	' Determine if Any Events have been scheduled for this case

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="SELECT * from Schedule where case_Number = " & Case_Number
			set rstemp=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the

			If rstemp.EOF <> True Then
				Events = "YES" ' Set this for flag to displaying links to events
			Else
				Events = "NO"
			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing


	End IF ' End if Case_Number <> "NEW"


	' Now Get the customer Information for NEw or existing Cases


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp2("contact_fname")
			contact_lname = rstemp2("contact_lname")
			company = rstemp2("company")
			address = rstemp2("address")
			mailstop = rstemp2("mailstop")
			city = rstemp2("city")
			state = rstemp2("state")
			zip = rstemp2("Zip")
			country = rstemp2("Country")
			email = rstemp2("Email")
			phone1 = rstemp2("Phone1")
			phone2 = rstemp2("phone2")
			fax = rstemp2("fax")
			contact_method = rstemp2("contact_method")
			contact_times = rstemp2("Contact_times")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing



%>


<% ' Display the Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<p>

<center>


<FORM METHOD=POST ACTION=DoTCaseForm.asp>


<input type=hidden name=login_tech_id value=<%=CookieID%>>
<%
        'If this is a new case then pass case_number=0
		' and the user specified customer_id to DoCaseForm.
		' If this is NOT a new case then pass customer_id=0
		' and the user specified case_number to DoCaseForm.
		' The case_number value is used in DoCaseForm to
		' determine the type of processing to perform.
%>

<% if Case_Number = "NEW" Then %>

   <input type=hidden name=customer_id value=<%=Customer_ID%>>

   <input type=hidden name=case_num value=0>

<% Else %>


   <input type=hidden name=customer_id value=0>

   <input type=hidden name=case_num value=<%=Case_Number%>>

<%End if %>

<%'---------------------------------------- customer info %>

<table cellpadding=0 cellspacing=0  border=0> <!-- top matter holder -->
<tr>
<td valign=bottom>


<% indent=20 %>



 <table class=BusinessCardWrapper cellpadding=0 cellspacing=0 >
  <tr>

  <td valign=top>

<!-- start of business card -->

 <% ' ------------- 1st column of top info box --------------- %>
<table  cellpadding=0 cellspacing=0 border=0>

<tr>

    <td colspan=3 class=BusinessCardTitle><%=Ucase(contact_fname)%>&nbsp;<%=Ucase(contact_lname)%></td>
    <td align=right><a href=NewCustomer.asp?ID=<%=Customer_ID%>><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a></td>


</tr>

<tr>
    <td width=<%=indent%></td>
    <td colspan=2 class=BusinessCardText><b><i><%=Company %></i></b></td>

</tr>

<%
	If Address <> "" then
	   address_string = address  & ",&nbsp;"
	Else
	  address_string = ""
	End If
	address_string = address_string & city
%>
<tr>
    <td width=<%=indent%></td>
    <td  colspan=2 class=BusinessCardText ><%=Address_string%></td>
</tr>



<%
	If state <> "" then
	   address_string2 = state  & ",&nbsp;"
	Else
	  address_string2 = ""
	End If
	address_string2 = address_string2 & zip & "&nbsp;" & country
	If address_string2 = "" Then
	  address_string2 = "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; "
	End If
%>
<tr>
    <td width=<%=indent%></td>
    <td  class=BusinessCardText ><%=address_string2%></td>
    <td>
     <% If Phone1 <> "" Then %>
			<td  class=BusinessCardTextSmall align=right>Tel:&nbsp;<%=Phone1 %></td>
	<% Else%>
			<td  class=BusinessCardTextSmall align=right>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
     <% End If %>


</tr>

 <% If Fax <> "" Then %>
			<tr>
				<td width=<%=indent%></td>
				<td></td>
				<td></td>
				<td  class=BusinessCardTextSmall align=right>Fax:&nbsp;<%=Fax %></td>
			</tr>
<% End If %>




 <% If Email <> "" Then %>
		<tr>
			<td width=<%=indent%></td>
			<td></td>
			<td></td>
			<td   class=BusinessCardTextSmall align=right>Email:&nbsp<a href="mailto:<%=Email%>"><%=Email%></a></td>
		</tr>
<% End If %>



</table>

<!-- end of business card -->

</td>
</tr>
</table>

</td>


<!-- separate 2 blocks of top matter with the Case Number in big letters -->
<td width=100 align=center valign=top>

<%if (Case_Number = "NEW") Then ' NEW Case formatting %>
    <span class=MajorRedBanner><%=wc_NEW%></span>
<% else

             ' Put Extra Zeros infront of short case numbers
  		ExtraZeros = 4 - Len(Case_number)
		If ExtraZeros = 1 Then
			Case_number = "0" & Case_Number
		Elseif ExtraZeros = 2 Then
			Case_number = "00" & Case_Number
		Elseif ExtraZeros = 3 Then
			Case_number = "000" & Case_Number
		Else
			' Only display up to 3 extra zeros
		End IF

       response.write "<span class=MajorBlackBanner>Case</span><br><span class=MajorRedBanner>" & Case_number & "</span>"

end if %>


</td>


<td valign=bottom >







<%'---------------------------------------- minor buttons and asset number and dup case number %>




<%if (Case_Number = "NEW") Then ' NEW Case formatting %>

<table  class=SimpleWrapper cellspacing=0 cellpadding=0 >

    <tr>
     <td class=formlabel align=right><%=wc_Duplicate_Case%>: </td>
     <td class=formboxholder><input type=text name=dup_case_num size=9 maxlength=9></td>
    </tr>

	<% If AssetEnabled = True then %>
	     <tr>
	      <td class=formlabel align=right>Asset Number: </td>
		  <td class=formboxholder><input type=text name=asset_number size=9 maxlength=9></td>
         </tr>
	<%Else %>
		  <input type=hidden name=asset_number value=<%=Asset_number%>>
	<%End If %>


<% Else ' Existing Case Formating Start%>


<table  cellpadding=0 cellspacing=0 >


				<tr>
				  <td colspan=2 align=right>



				  <a href=PrintTCaseForm.asp?Case_Number=<%=Case_Number%> target=printpage><img src=print.gif border=0></a>
				  &nbsp;

				  <% If Case_Number <> 0 AND AttachFile = "YES" Then
					  If MyOs = "Windows" then %>
					   <a href=AttachFileToCase.asp?case_number=<%=case_number%>><img src=attachfile.gif border=0></a>
					 <% Else %>
					   <a href=TFileUploadLinux1.asp?case_number=<%=case_number%>><img src=attachfile.gif border=0></a>
					 <% End If

					 End If %>


				<% If Events = "YES" Then %>


				  &nbsp;
				  <A href=DoEventSearch.asp?Case_Number=<%=Case_Number%>><img src=calendar.gif border=0></a>


				<%End If %>



				  </td>
				</tr>

<tr>
<td colspan=2>
<table class=SimpleWrapper cellspacing=0 cellpadding=0>



 <% ' Display link to duplicate case if  duplicate case number is present. %>


	<% If CLng(Dup_Case_Num) = 0 Then %>
	   <tr>
	      <td class=formlabel align=right><%=wc_Duplicate_Case%>: </td>
          <td class=formboxholder><input type=text name=dup_case_num size=9 maxlength=9></td>
       </tr>

    <%Else %>
       <tr>
         <td  class=formlabel align=right><a href=TCaseForm.asp?customer_id=0&case_number=<%=Dup_Case_Num%>>Duplicate Case: </a></td>
         <td class=formboxholder> <input type=text name=dup_case_num value=<%=DUp_Case_num%> size=9 maxlength=9></td>
	   </tr>

	<% End IF ' End of Duplicate Case Number  = ""
	%>


   <% if AssetEnabled = True then
	' Display link to asset form if asset
	' number is present.
      if Not IsNull(asset_number) Then
	If CLng(asset_number) > 0 Then
	 %>
	    <tr>
         <td  class=formlabel align=right><a href=AssetInfo.asp?asset_number=<%=Asset_number%>><%=wc_Asset_Number%>: </a> </td>
          <td class=formboxholder> <input type=text name=asset_number value=<%=asset_number%> size=9 maxlength=9> </td>
        </tr>


    <%Else %>
         <tr>
           <td   class=formlabel align=right><%=wc_Asset_Number%>: </td>
           <td class=formboxholder><input type=text name=asset_number size=9 maxlength=9></td>
         </tr>



     <%End If  ' End of If asset_number > 0  %>
    <%Else %>
          <tr>
            <td  class=formlabel align=right>><%=wc_Asset_Number%>: </td>
            <td class=formboxholder><input type=text name=asset_number size=9 maxlength=9> </td>
          </tr>



     <%End If  ' End of If not null asset_number > 0  %>


   <%else ' If Assetenabled = true Else statement %>
        <tr>
         <td><input type=hidden name=asset_number value=""></td>
        </tr>
  <%End If %>

 </table
 </td>
 </tr>





<%End if ' End of if Case_number <> "New"
%>

</td>
</tr>

</table>

</td>
</tr>
</table>

<!-- end of all top matter -->

<center>



<table><tr><td height=5></td></tr></table><!--- little spacer -->

<%'---------------------------------------- one line description %>


<table width=600>
<tr><td class=outerformwrapper> <!---- start of overall form wrapper -->

<center>
<table  class=InnerformWrapperTight width=100% cellpadding=0 cellspacing=0 border=0>


<tr><td  class=MinorFormTitle colspan=2 align=center><%=wc_Case_Notes%></td></tr>

<tr>



<% ' Put these special hidden fields to be compatible with the Techsupp.dll?DoCaseform() %>
	<INPUT type=hidden name=Categories value=0></CENTER>
	<INPUT type=hidden name=x value=0>
<td class=formlabelsuper><%=wc_One_Line_Description%>:</td>
<td class=formlabelsuper><%=wc_Reference%>:</td>
</tr>
<tr>
<td class=formboxholder>

<% If Case_number = "NEW" Then %>

   <input type=text name=case_one_line size=60 maxlength=100>
<%else %>

<input type=text name=case_one_line value="<%=case_one_line%>" size=60 maxlength=100>
<% End If %>

</td>

<td class=formboxholder><input size=10 maxlength=30 name=External_Case_Number value="<%=External_Case_Number%>"></td>

</tr>

<% If Case_number <> "NEW"  AND case_history <> "" Then %>

<%'---------------------------------------- case history field %>


<tr>

<td colspan=2 class=formlabelsuper><%=wc_Case_History%>:</td>
</tr>
<td colspan=2 class=formboxholder>



      <%

       ' Display history log.
			New_History = Format_Case_Text(Case_History)
			Response.write New_History 'New_History

	   %>

</td>

</tr>
<% End If%>
<%'---------------------------------------- append history %>
 <%' ************** Setting TextArea Box Sizes **********************
 'The size of the Summary and resolution Text boxes are configurable
 ' under the admin and system configuration options menu.  They can
 ' be overwritten here if necessary.


  ' User Customizations ******************************************
  '	CasesummaryRows = 3 ' Default
	'CaseResolutionRows = 3 ' Default
  '	CasesummaryMaxRows = 15 ' Default
	'MaxCaseResolutionRowSize = 15' Default
	'CaseHistoryRowSize = 3 ' Default
	'TextAreaColumnSize = 60 ' Default - Column size of text area boxes

	'CasesummaryResolutionSizes = "AUTO"
  ' ****************End User Customizations************************

	If Case_Number <> "NEW" AND TextBoxSizing = "AUTO" Then
	' Automatic sizing is turned on so adjust the size of the
	' of the text area box based on the size of data in the field.
		If Case_Summary <> "" Then
			CasesummaryRows = Cint(Len(Case_Summary)/45)
			If CasesummaryRows > Cint(CasesummaryMaxRows) Then
				CasesummaryRows = Cint(CasesummaryMaxRows)
			End IF
			If CasesummaryRows < 3 Then
				CasesummaryRows = 3
			End If

		End IF

		If Case_Resolution <> "" Then
			CaseResolutionRows = Cint(Len(Case_Resolution)/45)

			If CaseResolutionRows > Cint(CaseResolutionMaxRows) Then
				CaseResolutionRows = Cint(CaseResolutionMaxRows)
			End IF
			If CaseResolutionRows < 3 Then
				CaseResolutionRows = 3
			End IF

		End IF
	End IF

  %>


<tr><td  height=2 colspan=2></td></tr>

<tr>

<td class=formlabelsuper colspan=2><%=wc_Append_to_Case_History%>:</td>
</tr>
<tr>
<td class=formboxholder colspan=2>

<textarea name=case_history wrap=virtual rows=<%=CaseHistoryRows%> cols=<%=CaseTextBoxColumns%> ></textarea>

</td>


</tr>


<tr><td height=4 colspan=2></td></tr>

<%'---------------------------------------- summary %>


<tr>

<td class=formlabelsuper colspan=2><%=wc_Case_Summary%>:</td>
</tr>
<td class=formboxholder colspan=2>




<%if Case_number = "NEW" Then %>

   <textarea name=summary wrap=virtual rows=<%=CasesummaryRows%> cols=<%=CaseTextBoxColumns%>></textarea>


<%else %>

   <textarea name=summary wrap=virtual rows=<%=CasesummaryRows%> cols=<%=CaseTextBoxColumns%>><%=Case_summary %></textarea>

<%End If %>

</td>





</tr>

<%'---------------------------------------- resolution %>

<tr><td height=4 colspan=2></td></tr>

<tr>

<td colspan=2 class=formlabelsuper><%=wc_Case_Resolution%>:</td>
</tr>
<tr>

<td colspan=2 class=formboxholder>

<% If Case_number = "NEW" Then %>

   <textarea name=resolution wrap=virtual rows=<%=CaseResolutionRows%> cols=<%=CaseTextBoxColumns%>></textarea>

<%Else %>
   <textarea name=resolution wrap=virtual rows=<%=CaseResolutionRows%> cols=<%=CaseTextBoxColumns%>><%=case_resolution %></textarea>

<%End If %>


</td>

</tr>

<tr><td height=4 colspan=2></td></tr>

</table>
<table ><tr><td height=3></td></tr></table><!-- a little spacer -->

<table cellpadding=0 cellspacing=0  border=0  >
<tr>
<% '------------------- Cancel button %>

<td width=30></td>

<td><a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a></td>

<td width=30></td>

<td><a href="UpdateOneKB.asp?CaseNumber=<%=Case_number%>"><img src=/<%=WCLanguageDirectory%>/Add_to_KB.gif border=0></a></td>

<td width=80></td>

<% '  Submit Button %>



	<%
		' If a tech with read only privileges is accessing
		' this page then don't present the submit button
	%>

<%if CInt(tech_level) > 2 Then %>
<td>

   <table class=BoxTableWrapper >
    <tr>
	<td class=formboxholder><input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></td>
	<td class=formboxholder>
	<%
	   ' Add Radio button to control whether to send out Customer Emails

	   ' The logic for the send email radio button is:
		' (1) If this is a new case, it defaults to send email = YES

	   ' Otherwise if it is not a new case and case status has changed, it will be sent automatically.
	   ' This is done is the DoCaseForm() function and not here.


		   if Case_number = "NEW"  THEN' If new case then default to sending email
		   %>
			   <input id=forradiobuttonred type=radio name=sendemail value="NO">&nbsp;<%=wc_No_Email%><br>

			   <input  id=forradiobuttongreen type=radio name=sendemail value="YES" CHECKED>&nbsp;<%=wc_Send_Email%>


		   <%Else ' Default for existing Cases%>
			   <input id=forradiobuttonred type=radio name=sendemail value="NO" CHECKED>&nbsp;<%=wc_No_Email%><br>

			   <input id=forradiobuttongreen type=radio name=sendemail value="YES">&nbsp;<%=wc_Send_Email%>

		   <%End If %>
	</td>
	</tr>
	</table>

<%End If %>

</td>

</tr>

</table>


<table cellpadding=0 cellspacing=0 border=0><tr><td height=5></td></tr></table><!-- little spacer -->
<table  class=InnerformWrapperTight width=100% border=0 cellpadding=0 cellspacing=0>

<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>
<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_categories%></td>
       </tr>
      </table>
   </td>
</tr>


<%'---------------- category assignment (case form) %>


	<tr  width=100%>
	<TD  COLSPAN="2" >
	<TABLE BORDER=0 CELLPADDING=0 cellspacing=0 WIDTH="100%" class=formspacer><!-- table 2 wide for categories -->

	<TR>
	<% ' Display the  Categories

	 spacerline = "<tr><td colspan=2><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"

	 response.write spacerline

	If case_Number <> "NEW" Then 'exist case so open up case record
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

			mySQL="select * from Cases where case_number = " & case_Number

		'***** Important Fix - June 19, 2003******
		' This conntemp.execute(mySQL) fails for some data fetching
		' under SQL*server only!  Statement converted to open record set call'

		'set rstemp=conntemp.execute(mySQL)  - OLD WAY DO NOT USE

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3



		' Do Not close the recordset or connection yet since we will
		' need it for displaying the Categories
	End If



		If Case_Number = "NEW" Then ' Open connection if new case

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN
		End If

		' For techs, display Categories that are not disabled.

		mySQL2="select * from Categories where  State <> 0  Order by Category_index ASC"

		'set rstemp2=conntemp.execute(mySQL2)
		set rstemp2 = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" THEN
			rstemp2.CursorLocation = adUseClient
		End If

		rstemp2.Open mySQL2, conntemp,adOpenDynamic,adLockReadOnly

		' Check to see if any records are returned
		' if none found then login fails.

		If  rstemp2.eof then ' Check to see any Categories exist
			' No Categories exist so don't display anything here
		Else %>




	<%

			Category_name = rstemp2("Category_name")
			Category_number = CInt(rstemp2("Category_number"))
	%>
			<TD align=right WIDTH="50%" class=formlabel ><%=Category_name%>:&nbsp;</td>
            <td class=formboxholder>
	<%

					response.write "<span class=formboxholder><select name=c" & rstemp2("category_number") & ">"
					response.write "<option  value=""0"" >N.A.</option>"

			Do While Not rstemp2.EOF
				if CInt(rstemp2("Category_number")) <> Category_number THEN
					response.write "</select></span></td>"




						response.write "</tr><tr>"
						response.write spacerline

					%>
					<td align=right width=50% class=formlabel ><%=rstemp2("Category_Name")%>:&nbsp;</td>
					<td class=formboxholder>

					<%

						response.write "<span class=formboxholder><select name=c" & rstemp2("category_number") & ">" & chr(10)
						response.write "<option value=""0"" >N.A.</option>"
					Category_number = CInt(rstemp2("Category_number"))
				End If

				' Checked if this option is already select for this case
				If Case_Number <> "NEW" Then
					If IsNull(rstemp2("item_number")) Then
						ItmNumber = 0
					Else
						ItmNumber = rstemp2("item_number")
					End If
					If IsNull(rstemp("C" & CInt(Category_number))) Then
						CatGNumber = 0
					Else
						CatGNumber = rstemp("C" & CInt(Category_number))
					End If
					If CInt(CatGNumber) = CInt(ItmNumber) Then
						response.write "<option SELECTED value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					End IF
				End If '  End of case_number <> ""

				If Case_Number = "NEW" Then
					response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
				End If


				rstemp2.MoveNext
			Loop

			response.write "</select></span></td>"

			response.write "</tr>"  ' ---- close out last  -----------------

			response.write spacerline ' put some space after the last one

			response.write "</table>"  ' ---- close out  table -----------------
		End IF

		rstemp2.close
		set rstemp2=nothing

		' If Not new case then close the other record set
		If Case_Number <> "NEW" Then
			rstemp.close ' close the original record set
			set rstemp=nothing
		End IF


		conntemp.close ' Close the connection
		set conntemp=nothing

	%>

	</td></tr>


<% ' --------------- Group and Case Status/Assigned Staff Member and Priority %>



<% response.write spacerline %>

<TR >
<TD ALIGN=CENTER colspan=2>
<TABLE BORDER=0 CELLPADDING=0  cellspacing=0 width=100% WIDTH="100%" >

<tr>
<td colspan=2 align=center class=MinorFormTitle><%=wc_Assignments_and_Status%></td> <!-- --------------------------- -->
</tr>

<% response.write spacerline %>

<TR>
<TD align=right class=formlabel width=50%><%=wc_Assigned_group%>:&nbsp;</td>
<td>
<span class=formboxholder><SELECT size=1 name=group_number>
<option value=""><%=wc_Not_Assigned%></option>

<% ' Get the Groups from the database

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			If CInt(rstemp("Group_Number")) = CInt(Group_number) Then
				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			End IF

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Group List
 %>

</span></TD>
</tr>

<% response.write spacerline %>

<tr>

<TD align=right class=formlabel><%=wc_Status%>:&nbsp;</td>
<td>

<% ' Hard coded status's are:
	' 0 = default = Open (Active)
	' 1 = Closed
	' 2 = Open (Waiting)
	' 3 = Open (On-Hold)
%>



<span class=formboxholder><SELECT size=1 name=case_status>

<% IF Status = 0 then %>
	<OPTION value="0" SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
	<OPTION value="0"><%=wc_Open_Active%></OPTION>
<%End If %>

<% If Status = 1 Then %>
<OPTION value=1 selected><%=wc_Closed%></OPTION>
<%Else %>
<OPTION value=1><%=wc_Closed%></OPTION>
<%End If %>

<% If Status = 2 Then %>
<OPTION value=2 selected><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If Status = 3 Then %>
<OPTION value=3 selected><%=wc_Open_on_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</SELECT></span></TD>

</tr>

<% response.write spacerline %>

<tr>




<TD align=right class=formlabel><%=wc_Assigned_staff_member%>:&nbsp;</td>
<td>
<span class=formboxholder><SELECT size=1 name=tech_id>
<OPTION  value="">
<FONT SIZE=-1><%=wc_Not_Assigned%></OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		mySQL3="SELECT Group_list.group_name, Groups.tech_id FROM Group_list INNER JOIN Groups ON Group_list.group_number = Groups.group_number "
		mySQL3 = mySQL3 & " where tech_id = '" & rstemp("Tech_ID") & "'"
		set rstemp3=conntemp.execute(mySQL3)

		If rstemp3.EOF <> True Then
			GroupName = " ("& rstemp3("Group_name") & ")" ' Grab only the first one
		Else
			GroupName = "" ' Clear group name
		End IF

		rstemp3.close ' close the record set
		set rstemp3=nothing
		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF Tech_Id = rstemp("Tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & GroupName & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>
</tr>

<% response.write spacerline %>

<tr>

<TD align=right class=formlabel><%=wc_Priority%>:&nbsp;</td>
<td>

<span class=formboxholder>

<SELECT size=1 name=case_severity>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any priorities exist

	Else
		Do While rstemp.EOF <> True
		  '  if CInt(rstemp("PriorityID")) > 0 then
				If Severity = Cint(rstemp("PriorityID")) Then
					response.write "<option value=" & CInt(rstemp("PriorityID")) & " SELECTED>" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				End If
		'	end if
			rstemp.MoveNext
		Loop
		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


</TR>



</table>

</td></tr>




<% ' Scheduled Cases Code ***********%>

<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Scheduling_Attributes%></td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>

<td width=50%>
<table cellpadding=0  cellspacing=0  width=100%><!-- start left cell -->
<tr>

<td  class=formlabelsuper>
<blockquote>

<%=wc_Schedule_Case%>:&nbsp;
<br>
<span class=formboxholder>
<select name=ScheduleCase>



<% If Scheduled_Case_Type = "" Then %>
<option value="" SELECTED>No</option>
<%Else%>
<option value="">No</option>
<%End If %>


<% If Scheduled_Case_Type = "ONCE" Then %>
<option value="ONCE" SELECTED>ONCE</option>
<%Else%>
<option value="ONCE">ONCE</option>
<%End If %>

<% If Scheduled_Case_Type = "REPEAT" Then %>
<option value="REPEAT" SELECTED>REPEAT</option>
<%Else%>
<option value="REPEAT">REPEAT</option>
<%End If %>


</select>
</span></td>

</tr>
<%
response.write spacerline2
%>

<tr>

<td class=formlabelsuper>
<blockquote>

<%=wc_Repeat_Interval%>:&nbsp;
<br>
</span class=formboxholder>
<select name=RepeatInterval>

<option value="">None</option>


<% ' Default Repeat_Interval to 0
	If Repeat_Interval = "" Or IsNull(Repeat_Interval) Then
		Repeat_Interval = 0
	End If
%>

<% For Days = 1 to 30 %>

	<% 'Response.write "Repeat_Interval=" & Repeat_Interval %>


<% If CInt(Repeat_Interval) = CInt(Days) Then %>

<option value="<%=Days%>" SELECTED><%=Days%> Days</option>

<%Else %>
<option value="<%=Days%>"><%=Days%> &nbsp;<%=wc_Days%></option>

<%End If %>


<% Next %>

<% If Cint(Repeat_Interval) = 31 Then %>

<option value="31" SELECTED><%=wc_Every_Month%></option>
<%Else %>
<option value="31"><%=wc_Every_Month%></option>
<%End If %>


<% If Repeat_Interval = 62 Then %>
<option value="62" SELECTED><%=wc_Every_2_Months%></option>
<%Else %>
<option value="62"><%=wc_Every_2_Months%></option>
<%End If %>

<% If Repeat_Interval = 93 Then %>
<option value="93" SELECTED><%=wc_Every_3_Months%></option>
<%Else %>
<option value="93"><%=wc_Every_3_Months%></option>
<%End If %>

<% If Repeat_Interval = 186 Then %>
<option value="186" SELECTED><%=wc_Every_6_Months%></option>
<%Else %>
<option value="186"><%=wc_Every_6_Months%></option>
<%End If %>


<% If Repeat_Interval = 365 Then %>
<option value="365" SELECTED><%=wc_Every_12_Months%></option>
<%Else %>
<option value="365"><%=wc_Every_12_Months%></option>
<%End If %>

</select>
</span>
</td>
</tr>
</table>
</td>







<td  width=50%> <!-- start right cell -->
<table  cellpadding=0 cellspacing=0 width=100%>
<tr>



<td class=formlabelsuper width=100%><blockquote>
<%
   If WCDateFormat = "DDMMYYYY" Then ' UK format
      formatstring =  " (dd/mm/yyyy"
   Else
       formatstring =  " (mm/dd/yyyy)"
   End If
%>

<%=wc_Due_Date%>:<%=formatstring%>

<br>
<span class=formboxholder>
<% ' Compute Due_Date and Due_Time Parts
	If Due_Date <> "" Then
		DueMonth = Month(Due_Date)
		If Len(DueMonth) < 2 Then
			DueMonth = "0" & DueMonth
		End IF

		DueDay = Day(Due_Date)
		If Len(DueDay) < 2 Then
			DueDay = "0" & DueDay
		End If

		DueYear = Year(Due_Date)
	End if

	If Due_Time <> "" Then
		DueHour = Hour(Due_Time)
		If DueHour > 12 Then
			DueAMPM = "PM"
			DueHour = DueHour - 12
		Else
			DueAMPM = "AM"
		End IF

		If Len(DueHour) < 2 Then
			DueHour = "0" & DueHour
		End If

		DueMinute = Minute(Due_Time)

		If Len(DueMinute) < 2 Then
			DueMinute =  "0" & DueMinute
		End If


	End If
%>


<% If WCDateFormat = "DDMMYYYY" Then ' UK format
%>
<input size=2 name=DueDay maxlength=2 value="<%=DueDay%>"><b>/</b>
<input size=2 name=DueMonth maxlength=2 value="<%=DueMonth%>"><B>/</b>
<input size=4 name=DueYear maxlength=4 value="<%=DueYear%>"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<% ' note that these hard blanks are necessary to prevent extra vertical space caused by previous title line folding %>

<%Else %>
<input size=2 name=DueMonth maxlength=2 value="<%=DueMonth%>"><B>/</b>
<input size=2 name=DueDay maxlength=2 value="<%=DueDay%>"><b>/</b>
<input size=4 name=DueYear maxlength=4 value="<%=DueYear%>"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<% ' note that these hard blanks are necessary to prevent extra vertical space caused by previous title line folding %>

<%End If %>
</span></td>
</tr>

<%
response.write spacerline2
%>

<tr>
<td class=formlabelsuper><blockquote>
<%=wc_Due_Time%>:&nbsp;
<br>
<span class=formboxholder>
<input size=2 name=DueHour maxlength=2 value="<%=DueHour%>"><b>:</b>
<input size=2 name=DueMinute maxlength=2 value="<%=DueMinute%>">
<select name= dueAMPM size=1>
<option value="">--</option>

<% If DueAMPM = "PM" Then %>
<option value="PM"SELECTED>PM</option>

<%Else %>

<option value="PM">PM</option>

<%End If %>


<% IF DueAMPM = "AM" Then %>
<option value="AM" SELECTED>AM</option>

<%Else %>
<option value="AM">AM</option>

<%End If %>

</select>

</span></td>
</tr>
</table>
</td>
</tr>



<% ' Time Spent Billing Option ***********%>

<% TimeSpentBilling = "YES" %>

<% If TimeSpentBilling = "YES" Then  ' Only display this option if enabled %>


<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Time_Spent_Billing%></td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>

<td colspan=2>
<table class=FormTable width=100% cellpadding=1 cellspacing=1>
<tr>
<td class=formlabelsuper align=center>
<%=wc_Date %>
</td>


<td class=formlabelsuper align=center>
<%=wc_Tech %>
</td>

<td class=formlabelsuper align=center>
<%=wc_Billable %>
</td>

<td class=formlabelsuper align=center>

<%=wc_Hours %>
</td>

<td class=formlabelsuper align=center>
<%=wc_Hourly_Rate %>
</td>

<td class=formlabelsuper align=center>
<%=wc_Notes %>
</td>

<td class=formlabelsuper align=center>
<%=wc_Delete%>

</td>
</tr>

<% ' Now display any billing records for this case number if they exist %>

	<% ' Get the values if they exist

	TotalBillableHours = 0
	TotalBillableAmount = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	If Case_Number <> "NEW" Then

		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & Case_Number
	Else
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = 999999"

	End If

	response.write "SQL= " & mySQL
	response.flush

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If  rstemp.eof then ' Check to see any time spent values exist for this case number

	Else
		Do While rstemp.EOF <> True

%>

<tr>

<td class=formlisting>

<%=rstemp("Invoice_Date") %>

</td>



<td class=formlisting>
<%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %>


</td>

<td class=formlisting>

<% If rstemp("Billable") = True Then
	Response.write wc_YES
  Else
	Response.write wc_NO
End If
%>
</td>

<td class=formlisting>
<%=rstemp("Hours") %>


</td>

<td class=formlisting>
<%=rstemp("HourlyRate") %>


</td>

<td class=formlisting>
<%=rstemp("TimeSpentNote") %><br>

</td>


<td class=formlisting>

<% ' Link to Delete for this time spent entry %>

<a href=DeleteTimeSpentEntry.asp?ID=<%=rstemp("TimeSpentIndex")%>&Case_number=<%=Case_Number%>>
**</a>
</td>


</tr>


<%

	' Calculate Total Billable Hours

	If rstemp("Billable") = True Then
		TotalBillableHours = TotalBillableHours + rstemp("Hours")
		TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
	End IF

	TotalHours = rstemp("Hours") ' Always in hours independently of billable.

			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Now display the form element to allow users to enter new time spent
    'data for storing
%>


<tr>

<td class=formboxholder>


<% DisplayCurrentdate = Date()
' For the date field, fill it in automatically but allow it to be changed.

%>

<input type-text size=10 maxlength=10 name=TimeSpentDate value = "<%=DisplayCurrentDate%>">


</td>



<td class=formboxholder>

<% ' Display a list of techs from a drop down.. default to the
	' logged in tech.
%>

<SELECT size=1 name=timespenttech_id>
<OPTION  value="">
<FONT SIZE=-1><%=wc_Not_Assigned%></OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF CookieId = rstemp("Tech_id") Then ' Default it to the logged in Tech
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>




</td>

<td class=formboxholder>

<input name=TimeSpentBillable type=checkbox value="YES">
</td>

<td class=formboxholder>

<input type=text size=6 maxlength=6 name=TimeSpentHours>




</td>

<td class=formboxholder>
<input type=text size=6 maxlength=6 name=TimeSpentHourlyRate>




</td>

<td  class=formboxholder>

<input type=text size=15 maxlength=200 name=TimeSpentNotes>


</td>
<td class=formboxholder>
</td>

</tr>

<% ' Now display the summary information for time spent %>

<tr>
<td colspan=3 class=formlisting align=center>



<b><%=wc_Billable_Total%>:</b> &nbsp; <%=TotalBillableHours%> &nbsp; <%=wc_Hrs%>
/ &nbsp; <%=wc_Time_Spent_Currency%> <%=TotalBillableAmount %>

</td>

<td colspan=4 class=formlisting align=center>



<b><%=wc_Total_Hours%>:</b> &nbsp; <%=TotalHours%> &nbsp; <%=wc_HRS%>

</td>

</tr>

</table>


</td>


</tr>





<%End If ' End of If Time Spent Billing Option enabled %>




<tr><td  height=<%=spacerheight%>  colspan=2></td></tr>

	<% '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>

	<% ' Get the values if they exist

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF <> True then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' Now determine if any of the case text fields are enabled for ALL view(2) or tech view (1)
	' or determine if any of the fields are greater than 0

	If Field_1_State > 0  OR Field_2_State > 0 OR  Field_3_State > 0 OR  Field_4_State > 0 OR  Field_5_State > 0 OR  Field_6_State > 0 OR  Field_7_State  > 0 OR  Field_8_State > 0 OR  Field_9_State > 0 OR  Field_10_State > 0  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it

%>

	<tr>
	<td align=center   WIDTH="100%" colspan=2>

	<% ' Start new Table for Optional text fields %>



	<table  cellpadding=0  cellspacing=0  WIDTH=100%   border=0>

	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>




     <tr><td  class=MinorFormTitle colspan=2 align=center><%=wc_Further_Attributes%></td></tr>

  <%
   response.write spacerline2
  %>

	<% OddEven = "Even" %>

	<% If Field_1_State > 0  Then %>
	    <% If OddEven = "Even" Then
	        response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_1_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_1" size=30 maxlength=100 value="<%=Field_1_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write  spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>

	<% If Field_2_State > 0  Then %>
	    <% If OddEven = "Even" Then
	         response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_2_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_2" size=30 maxlength=100 value="<%=Field_2_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_3_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_3_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_3" size=30 maxlength=100 value="<%=Field_3_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_4_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_4_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_4" size=30 maxlength=100 value="<%=Field_4_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_5_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_5_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_5" size=30 maxlength=100 value="<%=Field_5_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_6_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_6_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_6" size=30 maxlength=100 value="<%=Field_6_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_7_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_7_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_7" size=30 maxlength=100 value="<%=Field_7_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_8_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_8_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_8" size=30 maxlength=100 value="<%=Field_8_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_9_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_9_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_9" size=30 maxlength=100 value="<%=Field_9_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_10_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_10_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_10" size=30 maxlength=100 value="<%=Field_10_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% ' If we ended up on the wrong side emit an empty dummy to fill out the table %>

	    <% If OddEven = "Odd" Then
	       response.write "<td class=formlabelsuper></td></tr>"
	       End If
	     %>



	</table>

	</td></tr>

   <tr><td class=formspacer height=5 colspan=2></td></tr>
	<%End If ' If no Case Text fields are enabled for customer view %>



	<% '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>





<% ' Close inside table %>

</table>





</td>
</tr>


</table><!-- close inner form wrapper -->
</td>
</tr>
</table> <!-- close outer form wrapper -->
</form>

<% End If ' End of Customer_Invalid = NO %>


<%End If ' End of security checks %>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

' following formatting added when going to stylesheets
' we first remove all occurrences of <br><br>
' we then add a thinline (made by a skinny table) just before start of any font color change

    double_br = "<br>" & chr(13) & "<br>"
    thinline = "<table cellpadding=0 cellspacing=5 width=100% ><tr bgcolor=#808080 ><td height=1></td></tr></table>"
    NewText = replace(NewText, double_br, "")

    newbreak1 = thinline & "<font color=#FF0000>"
    NewText = replace(NewText, "<font color=#FF0000>", newbreak1)
	Format_Case_Text = NewText


    newbreak2 = thinline & "<font color=#008000>"
    NewText = replace(NewText, "<font color=#008000>", newbreak2)

    NewText = NewText & thinline


	Format_Case_Text = NewText

End function
%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Sub DisplayPriorityFromTable(CurrentPriority)
	' This sub display the priority drop down option for the case
	' case form from the prioirty table and not hard coded.
	' It is passed the current value so we know which
	' option to mark as "SELECTED"


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Priority"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
		' Display a default sets of priority

		Else
			Response.write "<SELECT size=1 name=case_severity>"
			Do While Rstemp2.EOF <> True

				If CurrentPriority = rstemp2("PriorityID") Then
					Reponse.write "<option value=" & rstemp2("PriorityID") & " SELECTED>" & rstemp2("Shortdesc") & "</option>"
				Else
					Reponse.write "<option value=" & rstemp2("PriorityID") & ">" & rstemp2("Shortdesc") & "</option>"

				End If
				rstemp2.movenext
			loop
		End IF

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of DisplayPriorityFromTable
	%>


<% Sub SetModification_Flag(case_number)
	' This function will check to see if the tech viewing this case has been assigned
	' to this case.  If they are assigned to this case ,
	' then the case "Modification_flag" will be cleared
	' so it won't appear red in their open Cases display.  Any updates by the customer or
	' other techs will reset the modification_flag  back to 1.

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN



			Set NewRecord = Server.CreateObject("ADODB.Recordset")

					SQL = "Select * from Cases where case_number = " & case_number

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True Then
				' This should not occur
			Else ' Update Case Info when case already exists

				LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")

				' Only Clear the modified flag if the assigned tech is viewing this case

				If LoginTech_ID = NewRecord("Tech_ID") Then ' Clear Modified_flag
					NewRecord("modified_flag") = 0
					NewRecord.Update
					If  err.number>0 then
						  response.write "VBScript Errors Occured:" & "<P>"
						  response.write "Error Number=" & err.number & "<P>"
						  response.write "Error Descr.=" & err.description & "<P>"
						  response.write "Help Context=" & err.helpcontext & "<P>"
						  response.write "Help Path=" & err.helppath & "<P>"
						  response.write "Native Error=" & err.nativeerror & "<P>"
						  response.write "Source=" & err.source & "<P>"
						  response.write "SQLState=" & err.sqlstate & "<P>"
					else
					'      response.write "No VBScript Errors Occured" & "<P>"
					end if
					'IF  conn.errors.count> 0 then
					'	  response.write "Database Errors Occured" & "<P>"
					'for counter= 0 to conn.errors.count
					'	  response.write "Error #" & conn.errors(counter).number & "<P>"
					'	  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					'next
					'else
					'      response.write "No Database Errors Occured!" & "<P>"
					'end if

					End IF

			End If ' End if Add Record or Update

		' Close recordset and connections

		NewRecord.Close
		Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

 End Sub 'SetModificationFlag
%>

<% Sub DisplayInvalidCustomerPage()
	' This function simply display a warning page that the entered
	'or passed customerID is not valid with a back button and
	' and a cancel button
%>
<html>
<!-- (C) 1996,1998 by Internet Software Sciences -->
<head><title>Case Form Error Page</title>
</head>
<body bgcolor=#D8D8D8>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center><font size=+1>
<b>New Case Error</b>
</font>
<br>
<font size=+1 color=blue>
<b>
</b>
</font>
</td>
</tr>
</table>
<p>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td>
<center>
<b>No Matching Customer Record Found</b><P>
Please try again or use the
<a href=GetCustomer.asp> Customer Search Form </a>
to find<br> a customer and open a new case.


</center>
</td></tr>
</table><center>
<p><table border=0 cellspacing=1 cellpadding=1 width=50%>
<tr><td align=center>
<a href="javascript:history.back();" alt="Back Button">
<img src=/<%=WCLanguageDirectory%>/ts_search_again30x120.gif border=0></a>
</td>
<td align=center>
<a href=UserScreen.asp>
<img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
<p>
</body>
</html>

<%End Sub %>

