
<% ' ****************** Web+Center Expense Feature - Version 7.5 - START OF CODE ***************** %>
<% 'Module: TCaseForm7Point5.inc

   'Description: This is the new code for the Project expenses
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/18/11	SAV		Created Projects.asp module from NewCase Module page
   '10/03/11    CMB     Fixed a couple of bugs

%>

<% ' Time Spent Billing Option ***********%>

    <% If ExtendedTimeSpent = True or  ExtendedTimeSpent = Null or ExtendedTimeSpent = 1 Then
			TimeSpentBilling = "YES"
		End If

	%>

<% If TimeSpentBilling = "YES" Then  ' Only display this option if enabled %>


<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle>Building Cost</td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>

<td colspan=2>
<table class=FormTable width=100% cellpadding=1 cellspacing=1>
<tr>
<td class=formlabelsuper align=center>
<%=wc_Date %>
</td>


<td class=formlabelsuper align=center>
Administrator
</td>



<td class=formlabelsuper align=center>


Description

</td>




<td class=formlabelsuper align=center>

Cost

</td>





<td class=formlabelsuper align=center>
SubTotal
</td>

<td class=formlabelsuper align=center>
Total
</td>



<td class=formlabelsuper align=center>


<%=wc_Delete%>

</td>

</tr>

<% ' Now display any expense records for this case number if they exist %>

	<% ' Get the values if they exist

	TotalExpenses = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	If Case_Number <> "NEW" Then
		mySQL = "SELECT Expenses.case_number, tech_staff.first_name, tech_staff.last_name, Expenses.Description, Expenses.Cost, Expenses.Quantity, Expenses.TaxRatePercent, Expenses.ExpenseDate, Expenses.ExpenseIndex FROM (Expenses INNER JOIN tech_staff ON Expenses.Tech_ID = tech_staff.tech_id) INNER JOIN cases ON  (Expenses.case_number = cases.case_number)  WHERE Expenses.Case_Number = " & Case_Number
		' too many joins methinks mySQL = "SELECT Expenses.case_number, tech_staff.first_name, tech_staff.last_name, Expenses.Description, Expenses.Cost, Expenses.Quantity, Expenses.TaxRatePercent, Expenses.ExpenseDate, Expenses.ExpenseIndex FROM (Expenses INNER JOIN tech_staff ON Expenses.Tech_ID = tech_staff.tech_id) INNER JOIN cases ON (tech_staff.tech_id = cases.tech_id) AND (Expenses.case_number = cases.case_number)  WHERE Expenses.Case_Number = " & Case_Number
	Else
		mySQL = "SELECT Expenses.case_number, tech_staff.first_name, tech_staff.last_name,  Expenses.TaxRatePercent, Expenses.Description, Expenses.Cost, Expenses.Quantity, Expenses.ExpenseDate, Expenses.ExpenseIndex FROM (Expenses INNER JOIN tech_staff ON Expenses.Tech_ID = tech_staff.tech_id) INNER JOIN cases ON (tech_staff.tech_id = cases.tech_id) AND (Expenses.case_number = cases.case_number)  WHERE Expenses.Case_Number = 99999"
	End If

'	response.write "SQL= " & mySQL
'    	response.flush

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If  rstemp.eof then ' Check to see any expense values exist for this case number

	Else
		Do While rstemp.EOF <> True

%>

<tr>

<td class=formlisting>



<% ' Alternate Method to displaying the invoice date to handle UK compatibility date formats %>

<% 'Try this method to switch Day and Month %>


<%
	Locale = GetLocale() ' CMB 0
	Call SetLocale (1033)  ' CMB 

	If WCDateFormat = "DDMMYYYY" Then ' UK format
		CorrectedInvoiceDate = Day(rstemp("ExpenseDate")) & "/" & Month(rstemp("ExpenseDate")) & "/" & Year(rstemp("ExpenseDate"))
	Else
		CorrectedInvoiceDate = Month(rstemp("ExpenseDate")) & "/" & Day(rstemp("ExpenseDate")) & "/" & Year(rstemp("ExpenseDate"))
	End If
	Call SetLocale(Locale) ' CMB
%>

<%=CorrectedInvoiceDate%>


</td>



<td class=formlisting>
<%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %>


</td>





<td class=formlisting>

<%=rstemp("Description") %>

</td>


<td class=formlisting align=center>

<%=wc_Time_Spent_Currency%>
<%=rstemp("Cost")%>



</td>





<td class=formlisting align=center>

<% ' Compute sub total cost with quantity and cost and adding to totalexpenses



	'SubTotal = Round(rstemp("Quantity") * rstemp("Cost"),2)  CMB 09/27/2011
	If not isnull(rstemp("Quantity")) and not isnull(rstemp("Cost")) then
		SubTotal = Round(rstemp("Quantity") * rstemp("Cost"),2)  'CMB 09/27/2011
	Else
		subtotal = 0
	End If

	response.write wc_Time_Spent_Currency & SubTotal
%>
</td>


<td class=formlisting align=center>

<% ' Compute total cost by adding subtotal and tax x subtotal totalexpenses

	TaxRatePercent = rstemp("TaxRatePercent")


	If IsNull(TaxRatePercent)  OR TaxRatePercent = 0 Then
		Tax = 0
	Else

		Tax = SubTotal * (CDBL(TaxRatePercent)/100)
'		response.write "Tax = " & tax
'		response.flush
'		response.end

	End If


	Total = Subtotal + Tax

	TotalExpenses = Round(TotalExpenses + Total, 2)

	response.write wc_Time_Spent_Currency & Total
%>
</td>





<td class=formlisting>

<% ' Link to Delete for this time spent entry %>

<a href=DeleteExpenseEntry.asp?ID=<%=rstemp("ExpenseIndex")%>&case_number=<%=case_number%>>
**</a>
</td>


</tr>


<%


			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Now display the form element to allow users to enter new expenses
    'data for storing
%>


<tr>

<td class=formboxholder nowrap="YES">

<%
	Locale = GetLocale() ' CMB 
	Call SetLocale (1033)  ' CMB 
%>	

<% DisplayCurrentdate = Date()

	' For UK, display dd/mm/yyyy


If WCDateFormat = "DDMMYYYY" Then ' UK format

	DisplayCurrentDate = day(Now()) & "/" & Month(Now()) & "/" & Year(Now())

Else

	DisplayCurrentDate = Month(Now()) & "/" & Day(Now()) & "/" & Year(Now())

End IF



' For the date field, fill it in automatically but allow it to be changed.

%>
<%If WCDateFormat = "DDMMYYYY" Then ' UK format %>


<input type-text size=2 maxlength=2 name=ExpenseDateDay value = "<%=Day(Now())%>">/
<input type-text size=2 maxlength=2 name=ExpenseDateMonth value = "<%=Month(Now())%>">

<% Else %>

<input type-text size=2 maxlength=2 name=ExpenseDateMonth value = "<%=Month(Now())%>">/
<input type-text size=2 maxlength=2 name=ExpenseDateDay value = "<%=Day(Now())%>">

<% End If %>
<% Call SetLocale(Locale) ' CMB %>
/
<input type-text size=4 maxlength=4 name=ExpenseDateYear value = "<%=Year(Now())%>">


</td>



<td class=formboxholder>

<% ' Display a list of techs from a drop down.. default to the
	' logged in tech.
%>

<SELECT size=1 name=Expensetech_id>
<OPTION  value="">
<FONT SIZE=-1><%=wc_Not_Assigned%></OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF CookieId = rstemp("Tech_id") Then ' Default it to the logged in Tech
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<input type=hidden name=Quantity maxlength=10 size=6 value=1>
</td>



<td class=formboxholder>

<input name=Description type=text maxlength=200 size=30 value="Building Project Cost">

</td>



<td class=formboxholder>

<input name=Cost type=text maxlength=10 size=8>
<input name=TaxRatePercent type=hidden maxlength=4 size=4 value="0">
</td>





<% ' Entry for SubTotal - computed after entry %>

<td class=formboxholder>
---


</td>


<% ' Entry for Total - computed after entry %>

<td class=formboxholder>
---


</td>



<% ' Cell for Delete - not available for new entry %>

<td class=formboxholder>
----
</td>

</tr>

<% ' Now display the summary information for time spent %>

<tr>
<td colspan=5 class=formlisting align=right>



<b>Expense Totals:</b>

</td>

<td colspan=1 class=formlisting align=center>

<%=wc_Time_Spent_Currency%><%=TotalExpenses %>



</td>

<td class=formlisting align=right>
<br>
</td>

</tr>

</table>


</td>


</tr>


<%End If ' End of If Time Spent Billing Option enabled %>



<% ' ******************* End of Web+Center Expense Feature ********************************%>

