<% 'Module: TLogoutSetStatus.asp

   'Description: This module logs a user out of the tech+Center application
   ' and displays a very simple page telling that they are logged out with a
   ' link back to the login page.
   ' This page is different from the TLogout.asp module in that is always
   ' first resets the tech's availability state to BUSY (State = 2)
   ' before clearing the cookies.  This state of being busy is then available
   ' to the dispatcher to know that the tech is no-longer available.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '10/27/00	SAV		Created original Search page
	'06/27/02	SAV		Created TLogoutSetStatus.asp Module
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

' Now reset the tech_staff user available flag to busy at logout

	' We will get the Tech_ID from the Cookies

	TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

	If TechID <> "" Then


	' First reset the available/busy status flag to available at
	' login for this user. This is the availability column. It must
	' be set to either a 1 = Available or a 2 = Busy

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if tech_ID exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Tech_staff where tech_ID = '" & techID & "'"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			' Only modify the availability flag

			' Set all of the variables the same for either new/update

			If NewRecord.EOF <> True Then

				'Response.write "Setting flag to 2 (BUSY)"

				NewRecord("availability") = 2
			' To set this to busy set this to (2) instead of (1)

				NewRecord.Update
	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
	      response.write "Error #" & conn.errors(counter).number & "<P>"
	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if


		End IF ' End of If NewRecord <> EOF

	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	End IF ' If TechID <> ""

	'------------- End of setting Tech_Staff availability



%>


<%
	' First we clear out the cookie to blank

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = ""
		Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"

	' Let them expire after each session

		 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

 %>


<html>
<!-- (C) 2000 by Internet Software Sciences -->
<head>
<title>Tech+Center Logout</title>
</head>
<body bgcolor=#<%=UserPageColor%>>

<center>
<table border=1 cellspacing=2 cellpadding=15 width=98%>
<tr>
<td><center>
<img src=tdefault.gif>
</center><p>
<font size=+1 face=arial>
<center>Tech+Center Logout and Availability Set to BUSY</center><br></font>
<center><font size=-1 face=arial>
You have logged out the Tech+Center. <P>
To use the
Tech+Center again, you must

<a href=default.htm> Log back into the Tech+Center</a>

by entering your Login ID and password.<P>
</font></center>


</td>
</tr>
</table>


</center>

</BODY>
</HTML>


