<% 'Module: TechLoginShowCase.asp

   'Description: This module is the special version of the Login Page
   ' that is called from the email messages sent to techs so they can directly
   ' call this page and login from their email windows and call a
   ' browser window.

   ' This page can be configured for either requiring the tech to login again
   ' or it can directly log the tech in.  Options are listed below under
   ' User Customizations

   '(C) 2000,2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/13/2000	SAV		Created original DoMacLogin.asp page
   '02/06/2001	SAV		Removed multiple connections to database to one connection
	'03/02/2001	SAV		Create TechLoginShowCase.asp module from DoTechLogin.asp
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->



<% ' Verify that the user is already logged if their cookie is set.

	TechID = request.querystring("TechID")
	Case_Number = Request.querystring("Case_Number")

	 CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN")


	 If CookieID = TechID  Then
	 	LoginFailed = "NO"
	Else
		LoginFailed = "YES"
	End IF

	' * * * * * * User Customizations * * * * * * *
	' A second approach is to automatically login the tech from this
	' call even if they are not logged in.
		'Security = "NOPASSWORD"
		Security = "PASSWORDREQUIRED"
	' * * * * * * * * User Customziations * * * * * * *


	If loginFailed = "YES" and CookieID = "" and Security = "NOPASSWORD" Then

	' Log the tech at the same time.

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.
	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

	 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
	 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90

	' Set the LoginFailed Flag to NO
	LoginFailed = "NO"

	End IF


	If LoginFailed = "YES"  Then

%>

<html><!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences-->
<head>
<title>Tech+Center Case Login </title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Tech+Center Case Login </b></font><br><font size=+1 color=blue><b></b></font></div><div
align=left><p><font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=D0D0D0 align=center>
<font size=-1 face=arial>

<form action=DoTechLoginShowCase.asp method=post>
<input type=hidden name=Login_Tech_ID value="<%=TechID%>">
<input type=hidden name=Case_Number value="<%=Case_Number%>">

Please enter your Tech+Center password below to login and view or update this case.<P>

<br>
<B>Password:</b>  <input size=10 maxlength=20 name=password type=password>

<P>
<input type=image name=b_login src=/<%=WCLanguageDirectory%>/ts_login30x100.gif border=0>
</form>




</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Go directly to a special 3 frame document.

%>



<html><!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Tech+Center</title>
</head>
<frameset cols="160,80%">
<frame src=Toptions.asp?TechID=<%=techid%> scrolling=auto name=options_screen>
<frameset rows="10%, 90%">
<frame src=MyCases.asp?TechID=<%=techid%> scrolling=auto name=pending_screen>
<frame src=TCaseForm.asp?Customer_ID=0&Case_number=<%=Case_Number%> scrolling=auto name=user_screen>
</frameset>
</frameset>
</html>


<% End If %>

