<% 'Module: ViewSurveyResults.asp

   'Description: This module is the customer survey results view search page.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'08/27/02	SAV		Created original module
	'08/13/11   CMB     UK Date Compliance

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ViewSurveyResults.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<html>

<head>
<title><%=wc_Customer_Survey_Results%></title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_Survey_Results%></b>
</font>
<br>
</td></tr></table><p>
</center>




<FORM METHOD=POST name="myform" ACTION=DoViewSurveyResults.asp>

<center>

<input type=hidden value="BRIEF" name=resultsview >


<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><FONT SIZE=-1><B><%=wc_Start_date%>:</b></FONT><br>


<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>

<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>">

</td>

<TD valign=bottom><FONT SIZE=-1><B><%=wc_End_date%>:</B></font><br>

<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>


<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>">
</TD>

<TD valign=bottom>
<input type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif>

<input type=hidden name=date_type value=1>
<% ' 1 = last modifed daten
	'0 = creation date
%>
</TD>
</TR>

<tr>
<TD><B><FONT SIZE=-1><%=wc_Customer_ID%>:&nbsp;</FONT></B>
<font size=-1><BR>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
		Response.write "<OPTION selected value="""">Ignore</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Customer_List

 End If


   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window

%>

</TD>

<td>
<font size=-1><B>Case Number:</b><br>
<input type=text name=case_Number size=10 maxlength=10>
</td>
<td><br>
</td>




</tr>

</TABLE>

<hr>
<input type=hidden name=tech_id value="<%=CookieID%>">



</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% Function GetTechName(Passed_Tech_ID) ' THis isn't even used, is it?
' This function returns the name of the tech from the Tech_ID

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2="select * from Tech_staff where Tech_ID = '" & Passed_Tech_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetTechName = "Tech (" & Passed_tech_id & ") No Longer Registered" ' Tech may no longer exist in the database
	Else
		GetTechName = rstemp2("first_name") & " " & rstemp2("last_name")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	Set Conntemp = Nothing

End Function
%>
