<% 'Module: GetPriorityFontColor.inc

   'Description: This module has the function GetPriorityFontColor(Severity)
   ' This routine is passed the Severity level and it return an RGB value
   ' that is used in the various routines that display the open cases
   ' This module is designed to have the colors and blinking options customized by the user.
    

   '(C) 1998,1999, 2000, 2001, 2002- 2007 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/09/2008	SAV		Created original GetPriorityFontColor.inc

	' CONSTANTS
%>

<% Function GetPriorityFontColor(Severity)

	' To customize your own text colors for the open cases priority,
	' simply edit the values below.  The font color can be an RGB  value or 
	' a common color name (Red, Green, etc)

	If Severity = 0 Then
				FontColor= "0000FF" ' Dark Green
	elseif Severity = 1 then
				FontColor= "FF1493" ' pink font color
	elseif Severity = 2 then
				FontColor= "FF0000" ' red font color
	elseif Severity = 3 then
				FontColor= "0000FF" ' blue font color
	elseif Severity = 4 then
				FontColor= "000000" ' black font color
	elseif Severity = 5 then
				FontColor= "A52A2A" ' brown font color
	elseif Severity = 6 then
				FontColor= "FF8C00" ' dark orange font color
	elseif Severity = 7 then
				FontColor= "A9A9A9" ' dark grey font color
	elseif Severity = 8 then
				FontColor= "A9A9A9" ' dark grey font color
	elseif Severity = 9 then
				FontColor= "A9A9A9" ' dark grey font color

	elseif Severity > 9 then
				FontColor= "A9A9A9" ' dark grey font color


	End IF
	
	GetPriorityFontcolor = FontColor
 
 End Function
%>
