<% 'Module: HTMLEmailTemplateAddditionalCustomercaseNotification.inc

   'Description: This include file contains the HTML template for the HTML message that is
   ' sent out to the customer when a case is updated when HTML emails are selected.

   ' This file should be located in the wclanguage virtual directory so it is
   ' available for both Customer+Center and Tech+Center and Pocket+Center applications.

   '(C) 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '02/22/12    CMB     SBCC specific file;
   '08/0713     CMB     Had to make specific for additional customer case assignments because was sending
   ' to wrong dear john
   '12/12/13    CMB     Replace has to be 1,1,1
   '03/04/14  CMB       put links below notifcation banner
   
%>


<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/version.inc" -->

<% Function CreateHTMLAdditionalCustomerCaseMsg(Case_Number, CaseLink, NotificationReportTitle, UpdatedBy, inCustomerID)
'RESPONSE.WRITE "called " & inCustomerID
Dim internalCustomerID
internalCustomerID = inCustomerID
	' UpdatedBy must be set to "customer" or "tech"

' First get some configuration information
 'Get the Configuration Information
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration"

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	TechMobileVirtual = ""
	CustomerMobileVirtual = ""
   CustomerVirtual = ""
   TechVirtual = ""

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")
		MaxHistorySize =  rstemp("max_case_history_size")
		'Response.write "MaxCAseHistorySize=	" & MaxHistorySize

		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

 ' Get virtual directory and upload physical directories from configuration tables


	FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path

	FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
	' For security reasons, do not allow FileVirtualDirectory Script or execute permissions

	FileUploadMaximumSize = rstemp("MaxFileUploadSize") ' Maximum Allowed download file size in bytes

	If FileUploadMaximumSize = "" Then
		FileUploadMazimumSize = 0
	End If

	RenameUploadFile = rstemp("RenameUploadFile") ' Boolean if to rename files based on case num
	If RenameUploadFile = True Then
		FileRenameOption  = "YES"
	End IF

	CustomerCenterFileUpload = rstemp("CustomerCenterFileUpload")
	' Boolean determining if file upload is enabled on customer side.

	If CustomerCenterFileUpload = True then
		'Response.write "CustomerCenterFileUpload = True"
		AttachFile = "YES"
	End If

	CustomerAssetsearch = rstemp("CustomerAssetsearch")
	' This define if the customers can only view their own assets or
	' search for any asset.

	ExtendedTimeSpent = rstemp("ExtendedTimeSpent") ' Check if Extended Time Spent is enabled

 If ExtendedTimeSpent = True or  ExtendedTimeSpent = Null or ExtendedTimeSpent = 1 Then
			TimeSpentBilling = "YES"
End If

if Version8point0="YES" Then

			If Not IsNull(rstemp("TechMobileVirtual")) Then
				TechMobileVirtual = rstemp("TechMobileVirtual")
			End If
			If Not IsNull(rstemp("CustomerMobileVirtual")) Then
				CustomerMobileVirtual = rstemp("CustomerMobileVirtual")
			End If
			If Not IsNull(rstemp("TechVirtual")) Then
				TechVirtual = rstemp("TechVirtual")
			End If
			If Not IsNull(rstemp("CustomerVirtual")) Then
				CustomerVirtual = rstemp("CustomerVirtual")
			End If

 End If ' version 8

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End If

if Version8point0="YES" Then
	set conntemp9=server.createobject("adodb.connection")
	conntemp9.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp8 = server.createobject("adodb.recordset")
	rstemp8.open mySQL, conntemp9, 1,3

	TechMobileVirtual = ""
	CustomerMobileVirtual = ""
   CustomerVirtual = ""
   TechVirtual = ""

	If NOT rstemp8.EOF   Then
			If Not IsNull(rstemp8("TechMobileVirtual")) Then
				TechMobileVirtual = rstemp8("TechMobileVirtual")
			End If
			If Not IsNull(rstemp8("CustomerMobileVirtual")) Then
				CustomerMobileVirtual = rstemp8("CustomerMobileVirtual")
			End If
			If Not IsNull(rstemp8("TechVirtual")) Then
				TechVirtual = rstemp8("TechVirtual")
			End If
			If Not IsNull(rstemp8("CustomerVirtual")) Then
				CustomerVirtual = rstemp8("CustomerVirtual")
			End If

	End If
	rstemp8.close
	set rstemp8 = nothing
	conntemp9.close
	set conntemp9 = nothing
 End If ' version 8

' END of getting configuration information



	' Get the Case Information if Case_number <> "NEW"

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL2="select * from Cases where Case_number = " & Case_number

		' Fixed record operation for SQL*Server - 5/3/2007
		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp8, 1,3

		' Check to see if any records are returned
		' if none found then
		if rstemp2.EOF then
			Response.write " Case Not Found "
		Else
			' Get all of the fields
			Dup_case_num = rstemp2("Dup_case_num")
			Group_number = rstemp2("Group_number")
			Asset_number = rstemp2("Asset_number")
			customer_Id = rstemp2("Customer_ID")
			tech_ID = rstemp2("tech_id")
			open_date = rstemp2("Open_Date")
			Open_time = rstemp2("Open_Time")
			Reopen_time = rstemp2("Reopen_time")
			mod_date = rstemp2("Mod_date")
			mod_time = rstemp2("Mod_time")
			case_one_line = rstemp2("case_one_line")
			case_history = rstemp2("Case_history")
			case_summary = rstemp2("Case_summary")
			case_resolution = rstemp2("Case_resolution")
			status = CInt(rstemp2("Status"))
			severity = CInt(rstemp2("Severity"))
			modified_flag = rstemp2("modified_flag")

			External_Case_Number = rstemp2("External_Case_number")


			Due_Time = rstemp2("Due_Time")

			Due_Date = rstemp2("Due_Date")

			status = CInt(rstemp2("Status"))

		' Check for any optional text field values

			Field_1_Value = rstemp2("text_field_1")
			Field_2_Value = rstemp2("text_field_2")
			Field_3_Value = rstemp2("text_field_3")
			Field_4_Value = rstemp2("text_field_4")
			Field_5_Value = rstemp2("text_field_5")
			Field_6_Value = rstemp2("text_field_6")
			Field_7_Value = rstemp2("text_field_7")
			Field_8_Value = rstemp2("text_field_8")
			Field_9_Value = rstemp2("text_field_9")
			Field_10_Value = rstemp2("text_field_10")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp8.close ' Close the connection
		set conntemp8=nothing


	' Now Get the customer Information
		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

	' 08/07/13	mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"
		mySQL2= " select * from Customers where Customer_ID = '" & internalCustomerID & "'"

		set rstemp9 = server.createobject("adodb.recordset")
		rstemp9.open mySQL2, conntemp8, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp9.EOF then
			Response.write " Customer  Not Found Customer: " & internalCustomerID
		Else
			' Get all of the fields
			contact_fname = rstemp9("contact_fname")
			contact_lname = rstemp9("contact_lname")
			company = rstemp9("company")
			address = rstemp9("address")
			mailstop = rstemp9("mailstop")
			city = rstemp9("city")
			state = rstemp9("state")
			zip = rstemp9("Zip")
			country = rstemp9("Country")
			email = rstemp9("Email")
			phone1 = rstemp9("Phone1")
			phone2 = rstemp9("phone2")
			fax = rstemp9("fax")
			contact_method = rstemp9("contact_method")
			contact_times = rstemp9("Contact_times")

			TimeBillingDisplay =rstemp9("login_ip") ' This field is used to flag whether to display time and billing
			'record info on customer page

			'debug
			'response.write "TimeBillingDisplay = " & timebillingDisplay

			If (TimeBillingDisplay = "CUSTOMERTECHVIEWAT" ) OR (TimeBillingDisplay = "CUSTOMERTECHVIEW") Then
				SendTimeSpentInCustomerEmail = "YES"
			Else
				' Use Global setting found in CodeCustomizations found in the language directory
			End IF

			If (TimeBillingDisplay = "TECHVIEWONLY" )  Then
				SendTimeSpentInCustomerEmail = "NO"
			End IF

		End IF

		rstemp9.close
		set rstemp9=nothing
		conntemp8.close ' Close the connection
		set conntemp8=nothing


	' Now Get the message from the email_text table that the user can customize as
	' part of their notification message.

		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table

		set rstemp9 = server.createobject("adodb.recordset")
		rstemp9.open mySQL2, conntemp8, 1,3

		' Check to see if any records are returned
		' if none found then
		if rstemp9.EOF then
			Response.write "Email Message Text Not Found "
		Else
			' Get all of the fields
			Tech_Update_Case = rstemp9("tech_update_case")
			Customer_Update_Case = rstemp9("customer_update_case")
			Tech_case_Assigned = rstemp9("tech_case_assigned")
		End If

		rstemp9.close
		set rstemp9=nothing
		conntemp8.close ' Close the connection
		set conntemp8=nothing

 ' Display the Case Form


TU = ""
TU = TU & "<html>"

TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2005 by Internet Software Sciences -->"

TU = TU & "<head>"

TU = TU & "<title>Case: " & Case_Number & " </title>"


' Add in Style Sheets inbedded into header

StyleSheetText = GetEmailStyles()

TU = TU & StyleSheetText


TU = TU & "</head>"

TU = TU & "<body bgcolor=FFFFFF>"
TU = TU & " <p align=left>Dear " & contact_fname & ",<BR><BR>Your support case #"  & Case_Number & " has "

If status = "1" Then
	TU = TU & "been <B>Closed</B>.<BR><BR>Resolution: "
	TU = TU & "<B>" & Case_resolution & " </B>"
Else

TU = TU & " been updated. Please review the most recent case notes below. <BR>"
 ' Display history log.
	If Case_number <> "NEW" AND case_history <> "" Then
	New_History = Format_Case_Text(New_Case_History_Without_Old)
	TU = TU & New_History 'New_History
	End If

TU = TU & " <BR><B>DO NOT REPLY DIRECTLY TO THIS EMAIL.</b> "

End If

TU = TU & " <BR><BR>Please refer to the complete Case History below for further information about this case. Thank you.<BR><BR>Best regards,<BR>SBCC IT Helpdesk<BR><BR> "

TU = TU & " </p><p>"

TU = TU & " <center>"

TU = TU & "<p>"

TU = TU & "<center>"

IF DisableCustomerLoginEmailLink = "YES" Then
	TU = TU & "<center><table width=98% border=1><tr><td bgcolor=CC9900 align=center  width=100% colspan=2>"
	TU = TU & "<font size=+1><B>" & NotificationReportTitle & "</b></td></tr>"
Else
	TU = TU & "<center><table width=98% border=1><tr><td bgcolor=CC9900 align=center  width=100% colspan=2>"
	TU = TU & "<font size=+1><B>" & NotificationReportTitle & "</b></td></tr><tr>"

	if CustomermobileVirtual > "" then
		TU = TU & "<td bgcolor=FFFFFF align=center  ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Customer+Center</a></font></td>"
		MobileLink = replace(Caselink,CustomerVirtual,CustomerMobileVirtual,1,1,1)
		TU = TU & "<td bgcolor=FFFFFF align=center ><font size=+1><a href=" & MobileLink & ">LOGIN<br>Customer+Mobile</a></font></td>"
	Else
		TU = TU & "<td bgcolor=FFFFFF align=center colspan=2 ><font size=+1><a href=" & CaseLink & ">LOGIN<br>Customer+Center</a></font></td>"
	 end if
	TU = TU & "</tr>"
End If

TU = TU & "<tr><td bgcolor=D0D0F0 colspan=2 align=center><font size=-1>"

	TU = TU & "<B>Support Case:</b> " & Case_number & " was updated. Please review new updates below."

TU = TU & "</font></td></tr>"


' ************ Now display box with text from user_messages

If Tech_update_case <> "" Then


	TU = TU & "<tr><td bgcolor=99CFFF colspan=3 align=left><font size=-1>"


	If UpdatedBy = "tech" Then

		TU = TU & "<ul>" & tech_update_case
	Else

		TU = TU & "<ul>" & customer_update_case
	End IF



	TU = TU & "</font></td></tr>"


End IF




TU = TU & "</table></center>"
TU = TU & "<br>"

' Second Part of HTML Message ----------------------------



TU = TU & "<table border=1 cellspacing=2 cellpadding=3 width=98% >"

TU = TU & "<tr>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1>"


TU = TU & "<b>" & Customer_ID & "</b><br>"


TU = TU & "<b>Name: </b>"


TU = TU & contact_fname & " "

TU = TU & contact_lname
TU = TU & "<br>"


TU = TU & "<b>Company: </b>"
TU = TU & Company

TU = TU & "<br>"


TU = TU & "<b>Street: </b>"
TU = TU & Address

TU = TU & "<br>"


TU = TU & "<b>Mailstop: </b>"
TU = TU & MailStop

TU = TU & "<br>"


TU = TU & "<b>City/St/Zip: </b>"

TU = TU & city & "," &  State  & " " &  Zip



TU = TU & "<br>"


TU = TU & "<b>K Number: </b>"
TU = TU & Country


TU = TU & "<br>"


TU = TU & "</font></td>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1>"


TU = TU & "<b>Email: </b>"

TU = TU & Email

TU = TU & "<br>"


TU = TU & "<b>Phone1: </b>"

TU = TU & Phone1

TU = TU & "<br>"


TU = TU & "<b>Phone2: </b>"
TU = TU & Phone2

TU = TU & "<br>"


TU = TU & "<b>Primary Role: </b>"
TU = TU & Fax

TU = TU & "<br>"


TU = TU & "<b>Contact by:</b>"
TU = TU & Contact_Method
TU = TU & "<br>"



TU = TU & "<b>Notes: </b>"
TU = TU & Contact_times

TU = TU & "<br>"


TU = TU & "</font></td>"

TU = TU & "<td valign=top>"




TU = TU & "<br>"
TU = TU & "<center>"
 TU = TU & " <font size=+2 color=red>"


   ' Put Extra Zeros infront of short case numbers
  		ExtraZeros = 4 - Len(Case_number)
		If ExtraZeros = 1 Then
			TU = TU & "0"
		Elseif ExtraZeros = 2 Then
			TU = TU &  "00"
		Elseif ExtraZeros = 3 Then
			TU = TU & "000"
		Else
			' Only display up to 3 extra zeros
		End IF



TU = TU & Case_number

TU = TU & "  </font></center>"
TU = TU & "  <br>"


TU = TU & "<center>"
TU = TU & "   <font size=-1>"


	 IF AssetEnabled = False Then
		TU = TU &  "<P>" ' Centering for case number text
		End If


 ' Display link to duplicate case if  duplicate case number is present.


 If CLng(Dup_Case_Num) = 0 Then

TU = TU & "      <b>Duplicate Case:</b> &nbsp;&nbsp;&nbsp;None<br>"

   Else

TU = TU & "	<b>Duplicate Case:</b> &nbsp;&nbsp;&nbsp;"
TU = TU &    DUp_Case_num & " <br>"

End IF ' End of Duplicate Case Number  = ""



   if AssetEnabled = True then
	' Display link to asset form if asset
	' number is present.
      if Not IsNull(asset_number) Then
	If CLng(asset_number) > 0 Then


TU = TU & "             <b>Asset Number:</b>&nbsp;&nbsp;&nbsp; "
TU = TU & 			 Asset_Number & "<br>"

    Else

   TU = TU & "      <br><b>Asset Number:</b>&nbsp;&nbsp;&nbsp;None<br> "


     End If  ' End of If asset_number > 0
    Else

TU = TU & "         <br><b>Asset Number:</b><br>"


     End If  ' End of If not null asset_number > 0


   else ' If Assetenabled = true Else statement

  End If

TU = TU & "</font></center>"

TU = TU & "</td>"

TU = TU & "</tr>"

TU = TU & "</table>"

'  Case Information Part - One Line Description, Case History

'---------------------------------------- one line description

TU = TU & "<br>"
TU = TU & "<table border=1 cellspacing=3 cellpadding=4 width=98% >"

TU = TU & "<tr>"

TU = TU & "<td bgcolor=CCCC99><font size=-1>"

TU = TU & "<b>One Line Description:</b> &nbsp;&nbsp;&nbsp;" & case_one_line & "<br>"



TU = TU & "</font></td>"

TU = TU & "<td width=20% bgcolor=FFFFFF><font size=-1>"
TU = TU & "<B>" & wc_Reference & ":</b>"

TU = TU & External_Case_Number

TU = TU & "</font></td>"
TU = TU & "</tr>"



TU = TU & "<tr>"

TU = TU & "<td colspan=2><font size=-1>"

TU = TU & "<b>Case History:</b><br>"


' ****************** User Customization **************************
' Option for displaying only the History updates
' uncomment the line below to enable this feature

' DisplayOnlyNewCaseHistory = 1
If DisplayOnlyNewCaseHistory = 1 Then



 ' Display history log.
If Case_number <> "NEW" AND case_history <> "" Then
New_History = Format_Case_Text(New_Case_History_Without_Old)
TU = TU & New_History 'New_History
End If

If Open_Time = Mod_Time Then
New_History = Format_Case_Text(Case_History)
TU = TU & New_History 'New_History
End If


Else


                 ' Display history log.
 	 If  case_history <> "" Then  ' 02/22/12
'	 If Case_number <> "NEW"  AND case_history <> "" Then
			New_History = Format_Case_Text(Case_History)
			TU = TU & New_History 'New_History
		End If

End If

' ************************** End User Customization ********************

TU = TU & "</font></td>"

TU = TU & "</tr>"




TU = TU & "<tr>"




TU = TU & "</tr>"



TU = TU & "<tr>"

TU = TU & "<td><font size=-1>"



TU = TU & "<b>Case Summary:</b><br>"


	If Case_Summary <> "" Then
		New_Summary = Format_Case_Text(Case_Summary)
	Else
		New_Summary = ""
	End If


TU = TU & New_summary & "<P>"



TU = TU & "</font></td>"


TU = TU & "</tr>"



TU = TU & "<tr>"

TU = TU & "<td colspan=2><font size=-1>"

TU = TU & "<b>Case Resolution:</b><br>"


	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text(Case_Resolution)
	Else
		New_Resolution = Case_Resolution
	End If


TU = TU & New_resolution

TU = TU & "</font></td>"

TU = TU & "</tr>"



TU = TU & "<tr>"
TU = TU & "	<TD VALIGN=CENTER COLSPAN=2>"
TU = TU & "	<TABLE BORDER=0 CELLPADDING=2 WIDTH=99% >"
TU = TU & "	<TR>"

' 02/22/12	If case_Number <> "NEW" Then 'exist case so open up case record
		set conntemp8=server.createobject("adodb.connection")
		conntemp8.open myDSN

		mySQL="select * from Cases where case_number = " & case_Number

		'set rstemp=conntemp8.execute(mySQL)
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp8, 1,3


		' Do Not close the recordset or connection yet since we will
		' need it for displaying the categories
'	End If
	'	If Case_Number = "NEW" Then ' Open connection if new case

		'	set conntemp8=server.createobject("adodb.connection")
		'	conntemp8.open myDSN
	'	End If

		' For techs, display categories that are not disabled.

		mySQL2="select * from Categories where  State = 1  Order by Category_index ASC"

		set rstemp2 = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" THEN
			rstemp2.CursorLocation = adUseClient
		End If

		rstemp2.Open mySQL2, conntemp8,1,3

		' Check to see if any records are returned
		' if none found then login fails.

		If  rstemp2.eof then ' Check to see any Categories exist
			' No categories exist so don't display anything here
		Else
			CatNum = 0
			Category_name = rstemp2("Category_name")
			Category_number = CInt(rstemp2("Category_number"))

TU = TU & "	<TD WIDTH= 50% ><font size=-1>"


TU = TU & "<B>" & Category_name & ":</b><br>"

			Do While Not rstemp2.EOF
				if CInt(rstemp2("Category_number")) <> Category_number THEN
TU = TU & " </font></td>"

					' Decide if we need to close this inner table row
					' So we have two columns of drop down lists

					CatNum = CatNum + 1
					If CatNum = 2 Then
					TU = TU & "</tr><tr>"
						Catnum = 0
					End IF

					TU = TU & "<td width=50% ><font size=-1>"


						TU = TU & "<B>" & rstemp2("Category_Name") & "</b><br>" '& vbCRLF
					Category_number = CInt(rstemp2("Category_number"))
				End If

				' Checked if this option is already select for this case
			'	If Case_Number <> "NEW" Then
					If IsNull(rstemp2("item_number")) Then
						ItmNumber = 0
					Else
						ItmNumber = rstemp2("item_number")
					End If
					If IsNull(rstemp("C" & CInt(Category_number))) Then
						CatGNumber = 0
					Else
						CatGNumber = rstemp("C" & CInt(Category_number))
					End If
					If CInt(CatGNumber) = CInt(ItmNumber) Then
						TU = TU & rstemp2("item_name") & "<br>"
					End IF
			'	End If '  End of case_number <> ""

			'	If Case_Number = "NEW" Then
				'	TU = TU & "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
			'	End If

				rstemp2.MoveNext
			Loop
			TU = TU & " </font></td></tr></table>"
		End IF

		rstemp2.close
		set rstemp2=nothing

'		rstemp.close ' close the original record set
'		set rstemp=nothing

'		If Case_Number <> "NEW" Then
		'	rstemp.close ' close the original record set
		'	set rstemp=nothing
	'	End IF


		conntemp8.close ' Close the connection
		set conntemp8=nothing

TU = TU & "	</font></td></tr>"
TU = TU & "</table>"


 '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************

	' Get the values if they exist

	set conntemp8=server.createobject("adodb.connection")
	conntemp8.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	'set rstemp=conntemp8.execute(mySQL)
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp8, 1,3

	If rstemp.EOF <> True then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If


	rstemp.close
	set rstemp=nothing
	conntemp8.close ' Close the connection
	set conntemp8=nothing

	' Now determine if any of the case text fields are enabled for ALL view(2) or tech view (1)
	' or determine if any of the fields are greater than 0

	If Field_1_State > 1  OR Field_2_State > 1 OR  Field_3_State > 1 OR  Field_4_State > 1 OR  Field_5_State > 1 OR  Field_6_State > 1 OR  Field_7_State  > 1 OR  Field_8_State > 1 OR  Field_9_State > 1 OR  Field_10_State > 1  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it



TU = TU & "	<tr>"
TU = TU & "	<td align=center  bgcolor=F0E0C0 WIDTH=98% colspan=2>"

	 ' Start new Table for Optional text fields

TU = TU & "<table cellspacing=2 cellpadding=2 WIDTH=98% >"
TU = TU & "	<tr>"

TU = TU & "	<td align=left colspan=2 bgcolor=F0E0C0><font size=-1>"
TU = TU & "	<B>"
TU = TU & wc_Optional_Information_Fields:
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	</tr>"


' Display 1 to 10 field labels and values

	 If Field_1_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_1_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_1_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If


	 If Field_2_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_2_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_2_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_3_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_3_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_3_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_4_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_4_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_4_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_5_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_5_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_5_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_6_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_6_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_6_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_7_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_7_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_7_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_8_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_8_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_8_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_9_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_9_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_9_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If

	 If Field_10_State > 1  Then

TU = TU & "	<tr><td align=right bgcolor=F0E0C0 width=50% ><font size=-1>"
TU = TU & "	<B>" & Field_10_Label & ": &nbsp;&nbsp;"
TU = TU & "	</b>"
TU = TU & "	</font></td>"
TU = TU & "	<td align=left bgcolor=F0E0C0>"
TU = TU & "	<font size=-1>"
TU = TU & Field_10_Value
TU = TU & "	</font></td>"
TU = TU & "	</tr>"

	 End If



TU = TU & "	</table>"

TU = TU & "	</td></tr>"


End If ' If no Case Text fields are enabled for customer view








	 '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************




' Select whether to display Extended Time Spent Information

If (TimeSpentBilling = "YES") and (SendTimeSpentInCustomerEmail = "YES") Then

	TimeSpentText = DisplayExtendedTimeSpentInformation (Case_Number)

End If


' Debugging

'response.write TimeSpentText
'response.flush
'Response.end


TU = TU & TimeSpentText


' Display Optional Company Logo Box

	TU = TU & "<table width=100% bgcolor=FFFFFF><tr><td align=center><font size=-1 face=arial color=blue>"
	TU = TU & "<img src=http://poptechnologies.inet-webcenter.com/language/cdefault.gif> Help Desk From POP Technologies </font><font size=-2 face=arial>"
	TU = TU & "<a href=http://www.poptechnologies.com>www.poptechnologies.com</a></font><td></tr></table>"


TU = TU & "</body>"
TU = TU & "</html>"




CreateHTMLAdditionalCustomerCaseMsg = TU

' Debugging of whole HTML emails to screen
' uncomment line below.

'response.write TU


End Function
%>

<% '************ OTHER FUNCTIONS ******************************************************
%>


<% Function DisplayExtendedTimeSpentInformation (Case_Number)
' This function grabs the extended time spent information for that case_number
' and then format it into a table and then returns it as a string
' for inserting into the emails that goes to the customer and the technician


TimeSpentString = "" ' Clear out string
TimeSpentString = "<Table width=98% bgcolor=D0D0D0>"


TimeSpentString = TimeSpentString & "  <tr class=formlabel><td colspan=2 height=2></td></tr>"

TimeSpentString = TimeSpentString & "<tr>"
TimeSpentString = TimeSpentString & " <td colspan=2 class=minorformtitle align=center>" & wc_Time_Spent_Billing & "</td>"
TimeSpentString = TimeSpentString & "	  </tr>"


 ' Display the extended time spent info now

 ' STart of TIme Spent Info

TimeSpentString = TimeSpentString & "<tr>"

TimeSpentString = TimeSpentString & "<td colspan=2>"
TimeSpentString = TimeSpentString & "<table class=FormTable width=100% cellpadding=1 cellspacing=1>"

TimeSpentString = TimeSpentString & "<tr>"
TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"
TimeSpentString = TimeSpentString & wc_Date

TimeSpentString = TimeSpentString & "</td>"



TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"
TimeSpentString = TimeSpentString & wc_Tech
TimeSpentString = TimeSpentString & "</td>"



TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"
TimeSpentString = TimeSpentString & wc_Billable
TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"

TimeSpentString = TimeSpentString & wc_Hours
TimeSpentString = TimeSpentString & "</td>"


TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"
TimeSpentString = TimeSpentString & wc_Hourly_Rate
TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlabelsuper align=center>"
TimeSpentString = TimeSpentString & wc_Notes
TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "</tr>"


 ' Get the values if they exist

	TotalBillableHours = 0
	TotalBillableAmount = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	If Case_Number <> "" Then

		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & Case_number
	Else
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = 999999"

	End If

'	response.write "SQL= " & mySQL
'    response.flush
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If  rstemp.eof then ' Check to see any time spent values exist for this case number

	Else
		Do While rstemp.EOF <> True


TimeSpentString = TimeSpentString & "<tr>"

TimeSpentString = TimeSpentString & "<td class=formlisting>"

TimeSpentString = TimeSpentString & rstemp("Invoice_Date")

TimeSpentString = TimeSpentString & "</td>"



TimeSpentString = TimeSpentString & "<td class=formlisting>"


TimeSpentString = TimeSpentString & rstemp("last_name")  & "&nbsp;" &  rstemp("first_name")


TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlisting>"

 If rstemp("Billable") = True Then
	TimeSpentString = TimeSpentString & wc_YES
  Else
	TimeSpentString = TimeSpentString &  wc_NO
End If


TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlisting>"


TimeSpentString = TimeSpentString & rstemp("Hours")


TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlisting>"

TimeSpentString = TimeSpentString & rstemp("HourlyRate")


TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td class=formlisting>"

TimeSpentString = TimeSpentString & rstemp("TimeSpentNote")  & "<br>"

TimeSpentString = TimeSpentString & "</td>"





TimeSpentString = TimeSpentString & "</tr>"


	' Calculate Total Billable Hours

	If rstemp("Billable") = True Then
		TotalBillableHours = TotalBillableHours + rstemp("Hours")
		'-- fix this -- TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
		' We need to round to 2 dec places in case this calculation generates more e.g. 5.25 * 5.25 = 27.5625

		' we also need to guard against these fields being empty

		 HoldHourlyRate = rstemp("HourlyRate")
		 If isNull(HoldHourlyRate) Then
		   HoldHourlyRate = 0
		 End If

		 HoldHours = rstemp("Hours")
		 If isNull(HoldHours) Then
		   HoldHours = 0
		 End If

		tempholder = HoldHours * HoldHourlyRate
		tempholder = Round(tempholder,2)
		TotalBillableAmount = TotalBillableAmount + tempholder

	End IF

	TotalHours = TotalHours + rstemp("Hours") ' Always in hours independently of billable.

			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


 ' Now display the summary information for time spent

TimeSpentString = TimeSpentString & "<tr>"

TimeSpentString = TimeSpentString & "<td colspan=3 class=formlisting align=center>"



TimeSpentString = TimeSpentString & "<b>" & wc_Billable_Total & ":</b> &nbsp; " & TotalBillableHours & " &nbsp; " & wc_Hrs


TimeSpentString = TimeSpentString & "/ &nbsp; " & wc_Time_Spent_Currency &  TotalBillableAmount

TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "<td colspan=4 class=formlisting align=center>"



TimeSpentString = TimeSpentString & "<b>" & wc_Total_Hours & ":</b> &nbsp; " & TotalHours & "&nbsp; " & wc_HRS

TimeSpentString = TimeSpentString & "</td>"

TimeSpentString = TimeSpentString & "</tr>"


TimeSpentString = TimeSpentString & "</table>"

TimeSpentString = TimeSpentString & "</td>"
TimeSpentString = TimeSpentString & "</tr>"



DisplayExtendedTimeSpentInformation = TimeSpentString ' Place full string into function return


 End Function  ' End of DisplayExtendedTimeSpentInformation()

 %>

 <% Function GetEmailStyles()


	EmailStyleString = ""
	EmailStyleString  = "<Style>"


	EmailStyleString = EmailStyleString  &  ".formlabel { "
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".formlabelsuper { "
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".formboxholder { "
	EmailStyleString = EmailStyleString  &  "           font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "           font-size: 11;"
	EmailStyleString = EmailStyleString  &  "           background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  " 		}"

	EmailStyleString = EmailStyleString  &  ".formlisting { "
	EmailStyleString = EmailStyleString  &  "            font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "            font-size: 11;"
	EmailStyleString = EmailStyleString  &  "           background-color: darkseagreen;"
	EmailStyleString = EmailStyleString  &  ".FormTable  {       background-color: gray;"

	EmailStyleString = EmailStyleString  &  "		    padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "		    padding-right: 25px;"


	EmailStyleString = EmailStyleString  &  "                   }"



	EmailStyleString = EmailStyleString  &  ".formspacer {"
	EmailStyleString = EmailStyleString  &  "           background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "             }"

	EmailStyleString = EmailStyleString  &  ".formdivider {"
	EmailStyleString = EmailStyleString  &  "           background-color: #A0A0A0;"
	EmailStyleString = EmailStyleString  &  "             }            "


	EmailStyleString = EmailStyleString  &  ".MinorFormTitle  { "
	EmailStyleString = EmailStyleString  &  "                    font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "                    font-size: 12;"
	EmailStyleString = EmailStyleString  &  "                    font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "                    background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "                    color: black;"
	EmailStyleString = EmailStyleString  &  "		    border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "		    border-style: solid;"
	EmailStyleString = EmailStyleString  &  "		    border-color: black;"

	EmailStyleString = EmailStyleString  &  "		    padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "		    padding-right: 25px;"

	EmailStyleString = EmailStyleString  &  "                   }"





	EmailStyleString = EmailStyleString  &  "</style>"


 	GetEmailStyles = EmailStyleString

  End  Function
%>

<% Sub GetVirtualDirectories()

if Version8point0="YES" Then
	set conntemp9=server.createobject("adodb.connection")
	conntemp9.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp8 = server.createobject("adodb.recordset")
	rstemp8.open mySQL, conntemp9, 1,3

	TechMobileVirtual = ""
	CustomerMobileVirtual = ""
   CustomerVirtual = ""
   TechVirtual = ""

	If NOT rstemp8.EOF   Then
			If Not IsNull(rstemp8("TechMobileVirtual")) Then
				TechMobileVirtual = rstemp8("TechMobileVirtual")
			End If
			If Not IsNull(rstemp8("CustomerMobileVirtual")) Then
				CustomerMobileVirtual = rstemp8("CustomerMobileVirtual")
			End If
			If Not IsNull(rstemp8("TechVirtual")) Then
				TechVirtual = rstemp8("TechVirtual")
			End If
			If Not IsNull(rstemp8("CustomerVirtual")) Then
				CustomerVirtual = rstemp8("CustomerVirtual")
			End If

	End If
	rstemp8.close
	set rstemp8 = nothing
	conntemp9.close
	set conntemp9 = nothing
 End If ' version 8

End Sub
%>