<% 'Module: HTMLEmailTemplateLostPassword.inc

   'Description: This include file contains the HTML template for the HTML message that is
   ' sent out to the tech when a password is lost and the user requests
   ' get their password and when HTML emails are selected.

   ' This file should be located in the wclanguage virtual directory so it is
   ' available for both  Tech+Center and Tech+Mobile applications can access it.

   '(C) 2000, 2001, 2002, 2003, 2004 - 2014 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '10/1/04		SAV		Created original HTMLEmailTemplateCustomerNotification.inc
   '03/24/05		SAV		Created HTMLEmailTemplateLostPassword.inc from other file.
   '04/25/2014	SAV		Created HTMLEmailTemplateLostTechPassword.inc

%>




<% Function CreateHTMLLostTechPassword(LoginID, Tech_ID, message, password, ToEmail)


	' Get the Case Information if Case_number <> "NEW"


TU = ""
TU = TU & "<html>"

TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2005 by Internet Software Sciences -->"

TU = TU & "<head>"

TU = TU & "<title> Tech+Center Account recovery </title>"

TU = TU & "</head>"

TU = TU & "<body bgcolor=FFFFFF>"

TU = TU & "<p>"

TU = TU & "<center>"



TU = TU & "<center><table width=98% border=1 cellspacing=4 cellpadding=4><tr><td bgcolor=F5F5F5 align=center colspan=1 >"
TU = TU & "<font size=+1><B> Tech+Center Account Recovery Information</b></td></tr>"




TU = TU & "</table></center>"
TU = TU & "<br>"

' Second Part of HTML Message ----------------------------



TU = TU & "<table border=1 cellspacing=2 cellpadding=3 width=98% bgcolor=B0B0B0>"

TU = TU & "<tr>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1>"


TU = TU & "<b>" & Message & "</b><br>"


TU = TU & "</font></td></tr></table><br><br>"


' Display username and password information

TU = TU & "<table border=1 cellspacing=2 cellpadding=3 width=98% bgcolor=E0E0E0>"

TU = TU & "<tr>"

TU = TU & "<td valign=top>"

TU = TU & "<font size=-1><UL>"


If LoginID = "" or IsNull(LoginID) then
	LoginID = "(Not Defined)"
End If


TU = TU & "<b>Login ID: </b>" & LoginID & "<br><br>"
TU = TU & "<b>TechID: </b>" & Tech_ID & "<br><br>"

TU = TU & "<b>Login Email:  </b>" & ToEmail & "<br><br>"



TU = TU & "<b>Password:  </b>" & Password & "<br><br>"


TU = TU & "</font></td></tr></table>"


TU = TU & "</body>"
TU = TU & "</html>"


CreateHTMLLostTechPassword = TU


End Function
%>

