<% 'Module: AllCasesByCustomer.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '08/05/11 CMB     cleaned up

' NOTE this report shows all cases ever opened sorted by customer;

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>
<head>
<title><%=wc_All_Cases_by_Customer%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_All_Cases_by_Customer%></font>
<center>
<font size=-2>This report shows all cases ever opened broken down by customer.  <br>Percentage is based on ALL cases ever opened.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>
<P>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases"

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
	%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Customer%>/<%=wc_Company%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>
<%

	If TotalOpenCases=0 then ' Check to see if any open Cases
%>
		<tr><td colspan=4 align=center><font size=-1><B> <%=wc_No_Cases_Closed_Today%></b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color
		mySQL="select count(case_number) as cnt, cases.customer_ID, "
		mySQL=mySQL & " contact_fname, contact_lName, company "
		mySQL=mySQL &  "from cases left outer join Customers on cases.customer_ID = customers.customer_ID "
		mySQL=mySQL & " group by cases.customer_id, contact_fname, contact_lName, company "
		mySQL=mySQL & " order by cases.customer_id"

		set rstemp=Server.CreateObject("adodb.Recordset")
		set rstemp=conntemp.execute(mySQL)


		do while not rstemp.eof
			CustomerOpenCases = rstemp("cnt")

			if IsNull(rstemp("customer_id")) = TRUE Then
				CustomerName = "Un-assigned"
			else
				If ASC(rstemp("customer_ID")) = 0 Then
					CustomerName = "Un-assigned"
				else
					if isnull(rstemp("contact_fname")) then
						FirstName = ""
					else
						FirstName = rstemp("contact_Fname")
					end if

					if isnull(rstemp("contact_lname")) then
						LastName = ""
					else
						LastName = rstemp("contact_lname")
					end if

					if isnull(rstemp("company")) then
						Company = ""
					else
						Company = rstemp("Company")
					end if

					CustomerName= trim(FirstName & " " & LastName) & " / " & "(<font color=brown>" & company & "</font>)"
				end if
			End if
			color=RotateColor(color)
			%>

<tr>
<td><font size=-1>
<%=CustomerName	 %>
</td>

<td align=center><font size=-1><%=CustomerOpenCases %>
</td>

<%
'Percentage = Int(1000* (CustomerOpenCases/TotalOpenCases))/10
Percentage = Round(100*(CustomerOpenCases/TotalOpenCases),1)
%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>
<%   	rstemp.movenext
		loop

		rstemp.close
		set rstemp=nothing

	End If

	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  Summary Total:</b>

<% color=RotateColor(color) %>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>

<%=TotalOpenCases%></b>
</td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b>
</td>
<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>
