<% 'Module: AllCasesByRole.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '4/29/12	CMB		Copied from AllCasesByCustomerByDate.asp

    ' NOTES this report shows reports grouped by whatever is stored in the Fax number in the customer table;
    '  allows date entry and which date (creation, mod)
    ' as well as status of cases

	' CONSTANTS
%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>
<head>
<title><%=wc_Cases_by%>&nbsp;<%=wc_Fax%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)
		case_status = Request.form("Case_Status") ' 5 means all
		if case_status = "" then
			case_status = 5
		end if
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Cases_by%>&nbsp;<%=wc_Fax%></font>
<center>
<font size=-2>This report shows all cases within the specified date range broken down by <%=wc_fax%>.
<br>Choice of which date (Last modified would be date closed if the case were closed) and case status.
<br>Percentage is based on ALL cases opened/last modified within the date range and with the selected status.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=AllCasesByRole.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Date_Type%>:</font></b><br>
<font size=-2><br></FONT>
<FONT SIZE=-1>
<SELECT  name=date_type>
<% If Date_type <> 1 Then %>
	<OPTION selected value=0><%=wc_Creation_date%></OPTION>
	<OPTION value=1><%=wc_Last_modification_date%></OPTION></SELECT></font></TD>
<%Else %>
	<OPTION  value=0><%=wc_Creation_date%></OPTION>
	<OPTION selected value=1><%=wc_Last_modification_date%></OPTION>
<%End If %>
</SELECT></font></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Case_Status%>:</font></b><br>
<font size=-2><br></FONT>
<FONT SIZE=-1>
<SELECT size=1 name=case_status>

<% if case_status <> 0 and case_status <> 1 and  case_status <> 2 and  case_status <> 3  then %>
	<OPTION value=5 SELECTED><%=wc_Show_All_Cases%></OPTION>
<%Else %>
	<OPTION value=5><%=wc_Show_All_Cases%></OPTION>
<%End If %>


<% IF case_status = 0 then %>
	<OPTION value=0 SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
	<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End If %>

<% If case_status = 1 Then %>
<OPTION value=1  SELECTED><%=wc_Closed%></OPTION>
<%Else %>
<OPTION value=1><%=wc_Closed%></OPTION>
<%End If %>

<% If case_status = 2 Then %>
<OPTION value=2  SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If case_status =3 Then %>
<OPTION value=3  SELECTED><%=wc_Open_on_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</SELECT></font></TD>

<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data
	WhereStatement = ""

	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
	End If

	If Date_Type = 0 Then

		If Start_Date <> "" Then
			WhereStatement = " Cases.Open_Date >= '" & NewStartDate & "'"
			AndText = " AND "
		End If

		If End_Date <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewEndDate & "'"
			AndText = " AND "
		End IF
	End If

	If Date_Type = 1 Then

		If Start_Date <> "" Then
			WhereStatement = " Cases.Mod_Date >= '" & NewStartDate & "'"
			AndText = " AND "
		End If

		If End_Date <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewEndDate & "'"
			AndText = " AND "
		End IF

	End If

   ' ADD CODE FOR CASE STATUS
   if cint(case_status)  >= 0 and cint(case_status) < 4 then
 			WhereStatement = WhereStatement & AndText & " Cases.status = " & case_status
			AndText = " AND "
  	End If

   LocalQuery = WhereStatement
	If WhereStatement <> "" Then
		WhereStatement = " Where "& WhereStatement
	End IF

%>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases "  & Wherestatement
	'	response.write "SQL" & mysql
	'	response.flush
	'	response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Fax%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%
	If  TotalOpenCases = 0 then ' Check to see if any open Cases
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Open Cases </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color

		sqltemp = "select count(case_Number) as cnt, fax "
		sqltemp = sqltemp & "FROM CASES left outer join Customers on customers.customer_ID = cases.Customer_ID "
		sqltemp = sqltemp & WhereStatement
		sqltemp =  sqltemp & " group by fax  "
		sqltemp = sqltemp & " Order by fax"
	'	response.write "SQL" & sqltemp
	'	response.flush
	'	response.end

		set rstemp=Server.CreateObject("adodb.Recordset")
		rstemp.open sqltemp, conntemp, adopenstatic

		do while not rstemp.eof
			CustomerOpenCases = rstemp("cnt")
			if isnull( rstemp("Fax")) then
				Role = "Unassigned"
			else
				Role = rstemp("fax")
			End If
			%>

<tr>

<td><font size=-1>
	<%=Role%>
	<% ' Rotate between 5 colors %>
	<% 			color=RotateColor(color) %>
</td>

<td align=center><font size=-1>
<%
	if isnull(rstemp("Fax")) then
		LocalQuery2 =LocalQuery & AndText & " customers.fax IS NULL or customers.fax = ''"
	Else
		LocalQuery2 = LocalQuery & AndText & " customers.fax = '" & Role & "'"
	End If

	Query = Server.URLEncode(LocalQuery2)
 a="DoReportSearch1.asp?PAGE=1&TEXT=NO&Query=" & Query  & "&ResultsView=BRIEF&FromReports=YES"
 %>
<B><a href=<%=a%> >
<%=CustomerOpenCases%></b>
</td>


<%
Percentage = Round(100*(CustomerOpenCases/TotalOpenCases),1)
%>

<td align=center><font size=-1><%=Percentage %>%
</td>


<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>
</td>
</tr>

<%
			rstemp.movenext
		loop
		rstemp.close ' Close the record set and the connection
		set rstemp=nothing

	End If
	conntemp.close ' Close the connection
	set conntemp=nothing

	 	color=RotateColor(color)

 ' Display the summary row information
 %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalOpenCases%></b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>
<td bgcolor=FFFFFF><font size=-1>

<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>
</td>
</tr>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>


