<% 'Module: AttachFileToCaseNet.asp

   'Description: This module allows the tech to attach a file to the case
   ' by downloading a file into a common virtual directory and then
   ' creating a link to that file that the customer or tech can reference.

   ' It is passed a case ID
   '(C) 2000-2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/29/02	SAV		Created original module.

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AttachFileToCase.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with Configuration information %>

<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		MinutesPerCategory = rstemp("Time_Spent_Interval")
		WCDateFormat = rstemp("Date_Display_Format")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


	<% GetDatabaseConfiguration ts_user_page_color, Assets_db
		If CInt(Assets_db) = 1 then
			AssetEnabled = True
		Else
			AssetEnabled = False
		End If

	%>
<%	' Get The Customer_ID and Case_num Fields

	Case_Number = Request.QueryString("Case_number")


%>


<% ' Display the Attach File Form %>

<% 'Create Redirect String with Querystring parameters


	RedirectString = "Uploadtest3.apx?Case_Number=" & Case_Number & "&FilePath=" &
	Case_Number

<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->

<head>

<title><%=wc_Attach_File_To_Case%></title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>

<p>

<center>


<form action="DoAttachFiletoCase.asp" ENCTYPE="multipart/form-data" method="post">

<input type=hidden name="Case_Number" value="<%=case_Number%>">


<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Attach_File_To_Case%></B>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>


<P>

<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

<TD ALIGN=CENTER><A HREF="TCaseForm.asp?customer_id=0&case_number=<%=case_number%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
<P>

<center>
<TABLE BORDER=1 CELLPADDING=13 width=98% >
<TR>

<TD ALIGN=CENTER><B><FONT SIZE=-1><%=wc_Case_number%>:</B></font><br>
<font color=red size=+1><%=case_Number%></font>
</font></TD>

<TD valign=top ALIGN=CENTER><FONT SIZE=-1>


	<br><B><%=wc_Attached_File%></b><br>
	<INPUT TYPE=FILE SIZE=50 NAME="FILE1">
	<br><br>

</font>

</TD>

</tr>



</table>

<P>


</form>
</body>
</html>


<%End If ' End of security checks %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


