<% 'Module: ConvertToSQLServer.asp

   'Description: This is the First Page for the Database Export to SQL*Server. The user
   ' must submit their Tech ID and password to run the script. Only configuration level
   ' users are allowed to process this import filter.

   ' See additional instructions inside of the DoConvertToSQLServer.asp module for
   ' more information.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'02/15/02	SAV 	Created Original Version
	'08/11/03   TGF		Updated for v4x export
	'03/31/08	SAV		Created 6.0 Version export
	'07/09/12	CMB		Added tables for 6.0 to 7.5


	' CONSTANTS

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="db_define.inc" -->

<html>
<head>
<title>Web+Center Access to SQL*Server Conversion - Web+Center version 6.0</title>
</head>

<body bgcolor=FFFFFF>
<table border=1 cellspacing=2 cellpadding=15 width=98%>
<tr>
<td>
<table border=1 width=98% bgcolor=F0D0B0>
<tr><td><br>
<font size=+2>
<center>Web+Center Access Database to SQL*Server Conversion Utility
<br>
Web+Center Version 7.5 - July 12, 2012</center><br></font>
</td></tr></table>
<P>
<font size=-1 face=arial>
To migrate an Web+Center Access database implementation to a SQL*Server database implementation, please
carefully follow all of the important instructions listed below.
<P>
This migration should only be done by Web+Center configurators and those familar with
Web+Center application, Access databases and SQL*Server database.  Plan on about 60
minutes to complete this process.  Please be sure that  all databases are backed up
before attempting any conversion. The Web+Center application should not be used during this
database migration.
<P>
<U><B>Access To SQL*Server Migration Steps</B></u><P>
<UL>
<LI>Upgrade your current Access database by running the Upgrade60to75Access.asp script. (ask Scott about this).

<LI>Create a Web+Center 75 database on your SQL*Server using the
steps listed in the Web+Center install guide.  Do this by running just the
CreateWebCenter75.sql script. Create the database
but <font color=red>DO NOT populate the database with any initial data.
<B>DO NOT RUN the LoadWC75Defaults.sql</b> script. </font>

<LI> Setup the proper wc75 user accounts for this database as
specified in the install guide.
<LI> Rename the existing Web+Center Access Database DSN ODBC connection to be called from
"webcenter70_db" to "webcenter70_dbACCESS"

<LI> Create an new SQL*Server ODBC DSN called webcenter70_db for this SQL*Server
Webcenter75 database.  This will be your destination and final database DSN.  Once  you do this step,
your current web+center application with Access will not function.

<LI> Select which database tables you want to migrate.  Typically all tables should be
migrated.
<LI> Select the output method desired (Show All data or Table Summary).
<LI> Press the Migrate Database Button.
<LI> If you encountered errors,
 select only that table and run the script again. Before you run the script again, however,
 you will probably need to go into SqlServer Management Studio, open a query window
in the database to which you are migrating, and execute the following commands: <br>
 <UL>
 <LI>
 'DELETE FROM tblname', where tblname is the table that failed.  This will clear out any records that have been migrated;
 otherwise you'll have multiple records with the same key values. <LI> You will also need to execute: <br>
'SET IDENTITY_INSERT tblName OFF' for the table that failed the migration.
 </UL>


</font></center>

</ul>
</table>

</td>
</tr>
</table>
<p>
<FORM METHOD=POST ACTION=DoConvertToSQLServer75.asp>
<table border=1 cellspacing=2 cellpadding=1 width=98%>
<tr>
	<td>
	<center> <B>Select All or individual tables to Export</b></center><br>
	<input type=checkbox name=ALLTABLES checked> All Tables (Default)<br>
	<hr>
	<table border=0 width=100%>
		<tr>
			<td width=30%  valign=top>
			<font size=-1>
				<input type=checkbox name=AssetAssignment checked value="YES"> AssetAssignment <br>
				<input type=checkbox name=Assets checked value="YES"> Assets <br>
				<input type=checkbox name=BConfiguration checked value="YES"> BConfiguration <br>
				<input type=checkbox name=Cases checked value="YES"> Cases <br>
				<input type=checkbox name=Categories checked value="YES"> Categories <br>
				<input type=checkbox name=Configuration checked value="YES"> Configuration <br>
				<input type=checkbox name=Customers checked value="YES"> Customers <br>

				<input type=checkbox name=CustomerNotes checked value="YES"> CustomerNotes <br>
				<input type=checkbox name=CustomerTechAssignment checked value="YES"> CustomerTechAssignment <br>
				<input type=checkbox name=DeleteList checked value="YES"> DeleteList <br>
			</td>

			<td width=30%  valign=top>
				<font size=-1>
				<input type=checkbox name=EmailCategory checked value="YES"> EmailCategory <br>
				<input type=checkbox name=EmailCategoryLinks checked value="YES"> EmailCategoryLinks <br>
				<input type=checkbox name=EmailText checked value="YES"> EmailText <br>
				<input type=checkbox name=Email_Text checked value="YES"> Email_Text <br>
				<input type=checkbox name=Groups checked value="YES"> Groups <br>
				<input type=checkbox name=Group_List checked value="YES"> Group_List <br>
				<input type=checkbox name=KBConfiguration checked value="YES"> KBConfiguration <br>
				<input type=checkbox name=KBMap checked value="YES"> KBMap <br>
				<input type=checkbox name=KBWords checked value="YES"> KBWords <br>
				<input type=checkbox name=Case_Text_Field_Labels checked value="YES"> Case_Text_Field_Labels <br>

			</td>

			<td width=30% valign=top>
				<font size=-1>
				<input type=checkbox name=Priority checked value="YES"> Priority <br>
				<input type=checkbox name=tech_staff checked value="YES"> Tech_Staff <br>
				<input type=checkbox name=Topcases checked value="YES"> TopCases <br>
				<input type=checkbox name=UserCategory checked value="YES"> UserCategory <br>
				<input type=checkbox name=Escalation checked value="YES"> Escalation <br>
				<input type=checkbox name=Event_Attending checked value="YES"> Event_Attending <br>
				<input type=checkbox name=Event_Type checked value="YES"> Event_Type <br>
				<input type=checkbox name=Result_Detail checked value="YES"> Result_Detail <br>
				<input type=checkbox name=Schedule checked value="YES"> Schedule <br>
				<input type=checkbox name=Survey checked value="YES"> Survey <br>
				<input type=checkbox name=Survey_Results checked value="YES"> Survey_Results <br>
<br>
			</td>
	</tr>
	<tr>
			<td valign=top>
				New 5.0 Tables<br><br>

				<input type=checkbox name=Invoice checked value="YES"> Invoice <br>
				<input type=checkbox name=InvoiceStatus checked value="YES"> InvoiceStatus <br>
				<input type=checkbox name=InvoiceType checked value="YES"> InvoiceType <br>
				<input type=checkbox name=PaymentMethod checked value="YES"> PaymentMethod <br>
				<input type=checkbox name=TimeSpent checked value="YES"> TimeSpent <br>
			</td>

			<td  valign=top>


				New 6.0 Tables<br><br>

				<input type=checkbox name=Pnotes checked value="YES"> Pnotes <br>
				<input type=checkbox name=Companies checked value="YES"> Companies <br>
				<input type=checkbox name=TextAgentAvailable checked value="YES"> TextAgentAvailable <br>
				<input type=checkbox name=TextChat checked value="YES"> TextChat <br>
				<input type=checkbox name=Media_inventory checked value="YES"> Media_inventory <br>
				<input type=checkbox name=Media_schedule checked value="YES"> Media_schedule <br>
				<input type=checkbox name=Media_type checked value="YES"> Media_type <br>
				<input type=checkbox name=Media_inventory checked value="YES"> Media_inventory <br>


</td>

<td valign=top>

				New 7.0 Tables<br><br>

				<input type=checkbox name=AssetGroup checked value="YES">AssetGroup <br>
				<input type=checkbox name=AssetGroupValues checked value="YES"> AssetGroupValues <br>
				<input type=checkbox name=EmailToCaseConfig checked value="YES"> EmailToCaseConfig <br>
				<input type=checkbox name=Inspection checked value="YES"> Inspection <br>
				<input type=checkbox name=InspectionStatus checked value="YES"> InspectionStatus <br>


</td>
</tr>
<tr>
<td valign=top>


New 7.5 Tables<br><br>

<input type=checkbox name=AssetCategories checked value="YES"> AssetCategories <br>
<input type=checkbox name=AssetCategoryItems checked value="YES"> AssetCategoryItems <br>
<input type=checkbox name=Projects checked value="YES"> Projects <br>
<input type=checkbox name=Expenses checked value="YES"> Expenses <br>
<input type=checkbox name=ProjectCases checked value="YES"> ProjectCases <br>
<input type=checkbox name=ProjectHistory checked value="YES"> ProjectHistory <br>
<input type=checkbox name=ProjectMembers checked value="YES"> ProjectMembers <br>


</td>

<td>


</td>


<td
</td>
</tr>




</table>
</td>
</tr>
</table>
<br>

<table border=1 cellspacing=2 cellpadding=1 width=98%>
<tr>
<td>
<table border=0 cellspacing=2 cellpadding=15 width=98%>
<tr>
<td align=center>
<font size=-1>
<b>Logging Options: </b><input type=radio name=LoggingOptions value=FULL checked>FULL
&nbsp;&nbsp;&nbsp;
<input type=radio name=LoggingOptions value=MIN> MINIMUM

</td><td align=center>
<font size=+1>
<input type=submit name=submit value="EXPORT TO SQL*SERVER">

</td></tr></table></td></tr></table>
<br>
<table border=0 cellspacing=1 cellpadding=1 width=50%>
<tr>
<td align=center>


</td>
</tr>
</table>
<br>
</form>


</body>
</html>

