<% 'Module: CreateTech.asp

   'Description: This module is the First step of many steps that
   ' is required when adding a new tech to the database.
   ' This module first performs license key checks with the
   ' the Internet Software Sciences on-line Registration Key system
   ' and verifies that the licensed user is licensed for additional
   ' technicans.  It performs this by calling the remote registration
   ' server at http://helpdesk.inet-sciences.com/CheckRegistration.asp
   '
   ' Once register user have validated and checked for expired, duplicated
   ' or modified license keys, the Create Tech Process is continued.

   ' If invalid license keys or un-licensed techs are found, the
   ' software will report the issue to Internet Software Sciences sales
   ' staff for followup.

	' This module was first created for the Linux version of Web+Center
	' but will be incorporated into the Windows Version after 4.5

   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
	'7/30/03	SAV	Created Orignial CreateTech.asp module

	' Instructions to customized for your own web site
	' This page and all of the Tech+Center web pages are
	' defined to be tightly integrated with your current
	' web site.

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 5 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CreateTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with Configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>




<% ' Perform License Key Check with Corporate Registration Server
%>

<% 'First get the name of the local server


		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' Replace DoEmailListSend.asp with RemoveFromList.asp
			' This will handle all of the necessary virtual directory mappings



		End IF


	Next

	VPath = Hostname & Script_Name

	ReDirectString  = "http://helpdesk.inet-sciences.com/CheckRegistration.asp?Vpath=" & VPath

	URL = "http://helpdesk.inet-sciences.com/CheckRegistration.asp?Vpath=" & VPath


%>


<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title>Registration Server License Check</title>

<META HTTP-EQUIV="Refresh" CONTENT="0; URL=<%=URL%>">

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>

<br>
<br>
<br>
<br>
<br>
<br>
<center>
<font size=+1>
.... Checking Registration Key Information
<br>
with Registration Server...

<P>

Please Wait....

<P>

(Note: This requires a connection to the Internet and the
Internet Software Sciences Registration Server)
<P>

If your machine is not connected to the Internet or if your
connection to the Registration License Server Fails, then
click the Off-Line Create Tech Option below.
<P>



<a href=OffLineCreateTech.asp>Off Line Create Tech option</a>


<br>




</body>
</html>


<% End If ' End if IF valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

