<% 'ModuleCustomerSynch.asp

   'Description: This module was cloned from NewCustomer and DoNewCustomer. It takes an existing customert table from one
   'database and synchs it into another customer table in another database

   '(C) 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/6/06	JC		Created original from clones


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


 if ValidUser <> "YES" Then

	response.write "You are not authorised to use this program<p>"
	response.flush
	response.end

   end if


 ' End of ASP page security checks




	%>





<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Information%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>


<%


   ' ---------------------------------------------------------------------------------------------------------
   '     This is the Database connections stuff for the SOURCE database providing the Synch Information
	set conntemp=server.createobject("adodb.connection")
	myDSNSource = "DSN=webcenter50_db;uid=wc50;pwd=wc50pass"
	conntemp.open myDSNSource
   ' ---------------------------------------------------------------------------------------------------------



   ' ---------------------------------------------------------------------------------------------------------
   '     This is the Database connections stuff for the TARGET database that is to be Synched
	Set Conn = Server.CreateObject("ADODB.Connection")
	myDSNTarget = "DSN=cloneddatabase;uid=wc50;pwd=wc50pass"
	conn.open  myDSNTarget
	' ---------------------------------------------------------------------------------------------------------

	mySQL2="select * from Customers "
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		response.write "We encountered an empty source database<p>"
		response.flush
		response.end
	end if

	%>
	  <table>
	  <tr>
	     <th>Action</th>
	     <th>Customer_id</th>
	     <th>Last name</th>
	     <th>First Name</th>
	  </tr>

	<%

	do while not rstemp2.eof ' HERE IS THE START OF MAIN READING LOOP -----------------------------------
        customer_id = rstemp2("customer_id")
		Customer_Password = rstemp2("customer_password")
		contact_fname = rstemp2("contact_fname")
		contact_lname = rstemp2("contact_lname")
		company = rstemp2("company")
		address = rstemp2("address")
		mailstop = rstemp2("mailstop")
		city = rstemp2("city")
		state = rstemp2("state")
		Zip = rstemp2("Zip")
		Country = rstemp2("Country")
		email = rstemp2("email")
		phone1 = rstemp2("phone1")
		phone2 = rstemp2("phone2")
		fax = rstemp2("fax")
		contact_method = rstemp2("contact_method")
		contact_times = rstemp2("contact_times")
		customer_username = rstemp2("customer_username")
		ViewEmailCategoryID = rstemp2("ViewEmailCategoryID")

		rstemp2.MoveNext

		DoSynch ' ------ here we call subroutine to insert/update into target database

		loop  ' HERE IS THE END OF MAIN READING LOOP -----------------------------------


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

</table>
<p>
<font color=red> End of file reached</font><p>

</body>
</html>

<%
SUB DoSynch




	' Check to see if customer_ID exists - if not do an INSERT with just customer_id first
	' so that we can subsequently do an UPDATE (i.e. use one set of logic for both existing and new customers)

            Safe_customer_id = Replace(customer_ID,"'","''")

			SQL3 = "Select * from Customers where customer_ID = '" & Safe_customer_id & "'"
            set Newrecord=Conn.execute(SQL3)
			if Newrecord.eof Then
			   SQL4 = "INSERT into Customers (Customer_id) values ('" & Safe_customer_id & "')"
			   set Newrecord=Conn.execute(SQL4)
			   response.write "<tr><td>Insert</td>"
			else
			   response.write "<tr><td>Update</td>"
			end if
            response.write "<td>" & customer_id & "</td><td>" & contact_fname & "</td><td>" & contact_lname & "</td></tr>" & vbcrlf
            response.flush


        SQL5 = "UPDATE Customers SET "
        SQL5 = SQL5 & "customer_password = '" 		& fixit(Customer_Password) & "'"
        SQL5 = SQL5 & ", contact_fname = '" 		& fixit(contact_fname) & "'"
        SQL5 = SQL5 & ", contact_lname = '" 		& fixit(contact_lname) & "'"
        SQL5 = SQL5 & ", company = '" 				& fixit(company) & "'"
        SQL5 = SQL5 & ", address = '" 				& fixit(address) & "'"
        SQL5 = SQL5 & ", mailstop = '" 				& fixit(mailstop) & "'"
        SQL5 = SQL5 & ", city = '" 					& fixit(city) & "'"
        SQL5 = SQL5 & ", state = '" 				& fixit(state) & "'"
        SQL5 = SQL5 & ", Zip = '" 					& fixit(Zip) & "'"
        SQL5 = SQL5 & ", Country = '" 				& fixit(Country) & "'"
        SQL5 = SQL5 & ", email = '" 				& fixit(email) & "'"
        SQL5 = SQL5 & ", phone1 = '" 				& fixit(phone1) & "'"
        SQL5 = SQL5 & ", Phone2 = '" 				& fixit(Phone2) & "'"
        SQL5 = SQL5 & ", fax = '" 					& fixit(fax) & "'"
        SQL5 = SQL5 & ", contact_method = '" 		& fixit(contact_method) & "'"
        SQL5 = SQL5 & ", contact_times = '" 		& fixit(contact_times) & "'"


        if isNull(customer_Username) or customer_Username = "" Then
          ' do nothing
        Else
           SQL5 = SQL5 & ", customer_Username = '" 		& fixit(customer_Username) & "' "
        end if

        If isNUmeric(ViewEmailCategoryID) Then
           SQL5 = SQL5 & ", ViewEmailCategoryID = " 	& ViewEmailCategoryID & " "
        End If

		SQL5 = SQL5 & " WHERE customer_ID = '" & Safe_customer_id & "'"

	    set Newrecord=Conn.execute(SQL5)


End Sub
%>

<%
Function Fixit(thisitem)
	If isNull(thisitem) Then
	  Fixit = thisitem
	else
	  Fixit = Replace(thisitem,"'","''")
	End If
End Function
%>




