<%
 module = "DBSnooper.asp"

'(C)  2004 Internet Software Sciences
' www.inet-sciences.com


'History:

'Date			Who		What
'-------		---		------------------------------------------------
' 11/17/2004	JC		Created initial version
' 03/09/2011   CMB      Added tables for versions through 7.0; removed bconfig
'02/20/2011    CMB    Added tables conditionally for 7.5
'10/21/2013	   SAV	 changed max size to 1000 from 100 records.
%>


<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<HTML>
<HEAD>
<TITLE>Database Snooper</TITLE>
<style>
.bodytext {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 11;
		  padding-top: 5px;
		  padding-bottom: 5px;
		  padding-left: 10px;
		  padding-right: 10px;
          }
.colnames {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 12;
          font-weight: bold;
          color: white;
          background-color: teal;
		  padding-top: 2px;
		  padding-bottom: 2px;
		  padding-left: 5px;
		  padding-right: 5px;
          }
.coltext {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 11;
          color = black;
          background-color=beige;
		  padding-top: 1px;
		  padding-bottom: 1px;
		  padding-left: 3px;
		  padding-right: 3px;
          }

.nullstuff {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 9;
          color: lightsalmon;
          font-style: normal;

          }

</style>
</HEAD>
<BODY BGCOLOR=#DEDEC5 text=#000000 link=#aaaaaa vlink=#aaaaaa alink=#aaaaaa>

<center>

<% 'MyDSN = Application("myDSN") %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF Then
         %>
         <center>
         <p>
         <font size=+3 color=red><b>You Are Not Logged In With Sufficient Permission To Use This Program</b>
         <%
         response.flush
         response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>

<%

' First we create a long string of all the tablenames (in alphabetical order for user convenience), delimited by "|".
' To add or subtract a table from this list, edit the following lines as necessary, ensuring each
' name is separated by a "|" except the last

Tablenames = ""

Tablenames = Tablenames & "AssetAssignment|"

If Version7point5 = "YES" Then
	Tablenames = Tablenames & "AssetCategories|AssetCategoryItems|"
End If

Tablenames = Tablenames & "AssetGroup|AssetGroupValues|Assets|BConfiguration|Case_Text_Field_Labels|Cases|Categories|"

Tablenames = Tablenames & "Configuration|Companies|CustomerNotes|Customers|CustomerTechAssignment|DeleteList|Email_text|"

Tablenames = Tablenames & "EmailToCaseConfig|EmailCategory|EmailCategoryLinks|EmailText|Escalation|Event_Attending|Event_Type|"

If Version7point5 = "YES" Then
	Tablenames = Tablenames & "Expenses|"
End If

Tablenames = Tablenames & "Group_list|Groups|Inspection|InspectionStatus|Invoice|InvoiceStatus|InvoiceType|KBConfiguration|KBMap|KBWords|"

Tablenames = Tablenames & "Media_Inventory|Media_Schedule|Media_Type|PaymentMethod|Priority|"

If Version7point5 = "YES" Then
	Tablenames = Tablenames & "ProjectCases|ProjectMembers|Projects|"
End If

Tablenames = Tablenames & "Result_Detail|Schedule|Survey|Survey_Results|Tech_staff|"

Tablenames = Tablenames & "TextAgentAvailable|TextChat|TimeSpent|TopCases|UserCategory"

' Next we split them all into an array so there is one tablename per array entry

Ary = Split(Tablenames,"|")

' This is so we can loop over the array later when we generate the pull-down menu


If request.form("flag") <> "" Then

' First pick up potentially multiple table names from the form field

	DIM aryTable_Name()

	For Each SubKey in Request.form("Tname")
	   ReDim Preserve aryTable_Name(Tname_Count + 1)
	   Tname_Count = Tname_Count + 1
	   aryTable_Name(Tname_Count) = Request.Form("Tname")(Tname_Count)
	Next


	'for i = 1 to Tname_Count
	'    response.write "Array (" & i & ") is " & aryTable_Name(i)  & "<br>"
    'next
	'response.flush
	'response.end

End If


%>
<form method=post action="DBSnooper.asp">
<table bgcolor=teal border=0 cellspacing=3>
<tr>
  <td>
	<table bgcolor=beige border=0 cellspacing=0  cellpadding=3>
	<tr bgcolor=teal>
	  <td colspan=5 align=center>
	      <b> <font color=white size=4>Web+Center &nbsp; Database-Snooper</font></b>
	  </td>
	</tr>
	<tr>
	  <td align=right>
	      <b>&nbsp; Select the Table Name:<font color=red>*</font> </b>
	  </td>
	  <td>
			<select name=Tname multiple size=4>
			  <% For k = 0 to Ubound(Ary) %>
			  <option value="<%=Ary(k)%>"

			<%
			 ' now check if this entry was already one of the selected choices
			  Found = "No"
			  if request.form("flag") = "zz" Then
			     for i = 1 to Tname_Count
			          If aryTable_Name(i) = Ary(k) then
			             Found = "Yes"
			          End If
			    next
			  end if
			  if Found = "Yes" then
				response.write " selected"
			  end if %> >
			  <%=Ary(k)%>
			<% Next %>
			</select>
	  </td>
	</tr>
	<tr>
	  <td align=right>
	      <b>&nbsp; Enter Optional 'Where' string: </b>
	  </td>
	  <td>
	      <input type=text name=Fname size=35
		  <% If request.form ("flag") <> "" Then
		     transformed = request.form("Fname")
		     response.write " value = """ & transformed & """"
			 End If
		  %> >
	  </td>
	  <td>
	       <INPUT TYPE="submit" VALUE="Snoop" name="Button">
	  </td>
	</tr>
	</table>
  </td>
  </tr>
</table>
<input type=hidden name=flag value="zz">
</form>

<% if request.form("flag") <> "zz" Then %>
    <table bgcolor=black border=0 cellspacing=1 width=70%>
    <tr><td>
      <table bgcolor=beige border=0 cellspacing=0  cellpadding=3>
      <tr><td class=bodytext>
      <center><b>Instructions For Use</b></center>
      <OL>
      <li><b>First</b> select which Database Table you wish to examine by means of the first box (pull-down menu) in the form above.
      <blockquote>
      ( <font color=red>*</font> Typically you will only select <b>one</b> table name, <b>however</b> you may select more than one (use the &lt;ctrl&gt; key when selecting) in which case
      you <b>must</b> enter a valid JOIN expression in the WHERE clause in order for the results to be meaningfull.)
      </blockquote>
      <li>Then <b>optionally</b> you can determine which records are to be returned by entering a "WHERE" clause in the second box in the form above. (The
      word "WHERE" itself should not be entered - only the actual selection criteria.) Remember that alphanumeric literals must be enclosed within single quotes (apostrophe)
      but literals for fields that are defined in the table as numeric must not be enclosed in such quotation marks.
      <p>
      <li>Then press the "Snoop" button.
      </OL>
      <p> Any invalid syntax will cause the program to abort - in which case correct your form data and try again.
      <p>
      <b>Note - </b> Up to a maximum of <b>1000</b> records will be displayed.
      <p>
      <b>Useful Tip - </b>
      If you do not want to use a WHERE clause but need to insert some other SQL clauses, you can do so by inserting
      a "do nothing" WHERE clause followed by your desired SQL clause(s). For example, in order to sort the returned records
      in the sequence of <i>fieldname</i> you might supply the following:
      <p>
      <center>2 = 2 ORDER BY <i>fieldname</i></center>


      </td><tr>
      </table>
    </td></tr>
    </table>
<% End If %>
<%
' - - - - THIS IS WHERE THE ACTUAL PROGRAM CODE STARTS - - - - - - -
If request.form("flag") <> "" Then

Testit = request.form("Fname")

If instr(Testit,"""") Then
   response.write "<font size=+1> Your selection expression <font color=red>" & Testit & "</font> contains quotation marks <br> You must use single-quotes (apostrophe)."
   response.flush
   response.end
End If


' Create the SELECT part of the string from array of table names picked up earlier

	comma = ""
	SelectString = ""

	for i = 1 to Tname_Count
		SelectString =  SelectString & comma & Trim(aryTable_Name(i))
		comma = ", "
	next

	'response.write "Selectstring is ---" & SelectString & "---<p>"
	'response.flush
	'response.end

	sql="SELECT * FROM " & SelectString
	if request.form("Fname") <> "" Then
	  sql = sql & " WHERE " & request.form("Fname")
	End If



	%>
	<font color=red><I><B><%=sql%></B></I></font>
	<%
    response.flush
    ' First we will count and see how many records might potentially be returned



	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
    sqlcount ="SELECT Count(*) as blivet FROM " & SelectString

    ' now remove any potential ORDER BY clasue as this can cause problems while counting

	whereclause = request.form("Fname")
	pos = Instr(Ucase(whereclause), " ORDER ")

	if pos > 0 Then
		whereclause = Left(whereclause, pos-1)
	end if

    if whereclause <> "" Then
	sqlcount = sqlcount & " WHERE " & whereclause
	end if

	'response.write "<P>Executing " & sqlcount  & "<P>"

    set rstemp=conntemp.execute(sqlcount)



    if  rstemp.eof then
       blivet = 0
    else
       blivet = rstemp("Blivet")
    End If

      response.write "<br>Total Records Returned = " & Blivet
      If Blivet > 1000 then
        response.write ", but only the <b>first 1000</b> records will be displayed"
      End if
      response.write "<P>"
		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

  ' Now we get ready to actually read records and display

    Set RS = server.createobject("ADODB.Recordset")
	RS.open sql,MyDSN,3
	response.write  "<p>"
	%>

	<P>
	<TABLE BORDER=0 bgcolor=black cellpadding=0 cellspacing=1>
	<TR >
	<% For i = 0 to RS.Fields.Count - 1 %>
		<TD class=colnames align=center><% = RS(i).Name %></TD>
	<% Next %>
	</TR>
	<%
	if not rs.eof then
	   ' Put up to 1000 rows in a 2-dimensional variant array
	   v=RS.GetRows(1000)

	%>

	<P>
	<% For row = 0 to UBound(v,2)  ' iterate through the rows in the variant array %>
		<TR bgcolor=beige>
		<% For col = 0 to UBound(v,1) %>
			<TD class=coltext valign=top>
               <% ' If the column-name contains the string "password" in any combination of upper or lower-case - then hide it %>
			   <%
			       temp = RS(col).Name
			       If Instr(1,temp, "password",1) Then
			    %>
				 ******
				<%	Else %>

						<% ' If the the field contains NULL then so indicate

						If isNull(v(col,row)) Then
							response.write "<center><span class=nullstuff>&lt;null&gt;</span></center>"
						Else
							response.write v(col,row)
						End if

						%>

				<%	End If %>




			 </TD>
		<% Next %>
		</TR>
	<% Next %>
	<%
	else
	   response.write "<tr><td colspan=10 class=coltext><font size=3 color=red>No records exist in database</font></td></tr>"
	End If
	%>

<% End If %>


</TABLE>
<BR>
<BR>

</BODY>
</HTML>
