<% 'Module: DeleteKBCase.asp

   'Description: This module is used to delete a single "Case" from the Knowledge Base.


   '(C)  2004 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '10/28/04	JC		Created original version

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteKBCase.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>



<html>

<head>
<title><%=wc_Delete_Case_from_Knowledge_Base%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>



<body class=rightwindow>

<center>

<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
<%=wc_Delete_Case_from_Knowledge_Base%>
</td>
</tr></table>




<p>
<FORM METHOD=POST  name="myform" ACTION=DeleteKBCase.asp>
<INPUT type=hidden name=SelfCall value="Yes">
<table><tr><td height=5></td></tr></table><!--- little spacer -->



   <table  class=outerformwrapper cellpadding=0 cellspacing=0>
    <tr>
       <td> <!---- start of overall form wrapper -->
		<table  class=innerformwrappertight cellpadding=0 cellspacing=0>
		<tr><td align=center class=MinorFormTitle colspan=3><%=wc_Select_By_Case_Number%></td></tr>
			<tr>
			  <td  height=3></td>
		   </tr>
		   <tr>
		   <td align=right class=formlabel>Case Number</td>
		   <td class=formboxholder> <input type=text size=10 name=case_number></td>

           </tr>
			<tr>
			  <td  height=3></td>
		   </tr>
		</table>
      </td>
    </tr>

   <tr>
   <td align=center>

    <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_delete_case30x100.gif border=0>
   &nbsp; &nbsp;
   <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
   </td>
   </tr>
  </table>

<br>
<b>

<% If request.form("SelfCall") <> "Yes" Then
   ' do nothing - this is initial call - we were not called via form submittal
   Else
   ' response.write "I see " & request.form("case_number")
   case_number = request.form("case_number")
   If case_number = "" or (Not isNumeric(case_number)) Then
     response.write "<Font color=red size=+1>" & wc_Invalid_Case_Number & "</font>  " & request.form("case_number")
   Else
       ' now to see if this case number is even known in the KB
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL="SELECT * from KBMap where Case_Number = " & case_number
		set rstemp=conntemp.execute(mySQL)

		If rstemp.EOF = True Then ' the case number does not exist in KB
			response.write "<Font color=red size=+1>" & wc_This_case_number_does_not_exist & " </font> " & case_number  &  "<Font color=red size=+1>  in the Knowledge Base </font>"
		Else ' go do the delete
		    mySQL="DELETE from KBMap where Case_Number = " & case_number
		    set rstemp=conntemp.execute(mySQL)
		    response.write wc_The_requested_KB_update_completed & " (" & wc_Case_Number & " " & case_number & " deleted)"
		End If

   End If ' if we had a valid case number


   End If ' we were called via form submit
%>
</b>
<center><p>




</form>
</BODY>
</HTML>

<%End If ' End of security check %>
