<%  ' Module: DirectoryLookup.asp
	'
	' Description: Called via form from GetCustomer.asp - cloned from DoAutoLogin.asp in Customer Center
	'
	' ---------------------------------------------------------------------------------------------------------------
	' For DEBUGGING purposes, set Debug=yes  to cause it to emit trace messages so you can see what is going on
	' ---------------------------------------------------------------------------------------------------------------
	'
	'
	' (C) 2000,2001, 2006 Internet Software Sciences
	'
	' Author: JC
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'2/2/06		JC		Original version for new LDAP-enabled login to Customer+Center
	'3/16/06	JC		cloned from DoAutoLogin.asp in Customer Center


 ' Note - first we read up the LDAP parameters and execute the LDAP command to retrieve all the values from Active Directory
 ' Then we place
 '   a) the value passed to us (in the HTTP header) into the field called Customer_username
 '   b) The concatenated lastname-underscore-firstname into the field called Customer_id
 '
 ' If this guy does not yet exist in the customer table, we do an insert with these two values to establish him there
 ' Then, whether he existed previously or not, we update all his other values so that they are current and synched with the directory


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<%

   ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


' -----------------------------------

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks



 if ValidUser <> "YES" Then
    response.write "You are not validated to use this module<p>"
    response.flush
    response.end
   end if

' -----------------------------------


%>
<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

<body class=rightwindow>
   <Center>
	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Directory_Search_Results%>
	</td>
	</tr></table>

	<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->




<%

Debugmode = request.querystring("debug")

 'Debugmode = "yes"

sUser = request.form("Login_name")

lastname_button=request.form("lastname_submit.x")
firstname_button=request.form("firstname_submit.x")
email_button=request.form("email_submit.x")
loginname_button=request.form("loginname_submit.x")



If debugmode <> "" Then
      response.write "Debug mode is ON<P>"
      response.write "User_id is " & sUser & "<P>"

		if lastname_button <> "" Then
			response.write "You cliked the Last name button<br>"
		end if

		if firstname_button <> "" Then
			response.write "You clicked the First name button<br>"
		end if

		if email_button <> "" Then
			response.write "You clicked the Email button<br>"
		end if

		if loginname_button <> "" Then
			response.write "You clicked the Login name button<br>"
		end if

      response.flush

End if



baseDirectory = Server.MapPath(".")
slash = "\"
' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & "ZCustomerHolder.asp"


Set fs1 = CreateObject("Scripting.FileSystemObject")


If fs1.FileExists(TargetFilePath) Then
   ' do nothing
Else
   response.write "<p><font size=+1 color=red><b>Error - </b></font>The settings for LDAP Directory Access are missing. Please ask your System Administrator to set these up.  <P>"
   response.flush
   response.end
End if



REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(TargetFilePath, 1, FALSE)


linecounter = 0
Tabchar = Chr(9)

While not b.AtEndOfStream
   InRec  = b.Readline
   if Left(Inrec,1) =  "'" Then ' chop off the first character
       InRec = Mid(InRec,2)
	   linecounter = linecounter + 1
	   splitter = split(InRec,Tabchar)
	   If splitter(1) = "ConnectString1" Then ConnectString1 = splitter(0)
	   If splitter(1) = "ConnectString2" Then ConnectString2 = DeObfuscate(splitter(0))
	   If splitter(1) = "RetrieveField1" Then RetrieveField1 = splitter(0)
	   If splitter(1) = "RetrieveField2" Then RetrieveField2 = splitter(0)
	   If splitter(1) = "RetrieveField3" Then RetrieveField3 = splitter(0)
	   If splitter(1) = "RetrieveField4" Then RetrieveField4 = splitter(0)
	   If splitter(1) = "RetrieveField5" Then RetrieveField5 = splitter(0)
	   If splitter(1) = "RetrieveField6" Then RetrieveField6 = splitter(0)
	   If splitter(1) = "RetrieveField7" Then RetrieveField7 = splitter(0)
	   If splitter(1) = "RetrieveField8" Then RetrieveField8 = splitter(0)
	   If splitter(1) = "RetrieveField9" Then RetrieveField9 = splitter(0)
	   If splitter(1) = "RetrieveField10" Then RetrieveField10 = splitter(0)
	   If splitter(1) = "RetrieveField11" Then RetrieveField11 = splitter(0)
	   If splitter(1) = "RetrieveField12" Then RetrieveField12 = splitter(0)
	   If splitter(1) = "RetrieveField13" Then RetrieveField13 = splitter(0)
	   If splitter(1) = "RetrieveField14" Then RetrieveField14 = splitter(0)
	   If splitter(1) = "RetrieveField15" Then RetrieveField15 = splitter(0)
	   If splitter(1) = "RetrieveField16" Then RetrieveField16 = splitter(0)
	   If splitter(1) = "LdapAddress" Then LdapAddress = splitter(0)
	   If splitter(1) = "WhereField1" Then WhereField1 = splitter(0)
	   If splitter(1) = "SearchField1" Then SearchField1 = splitter(0)
	   If splitter(1) = "WhereField2" Then WhereField2 = splitter(0)
	   If splitter(1) = "SearchField2" Then SearchField2 = splitter(0)

	   If splitter(1) = "WhereField3" Then WhereField3 = splitter(0)
	   If splitter(1) = "SearchField3" Then SearchField3 = splitter(0)


	   If splitter(1) = "Upperlimit" Then Upperlimit = splitter(0)
	   If splitter(1) = "Lowerlimit" Then Lowerlimit = splitter(0)
	   If splitter(1) = "RangeVariable" Then RangeVariable = splitter(0)
   end if
Wend
b.Close



' --------------------- done loading up all the parameters ---------------------


'-------------------------- tricky bit ------------------------------------------------------
'  At this point, although we have loaded SearchField2 from the stored parameter settings - where it was
'  just a specimen for test purposes. At this point we actually want to use the search string which we retrieved earlier from the form parameter,
'  so we put that into this field instead
'---------------------------------------------------------------------------------------------

sUser_safe = Replace(sUser,"'","''")
Searchstring = sUser_safe & "*"



DIM Name_of_unique_id_field
Name_of_unique_id_field = WhereField2







' --------------- so now we build up the LDAP string --------------------------





' First we will capture the names of the source and target fields in 2 parallel arrays


Tabchar = Chr(9)
SourceFieldstring = ""
TargetFieldstring = ""
Call Collect (RetrieveField1,"Customer_id",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField2,"Contact_Fname",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField3,"Contact_Lname",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField4,"Company",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField5,"Mailstop",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField6,"Address",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField7,"City",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField8,"State",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField9,"Zip",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField10,"Country",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField11,"Email",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField12,"Phone1",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField13,"Phone2",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField14,"Fax",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField15,"Customer_Password",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField16,"Customer_Username",SourceFieldstring,TargetFieldstring)
ArySourceField = Split(SourceFieldstring,Tabchar)
AryTargetField = Split(TargetFieldstring,Tabchar)

FieldCount = Ubound(ArySourceField) - 1



' ---- Assemble the names of the fields to be selected into the SELECT string

SelectString = "SELECT "

used_status = 0

DIM Aryused()
ReDim Preserve Aryused(1)
Aryused(0) = "&/()garbage_preset"

For i = 0 to FieldCount
  Call CheckUsed(ArySourceField(i), Aryused, used_status)
  If  used_status = 0 Then
    SelectString = SelectString & ArySourceField(i) & ", "
    'response.write "Checking " & ArySourceField(i) &" NOT Used at postiton " & Instr(UsedAlready,ArySourceField(i)) & "<br>"
 Else
    'response.write "Checking " & ArySourceField(i) &" IS Used at postiton " & Instr(UsedAlready,ArySourceField(i)) & "<br>"
  End if
Next

' ---- chop off the final comma space and append FROM and the address

Lambda = Len(SelectString)
Lambda = Lambda - 2
conjunct = " WHERE "
SelectString = Left(SelectString,Lambda)
SelectString = SelectString & " FROM " & "'" & LdapAddress & "'"


' ---- now append Range Control to Select string

If RangeVariable <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & RangeVariable & " >= '" & Lowerlimit & "' AND " & RangeVariable & " <= '" & UpperLimit & "'"
  conjunct = " AND "
End If

' ---- now append the first Search to Select string
If WhereField1 <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & WhereField1 & " = '" & SearchField1 & "'"
  conjunct = " AND "
End If

' ---- now append the Final Search to Select string (Which field depends on which button was pressed)
If lastname_button <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & RetrieveField3 & " = '" & searchstring & "'"
  conjunct = " AND "
End If

If firstname_button <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & RetrieveField2 & " = '" & searchstring & "'"
  conjunct = " AND "
End If

If email_button <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & RetrieveField11 & " = '" & searchstring & "'"
  conjunct = " AND "
End If

If loginname_button <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & WhereField2 & " = '" & searchstring & "'"
  conjunct = " AND "
End If




If debugmode <> "" then
    response.write "Accessing the direcory with the  string --- <br><Blockquote><Span class=yellowhilight>" & SelectString & "</span></blockquote><P>"
	response.flush

end if

%>


	<TABLE class=TightTableWrapper cellspacing=1" >
	<tr>
	<td  class=ColumnLabel align=center></td>

	<% if loginname_button <> "" then %>
	    <td  class=ColumnLabelHilight align=center><%=wc_login_name%></td>
	<% else%>
	    <td  class=ColumnLabel align=center><%=wc_login_name%></td>
	<% end if%>

	<% if lastname_button <> "" then %>
	    <td  class=ColumnLabelHilight align=center><%=wc_Last%></td>
	<% else%>
	    <td  class=ColumnLabel align=center><%=wc_Last%></td>
	<% end if%>


	<% if firstname_button <> "" then %>
	    <td  class=ColumnLabelHilight align=center><%=wc_first%></td>
	<% else%>
	    <td  class=ColumnLabel align=center><%=wc_first%></td>
	<% end if%>


	<td class=ColumnLabel ><%=wc_New_break_Case%></td>
	<td  class=ColumnLabel >All<br>Cases</td>
	<td  class=ColumnLabel align=center ><%=wc_Company%></td>

	<% if email_button <> "" then %>
	    <td  class=ColumnLabelHilight align=center><%=wc_Email%></td>
	<% else%>
	    <td  class=ColumnLabel align=center><%=wc_Email%></td>
	<% end if%>


	<td  class=ColumnLabel align=center ><%=wc_Phone%></td>
	<td  class=ColumnLabel align=center><%=wc_Edit%> or<br><%=wc_Summary%></td>
	</tr>


<%


' Now here (next line) is where we actualy cause LDAP to be fired and retrieve values...

DIM TheValues()
ReDim Preserve TheValues(FieldCount)


showvalue SelectString,FieldCount,ArySourceField,AryTargetField,TheValues,ConnectString1,ConnectString2






		AryValueField = thevalues

		If debugmode <> "" then
			for i = 0 to FieldCount
			   response.write "Entry " & I & " contains <b>" & ArySourceField(i) & "</b> to be mapped into <b>" & AryTargetField(i) & "</b> and has the value <b>" & AryValueField(i) & "</b><BR>"
			Next
			response.write "Field Count goes from 0 to " & FieldCount & "<P>"
		End If





       if debugmode <> "" then
         response.write "Halted in debug mode<p>"
         response.flush
         response.end
       end if







 %>



</body>
</html>



<%
sub Collect(Sourcex,Targetx,SourceFieldString,TargetFieldString)
Tabchar = Chr(9)
If Trim(Sourcex) <> "" Then
   SourceFieldstring = SourceFieldstring & Trim(Sourcex) & Tabchar
   TargetFieldstring = TargetFieldstring & Trim(Targetx) & Tabchar
End If
End Sub
%>






<%

Sub showvalue(SQL,FieldCountx,Sources,Targets,TheValues,username,password)


		Set Conn = CreateObject("ADODB.Connection")
		' (following line fails in Linux environment)
	    Conn.Provider = "ADSDSOObject"

	    If username = "" and password = "" Then
		    Conn.Open "ADs Provider"
		    If debugmode <> "" then
				response.write "Connecting to ADs Provider without username and password<p>"
				response.flush
		    End If
		Else
			Conn.Open "ADs Provider", username, password
			If debugmode <> "" then
				response.write "Connecting to ADs Provider with the provided username and password <p>"
				response.flush
		    end if
		End If

         Set rs = Conn.Execute(SQL)

		If rs.EOF Or rs.BOF then

			Response.write "<tr><td colspan=15>No records returned from the Directory for this search</td></tr></table>"
			response.flush
			response.end
		Else
		    safety_count = 0
            Do While Not rs.EOF Or rs.BOF

              ' retrieve each of the fields in a given record into an array
               For k = 0 to FieldCountx
                  thefield = Sources(k)
                  ReturnValue = Rs(thefield)
                  If not isArray(ReturnValue) then
                      TheValues(k) = ReturnValue
                  else
                      ' put fixed string (i.e. array converted to string) into  TheValues(k)
                       MyAry = ReturnValue
					   Aryholder = ""
					   for zz = 0 to Ubound(MyAry)
						 if MyAry(zz) <> "" Then
							Aryholder = Aryholder & MyAry(zz) & " "
						 end if
					   next
					   TheValues(k) = Aryholder
                  end if

               Next
               safety_count = safety_count + 1

               ' now locate the values of desired fields into fixed known variable names
               Lname_holder = ""
               Fname_holder = ""
               Company_holder = ""
               Email_Holder = ""
               Phone_holder = ""
               unique_id_field = ""




               For jj = 0 to FieldCountx
                  if Ucase(Targets(jj)) = "CONTACT_LNAME" Then
                    Lname_holder = detilde(TheValues(jj))
                  end if
                  if Ucase(Targets(jj)) = "CONTACT_FNAME" Then
                    Fname_holder = detilde(TheValues(jj))
                  end if
                  if Ucase(Targets(jj)) = "COMPANY" Then
                    Company_holder = detilde(TheValues(jj))
                  end if
                  if Ucase(Targets(jj)) = "EMAIL" Then
                    Email_holder = detilde(TheValues(jj))
                  end if
                  if Ucase(Targets(jj)) = "PHONE1" Then
                    Phone_holder = detilde(TheValues(jj))
                  end if
                  if Ucase(Sources(jj)) = Ucase(Name_of_unique_id_field) Then
                    unique_id_field = TheValues(jj)
                  end if

                  ' now figure out if this guy exists already in the database or not

                  if isNull(unique_id_field) Then
                      vector = "Dup/Invalid"
                  else
                      user_exists = check_exist(unique_id_field)
					  if user_exists <> "" then
						vector = "<A href=DoDirectoryLookup.asp?id=" & unique_id_field & "><img src=/" & WCLanguageDirectory & "/directory_update.gif border=0></a>"
					  else
						vector = "<A href=DoDirectoryLookup.asp?id=" & unique_id_field & "><img src=/" & WCLanguageDirectory & "/directory_register.gif border=0></a>"
					  End If
			      end if

               Next
               'now emit   the record fields as a row in a table but only if the last name has a value in it
               '                                                 ___________________________________________  this should be OK but can remove this check if necessary
               '                                                 but may result in spurious non-person records being displayed
                If Lname_holder <> "" then
                   %>
                   <tr>
                     <td class=tightbodytext valign=top><%=vector%></td>
                     <td class=tightbodytext valign=top><%=unique_id_field%></td>
                     <td class=tightbodytext valign=top><%=Lname_Holder%></td>
                     <td class=tightbodytext valign=top><%=Fname_Holder%></td>

                     <% if user_exists <> "" then %>
                         <td class=tightbodytext valign=top><a href=TCaseForm.asp?Case_number=0&Customer_ID=<%=user_exists%>>New</a></td>
                     <% else %>
                         <td class=tightbodytext></td>
                     <% end if %>

                     <% if user_exists <> "" then %>
                         <td class=tightbodytext valign=top><a href=DoGetCase.asp?Customer_ID=<%=user_exists%>>ALL</a></td>
                     <% else %>
                         <td class=tightbodytext></td>
                     <% end if %>

                     <td class=tightbodytext valign=top><%=Company_Holder%></td>
                     <td class=tightbodytext valign=top><%=Email_Holder%></td>
                     <td class=tightbodytext valign=top><%=Phone_Holder%></td>

                      <% if user_exists <> "" then %>
                         <td class=tightbodytext valign=top><a href=NewCustomer.asp?ID=<%=user_exists%>>Edit</a>
                         /
                         <a href=TCustomerSummary.asp?ID=<%=user_exists%>>Summary</a>
                         </td>
                     <% else %>
                         <td class=tightbodytext></td>
                     <% end if %>

                   </tr>
                  <%
	           end if


               safety_count = safety_count + 1
	                        if special_debug = "yes" then

								If Lname_holder <> "" then
								            response.write "<tr>"
											For i = 0 to FieldCountx
												  response.write "<td align=center bgcolor=lightgrey><b>" & Sources(i) & "</b><br><font size=-1><i>maps into</i></font><br><b>" & Targets(i) & "</b></td> "
											Next
											response.write "</tr>"
										   'now emit the array as a row in a table
											If debugmode <> "" then
											   response.write "<tr>"
											   For k = 0 to FieldCountx
												  if TheValues(k) <> "" Then
													 response.write "<td bgcolor=lightgrey>" & TheValues(k) & "<br></td>"
												  Else
													 response.write "<td align=center bgcolor=lightgrey><font color=red>" & "[empty]" & "</font></td>"
												  End if
											   Next
											   response.write "</tr>"
										   end if
								   end if
                           end if

			   rs.MoveNext
			Loop

            response.write "</table><p></center>"

		End If

End Sub

%>


<%


Function DeObfuscate(thecode)

For I = 1 to 80 ' search for the string length value
	 ThisChar = Mid(thecode,I,1)
	 thisChar = Asc(thisChar) - 48
	 if Cint(thisChar) = Cint(I-1) Then
	  Strlength = I-1
	  Exit For
	 End if
Next
 'response.write "String length is " & Strlength & "<BR>"

Target = ""
For I = 1 to Strlength

  Offset =  Asc(Mid(thecode,I,1)) - 48
   ' response.write "Offset Number " & I & " has the value " & offset
  Target = Target & Mid(thecode,offset+1,1)
 ' Response.write " where the char I see is " & Mid(thecode,offset+1,1) & "<BR>"
Next
DeObfuscate = Target
End Function

%>

<%
Function BailOut(themessage)
error_message = themessage

   %>
      <html>
      <head>
      <title>Login Failed</title>
      </head>
      <body bgcolor=beige>
      <p>
      <font size=+1><b>Auto-Login Failure. No entry found for this user in the Directory </b></font>
      <p>
      <%=error_message%>

      </body>
      </html>


   <%
response.flush
response.end
End Function
%>

<%
Sub CheckUsed(FieldToBeChecked, Aryused, used_status)
Used_count = Ubound(Aryused)
If used_count = 0 Then
  used_count = used_count + 1
  ReDim Preserve Aryused(used_count)
  response.write "fisrt one is " & FieldToBeChecked & "<br>"
  Aryused(used_count) = FieldToBeChecked
  used_status = 0
Else
  used_status = 0
  for KK = 0 to Used_count
	  if Aryused(kk) = FieldToBeChecked Then
		' response.write "checking " & FieldToBeChecked & " and it is <b>used</b><br>"
		used_status = 1
		exit sub
	  else
		used_count = used_count + 1
		ReDim Preserve Aryused(used_count)
		Aryused(used_count) = FieldToBeChecked
		' response.write "checking " & FieldToBeChecked & " and storing as unused so far<br>"
	  end if
  Next
End If

End Sub
%>

<%
Sub ensure_unique(genned_id)


' this subroutine checks that genned_id does not exist in the customer table (as customer_id), and if it does, tries a different value
    Randomize ' Seed the generator with a new value
	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN ' Open the connection once here
    candidate = genned_id

	mySQL2="select * from Customers where customer_id = '" & candidate & "'"
    set rstemp5=conntemp2.execute(mySQL2)
	if rstemp5.EOF then
		genned_id = candidate
        If debugmode <> "" then
		    response.write "The initialy generated ID is unique " & genned_id & "<P>"
		end if


	Else ' Ensure length is less than 17  and append random string - try this value and loop until we get a unique hit
	 candidate = mid(genned_id, 1,17)
     safety_fuse = 0

     If debugmode <> "" then
		    response.write "Duplicate ID exists - entering routine to generate a unique value<P>"
	 end if


     Do while not rstemp5.EOF
		  candidate = candidate & cstr(Int(rnd*100))
		  mySQL2="select * from Customers where customer_id = '" & candidate & "'"

		  If debugmode <> "" then
		      response.write "SQL try is " & mySQL2 & "<br>"
		  end if

		  set rstemp5=conntemp2.execute(mySQL2)
		  safety_fuse = safety_fuse + 1
		  if safety_fuse > 90 then
		    response.write "We blew up trying to generate a unique user_id for " & gennd_id & "<p>"
		    response.flush
		    response.end
		  end if
     loop

     genned_id = candidate

	End if



	rstemp5.close
	set rstemp5=nothing

	conntemp2.close ' Close the connection
	set conntemp2=nothing

end sub
%>

<% Function check_exist(the_target)


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		the_target = replace(the_target,"'","''")
		mySQL2="SELECT * from Customers where customer_username= '" & the_target & "'"

        If debugmode <> "" then
		      response.write "Testing if customer already in Customer+Center Database with " & mySQL2 & "<P>"
        end if
		set rstemp=conntemp.execute(mySQL2)
		if rstemp.eof = True then
		   check_exist = ""
		else
		   check_exist = rstemp("customer_id")
		end if


 End function
%>

<% Function detilde(thestring)

If isNull(thestring) or thestring="" then
   thestring = ""
else
   thestring = Replace(thestring,"~","'")
end if

detilde = thestring

End Function

%>