<% 'Module: Dispatcher.asp

   'Description: This module is the Dispatcher Display Page
   ' that display the availability of the staff members
   ' as well as their contact information.


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original StaffInfo.asp Page
	' 11/06/00 SAV	Converted to Dispatcher.asp module

	' Instructions to customized for your own web site
	' This page and all of the Tech+Center web pages are
	' defined to be tightly integrated with your current
	' web site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 4 ' Allow dispatcher and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Dispatcher.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<HTML>
<HEAD>

	<% If Dispatcher_Screen_Refresh_rate <> 0 Then %>
   <META HTTP-EQUIV="Refresh" CONTENT="<%=Dispatcher_Screen_Refresh_Rate%>">
   <% End If %>

   <TITLE><%=wc_Dispatcher_Status%></TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<% ' Display the List of other techs to show their contacts
%>

<Table class=BGWrapper align=right>
<tr>
     <td class=tinyprint><a href=Dispatcher.asp target=DispatcherWindow>(<%=wc_New_Window%>)</a></td>
</tr>
</table>
<br clear=all>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Dispatcher_Status%></td>
</tr>
</table>
<p>

<Center>


        <center>
        <table  class=outerformwrapper cellspacing=1 cellpadding=3>

	<%' Display the Staff availability, name, phone, phone/cell and email with links

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	mySQL="select * from Tech_staff where show_dispatch_flag = 1 order by Last_name, first_name"

	set rstemp=conntemp.execute(mySQL)


	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "<center>No Tech Contacts found</center><P>"
	Else
%>
	<tr>
	<td></td>

	<td></td>

	<td class=menutext align=center><%=wc_Jobs%></td>

	<td class=menutext align=center><%=wc_Phone%></td>

	<td class=menutext align=center><%=wc_Phone2_Cell%></td>

	<td class=menutext align=center><%=wc_Email%></td>

	<td class=menutext align=center><%=wc_Notes%></td>
	</tr>

<%
		Do While rstemp.EOF <> True


	%>
	<tr>
	<td>

	<% ' Availability States are 1 = Available and 2 = Busy %>
	<% ' It may not be set properly so check for that %>


	<%  Availability = rstemp("Availability")
	If IsNull(Availability) = True Then
	%>
		<img src=red-on.gif>
	<%Else

		If CInt(rstemp("Availability")) = 1 Then
	%>
		<img src=green-on.gif>
		<%Else %>
			<img src=red-on.gif>
		<%End If %>
	<%End If %>

	</td>

	<td class=datavalue nowrap>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%> <br>
			</td>

	<% ' Now determine how many open jobs this tech has
	mySQL4="select * from Cases where Tech_id = '" & rstemp("Tech_ID") & "' and Status <> 1"

	set rstemp4=conntemp.execute(mySQL4)


	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp4.eof then ' Check to see any Cases exist
		AssignedCases = 0
	Else
		AssignedCases = 0
		Do While Rstemp4.EOF <> True
			AssignedCases = AssignedCases + 1
			rstemp4.MoveNext
		Loop

	End If

	rstemp4.Close ' Close the recordset
	set rstemp3=nothing


	%>

	<td align=center class=formlabel nowrap>
		<%=AssignedCases%>
	</td>


	<td class=formlabel nowrap>
	<%=rstemp("Work_Phone1") %><br>
	</td>

	<td class=formlabel nowrap>
	<%=rstemp("Work_Phone2") %><br>
	</td>

	<td class=formlabel nowrap>
	<a href=mailto:<%=rstemp("Work_Email") %>>
	<% response.write "" %>
	<%=rstemp("Work_Email")%></a><br>
	</td>
	<td class=formlabel>
	<%=rstemp("Notes") %><br>
	</td>

	</tr>

	<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</table>
		</center>

<p><center><a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</center>

</body>
</html>
<%End If %>


