<% 'Module: DisplayPrintSupportGroups.asp

   'Description: This module is the Page that displays all of the support groups



   '(C) 2000, 2001, 2002 -2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/23/02	 JC		Created original ASP version based on previous dll?
   '03/01/13	SAV		Created DisplayPrintSupportGroups.asp module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<%
' Get the name of the existing default group so that we can display it




	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="SELECT * from  Group_list WHERE default_flag = 1"

	set rstemp=conntemp.execute(mySQL)

	old_group_name = rstemp("group_name")

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>

<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Display / Print Support Groups</title>
</head>



<% ' Code to call print option if called with Option=Print

 OptionValue = Request.QueryString("Option")

 If OptionValue = "Print" Then

 %>

 <script language=javascript> window.focus(); window.print();
 </SCRIPT>

<% End IF %>


<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b>Display / Print Support Groups</b></font><br>
	</td>
</tr>
</table>

<p>


<table border=1 cellspacing=2 cellpadding=20 width=98%>

<tr>

<td align=left>


<p>

<UL>



<% ' ---------- Output the Selection Box for the List of Groups --------------
	' Get the values from the Group_list table


	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN

	mySQL="select * from Group_list order by group_name ASC"

	set rstemp2=conntemp2.execute(mySQL)

	If rstemp2.EOF = True  Then
		Response.write "No Group Entries  Entries Exist"
	Else

		' Loop getting the values from the table
		Do while (Not rstemp2.eof)

        group_name = rstemp2("group_name")
        group_number = rstemp2("group_number")
        response.write "<LI>" &  group_name & "<Br>"

        rstemp2.Movenext
        Loop

	rstemp2.close
	set rstemp2=nothing
	conntemp2.close ' Close the connection
	set conntemp2=nothing
  end if
%>


</td>
</tr>
</table>

<p>

<center>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>
<td align=center>
  <a href=DisplayPrintSupportGroups.asp?Option=Print><img src=/<%=WCLanguageDirectory%>/ts_print30x80.gif border=0></a>


</td>

<td align=center>
  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
</body>
</html>



<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
