<% 'Module: DoAccountManagerConfig.asp

   'Description: This module saves the Account Manager information
   ' that is setup by the AccountManagerConfig.asp module.
   '(C) 2000- 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/24/02	SAV		Created original ASP module
   '10/28/2013	SAV		Created module for Account Manager configurations

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


	<% ' Get all of the form elements from the form


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

	SQL="select * from CustomerAccountManager"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew

			End If

		' Customer optional Info Check Boxes - 10
		' Fields are DisplayCustomerInfoBox1 -10


		For i = 1 to 10

			FormFieldName = "DisplayCustomerInfoBox" & i

			If Request.form (FormFieldNAme) <> "" Then
				NewRecord(FormFieldName) = True
			Else
				NewRecord(FormFieldName) = False
			End If

		next


		' Now Grab the booleans that define to enable Account Manager and what fields to display
		' on the account manager fields

			If Request.form ("EnableAccountManager") <> "" Then
				NewRecord("EnableAccountManager") = True
			Else
				NewRecord("EnableAccountManager") = False
			End If


			If Request.form ("DisplayCustomerAssetsInAccountManager") <> "" Then
				NewRecord("DisplayCustomerAssetsInAccountManager") = True
			Else
				NewRecord("DisplayCustomerAssetsInAccountManager") = False
			End If


			If Request.form ("DisplayCustomerSupportcases") <> "" Then
				NewRecord("DisplayCustomerSupportcases") = True
			Else
				NewRecord("DisplayCustomerSupportcases") = False
			End If


			If Request.form ("DisplayCustomerInvoices") <> "" Then
				NewRecord("DisplayCustomerInvoices") = True
			Else
				NewRecord("DisplayCustomerInvoices") = False
			End If

			If Request.form ("PreventCustomersEditingInfo") <> "" Then
				NewRecord("PreventCustomersEditingInfo") = True
			Else
				NewRecord("PreventCustomersEditingInfo") = False
			End If





				NewRecord.Update
	'If  err.number>0 then
	'      response.write "VBScript Errors Occured:" & "<P>"
	'      response.write "Error Number=" & err.number & "<P>"
	'     response.write "Error Descr.=" & err.description & "<P>"
	'      response.write "Help Context=" & err.helpcontext & "<P>"
	'      response.write "Help Path=" & err.helppath & "<P>"
	'      response.write "Native Error=" & err.nativeerror & "<P>"
	'      response.write "Source=" & err.source & "<P>"
	'      response.write "SQLState=" & err.sqlstate & "<P>"
	'else
	'      response.write "No VBScript Errors Occured" & "<P>"
	'end if
	'IF  conn.errors.count> 0 then
	'      response.write "Database Errors Occured" & "<P>"
	'for counter= 0 to conn.errors.count
	'      response.write "Error #" & conn.errors(counter).number & "<P>"
	'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	'next
	'else
	'      response.write "No Database Errors Occured!" & "<P>"
	'end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


	'****** Invoice Type *****
	' Now record all of the dropdown choices for invoice types and invoice status values

	' Whether to show an invoice based on its type is stored in the InvoiceType table (version 8.0 database)


	' Now add all of the selected Invoice Types
	' They can add any number of invoice types
	' First we will need to remove all existing settings for this flag and then put them back



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from InvoiceType"

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		If rstemp.EOF <> True THEN

			Do while (rstemp.EOF <> True) AND (rstemp.BOF <> True)
				rstemp("DisplayTypeOnAccountManager") = False ' Disable all values first
				rstemp.movenext
			loop

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected invoice types list category incase they added some new and
		' deleted others.

			For each SelectedType in Request("DisplayInvoiceType")
			If SelectedType <> "ALL" and SelectedType <> "" Then

				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from InvoiceType where InvoiceTypeID = " & SelectedType
					NewRecord.Open SQL,Conn2,3,3

					If NewRecord.EOF <> True then
						NewRecord("DisplayTypeOnAccountManager") = True
					End IF

				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing


			End If
			'response.write SelectedType & "<br>"
			next


	'****** Invoice Status *****
	' Now record all of the dropdown choices for invoice status and invoice status values

	' Whether to show an invoice based on its status is stored in the Invoicestatus table (version 8.0 database)


	' Now add all of the selected Invoice status values
	' They can add any number of invoice status
	' First we will need to remove all existing settings for this flag and then put them back



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from InvoiceStatus"

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		If rstemp.EOF <> True THEN

			Do while (rstemp.EOF <> True) AND (rstemp.BOF <> True)
				rstemp("DisplayStatusOnAccountManager") = False ' Disable all values first
				rstemp.movenext
			loop

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected invoice types list category incase they added some new and
		' deleted others.

			For each SelectedType in Request("DisplayInvoiceStatus")
			If SelectedType <> "ALL" and SelectedType <> "" Then

				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from InvoiceStatus where InvoiceStatusID = " & SelectedType
					NewRecord.Open SQL,Conn2,3,3

					If NewRecord.EOF <> True then
						NewRecord("DisplayStatusOnAccountManager") = True
					End IF

				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing


			End If
			'response.write SelectedType & "<br>"
			next




%>

<% ' Display the confirmation page now %>

<html>
<!-- (C) 1996-2013 by Internet Software Sciences -->
<head>
<title> Configure Account Manager</title>
</head>
<body bgcolor=#C0C0C0>

<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Configure Account Manager</b>
</font>
<br>
</td></tr></table><p>
</center>

<center>
<font size=+1 color=red>

<B>Account Manager Fields have been updated</b>

</font>

<P>
<U>
<%=wc_Choose_One_Option_Below%>:<P>
</u>
	<center>
	<table width=60%>
	<tr>
	<td width=50%>

	<a href=AccountManagerConfig.asp>Account Manager Configuration</a>
	</td>
	<td width=50%>

	<a href="UserScreen.asp"><%=wc_Return_to_User_Screen%></a>
	</td></tr>
	</table>
</center>
</center>


<br>
<br>


</font>

</body>
</html>






<% Sub GetDatabaseConfiguration(TechScreenColor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TechScreenColor
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")

		End If

		rstemp2.close
		set rstemp2=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>





<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
		End If


	End Function ' End of TechFullName
	%>

