<% 'Module: DoAddEventType.asp (Tech+Center Version)

   'Description: This module processes the responses from the  page
   ' and displays a confirmation page.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

	' This page process 5 difference types of Event Type Editor options

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/03/00	SAV		Created original ASP

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>



<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoAddEventType.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Event%></title>
</HEAD>
<BODY BGCOLOR=<%=ts_user_Page_Color%>>


<% 'Get the form data

	Submit = Request.form("Submit")

	If Submit = "Add Event Type" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Add New Event Type
	' * * * * * * * * * * * * * * * * * * * * * *

		NewUserCategory = Request.form("NewUserCategory")

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Event_Type  where Event_Type_Name = '" & NewUserCategory & "'"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			' It must not exist before we add it.
			If NewRecord.EOF = True and NewUserCategory <> "" Then
				NewRecord.AddNew

				NewRecord("Event_Type_Name") = NewUserCategory

				NewRecord.Update
			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html
<head>
<title> Event Type Options</title>
</head>
<body>
<center>
<font face=arial>
<%=wc_Event_Type_Name_Added%>
</font>
</center>

<font size=-1 face=arial>
<UL>
<%=wc_Event_Type_confirm_1%><B> <%=NewUserCategory %></b> <%=wc_Event_Type_confirm_3%>.
<P>
<%=wc_Event_Type_coninue_block%><P>
<center>
<table width=70%>
<tr><td align=center>
<a href="EditEvent.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 2 - Add Event Type %>

<%End If ' End of security check %>



<%Function GetEventTypeName(Event_Type_ID)
' This function returns the name of the passed Event_Type_ID

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Event_Type where Event_Type_ID = " & Event_Type_ID

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any category exists
		GetEventTypeName = "Event Not Found"
	Else
		GetEventTypeName = rstemp("Event_Type_Name")
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End Function
	%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>

