
<% 'Module: DoAssetImportTest.asp

   'Description: This module is

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/05/12 CMB		Created original
   '02/06/12CMB      Added ability to assign to tech; added ability to add an asset notes
   '02/12 12CMB      Script time out;
   '03/15/12CMB      Valid dates; required fields for SBCC; this is commented out so error msgs won't appear if not sbcc
   '03/26/12 CMB      Customers plus tech id and customer id column (last two not tested)

%>
	<% ' Set the Script Timeout value to something fairly large
		' You may need to increase this if you are sending to large volume of customers

		Server.ScriptTimeOut = 10000 ' Set to 1200 seconds (20 minutes)

	%>

	<!-- #INCLUDE FILE="DB_define.inc" -->
	<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
	<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
	<!-- #INCLUDE FILE="Reports.inc" -->
	<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
	<!-- #INCLUDE FILE="Adovbs.inc" -->
	<HTML>
	<HEAD>
	<!-- #INCLUDE FILE="Stylesheet.inc" -->

<title><%=wc_Import_assets%></title>

	<%
	Dim nExtraColumns
	nExtraCOlumns = 6
	Dim cnt
	cnt = request.form("ColCnt")
	sContainsHeader = request.form("FirstRow")

Dim ary(100) ' - this holds the number of columns
Dim ary2(100)
Dim AssignedTech

	' ---- below is for SBCC requiring input for their rquired fields; serial_number handled elsewhere
	Dim bStatusEntered
	Dim bAssignmentTypeEntered
	bStatusEntered = 0  ' Monitor_Serial_Number_Label
	nStatusRow = -1
	bAssignmentTypeEntered = 0 ' Lease_Or_Purchase_Label
	nAssignmentTypeRow = -1
	Dim nSerialNumberRow ' column actually
	nSerialNumberRow = -1
	Dim nDateAcquiredRow ' Date_Acquired
	nDateAcquiredRow = -1
	Dim nDateInServiceRow  'Date_in_service,Date_put_into_service_Label
	nDateInServiceRow = -1
	Dim nDateAssignedRow 'Date_Assigned
	nDateAssignedRow = -1
	Dim nShipDateRow ' (app1)
	nShipDateRow = -1


	'--- end SBCC required fields
    	Dim lvl
		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		AssignedTech = Request.form("Technician")
		AssignedCustomer = Request.form("Customer")

 	'*** FILE EXISTS?
 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

 	set rstemp = server.createobject("adodb.recordset")
 	rstemp.open mySQL, conntemp, 1,3

 	If rstemp.EOF = True  Then
 		ErrorMessage = "No Configuration file found"
 		UserPageColor = "FFFFFF" ' Default to white if record not found
		DateDisplayFormat = "MMDDYYYY"
		DatabaseType = "ACCESS97"

 	Else
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		UserPageColor = rstemp("ts_user_page_color")
		DateDisplayFormat = rstemp("Date_Display_Format")
		DatabaseType = rstemp("DatabaseType")
 		TechCenterVirtualDirectory = rstemp("TechVirtual")
 		UserPageColor = rstemp("ts_user_page_color")
 		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path
 		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
 	End If ' End if for no Configuration row found

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

'**************** Determine file name
sFileName = request.Form("FileName")

'****************** get values from submitted form and pass them to step2
%>
</HEAD>
<body class=rightwindow>
<FORM METHOD=POST ACTION=DoImportAssetsStep3.asp>
<INPUT TYPE=hidden name="FileName" value="<%=sFileName%>">
	<INPUT TYPE=HIDDEN name=FirstRow value="<%=Request.form("FirstRow")%>" >

<%  '---- These are the constants

	nExtraCOlumns = 6
	for i = 0 to nExtraColumns
			sCol = "Option" & i
			sValueCol = "Value" & i
			sTextCol = "TextValue" & i
			sTemp = Request.Form(sCol)
			sDropDownValue = Trim(Request.form(sValueCol))
			sTextBoxValue = trim(request.form(sTextCol))

			  %>
		<INPUT type=hidden Name=<%=sCol%> Value="<%=sTemp%>">
		<INPUT type=hidden Name=<%=sValueCol%> Value="<%=sDropDownValue%>">
		<INPUT type=hidden Name=<%=sTextCol%> Value="<%=sTextBoxValue%>">
	<%
	next
	%>

	<Input type=hidden name=Technician value="<%=Request.form("Technician")%>">

<%	nColCount = cint(request.form("ColCount")) %>

<input type=hidden  name=ColCount value=<%=nColCount%>>
<% for i = 0 to nColCount
			sCol = "Col" & i
			sTemp = Request.Form(sCol)
			%>
			<INPUT  type=hidden Name="<%=sCol%>" Value="<%=sTemp%>">
			<%
	 	next
%>

	<Input type=hidden name=Customer value="<%=Request.form("Customer")%>">

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Import_assets%></td>
</tr>
</table>

<p>
<CENTER>

<%'******** end of passing on form values

if sFileName = "" or instr(sFilename,".csv") = 0 then
	'invalid file
else
End If

	 For each key in Request.serverVariables
		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)

			Virtual_Path = replace(Script_Name, "DoImportAssetStep3.asp", sFileName,1,99.1)

			' We next need to replace TechCenter Virtual Directory Name with the
			' the download virtual directory

			If TechCenterVirtualDirectory = "" Then
				TechCenterVirtual = "tech70"
			Else
				TechCenterVirtual = TechCenterVirtualDirectory
			End If
			'Response.write "TechCenterVirtual = " & TechCenterVirtual

			Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
		End IF
	Next

	FullFileURL = "http://" &  hostname & Virtual_Path

			slash = "\"
			TargetFilePath = FileUploadDestinationPath & slash & sFileName

			Set fs1 = CreateObject("Scripting.FileSystemObject")

			If fs1.FileExists(TargetFilePath) Then
			 	'response.write "<br>FILE EXISTS<br>"
			  	'	response.write TargetFilePath & "<br>"
			  	'	response.write TargetFilePath2  ' c:\program files
			Else
				response.write TargetFilePath & "<br>"
				response.write "<br>File does not exist<br>"
			End If

'response.flush
'response.end

	'-- *************** open file and read it in

	%>
	<%
	Dim aryMapped(100)
	Dim aryConstants(6)
	Dim nMappedColumns
	Dim aryConstantValues (6)
	Dim nConstants
	nConstants = 0
	nMappedColumns = 0

	'**** these are the values in the extra constant columns
	   sNewNotes = ""  ' 02/06/12
		sMSG = ""

		for i = 0 to nExtraColumns
				sCol = "Option" & i
				sValueCol = "Value" & i
				sTextCol = "TextValue" & i
				sValue = ""
				sDBColumnName = ""
				sTemp = Request.Form(sCol)
				If sTemp > ":" then
					if sTEMP = "NOTES:NOTES" then ' 02/06/12 added notes - handle this elsewhere
						sNewNotes = trim(request.form(sTextCol))
						sNewNotes  = replace(sNewNotes ,chr(34),"")
						sNewNotes  = replace(sNewNotes ,chr(39),"")
					Else
					 ' get column name
						aryValue=split(sTemp,":")
						sDBColumnName = aryValue(0)

						' is there a value in the dropdown?
						sDropDownValue = Trim(Request.form(sValueCol))
						if sdropdownvalue <> "" then
								sValue = sDropDownValue
						Else
							  'see whether something in textbox
							  sTextBoxValue = trim(request.form(sTextCol))
							  if sTextBoxValue > "" then
									sValue = sTextBoxValue
									sValue  = replace(sValue ,chr(34),"")
									'Remove all quotes (If your csv has quotes other than to seperate text
									' cmb added - remove all apostrophes because sqlserver can't handle it
									sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12
								End If
						End If

						if sValue > "" then
							aryConstants(nConstants) = aryValue(1) ' this is their name for the column

							if checklength(sDBColumnName,sValue) = false then
									smsg= "<Font color=RED>" & wc_Import_constantValueTooLong & "</font>"
							end if

							if SBCC = "YES" Then
								if sDBColumnName = "Lease_or_Purchase" then
									bAssignmentTypeEntered = 1
								End if

								if sDBColumnName =  "monitor_serial_num" then
									bStatusEntered = 1
								End if


								' if any of these constants are date fields, check for validity (later) now set to -199 to indicate bad constants
								if ucase(sDBColumnName) = "DATE_ACQUIRED" then
										If Not IsValidDateInput(sValue, DateDisplayFormat) then
											nDateAcquiredRow = -199
										End If
								End if

								if ucase(sDBColumnName) = "DATE_IN_SERVICE" then
										If Not IsValidDateInput(sValue, DateDisplayFormat) then
											nDateInServiceRow = -199
										End If
								End if

								if ucase(sDBColumnName) = "DATE_ASSIGNED" then
										If Not IsValidDateInput(sValue, DateDisplayFormat) then
											nDateAssignedRow = -199
										End If
								End if

								if ucase(sDBColumnName) = "APP1" then

										If Not IsValidDateInput(sValue, DateDisplayFormat) then
											nShipDateRow = -199
										End If
								End if
							End If ' sbcc

							aryConstantValues(nConstants) = sValue
							nConstants = nConstants + 1

						End If
					End if
				End If
	 	next
'response.end


'  *******  this gets the mapped columns in the bottom part
	 	bFirstBottom = bFirst
		'*** get the rest of the columns - these are the values of the dropdown above the file columns - NOTE You need at least one of these
			for i = 0 to cnt
					sCol = "Col" & i
					sDBColumnName = ""
					sTemp = Request.Form(sCol)
					If sTemp > ":" then
						' get column name
							aryValue=split(sTemp,":")
							sDBColumnName = aryValue(0)
							if sDBColumnName > "" then

								if sDBCOlumnName = "Serial_Number" then
									nSerialNumberRow = i
								End If

							' check here to make sure any required fields are set
							'response.write "COL:" & sDBColumnName & len(sDBColumnName) & "<br>"

							IF SBCC = "YES" Then

								if Trim(sDBCOlumnName) =  "Lease_or_Purchase" then
									bAssignmentTypeEntered = 1
									nAssignmentTypeRow = i
									End if


								if sDBCOlumnName =   "monitor_serial_num" then 'watch it this is case sensitive!!!!
									bStatusEntered = 1
									nStatusRow = i
								End if

							' if any of these constants are date fields,
								if ucase(sDBCOlumnName) =   "DATE_ACQUIRED" then
										nDateAcquiredRow = i
								End if

								if sDBCOlumnName =  "date_in_service" then
										nDateInServiceRow = i
								End if

								if sDBCOlumnName =  "date_assigned" then
										nDateAssignedRow = i
								End if

								if ucase(sDBCOlumnName) =  "APP1" then
										nShipDateRow = i
								End if
							End If ' sbcc

								aryMapped(nMappedColumns) = aryValue(1) ' this is their name for the column
								'response.write Aryvalue(1) ' NOTE THIS Trauncates anything with spaces!!!
								nMappedColumns = nMappedColumns + 1
							End If
					End If
			 	next

'*************** PUT UP FORM HEADER ***********************

%>
<table class=BGWrapper>
<p>
<TR><TD  class=MinorScreenTitle colspan=2><%=wc_Import_Confirm_Test%></TD>	</tr>
	<%if smsg = "" then%>
		<TR><TD class=MinorScreenTitle align=center>
		<%=wc_Import_Confirm_YesNo%></td>

		<td align=center> <input type=Submit name=Submitb value="IMPORT THESE ASSETS">&nbsp; &nbsp;
		 <INPUT TYPE="button" onClick="history.back()" value="Cancel"></td>
	<%Else %>
			<TR><TD class=MinorScreenTitle align=center>
			<%=wc_Import_constantValueTooLong%></td>

			<td align=center>
			 <INPUT TYPE="button" onClick="history.back()" value="Cancel"></td>
	<% end If %>
</TR>
</TABLE>
<P>

<%
' IF SBCC PUT UP ERROR MESSAGES FOR EITHER REQUIRED FIELDS THAT AREN"T MAPPED AND DON"T GO ANY FURTHER
' if there isn't a assignment type or status field or serial number mapped or set to a constant, don't go any further; required fields

	ErrorMessage = ""
		if nMappedColumns = 0 then
				ErrorMessage=ErrorMessage & "<LI><Font color=RED>You must map at least one column of the input file!</font>"
      End If

		IF SBCC = "YES" Then
			if   bAssignmentTypeEntered = 0 then
				ErrorMessage=ErrorMessage & "<LI><Font color=RED>" & Lease_Or_Purchase_Label & " " & wc_Is_A_Required_Field & "</font>"
			End If

			if  bStatusEntered = 0 then
					ErrorMessage=ErrorMessage & "<LI><Font color=RED>" & Monitor_Serial_Number_Label & " " & wc_Is_A_Required_Field & "</font>"
			End If

			if nSerialNumberRow = -1 then
					ErrorMessage=ErrorMessage & "<LI><Font color=RED>" & Serial_Number_Label & " " & wc_Is_A_Required_Field & "</font>"
			End If
	End If 'SBCC
If ErrorMessage > "" then
   response.write ErrorMessage
Else
%>
<%
'*************** header for rows
%>
		<CENTER>
		<TABLE BORDER=1 CELLSPACING=2 CELLPADDING=2 WIDTH="75%" >
<TR>
				<td class=formlabelsuper width="<%= 100/(cnt) %>%"><%=wc_Row_Number%></td>

<%
	for table = 0 to (nMappedColumns) - 1  ' this puts up the columns that they have mapped with the friendly names
		%>
				<td class=formlabelsuper width="<% response.write 100/(cnt) 'make the cell widths even %>%" valign=top>
				<%=AryMapped(table)%>
		</td>
		<%
	next

	for table = 0 to (nConstants) - 1 ' this puts up the columns that they have mapped for constant values
		%>
			<td class=formlabelsuper width="<% response.write 100/(cnt) 'make the cell widths even %>%" valign=top>
				<%=AryConstants(table)%>
			</td>
		<%
	next
	%>
	</tr>

	<tr>

	<%
	'Reset the counter

'**** new
	set act = fs1.opentextfile(targetfilepath,1)

	'imported_text = act.readline
	nRows = 0
	iRows = 0 ' number of actual rows

	Do while not act.AtEndOfStream
		if iRows = 0 and sContainsHeader= "on" then
			rec  = act.Readline
		End If

   	rec  = act.Readline
   	ReadAry = Split(Rec,",")

		 ' row#
		 %>
			<td class=datavalue width="<%= 100/(cnt) %>%"><%=iRows+1%></td>
		<%
	if ubound(readary)+1 <> cint(cnt) then
		sMsg = "<font color=red>Bad row -- has " & ubound(readary)+1 & " columns. Should be " & cnt & "</FONT>"
		%>
		<td class=datavalue colspan=<%=cnt%>><%=sMsg%></td>
		<%
	else

		bNotBlank=0
		for iCol = 0 to cnt-1 ' process columns 'check for blank rows
			sCol = "Col" & iCol
			sTemp = Request.Form(sCol) ' stemp is the column name
			If sTemp > ":" then
				sValue = ReadAry(iCol)
				sValue = replace(sValue,chr(10),"")
				sValue = replace(sValue,chr(13),"")
				sValue  = replace(sValue ,chr(34),"")
				sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12

				aryValue=split(sTemp,":")
				sDBColumnName = aryValue(0)
				if len(sValue) > 0 then
						bNotBlank=1
				End If
			End If
		Next

		for iCol = 0 to cnt-1 ' process columns
				smsg=""

				sCol = "Col" & iCol
				sTemp = Request.Form(sCol) ' stemp is the column name
				If sTemp > ":" then
					sValue = ReadAry(iCol)
					sValue = replace(sValue,chr(10),"")
					sValue = replace(sValue,chr(13),"")
					sValue  = replace(sValue ,chr(34),"")
					sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12

					aryValue=split(sTemp,":")
					sDBColumnName = aryValue(0)

					'---- check for required fields
					'NOTE if this is a blank row will put out messages for all rquired fields that are blank since
					' we don't know that this is a blank row until after the row is processed

					IF SBCC = "YES" and bNotBlank = 1 Then
						'if bentered and n=0 then constant OK else
						'if bentered and n > 0 then make sure a value or put up message

						if  bAssignmentTypeEntered = 1 and iCol = nAssignmentTypeRow and len(sValue) = 0  then
								smsg="<Font color=RED>" & Lease_Or_Purchase_Label & " " & wc_Is_A_Required_Field & "</font>"
						End If

						if bStatusEntered = 1 and iCol = nStatusRow and len(sValue) = 0  then
								smsg="<Font color=RED>" & Monitor_Serial_Number_Label & " " & wc_Is_A_Required_Field & "</font>"
						End If

						if icol = nSerialNumberRow and len(sValue) = 0  then
								smsg="<Font color=RED>" & Serial_Number_Label & " " & wc_Is_A_Required_Field & "</font>"
						End if
						' -- Check for valid date fields if entered

					  if icol = nDateAcquiredRow and len(sValue) > 0 then
							If Not IsValidDateInput(sValue, DateDisplayFormat) then
									smsg= smsg &  " <Font color=RED>" &  wc_Is_An_Invalid_Date & "</font>"
							End If
					  End if

					  if icol = nDateAssignedRow and len(sValue) > 0 then
							If Not IsValidDateInput(sValue, DateDisplayFormat) then
									smsg= smsg  & " <Font color=RED>" &  wc_Is_An_Invalid_Date & "</font>"
							End If
					  End if

					  if icol = nDateInServiceRow and len(sValue) > 0 then
							If Not IsValidDateInput(sValue, DateDisplayFormat) then
									smsg= smsg  & " <Font color=RED>" &  wc_Is_An_Invalid_Date & "</font>"
							End If
					  End if

					  if icol = nShipDateRow and len(sValue) > 0 then

							If Not IsValidDateInput(sValue, DateDisplayFormat) then
									smsg= smsg  & " <Font color=RED>" &  wc_Is_An_Invalid_Date & "</font>"
							End If
					  End if
					End If  ' SBCC

					if len(sValue) > 0 then
						bNotBlank=1
						if CheckUnique(sDBColumnName,svalue) = false then
							smsg=smag & " <Font color=RED>" & wc_Import_NotUnique & "</font>"
						End If
						If checklength(sDBColumnName,svalue) = false then
							smsg=smsg  & " <Font color=RED>" & wc_Import_ValueTooLong & "</font>"
						End If
						if ucase(sDBColumnName) = "TECH_ID" then
							If checkTech(sDBColumnName,svalue) = false then
								smsg=smsg  & " <Font color=RED>" & "Tech ID"  & " is Invalid</font>"
							end if
						end if
						if ucase(sDBColumnname) = "CUSTOMER_ID" then
							if CheckCustomer(sDBColumnName,svalue) = false then
								smsg=smsg  & " <Font color=RED>" & wc_Customer_ID & " is Invalid</font>"
							end if
						end if


					End If
				%>
					<td  class=datavalue> <%=sValue%> <%=sMsg%>	</td>
				<% end if %>
			<%
		next ' end of input row

		' ***** ADD MAPPED CONSTANT COLUMNS to the end of the row
				for i = 0 to (nConstants) - 1
					sMsg = ""
					%>
					<td  class=datavalue width="<% response.write 100/(cnt) 'make the cell widths even %>%" valign=top>
						<%	if bNotBlank=1 then %>
							<%
							IF SBCC = "YES" Then
								if AryConstants(i) = Date_Acquired_Label and nDateAcquiredRow = -199 then
										smsg=smsg  & " <Font color=RED>" & wc_Is_An_Invalid_Date & "</font>"
								end if

								if AryConstants(i) = Date_put_into_service_Label and nDateAcquiredRow = -199 then
										smsg= smsg  & " <Font color=RED>" & wc_Is_An_Invalid_Date & "</font>"
								end if

								if AryConstants(i) = Date_Assigned_Label and nDateAssignedRow = -199 then
										smsg= smsg &  " <Font color=RED>" & wc_Is_An_Invalid_Date & "</font>"
								end if

								if AryConstants(i) = App_1_Label and nShipDateRow = -199 then
										smsg= smsg  & " <Font color=RED>" & wc_Is_An_Invalid_Date & "</font>"
								end if

							End If
							%>

				   			 <%=AryConstantValues(i)%> <%=sMsg%>
						<% else %>
							&nbsp;
						<% end if %>
					</td>
					<%
				next
				If bNotBlank = 1 then
					nRows = nRows + 1  ' nrows is the number of nonblank rows
				End If
		End If ' right number of columns
		%>
	</tr>
		<%		iRows = iRows + 1 %>

	<% loop'end of the row %>
	<% act.close %>
	</TD></TR>
	</table>
	</TD></TR></TABLE>

<% END IF %>
	<input type=hidden  name=RowCount value=<%=nRows%>>

	</FORM>
</body>
</HTML>


<%'---------------------------------------------%>


<% Function CheckUnique(DBColumn,sinValue)
	Dim bReturn
	bReturn = false ' true is OK
	'	on error resume next

			if sinvalue > "" then
				if DBColumn = "Computer_ID" or dbcolumn = "Serial_Number" or dbColumn = "Property_tag" or dbcolumn = "IP_Address" then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here
					mySQL2="select * from Assets where " & DBColumn & " = '" & sinValue & "'"
					set rstemp2=conntemp.execute(mySQL2)
				'	if err.number > 0 then
				'		response.write "PROBLEM TESTING FOR UNIQUENESS " & sinValue & "DB" & sDBColumn
				'	End If
					if rstemp2.EOF then
						bReturn = true
					End If

					rstemp2.close
					set rstemp2=nothing
					conntemp.Close
					Set conntemp = nothing
				Else
					bReturn = true
				End If
			Else
				breturn = true
			End If

		CheckUnique = bReturn

	End Function
	%>

<% Function CheckTech(DBColumn,sinValue)
	Dim bReturn
	bReturn = false ' true is OK

			if sinvalue > "" then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here
					mySQL2="select * from Tech_Staff where Tech_ID = '" & sinValue & "'"
					set rstemp2=conntemp.execute(mySQL2)
					if NOT rstemp2.EOF then
						bReturn = true
					End If

					rstemp2.close
					set rstemp2=nothing
					conntemp.Close
					Set conntemp = nothing
			Else
				breturn = true
			End If

		CheckTech = bReturn

	End Function
	%>

<% Function CheckCustomer(DBColumn,sinValue)
	Dim bReturn
	bReturn = false ' true is OK

			if sinvalue > "" then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here
					mySQL2="select * from Customers where Customer_ID = '" & sinValue & "'"
					set rstemp2=conntemp.execute(mySQL2)
					if NOT rstemp2.EOF then
						bReturn = true
					End If

					rstemp2.close
					set rstemp2=nothing
					conntemp.Close
					Set conntemp = nothing
			Else
				breturn = true
			End If

		CheckCustomer = bReturn

	End Function
	%>

<% Function CheckLength(DBColumn,sinValue) ' true is good
	Dim bReturn
	bReturn = false

   if len(sinValue) <= 100 Then
		bReturn = true
	End If
	CheckLength = bReturn

	End Function
	%>
