<% 'Module: DoConfigureDefaultGroupAssignment2.asp

   'Description: This Submit modules updates the Default Group Assignments
   ' for the individual category settings and then displays a
   ' final confirmation page.


   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/10/01	SAV		Created original DoConfigureDefaultGroupAssignment2.asp module.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoConfigureDefaultGroupAssignment2.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Configure Default Group Assignment Confirmation</title>
</head>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
%>


<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Configure_Default_Group_Assignment%> <%=wc_Confirmation%></b>
</font>
<br>
</td></tr></table><p>
</center>


<% Category_Number = Request.form("Category_Number") ' Category Item

  ' First clear all previous category default group notification values
  ' since we might be replacing into a new category number entirely.


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN ' Open connection here once

	' Loop Through the whole categories table !!

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Categories"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				Do While NewRecord.EOF <> True
					NewRecord("Group_Number") = Null ' Reset To null
					NewRecord.Update
					NewRecord.MoveNext
				Loop

			Else ' If it already exists do not add another entry

			End If

		NewRecord.Close
		Set NewRecord = Nothing

		' Now Set the new settings for one category and its category_items

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Categories where Category_Number = " & Category_Number

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			Do While NewRecord.EOF <> True

			' Get the past form element
				ItemNumber = NewRecord("Item_Number")
				CatItemFormNAme = "CatItemNumber" & ItemNumber

				' Form elements are "CatItemNumber + Itemnumber

				CatGroupNumber = Request.form(CatItemFormName)


				NewRecord("Group_Number") = CatGroupNumber ' Reset to Group specified
				NewRecord.Update

				NewRecord.MoveNext
			Loop

		NewRecord.Close
		Set NewRecord = Nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

%>





<%' Grab all Category Items from the Categories table for this category_number
	'and display the previous set category table if it exist


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Categories where Category_Number = " & Category_Number & " Order by Category_Number"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Category Items exists
		response.write "<Center>" & wc_No_Categories_Found_must_be_defined_first & "</center><,P>"
	Else

		CategoryName = rstemp("Category_Name")
		Category_Number = rstemp("Category_Number")


%>

<FORM METHOD=POST ACTION=DoConfigureDefaultGroupAssignment2.asp>

<input type=hidden name="Category_Number" value=<%=Category_Number%>>


<center>
<font size=-1>
<%=wc_Please_confirm_Assignments_below%> <br>
</font>
<table border=1 width=98%><tr><td bgcolor=F0E0D0>
<font size=-1><B><%=wc_Category%></b> <%=CategoryName%></font>
</td>
</tr>
</table>

<table border=1 cellspacing=2 cellpadding=3 width=98%>
<tr>
<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_Category_Item_Text%>
</th>

<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_assign_to_group%>
</th>

<th bgcolor=FFFFFF>

<font size=-1>
<%=wc_group%>
</th>
</tr>

<%

		Do While rstemp.EOF <> True
			ItemName = rstemp("Item_Name")
			CategoryGroupNumber = rstemp("Group_Number") ' Value of group number in category table

%>
	<tr>
	<td><font size=-1><%=ItemName%></td>

<td align=center>

<font size=-1>
<%=wc_If_selected_assign_to_group%>
</td>

	<% ' Now display all of of the Groups

			mySQL2="select * from Group_list order by Group_Name"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found then login fails.

			If  rstemp2.eof then ' Check to see any Category Items exists
				response.write "<td colspan=>No Groups Found.  At least one group must be defined</td></tr>"

			Else

				Response.write "<td align=center><font size=-1>"
				Do While rstemp2.EOF <> True
					GroupName = rstemp2("Group_Name")
					Group_Number = rstemp2("Group_Number")
					If CategoryGroupNumber = Group_Number Then ' Item selected
						response.write GroupName
					End IF

					rstemp2.MoveNext
				Loop
				response.write "</td></tr>"
			End IF

			' Close inner recordset
			rstemp2.close
			set rstemp2=nothing

			rstemp.MoveNext
		Loop ' Outer Loop

		End If ' If No Categories Found

		rstemp.Close
		Set rstemp = Nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>
	</table>

</center>

	<P>

	<center>
	<table width=80% border=0>

		<tr>

<td  align=center width=50% valign=middle><a href="SystemAdmin.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
		</td>
		</tr>
		</table>
		</center>

</form>

</body>
</html>

<% End If %>
