<% 'Module: AssetGroups.asp

   'Description: This module is the asset search engine first page.
   '(C) 1999, 2000, 2001, 2002-2006, 2010 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'12/12/00	SAV	Created Assets.asp search page from search.asp page
	'08/17/06	SAV	Created VerifyAsset.asp page from ASsets.asp page.
	'11/28/10	SAV	Create AssetGroups.asp from Assets.asp
	'11/14/11   CMB   Redirect back to original form

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AssetGroups.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>


<head>
<title>Add Asset</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>


<% ' Create the New Asset Group.. if the name is the same, do not create a duplicate group

	AssetGroup = Request.form("NewAssetGroup")

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from AssetGroup where AssetGroupName  = '" & AssetGroup & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF  Then

				NewRecord.AddNew
			Else
				'already exists - shouldn't they get a message? ' 11/14/11
			End If

			NewRecord("AssetGroupName") = AssetGroup

			' Set all of the variables the same for either new/update

				NewRecord.Update

	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	Response.redirect("AssetGroups.asp")  ' 11/14/11
%>





<body class=rightwindow  onload=setfocus() >

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Groups%></td>
</tr>
</table>
<p>

<Center>



<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0>

<tr>
  <td align=center class=minorformtitle><%=wc_Asset_Group_Created%></td>
</tr>

<tr>
<td>




<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0  >
<tr>
<td>
<table border=0    cellpadding=5 cellspacing=2 >


<TR>

<TD valig=top class=formlabelsuper>
<center>
<%=AssetGroup%>
</center>

</td>




</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->







</td>
</tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/c_Continue30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>


<!-- ------------------------- end buttons ----------------------------- -->


</td></tr>



</td>
</tr>
</table><!-- end of outerform wrapper -->







</CENTER>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
