<% 'Module: DoDeleteAsset.asp

   'Description: This module does the deleting of assets and
   ' and also nulls out the related asset field in other tables.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/03/01	SAV		Created original DoDelete.asp page
   '11/14/11   CMB      Also delete from assetgroups

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 5 and above do deletes

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoAssetInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values

	' If this page is called, they have said yes to delete the passed asset.


	asset_number = request.form("asset_number")

	' To main referential integerity of the database, we must find
	' and null out any references to this asset id before we delete the asset itself.

	' First we will search for case records that have this asset assigned.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where asset_number = " & asset_number

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		Do While NewRecord.EOF <> True

				NewRecord("Asset_Number") = 0 ' Default to back to zero


				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if
				NewRecord.MoveNext


		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


   '----------------- 11/14/11 added delete from assetgroupvalues
   	Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN

		SQL = "Delete from assetGroupValues where asset_number = " & asset_number
		set rstemp2=conn.execute(SQL)

		Conn.Close
		Set Conn = Nothing
'  ---- End 11/14/11

	' Now check for any customer/tech assignments


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from AssetAssignment where asset_number = " & asset_number

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		Do While NewRecord.EOF <> True

				NewRecord.Delete ' Delete the entire record

				'NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext


		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing




	' Finally we can delete the asset from the asset table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  Assets where asset_number = " & asset_Number

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then
				NewRecord.Delete

'				NewRecord.Update

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
'					  response.write "Database Errors Occured" & "<P>"
'				for counter= 0 to conn.errors.count
'					  response.write "Error #" & conn.errors(counter).number & "<P>"
'					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			Else ' If it already exists do not add another entry

			End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing



%>

<% ' Display the page now %>



<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title>Delete Asset Confirmation </title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>




<center>
<font face=arial>
Delete Asset Confirmation
</font>
</center>

<font size=-1 face=arial>
<UL>
The Asset <B>(Asset Number: <%=Asset_number%>)</b>  has been deleted and
other record reference fields that contained this asset number has been removed.
<P>

Please choose one of the link options below:<P>

	<center>
	<table width=70%>
	<tr>
	<td width=50% align=center>
	<font size=-1 face=arial>
	<a href=Assets.asp>Asset Search</a>
	</td>

	<td width=50% align=center>
	<font size=-1 face=arial>
	<a href=UserScreen.asp>Cancel</a>
	</td></tr>
	</table>


</ul>

<br>
<br>


</font>


</body>
</html>


<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
