<% 'Module: DoEditConfiguration.asp

   'Description: This module saves the system configuration values
   ' that is setup by the EditConfiguration.asp module.
   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->

	<% ' Save all of the values into the Configuration table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Configuration"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

			' Set Values and check for empty string before setting

			TextBoxSizing = Request.form("TextBoxSizing")
			If TextBoxSizing <> "" Then
				NewRecord("Text_Box_Sizing") = 	TextBoxSizing
			Else
				NewRecord("Text_Box_Sizing") = 	Null ' Set back to null
			End IF


			CasesummaryRows = Request.form("CasesummaryRows")
			If CasesummaryRows <> "" Then
				NewRecord("Case_Summary_Rows") = 	CasesummaryRows
			Else
				NewRecord("Case_Summary_Rows") = 	Null ' Set back to null
			End IF

			CasesummaryMaxRows = Request.form("CasesummaryMaxRows")
			If CasesummaryMaxRows <> "" Then
				NewRecord("Case_Summary_Max_Rows") = 	CasesummaryMaxRows
			Else
				NewRecord("Case_Summary_Max_Rows") = 	Null ' Set back to null
			End IF

			CaseResolutionRows = Request.form("CaseResolutionRows")
			If CaseResolutionRows <> "" Then
				NewRecord("Case_Resolution_Rows") = 	CaseResolutionRows
			Else
				NewRecord("Case_Resolution_Rows") = 	Null ' Set back to null
			End IF

			CaseResolutionMaxRows = Request.form("CaseResolutionMaxRows")
			If CaseResolutionMaxRows <> "" Then
				NewRecord("Case_Resolution_Max_Rows") = 	CaseResolutionMaxRows
			Else
				NewRecord("Case_Resolution_Max_Rows") = 	Null ' Set back to null
			End IF

			CaseHistoryRows = Request.form("CaseHistoryRows")
			If CaseHistoryRows <> "" Then
				NewRecord("Case_History_Rows") = 	CaseHistoryRows
			Else
				NewRecord("Case_History_Rows") = 	Null ' Set back to null
			End IF

			CaseTextBoxColumns = Request.form("CaseTextBoxColumns")
			If CaseTextBoxColumns <> "" Then
				NewRecord("Case_Text_box_Columns") = 	CaseTextBoxColumns
			Else
				NewRecord("Case_Text_Box_Columns") = 	Null ' Set back to null
			End IF

			DateDisplayFormat = Request.form("DateDisplayFormat")
			If DateDisplayFormat <> "" Then
				NewRecord("Date_Display_Format") = 	DateDisplayFormat
			Else
				NewRecord("Date_Display_Format") = 	Null ' Set back to null
			End IF

			TimeZoneAdjustment = Request.form("TimeZoneAdjustment")
			If TimeZoneAdjustment <> "" Then
				NewRecord("Time_Zone_Adjustment") = 	TimeZoneAdjustment
			Else
				NewRecord("Time_Zone_Adjustment") = 	Null ' Set back to null
			End IF

			TimeZoneLabel =  Request.form("TimeZoneLabel")
			If TimeZoneLabel <> "" Then
				NewRecord("Time_Zone_Label") = 	TimeZoneLabel
			Else
				NewRecord("Time_Zone_Label") = 	Null ' Set back to null
			End IF


			Language = Request.form("Language")
			If Language <> "" Then
				NewRecord("Language") = 	Language
			Else
				NewRecord("Language") = 	Null ' Set back to null
			End IF

			AllKBUpdate = Request.form("ALLKBUpdate")
			If AllKBUpdate <> "" Then
				NewRecord("All_KB_Update") = 	AllKBUpdate
			Else
				NewRecord("All_KB_Update") = 	Null ' Set back to null
			End IF

			TimeSpentCategory = Request.form("TimeSpentCategory")
			If TimeSpentCategory <> "" Then
				NewRecord("Time_Spent_Category") = 	TimeSpentCategory
			Else
				NewRecord("Time_Spent_Category") = 	Null ' Set back to null
			End IF


			TimeSpentInterval = Request.form("TimeSpentInterval")
			If TimeSpentInterval <> "" Then
				NewRecord("Time_Spent_Interval") = 	TimeSpentInterval
			Else
				NewRecord("Time_Spent_Interval") = 	Null ' Set back to null
			End IF

			NewRecord.Update


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = nothing

%>

<% ' Call the EditConfiguration page again to confirm settings %>

<%
	response.redirect "EditConfiguration.asp"

%>



