<% 'Module: DoEditEvent.asp

   'Description: This module is the submit module for EditEvent.asp
   '(C) 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '04/03/02	SAV		Created original ASP

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoEditEvent.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration2 ts_user_page_color, Assets_db, customer_Drop_Down %>

<% ' Get more Database configuration information for SMTP mailing

GetDatabaseEmailConfiguration SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName

%>

<% 'Get the form data

	Event_Title = Request.form("Event_Title")
	Event_Type_ID = Request.form("Event_Type_ID")

	StartMonth = Request.form("StartMonth")
	StartDay = Request.form("StartDay")
	StartYear = Request.form("StartYear")
	StartHour = Request.form("StartHour")
	StartMinute = Request.form("StartMinute")
	StartAMPM = Request.form("StartAMPM")
	EndMonth = Request.form("EndMonth")
	EndDay = Request.form("EndDay")
	EndYear = Request.form("EndYear")
	EndHour = Request.form("EndHour")
	EndMinute = Request.form("EndMinute")
	EndAMPM = Request.form("EndAMPM")
	Status = Request.form("Status")
	EmailNotify = Request.form("EmailNotify")

	Case_Number = Request.form("Case_Number")

	Tech_ID = Request.form("Tech_ID") ' Event Coordinator
	customer_ID = Request.form("Customer_ID")
	Schedule_ID = Request.form("Schedule_ID") ' Only passed with updates

	mode = Request.form("mode") ' only set if we are in a subwindow invoked from TCaseFrom



	EventNotes = Request.form("Event_Notes") ' Contact Notes Form - goes into CustomerNotes Table

	' Check for required fields
	If Event_Title = "" Then
		ErrorMessage = ErrorMessage & "<LI> " & wc_Event_Title_is_a_required_field & "."
	End If

	If Event_Type_ID = "" Then
		ErrorMessage = ErrorMessage & "<LI>" & wc_Event_Type_is_a_required_field & "."
	End If


	If StartDay = "" OR StartMonth = "" OR StartYear = "" Then
		ErrorMessage = ErrorMessage & "<LI>" & wc_Start_Date_is_a_required_field & "."
	End If

	If EndDay = "" OR EndMonth = "" OR EndYear = "" Then
		ErrorMessage = ErrorMessage & "<LI>" & wc_End_Date_is_a_required_field & "."
	End If

	' Check and verify that at least one attendee exists


	Attendees = Request.form("AttendingReps")
	If Attendees <> "" Then
		AttendeeFound = "YES"
	End If


	If AttendeeFound <> "YES" Then
		ErrorMessage = ErrorMessage & "<LI>" & wc_You_must_select_at_least_one_attending_rep & "."
	End If


		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be display to ErrorMessage string variable.


		If ErrorMessage <> "" Then
		%>


<!-- #INCLUDE FILE="Techusererror.inc" -->

        <center>
        <p>

        <FORM>
		<INPUT type="button" value="Click here to go back" onClick="history.back()">
       </FORM>

	<% Else 'Otherwise save the customer information.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if Schedule_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Schedule_ID <> "" Then
			SQL = "Select * from Schedule where Schedule_ID = " & schedule_id
		Else
			SQL = "Select * from Schedule"
	     End If
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If Schedule_ID = "" Then ' If Schedule_id is blank then create new one
				NewRecord.AddNew
			End If

			' Set all of the variables the same for either new/update

		NewRecord("event_title") = event_title

		If case_number <> "" Then
			NewRecord("case_number") = case_number
		End If
		If IsNull(NewRecord("case_number")) = False and case_number = "" Then
			NewRecord("case_number") = Null ' Set to Null
		End If

		If customer_id <> "" Then
			NewRecord("customer_id") = customer_id
		End If
		If IsNull(NewRecord("customer_id")) = False and Customer_id = "" Then
			NewRecord("customer_id") = Null ' Set to Null
		End If

		If Tech_ID <> "" Then
			NewRecord("tech_id") = tech_id
		End If
		If IsNull(NewRecord("tech_id")) = False and tech_id = "" Then
			NewRecord("tech_id") = Null ' Set to Null
		End If


		If Event_Type_ID <> "" Then
		NewRecord("Event_Type_ID") = Event_Type_id
		End If

		If IsNull(NewRecord("Event_Type_id")) = False and Event_Type_id = "" Then
			NewRecord("Event_Type_id") = Null ' Set to Null
		End If

		' Date and Time settings------------------------
		' Start Date and Time

		' Attempt to create a valid date string and then check to see
		' if the date is valid and if so then set in the Due_Date_Time Date field

		'response.write "Start Month=" & StartMonth
		'response.write "Start Day=" & StartDay
		'response.write "Start Year=" & StartYear


		If StartMonth <> "" AND StartDay <> "" AND StartYear <> "" Then
			StartDateString = StartMonth & "/" & StartDay & "/" & StartYear
		End IF

		If StartHour <> "" AND StartMinute <> "" and StartAMPM <> "" Then
			StartTimeString = StartHour & ":" & StartMinute & " " & StartAMPM
		End IF

		' Check for a valid date string and reset to blank if not valid

		'response.write " StartDateString=" & StartDateString

		IF IsDate(StartDateString) = False Then
			response.write " Invalid Date = " & StartDateString
			StartDateString = "" ' Do not accept StartDateString
		End If

		If StartDateString <> "" Then ' StartDateString should MM/DD/YYYY
			StartDateConverted = CDate(StartDateString)
			NewRecord("Start_Date") = StartDateConverted
		End IF

		'response.write "Start_time= " & StartTimeString
		If StartTimeString <> ""  Then ' StartTimeString should be HH:MM AM formats
			StartTimeConverted = CDate(StartTimeString)
			NewRecord("Start_Time") = StartTimeConverted
		End If

		' End Date and Time

		' Attempt to create a valid date string and then check to see
		' if the date is valid and if so then set in the Due_Date_Time Date field

		If EndMonth <> "" AND EndDay <> "" AND EndYear <> "" Then
			EndDateString = EndMonth & "/" & EndDay & "/" & EndYear
		End IF

		If EndHour <> "" AND EndMinute <> "" and EndAMPM <> "" Then
			EndTimeString = EndHour & ":" & EndMinute & EndAMPM
		End IF

		' Check for a valid date string and reset to blank if not valid

		'response.write " EndDateString=" & EndDateString

		IF IsDate(EndDateString) = False Then
			EndDateString = "" ' Do not accept EndDateString
		End If

		If EndDateString <> "" Then ' EndDateString should MM/DD/YYYY
			EndDateConverted = CDate(EndDateString)
			NewRecord("End_Date") = EndDateConverted
		End IF

		'response.write "End_time= " & EndTimeString
		If EndTimeString <> ""  Then ' EndTimeString should be HH:MM AM formats
			EndTimeConverted = CDate(EndTimeString)
			NewRecord("End_Time") = EndTimeConverted
		End If


		If Status <> "" then
			NewRecord("Event_status") = Cint(status)
		End If

		If IsNull(NewRecord("Event_Status")) = False and Status = "" Then
			NewRecord("Event_Status") = Null ' Set to Null
		End If

		' Event Notes appending with user and time stamp

		CurrentNotes = NewRecord("event_Notes")

		'Response.write "CurrentNotes= " & currentnotes

		' Add Date and Time stamps and who edited the notes
					' Time Stamp the Case History before we put it into the case record

		CreateTimeDateValues DateString, TimeString, DateTimeString
		UserName = TechFullName() ' Get the name of the tech logged in

		NewNotes = "<font color=green><B>" & wc_Add_Updated_by  & ": </font></b><font color=blue>" & UserName & "</font> <font color=green> ON " &  DatetimeString &  "</font><br><font color=brown>" & vbCRLF & EventNotes & "<P></font>" &  CurrentNotes

		NewRecord("Event_Notes") = NewNotes


				NewRecord.Update
	'If  err.number>0 then
	'      response.write "VBScript Errors Occured:" & "<P>"
	'      response.write "Error Number=" & err.number & "<P>"
	'     response.write "Error Descr.=" & err.description & "<P>"
	'      response.write "Help Context=" & err.helpcontext & "<P>"
	'      response.write "Help Path=" & err.helppath & "<P>"
	'      response.write "Native Error=" & err.nativeerror & "<P>"
	'      response.write "Source=" & err.source & "<P>"
	'      response.write "SQLState=" & err.sqlstate & "<P>"
	'else
	'      response.write "No VBScript Errors Occured" & "<P>"
	'end if
	'IF  conn.errors.count> 0 then
	'      response.write "Database Errors Occured" & "<P>"
	'for counter= 0 to conn.errors.count
	'      response.write "Error #" & conn.errors(counter).number & "<P>"
	'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	'next
	'else
	''      response.write "No Database Errors Occured!" & "<P>"
	'end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	' We need to get the schedule_ID now so we can add the attending reps
	' to the event_attending table.
	' If this was a new case, we need to get the case_number for future reference

	If Schedule_ID = "" Then
	' Get the schedule_ID number of the event just submitted

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Replace any Single quotes with two single quotes

		New_Event_Title = Replace(Event_Title, "'", "''")

		mySQL2="SELECT * from Schedule where event_title = '" & Event_Title & "' order by Schedule_ID desc"

		' Response.write "SQL=" & mySQL2

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Schedule_ID = "Event Not Found - Contact ISS Support "
		Else
			Schedule_ID = rstemp2("schedule_id")
		End IF

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing


	End If '  End of if Schedule_ID = ""


	' Now add all of the selected attending reps for this event.


	' First we will need to remove all existing attendess for this event
	' since they may be dropping some and adding new ones.


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Event_Attending where Schedule_Id = " & Schedule_ID

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		Do while rstemp.EOF <> True
			rstemp.delete
			rstemp.movenext
		loop

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected techs incase they added some and
		' deleted others.

			For each SelectedGroup in Request("AttendingReps")
			If SelectedGroup <> "ALL" and SelectedGroup <> "" Then

				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from Event_Attending"
					NewRecord.Open SQL,Conn2,3,3
					NewRecord.AddNew

				NewRecord ("Schedule_ID") = Schedule_ID
				NewRecord ("Tech_ID") = SelectedGroup
				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing


			End If
			next

%>


<% ' Display the page now %>

<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Calendar_View%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Event_Editor_Confirmation%></td>
</tr>
</table>


<p>

<!-- -------------------------------------------------------------------- -->

<%

If mode <> "" Then ' If we are in a sub window, only output abreviated options to link elsewhere
    %>
        <center>
        <div class=InstructionText>
        Refresh the main screen to review the results of this operation
        </div>
        <p>
		<a href='javascript:var w=window.close()'><img src="/<%=WCLanguageDirectory%>/ts_close30x80.gif" border=0></a>

        </center>
    <%
else

%>

<Span class=outerformwrapper>

<%=wc_Your_event_has_been_added_or_updated%>. &nbsp;  &nbsp;  &nbsp;

<%=wc_Please_select_a_link_below%>:
</span>
<P>



<%
'	PassedMonth = Request.QueryString("PassedMonth") ' Month (1-12) is passed
'	PassedYear = Request.QueryString("PassedYear") ' Year is passed as 4 digit
'	PassedDay = Request.QueryString("Day")

	If PassedMonth = "" Then
		PassedMonth = Month(Now())
		PassedYear = Year(Now())
	End If

'	PassedMonth = 2
'	PassedYear = 2002
%>

<table width=100%>
<tr>
<td>
<font size=-1>

<%
	PreviousYear=Cint(PassedYear) -1
	NextYear=Cint(PassedYear) + 1
%>

<a href=ListAllView.asp?PassedYear=<%=PreviousYear%>&PassedMonth=12><%=PreviousYear%></a>
</font>

<font size=+2>  .  <%=PassedYear%>  .
</font>
<font size=-1>


<a href=ListAllView.asp?PassedYear=<%=NextYear%>&PassedMonth=1><%=NextYear%></a>
</font>


</td>

<td>

<font size=-1>
<%If PassedMonth = 1 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 2 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 3 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 4 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 5 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 6 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a>
</font>
<%End If %>

  <br>

<font size=-1>
<%If PassedMonth = 7 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 8 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 9 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=9><%=Month9%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=9<%=Month9%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 10 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 11 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 12 Then%>
<font size=+2 color=RED><a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a>
</font>
<%End If %>

</td>

<td><font size=+1><a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=<%=PassedMonth%>><%=wc_CALENDAR%></a></font>
</td>

</table>




	<center>
	<table width=80%>
	<tr>
	<td width=50% align=center>
	<font size=-1 face=arial>
	<B><a href=EditEvent.asp?ID=<%=Schedule_ID%>><%=wc_Review_or_Update_Event_Information%></a></b>
	</td>
	<td width=50% align=center>
	<font size=-1 face=arial><B>
	<a href=UserScreen.asp><%=wc_User_Screen%></a></b>
	</td></tr>
	</table>


</ul>

<br>
<br>


</font>

<%

End if  ' End of If we are in a sub window, only output abreviated options to link elsewhere

%>
<!-- -------------------------------------------------------------------- -->

<% If EmailNotify = "Yes" Then %>

<Table  class=TightTableWrapper cellspacing=1>

<tr><td class=ColumnLabel align=center> Email Notifications Have Been Sent To </td></tr>

<%


   ' first set up the text of the email message

   If Schedule_ID <> "" Then
     EmailSubject =  wc_UpdateEventSubjectHeading
     MsgeBody =  wc_UpdateEventSubjectHeading & vbCRLF
   Else
     EmailSubject = wc_NewEventSubjectHeading
     MsgeBody = wc_NewEventSubjectHeading & vbCRLF
   End If

   MsgeBody = MsgeBody & wc_Event & ": " & event_title & vbCRLF

   MsgeBody = MsgeBody & wc_Scheduled_for & ": " & StartMonth & "/" & StartDay & "/" & StartYear
   If starthour <> "" Then
     MsgeBody = MsgeBody & " AT " & StartHour & ":" & StartMinute & " " & StartAMPM
   End if

   MsgeBody = MsgeBody & vbCRLF

   if case_Number = "" and Customer_id = "" Then
    ' skip this bit
   Else
      MsgeBody = MsgeBody & " Regarding: "
      If customer_Id <> "" Then
         MsgeBody = MsgeBody &  wc_Customer & " " & customer_id & " "
      End if
      If Case_Number <> "" Then
         MsgeBody = MsgeBody & wc_Case_Number & " " & Case_Number
      End if
      MsgeBody = MsgeBody & vbCRLF
   End if

   If eventnotes <> "" Then
      MsgeBody = MsgeBody & wc_Event_Notes & ": " & eventnotes & vbCRLF
   End if


   ' Testbody = Replace(MsgeBody, vbCRLF, "<p>")
   ' response.write testbody




   ' Now fish out attendee addresses and loop sending emails
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

	For each SelectedGroup in Request("AttendingReps")

		mySQL2="select * from Tech_staff where tech_id = '" & SelectedGroup & "'"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TechyName = "User Not Defined for TechID: " & Techid
		Else
			TechyName = rstemp2("first_name") & " " & rstemp2("Last_name")
			TechEmail = rstemp2("work_email")

			response.write "<tr><td class=tightbodytext><b> " & Techyname & "</b> via " & TechEmail & "</td></tr>"

			 If MyOS = "Windows" Then
				SendEmail TechEmail, TechyName, EmailSubject, MsgeBody
			 Else
				SendLinuxEmail TechEmail, TechyName, EmailSubject, MsgeBody
             End If

		End If
	Next

	rstemp2.close
	set rstemp2=nothing
	conntemp.Close
	Set conntemp = nothing

%>


</Table>

<% End If ' if email notify is to occur%>


</body>
</html>

<% End if ' End of I ErrorMessage <> ""
%>


<%End If ' cookie security checks %>



<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	CurrentDateFormatted = CStr(Year(Date))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(Date))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(Date))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(Date)) & " " & MonthName(Month(Date)) & " " & Day(Date) & ", " & Year(Date) & " " & Time

	End Sub ' End of CreateTimeDateValues
%>

<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>

<% Sub GetDatabaseConfiguration2(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration2
%>

<% Sub GetDatabaseEmailConfiguration(SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName )
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' set rstemp2=conntemp.execute(mySQL2)
		' Old Method


		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

			' New 5.0 SMTP mailer options

				SendHTMLEmail = False ' Boolean value
				SMTP_User_Name = ""
				SMTP_Password = ""

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

		smtp_host_address = ""
		Standard_reply_to_address = ""
		 OrganizationFromName = "None" ' Use this for organization name in mail out

		Else

			' New 5.0 SMTP mailer options

				SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
				SMTP_User_Name = rstemp2("SMTP_User_Name")
				SMTP_Password = rstemp2("SMTP_Password")

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

				' Disable HTML email for scheduler message for now
				 HTMLEmail = "NO"

				smtp_host_address = rstemp2("smtp_host_address")
				Standard_reply_to_address = rstemp2("Standard_reply_to_address")
				 OrganizationFromName = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out



			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseEmailConfiguration
%>

