<%  ' Module: DoEmailListSearch.asp
	'
	' Description: Submit Module For EmailListSearch.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
   '5/13/11 CMB     Added email options
    '06/0811 CMB    Clean up redundancies by removing undisplayed fields from query

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form


		Contact_fname = Request.form("Contact_fname")
		Contact_lname = Request.form("Contact_lname")


		' Replace any single quote for names like O'mally with O''Mally for searches

		Contact_fname = Replace(Contact_fname, "'", "''")
		Contact_lname = Replace(Contact_lname, "'", "''")

		Email = Request.form("email")
		Company = Request.form("Company")
		Company = Replace(Company, "'", "''")


		Address = Request.form("Address")
		Address = Replace(Address, "'", "''")

		City = Request.form("City")
		State = Request.form("State")
		Phone1 = Request.form("Phone1")

		TextNote1 = Request.form("TextNote1")
		TextNote2 = Request.form("TextNote2")
		TextNote3 = Request.form("TextNote3")
		TextNote4 = Request.form("TextNote4")
		TextNote5 = Request.form("TextNote5")
		TextNote6 = Request.form("TextNote6")
		TextNote7 = Request.form("TextNote7")
		TextNote8 = Request.form("TextNote8")
		TextNote9 = Request.form("TextNote9")
		TextNote10 = Request.form("TextNote10")
		EmailOptions = Request.form("EmailOptions")

		Contact_fname = Replace(Contact_fname, "'", "''")
		Contact_lname = Replace(Contact_lname, "'", "''")


		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF

		If City <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.City like '" & City & "%'"
			AndText = " AND "
		End IF


		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF


		' add any textnotes to the WHERE statement - for all 10 textnote fields

		If TextNote1 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote1 like '%" & TextNote1 & "%'"
		  AndText = " AND "
        End If


		If TextNote2 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote2 like '%" & TextNote2 & "%'"
		  AndText = " AND "
        End If


		If TextNote3 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote3 like '%" & TextNote3 & "%'"
		  AndText = " AND "
        End If


		If TextNote4 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote4 like '%" & TextNote4 & "%'"
		  AndText = " AND "
        End If


		If TextNote5 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote5 like '%" & TextNote5 & "%'"
		  AndText = " AND "
        End If


		If TextNote6 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote6 like '%" & TextNote6 & "%'"
		  AndText = " AND "
        End If


		If TextNote7 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote7 like '%" & TextNote7 & "%'"
		  AndText = " AND "
        End If


		If TextNote8 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote8 like '%" & TextNote8 & "%'"
		  AndText = " AND "
        End If


		If TextNote9 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote9 like '%" & TextNote9 & "%'"
		  AndText = " AND "
        End If


		If TextNote10 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote10 like '%" & TextNote10 & "%'"
		  AndText = " AND "
        End If

		If EmailOptions <> "" Then
			If EmailOptions = "exclude" Then ' don't include people that have opted out
				WhereStatement = WhereStatement & AndText & " Deletelist.Customer_ID is NULL "
				AndText = " AND "
			else
				if EmailOptions = "only" then
					WhereStatement = WhereStatement & AndText & " Deletelist.Customer_ID is NOT NULL "
					AndText = " AND "
				End if
			End If
		End IF


		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If


			OrText = ""
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		If WhereStatement <> "" Then
			OrText = " AND " ' set OrText to And once
		End IF


		For each SelectedGroup in Request("CustomerTechAssignment")
		If SelectedGroup <> "" Then
			If WhereStatement <> "" Then
				OrText = " AND " ' set OrText to And once
			End IF
		WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
		ORText = " OR "

		End If
		'response.write SelectedGroup & "<br>"
		next

		If AssignedTechID <> "" Then ' This is getting called to view their own Customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""


	' Display the Main body of the page %>

<!-- #include file=BCHeader.inc-->


<%

	' Build the query based on the passed input fields



		mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, Customers.company "

		' CMB 06/08/2011 mySQL2 = mySQL2 & ", EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, "
		' CMB 06/08/2011 mySQL2 = mySQL2 & "CustomerNotes.TextNote1, CustomerNotes.TextNote2, CustomerNotes.TextNote3, CustomerNotes.TextNote4, CustomerNotes.TextNote5, CustomerNotes.TextNote6, CustomerNotes.TextNote7, CustomerNotes.TextNote8, CustomerNotes.TextNote9, CustomerNotes.TextNote10 "
		mySQL2 = mySQL2 & "FROM (((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) "
		mySQL2 = mySQL2 & "LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) "
		mySQL2 = mySQL2 & "LEFT JOIN CustomerNotes ON Customers.customer_id = CustomerNotes.Customer_ID) "
		mySQL2 = mySQL2 & "LEFT JOIN DeleteList ON Customers.customer_id = DeleteList.Customer_ID "



	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
	End If

	mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"

	'response.write mySQL2
'response.flush
'response.end

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount


 ' Put main body of HTML page here.

 %>

 	<CENTER>
 	<Table class=BGWrapper >
 	<tr>
 	<td  align=center valign=center class=majorscreentitlefixed>
 	<%=wc_Customer_Search_Results%>
 	<br>
 	 <span class=MinorScreenTitle><%=wc_Your_search_has_found%> </span>
 	 <span class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</span>
      <span class=MinorScreenTitle> <%=wc_matching_records%>.</span>


 	</td>
 	</tr></table>

	<table  cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->



	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	response.write "<span class=tinyprint>"

	If RecordsFound > 0 Then
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
	End If

	If NumOfPages > 1 Then

	   response.write  wc_Result_Pages & ": "



		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write  i
			Else
				response.write "<a href=DoEmailListSearch.asp?Page=" & i & "&Query="& Query&"> "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoEmailListSearch.asp?Page=" & CurrentPage+1 & "&Query=" & Query & ">" &  wc_Next & ".. &gt;&gt; </a>"
		response.write "<P>"
	End If

	response.write "</span>"
%>
	<center>
	<TABLE class=TightTableWrapper cellspacing=1" width=95% >
	<tr>
	<td class=ColumnLabel ><%=wc_Last%></td>

	<td class=ColumnLabel ><%=wc_First%></td>

	<td class=ColumnLabel ><%=wc_Company%></td>

	<td class=ColumnLabel ><%=wc_Email%></td>

	<td class=ColumnLabel ><%=wc_Phone%></td>

	<td class=ColumnLabel ><%=wc_Edit%> / <%=wc_Summary%></td>


	</tr>



<%

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If


		do while not rstemp.eof AND Count < 15


%>

	<% ' Note - because this table contains no instances of two lines within a cell, it appears too tight for comfortable
	   ' reading - not enough white space - so we cheat by putting a height specification in the first <td> of each row %>




	<tr>
	<td class=tightbodytext height=20>
	<%= rstemp("contact_lname") %>
	</td>

	<td class=tightbodytext>
	<%= rstemp("contact_fname") %>
	</td>

	<td class=tightbodytext>
	<%= rstemp("Company") %>
	</td>



	<td class=tightbodytext>
	<%= rstemp("Email") %>
	</td>

	<td class=tightbodytext>
	<%= rstemp("phone1") %>
	</td>


	<td class=tightbodytext>
	<a href=EmailListReg.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Edit%></a> /
		<a href=CustomerSummary.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Summary%></a>

	</td>




	</tr>

<%
			rstemp.movenext
			count = count + 1
		loop


	rstemp.close
	set rstemp=nothing

%>

	</table>
	</center>


	<font size=-1 face=arial>
<%



	If NumOfPages > 1 Then
        response.write "<span class=tinyprint>"

		response.write  wc_Result_Pages

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write  i
			Else
				response.write "<a href=DoEmailListSearch.asp?Page=" & i & "&Query="& Query&"> "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next
		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoEmailListSearch.asp?Page=" & CurrentPage+1 & "&Query=" & Query & ">" & wc_next  & ".. &gt;&gt; </a>"
		response.write "<P>"
	response.write "</span>"
	End If


%>


<%' Display the bcfooter links %>

<!-- #include file=BCFooter.inc-->
