<% 'Module: DoEmailToCaseConfiguration.asp

   'Description: This module saves the "More" configuration values
   ' that is setup by the MoreConfiguration.asp module.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '09/05/02	SAV		Created original ASP module
   '06/07/2010	SAV		Created DoEmailToCaseConfiguration.asp module from DoMore Configuration

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->

	<% ' Save all of the values into the Configuration table

	' First save the values for the File Attachment features that go into the Configuration Table
	' and not the EmailToCaseConfig table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Configuration"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

			' Set Values and check for empty string before setting



			FileUploadPhysicalPath = Request.form("FileUploadPhysicalPath")
			If FileUploadPhysicalPath <> "" Then
				NewRecord("FileUploadPhysicalPath") = 	FileUploadPhysicalPath
			Else
				NewRecord("FileUploadPhysicalPath") = 	Null ' Set back to null
			End IF

			FileUploadVirtualDirectory = Request.form("FileUploadVirtualDirectory")
			If FileUploadVirtualDirectory <> "" Then
				NewRecord("FileUploadVirtualDirectory") = 	FileUploadVirtualDirectory
			Else
				NewRecord("FileUploadVirtualDirectory") = 	Null ' Set back to null
			End IF



			MaxfileUploadSize = Request.form("MaxFileUploadSize")
			If MaxfileUploadSize <> "" Then
				NewRecord("MaxFileUploadSize") = 	MaxFileUploadSize
			Else
				NewRecord("MaxFileUploadSize") = 	Null ' Set back to null
			End IF

			NewRecord.Update


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = nothing


	'********************************************

	' Now save the specific Email To Case configurations


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from EmailToCaseConfig"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

			' Set Values and check for empty string before setting

			DisableEmailToCase = Request.form("DisableEmailToCase")
			If DisableEmailToCase <> "YES" Then
				NewRecord("DisableEmailToCase") = False
			Else
				NewRecord("DisableEmailToCase") = 	True
			End IF


			CustomerNotificationEmail = Request.form("CustomerNotificationEmail")
			If CustomerNotificationEmail <> "YES" Then
				NewRecord("CustomerNotificationEmail") = False
			Else
				NewRecord("CustomerNotificationEmail") = 	True
			End IF


			AllowAttachedFiles = Request.form("AllowAttachedFiles")
			If AllowAttachedFiles <> "YES" Then
				NewRecord("AllowAttachedFiles") = False
			Else
				NewRecord("AllowAttachedFiles") = 	True
			End IF


			OnlyExistingEmailAddresses = Request.form("OnlyExistingEmailAddresses")

			'response.write OnlyExistingEmailAddresses
			'response.flush
			'response.end


			If OnlyExistingEmailAddresses = "YES" Then
				NewRecord("OnlyExistingEmailAddresses") = True
			Else
				NewRecord("OnlyExistingEmailAddresses") = 	False
			End IF



			PopEmailAddress = Request.form("PopEmailAddress")
			If PopEmailAddress <> "" Then
				NewRecord("PopeMailAddress") = 	PopEmailAddress
			Else
				NewRecord("PopeMailAddress") = 	Null ' Set back to null
			End IF



			PopEmailUsername = Request.form("PopEmailUsername")
			If PopEmailUsername <> "" Then
				NewRecord("PopEmailUsername") = 	PopEmailUsername
			Else
				NewRecord("PopEmailUsername") = 	Null ' Set back to null
			End IF


			PopEmailpassword = Request.form("PopEmailpassword")
			If PopEmailpassword <> "" Then
				NewRecord("PopEmailpassword") = 	PopEmailpassword
			Else
				NewRecord("PopEmailpassword") = 	Null ' Set back to null
			End IF


			CheckIntervalMinutes = Request.form("CheckIntervalMinutes")
			If CheckIntervalMinutes <> "" Then
				NewRecord("CheckIntervalMinutes") = 	CheckIntervalMinutes
			Else
				NewRecord("CheckIntervalMinutes") = 	Null ' Set back to null
			End IF

			EmailDomainRequired = Request.form("EmailDomainRequired")
			If EmailDomainRequired <> "" Then
				NewRecord("EmailDomainRequired") = 	EmailDomainRequired
			Else
				NewRecord("EmailDomainRequired") = 	Null ' Set back to null
			End IF


			EmailToCaseReplyToName = Request.form("EmailToCaseReplyToName")
			If EmailToCaseReplyToName <> "" Then
				NewRecord("EmailToCaseReplyToName") = 	EmailToCaseReplyToName
			Else
				NewRecord("EmailToCaseReplyToName") = 	Null ' Set back to null
			End IF


			EmailToCaseReplyToEmail = Request.form("EmailToCaseReplyToEmail")
			If EmailToCaseReplyToEmail <> "" Then
				NewRecord("EmailToCaseReplyToEmail") = 	EmailToCaseReplyToEmail
			Else
				NewRecord("EmailToCaseReplyToEmail") = 	Null ' Set back to null
			End IF



			NewRecord.Update


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = nothing

%>

<% ' Call the MoreConfiguration.asp page again to confirm settings %>

<%
	response.redirect "EmailToCaseConfiguration.asp"

%>



