<%  ' Module: DoExportWCCustomersQB.asp
	'
	' Description: Submit Module For ExportWCTechsQB.asp module
	'
	' (C) 2000,2001- 2007 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '03/01/07	SAV		Created DoExportWCCustomersQB.asp
   '10/5/07		SAV		Updated to output direct .iif file with clickable link.
   '03/14/08	SAV		Created module for exporting techs to QB as employyes

	' Note: This page does NOT generated HTML, instead it creates an QB IIF file to be exported
	' into QB.


%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%

	' Build the query based on the passed input fields
	' No not categories or tech assignement the use a simple query



	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL2 = "SELECT * From tech_staff"

	'response.write mySQL2

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	RecordsFound = rstemp.recordcount

	%>


	<html>
	<head>
	<title>Export Web+Center Techs into Quick Book Employees</title>
	</head>

	<body>

	<center>

	<font size=+2>
	Export Web+Center Technicians into Quick Book Employees IIF File
	</font>
	</center>



	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

			Delimiter = vbTab



		' QB Employee format

	'!EMP	NAME	REFNUM	TIMESTAMP	INIT	ADDR1	ADDR2	ADDR3	ADDR4	ADDR5	CITY	STATE	ZIP	SSNO	PHONE1	PHONE2	EMAIL	NOTE	NOTEPAD	FIRSTNAME	MIDINIT	LASTNAME	SALUTATION	CUSTFLD1	CUSTFLD2	CUSTFLD3	CUSTFLD4	CUSTFLD5	CUSTFLD6	CUSTFLD7	CUSTFLD8	CUSTFLD9	CUSTFLD10	CUSTFLD11	CUSTFLD12	CUSTFLD13	CUSTFLD14	CUSTFLD15	HIDDEN	DELCOUNT


		'Web+Center Tech_Staff database column mappings to QB Field mappings
		' Most fields are not mapped.

	'	QB IIF File Column - WC Tech_Staff Column
	'	---------------
	'	!EMP
	'	NAME	first_name + space + last_name
	'	REFNUM
	'	TIMESTAMP
	'	INIT
	'	ADDR1
	'	ADDR2
	'	ADDR3
	'	ADDR4
	'	ADDR5
	'	CITY
	'	STATE
	'	ZIP
	'	SSNO
	'	PHONE1 work_phone1
	'	PHONE2	work_phone2
	'	EMAIL work_email
	'	NOTE
	'	NOTEPAD
	'	FIRSTNAME -  first_name
	'	MIDINIT
	'	LASTNAME - last_name
	'	SALUTATION
	'	CUSTFLD1
	'	CUSTFLD2
	'	CUSTFLD3
	'	CUSTFLD4
	'	CUSTFLD5
	'	CUSTFLD6
	'	CUSTFLD7
	'	CUSTFLD8
	'	CUSTFLD9
	'	CUSTFLD10
	'	CUSTFLD11
	'	CUSTFLD12
	'	CUSTFLD13
	'	CUSTFLD14
	'	CUSTFLD15
	'	HIDDEN
	'	DELCOUNT



		' Now send out the first line that defines the columns we are going to export





	FileStr = ""
	FileStr = "!EMP" 	& Delimiter
	FileStr = FileStr & "NAME" & Delimiter
	FileStr = FileStr & "PHONE1" & Delimiter
	FileStr = FileStr & "PHONE2" & Delimiter
	FileStr = FileStr & "EMAIL" & Delimiter
	FileStr = FileStr & "FIRSTNAME" & Delimiter
	FileStr = FileStr & "LASTNAME"
	FileStr = FileStr & vbCRLF

	Record = FileStr

	Response.write " Adding Record line-->" & Record
	response.write "<br>"



	FinalDelimiter = Delimiter ' Save FinalDelimiter Value

	Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later




' Now start to parse the tech_staff data from the W+C database



		' Now loop through the returned records and out the fields mapped


		do while not rstemp.eof


	' Need to replace any single quotes in customer ID if they exist

			' QB import specific

			Record = "EMP" & Delimiter


		Record = Record &  rstemp("first_name") & " " & rstemp("last_name")	& Delimiter

		Record = Record &  rstemp("work_phone1")		& Delimiter
		Record = Record &  rstemp("work_phone2")		& Delimiter
		Record = Record &  rstemp("work_email")		& Delimiter
		Record = Record &  rstemp("first_name")		& Delimiter
		Record = Record &  rstemp("last_name")		& Delimiter

			' Now appy replace functions to the whole record

			Record = Replace (Record, ",", " ") ' Replace comma with space
			Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
			Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
			Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
			record = Replace (Record, vbCR, " ") ' Replace individual CR
			record = Replace (Record, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in


			Record = Record & vbCRLF ' Add in the line CR/LF

			FileStr = FileStr & Record

			Response.write " Adding Record line-->" & Record
			response.write "<br>"

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	'Now Write the File to wctempfiles directory


	Filename = "WebCenterEmployeeQBExport.IIF"

	WriteTextFile FileStr, Filename


%>



<Br>
QB Export file succesfully created<br>


<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoExportWCTechsQB.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech60"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>


Directions: Click on the link below to save and import your employees<br>


<a href="http://<%=hostname%><%=Virtual_path%>">Quick Book Employee Import IIF File</a>








</body>
</html>


