<%  ' Module: DoExportWCTimeSpentItemsToQB.asp
	'
	' Description: Submit Module For ExportWCTimeSpentItemsToQB.asp module
	'
	' (C) 2000,2001- 2008 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '03/01/07	SAV		Created DoExportWCCustomersQB.asp
   '10/5/07		SAV		Updated to output direct .iif file with clickable link.
   '03/14/08	SAV		Created module for exporting techs to QB as employyes
   '03/19/2008	SAV		Created module to output IIF items for QB INVITEMS IIF file

	' Note: This page does NOT generated HTML, instead it creates an QB IIF file to be exported
	' into QB.


%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		BusinessVirtual = rstemp("BusinessVirtual") ' Business+Center Virtual Directory


		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>




<%

	' Build the query based on the passed input fields


		StartDate = Request.form("StartDate")
		EndDate = Request.form("EndDate")
		DateRange = Request.form("DateRange")
		GroupType = Request.form("GroupType")
		SetStatusID = Request.form("SetStatusID")
		SetInvoiceTypeID = Request.form("SetInvoiceTypeID")
		SetPurchaseDate = Request.form("SetPurchaseDate")
		ShowOutput = Request.form("ShowOutput")
		Customer_ID = Request.form("Customer_ID")
		Company = Request.form("Company")


	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' DATE SEARCHES CODE BELOW
	' * * * * * * * * * * * * * * * * * * * * * * * * * *


		If DateRange = "Range" Then
			If  (not isDate(StartDate)) Then
				Bailout("Bad Start-Date in Date-Range specification")
			end if

			If  (not isDate(EndDate)) Then
				Bailout("Bad End-Date in Date-Range specification")

			end if


		End If


		' Check if Date Search uses one of the present date search
		' functions then use that for the Start and End Date instead

		If DateRange <> "Range" Then
			ComputeDateRange StartDate, EndDate, DateRange
		End If



		If (StartDate <> "") AND (not isDate(StartDate)) Then
			response.write "Bad Start Date"
			response.flush
			response.end
		end if

		If (EndDate <> "") AND (not isDate(EndDate)) Then
			response.write "Bad End Date"
			response.flush
			response.end
		end if

		WhereStatement = "WHERE  "
		InvoiceDateField = " TimeSpent.Invoice_Date "

		' Special CODE FOR SQL*Server VS Access HERE !!!


		' Note Access version requires # for dates, SQL requires single quotes

		If StartDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & StartDate & "' "
				ANDText = " AND "
			End IF


			If DatabaseType2 = "ACCESS" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= #" & StartDate & "# "
					ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & YYMMDD(StartDate) & "' "
					ANDText = " AND "
			End If



		End If

		If EndDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & EndDate & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= #" & EndDate & "# "
				ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & YYMMDD(EndDate) & "' "
				ANDText = " AND "
			End IF


		End If


        'response.write "where clause for date is " & WhereStatement & "<P>"
        'response.flush
        'response.end





		If Customer_ID <> "" Then
				WhereStatement = WhereStatement & ANDText & " Cases.customer_ID = '" & Customer_ID & "' "
				ANDText = " AND "
		End IF



		If Company <> "" Then
				WhereStatement = WhereStatement & ANDText & " Customers.company = '" & Company & "' "
				ANDText = " AND "
		End IF




       ' response.write "where clause for date is " & WhereStatement & "<P>"



	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		'mySQL2 = "SELECT * From TimeSpent"

	mySQL2 = " SELECT Customers.contact_fname, Customers.contact_lname, Customers.company, TimeSpent.Case_Number, TimeSpent.Invoice_Date, TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, tech_staff.first_name, tech_staff.last_name FROM tech_staff INNER JOIN ((Customers INNER JOIN cases ON Customers.customer_id = cases.customer_id) INNER JOIN TimeSpent ON cases.case_number = TimeSpent.Case_Number) ON tech_staff.tech_id = TimeSpent.Tech_ID"


	If WhereStatement <> "" Then
		mySQL2 = mySQL2 & " " & WhereStatement
	End If



	'response.write mySQL2

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	RecordsFound = rstemp.recordcount

	%>


	<html>
	<head>
	<title>Export Web+Center Time Spent Note Entries into QuickBooks Invoice Items (INVITEM)</title>
	</head>

	<body>

	<center>

	<font size=+2>
	Export Web+Center Time Spent Note Entries into QuickBooks Time Action (TIMEACT)
	</font>
	</center>



	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

			Delimiter = vbTab


	' First, we must send out a TimeHDR row definition that looks like:

		'!TIMERHDR	VER	REL	COMPANYNAME	IMPORTEDBEFORE	FROMTIMER	COMPANYCREATETIME
		'TIMERHDR	 8	 0	Internet Software Sciences	N	Y	1205264687

		'Constants for these are defined in the QBOptions.inc file located in the language directory.

		'The constants below define these values as Visual Basic ASP scripting variables.  Redefine
		' these constants as needed.


		Record = "" ' Clear out record variable
		FileStr = "" ' Clear out single line variable


		' Now send out the first line that defines the TIMEHDR columns we are going to export


	FileStr = ""
	FileStr = "!TIMERHDR" 	& Delimiter
	FileStr = FileStr & "VER" & Delimiter
	FileStr = FileStr & "REL" & Delimiter
	FileStr = FileStr & "COMPANYNAME" & Delimiter
	FileStr = FileStr & "IMPORTEDBEFORE" & Delimiter
	FileStr = FileStr & "FROMTIMER" & Delimiter
	FileStr = FileStr & "COMPANYCREATETIME"
	FileStr = FileStr & vbCRLF

	IF Showoutput = "YES" Then

		Response.write "<Center> File Information listed below </center><br>"
		Response.write "SQL Query = " & mySQL2
		response.write "<br><br>"


		Response.write " Adding Record line-->" & FileStr
		response.write "<br>"
	End If


	Record = Record & FileStr


	' Now send out the second line for the TIMEHDR line

		' Now send out the first line that defines the TIMEHDR columns we are going to export


	FileStr = ""
	FileStr = "TIMERHDR" 	& Delimiter
	FileStr = FileStr &  QBVER & Delimiter
	FileStr = FileStr & QBREL & Delimiter
	FileStr = FileStr & QBCOMPANYNAME & Delimiter
	FileStr = FileStr & "N" & Delimiter ' Set to N for NO
	FileStr = FileStr & "Y" & Delimiter ' Set for "Y for YES
	FileStr = FileStr & "1205264687" ' Set some company create date in there
	FileStr = FileStr & vbCRLF

	IF Showoutput = "YES" Then
		Response.write " Adding Record line-->" & FileStr
		response.write "<br>"
	End IF



	Record = Record & FileStr


	' Now we can start to add the TIMEACT data

	' The TIMEACT data looks like:

	'!TIMEACT	DATE	JOB	EMP	ITEM	DURATION	NOTE	BILLINGSTATUS
	'TIMEACT	3/19/08	Plano Hospital	Scott Vanderlip	IT Support-Repair	00:45	Here are some notes for TimerData1	1

	' Field Mappings

	'TIMEACT - Fixed definition
	'DATE - date of time spent entry - Timespent.Invoice_Date
	'JOB - Name of the customer, job whom the activity was performed. Refer to the QB definition of this field
		' We will map this field to the name of the customer (First Last)
	'EMP  - Employee - This should exactly match the first and last name of the Tech that performed the work. (Tech.First_name, Tech.Last_Name)
	'ITEM - Item exported in item list export and in QBItem table (qbitem.itemname)
	'DURATION - Duration is HH:MM  Timespent.hours (decimal hours) converted to a string in format HH:MM
	'NOTE - We will put in the same info as the item into this field for now.
	'BILLINGSTATUS - Timespent.Billable - If True, set to 1, 0 = Not billable, and if InvoiceNumber <> "" Then set to 0 (Already billed)


	' First we will send out the TIMEACT Header row


	FileStr = ""
	FileStr = "!TIMEACT" 	& Delimiter
	FileStr = FileStr & "DATE" & Delimiter
	FileStr = FileStr & "JOB" & Delimiter
	FileStr = FileStr & "EMP" & Delimiter
	FileStr = FileStr & "ITEM" & Delimiter
	FileStr = FileStr & "DURATION" & Delimiter
	FileStr = FileStr & "NOTE" & Delimiter
	FileStr = FileStr & "BILLINGSTATUS"
	FileStr = FileStr & vbCRLF

	IF Showoutput = "YES" Then

		Response.write " Adding Record line-->" & FileStr
		response.write "<br>"
	End If


	Record = Record & FileStr



	FinalDelimiter = Delimiter ' Save FinalDelimiter Value

	Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later

' Now start to parse the time_spent data from the W+C database



		' Now loop through the returned records and out the fields mapped


		do while not rstemp.eof




			FileStr = "TIMEACT" & Delimiter

		' Date
		FileStr = FileStr &  rstemp("Invoice_Date") & Delimiter

		' Customer Name or Job
		FileStr = FileStr &  rstemp("contact_fname") & " " & rstemp("contact_lname")	& Delimiter

		' Employee (Tech)
		FileStr = FileStr &  rstemp("first_name") & " " & rstemp("last_name")	& Delimiter


		' Item
		FileStr = FileStr &  rstemp("timespentnote")		& Delimiter  ' Item

		' Duration
		FileStr = FileStr &  ConvertToHHMM(rstemp("Hours"))	& Delimiter  ' Duration

		' For the duration, we need to convert from decimal hours/minutes to a string
		' that has HH:MM

		' NOTE
		FileStr = FileStr &  rstemp("timespentnote")		& Delimiter

		' Billing Status

		' Set this to 2 if InvoiceNumber <> NULL

		If rstemp("Billable") = TRUE Then

			FileStr = FileStr & "1"  & Delimiter
		Else

			FileStr = FileStr & "0"  & Delimiter
		End If


			' Now appy replace functions to the whole FileStr

			FileStr = Replace (FileStr, ",", " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbNewLine, " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbCRLF, " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbTAB, " ") ' Replace Tab with space
			FileStr = Replace (FileStr, vbCR, " ") ' Replace individual CR
			FileStr = Replace (FileStr, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			FileStr = Replace (FileStr, "[X*X]", FinalDelimiter ) ' Put delimter back in


			FileStr = FileStr & vbCRLF ' Add in the line CR/LF

			Record = Record & FileStr

	IF Showoutput = "YES" Then


			Response.write " Adding Record line-->" & FileStr
			response.write "<br>"

	End IF

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	'Now Write the File to wctempfiles directory


	' Add a date to the file name to make it unique
	DateName = CStr(Month(Now())) & "." & CStr(Day(Now())) & "." & CStr(Year(Now()))


	Filename = "WCTimeSpentExport." & DateName & ".IIF"


	WriteTextFile Record, Filename


%>



<Br>
QB Export file succesfully created<br>


<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoExportWCTimeSpentItemsToQB.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech60"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>


Directions: Click on the link below to save and import your W+C Time Spent Records<br><br>


<a href="http://<%=hostname%><%=Virtual_path%>">Quick Book Employee Import IIF File</a>




</body>
</html>


<%
Sub Bailout(msge)

    %>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

    <center>
    <font size=+1 color=red><b> Error in field: &nbsp;</b></font>
    <%=msge%>

    <%
response.flush
response.end
End Sub
%>

<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<% Sub ComputeDateRange(StartDate, EndDate, DateRange)

' Description: This sub takes the passed DateRange and returns values
' for the StartDate and EndDate. Possible values are:
	' Current - Current Month
	' LastCompleteMonth
	' Quarter
	' LastHalfYear
	' LastCompleteYear
	' Range


If DateRange = "Current" Then

	StartDate = CStr(Month(Now)) & "/1/" & CStr(Year(Now))

	LastDay = GetLastDayOfMonth(Month(Now), Year(Now))

	EndDate = CStr(Month(Now)) & "/" & CStr(LastDay) & "/" & CStr(Year(Now))

End If

If DateRange = "LastCompleteMonth" Then

	PreviousMonth = Month(Now) - 1

	YearValue = Year(Now)
	If PreviousMonth = 0 Then
		PreviousMonth = 12
		YearValue = YearValue -1
	End If

	LastDay = GetLastDayOfMonth(PreviousMonth, YearValue)


	StartDate = CStr(PreviousMonth) & "/1/" & CStr(YearValue)

	EndDate = CStr(PreviousMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)


End If

If DateRange = "Quarter" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 1
		EndMonth = 3
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 Then
		StartMonth = 4
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 7
		EndMonth = 9
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 Then
		StartMonth = 10
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If



End If ' End of Last Quarter

' LAST HALF YEAR


If DateRange = "LastHalfYear" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 or CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 1
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 OR CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 7
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


End IF ' End of If LastHalfYear


If DateRange = "LastCompleteYear" Then

	CurrentMonth = Month(Now)

		StartMonth = 1
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)


End IF ' End of If LastCompleteYear


If DateRange = "Last30Days" Then

	SearchDate = DateAdd("d", -30, Now)

		StartMonth = Month(SearchDate)
		StartDay = Day(SearchDate)
		YearValue = Year(SearchDate)


		StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

		' No End Date specified...


End IF ' End of If Last30Days


If DateRange = "Last60Days" Then

	SearchDate = DateAdd("d", -60, Now)

		StartMonth = Month(SearchDate)
		StartDay = Day(SearchDate)
		YearValue = Year(SearchDate)


		StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

		' No End Date specified...


End IF ' End of If Last30Days


 End Sub

 %>

<% Function GetLastDayOfMonth(MonthNumber, YearNumber)

	'This function determines the last day of the month (28, 30 or 31)
	' based on the passed MonthNumber and YearNumber

	If MonthNumber = 1 Or MonthNumber = 3 Or MonthNumber = 5 Or MonthNumber = 7 Or MonthNumber = 8 Or MonthNumber = 10 OR MonthNumber = 12 Then
		GetLastDayOfMonth = 31
	End If

	If MonthNumber = 4 Or MonthNumber = 6 Or MonthNumber = 9 Or MonthNumber = 11 Then
		GetLastDayOfMonth = 30
	End If

	' Determine Leap Years for 29 or 28 days

	If MonthNumber = 2 Then

		If (4*(Cint(YearNumber/4)) - YearNumber) <> 0 Then
			GetLastDayOfMonth = 28
		Else
			GetLastDayOfMonth = 29
		End If
	End If


	End Function
%>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>

<% Function ConvertToHHMM(Hours)
' This function takes a decimal hours (5.5 hours) and converts it to HH.MM format string  (05:30)


	Minutes = (Hours - CInt(Hours))*60

	MinuteStr = Left(CStr(Minutes),2)





ConvertToHHMM = CStr(Cint(Hours)) & ":" & MinuteStr

End Function
%>


