<%  ' Module: DoExtendedTimeSpentByGroupByDateDetail.asp
	'
	' Description: Submit Module For ExtendedTimeSpentByGroupByDateDetail.asp module
	'
	' (C) 2000, 2001, 2002, 2003,2004, 2005, 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
    '01/22/2013 CMB     Created DoExtendedTimeSpentByGroupByDateDetail.asp from customer version
    '08/14/13   CMB     Changed break processing to group by

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

' NOTES ON UK DATES
	' SqlServer stores dates in internal representation if it is actually a Date (rather than a text) field;
	' it is possible that some people may have SqlServer installed with British as the default language -- this
	' will effect the where clause;  The where clause currently uses US formatting and, if displayed, it rearranges them.
	' Consequently if this is a SqlServer database, a 'use US dates' query is prepended to the where select query.
	' This should not be an issue with an Access database since we created the database.
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/InvoiceLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables
Dim SaveWhere
Dim TotalHours
Dim TotalAmount
Dim CustomerHours
Dim CustomerAmount
Dim CaseHours
Dim CaseAmount
Dim RecordCount

	Call SetLocale (1033) ' this is needed if using Month and day and other cstring functions CMB 08/15/2011

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else
		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		BusinessVirtual = rstemp("BusinessVirtual") ' Business+Center Virtual Directory

		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file
			DatabaseType2 = Database
		DateDisplayFormat = rstemp("Date_Display_Format")
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>

<%
   'Get the cookie to be able to place it in the link to SC.asp
   Tech_ID = Request.Cookies("ISS_TECH") ' Get the Logged TechID from the cookie

' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form
		StartDate = Request.form("StartDate")
		EndDate = Request.form("EndDate")
		DateRange = Request.form("DateRange")
		SetStatusID = Request.form("SetStatusID")
		SetInvoiceTypeID = Request.form("SetInvoiceTypeID")
		SetPurchaseDate = Request.form("SetPurchaseDate")
		UserCategoryID = Request.form("emailUserCategory")
		Group_Number = Request.form("group_ID")
		GroupType = "Group_customer"

		If  Group_number = "" then
			Bailout("Group must be selected")
		end if

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' DATE SEARCHES CODE BELOW
	' * * * * * * * * * * * * * * * * * * * * * * * * * *

		If DateRange = "Range" Then
			If  (not isDate(StartDate)) Then
				Bailout("Bad Start-Date in Date-Range specification")
			end if

			If  (not isDate(EndDate)) Then
				Bailout("Bad End-Date in Date-Range specification")
			end if
		End If

		' Check if Date Search uses one of the present date search
		' functions then use that for the Start and End Date instead

			ComputeDateRangeNewer StartDate, EndDate, DateRange, DateDisplayFormat  ' CMB 08/15/2011

		If (StartDate <> "") AND (not isDate(StartDate)) Then
			response.write "Bad Start Date"
			response.flush
			response.end
		end if

		If (EndDate <> "") AND (not isDate(EndDate)) Then
			response.write "Bad End Date"
			response.flush
			response.end
		end if

		WhereStatement = "WHERE  "
		InvoiceDateField = " TimeSpent.Invoice_Date "

		' Special CODE FOR SQL*Server VS Access HERE !!!
		' Note Access version requires # for dates, SQL requires single quotes

		If StartDate <> "" Then
			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " Between   '" & StartDate & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= #" & StartDate & "# "
					ANDText = " AND "
			End If
		End If

		If EndDate <> "" Then
			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & "'" & EndDate & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= #" & EndDate & "# "
				ANDText = " AND "
			End If

		End If
      Savewhere = WhereStatement

		If group_Number <> "" Then
				WhereStatement = WhereStatement & ANDText & " cases.group_number = " & group_Number
				ANDText = " AND "
		End If

       ' response.write "where clause for date is " & WhereStatement & "<P>"

	End If  ' End of If Page <> ""

	' Display the Main body of the page %>

<html>

<!-- (C) 1996,1998, 1999, 2000-2006, 2013 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<script type="text/javascript">


function fillform()
{

var abody=document.getElementById('StartEmail').innerHTML;  // grab all the html code withing the division identified as jitze

var ae = new RegExp("<", "g"); // replace all less than with LT so they dont interfere inside the hidden form element
var bbody = abody.replace(ae, "&lt;");

var be = new RegExp('"', "g"); // replace all double quotes with quot so they dont interfere inside the hidden form element
var cbody = bbody.replace(be, "&quot;");

document.theform.thebody.value = cbody; // now put this long string into the element named thebody  in the form named theform

return true;
}

</script>

</head>

<body class=rightwindow>

<% ' Special div id=StartEmail tag to allow the report to be emailed to a user %>

<div id=StartEmail>

<% ' Put main body of HTML page here. %>

<%
	If DatabaseType2 = "SQLSERVER" Then
		mySQL2 = "Set DATEFORMAT mdy; "
	Else
		mySQL2 = ""
	end if

	mySQL2 = mySQL2 & "SELECT "
	mySQL2 = mySQL2 & " Customers.contact_fname, Customers.contact_lname, Customers.company, Customers.customer_id, cases.group_number, group_list.group_Name, Customers.Customer_ID "
	mySQL2 = mySQL2 & " FROM ((TimeSpent INNER JOIN Cases ON TimeSpent.Case_Number = Cases.case_number) "
	mySQL2 = mySQL2 & " INNER JOIN Customers ON Cases.customer_id = Customers.customer_id)"
   mySQL2 = mySQL2 & " INNER JOIN Group_List on cases.group_number = group_list.group_number " ' 07/22/13
	 mySQL2 = mySQL2 & " " & WhereStatement
	mySQL2 = mySQL2 & " GROUP BY cases.group_number, group_list.group_name, customers.customer_ID, customers.company, Customers.contact_fname, customers.contact_lname"
   mySQL2 = mySQL2 & " Order by Customers.contact_fname, Customers.contact_lname  "

'response.write "SQL" & mysql2
'response.flush
'response.end

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic
	if not rstemp.eof then
		Group_Name = rstemp("group_Name")
		'EmailCategory = rstemp("EmailCategory")
	end if
 %>
 <!-- HEADER -->
<CENTER>
	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Tech_Group%>: &nbsp; <%=Group_Name%>
	</td>
	</tr>
	<tr>
	<td align=center valign=center  class=TitleInsert>


	Detail IT work in Progress Report <br>

	<%
	If DateDisplayFormat = "DDMMYYYY" Then ' UK format CMB 07/06/2011 actually the entered dates are fine but by here they are switched
		DisplayStartDate = SwitchMonthDate(StartDate)
		DisplayEndDate = SwitchMonthDate(EndDate)
	else
		DisplayStartDate = StartDate
		DisplayEndDate = EndDate
	end if
		%>

	Period: <%=DisplayStartDate%> - <%=DisplayEndDate%>
	</td>
	</tr></table>
	<p>

<% if rstemp.eof Then %>

		<table class=TightTableWrapper cellspacing=1>
		<tr>
		<td colspan=5 align=center><%=wc_No_Time_Spent_Records_Found%></td>
		</tr>
		</table>
<%
  else
		Query = Server.URLEncode(WhereStatement)
     	Group_Name = rstemp("Group_Name")
     	Do While Not rstemp.eof

				CustomerTotal = 0
				CustomerAmount = 0
				CompanyCustomer =  rstemp("Contact_Fname") & " " & rstemp("Contact_lname")  & " / " & rstemp("company")
				'CompanyCustomer = rstemp("company")  & " / " & rstemp("Contact_Fname") & " " & rstemp("Contact_lname")
            customer_ID = rstemp("Customer_ID")
				Call GetCustomerCases (Customer_ID, CompanyCustomer)
				TotalHours = TotalHours + CustomerHours
				TotalAmount = TotalAmount + CustomerAmount

				rstemp.MoveNext
		Loop
		'PRINT TOTALS HERE
		%>
		<TABLE>
		    <TR><TD></td><TD></td><TD></td><TD></td></TR>

				 <tr>
					 <td class=TightBodyTextOpen align=right colspan=3>Total For <%=wc_Tech_group%>:&nbsp; <b><%=Group_Name%></b>&nbsp; </td>
					 <td class=TightBodyTextOpen align=right ><%=TotalHours%>

					 <td class=TightBodyTextOpen align=right colspan=2 ><%=DisplayMoney(TotalAmount)%>
						  <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Invoice_Total%> >
						  <input type=hidden name=TimeSpentIndex<%=recordcount%> value="0" >
						  <input type=hidden name=TotLine<%=recordcount%> value="Y" >
					 </td>
				 </tr>
			 </table>


			<%
		     If recordcount = 0 Then
		        response.write "<P><font color=red>" & wc_No_Time_Spent_Records_Found & "</font>"
		        response.flush
		        response.end
		     End If
		    %>

		</div>

		</form>

		<table width=100% cellspacing=3 cellpadding=3 border=0>

		<tr>
		<td  width=50% align=center valign=top><a href="Reports.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>

		<td algin=center>
		<font size=-1 face=arial>
		<form action=EmailReport.asp name=theform method=post onsubmit="return fillform()">
		<input type=hidden name=EmailReportTitle Value = "Detail IT work in Progress Report ">

		<input type=hidden name=thebody size=1000000 >
		 <input type=text name=mailaddress size=30>
				<input type=image src="/<%=WCLanguageDirectory%>/ts_email_report.jpg" name=b_submit border=0 >

		<!--
		<input type=submit name=mybutton value="Email report">

		-->

		</form>

		</td>
		</table>

		</form>
<%
	End If
	%>

	<%
	Sub GetCustomerCases(ID, CustomerName)
		CustomerHours = 0
		CustomerAmount = 0

		If DatabaseType2 = "SQLSERVER" Then
			mySQL2 = "Set DATEFORMAT mdy; "
		Else
			mySQL2 = ""
		end if

		mySQL2 = mySQL2 & "SELECT "
		mySQL2 = mySQL2 & " Cases.case_number  "
		mySQL2 = mySQL2 & " FROM TimeSpent INNER JOIN Cases ON TimeSpent.Case_Number = Cases.case_number "
		mySQL2 = mySQL2 & " " & SaveWhere & " And cases.customer_ID = '" & ID & "'"
		mySQL2 = mySQL2 & " GROUP BY cases.case_number "
		mySQL2 = mySQL2 & " Order by cases.case_number  "

'response.write "SQL" & mysql2
'response.flush
'response.end

		set rstempCust = Server.CreateObject("adodb.recordset")
		rstempCust.open mySQL2, myDSN, adopenstatic

	   if not rstempCust.eof then
	   	Do While not rstempCust.eof
             Call GetCase(rstempCust("Case_number"), CustomerName)
			 	 rstempCust.MoveNext
          Loop

   		' PRINT CUSTOMER TOTAL HERE
          %>
          <TABLE>
          <TR><TD></td><TD></td><TD></td><TD></td></TR>

				 <tr>
					 <td class=TightBodyTextOpen align=right colspan=3>Total For Customer:&nbsp; <b><%=CompanyCustomer%></b>&nbsp; </td>
					 <td class=TightBodyTextOpen align=right ><%=CustomerHours%>
					 <td class=TightBodyTextOpen align=right colspan=2 ><%=DisplayMoney(CustomerAmount)%>
						  <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Invoice_Total%> >
						  <input type=hidden name=TimeSpentIndex<%=recordcount%> value="0" >
						  <input type=hidden name=TotLine<%=recordcount%> value="Y" >
					 </td>
				 </tr>
				 </table>
				 <p>

			 <%
       End If
		 rstempCust.close
		 set rstempCust = nothing
	End Sub
	%>


	<%
	Sub	GetCase(Num,CustName)
	CaseHours = 0
	CaseAmount = 0
   RecordCount = 0

	If DatabaseType2 = "SQLSERVER" Then
		mySQL2 = "Set DATEFORMAT mdy; "
	Else
		mySQL2 = ""
	end if

	mySQL2 = mySQL2 & "SELECT TimeSpent.TimeSpentIndex, TimeSpent.Tech_ID as ttech_id, TimeSpent.InvoiceNumber, TimeSpent.Invoice_Date, TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, TimeSpent.Billable, "
	mySQL2 = mySQL2 & " Cases.* "
	mySQL2 = mySQL2 & " FROM TimeSpent INNER JOIN Cases ON TimeSpent.Case_Number = Cases.case_number "
	mySQL2 = mySQL2 & " " & SaveWhere & " AND Cases.case_number = " & Num
	mySQL2 = mySQL2 & " Order by TimeSpent.Invoice_Date  "

		set rstempCase = Server.CreateObject("adodb.recordset")
		rstempCase.open mySQL2, myDSN, adopenstatic

	   if not rstempCase.eof then
	   	'*** PRINT CASE HEADER ***

			' Date and Time must be reformatted from the internal Text format of:
			' YYYYMMDD to mm/dd/yyyy

			' Depending upon the WCDateFormat Setting (set in db_define.inc) we will
			' display the date in
			' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version
			If DateDisplayFormat = "DDMMYYYY" Then ' UK format  ' CMB 07/06/2011 no WCDateFormat
				Open_Date =   mid(rstempCase("open_date"),7,2) & "/" & mid(rstempCase("open_date"),5,2) & "/" & mid(rstempCase("open_date"),1,4)
			Else
				Open_Date = mid(rstempCase("open_date"),5,2) & "/" & mid(rstempCase("open_date"),7,2) & "/" & mid(rstempCase("open_date"),1,4)
			End IF

			case_One_Line = rstempCase("Case_one_line")
			Priority = rstempCase("severity")
			Status = rstempCase("Status")

			 IF Status = 0 then
				Status_Text  = wc_Open_Active
			 End IF

			 IF Status = 1 then
				Status_Text  = wc_Closed
			 End IF

			 IF Status = 2 then
				Status_Text  = wc_Open_Waiting
			 End IF

			 IF Status = 3 then
				Status_Text  = wc_Open_on_Hold
			 End IF

'---- display
%>
	       <Table width=100% class=boxtablewrapper>
	       <tr>
	       <th class=TightBodyTextHilight>Date</th>
	       <th class=TightBodyTextHilight>Case #</font></th>
<!-- 1 -->
<% casenumber = num %>
     <% '****** Display Custom Fields for Categories *******
	       	' Uncomment the fields below to display a category as a column in the table

	       	 'DisplayCategory1 = 1
	       	' DisplayCategory2 = 1
	       	 'DisplayCategory3 = 1
	       	' DisplayCategory4 = 1
	       	 'DisplayCategory5 = 1
	       	 'DisplayCategory6 = 1
	       	 'DisplayCategory7 = 1

	        '***** Customization to define which custom case text field
	       	' Uncomment field to enable them below
	       '	DisplayCustomTextField1 = 1
	       '	DisplayCustomTextField2 = 1
	       	' DisplayCustomTextField3 = 1
	       	' DisplayCustomTextField4 = 1
	       	' DisplayCustomTextField5 = 1
	       	' DisplayCustomTextField6 = 1
	       	' DisplayCustomTextField7 = 1
	       	' DisplayCustomTextField8 = 1
	       	' DisplayCustomTextField9 = 1
	       	' DisplayCustomTextField10 = 1
	      	%>
			<%

	       	If DisplayCategory1 = 1 Then
	       %>
	       <th class=TightBodyTextHilight>
	       <%
	       	       Category_Number = "1"
		   	       DisplayCategory Category_Number, CaseNumber, "Name"
		   	%>
		   </font></th>
		  	<% End If %>

			<%
	       	If DisplayCategory2 = 1 Then
	       %>
	       <th class=TightBodyTextHilight>
	       <%
	       	       Category_Number = "2"
		   	       DisplayCategory Category_Number, CaseNumber, "Name"
		   	%>
		   </font></th>
		  	<% End If %>

			<%

			If DisplayCategory3 = 1 Then
		   %>
		   <th class=TightBodyTextHilight>
		   <%
				   Category_Number = "3"
				   DisplayCategory Category_Number, CaseNumber, "Name"
			%>
		   </font></th>
			<% End If %>

			<%

			If DisplayCategory4 = 1 Then
		   %>
		   <th class=TightBodyTextHilight>
		   <%
				   Category_Number = "4"
				   DisplayCategory Category_Number, CaseNumber, "Name"
			%>
		   </font></th>
			<% End If %>

			<%

			If DisplayCategory5 = 1 Then
		   %>
		   <th class=TightBodyTextHilight>
		   <%
				   Category_Number = "5"
				   DisplayCategory Category_Number, CaseNumber, "Name"
			%>
		   </font></th>
			<% End If %>

			<%

			If DisplayCategory6 = 1 Then
		   %>
		   <th class=TightBodyTextHilight>
		   <%
				   Category_Number = "6"
				   DisplayCategory Category_Number, CaseNumber, "Name"
			%>
		   </font></th>
			<% End If %>

			<%
			If DisplayCategory7 = 1 Then
		   %>
		   <th class=TightBodyTextHilight>
		   <%
				   Category_Number = "7"
				   DisplayCategory Category_Number, CaseNumber, "Name"
			%>
		   </font></th>
			<% End If %>
	<!-- end of 1 -->
	       <th class=TightBodyTextHilight>Customer</th>
	       <th class=TightBodyTextHilight>Case Description</th>
	   <!--    <th class=TightBodyTextHilight>Priority</th> -->

<!--2 -->
			  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField1 = 1 then
				      %>

				       <th class=TightBodyTextHilight>
				       <%

				       DisplayCaseCustomTextField 1, CaseNumber, "Label"
				       %>
				       </th>

				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField2 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%

				       DisplayCaseCustomTextField 2, CaseNumber, "Label"
				       %>
				       </th>

				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField3 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%

				       DisplayCaseCustomTextField 3, CaseNumber, "Label"
				       %>
				       </th>

				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField4 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%

				       DisplayCaseCustomTextField 4, CaseNumber, "Label"
				       %>
				       </th>

				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField5 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 5, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField6 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 6, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField7 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 7, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField8 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 8, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField9 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 9, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>

					  <%  '**** Custom Field Start *****
				       If DisplayCustomTextField10 = 1 then
				      %>
				       <th class=TightBodyTextHilight>
				       <%
				       DisplayCaseCustomTextField 10, CaseNumber, "Label"
				       %>
				       </th>
				       <%End If'*** custom Field End    %>
<!-- end 2 -->
		</tr>

			<% ' *****Now display the data for this second row of the case info %>
	       <tr>
				 <td class=TightBodyTextGreyOut><%=Open_Date%></font></td>
				 <td class=TightBodyTextGreyOut><%=Num%></font></td>
	<!--3-->
			<% If DisplayCategory1 = 1 Then
		       %>
		       <td><font size=-1>
		       <%
		       	       Category_Number = "1"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
			  	<% End If %>

				<% If DisplayCategory2 = 1 Then
		       %>
		       <td class=TightBodyTextGreyOut>
		       <%
		       	       Category_Number = "2"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
			  	<% End If %>

				<% If DisplayCategory3 = 1 Then
			   %>
			   <td class=TightBodyTextGreyOut>
			   <%
					   Category_Number = "3"
					   DisplayCategory Category_Number, CaseNumber, "Value"
				%>
			   </td>
				<% End If %>

				<% If DisplayCategory4 = 1 Then
		       %>
		       <td class=TightBodyTextGreyOut>
		       <%
		       	       Category_Number = "4"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
			  	<% End If %>


				<% If DisplayCategory5 = 1 Then
		       %>
		       <td class=TightBodyTextGreyOut>
		       <%
		       	       Category_Number = "5"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
			  	<% End If %>

				<% If DisplayCategory6 = 1 Then
		       %>
		       <td class=TightBodyTextGreyOut>
		       <%
		       	       Category_Number = "6"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
			  	<% End If %>

				<% If DisplayCategory7 = 1 Then
		       %>
		       <td class=TightBodyTextGreyOut>
		       <%
		       	       Category_Number = "7"
			   	       DisplayCategory Category_Number, CaseNumber, "Value"
			   	%>
			   </td>
		  	<% End If %>
		  	<!-- End 3 -->

				<td class=TightBodyTextGreyOut><%=CustName%></td>
				<td class=TightBodyTextGreyOut><%=Case_One_Line%></td>
			<!--    <td class=TightBodyTextGreyOut><%=Priority%></td>-->
<!--4 -->
  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField1 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 1, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>


		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField2 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 2, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField3 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 3, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField4 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 4, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField5 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 5, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField6 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 6, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField7 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 7, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField8 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 8, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField9 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 9, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

		  <%  '**** Custom Field Start *****
	       If DisplayCustomTextField10 = 1 then
	      %>
	       <td class=TightBodyTextGreyOut>
	       <%
	       DisplayCaseCustomTextField 10, CaseNumber, "Value"
	       %>
	       </td>
	       <%End If'*** custom Field End    %>

<!-- end 4 -->
	       </tr>
	       </table>
			 	   <Table Width=80% cellspacing=2 cellpadding=2 border=0>

<%
	   	Do While not rstempCase.eof
	   	    'print line items
	   	    if rstempCase("billable") =  FALSE OR rstempCase("billable") = TRUE Then
				 	  	 recordcount = recordcount + 1
				 	   ' Act diferently depending on whether GroupType is "Individual_date" or "Individual_customer" or "Group_customer" or "Group_company"

				       ' Important Change 3/2/10 - The code used to not total time spent if that time spent entry
				       ' was already invoiced so the totals did not total up.  This was history from
				       ' a report created in business+center.. we will now comment out this line below
				       ' and it will make invoicenumber null and all time spent and amounts will be totals
				       ' remove the comment below to re-enable this line

				       'InvoiceNumber = rstempCase("InvoiceNumber")

				 			if rstempCase("billable") = FALSE Then
				 				Billable = "NO"
				 			else
				 				Billable= "YES"
				 			End If

						 	CaseNumber = rstempCase("Case_Number") ' 0r Num
			  				Passed_Tech_ID = rstempCase("tTech_ID")
			  				TechFullName = GetTechName(Passed_Tech_ID)

					   ' Enable italics formatting for non billable invoices

						If Billable = "YES" Then
							StartBillable = ""
							EndBillable = ""
						Else
							StartBillable = "<I><font color=brown>"
							EndBillable = "</font></i>"
						End If
	   	    %>

		  <tr>
			  <% thisclass="TightBodyText" %>
			  <td class=<%=thisclass%> valign=top><%=StartBillable%>

			<%  If DateDisplayFormat = "DDMMYYYY" Then ' UK format CMB 07/06/2011
			  		DisplayInvoiceDate = SwitchMonthDate(rstemp("Invoice_Date"))
			  	else
			  		DisplayInvoiceDate = rstempCase("Invoice_Date")
			  	End If
			  	%>
			  <%=DisplayInvoiceDate%>
			  <%=EndBillable%></td>

			  <td class=<%=thisclass%> valign=top><%=StartBillable%><%=TechFullName%><%=EndBillable%></td>
			  <td class=<%=thisclass%> valign=top><%=StartBillable%><%=rstempCase("TimeSpentNote")%><%=EndBillable%></td>
			  <td class=<%=thisclass%>  valign=top><%=StartBillable%><%=rstempCase("Hours")%><%=EndBillable%></td>
			  <td class=<%=thisclass%>  valign=top><%=StartBillable%><%=DisplayMoney(rstempCase("HourlyRate"))%>/Hr <%=EndBillable%>
			  </td>

			  <% ' compute the amount and add it for later display BUT ONLY if the incoice number is empty - i.e. not part of an invoice already
			     ' and flag this record line as a "contributor"
			      line_amount = rstempCase("Hours") * rstempCase("HourlyRate")

			      If Billable = "YES" Then
		          	CaseHours = CaseHours + rstempCase("Hours")
                  CaseAmount = CaseAmount + Line_amount
					  	CustomerHours = CustomerHours + rstempCase("Hours")
						CustomerAmount = CustomerAmount + Line_amount
					 'If isNull(InvoiceNumber) or InvoiceNumber = "" or InvoiceNumber = 0 then
						  Invoice_Total = Invoice_Total + Line_amount
					  'end if
				   End IF ' Do not total if not billable

			  %>

			  <td class=<%=thisclass%> valign=top align=right><%=StartBillable%><%=DisplayMoney(line_amount)%><%=EndBillable%></td>
		  </tr>

				<%
				end if ' if it was a billable record
				rstempCase.MoveNext
          Loop
          ' PRINT CASE TOTAL HERE
           %>

 			 <tr>
				<td class=TightBodyTextTotal align=Left colspan=1 ><B>Total Time Spent: </b>
				 <td class=TightBodyTextTotal align=right colspan=3 ><%=CaseHours%>
				 <td class=TightBodyTextTotal align=right colspan=2 ><%=DisplayMoney(CaseAmount)%>
					 <input type=hidden name=Line_Amount<%=recordcount%> value=<%=Case_Total%> >
					 <input type=hidden name=TimeSpentIndex<%=recordcount%> value=0 >
					 <input type=hidden name=TotLine<%=recordcount%> value="Y" >
				 </td>
				 </tr>
			 </table>
			 <br>

	  <%

       End If
		 rstempCase.close
		' rstempCase = nothing

	End Sub ' getCase
	%>


</body>
</html>


<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>
<% 'END OF PAGE CODE - START OF FUNCTIONS **************************%>
<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>



<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>


<%
Function GenCaseLink(caseno)
   ' this function outputs the "special" link to SC.asp with case_number as the passed parameter

	' Get the full server http URL for the direct LINK.
 For each key in Request.serverVariables

	if Key = "SERVER_NAME" Then
		HostName =  Request.ServerVariables(key)
	End IF

	if Key = "SCRIPT_NAME" Then
		SCRIPT_Name =  Request.ServerVariables(key)
		' Replace our own module name with SC.asp


		Virtual_Path = replace(Script_Name, "DoCreateTimeSpentInvoices1.asp", "SC.asp")

		' Edit these virtual directory settings if needed - case sensitive
		CustomerCenterVirtual = "customer40"
		TechCenterVirtual = "tech40"


		If BusinessVirtual = "" Then
			BusinessCenterVirtual = "business40"
		Else
			BusinessCenterVirtual = BusinessVirtual ' Grab it from database
		End IF

		If TechVirtual = "" Then
			TechCenterVirtual = "tech40"
		Else
			TechCenterVirtual = TechVirtual
		End If

		Virtual_Path = replace(Virtual_Path, BusinessCenterVirtual, TechCenterVirtual)

	End IF

Next

	'response.write "<a href=http://" &  hostname & Virtual_path &"?ID=" & Tech_ID & "&N=" & caseno & " target=techcenterwindow>" & caseno & "</a>"
	response.write "<a href=TCaseForm.asp?Case_number=" & caseno & ">" & caseno & "</a>"


End Function

%>

<%
Sub Bailout(msge)

    %>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

    <center>
    <font size=+1 color=red><b> Error in field: &nbsp;</b></font>
    <%=msge%>

    <%
response.flush
response.end
End Sub
%>

<% Sub DisplayCategory(Category_Number, Case_Number, Name_Or_Number)

		set conntemp4=server.createobject("adodb.connection")
		conntemp4.open myDSN

			mySQL7="select * from Cases where case_number = " & case_Number

		set rstemp4 = server.createobject("adodb.recordset")
		rstemp4.open mySQL7, conntemp4, 1,3

			' First get the value of the CX value where from the cases table

			Item_Number = rstemp4("c" & Category_Number)

		' First get the name of the category_name incase the item_number is not set

		mySQL8="select * from Categories where Category_Number = " & Category_Number

		set rstemp3 = Server.CreateObject("ADODB.Recordset")

		rstemp3.Open mySQL8, conntemp4,adOpenDynamic,adLockReadOnly

		if rstemp3.eof Then
			Category_Name = "NOT FOUND"
		else
			Category_Name  = rstemp3("Category_name")
		End If


		' Check to see if any records are returned
		' if none found then login fails.


		rstemp3.close ' Close last SQL query
		set rstemp3=nothing

		' Do Not close the recordset or connection yet since we will
		' need it for displaying the Categories

		' Now we need the Name of the Category and the value of the sub category item

		mySQL8="select * from Categories where Category_Number = " & Category_Number & " AND Item_Number = " & Item_Number

		set rstemp3 = Server.CreateObject("ADODB.Recordset")

		rstemp3.Open mySQL8, conntemp4,adOpenDynamic,adLockReadOnly

		' Check to see if any records are returned
		' if none found then login fails.

		If  rstemp3.eof then ' Check to see any Categories exist
			Item_Name = "Not Defined"

			' No Categories exist so don't display anything here
		Else
			Item_Name = rstemp3("Item_Name")

		End IF

		rstemp3.close ' Close last SQL query
		set rstemp3=nothing

		rstemp4.close ' close the original record set
		set rstemp4=nothing

		conntemp4.close ' Close the connection
		set conntemp4=nothing


		If Name_or_Number = "Name" Then
			response.write Category_Name
		Else
			response.write Item_Name
		End if


     End Sub  ' End of DisplayCategory(CategoryNumber)
%>



<% Function GetTechName(Passed_Tech_ID)
' This function returns the name of the tech from the Tech_ID

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Tech_staff where Tech_ID = '" & Passed_Tech_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then
		GetTechName = "Tech (" & Passed_Tech_ID & ") No Longer in Database" ' Tech may no longer exist in the database
	Else
		GetTechName = rstemp2("first_name") & " " & rstemp2("last_name")
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


End Function
%>

<% ' ***** Display Custom Case Text Fields
	Sub DisplayCaseCustomTextField(FieldNumber, Case_Number, Label_Or_Value)

	set conntemp5=server.createobject("adodb.connection")
	conntemp5.open myDSN

	mySQL9="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp8=conntemp5.execute(mySQL9)

	If rstemp8.EOF Then
		Response.write "Not Defined"

	Else

		IF Label_Or_Value = "Label" Then
			Column_name = "Field_" & FieldNumber & "_Label"
			Response.write (rstemp8(Column_Name))

		End IF

	End IF


	rstemp8.close
	set rstemp8=nothing


	If Label_Or_Value <> "Label" Then ' Get the Value for that custom text field


		mySQL9="select * from Cases where case_number = " & case_Number

		'debugging
		'response.write mySQL9


		set rstemp8 = server.createobject("adodb.recordset")
		rstemp8.open mySQL9, conntemp5, 1,3

		If rstemp8.EOF Then
			Response.write " Not Defined"
		Else


		Column_Name = "Text_Field_" & FieldNumber
		Custom_Text_Value = rstemp8(Column_Name)


			Response.write Custom_Text_Value
		End If

		rstemp8.close
		set rstemp8 = nothing

	End IF ' If Label_Or_Value <> label


	conntemp5.close ' Close the connection
	set conntemp5=nothing

	End Sub ' End of DisplayCaseCustomTextField
%>

