<% 'Module: DoImportAssetsStep2.asp

   'Description: This module is used for importing assets directly from a csv file

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/05/12 CMB		Created original
   '02/06/12CMB      Added ability to assign to tech; added ability to add an asset notes
   '03/14/12CMB      Alphabetize things in dropdown
   '03/23/12CMB      Made it compatible with version 7
   '03/26/12CMB      Customers plus tech id and customer id column (last two not tested)

%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
	<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
	<!-- #INCLUDE FILE="Reports.inc" -->
	<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
	<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
	<% ' Set the Script Timeout value to something fairly large
		' You may need to increase this if you are sending to large volume of customers

		Server.ScriptTimeOut = 10000 ' Set to 1200 seconds (20 minutes)

	%>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights


	TechLevel = 5 ' Allow any tech  to access this function.
	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		If rstemp.EOF   Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%
			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

 	set rstemp = server.createobject("adodb.recordset")
 	rstemp.open mySQL, conntemp, 1,3

 	If rstemp.EOF = True  Then
 		ErrorMessage = "No Configuration file found"
 	Else
 		TechCenterVirtualDirectory = rstemp("TechVirtual")
 		UserPageColor = rstemp("ts_user_page_color")
 		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path
 		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
 	End If ' End if for no Configuration row found

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

 	'*** FILE EXISTS?
sContainsHeader = request.querystring("FirstRow")
sFileName = request.querystring("FileName")
if sFileName = "" or instr(sFilename,".csv") = 0 then
	'invalid file
else
End If

	 For each key in Request.serverVariables
		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)

			Virtual_Path = replace(Script_Name, "DoImportAssetStep2.asp", sFileName,1,99.1)

			' We next need to replace TechCenter Virtual Directory Name with the
			' the download virtual directory

			If TechCenterVirtualDirectory = "" Then
				TechCenterVirtual = "tech70"
			Else
				TechCenterVirtual = TechCenterVirtualDirectory
			End If
			'Response.write "TechCenterVirtual = " & TechCenterVirtual

			Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
		End IF
	Next

	FullFileURL = "http://" &  hostname & Virtual_Path
'fulllfileurl
'virtual path
	'Response.write FileUploadDestinationPath
	'response.write "OK" & "FILE: " & displayfilename
	'response.write fullfileurl

	'Debug
	'response.write "FILE URL = " & FullFileURL & "<br>"


			baseDirectory = Server.MapPath(".")
			slash = "\"

	'		response.write targetfilepath
			TargetFilePath = FileUploadDestinationPath & slash & sFileName

			Set fs1 = CreateObject("Scripting.FileSystemObject")

			If fs1.FileExists(TargetFilePath) Then

			Else
				response.write TargetFilePath & "<br>"
				response.write "<br>File does not exist<br>"
			End If

'response.flush
'response.end
 %>
<HTML>
<HEAD>
   <TITLE><%=wc_Import_assets%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Import_assets%></td>
</tr>
</table>

<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="ImportAssetRobust.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>

<form action=DoAssetImportTest.asp method=post>

	<INPUT TYPE=HIDDEN Name=FileName value="<%=sFileName%>" >
	<INPUT TYPE=HIDDEN name=FirstRow value="<%=sContainsHeader%>" >
<P>
<!-- ----------------------------------- filename ------------------------ -->
<center>

	<Table class=SimpleWrapper align=center width=75%>
		  <tr>
		  <td valign=top width=100% >
			  <table width=100%>
					<tr>
					  <td class=InstructionText align=left valign=top align=left width=80%><img src=red_tri.gif>
					  We are doing the import using the following file: <b><%=sFileName%></b>
					  <% if sContainsHeader = "on" then
					  		response.write " which <b>contains a header line.</b>"
					  	  else
					  	  	response.write "which does <b>NOT</b> contains a header line."
					  	  End If
					  	  %>
					</tr>
			  </table>
			  </td>
			</tr>
			<!-- VALUES -->

	</table>
</td>
</tr>
</table>

<p>
<!-- ----------------------------------- end of step 1 ------------------------ -->
<p>
<table><tr><td></td></tr></table> <!-- a little spacer -->
<center>

	<Table class=SimpleWrapper align=center width=75%>

		  <tr>
		  <td valign=top width=100% >
			  <table width=100%>
					<tr>
					  <td class=InstructionTextBold align=left valign=top align=left width=80%><img src=red_tri.gif> <%=wc_Step2%></td>
					</tr>
					<tr>
					  <td valign=top class=InstructionText align=left>
					  This part of this form contains a place to enter constant values which you wish to assign to
					  the selected field.  Select a database column where you want this value to go, then <B>either </b>select
					  a value from the dropdown or enter a value in the textbox.  <B>Do not use quotes or special characters like
					  apostrophes.</b>
					  </td>
					</tr>
			  </table>
			  </td>
			</tr>
			<!-- VALUES -->
			<%
			Dim nExtraColumns
			nExtraCOlumns = 6
%>
		<TR><TD>

		<table class=formboxholder width=100% border=1%>
			<%

			for i = 0 to nExtraColumns
					sCol = "Option" & i
					sValueCol = "Value" & i
					sTextCol = "TextValue" & i
				%>
				<TR>
				<TD>
				SET
				<Select Name=<%=sCol%>>
					<option value=":">Ignore</option>
					<%
					filloptionbox()
					%>

				</SELECT>

				TO VALUE:
					<Select name=<%=sValueCol%>>
					<% fillwithcategoryitems() %>
					</Select>
				 OR:
					<Input type=textbox name=<%=sTextCol%>>
				</TD>
				</TR>
			<% next %>
		</TABLE>

		</td>
		</tr>
	</table>
</td>
</tr>
</table>
<p>
<!-- ----------------------------------- end of step 2 --- beginning of technician --------------------- -->
<p>
<table><tr><td></td></tr></table> <!-- a little spacer -->
<center>

	<Table class=SimpleWrapper align=center width=75%>

		  <tr>
		  <td valign=top width=100% >
			  <table width=100%>
					<tr>
					  <td class=InstructionTextBold align=left valign=top align=left width=80%><img src=red_tri.gif> <%=wc_Step3%></td>
					</tr>
					<tr>
					  <td valign=top class=InstructionText align=left>
					If you wish to have <b>ALL</b> the records assigned to a given Tech, please select the technician, otherwise
					select 'Ignore'.
					  </td>
					</tr>
				<TR>
				<TD>
				<Select Name="Technician">
					<option value=":">Ignore</option>
					<%	call FillTechs()	%>
				</SELECT>

				</TD>
				</TR>
		</TABLE>
					<tr>
					  <td valign=top class=InstructionText align=left>
					If you wish to have <b>ALL</b> the records assigned to a given Customer please select the customer, otherwise
					select 'Ignore'.
					  </td>
					</tr>

				<TR>
				<TD>
				<Select Name="Customer">
					<option value=":">Ignore</option>
					<%	call FillCustomers()	%>
				</SELECT>

				</TD>
				</TR>

		</TABLE>

		</td>
		</tr>
	</table>
</td>
</tr>
</table>

<%
'*************** end of step 3 ----- beginning of file headers

			'-- *************** open file and read it in

			set act = fs1.opentextfile(targetfilepath)

'*** this assumes that the first line is a header
			imported_text = act.readline
			'Read the first line of the csv, typically these are colum headings

			imported_text = replace(imported_text,chr(13),",")
			'Change the line breaks to commas to delimit through-out

			imported_text = replace(imported_text,chr(34),"")
			'Remove al quotes (If your csv has quotes other than to seperate text
			'You may want to remove this modifier to the imported text

			split_text=split(imported_text,",")
			'Split the top line by comma

			'Count the number of splits and add one for the last element
			num_cols=ubound(split_text)+1
			%>
		<Input type="hidden" name=ColCnt value=<%=num_Cols%>>
		<input type=hidden name=ColCount value=<%=num_Cols%>>

<!-- ----------------------------------- Step 3 header  ----------------------- -->
<p>
<table><tr><td height=2></td></tr></table> <!-- a little spacer -->
<center>

	<Table class=SimpleWrapper align=center width=75%>

		  <tr>
		  <td valign=top width=100% >
			  <table width=100%>
					<tr>
					  <td class=InstructionTextBold align=left valign=top align=left width=80%><img src=red_tri.gif> <%=wc_Step4%></td>
					</tr>
					<tr>
					  <td valign=top class=InstructionText align=left>
					  For each column in the file, select a database column to map it to or select 'ignore'.  There must be
					  at least one column that is not 'ignored' or the import will not be performed.<br><p>
					  The import will skip any rows that are totally blank in all the fields selected.<br><p>
					  Customer ID or Tech ID are case-sensitive.<br><p>
					  When you are done mapping columns, press the 'Test Import' button.

					  </td>
					</tr>

					<tr><td align=left>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<input type=submit value="TEST THIS IMPORT">
					</td></tr>
			  </table>
			  </td>
			</tr>


		<TR><TD>


<% '*************** ROW HEADER *********************** %>
		<table class=formboxholder width=100% border=1%>
		<TR>
				<td width="<%= 100/(num_Cols) %>%"><%=wc_Row_Number%></td>
<%

for iCol = 0 to num_Cols -1
	'This will create a table cell for each column in the csv
	' (-1 is used because arrays begin with 0)
	%>
	<td width="<% response.write 100/(num_Cols) 'make the cell widths even %>%" valign=top bgcolor=white>
			<%
			' if the file contains headers put the read headers below this
			if  sContainsHeader = "on" then %>
				<%= split_text(iCol) %>
				<br>
			<% end if %>

			<%
			sColName = "Col" & iCol %>
			<Select Name=<%=sColName%>>
			<option value=":">Ignore (Skip)</option>
				<%
				filloptionbox()
				%>
			</Select>
	</td>
	<%
next
%>
</tr>

			<!-- VALUES -->
<tr>
<%
	nRows = 0
	iRows = 0 ' number of actual rows
	act.close

	set act = fs1.opentextfile(targetfilepath,1)

	Do while not act.AtEndOfStream
		if iRows = 0 and sContainsHeader= "on" then
			rec  = act.Readline
		End If
		smsg=""
   	rec  = act.Readline
   	ReadAry = Split(Rec,",")

   	if ubound(readary)+1 <> cint(num_cols) then
   		smsg= "<font color=red>Bad row - has " & ubound(readary)+1 & "columns. Should be " & num_cols &  "</font><br>"
   	end if

      if ubound(readary)+1 < cint(num_cols) then ' 02/13/12 if read in rows less than the first row was causing vbscript error from trying to access an arry that wasn't there
      	nToStop = ubound(readary)+1
      else
      	nToStop = Num_Cols
      End If
		 ' row#
		 %>
			<td class=datavalue width="<%= 100/(num_cols) %>%"><%=sMsg%><%=iRows+1%></td>
		<%
		bNotBlank=0

		for iCol = 0 to nToStop-1  '  Num_Cols-1 ' process columns
				sValue = ReadAry(iCol)
				sValue = replace(sValue,chr(10),"")
				sValue = replace(sValue,chr(13),"")
				sValue  = replace(sValue ,chr(34),"")
				sValue  =  replace(sValue,chr(39),"")

				if len(sValue) > 0 then
					bNotBlank=1
				End If
				%>
				<td  class=datavalue> <%=sValue%>	</td>
			<%
		next ' column

		if bNotBlank = 0 then
			nRows = nRows + 1 ' number of nonblank rows
		End If
		iRows = iRows + 1
	%>
</tr>
<% loop 'end of the row %>
	<% act.close %>

</TD></TR>
</table>

</TD></TR></TABLE>
<p></form>
</body>
</html>
<!-- ----------------------------------- end of Step 3 ------------------------ -->

	<% Sub FillOptionBox() %>

		<option value="NOTES:NOTES">Asset Notes</option>  <!-- 02/06/12 -->

	<%  ' NO Call DropDownOrText(Asset_Number_Label, "Asset_Number",monitor_model,30,100,false) %>

		<%  Call DropDownOrText(Lease_Or_Purchase_Label, "Lease_or_Purchase",monitor_model,30,100,false) %>
		<%  Call DropDownOrText(Location_Label, "location",monitor_model,30,100,false) %>
	<%  Call DropDownOrText(wc_Customer_ID, "Customer_ID",Customer_ID,30,100,false) ' 03/25/12 %>

		<%  Call DropDownOrText(Computer_ID_Label,"Computer_ID",ram_size,30,100,false) %>
		<%  Call DropDownOrText(Date_Put_into_Service_Label,"date_in_service",date_in_service,30,100,false) %>
		<%  Call DropDownOrText(Date_Acquired_Label,"date_acquired",date_acquired,30,100,false)  ' added 03/15/12 %>
		<%  Call DropDownOrText(Monitor_model_Label,"monitor_model",monitor_model,30,100,false) %>
		<%  Call DropDownOrText(Description_Label,"Equipment_Type",ram_size,30,100,false) %>
		<%  Call DropDownOrText(Hard_Drive_Size_Label,"hd_size",hd_size,30,100,false) %>
		<%  Call DropDownOrText(Monitor_Size_Label,"monitor_size",monitor_size,30,100,false) %>
		<%	 Call DropDownOrText(IP_Address_Label,"ip_address",ip_address,30,100,false) %>
		<%  Call DropDownOrText(Custom_Field_4_Label,"custom_field4",custom_field4,30,100,false) %>
		<%  Call DropDownOrText(Operating_System_1_Label,"operating_system1",operating_system1,30,100,false) %>
		<%  Call DropDownOrText(Operating_System_2_Label,"operating_system2",operating_system2,30,100,false) %>
		<%  Call DropDownOrText(Custom_Field_5_Label,"custom_field2",custom_field5,30,100,false) %>
		<%  Call DropDownOrText(Purchase_Order_Number_Label,"purchase_order_num",purchase_order_num,30,100,false) %>
		<%  Call DropDownOrText(Processor_Speed_Label,"processor_speed",processor_speed,30,100,false) %>
		<%  Call DropDownOrText(RAM_size_Label,"ram_size",ram_size,30,100,false) %>
		<%  Call DropDownOrText(App_1_product_ID_Label,"app1_product_id",app1_product_id,25,25,false) %>
		<%	 Call DropDownOrText( Assigned_Group_Label,"assigned_group",assigned_group,30,100,false) %>
		<%  Call DropDownOrText(Serial_Number_Label, "Serial_Number",monitor_model,30,100,false) %>
		<%  Call DropDownOrText(App_1_Label,"app1",app1,20,20,false) %>
		<%  Call DropDownOrText(Custom_Field_3_Label, "Custom_Field3",monitor_model,30,100,false5) %>

		<%  Call DropDownOrText(Monitor_Serial_Number_Label,"monitor_serial_num",monitor_serial_num,30,100,false) %> <!--SBCC MOVED -->
		<%  Call DropDownOrText(Custom_Field_2_Label, "Custom_Field2",monitor_model,30,100,false) %>
	<%   Call DropDownOrText("Tech ID", "Tech_ID",Tech_ID,30,100,false) ' 03/25/12 %>

		<%  Call DropDownOrText(Acquired_From_Label, "Acquired_from",monitor_model,30,100,false) %>
		<%  Call DropDownOrText(Wall_Port_Number_Label, "wall_port_number",monitor_model,30,100,false) %>
		<%	 Call DropDownOrText(Date_Assigned_Label,"date_assigned",date_assigned,30,100,false) ' date WARRANTY SBCC%>
		<%  Call DropDownOrText(Custom_Field_1_Label, "Custom_Field1",monitor_model,30,100,false) %>

			<% If App_1_Label <> "" Then %>
				<%  'Call DropDownOrText(App_1_Label,"app1",app1,20,20,false) %>
				<% ' Call DropDownOrText(App_1_product_ID_Label,"app1_product_id",app1_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_1_installation_date_Label,"app1_install_date",app1_install_date,15,15,false) %>

			<% End If %>

			<% If App_2_Label <> "" Then %>
				<%  Call DropDownOrText(App_2_Label,"app2",app2,20,20,false) %>
				<%  Call DropDownOrText(App_2_product_ID_Label,"app2_product_id",app2_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_2_installation_date_Label,"app2_install_date",app2_install_date,15,15,false) %>

			<% End If %>

			<% If App_3_Label <> "" Then %>
				<%  Call DropDownOrText(App_3_Label,"app3",app3,20,20,false) %>
				<%  Call DropDownOrText(App_3_product_ID_Label,"app3_product_id",app3_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_3_installation_date_Label,"app3_install_date",app3_install_date,15,15,false) %>

			<% End If %>

			<% If App_4_Label <> "" Then %>

				<%  Call DropDownOrText(App_4_Label,"app4",app4,20,20,false) %>
				<%  Call DropDownOrText(App_4_product_ID_Label,"app4_product_id",app4_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_4_installation_date_Label,"app4_install_date",app4_install_date,15,15,false) %>

			<% End If %>

			<% If App_5_Label <> "" Then %>

				<%  Call DropDownOrText(App_5_Label,"app5",app5,20,20,false) %>
				<%  Call DropDownOrText(App_5_product_ID_Label,"app5_product_id",app5_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_5_installation_date_Label,"app5_install_date",app5_install_date,15,15,false) %>

			<% End If %>

			<% If App_6_Label <> "" Then %>
				<%  Call DropDownOrText(App_6_Label,"app6",app6,20,20,false) %>
				<%  Call DropDownOrText(App_6_product_ID_Label,"app6_product_id",app6_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_6_installation_date_Label,"app6_install_date",app6_install_date,15,15,false) %>

			<% End If %>

			<% If App_7_Label <> "" Then %>

				<%  Call DropDownOrText(App_7_Label,"app7",app7,20,20,false) %>
				<%  Call DropDownOrText(App_7_product_ID_Label,"app7_product_id",app7_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_7_installation_date_Label,"app7_install_date",app7_install_date,15,15,false) %>

			<% End If %>

			<% If App_8_Label <> "" Then %>

				<%  Call DropDownOrText(App_8_Label,"app8",app8,20,20,false) %>
				<%  Call DropDownOrText(App_8_product_ID_Label,"app8_product_id",app8_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_8_installation_date_Label,"app8_install_date",app8_install_date,15,15,false) %>

			<% End If %>
			<% If App_9_Label <> "" Then %>


				<%  Call DropDownOrText(App_9_Label,"app9",app9,20,20,false) %>
				<%  Call DropDownOrText(App_9_product_ID_Label,"app9_product_id",app9_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_9_installation_date_Label,"app9_install_date",app92_install_date,15,15,false) %>

			<% End If %>

			<% If App_10_Label <> "" Then %>

				<%  Call DropDownOrText(App_10_Label,"app10",app10,20,20,false) %>
				<%  Call DropDownOrText(App_10_product_ID_Label,"app10_product_id",app10_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_10_installation_date_Label,"app10_install_date",app10_install_date,15,15,false) %>

			<% End If %>
			<% If App_11_Label <> "" Then %>

				<%  Call DropDownOrText(App_11_Label,"app11",app11,20,20,false) %>
				<%  Call DropDownOrText(App_11_product_ID_Label,"app11_product_id",app11_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_11_installation_date_Label,"app11_install_date",app11_install_date,15,15,false) %>

			<% End If %>
			<% If App_12_Label <> "" Then %>

				<%  Call DropDownOrText(App_12_Label,"app12",app12,20,20,false) %>
				<%  Call DropDownOrText(App_12_product_ID_Label,"app12_product_id",app12_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_12_installation_date_Label,"app12_install_date",app12_install_date,15,15,false) %>

			<% End If %>
			<% If App_13_Label <> "" Then %>

				<%  Call DropDownOrText(App_13_Label,"app13",app13,20,20,false) %>
				<%  Call DropDownOrText(App_13_product_ID_Label,"app13_product_id",app13_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_13_installation_date_Label,"app13_install_date",app13_install_date,15,15,false) %>

			<% End If %>
			<% If App_14_Label <> "" Then %>

				<%  Call DropDownOrText(App_14_Label,"app14",app14,20,20,false) %>
				<%  Call DropDownOrText(App_14_product_ID_Label,"app14_product_id",app14_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_14_installation_date_Label,"app14_install_date",app14_install_date,15,15,false) %>

			<% End If %>
			<% If App_15_Label <> "" Then %>

				<%  Call DropDownOrText(App_15_Label,"app15",app15,20,20,false) %>
				<%  Call DropDownOrText(App_15_product_ID_Label,"app15_product_id",app15_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_15_installation_date_Label,"app15_install_date",app15_install_date,15,15,false) %>
		<% End if %>

		<%  Call DropDownOrText(Property_Tag_Label,"Property_Tag",ram_size,30,100,false) %>
<%
End Sub
%>

	<%
Sub DropDownOrText(LabelName,ColName,nNotUsed1,nNotUsed2,nSize,nMax) ' send value of the label name

	 If LabelName <> "" Then
	%>	<option value="<%=ColName%>:<%=LabelName%>"><%=labelname%></option> <%

	End If

 End Sub
%>
<% Sub FillWithCategoryItems()
	'This function gets the values of the drop down plus blank plus anything already in the assets table for this column, plus blank
If Version7point5 = "YES" then ' added this to make it compatible with version 7.0
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here


		mySQL2="Select assetcategory,assetcategoryItem from AssetCategoryItems LEFT OUTER JOIN assetcategories on assetcategoryItems.assetcategoryid = assetcategories.assetcategoryid"
		mySql2=mySql2 & " ORDER BY assetcategory, AssetCategoryItem " ' changed 02/06/12

		set rstemp2=conntemp.execute(mySQL2)
		'response.write "<Option value=></OPTION>"   ' blank
	'	Response.write "<OPTION selected value="""">Ignore</OPTION>"  ' blank use this for consistency
		Response.write "<OPTION value="""">Use value from textbox</OPTION>"  ' blank use this for consistency

		Do While not rstemp2.eof
			if trim(rstemp2("AssetCategoryItem")) > "" Then ' 02/12/2012 added trim
				response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategory") & " - " & rstemp2("AssetCategoryItem") & "</OPTION>"
			End If
			RsTemp2.MoveNext
		Loop

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing
Else
		Response.write "<OPTION value="""">Use value from textbox</OPTION>"  ' blank use this for consistency

End If
	End Sub
	%>

	<% Sub FillTechs()

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select * from tech_Staff"
			mySql2=mySql2 & " ORDER BY last_name, first_name"

			set rstemp2=conntemp.execute(mySQL2)
			Do While not rstemp2.eof
				sTechName = rstemp2("Last_Name") & ", " & rstemp2("First_name")
				response.write "<OPTION VALUE=" & rstemp2("Tech_ID") & ">" & sTechName & "</OPTION>"
				RsTemp2.MoveNext
			Loop

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End Sub
	%>
		<% Sub FillCustomers() ' CUSTOMERID

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN ' Open the connection once here

				mySQL2="Select customer_id, contact_lname, contact_Fname from Customers"
				mySql2=mySql2 & " ORDER BY contact_lname, contact_fname"

				set rstemp2=conntemp.execute(mySQL2)
				Do While not rstemp2.eof
					sCustomerName = rstemp2("contact_lname") & ", " & rstemp2("contact_fname")
					response.write "<OPTION VALUE=" & rstemp2("Customer_ID") & ">" & sCustomerName & "</OPTION>"
					RsTemp2.MoveNext
				Loop

				rstemp2.close
				set rstemp2=nothing
				conntemp.Close
				Set conntemp = nothing

			End Sub
	%>