
<% 'Module: DoImportCustomers2.asp

   'Description: This is the Submit Module to DoImportCustomers.asp

   '(C) 2000-2005 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '6/07/00	SAV		Created original ImportFilter.asp page
   '09/10/00 SAV custom changes for CSM
	'9/11/00	SAV - Created version or LDAP updates or new imports
	'06/20/05	SAV	 - Created DoImportCustomers2.asp modules from DoImportLDAP.asp module
	' CONSTANTS

	' Set the time out to 20 minutes so it does not time out with larger imports
	Server.ScriptTimeOut = 2500 ' Set to 2500 seconds (40 minutes)
	NewRecords = 0
	UpdatedRecords = 0

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<html>

<head>
<title>Customer Import Process - Data Transfer step</title>
</head>

<body bgcolor=FFFFFF>

<center>
<font size=+2>Customer Import Results</font>
</center>
<P>




<% ' ********************* USER CUSTOMIZATION ********************
	' Step 1: On the line below, edit the ODBC connect string for your
	' database that you have created with your customer records.
	' Currently it is initially configured for a DSN called "NewCustomers"
	' If your require a userid and password, enter it into the string too.
	' You must configure the DSN for this database by going to the
	' the ODBC32 icon under the control panel.

		' Database DSN is obtain from the passed parameter called CustomerDSN



		YourDatabaseDSN = Request.form("CustomerDSN")


	' Step 2: Edit the table name below from "MoreCustomers" to the name
	' of your table in your database that contains the new customer
	' records.

		' Table name is passed from passed parameters

		YourDatabaseTableName = Request.form("CustomerTableName")

	' Field Mapping Variable Settings
	'Destination Column Name	Source Column Name	Field Description
	'-----------------------	------------------	--------------------------
	Contact_lname = 			Request.Form("LastName")			'Customers Last Name
	Contact_fname = 			Request.Form("FirstName")			'Customers First Name
	customer_password = 		Request.Form("password")			'Customer Password
	company = 					Request.Form("Company")			'Customer's Company
	address = 					Request.form("Address")			'Customers's Street Address
	mailstop = 					Request.form("Mailstop")			' Mail stop address if exists
	city = 						Request.form("City")				' City name
	State = 					Request.form("State")				' State two letter name
	zip	=						Request.form("Zip")				' Zipcode
	email = 					Request.form("Email")				' Email Address
	phone1 = 					Request.form("Phone1")			' Work Phone Number
	phone2 = 					Request.form("Phone2")			' Home Phone Number
	fax = 						Request.form("fax")				' Fax Number
	contact_method =			Request.form("contact_method")		' Set to email, fax or phone
	Contact_Times = 			Request.form("Contact_Times")		' Notes about contacting person
	Customer_username = 		Request.form("Username")	' customerID login
	' ******************* END CUSTOMIZATIONS **********************

	' Now we will attempt to import all of the information.  In addition
	' to the fields above, we will also create a unique "customer_id"
	' key field that is built by using the Lastname field + "_" (underscore)
	' + the First name up to 20 characters.

	' We will need to open two ODBC connections so we can move
	' data from one data source to another.


	TotalImportedRecords = 0
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN   ' Conn = Destination Database

	response.write "<B>Database Connectivity Tests:</b>"
	response.write "<UL> Connection to (Destination) Web+Center Database Successful.<br>"

	' close it now since we are going to close it for each record added

	Conn.Close
	Set Conn = Nothing
'	Set SourceRecord = Nothing
'	Conn2.close


	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  YourDatabaseDSN ' If it fails here, then check your connect string.

	response.write " Connection to External Customer Database Successful.</ul>"

	Response.write "<b>Importing Data Records For:</b><UL>"

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from " & YourDatabaseTableName
			SourceRecord.Open SQL2,Conn2,3,3



	NumberOfRecords = Request.form("NumberOfRecords")

	If NumberOfRecords = "" OR NumberOfRecords = NULL Then
		NumberOfRecords = 99999   ' Set to 99,999 records if no number of records set.
	End IF

	'response.write "NumberOfRecords = "& NumberOfRecords

	TotalEmptyRecords = 0


	Do while SourceRecord.EOF <> True  AND (TotalImportedRecords <= CLng(NumberOfRecords ) -1 )
		' Create a new record on the desintation database

			LastNameNull = False ' Default to False

			LastNameNull = IsNull(SourceRecord(Contact_lname))


		If LastNameNull = False Then ' Process only records with real last names


		If Request.form("Email") <> "" Then

			UserEmail = SourceRecord(Email)

			' Replace single quote with double quote for those O'Mallys or O'Briens

			If UserEmail <> "" Then
				UserEmail = Replace(UserEmail, "'", "''")
			End If


		End If


		KeyField = Request.form("KeyField")

		If KeyField = "Email" Then
			SQL = "Select * from Customers where email = '" & UserEmail & "'"
		End If


		Last_Name_String = SourceRecord(Contact_lname)


		' Correct if last name has a single quote in it for the Query

		FixedLastNAme =  Replace(Last_Name_String, "'", "''")

		First_Name_String = SourceRecord(Contact_fname)


		FixedFirstNAme =  Replace(First_Name_String, "'", "''")



		If KeyField = "FirstLast" Then

		'	SQL = "Select * from Customers where contact_fname = '" & SourceRecord(Contact_fname) & "' AND contact_lname = '" & sourceRecord(Contact_lname) & "'"


			SQL = "Select * from Customers where contact_fname = '" & FixedFirstName & "' AND contact_lname = '" & FixedLastName & "'"
		End If


		If KeyField = "" Then
			SQL = "Select * from Customers where email = '12345'"
		End If

		' Open Destination Connection here so we can close it.

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN   ' Conn = Destination Database


		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")

			'response.write SQL

			DestinationRecord.Open SQL,Conn,3,3

			If DestinationRecord.EOF = True then
				DestinationRecord.AddNew ' Add new record if not found
				NewRecords = NewRecords + 1
				Record = "NEW"
			Else
				UpdatedRecords = UpdatedRecords + 1
				Record = "UPDATE"

			End IF


			' Import the data if variable is not commented out above

			If Contact_lname <> "" Then
				DestinationRecord("Contact_Lname") = mid (SourceRecord(Contact_lname), 1, 50)
			End If

			If Contact_fname <> "" Then
				DestinationRecord("Contact_fname") = mid(SourceRecord(Contact_fname),1,50)
			End If

			If Customer_password <> "" Then
				If IsNull(SourceRecord(Customer_password)) = False Then
					DestinationRecord("Customer_password") = SourceRecord(customer_password)
				End If
			End If


			If Company <> "" Then
				If IsNull(SourceRecord(Company)) = False Then
				DestinationRecord("company") = SourceRecord(Company)
				End if
			End If

			If Address <> "" Then
				If IsNull(SourceRecord(Address)) = False Then
					DestinationRecord("Address") = Mid (SourceRecord(Address), 1, 80)
				End If

			End If

			If MailStop <> "" Then
				If IsNull(SourceRecord(MailStop)) = False Then
					DestinationRecord("MailStop") = Mid (SourceRecord(MailStop), 1, 50)
				End If
			End If

			If City <> "" Then
				If IsNull(SourceRecord(City)) = False Then
					DestinationRecord("City") = Mid (SourceRecord(City), 1, 40)
				End If
			End If

			If State <> "" Then
				If IsNull(SourceRecord(State)) = False Then
					DestinationRecord("State") = Mid (SourceRecord(State), 1 , 40)
				End If
			End If

			If Zip <> "" Then
				If IsNull(SourceRecord(Zip)) = False Then
					DestinationRecord("Zip") = Mid (SourceRecord(Zip), 1, 40)
				End If

			End If

			If email <> "" Then
				DestinationRecord("email") = mid (SourceRecord(email), 1 ,80)
			End If


			If phone1 <> "" Then
				if IsNull(SourceRecord(Phone1)) = False Then
					DestinationRecord("phone1") = mid (SourceRecord(Phone1),1,20)
				End If
			End If

			If phone2 <> "" Then
				if IsNull(SourceRecord(Phone2)) = False Then
					DestinationRecord("phone2") = mid (SourceRecord(Phone2),1, 20)
				End If
			End If

			If fax <> "" Then
				if IsNull(SourceRecord(Fax)) = False Then
					DestinationRecord("Fax") = mid (SourceRecord(fax), 1, 20)
				End If
			End If


			If Contact_method <> "" Then
				DestinationRecord("contact_method") = SourceRecord(contact_method)
			End If

			If Contact_Times <> "" Then
				DestinationRecord("Contact_Times") = SourceRecord(Contact_times)
			End If

			If customer_username <> "" Then
				DestinationRecord("customer_username") = mid (SourceRecord(customer_username),1,20)
			End If

			' Now create the unique customer_ID field - only for New Records

			If Record = "NEW" Then

				Customer_ID = SourceRecord(Contact_lname) & "_" & SourceRecord(contact_fname)

				' This is required for names like O'Malley.  Just the
				' Customer_ID is modified, not the name record.


				Fixed_Contact_lname = SourceRecord(Contact_lname)
				Fixed_Contact_fname = SourceRecord(Contact_fname)

				If Fixed_Contact_lname <> "" Then

					Fixed_Contact_lname = replace(Fixed_Contact_lname, "'", "")
				End IF

				If Fixed_Contact_fname <> "" Then
					Fixed_Contact_fname = replace(Fixed_Contact_fname, "'", "")
				End If


				' Also remove any spaces from Fname and Lname when creating Customer_Id

				If Fixed_Contact_lname <> "" Then
					Fixed_Contact_lname = replace(Fixed_Contact_lname, " ", "_")
				End If

				IF Fixed_Contact_fname <> "" Then
					Fixed_Contact_fname = replace(Fixed_Contact_fname, " ", "_")
				End IF


				Customer_ID = Fixed_Contact_lname & "_" & Fixed_contact_fname

				If Len(customer_ID) > 20 Then
					Customer_ID = Left(Customer_ID, 20)
				End If

				' The Customer_ID must be unique verify this combination
				' of Last_First is not already used.  If it is, then
				' add an 3 digit random number to the end of the ID.

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If

				' Run this test again incase we have duplicates

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If


				DestinationRecord("Customer_ID") = Customer_ID

				' IMPORTANT - DO NOT RESET THIS EVEN IF THEY
				' CHANGE THEIR NAMES.  There is an option within
				' the tech+center that will allow techs to
				' change the customer_id.

			End if  ' End of If Record = "NEW"


			DestinationRecord.Update

		' NEW CODE TO ADD USER CATEGORIES assignment to new imports
		' Added 10/7/2008

		' Only add catgories and do not delete any

			For each SelectedGroup in Request("emailUserCategory")

			If SelectedGroup <> "ALL" and SelectedGroup <> "" Then

				Set Conn5 = Server.CreateObject("ADODB.Connection")
				conn5.open  myDSN

				Set NewRecord5 = Server.CreateObject("ADODB.Recordset")
					'SQL = "Select * from EmailCategoryLinks"


					SQL = "Select * from EmailCategoryLinks where EmailCategoryLinks.Customer_ID = '"& customer_ID & "' AND EmailCategoryLinks.EmailCategoryID = " & SelectedGroup


					'debug
					'response.write "SQL = "  & SQL
					'response.flush
					'response.end


					NewRecord5.Open SQL,Conn5,3,3

					IF NewRecord5.EOF Then

						NewRecord5.AddNew

						NewRecord5 ("Customer_ID") = Customer_ID
						NewRecord5 ("EmailCategoryID") = SelectedGroup
						NewRecord5.Update

					Else
						' Do NOT add duplicated
					End If


				NewRecord5.Close
				Conn5.Close

				Set NewRecord5 = Nothing


			End If
			'response.write SelectedGroup & "<br>"
			next

	' End of new code to add user group assignment for customer imports



			If Record = "NEW" Then
				response.write " <font color=green> <LI>New User: " &  SourceRecord(contact_fname) & " " & sourceRecord(Contact_lname) & "</font></li>"
			Else
				response.write " <font color=brown> <LI>Updated User: " &  SourceRecord(contact_fname) & " " & sourceRecord(Contact_lname) & "</font></li>"
			End If

			' output to screen incase it dies

			response.flush

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				'IF  conn.errors.count> 0 then
				'	  response.write "Database Errors Occured" & "<P>"
				'for counter= 0 to conn.errors.count
				'	  response.write "Error #" & conn.errors(counter).number & "<P>"
				'	  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				'next
				'else
				'      response.write "No Database Errors Occured!" & "<P>"
				'end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing

		' Close the Destination connection now
		Conn.Close


		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1

	Else ' IF contact_lname = Null then do a move next without inserting new record
		Response.write "<li><font color=red>Empty Record Found</font><br>"
		TotalEmptyRecords = TotalEmptyRecords + 1
		SourceRecord.MoveNext
	End If



	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

'	Conn.Close ' closed already
	Set SourceRecord = Nothing
	Conn2.close

%>

	</ul>

	<B>Data Import Summary Report - Finished Successfully</B><P>
	<UL>
	<LI><%=TotalImportedRecords%> Total Customer records imported/Updated<br>
	<li> <%=TotalEmptyRecords%> Empty Records records found<br>
	<li> <%=NewRecords%> New Imported Record<br>
	<li> <%=UpdatedRecords%> Updated Records<br>
	</ul>


</body>
</html>




<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		' We need to replace all single quotes in the table value with
		' double quotes to prevent a SQL error.

		NewTableValue = replace(TableValue, "'", "''")

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL8="select * from " & tablename & " where " & Columnname & " = '" & NewTableValue & "'"


		Set rstemp5 = Server.CreateObject("ADODB.Recordset")


		'rstemp5.open mySQL8, conntemp2, adopenstatic
		rstemp5.open mySQL8, conntemp2, 3,3

		CustomersFound = rstemp5.recordcount
'		response.write "CustomersFound = " & CustomersFound


		'set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF AND CustomersFound = 0 then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

		'Debugging:

		If CheckForUniqueTableValues = "NONUNIQUE" Then
			response.write " <font color=blue><B>Possible Duplicate Entry - Please check Customer_ID:" & TableValue & "</b></font>"
		End If


'		response.write "Checking for Unique:" & Columnname & "---" & Tablevalue
'		response.write "<br>Unique Status = " & CheckForUniqueTableValues
'		response.write "<br>SQL= " & mySQL8


	End Function ' End of CheckForUniqueTableValues
	%>

