<% 'Module: doInstallTestLinux.asp

   'Description: This module contains the test code for each of the Install Tests. Which test
   ' is executed is determined by the value of the "mode" parameter passed on the URL



   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '0/28/2003  JC      Initial version created

	' CONSTANTS
%>

<html><!-- (C)  2003 by Internet Software Sciences-->
<head>
<title>Install Test Linux</title>
</head>
<body bgcolor=#D8D8D8>
<blockquote><blockquote>

<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->


<%

mode = request.querystring("mode")


' Start of Test for Mode = 1 -----------------------------------------------------------------------
If mode = "1" Then

	If MyOS <> "Linux" Then
	  response.write "<center><font color=red><b>Problem:</b></font> Linux environment not detected</center><p>"
	Else
	  response.write "<center><font size=+1> <b>Test 1: </b>Linux environment successfully detected and set in Environmental Parameter</font></center><p>"
	End If

%>

You should see a button immediately after this paragraph labeled "Continue". If this button is not showing,
then it means that there is a problem in setting up the directory path to where button images are kept,
and this needs to be resolved.
<p>
If you see the button immediately below labeled "Continue", then you may click on it to return and execute
further tests.
<p>
<center>
<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
</center>
<%
End If  ' End of Test for Mode = 1 -----------------------------------------------------------------
%>

<% ' Start of Test for Mode = 2 -----------------------------------------------------------------------

If mode = "2" Then %>


		<center><font size=+1> <b>Test 2: </b> Simple Database Connectivity Test</font></center><p>
		Before connecting to the Database...<P>

<%



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection established</font><P>"

		conntemp.close ' Close the connection
		set conntemp=nothing

 %>
		After Closing database connection<P>

		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 2 -----------------------------------------------------------------
%>


<% ' Start of Test for Mode = 3 -----------------------------------------------------------------------

If mode = "3" Then %>


		<center><font size=+1> <b>Test 3: </b> Multiple Connections Database Test</font></center><p>
<P>
<br>
Before connecting to the Database - 1st Connection...<br>


<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection  (1) established</font><br>"

		conntemp.close ' Close the connection
		set conntemp=nothing

 %>

After Closing database connection (1) <P>

<br>
Before connecting to the Database - 2nd Connection...<br>


<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection  (2) established</font><br>"

		conntemp.close ' Close the connection
		set conntemp=nothing

 %>

After Closing database connection (2) <P>


<br>
Before connecting to the Database - 3rd Connection...<br>


<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection  (3) established</font><br>"

		conntemp.close ' Close the connection
		set conntemp=nothing

 %>

After Closing database connection (3) <P>
<br>

<hr width=50%>
If you see all three database connections successful above, then this test is successful.<P>

		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 3 -----------------------------------------------------------------
%>


<% ' Start of Test for Mode = 4 -----------------------------------------------------------------------

If mode = "4" Then %>


		<center><font size=+1> <b>Test 4: </b> Database Read Connectivity Test</font></center><p>

Before connecting to the Database...<br>


<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection established</font><br>"


	set rstemp2=server.createobject("ADODB.Recordset")



	mySQL2="select * from Configuration"

	rstemp2.open mySQL2, conntemp

	' Check to see if any records are returned

	if rstemp2.EOF then
		response.write "<font color=green> Database Table Read OK but no data found - Check if default data is loaded</font><P>"
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		response.write "<font color=green> Database Table Read successfully with data found</font><P>"
		DatabaseType = rstemp2("DatabaseType")
		If DatabaseType <> "MYSQL" Then
          response.write "<font color=red><b>CAUTION:</B> Database type is not defined as MySQL in the configuration setting</font> It is set to be <font color=red>" & DatabaseType & "</font><P>"
        Else
          response.write "<font color=green> Database type is defined to be MySQL in the configuration setting</font><P>"
		End If

	End If





	rstemp2.close
	set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

 %>

After Closing database connection<P>


		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 4 -----------------------------------------------------------------
%>


<% ' Start of Test for Mode = 5 -----------------------------------------------------------------------

If mode = "5" Then %>


		<center><font size=+1> <b>Test 5: </b> Simple Database Read/Write Connectivity Test</font></center><p>

<P>
Before connecting to the Database...<P>

<%
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from Configuration" ' There should only be one row

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True Then
				response.write " Error: No default Configuration data found in Configuration table.<br>"

			Else ' record found so read the value

				UserPageColor = NewRecord("ts_user_page_color")

				' Simply put back the same value
				NewRecord("ts_user_page_color") = UserPageColor

				NewRecord.Update

				response.write " <font color=green> Database successfull Read/Write operation</font><P>"


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
				'	  response.write "Error #" & conn.errors(counter).number & "<P>"
				'	  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If ' End of NewRecord.EOF = True

	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

%>


After Closing database connection<P>


		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 5 -----------------------------------------------------------------
%>



<% ' Start of Test for Mode = 7 -----------------------------------------------------------------------

If request.form("mode") = "7" Then %>


		<center><font size=+1> <b>Test 7: </b> Email Configuration</font></center><p>
<P>
Before connecting to the Database...<P>


<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		response.write "<font color=green> Database  Connection established</font><P>"

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		response.write "<font color=green> Database Table Read OK but no data found - Check if default data is loaded</font><P>"
	Else
		smtp_host_address = rstemp2("smtp_host_address")
		replyToEmail = rstemp2("standard_reply_to_address")

		 OrganizationFromName = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out

		if smtp_host_address = "" Then
			response.write "<font color=red> SMTP Host Address is not yet configured. This can be configured by pressing Administration and system Configurations options.</font><P>"
			response.write " No mail send will be attempted until this configured.<P>"
		End If
	End If

	rstemp2.close
	set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

 %>

After Closing database connection<P>

<% If smtp_host_address <> "" then %>

<%
	ToEmail = Request.form("ToEmail") ' Email address passed from Form.

%>
	Attempting to send mail to email: <%=ToEmail%>
	<P>
	Sending mail through SMTP Server: <%=smtp_host_address%>
	<P>
	Sending...

<%
	' Set up the email message
	SubjectLine = "Web+Center Email Test"
	Message = " If you receive this message, your SMTP mail server has been found and is operational"
	ToEmail = Request.form("ToEmail") ' Email address passed from Form.

    ToFullname = "default"

	     SendLinuxEmail ToEmail, ToFullname, SubjectLine, Message


%>

After Sending<P>

<% End IF ' End if smtp_host_address <> "" %>





		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 7 -----------------------------------------------------------------
%>


<% ' Start of Test for Mode = 8 -----------------------------------------------------------------------

If mode = "8" Then %>


		<center><font size=+1> <b>Test 8: </b> Cookie Settings</font></center><p>



<% ' Send out the test cookie

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.

	 TechID = "TESTID" ' Send out fake ID of TESTID

	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

		 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
		 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90

%>





A Web+Center Cookie has been sent to your browser.  To confirm that this cookie
is properly set, click on the <B>Verify Cookie</b> link below to verify that the cookie has been set and
can be read by the server properly.

<P>

<B><a href=VerifyCookie.asp?mode=Linuxtest>Verify Cookie</a></b>
<P>
Note: If this test fails, then you must check your cookie handling settings
within your browser or try another browser and see if the cookie is properly saved
with that browser.




		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = 8 -----------------------------------------------------------------
%>


</blockquote></blockquote>
</body>
</html>


<% ' Start of Test for Mode = x -----------------------------------------------------------------------

If mode = "x" Then %>


		<center><font size=+1> <b>Test 4: </b> Simple Database Connectivity Test</font></center><p>




		<center>
		<a href=InstallTestLinux.htm><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></a>
		</center>
<%
End If  ' End of Test for Mode = x -----------------------------------------------------------------
%>