<%  ' Module: DoManageAssetGroups.asp
	'
	' Description: Submit Module For ManageAssetGroups.asp module
	'
	' (C) 2010 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'12/02/2010	SAV		Created DoManageAssetGroups.asp from DoASsets.asp
	'05/04/2011 CMB     Add </FORM> tag so submission works in IE
	'11/14/2011 CMB     Added ability to call from href
	'11/14/2011 CMB     This only finds ones that are assigned!!! removed inner join; BUT if assets are deleted they aren't deleted from asset groups
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ResultsView = request.querystring("ResultsView")


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form
		' This page can also be called from a query string from the case form
		' so we must get variables both ways (form and querystring)



		' Assignments


		Customer_Id = Request.querystring("Customer_ID")
		If Customer_ID = "" Then
			Customer_id = request.form("Customer_id")
		End IF

		Tech_Id= request.form("Tech_ID")
		Asset_number = request.form("asset_number")
		Asset_number2 = Request.form("assigned_asset_number")
		SortBy = Request.form("Sortby")

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If


		' Value fields

		Computer_ID = Request.form("Computer_ID")
		Property_tag = Request.form("Property_tag")
		Equipment_Type = Request.form("Equipment_type")
		Serial_number = Request.form("Serial_number")
		Assigned_group = Request.form("assigned_group")
		IP_Address = Request.form("IP_Address")
		Purchase_order_num = Request.form("Purchase_order_num")
		Lease_Or_Purchase = Request.form("Lease_Or_Purchase")
		Acquired_from = Request.form("Acquired_from")
		ResultsView = Request.form("ResultsView") 'Detailed/Brief
		ResultsView = "BRIEF" ' Default to this view for all results



		Custom_Field1 = Request.form("Custom_Field1")
		Custom_Field2 = Request.form("Custom_Field2")
		Custom_Field3 = Request.form("Custom_Field3")
		Custom_Field4 = Request.form("Custom_Field4")
		Custom_Field5 = Request.form("Custom_Field5")

		AssetGroup  = Request.form("AssetGroup")
		If AssetGroup = "" then ' 11/14/2011
			AssetGroup = Request.querystring("AssetGroup")
		end if

		If ResultsView = "" then
			ResultsView = "DETAILED" ' Default To Brief
		End IF

		Location = Request.form("Location")
		Wall_Port_Number = Request.form("Wall_Port_Number")
		Date_Assigned = Request.form("Date_Assigned")


		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.

		If  AssetGroup <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetGroupValues.AssetGroupIndex = " &  AssetGroup
			AndText = " AND "
		End IF


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF

		' Tech_ID  Search
		If  Tech_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Tech_ID = '" & Tech_ID & "'"
			AndText = " AND "
		End IF


		' Assigned to another asset search
		If  asset_number2  <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Asset_number2 = " & Asset_number2
			AndText = " AND "
		End IF


		' Value searches ' Use the like operator

		' Add search criteria for computer_id, property tag, etc

		' Computer_id
		If  computer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Computer_ID like '" & Computer_ID & "%'"
			AndText = " AND "
		End IF

		' Property_tag
		If  property_tag <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Property_tag like '" & property_tag & "%'"
			AndText = " AND "
		End IF


		' equipment_type
		If  equipment_type <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.equipment_type like '" & equipment_type & "%'"
			AndText = " AND "
		End IF


		' serial_number
		If  Serial_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.serial_number like '" & serial_number & "%'"
			AndText = " AND "
		End IF

		' assigned_group
		If  assigned_group <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.assigned_group like '" & assigned_group & "%'"
			AndText = " AND "
		End IF

		' IP_Address
		If  IP_Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.IP_Address like '" & IP_address & "%'"
			AndText = " AND "
		End IF


		' Purchase_order
		If  purchase_order_num <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.purchase_order_num like '" & purchase_order_num & "%'"
			AndText = " AND "
		End IF

		' Lease or Purchase
		If  Lease_or_Purchase <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Lease_or_Purchase like '" & Lease_Or_Purchase & "%'"
			AndText = " AND "
		End IF

		' Acquired_From
		If  Acquired_from <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.acquired_from like '" & Acquired_from & "%'"
			AndText = " AND "
		End IF


		' Location
		If  Location <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.location like '" & Location & "%'"
			AndText = " AND "
		End IF

		' Wall Port Number
		If  Wall_Port_Number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.wall_port_number like '" & Wall_Port_Number & "%'"
			AndText = " AND "
		End IF

		' Date_Assigned
		If  Date_Assigned <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.date_assigned like '" & Date_assigned & "%'"
			AndText = " AND "
		End IF


		' Asset Number Search
		If  asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.asset_number = " & asset_number
			AndText = " AND "
		End IF


		' Custom_Field1 Number
		If  Custom_Field1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field1 like '" & custom_field1 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field2 Number
		If  Custom_Field2 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field2 like '" & custom_field2 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field3 Number
		If  Custom_Field3 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field3 like '" & custom_field3 & "%'"
			AndText = " AND "
		End IF



	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""

	If Page <> "" Then

		If SortBy = "" Then
			SortBy = Request.querystring("SortBy") ' Handle special case when called as link
		End If

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If

	End If

Dim InAssetGroup
InAssetGroup = AssetGroup ' 11/14/11 this is getting overwritten by control

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Manage_Asset_Groups%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000-2010 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<SCRIPT LANGUAGE="JavaScript">
<!--
// by Nannette Thacker
// http://www.shiningstar.net
// This script checks and unchecks boxes on a form
// Checks and unchecks unlimited number in the group...
// Pass the Checkbox group name...
// call buttons as so:
// <input type=button name="CheckAll"   value="Check All"
	//onClick="checkAll(document.myform.list)">
// <input type=button name="UnCheckAll" value="Uncheck All"
	//onClick="uncheckAll(document.myform.list)">
// -->
function setButton(s)
{
    document.myform.buttonChoice.value = s;
    document.myform.submit();
}

<!-- Begin
function checkAll(field)
{
for (i = 0; i < field.length; i++)
	field[i].checked = true ;
}




function uncheckAll(field)
{
for (i = 0; i < field.length; i++)
	field[i].checked = false ;}
//  End -->
</script>


</HEAD>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Manage_Asset_Groups%></td>
</tr>
</table>




<FORM METHOD=POST name="myform" ACTION=ProcessManageAssetGroups.asp method=post>

<Table class=outerformwrapper cellspacing=0 cellpadding=0 width=80% >
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0 width=100% >

<tr>
  <td align=center class=minorformtitle colspan=2><%=wc_Asset_Group_Selection_And_Operations%></td>
</tr>

<tr>
<td>

<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 width=100%  >
<tr>
<td>
<table border=0   cellpadding=5 cellspacing=2 width=100% >


<TR>

<TD valig=top class=formlabelsuper><%=wc_Select_Asset_Group%>:<br>
<span class=formboxholder>

<select name=AssetGroup size=1>

<option value="">No Group Selected</option>


<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from AssetGroup order by AssetGroupName"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned

	If  rstemp.eof then ' Check to see any Groups exist

		' No asset groups found


	Else
		Do While rstemp.EOF <> True
			if InAssetGroup > "" and rstemp("AssetGroupIndex") = cint(InAssetGroup) then ' 11/14/2011 highlight asset group
					response.write "<option value=" & rstemp("AssetGroupIndex") & " SELECTED >" & rstemp("AssetGroupName") & "</option>" & chr(10) & chr(13)
			else
				response.write "<option value=" & rstemp("AssetGroupIndex") & ">" & rstemp("AssetGroupName") & "</option>" & chr(10) & chr(13)
			End If
			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>

</span></td>

</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->

</td>


<td>

<% 'Display the operation options

%>



<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 width=100%  >
<tr>
<td>
<table border=0   cellpadding=5 cellspacing=2 width=100% >


<TR>

<TD valig=top class=formlabelsuper><%=wc_Select_Assets_Below_and_push_required_operation_button%>:<br>
<span class=formboxholder>

&nbsp;&nbsp;&nbsp;&nbsp;
<input type=hidden name=buttonChoice>

<INPUT type=image name=AddAssetsToGroup src=/<%=WCLanguageDirectory%>/AddAssetsToGroup.gif border=0 value = "ADD" onclick='setButton("ADD");'>

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<INPUT type=image name=DeleteAssetsFromGroup src=/<%=WCLanguageDirectory%>/DeleteAssetsFromGroup.gif border=0 value = "DELETE" onclick='setButton("DELETE");'>


</span></td>




</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->







</td>











</tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><a href=manageassetgroups.asp><img src=/<%=WCLanguageDirectory%>/ts_search_again30x120.gif border=0></TD>
<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>


<!-- ------------------------- end buttons ----------------------------- -->


</td></tr>



</td>
</tr>
</table><!-- end of outerform wrapper -->




<%

	' Build the query based on the passed input fields
	If DatabaseType = "ORACLE" Then

		mySQL2 = " SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address FROM Assets "
		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets, AssetAssignment "
		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets, AssetAssignment "

		If TextSearchQuery = "" AND WhereStatement <> "" THEN
			WhereStatement = " WHERE Assets.asset_number = AssetAssignment.Asset_number AND " & WhereStatement
		ELSE
			WhereStatement = " WHERE Assets.asset_number = AssetAssignment.Asset_number "
		End IF
	Else
		'mySQL2 = " SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address FROM Assets "


		'mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets INNER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		mySQL2 = "SELECT Assets.asset_number, Assets.date_acquired, Assets.Custom_field1, Assets.Custom_field2 ,Assets.Custom_field3, Assets.Custom_field4, Assets.Custom_field5, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

	 if AssetGroup <> "" Then
	'11/14/11	mySQL2 = "SELECT Assets.asset_number, Assets.date_acquired, Assets.Custom_field1, Assets.Custom_field2 ,Assets.Custom_field3, Assets.Custom_field4, Assets.Custom_field5, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM (assets INNER JOIN AssetGroupValues ON assets.asset_number = AssetGroupValues.Asset_Number) INNER JOIN AssetAssignment ON assets.asset_number = AssetAssignment.Asset_number "
			mySQL2 = "SELECT Assets.asset_number, Assets.date_acquired, Assets.Custom_field1, Assets.Custom_field2 ,Assets.Custom_field3, Assets.Custom_field4, Assets.Custom_field5, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM (assets INNER JOIN AssetGroupValues ON assets.asset_number = AssetGroupValues.Asset_Number) LEFT OUTER JOIN AssetAssignment ON assets.asset_number = AssetAssignment.Asset_number "

	End IF



		If TextSearchQuery = "" AND WhereStatement <> "" THEN
			WhereStatement = " WHERE " & WhereStatement
		End IF
	End If
	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	mySQL2 = mySQL2  & " Order by " & SortBy

	' Debugging
	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query




	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>
<center>
	<table class=BGWrapper>
	<tr>
	<td class=MinorScreenTitle><%=wc_Your_Search_Has_Found%> </td>
	<td class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</td>
	<td class=MinorScreenTitle><%=wc_matching_records%>. </td>
	</tr>

</table>
</center>






	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

'	If RecordsFound > 0 Then
'		If RecordsFound = 15 Then ' See if exactly 15 records are return
'			NumOfPages = 1
'		Else
'			NumOfPages = Int(RecordsFound/15) + 1
'			If NumOfPages > 20 Then
'				NumOfPages = 20
'			End If
'		End If
'	End If
'
'	If NumOfPages > 1 Then
'
'		response.write "<font size=-2 face=arial>"
'		response.write "<B>" & wc_Result_Pages & ":</b> "
'
'		If Page = "" THEN
'			Page = 1
'		End If
'
'		If Page <> ""  Then
'			CurrentPage = Page
'		End If
'
'		for i = 1 to NumOfPages
'			If CInt(CurrentPage) = i Then
'				response.write "<B>" & i & "</b>"
'			Else
'				response.write "<a href=DoAssets.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView&"&Sortby="&SortBy& "> "& i& "</a>"
'			End If
'			response.write chr(10)& chr(13)
'		next
'
'		if CurrentPage > 20 then
'			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
'		End If
'
'		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoAssets.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sortby="&SortBy& ">" & wc_Next & ".. &gt;&gt; </a>"
'		response.write "<P></font>"
'	End If
'
'	' Check to see if any records are returned
'	' if none found the
'
'		count = 0
'
'
'		' Move to the appropriate starting record if this is displaying
'		' a page other than page 1
'
'		if Page <> "" Then
'			PageNum = ((CInt(Page)-1)*15)
'			rstemp.Move PageNum ' Move to the appropriate record
'		End If

		If ResultsView = "BRIEF" Then
%>


<input type="button" name="CheckAll" value="Check All"
onClick="checkAll(document.myform.list)">
<input type="button" name="UnCheckAll" value="Uncheck All"
onClick="uncheckAll(document.myform.list)">
<br>


		<CENTER><TABLE BORDER CELLSPACING=1 CELLPADDING=1 WIDTH="98%" bgcolor=white >
		<tr>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Select%></th>

		<th bgcolor=D0E0F0><font size=-1><%=wc_Asset%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Assignment%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Description_Label%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Location_Label%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Property_Tag_Label%></th>
		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		'do while not rstemp.eof AND Count < 15

		do while not rstemp.eof

		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView = "DETAILED" THEN
	%>




<CENTER>

<TABLE BORDER=0 class=innerformwrapper  width=70% CELLSPACING=2 CELLPADDING=7  >
<tr>
<td colspan=2 class=InnerformWrapperTight align=center>
     <B>
     <%=wc_Asset%>:
     <A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A> &nbsp;&nbsp;&nbsp;&nbsp;
     </B>
     <A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newassetwindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</a>
</td>
</tr>





<TR>


<TD ALIGN=CENTER width=37% class=formlabel><B>

<%=rstemp("equipment_type")%>/
<I>
<%=rstemp("Property_tag")%>
</i>

</B></TD>


<TD ALIGN=CENTER width=37% class=formlabel>

<% If rstemp("Customer_ID") <> ""   Then %>


<B><%=wc_Customer%>:</b>  <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></B></TD>

<%elseif rstemp("Tech_ID") <> "" Then %>
<% TechName = TechFullName(rstemp("Tech_ID")) %>

<B> <%=wc_Tech%>:</b> <%=TechNAme%>


<%Elseif rstemp("Asset_Number2") <> "" Then %>
<B> <%=wc_Other_Asset%>:</b> <a href=AssetInfo.asp?Asset_number=<%=rstemp("Asset_Number2")%>><%=rstemp("asset_number2")%></a>

<%Else %>
<B>	<%=wc_No_Assignment%> </b>
<%End IF %>


</TR>

<TR>


<td width=37% class=formlabel>



<% IF Property_Tag_Label <> "" Then %>

<B><%=Property_Tag_Label%>:</b> <%=rstemp("Property_tag")%><br>

<% End IF %>


<% IF Computer_ID_Label <> "" Then %>

<B><%=Computer_ID_Label%>:</b> <%=rstemp("computer_id")%><br>

<% End IF %>

<% IF Serial_Number_Label <> "" Then %>

<B><%=Serial_Number_Label%>:</b> <%=rstemp("serial_number")%><br>

<% End IF %>

<% IF Purchase_Order_Number_Label <> "" Then %>

<B><%=Purchase_Order_number_Label%>:</b> <%=rstemp("purchase_order_num")%><br>

<% End IF %>


<% If Acquired_From_Label <> "" Then %>

<B><%=Acquired_From_Label%>:</b> <%=rstemp("acquired_from")%> <br>


<% End IF %>

<% IF Custom_Field_1_Label <> "" Then %>

<B><%=Custom_Field_1_Label%>:</b> <%=rstemp("custom_field1")%> <br>

<% End IF %>

<% IF Custom_Field_2_Label <> "" Then %>

<B><%=Custom_Field_2_Label%>:</b> <%=rstemp("custom_field2")%> <br>

<% End IF %>



</td>
<td width=37% class=formlabel>

<% IF Location_Label <> "" Then %>

<B><%=Location_Label%>:</b> <%=rstemp("location")%><br>

<% End IF %>

<% IF Assigned_Group_Label <> "" Then %>


<B><%=Assigned_Group_Label%>:</b> <%=rstemp("Assigned_group")%><Br>

<% End IF %>

<% IF Lease_Or_Purchase_Label <> "" Then %>

<B><%=Lease_Or_Purchase_Label%>:</b> <%=rstemp("lease_or_purchase")%><br>

<% End IF %>


<% IF Date_Acquired_Label <> "" Then %>

<B><%=Date_Acquired_Label%>:</b> <%=rstemp("Date_Acquired")%><br>

<% End IF %>


<% IF IP_Address_Label <> "" Then %>

<B><%=IP_Address_Label%>:</b> <%=rstemp("ip_address")%> <br>

<% End IF %>


<% IF Custom_Field_3_Label <> "" Then %>

<B><%=Custom_Field_3_Label%>:</b> <%=rstemp("custom_field3")%> <br>

<% End IF %>

<% IF Custom_Field_4_Label <> "" Then %>

<B><%=Custom_Field_4_Label%>:</b> <%=rstemp("custom_field4")%> <br>

<% End IF %>

<% IF Custom_Field_5_Label <> "" Then %>

<B><%=Custom_Field_5_Label%>:</b> <%=rstemp("custom_field5")%> <br>

<% End IF %>


</TD>
</TR>

</TABLE></CENTER>

<CENTER>&nbsp;</CENTER>

<% 	Else ' Display the results in Brief view mode %>

<TR>

<TD align=center NOWRAP><font size=-1><input type=checkbox name="list" value="<%=rstemp("asset_number")%>">
</font></td>



<TD ALIGN=CENTER NOWRAP><FONT SIZE=-1><B><A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A>&nbsp;&nbsp;</B>
<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
<IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<% If rstemp("Customer_ID") <> "" Then %>

<TD ><FONT size=-1><B>User:</b>  <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>">
<%=rstemp("Customer_ID")%></A></FONT></TD>

<%elseif rstemp("Tech_ID") <> "" Then %>
<% TechName = TechFullName(rstemp("Tech_ID")) %>

<TD ><FONT size=-1><B><%=wc_Tech%>:</b>  <%=TechName%>

</FONT></TD>

<%elseif rstemp("Asset_number2") <> "" Then %>
<TD ><FONT size=-1><B>Asset:</b>  <a href=AssetInfo.asp?Asset_number=<%=rstemp("Asset_number2")%>><%=rstemp("asset_number2")%></a>


</FONT></TD>

<%Else %>
<TD ><FONT size=-1><B><%=wc_No_Assignment%></b>
</FONT></TD>


<%End If %>

<TD>
<FONT SIZE=-1><%=rstemp("Equipment_type")%><br></FONT></TD>

<TD>
<FONT SIZE=-1><%=rstemp("Location")%><br></FONT></TD>

<TD>
<FONT SIZE=-1><%=rstemp("Property_tag")%><br></FONT></TD>

</TR>


<% End if ' End If ResultsView = Detailed
%>


<%
			rstemp.movenext
			count = count + 1
		loop

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If


	rstemp.close
	set rstemp=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>





<%End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</FORM>
</html>



<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>



<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
