<% 'Module: DoManageUserCategories.asp

   'Description: This module processes the response from the ManageUserCategories.asp page
   ' and displays a confirmation page.
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

	' This page process 5 difference types of UserGroup (category) options

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/03/00	SAV		Created original ASP
   '3/27/07 JC		Cloned from DoEmailListUserGroups in BusinessCenter for use in Tech Center

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>





<html>
<head>
<title>Business+Center</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<% 'Get the form data

	Submit = Request.form("Submit")
	If Submit = wc_Modify_category_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Modify existing User Category
	' * * * * * * * * * * * * * * * * * * * * * *

		OldUserCategory = Request.form("OldUserCategory")
		NewUserCategory = Request.form("NewUserCategory")

		If Trim(NewUserCategory) = "" Then
		  response.write wc_Email_list_user_Groups_diag_1
		  response.flush
		  response.end
		End If



		OldUserCategoryName = GetCategoryName(OldUserCategory)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from EmailCategory where EmailCategoryID = " & OldUserCategory
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True and NewUserCategory <> "" Then

				NewRecord("EmailCategory") = NewUserCategory

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html
<head>
<title> User Category Options</title>
</head>
<body>
<center>
<font face=arial>
<%=wc_User_Category_Name_Modification%>
</font>
</center>

<font size=-1 face=arial>
<UL>
<%=wc_Email_list_user_Groups_block_1%> <B><%=OldUserCategoryName %></b> <%=wc_Email_list_user_Groups_block_2%><B> <%=NewUserCategory %></b>.
<P>
<%=wc_Email_list_user_Groups_block_3%>.<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageUserCategories.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 1 - Modify User Category %>

<% ' Option #2 Add New Category

	If Submit = wc_Add_Category_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Add New User Category
	' * * * * * * * * * * * * * * * * * * * * * *

		NewUserCategory = Request.form("NewUserCategory")


		If Trim(NewUserCategory) = "" Then
		  response.write wc_Email_list_user_Groups_diag_2
		  response.flush
		  response.end
		End If

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from EmailCategory where EmailCategory = '" & NewUserCategory & "'"
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must not exist before we add it.
			If NewRecord.EOF = True and NewUserCategory <> "" Then
				NewRecord.AddNew

				NewRecord("EmailCategory") = NewUserCategory

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html
<head>
<title> User Category Options</title>
</head>
<body>
<center>
<font face=arial>
<%=wc_New_User_Category_Added%>
</font>
</center>

<font size=-1 face=arial>
<UL>
<%=wc_Email_list_user_Groups_block_1%> <B> <%=NewUserCategory %></b> <%=wc_Email_list_user_Groups_block_4%>.
<P>
<%=wc_Email_list_user_Groups_block_3%><P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageUserCategories.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 2 - Add User Category %>

<% ' Option #3 Delete Category

	If Submit = wc_Delete_Category_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Delete User Category
	' * * * * * * * * * * * * * * * * * * * * * *

		DeleteUserCategory = Request.form("DeleteUserCategory")
		DeleteUserCategoryName =  GetCategoryName(DeleteUserCategory)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from EmailCategory where EmailCategoryID = " & DeleteUserCategory
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must exist before we delete
			If NewRecord.EOF <> True  Then

				NewRecord.Delete

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html
<head>
<title> User Category Options</title>
</head>
<body>
<center>
<font face=arial>
 <%=wc_User_Category_Deleted%>
</font>
</center>

<font size=-1 face=arial>
<UL>
<%=wc_Email_list_user_Groups_block_1%> <B> <%=DeleteUserCategoryName %>
</b>
<%=wc_Email_list_user_Groups_block_5%>.
<P>
<%=wc_Email_list_user_Groups_block_3%><P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageUserCategories.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 3 - Delete User Category %>

<% ' Option #4 Merge Category

      '  response.write "we are here - " & submit & "<P>"
       ' response.flush
      '  response.end


	If Submit = wc_Merge_Category_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 4: Merge Category
	' * * * * * * * * * * * * * * * * * * * * * *

		FromUserCategory = Request.form("FromUserCategory")
		ToUserCategory = Request.form("ToUserCategory")

		If (Trim(FromUserCategory)) = (Trim(ToUserCategory))  Then
		  response.write wc_Email_list_user_Groups_diag_3
		  response.flush
		  response.end
		End If



		FromUserCategoryName = GetCategoryName(FromUserCategory)
		ToUserCategoryName = GetCategoryName(ToUserCategory)

		' Change all of the User Category from one value to another

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from EmailCategoryLinks where EmailCategoryID = " & FromUserCategory

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		Do while rstemp.EOF <> True
			rstemp("EmailCategoryID") = ToUserCategory
			rstemp.Update

			rstemp.movenext
		loop


		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


 ' Display the final page now
%>

<html
<head>
<title> User Category Options</title>
</head>
<body>
<center>
<font face=arial>
 <%=wc_User_Category_Merge%>
</font>
</center>

<font size=-1 face=arial>
<UL>
<%=wc_Email_list_user_Groups_block_6%> <B><%=FromUserCategoryName%></b> <%=wc_Email_list_user_Groups_block_7%>
<B><%=ToUserCategoryName%></b> <%=wc_Email_list_user_Groups_block_8%>.

<P>
<%=wc_Email_list_user_Groups_block_3%>.<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageUserCategories.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 4 - Merge User Category %>




<%Function GetCategoryName(CategoryID)
' This function returns the name of the passed category ID

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory where EmailCategoryID = " & CategoryID

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any category exists
		GetCategoryName = "Category Not Found"
	Else
		GetCategoryName = rstemp("EmailCategory")
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End Function
	%>


