<% 'Module: DoReplaceAsset.asp

   'Description: This module allows a tech user (level 2 and above)
   ' to replace an asset with another asset.
   ' The old asset is 'retired' and the asset which is replacing it
   ' has some of the values of the old asset retained.
   ' This is reflected in the asset history notes
   ' Since this was customized code, the fields used are those from
   ' the client for which the code was customized.  In order to
   ' use this, you'd probably want to change some of the fields to
   ' values which make sense for your corporation

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

 'The old asset
     '' Sets assignments to Blank (customer, tech, asset number)
	  ' Sets Bldg (location) to blank
	  ' Sets Room # (group) to blank
	 '  Sets Department (monitor model) to blank
	 '  Sets Assignment type (Lease or purchase) to 'unassigned'
	 '  Sets Status (Monitor serial number) to 'surplus'

'The new assets
	' gets InstalledBy and DateInstalled set to values in the Replace screen for SBCC only
	'Customer,tech,asset number assignments get values from old asset
	'Department (monitor model) gets values from old asset
	'Status (monitor serial Number) gets set to 'Production'

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/01/12	cmb		Created original ASP
   '02/02/12   cmb      Use serial number instead
   '02/03/12   cmb      also replace tech; assetassignment of item that is replacing it stays the same - no set tech to null;
   '                    Set system status of new one to production
   '02/13/12   CMB      Set customer to NULL rather than blank
   '02/28/12   CMB      another link when done to view new asset number
   '02/29/12   CMB      Add two more fields for replacing assets for SBCC
   '03/05/12   CMB      Move to surplus yes/no added
   '04/30/12   CMB     Don't have review new asset link if wasn't replaced




%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the form data

	Dim NewRecord
Dim OldCustomerID
Dim NewCustomerID
Dim OldTechID
Dim NewTechID
Dim OldAssetNumber2
Dim NewAssetNumber2
Dim OldRoom
Dim NewRoom
Dim OldBuilding
Dim NewBuilding
Dim OldDepartment
Dim NewDepartment
Dim OldStatus
Dim NewStatus
Dim OldAssignmentType
Dim NewAssignmentType
Dim OldAssignedTo
Dim OldAssignedToTech
Dim OldAssignedToAssetNumber2
Dim OldAssignedToTechName
Dim OldAssignedToCustomer
Dim OldNewAssignedTo
Dim OldNewAssignedToTech
Dim OldNewAssignedToAssetNumber2
Dim OldNewAssignedToTechName
Dim OldNewAssignedToCustomer
Dim OldReplace

Dim bReplaced
'** these are the values from the NEW asset which may be being replaced by the old one
OldNewAssignedTo = ""
OldNewAssignedToTech = ""
OldNewAssignedToAssetNumber2 = 0
OldNewAssignedToTechName = ""
OldNewAssignedToCustomer = ""
'*** These are the values from the old asset which is being replaced
OldAssignedTo= ""
OldAssignedToTech= ""
OldAssignedToAssetNumber2 = 0
OldAssignedToTechName = ""
OldAssignedToCustomer = ""

'*** SBCC ' 02/29/12
InstalledBy = ""
DateInstalled = ""
OldDateInstalled = ""
OldInstalledBy = ""
OldReplace = ""

 call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
ErrorMessage = ""

DateInstalled =Request.form("DateInstalled")
InstalledBy =Request.form("InstalledBy")
If Trim(DateInstalled) > "" then
	If Not IsValidDateInput(DateInstalled, DateDisplayFormat) then
		ErrorMessage = ErrorMessage & "<LI> " & Date_put_into_service_Label & " " & wc_Is_An_Invalid_Date
	End If
End If


'*** end SBCC

bReplaced = false

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
	Asset_number = Request.Form("Asset_number")
	NewAsset_Number = Request.form("NewAsset_Number")

	If SBCC = "YES" then
		EditTechLevel = 4
	Else
		EditTechLevel = 2
	End If

	ValidUser = IsValidUser(EditTechLevel) ' Allow only levels 2 and above

 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoRetireAsset.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

	<html>

	<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->
	<%	If ErrorMessage <> "" Then		%>


<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the asset information. %>

	<head>

	<title><%=wc_Asset_Information%></title>
	<!-- #INCLUDE FILE="Stylesheet.inc" -->
	</head>

	<body class=rightwindow>
	<center>
	<Table class=BGWrapper >
	<tr>
	<td width=50% align=center valign=center class=majorscreentitlefixed>
 <%
 Dim sOldSerial
 Dim nNewAsset

bReplaced = ReplaceAsset(Asset_Number,NewAsset_Number) '
' OLD Asset_Number, sOldSerial, NEW newasset_number is serial, nNewAsset is number

%>
	<%=wc_Asset_Information%>
	</td>
	<td width=50% align=center valign=center  class=MajorScreenTitleValue>
	<font  color=red><%= Asset_number%></font>
	</td>
	</tr></table>

	<font size=-1 face=arial>
	<UL>
	<% if bReplaced then %>
	 <B>(<%=wc_Asset_Number%>: <%=Asset_number%>)</b> has been replaced with <%=NewAsset_Number%>.
	 <% else %>
	 	 <B>There was a problem: </b><%=wc_Asset_Number%>: <%=Asset_number%> has <b>NOT</b> been replaced with <%=NewAsset_Number%>.

	 <% end if %>
	<P>

	<%=wc_Please_select_a_link_below%>:<P>
		<center>
		<table width=100%>
		<tr>
		<td width=25% align=center>
		<font size=-1 face=arial>
		<a href=AssetInfo.asp?Asset_number=<%=Asset_number%>&From=<%=SearchURL%> >Review Old Asset (<%=sOldSerial%>)</a>
		</td>

<% if bReplaced then '04/30/12%>
		<td width=25% align=center>
		<font size=-1 face=arial>
		<a href=AssetInfo.asp?Asset_number=<%=nNewAsset%>&From=<%=SearchURL%> >Review New Asset (<%=NewAsset_Number%>)</a>
		</td>
<% end if %>

		<td width=25% align=center>
		<font size=-1 face=arial>
		<a href=Assets.asp><%=wc_Asset_Search%></a>
		</td>

		<td width=25% align=center>
		<font size=-1 face=arial>
		<a href=UserScreen.asp><%=wc_Cancel%></a>
		</td></tr>
		</table>
	</ul>

	<br>
	<br>
	</font>
	</body>
	</html>
<% End if ' End of I ErrorMessage <> "" %>
<% End if ' End of I techlevel %>

<% function ReplaceAsset(nAsset,nNewSerial)
		Dim bReturn
		bReturn = false
		Dim AssetAuditTrail
		Dim bOK
		bOK = true

		If asset_Number <= "" then ' 02/02 use serial number instead or not isnumeric(nNewAsset) then
			bOK = false
		End If

		set conn=server.createobject("adodb.connection")
		conn.open myDSN ' Open the connection once here

		if bok = true then

			'*** check to amke sure this new asset exists !!!

			SQL = "Select Asset_Number from Assets where Serial_Number = '" & nNewSerial & "'"
			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			NewRecord.Open SQL,Conn,3,3

			if  newrecord.eof then
				bOK = false
			else
				bOK = true
				nNewAsset = newrecord("Asset_Number") ' 02/02/12 use serial number instead
			End If
			NewRecord.Close
			Set NewRecord = Nothing
		End If

	'*** get values from old asset assignment because you'll be nuking it
	If bOK = true then
				SQL = "Select * from AssetAssignment where Asset_Number = " & nAsset
				Set NewRecord = Server.CreateObject("ADODB.Recordset")

				NewRecord.Open SQL,Conn,3,3

				if not newrecord.eof then
					If not isnull(newrecord("Customer_ID")) then
						OldAssignedTo = NewRecord("Customer_ID")
						If OldAssignedTo > "" then
							OldAssignedToCustomer = CustomerFirstLast(OldAssignedTo)
						End If
					End If

					If not isnull(newrecord("Tech_ID")) then
						OldAssignedToTech = NewRecord("Tech_ID")
						If OldAssignedToTech > "" then
							OldAssignedtoTechName  = TechFullName(OldAssignedToTech)
						End If
					End If

					If not isnull(newrecord("Asset_Number2")) then
						OldAssignedToAssetNumber2 = NewRecord("Asset_Number2")
					End If

					Newrecord.delete
					Newrecord.update
				End If

				NewRecord.Close
				Set NewRecord = Nothing
		End If ' bok

		if bOK = True then

			'******************* get old values and retire old asset

				SQL = "Select * from Assets where asset_number = " & nAsset
				Set NewRecord = Server.CreateObject("ADODB.Recordset")

				NewRecord.Open SQL,Conn,3,3
				bOK = false

				if not newrecord.eof then
					' ----- retire old asset but get current values before you overwrite them ---------------
					sNewHistory =  ""
					GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel, MaxAuditTrail, AssetAuditTrail

					DateString = ""
					TimeString = ""
					CreateTimeDateValues DateString, TimeString, DateTimeString
					UserName = TechFullName(Request.Cookies("ISS_TECH_CENTER_LOGIN")) ' Get the Logged TechID from the cookie

					CurrentNotes = NewRecord("AssetNotes")
					sOldSerial = NewRecord("Serial_Number") ' 02/28/12

					' Add Date and Time stamps and who edited the notes
					' Time Stamp the Case History before we put it into the case record

					NewNotes = CurrentNotes & "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Replaced with " & nNewAsset & " By: </b> "& UserName & "</font><br>" & vbCRLF

					LastUpdateString = DateString&TimeString
					NewRecord("LastUpdate") = LastUpdateString

					NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

					NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

					 if not isnull(NewRecord("Assigned_Group")) then
						OldRoom = NewRecord("Assigned_Group")
					End If

					sNewHistory =  sNewHistory & SetValue(nasset, Assigned_Group_Label, "Assigned_Group", "")
					NewRecord("Assigned_Group") = ""  'Delete Room number

					 if not isnull(NewRecord("Location")) then
						OldBuilding = NewRecord("Location")
					End If

					sNewHistory =  sNewHistory & SetValue(nasset, Location_Label, "Location", "")
					NewRecord("Location") = ""   ' wasn't part of instructions but probably want to set building to none

					 '**** 03/05/12  if Yes on form, then refresh=NO, status = surplus(stock) on old one
					 If SBCC = "YES" and request.form("Refresh") = "YES" then
              		sNewHistory =  sNewHistory & SetValue(nasset, Processor_Speed_Label, "Processor_Speed", "NO")
              		sNewHistory =  sNewHistory & SetValue(nasset, Monitor_Serial_Number_Label, "Monitor_Serial_Num", "Surplus (stock)")
               End If

					if not isnull(NewRecord("MONITOR_MODEL")) then
						OldDepartment = NewRecord("MONITOR_MODEL")
					End If

					sNewHistory =  sNewHistory & SetValue(nasset, MONITOR_MODEL_Label, "MONITOR_MODEL", "")
					NewRecord("MONITOR_MODEL") = "" ' Department

					if not isnull(NewRecord("Lease_or_Purchase")) then
						OldAssignmentType = NewRecord("Lease_or_Purchase")
					End If

					sNewHistory =  sNewHistory & SetValue(nasset, Lease_or_Purchase_Label, "Lease_or_Purchase", "Unassigned")
					NewRecord("Lease_or_Purchase") = "Unassigned"  'Assignment Type = "Unassigned"


				'	if not isnull(NewRecord("Monitor_Serial_Num")) then ' removed 03/05/12 following 4 lines
						'OldStatus = NewRecord("Monitor_Serial_Num")
				'	End If
				'	sNewHistory =  sNewHistory & SetValue(nasset, Monitor_Serial_Number_Label, "Monitor_Serial_Num", "Surplus (stock)")
				'	NewRecord("Monitor_Serial_Num") = "Surplus (stock)" '	System status is set to "Surplus (stock)"

					If OldAssignedTo > "" then
						sNewHistory =  sNewHistory &  "<FONT COlor=Blue>" & ucase(wc_Assigned_To)  & " " & ucase(wc_Customer) & "</FONT>: " & OldAssignedToCustomer & " DELETED</br>"
					End If

					If OldAssignedToTech > "" then
						sNewHistory =  sNewHistory &   "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT>: " & OldAssignedToTechName & " DELETED</br>"
					End If

					If OldAssignedToAssetNumber2 > 0 then
						sNewHistory =  sNewHistory &  "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) & "</FONT>: " & OldAssignedToAssetNumber2 & " DELETED</br>"
					End If

					NewNotes = NewNotes & sNewHistory ' NEW ASSETS

					NewRecord("AssetNotes") = NewNotes

					NewRecord.Update
					NewRecord.Close
					Set NewRecord = Nothing
					bOK = true
			End If ' eof
		End If ' bok

'*****
			' get new values because you'll be replacing some of these
			If bOK = true then
				SQL = "Select * from AssetAssignment where Asset_Number = " & nNewAsset
				Set NewRecord = Server.CreateObject("ADODB.Recordset")
				bNukeNew = false

				NewRecord.Open SQL,Conn,3,3
				If OldAssignedTo = "" and OldAssignedToTech = "" and OldAssignedToAssetNumber2 = 0 then
					bNukeNew = true
				End If
				if not newrecord.eof then
					If not isnull(newrecord("Customer_ID")) then
						OldNewAssignedTo = newrecord("Customer_ID") ' these are what we're replacing with the values from the retired assets
						If OldNewAssignedTo > "" then
							OldNewAssignedToCustomer = CustomerFirstLast(OldNewAssignedTo)
						End If
					End If

					If not isnull(newrecord("Tech_ID")) then
						OldNewAssignedToTech = newrecord("Tech_ID")
						If OldNewAssignedToTech > "" then
							OldNewAssignedToTechName = TechFullName(OldNewAssignedToTech)
						End If
					End If

					If not isnull(newrecord("Asset_Number2")) then
						OldNewAssignedToAssetNumber2 = newrecord("Asset_Number2")
					End If
				Else
					If bNukeNew = false then ' you'll need one to add the old values to, if there is anything to add
						NewRecord.AddNew
						NewRecord("Asset_Number") = nNewAsset
					End If
				End If

				If Not NewRecord.eof then
					IF SBCC = "YES" THEN  ' set techID to null
						NewRecord("Tech_ID") = NULL
					ELSE
						NewRecord("Tech_ID") = OldAssignedToTech
					END IF

					if OldAssignedTo = "" then  ' 02/13/12 set to NULL if blank
						NewRecord("Customer_ID") = NULL
					Else
						NewRecord("Customer_ID") = OldAssignedTo
					End If

					if OldAssignedToAssetNumber2 > 0 then
						NewRecord("Asset_Number2") = OldAssignedToAssetNumber2
					End If
					Newrecord.update
				End If

				NewRecord.Close
				Set NewRecord = Nothing
			End If

		'**************** UPDATE NEW ASSET with information from old
			If bOK = true then
				SQL = "Select * from Assets where asset_number = " & nNewAsset
				Set NewRecord = Server.CreateObject("ADODB.Recordset")

				NewRecord.Open SQL,Conn,3,3

				if  newrecord.eof then
					bok = false
				Else
					sNewHistory =  ""
					CurrentNotes = NewRecord("AssetNotes")

					' Add Date and Time stamps and who edited the notes
					' Time Stamp the Case History before we put it into the case record

					NewNotes = CurrentNotes & "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Replaced Asset # " & nAsset & " By: </b> "& UserName & "</font><br>" & vbCRLF

					NewRecord("LastUpdate") = LastUpdateString

					NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

					NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

					 if SBCC = "YES" THEN  ' 02/29/12
							sNewHistory =  sNewHistory & SetValue(nasset, Monitor_size_Label, "Monitor_size", InstalledBy)
							sNewHistory =  sNewHistory & SetValue(nasset, Date_put_into_service_Label, "Date_in_service",DateInstalled)
					 end if

					sNewHistory =  sNewHistory & SetValue(nasset, Assigned_Group_Label, "Assigned_Group", oldRoom)
					NewRecord("Assigned_Group") = OldRoom

					sNewHistory =  sNewHistory & SetValue(nasset, Location_Label, "Location", OldBuilding)
					NewRecord("Location") = OldBuilding   ' wasn't part of instructions but probably want to set building to none

					IF SBCC = "YES" Then
						' set new tech to null
							If OldNewAssignedToTech > "" then
								sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT> : " & OldNewAssignedToTechName & " DELETED<br>" & vbCRLF
							End If
					Else
						If OldNewAssignedtoTech > "" and OldAssignedToTech > "" then ' replacing oldnew with old
							sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT> CHANGED FROM: " & OldNewAssignedToTechName & " TO: " & OldAssignedToTechName & "<br>" & vbCRLF
						End If

						If OldNewAssignedToTech = "" and OldAssignedToTech > "" then ' adding
							sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT> " & OldAssignedToTechName & " ADDED<br> " & vbCRLF
						End If
						'If OldNewAssignedToTech > "" and OldAssignedToTech = "" then ' nada i guess or delete?
						'If OldNewAssignedToTech = "" and OldAssignedToTech = "" then ' nada
					End If

					If OldNewAssignedto > "" and OldAssignedTo > "" then ' replacing oldnew with old
						sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Assigned_To) &   " " & ucase(wc_Customer) &"</FONT> CHANGED FROM: " & OldNewAssignedToCustomer & " TO: " & OldAssignedToCustomer & "<br>" & vbCRLF
					End If

					If OldNewAssignedTo = "" and OldAssignedTo > "" then ' adding
						sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Assigned_To)  & " " & ucase(wc_Customer) & "</FONT> " & OldAssignedToCustomer & " ADDED<br> " & vbCRLF
					End If

					If OldNewAssignedtoAssetNumber2 > 0 and OldAssignedToAssetNumber2 > 0 then ' replacing oldnew with old
						sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) & "</FONT> CHANGED FROM: " & OldNewAssignedToAssetNumber2 & " TO: " & OldAssignedToAssetNumber2 & "<br>" & vbCRLF
					End If

					If OldNewAssignedtoAssetNumber2 = 0 and OldAssignedToAssetNumber2 > 0 then ' adding
						sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) & "</FONT> " & OldAssignedToAssetNumber2 & " ADDED<br> "& vbCRLF
					End If

					sNewHistory =  sNewHistory & SetValue(nasset, MONITOR_MODEL_Label, "MONITOR_MODEL", OldDepartment)
					NewRecord("MONITOR_MODEL") = OldDepartment

					sOldSystemStatus = NewRecord("Monitor_Serial_Num")
					sNewHistory =  sNewHistory & SetValue(nasset, Monitor_Serial_Number_Label, "Monitor_Serial_Num", "Production") ' set system status to Production
					NewRecord("Monitor_Serial_Num") = "Production" ' 02/03/12

					sNewHistory =  sNewHistory & SetValue(nasset, Lease_or_Purchase_Label, "Lease_or_Purchase", OldAssignmentType)
					NewRecord("Lease_or_Purchase") = OldAssignmentType


					NewNotes = NewNotes & sNewHistory ' NEW ASSETS
					NewRecord("AssetNotes") = NewNotes

					NewRecord.Update
					NewRecord.Close
					Set NewRecord = Nothing
					bReturn = true
				End If
			End If

		Conn.Close
		Set Conn = nothing

	ReplaceAsset = bReturn
	End Function
%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel, nMaxAuditTrail,bAssetAuditTrail)
	'This function gets the database configuration information

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2 = server.createobject("adodb.recordset")

		rstemp2.open mySQL2, conntemp, 1,3 ' apparently you need to do this for bit fields!

		MaxAuditTrail = 2000
		bAssetAuditTrail = False

		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
			If Version7point5 = "YES" then
				if IsNull(rstemp2("MaxAssetAuditTrail"))	Then
					nMaxAuditTrail=2000
				Else
					nMaxAuditTrail = rstemp2("MaxAssetAuditTrail")
				End If
				if IsNull(rstemp2("AssetAuditTrail")) then
					bAssetAuditTrail = False
				else
					bAssetAuditTrail = rstemp2("AssetAuditTrail")
				End If
			End If
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
<% Function TechFullName(TechID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If TechID = "" or isnull(TechID) Then  ' 02/10/12
			TechFullName = "" 'User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>
	<%
	Function SetValue(nAss, LabelName, ColumnName, NewValue)
	'This function sets a value in the database then writes it into the record

		Dim sOut
		Dim OldValue

		sOut = ""
		if nAss <> "" then  ' don't do it for new records
			if isnull(NewRecord(ColumnName)) then
				OldValue = ""
			else
				OldValue = NewRecord(ColumnName)
			End if

			If OldValue <> NewValue then
				'add to asset history
				If oldValue = "" then
				'	 sout =  "<B>" & ucase(LabelName) & "</B> ADDED</br>" 'SHORT VERSION
					sout =  "<B>" & ucase(LabelName) & "</B> ADDED: " & NewValue & "</br>" ' LONG VERSION
				Else
					if NewValue > "" then
			 	 		sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
			 	 	else
			 	 		sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT>: " & OldValue & " DELETED</br>"  ' LONG VERSION
					End If
				'	sout =  "<B>" & ucase(LabelName) & "</B> CHANGED FROM: " & OldValue & "</br>"  ' SHORT VERSION
				End If
			End If
		end if

		If NewValue <> "" Then
			NewRecord(ColumnName) = NewValue
		End If

		If IsNull(NewRecord(ColumnName)) = False and NewValue = "" Then
			NewRecord(ColumnName) = Null ' Set to Null
		End If

		SetValue = sOut

	End Function
	%>
<%
Function IsValidUser(lvl)

'returns yes or no; uses cookie id
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		IsValidUser = "NO"  ' set default
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & lvl
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			IsValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

End Function
%>
<% Function CustomerFirstLast(CustID)
	'This function gets the full name of the Customer
		Dim sReturn
		sReturn = ""

		If CustID = "" Then
			sReturn = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Customers where customer_id = '" & custid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				sReturn = "Customer Not Defined for Customer_ID: " & CustID
			Else
				if isnull(rstemp2("contact_fname")) then
					FirstName = ""
				else
					FirstName = rstemp2("contact_Fname")
				end if

				if isnull(rstemp2("contact_lname")) then
					LastName = ""
				else
					LastName = rstemp2("contact_lname")
				end if

				if isnull(rstemp2("company")) then
					Company = ""
				else
					Company = rstemp2("Company")
				end if

			'	sReturn = trim(FirstName & " " & LastName) & " / " & "(<font color=brown>" & company & "</font>)"
				sReturn =  Trim(FirstName) & " " & trim(LastName)
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

		CustomerFirstLast = sReturn
	End Function '
	%>