<%  ' Module: DoSearch2.asp
	'
	' Description: Submit Module For Search.asp module
	'
	' (C) 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'4/26/01	AJS		Changed Search By Case Status to work properly
	'1/6/2004   JC      Enhanced to add boolean AND capability on keywords - cloned from old DoSearch.asp
	'04/29/12  CMB     Added fromreports to query string to support reports
	'03/01/13  CMB     Added stuff for duplicates
	'04/24/13  CMB     use button for duplicates
	'02/10/14  CMB     Tech_ID blank causes problems ;check for NULL or BLANK
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color and database type from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL
	End If
    DatabaseType2 = Database
	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	FromReports=request.querystring("FromReports") ' 04/29/12
	ClosingCase = ""
   ClosingCase=Request.querystring("closingCase") ' 03/01/13
%>

<HTML>
<HEAD>
   <TITLE><%=wc_Case_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>

<CENTER>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search_Results%></td>
</tr>
</table>
<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<% if fromreports <> "YES" then %>
	<% if closingcase > "" then %>
		<TD ALIGN=CENTER><A HREF="SearchForMaster.asp?ClosingCase=<%=ClosingCase%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>
		<TD ALIGN=CENTER><A HREF="TCaseForm.asp?Case_Number=<%=ClosingCase%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
	<% else %>
		<TD ALIGN=CENTER><A HREF="Search.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>
		<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
		</TR>
	<% end if %>

<% else %>
<TD ALIGN=CENTER><a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a></TD>
</TR>
<% end if %>
</TABLE>
&nbsp;




<% ' Get the URL variables


	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")

    ' Get the casenumber array

     Array_casenumber = session("case_numbers")

     hitcount = Ubound(Array_casenumber)

     %>

<table class=BGWrapper>
<tr>
<td class=MinorScreenTitle><%=wc_Your_search_has_found%> &nbsp  </td>
<td class=TitleInsert>&nbsp; <%=Hitcount%>&nbsp;</td>
<td class=MinorScreenTitle>&nbsp; <%=wc_matching_records%>. </td>
</tr>

</table>
<p>



     <%
    'For i = 1 to hitcount
	 	 ' response.write "In array entry " & i & " I have stored case number " & Array_casenumber(i) & "<br>"
	'Next

    chunksize = Session("chunksize") ' this varibale contains number of records/page to be displayed

   ' response.write "Chunksize = " & chunksize & "<P>"

	If hitcount > Int(chunksize) Then  ' put out Page Number header and page number links


	' first figure out how many total pages are needed
	   a = hitcount / chunksize
	   b = int(a)
	   if a = b Then
		 pagecount = a
	   else
		 pagecount = b + 1
	   end if


	   response.write "<B>" & wc_Result_Pages & ":</b><font size=-2 face=arial> "



       For i = 1 to pagecount
	     vector = "DoSearch2.asp?Page=" & i & "&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&FromReports=" & FromReports & "&ClosingCase=" & ClosingCase   ' 03/01/13
	     if Cint(i) = Cint(Page) then
	        response.write "<font color=red>" & i & "</font> &nbsp; "
	     Else
            response.write "<a href=" & vector & ">" & i & "</a> &nbsp; "
         End If
	   Next
	   If Cint(page) < Cint(pagecount) Then
	       response.write "<a href=" & vector & ">" & " &gt;&gt;" & wc_next & "...</a> &nbsp; "
	   End if

	   response.write "</font><p>"

	End If





	' Display the Main body of the page



		If ResultsView = "BRIEF" Then
%>
			<CENTER><TABLE  class=TightTableWrapper  CELLSPACING=2 CELLPADDING=2 WIDth="98%" >
			<tr>
			<td class=formlabelsuper align=center><%=wc_Case%></td>
			<td class=formlabelsuper align=center>Date</td>
			<td class=formlabelsuper align=center><%=wc_Customer%></td>
			<td class=formlabelsuper align=center><%=wc_One_Line_Description%></td>
			<td class=formlabelsuper widtd=50% align=center>Cost</td>
			<td class=formlabelsuper align=center><%=wc_Status%></td>
			</tr>
<%
		End If ' End of if Resultsview = BRIEF


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp=conntemp.execute(mySQL2)

		'-------------------------------------start of print loop------------------------------------------

		endrec = page * chunksize
		startrec = endrec - (chunksize - 1)





		thisrec = startrec

		do while (thisrec < endrec + 1) and (thisrec < hitcount + 1)
		  target = Array_casenumber(thisrec)
		 '  response.write "Displaying entry number " & thisrec & " which is casenumber " & target & "<p>"
		  mySQL5="select * from Cases Where case_number =" & target
	      set rstemp=conntemp.execute(mySQL5)



		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView = "DETAILED" THEN
	%>

		<CENTER>
		<TABLE  class=TightTableWrapper cellspacing=2 WIDTH="80%" border=0>
		<tr>

				<form action="DuplicateCase.asp?ClosingCase=<%=ClosingCase%>&MasterCase=<%=rstemp("Case_number")%>" METHOD=POST>
<INPUT TYPE=HIDDEN ID=ClosingCase value=<%=ClosingCase%>>
<INPUT TYPE=HIDDEN ID=MasterCase value=<%=rstemp("Case_number")%>>
		<td colspan=4 class=MinorScreenTitle align=center><%=wc_Case_capital_letters%>&nbsp;<%=rstemp("Case_number")%>
		<%		if Version8point0="YES" and ClosingCase > "" Then %>

		&nbsp;&nbsp;
		    <input type=submit value="Mark case <%=ClosingCase%> as a Duplicate of Case <%=rstemp("Case_number")%>">
		 <% end if %>
</form>
		</td>
		</tr> <!-- added duplicate case hyperlink 03/03/13 -->
		<TR>
		<TD ALIGN=CENTER class=tightbodytext><b><%=wc_Case%>:</b> <A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B>&nbsp;<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

		<TD ALIGN=CENTER class=tightbodytext><b><%=wc_Customer%>:</b> <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></B></TD>

		<TD ALIGN=CENTER class=tightbodytext><b><%=wc_Tech%>:</b>
		<%

			If IsNull(rstemp("Tech_ID")) or rstemp("Tech_ID") > "" then  '02/10/14

			   Response.Write "Not Assigned"
			Else
			   qryTech = "select * from Tech_staff where tech_id = '" & rstemp("Tech_ID") & "'"
			   set rstTECH = Server.CreateObject("adodb.recordset")
			   rstTECH.open qryTech, myDSN, adopenstatic

			   If rstTech.EOF <> True Then

				   Response.Write "<A href=""mailto:" & rstTECH("WORK_EMAIL") & """>" & rstTECH("First_Name") & " " & rstTECH("Last_Name") & "</A>"
				Else
				   Response.Write "Invalid Tech"

				End IF

				rstTech.Close
				Set rstTech = Nothing

			end if

		%>
		</TD>



		<% If CInt(rstemp("Status")) <> 1 Then
			Response.write "<TD ALIGN=CENTER class=tightbodytextopen><B>" & wc_Open
		  Else
			Response.write "<TD ALIGN=CENTER class=tightbodytextclosed><B>" & wc_Closed
		  End If
		%>

		</B></TD>
		</TR>

		<% ' Display Case Schedule Information if it exists %>
		<% If rstemp("Scheduled_Case_Type") <> "" Then %>
		<tr>
			<td class=tightbodytext><B>Schedule Type:</b>  <%=rstemp("Scheduled_Case_Type")%>
			</td>
			<td class=tightbodytext><B>Due Date:</b>  <%=rstemp("Due_Date")%>
			</td>
			<td class=tightbodytext><B>Due Time:</b>  <%=rstemp("Due_Time")%>
			</td>
			<td class=tightbodytext><B>Every:</b>  <%=rstemp("Repeat_Interval")%> Days
			</td>
		</tr>
		<%End If %>



		<TR>
		<TD COLSPAN="4" class=tightbodytext>
		   <table cellspacing=0 cellpadding=0 width=50% align=center class=TightBodyTextHilight>
		   <tr><td align=center><b><%=wc_One_Line_Description%>:&nbsp;</span></B></td></tr>
		   </table>
            <%=rstemp("Case_One_Line")%></TD>
		</TR>

		<TR>
		<TD COLSPAN="4" class=tightbodytext>
		   <table cellspacing=0 cellpadding=0 width=50% align=center class=TightBodyTextHilight>
		   <tr><td align=center><b><%=wc_Case_History%>:&nbsp;</span></B></td></tr>
		   </table>



		<% ' We need to get the Case_History, Summary and Resolution fields using a different
			' record set since the DISTINCT clause will not work with these memo fields

			mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

			'response.write mySQL3

			set rstemp2 = Server.CreateObject("adodb.recordset")
			rstemp2.open mySQL3, myDSN, adopenstatic



			 Case_History = rstemp2("case_History")
			 Case_Summary = rstemp2("Case_Summary")
			 Case_Resolution = rstemp2("Case_Resolution")

			' Close this intermediate record set
			rstemp2.close
			set rstemp2=nothing

			CaseText = Format_Case_Text (Case_History)

			response.write CaseText
		%>

		</TD>
		</TR>

		<TD COLSPAN="4" class=tightbodytext>
		   <table cellspacing=0 cellpadding=0 width=50% align=center class=TightBodyTextHilight>
		   <tr><td align=center><b>Case Summary:&nbsp;</span></B></td></tr>
		   </table>




		<%
			New_Summary = Format_Case_Text(Case_Summary)
		%>

		<%=New_Summary%></TD>
		</TR>

		<TD COLSPAN="4" class=tightbodytext>
		   <table cellspacing=0 cellpadding=0 width=50% align=center class=TightBodyTextHilight>
		   <tr><td align=center><b>Case Resolution:&nbsp;</span></B></td></tr>
		   </table>



		<%
			New_Resolution = Format_Case_Text(Case_Resolution)
		%>


		<%=New_Resolution%></FONT></TD>
		</TR>
		</TABLE></CENTER>

		<CENTER>&nbsp;</CENTER>

		<% 	Else ' Display the results in Brief view mode ------------------------------------------ %>

		<TR>
		<TD ALIGN=CENTER class=tightbodytext><B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B>&nbsp;<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</TD>

		<td class=tightbodytext align=center>
		<%
		open_date = rstemp("open_date")
		c_open_date = MID(open_date,5,2) & "-" & mid(open_date,7,2) & "-" & left(open_date,4)
		 %>
		<%=c_open_date%></td>

		<TD ALIGN=CENTER class=tightbodytext><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></TD>

		<TD ALIGN=Left class=tightbodytext><B>
		<%
		   if not isnull(rstemp("Tech_ID"))  then
			   qryTech = "select * from Tech_staff where tech_id = '" & rstemp("Tech_ID") & "'"
			   set rstTECH = Server.CreateObject("adodb.recordset")
			   rstTECH.open qryTech, myDSN, adopenstatic

				If rstTech.EOF <> True Then
				   Response.Write "" & rstemp("Case_One_Line") & " " 
				else
				   Response.Write "Invalid Tech"
				End If

				rstTech.Close
				Set rstTech = Nothing

			else
			   Response.Write "Not Assigned"
			end if


		%>
		</B><br></TD>


		<TD  class=tightbodytext>
		<%
		If rstemp("Text_Field_10") <> "" then
		response.write "$ " & formatnumber(rstemp("Text_Field_10")) & ""
		Else
		response.write "<center><font color=red><i>Missing Information</i></font></center>"
		End If
		%></FONT></TD>



		<% If CInt(rstemp("Status")) <> 1 Then
			Response.write "<TD  class=tightbodytextopen align=center>Open"
		  Else
			Response.write "<TD  class=tightbodytextclosed align=center>Closed"
		  End If
		%>

		</TD>
		</TR>


<% End if ' End If ResultsView = Detailed
%>


<%
		  thisrec = thisrec + 1
		loop


		'------------------------------- end of read record loop ----------------------------

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If

	If hitcount > int(chunksize)  Then  ' put out Page Number header and page number links




	   response.write "<p></center>"
	   response.write "<B>" & wc_Result_Pages & ":</b><font size=-2 face=arial> "



       For i = 1 to pagecount
	     vector = "DoSearch2.asp?Page=" & i & "&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&FromReports=" & FromReports
	     if Cint(i) = Cint(Page) then
	        response.write "<font color=red>" & i & "</font> &nbsp; "
	     Else
            response.write "<a href=" & vector & ">" & i & "</a> &nbsp; "
         End If
	   Next
	   If Cint(page) < Cint(pagecount) Then
	       response.write "<a href=" & vector & ">" & " &gt;&gt;" & wc_next & "...</a> &nbsp; "
	   End if

	   response.write "</font>"

	End If



	rstemp.close
	set rstemp=nothing


%>

<% If ResultsView <> "BRIEF"  Then ' only repeat buttons at bottom of screen if full mode %>
<%if  FromReports<>"YES" Then ' 04/29/12 %>
&nbsp;
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<% if closingcase = "" then %>
<TD ALIGN=CENTER><A HREF="Search.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>
<% else %>
<TD ALIGN=CENTER><A HREF="SearchForMaster.asp?Case_number=<%=closingcase%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>
<% end if %>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
<% else %>
&nbsp;
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a></TD>
</TR>
</TABLE></CENTER>
<% End If %>
<% End If %>

</body>
</html>


<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

If IsNull(Case_Text) = True or Case_Text = ""  Then
	Format_Case_Text = ""
Else



	NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

' when upgrading to stylesheets - we further fix any 2 contiguous <br>'s by replacing them with a thin gray lie

   NewText = replace(NewText, chr(13), "")
   clobberstring =   "<br><br>"
   replacementstring = "<Table  width=100%  cellspacing=0 cellpadding=0><tr><td height=1></td></tr><tr><td class=lightline height=1></td></tr><tr><td height=2></td></tr></table>"
   NewText = replace(NewText, clobberstring, replacementstring)
   NewText = replace(NewText,"</table><br>", "</table>")


	Format_Case_Text = NewText

End If

End function
%>

