<%  ' Module: SoSearchSetAssetsStep2.asp
	'
	' Description: Submit Module For Assets.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/03/11   CMB     Split DoAssets.asp into three modules; created this module
	'10/25/11   CMB     removed computername, ship date, installdate; add customer, refresh, type, model THIS IS NOW SBCC custom
	'10/25/11   CMB     only techs can see link fields
	'10/26/11   CMB     Export to csv directly from form
	'01/30/12   CMB     Use months of rather than days in age calculation; there is no longer any age as of dropdown - use current or date in search criteria
	'01/31/12   CMB     Add 'next' to page numbers; add page numbers to bottom
	'02/03/12   CMB     Don't show last column (cases) for SBCC
	'02/07/12   CMB     Copied assetreport for search set assets
   '03/05/12 CMB     Button - added form around it

%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the  variables
    sDBValue = request.Form("DBValue")
    sDBColumnName = request.Form("DB")
    sFriendlyName = request.form("DBName")
   Dim TechID

	Query = request.Form("Query")

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_SetSearch_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_SetSearch_Results%></td>
</tr>
</table>
<p>

<%
	' This wil determine how many rows are in the csv

		DateString = ""
		TimeString = ""

	' Add Date and Time stamps and who edited the notes
	' Time Stamp the Case History before we put it into the case record

		CreateTimeDateValues DateString, TimeString, DateTimeString
		UserName = TechFullNameCookie() ' Get the name of the tech logged in

		AssetNotes = "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Batch Updated By: </b> "& UserName & "</font><br>" & vbCRLF

		LastUpdateString = DateString&TimeString
'*******

		mySQL = "Select assets.asset_Number from Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		If Query > "" then
			mySQL = mySQL & " WHERE " & Query
		ELSE
			'PROBLEM
		End If

		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

	 mySQL = mySQL  & " Order by assets.Asset_Number "

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL, myDSN, adopenstatic

		RecordsFound = rstemp.recordcount
	%>

	<!--   HEADER -->
	<p>
<p>
		<FORM action=SearchSetAssets.asp Method = POST>

	<TABLE BORDER=0 WIDTH="50%" >
	<TR>
	<TD ALIGN=CENTER><A HREF="SearchSetAssets.asp"><input type=Submit value="Continue"></A></TD>
	</TR>
	</TABLE></CENTER>
<p>
	<center>
	<FORM action=DoSearchSetAssetsStep2.asp Method = POST>
	<table class=BGWrapper>
	<tr>
	<td class=MinorScreenTitle><%=wc_SetSearch_Status_part1%>&nbsp; <%=RecordsFound%>&nbsp; <%=wc_SetSearch_Status_Part2%> </td>
	<input type=hidden name="Query"  value="<%=Query%>" >
	</td>
	</TR>

</table>
</FORM>
<P>

<%
		count = 0

%>
		<!-- TABLE HEADER -->
		<CENTER>
		<TABLE BORDER CELLSPACING=2 CELLPADDING=2 WIDTH="75%" >
		<tr>
		<td class=formlabelsuper align=center><%=wc_Row_Number%></td>
		<td class=formlabelsuper align=center><%=wc_Update_status%></td>
		<td class=formlabelsuper align=center><%=wc_Asset%></td>
		<td class=formlabelsuper align=center><%=Serial_Number_Label%></td>
		<td class=formlabelsuper align=center><%=wc_Old_Value_of%> <%=sFriendlyName%></td>
		</tr>
<%
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		set rstemp2 = Server.CreateObject("adodb.recordset")

		do while not rstemp.eof
			sStatus = "OK"
			asset_Number = rstemp("Asset_Number")

			sSql = "Select * from assets where asset_Number = " & asset_Number
			rstemp2.Open sSQL,Conn,3,3
			If rstemp2.eof then
				sStatus = "Error - record not updated: Record Not Found"
			Else


				sOldValue = rstemp2(sDBColumnName)
				rstemp2("UpdatedBy") = TechID
				rstemp2("LastUpdate") = LastUpdateString
				rstemp2(sDBColumnName) = sDBValue
				sOldAssetNotes = rstemp2("AssetNotes")

				sNewAssetNotes = 	sOldAssetNotes & AssetNotes & "<FONT COlor=Blue>" & ucase(sFriendlyName) & "</FONT> CHANGED FROM: " & sOldValue & " TO: " &sDBValue & "</br>"
				rstemp2("AssetNotes") = sNewAssetNotes

				rstemp2.update

				If  err.number>0 then
					sStatus = "Error - record not updated: " &  err.description
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if

				IF  conn.errors.count> 0 then
					sStatus = "Error - record not updated: Database error"
					'      response.write "Database Errors Occured" & "<P>"
					for counter= 0 to conn.errors.count
					'      response.write "Error #" & conn.errors(counter).number & "<P>"
					'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					next
					'else
				''      response.write "No Database Errors Occured!" & "<P>"
				end if

%>
				<TR>
				<TD class=datavalue><%=count+1%></TD>
				<TD class=datavalue><%=sStatus%></TD>
				<TD ALIGN=CENTER NOWRAP  class=datavalue>
							<A HREF="AssetInfo.asp?asset_number=<%=rstemp2("asset_number")%>"><%=rstemp2("asset_Number")%></A>
							&nbsp;&nbsp;
							<A HREF="AssetInfo.asp?asset_number=<%=rstemp2("asset_Number")%>" target="newcasewindow1">
							<IMG SRC="newwindow.gif" BORDER=0 ></A>
						&nbsp;</TD>
				<TD class=datavalue><%=rstemp2("Serial_Number")%>&nbsp;</TD>
				<TD class=datavalue><%=sOldValue%></td>
				</TR>

<%
			End If
			rstemp2.close
		'	rstemp2 = nothing

			rstemp.movenext
			count = count + 1
			' NOTE probably need to put this in asset_notes field
		loop

		response.write "</table>"
	rstemp.close
	set rstemp=nothing
	conn.close
	set conn=nothing

%>
<P>

<%'End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>

<% Function TechFullNameCookie()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullNameCookie = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullNameCookie = "User Not Defined for TechID: " & Techid
			Else
				TechFullNameCookie = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullNameCookie
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>
