<% 'Module: DoSingleSurvey.asp

   'Description: This module is optionally called from DoTCaseForm and sends
   ' an individual survey to this customer about this case (passed by form variables)

   '(C)  2005 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '04/08/05     JC             Created original ASP
    '11/20/13   CMB    put hard-coded survey link for sbcc in if statement; added codecustomizations include file


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateTechUpdate.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerNotification.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerSurvey.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>

<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoSingleSurvey.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%

' Get Configuration Data
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")

		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

			SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
			SMTP_User_Name = rstemp("SMTP_User_Name")
			SMTP_Password = rstemp("SMTP_Password")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		' New 5.0 SMTP mailer options

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF

		'Version 8 new configuration file columns
      TechMobileVirtual = ""
      CustomerMobileVirtual = ""
      WebCenterVersion = 5.0

		IF Version8point0 = "YES" Then
			CustomerMobileVirtual = rstemp("CustomerMobileVirtual")
			TechMobileVirtual = rstemp("TechMobileVirtual")
			if isnull(rstemp("WebCenterVersion")) then
				WebCenterVersion = 8.0
			Else
				WebCenterVersion = cdbl(rstemp("WebCenterVersion")) '11/19/13
			End if

		'	if webcenterversion > 8.0 then  '11/19/13

		'	end if
		End If


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



Customer_ID = Request.form("Customer_ID")
Case_number = Request.form("case_number")
AllKBUpdate = Request.form("AllKBUpdate")



' Call to send survey to customer

SendSurveyEmailToCustomer(Case_Number)


	%>

	<html>

	<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

	<head>

	<title>SingleSurvey </title>
	<!-- #INCLUDE FILE="Stylesheet.inc" -->
	</head>

	<body class=rightwindow>
	<center>
	<Table class=BGWrapper >
	<tr>
	<td width=50% align=center valign=center class=majorscreentitlefixed>
	<%=wc_individual_customer_survey_sent%>
	</td>
	</tr>
	</table>
	<p>

	<table border=1 cellpadding=10 width=98%>
	<tr>
	<td>
	<b><%=wc_Case_Number%>:</b> <%=Case_Number%>
	<br>
<!--	<b><%=wc_Customer_ID%>:</b> <%=Customer_ID%> -->
    <%=Survey_Notification%>
    </td>
    </tr>
    </table>

    <br>


		<%If AllKBUpdate = "YES" Then %>

			<a href=UpdateOneKB.asp?casenumber=<%=Case_Number%>>
			<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

		<%Else ' AllKBUpdate = no  so make continue link adding it to KB %>

			<p><a href=TCaseForm.asp?customer_id=0&case_number=<%=Case_Number%>>
			<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>


		<%End If %>





	</center>

	</body>
	</html>













<%

end if '  Valid User for this function

%>

<% Sub SendSurveyEmailToCustomer(Case_Number)
'	This subroutine sends out an email to the customer with a link to
	' web-based customer survey.
	' From the case number we need to first get the customer's email address

	Survey_Notification = ""

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here


		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)
		End If

		rstemp2.close
	'	set rstemp2=nothing


	'	conntemp.close ' Close the connection
	'	set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = SurveyEmailText ' First part of message comes from configuration
		Message = Message & vbCRLF & vbCRLF

      SaveMsg = Message

		' Now display a link back to the Customer+Center Home page
		' so they can get directly back to the customer+center to update the case.

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' Replace DoEmailListSend.asp with RemoveFromList.asp
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoSingleSurvey.asp", "CShowSurvey.asp")

		End IF
	Next

	'if customerMobileVirtual > "" then
		'Virtual_Mobile_Path = replace(Virtual_path, TechVirtual, customerMobileVirtual,1,99,1)
	'Else
		'Virtual_Mobile_Path = ""
	'End If

	Virtual_Path = replace(Virtual_path, TechVirtual, CustomerVirtual,1,99,1)

		' You can change the Subject line if necessary

		SubjectLine = wc_Customer_Survey_for_Case  & Case_Number

'**************** main customer ID
		mySQL2="SELECT customers.customer_ID, Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		set rstemp2=conntemp.execute(mySQL2)
		Message = SaveMsg
		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			Customer_ID = rstemp2("Customer_ID")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")
		End If

		Message = SaveMsg & wc_Click_link_below_customer_survey & vbCRLF & vbCRLF
			' 11/20/13 changed it to above Message = Message &  "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & vbCRLF & vbCRLF

			CaseLink = "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
			if SBCC = "YES" then	 ' 11/20/13
		 			CaseLink = "http://helpdesk.sbcc.edu/Customer80/CShowSurvey.asp"  & "?CN=" & Case_Number & "&CID=" & Customer_ID
			Else
				CaseLink = "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
     	   end if
  	  	 	SurveyLink = CaseLink

     	  ' If Mobile_Virtual_Path > "" then
     	   '	message = Message & "Click on below link for mobile survey"
			'	if SBCC = "YES" then	 ' 11/20/13
			'	Else
				'	MobileCaseLink = 	"http://" &  hostname & Mobile_Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
			'	end if
			'End If

		Message = Message &  Caselink & vbCRLF & vbCRLF

		' Do not remove this line.
		Message = Message & EmailChecksum

		rstemp2.close


		If HTMLEmail = "YES" Then
			AltBody = Message ' First save Text message into separate variable
			Message = CreateHTMLCustomerSurveyEmail(SurveyEmailText, SurveyLink, Case_One_Line)
		End IF

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		If ToEmail <> ""  And Customer_case_notify = 1 Then
				SendEmail ToEmail, ToFullName, SubjectLine, Message
			Survey_Notification = Survey_Notification & "<BR><I>" &  ToFullName & "</i>(" & ToEmail & ")"
		End If


'************** additional customer case assignments
		mySQL2 = "SELECT AdditionalCustomerCaseAssignments.Case_number, AdditionalCustomerCaseAssignments.CustomerCaseAssignmentIndex, AdditionalCustomerCaseAssignments.customer_id, Customers.contact_fname, Customers.email, Customers.contact_lname FROM AdditionalCustomerCaseAssignments INNER JOIN Customers ON AdditionalCustomerCaseAssignments.customer_id = Customers.customer_id where case_number = " & Case_number

		set rstemp2=conntemp.execute(mySQL2)
		if rstemp2.EOF then
			ToEmail = ""
		Else
			Do While not rstemp2.EOF

				ToEmail = rstemp2("email")
				Customer_ID = rstemp2("Customer_ID")
				ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

				Message = SaveMsg & wc_Click_link_below_customer_survey & vbCRLF & vbCRLF
			' 11/20/13 changed it to above Message = Message &  "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & vbCRLF & vbCRLF

				CaseLink = "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
				if SBCC = "YES" then	 ' 11/20/13
		 			CaseLink = "http://helpdesk.sbcc.edu/Customer80/CShowSurvey.asp"  & "?CN=" & Case_Number & "&CID=" & Customer_ID
				Else
					CaseLink = "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
     	  	 	end if
     	  	 	SurveyLink = CaseLink

			  ' If Mobile_Virtual_Path > "" then
				'	message = Message & "Click on below link for mobile survey"
				'	if SBCC = "YES" then	 ' 11/20/13
				'	Else
					'	MobileCaseLink = 	"http://" &  hostname & Mobile_Virtual_path & "?CN=" & Case_Number & "&CID=" & Customer_ID
				'	end if
				'End If

				Message = Message &  Caselink & vbCRLF & vbCRLF

			' Do not remove this line.
				Message = Message & EmailChecksum

				If HTMLEmail = "YES" Then
					AltBody = Message ' First save Text message into separate variable
					Message = CreateHTMLCustomerSurveyEmail(SurveyEmailText, SurveyLink, Case_One_Line)
				End IF

				' *************User Customizations *************************

				' Now we have everything we need to send the email to the customer
				' Only send the message if ToEmail exists and Customer_case_notify flag is set

				If ToEmail <> ""  And Customer_case_notify = 1 Then
						SendEmail ToEmail, ToFullName, SubjectLine, Message
					Survey_Notification = Survey_Notification & "<BR><I>" &  ToFullName & "</i>(" & ToEmail & ")"
				End If

			rstemp2.MoveNext
		Loop
      End If

		rstemp2.close
		Set rstemp2 = nothing

End Sub ' End of SendSurveyEmailToCustomer() subroutine
%>


