<%  ' Module: DoSurveyReport.asp
	'
	' Description: Submit Module For SurveyReport.asp module
	'
	' (C) 2000, 2001, 2002,2003 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'03/05/03	SAV		Created original module
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file

			DatabaseType2 = Database

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	Sort = Request.querystring("Sort") ' Sort order

	' Allow toggling of ascending/descending order for links
 	Ascend = Request.Querystring("Ascend") ' Ascending/Descending Order

	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Customer_ID = Request.form("customer_Id")





		' Survey Date Range check

		If Start_Date <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & Start_Date & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= #" & Start_Date & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & YYMMDD(Start_Date) & "'"
			End IF

			AndText = " AND "


		End If

		If End_Date <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & End_Date & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <= #" & End_Date & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & YYMMDD(End_Date) & "'"
			End IF


			AndText = " AND "


		End If


	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>



<HTML>
<HEAD>
   <TITLE><%=wc_Customer_Survey_Reports%></TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
</HEAD>

<body bgcolor="<%=UserPageColor%>">

<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_Survey_Reports%></b>
</font>
<br>
</td></tr></table><p>
</center>


<%

	' Build the query based on the passed input fields

	'mySQL2 = "SELECT Survey_Results.Case_Number, Survey_Results.Survey_Date, Survey_Results.Results_id, cases.case_one_line, cases.customer_id FROM Survey_Results INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number "

	'mySQL2 = "SELECT Survey_Results.Survey_Date, Result_Detail.Results_ID, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey.Question_Type FROM (Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID "

	'mySQL2 = "SELECT Survey_Results.Results_ID, Survey_Results.Customer_ID, Survey_Results.Survey_Date, Survey_Results.Case_Number, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Result_Detail.Question_ID FROM Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID "

	mySQL2 = "SELECT Survey_Results.Results_ID, Survey_Results.Customer_ID, Survey_Results.Survey_Date, Survey_Results.Case_Number, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Result_Detail.Question_ID, Result_Detail.Results_ID FROM Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID "


	mySQL2 = "SELECT Survey_Results.Results_ID, Survey_Results.Customer_ID, Survey_Results.Survey_Date, Survey_Results.Case_Number, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Result_Detail.Question_ID, Result_Detail.Results_ID, Survey.Survey_Question FROM (Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID "

	mySQL2  = "SELECT Survey_Results.Results_ID, Survey_Results.Customer_ID, Survey_Results.Survey_Date, Survey_Results.Case_Number, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Result_Detail.Question_ID, Result_Detail.Results_ID, Survey.Survey_Question, Survey.Question_Type FROM (Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID"

	If  WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement



	' now add the order by clause so we can loop thru the records in the order that
	' allows one to display the results for each questions.

	OrderBy = " Order by  Result_Detail.Question_ID"

	mySQL2 = mySQL2 & OrderBy

	'response.write mySQL2
	'response.flush
	'response.end


	set rstemp = Server.CreateObject("adodb.recordset")

	' Uncomment below to view SQL statement
	'Response.Write mySQL2

	rstemp.open mySQL2, myDSN, adopenstatic

	RecordsFound = rstemp.recordcount

	 If RecordsFound = 0 THen
		Response.write "<B>"
		Response.write wc_No_Records_Found_Date  & "</b><P>"
	Else


	' Otherwise step thru the records


	' Clear all of the counts for 1-5 and Yes/No
	Answer1 = 0
	Answer2 = 0
	Answer3 = 0
	Answer4 = 0
	Answer5 = 0  'Set default values for the 1-5 choices


	YesCount = 0
	NoCount = 0

		LastQuestion_ID = rstemp("Question_ID")

		do while not rstemp.eof

		' Step thru the records

			'response.write "Results_ID = " & rstemp("Results_ID")
			'response.write "Question_ID = " & rstemp("Question_ID")
			'response.write "Suvey_Question = " & rstemp("Survey_Question")
			'response.write "Question_Type = " & rstemp("Question_Type")
			'response.write "<hr><br>"

		' By pass all the tests if Question_Type is not 1 or 2 (Range or yes/no)

		If rstemp("Question_Type") = 1 OR rstemp("Question_Type") = 2 Then

		Current_Question_ID = rstemp("Question_ID")
		If Current_Question_ID <> LastQuestion_ID Then ' Calculate record and display results

			LastQuestion_ID = Current_Question_ID ' Reset IDs


		' Calculate percentages

			If LastQuestion_Type = 1 Then ' 1-5 choices

			 ' Peform Computations

				TotalAnswers = Answer1 + Answer2 + Answer3 + Answer4 + Answer5

				'response.write "Answer1 = " & Answer1
				'response.write "TotalAnswers = " & TotalAnswers

				Value = (Answer1/TotalAnswers)*100

				'Response.write Value

				'response.flush
				'Response.end

				Answer1Percent = Int((Answer1/TotalAnswers)*100)
				Answer2Percent = Int((Answer2/TotalAnswers)*100)
				Answer3Percent = Int((Answer3/TotalAnswers)*100)
				Answer4Percent = Int((Answer4/TotalAnswers)*100)
				Answer5Percent = Int((Answer5/TotalAnswers)*100)


	' Display this report

		DisplayRangeGraph

				'response.flush
				'Response.end


			' Reset Totals of results

				Answer1 = 0
				Answer2 = 0
				Answer3 = 0
				Answer4 = 0
				Answer5 = 0  'Set default values for the 1-5 choices

		End IF

		If LastQuestion_Type = 2 Then ' YES/NO Answers

			TotalAnswers = YesCount + NoCount

			YesPercent = Int((YesCount/TotalAnswers) *100)
			NoPercent = Int((NoCount/TotalAnswers) *100)

		' Display the results

			DisplayYESNOResults


			YesCount = 0
			NoCount = 0

		End If

	End IF

	'Always Do this processing

		'Else ' Add in this result for that question_ID

			'response.write "Processing values for Question_ID:" & CurrentQuestion_ID

			LastQuestion = rstemp("Survey_Question")
			Question_Type = rstemp("Question_Type")
			LastQuestion_Type = Question_Type

			'Response.write "LastQuestion_Type = " & LastQuestion_Type

			Range_Answer = rstemp("Range_Answer")

		If Question_Type = 1 Then
				If Range_Answer = 1 Then
					Answer1 = Answer1 + 1
				End If
				If Range_Answer = 2 Then
					Answer2 = Answer2 + 1
				End If
				If Range_Answer = 3 Then
					Answer3 = Answer3 + 1
				End If
				If Range_Answer = 4 Then
					Answer4 = Answer4 + 1
				End If
				If Range_Answer = 5 Then
					Answer5 = Answer5 + 1
				End If
		End If

		If Question_Type = 2 Then

				'response.write "YESNO=" & rstemp("Yes_no_Answer") & "<br>"

				If Rstemp("YES_NO_Answer") <> False Then
					YesCount = YesCount +1
				Else
					NoCount = NoCount +1
				End If
			End If


	End IF ' If Question_Type = 1 or 2

			rstemp.movenext
			count = count + 1
		loop



' Now Handle the last graph


'response.write "Last Graph here"

' START OF LAST GRAPH HERE ***********************

			If LastQuestion_Type = 1 Then ' 1-5 choices

			 ' Peform Computations

				TotalAnswers = Answer1 + Answer2 + Answer3 + Answer4 + Answer5

				'response.write "Answer1 = " & Answer1
				'response.write "TotalAnswers = " & TotalAnswers

				Value = (Answer1/TotalAnswers)*100

				'Response.write Value

				'response.flush
				'Response.end

				Answer1Percent = Int((Answer1/TotalAnswers)*100)
				Answer2Percent = Int((Answer2/TotalAnswers)*100)
				Answer3Percent = Int((Answer3/TotalAnswers)*100)
				Answer4Percent = Int((Answer4/TotalAnswers)*100)
				Answer5Percent = Int((Answer5/TotalAnswers)*100)

	' Display this report

		DisplayRangeGraph

				'response.flush
				'Response.end


			' Reset Totals of results

				Answer1 = 0
				Answer2 = 0
				Answer3 = 0
				Answer4 = 0
				Answer5 = 0  'Set default values for the 1-5 choices



		Else  ' end of If type=1 (Range answer)

		' Now calculate and Graph Yes/No Answers

			TotalAnswers = YesCount + NoCount

			Response.write "TotalAnswers = " & TotalAnswers
			Response.write "YesCount = " & YesCount
			Response.write "NoCount = " & NoCount
		'	Response.flush
		'	Response.end


			'YesPercent = Int((YesCount/TotalAnswers) *100)
			'NoPercent = Int((NoCount/TotalAnswers) *100)

		' Display the results

			DisplayYESNOResults

			YesCount = 0
			NoCount = 0

		End If




' End of LAST GRAPH HERE





 End If ' If RecordCount = 0


	rstemp.close
	set rstemp=nothing
	'conntemp.close ' Close the connection
	'set conntemp=nothing

%>







</body>
</html>




<% ' START OF FUNCTIONS *************************
%>




<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>




<%

 Function GetQuestionTitle(Question_ID)



 		set conntemp2=server.createobject("adodb.connection")
		conntemp2.open myDSN



			mySQL2="SELECT * from Survey where Question_ID = " & Question_ID
			set rstemp5=conntemp2.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the

			If rstemp5.EOF <> True Then
				Question_String = rstemp5("Survey_Question")
			Else
				Question_String = "Question Not Found... "
			End If

			GetQuestionTitle = Question_String

			rstemp5.close
			set rstemp5=nothing
			conntemp2.close ' Close the connection
			set conntemp2=nothing

	End Function

%>


<% Sub DisplayRangeGraph()
%>

<table border=1 width=100%>
<tr>
<td bgcolor=B0A0A0 colspan = "4" align=left>
<font size=-1>
<B><%=wc_Question%>:</b>
<UL>
<LI><%=LastQuestion%>
</ul>
</td>
</tr>

<tr>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Answer%>
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
#
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Percent%>
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Graphical_Percentage%>
</th>

</tr>

<tr>
<td align=center><font size= -1>
<B>(1)</b>
</td>

<td align=center>
<font size=-1>
<B><%=Answer1%></b>
</td>

<td align = center><font size=-1>
<B><%=Answer1Percent%></b>
</td>

<%  color="Red" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Answer1Percent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>



<tr>
<td align=center><font size= -1>
<B>(2)</b>
</td>

<td align=center>
<font size=-1>
<B><%=Answer2%></b>
</td>

<td align = center><font size=-1>
<B><%=Answer2Percent%></b>
</td>


<%  color="Blue" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Answer2Percent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


<tr>
<td align=center><font size= -1>
<B>(3)</b>
</td>

<td align=center>
<font size=-1>
<B><%=Answer3%></b>
</td>

<td align = center><font size=-1>
<B><%=Answer3Percent%></b>
</td>


<%  color="Purple" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Answer3Percent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


<tr>
<td align=center><font size= -1>
<B>(4)</b>
</td>

<td align=center>
<font size=-1>
<B><%=Answer4%></b>
</td>

<td align = center><font size=-1>
<B><%=Answer4Percent%></b>
</td>


<%  color="GREEN" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Answer4Percent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


<tr>
<td align=center><font size= -1>
<B>(5)</b>
</td>

<td align=center>
<font size=-1>
<B><%=Answer5%></b>
</td>

<td align = center><font size=-1>
<B><%=Answer5Percent%></b>
</td>


<%  color="YELLOW" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Answer5Percent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


<tr>
<td align=center bgcolor=F0F0C0><font size= -1>
<B><%=wc_Total%></b>
</td>

<td align=center bgcolor=F0F0C0>
<font size=-1>
<B><%=TotalAnswers%></b>
</td>

<td align = center bgcolor=F0F0C0><font size=-1>
<B>100</b>
</td>


<%  color="BROWN" %>

<td align=left bgcolor=F0F0C0><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=300 ><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

</table>
<br>
<br>


<% End Sub%>








<% Sub DisplayYESNOResults()
%>

<table border=1 width=100%>
<tr>
<td bgcolor=B0A0A0 colspan = "4" align=left>
<font size=-1>
<B><%=wc_Question%>:</b>
<UL>
<LI><%=LastQuestion%>
</ul>
</td>
</tr>

<tr>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Answer%>
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
#
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Percent%>
</th>

<th bgcolor=F0C0D0 align=center><font size=-1>
<%=wc_Graphical_Percentage%>
</th>

</tr>

<tr>
<td align=center><font size= -1>
<B><%=wc_YES%></b>
</td>

<td align=center>
<font size=-1>
<B><%=YesCount%></b>
</td>

<td align = center><font size=-1>
<B><%=YesPercent%> </b>
</td>

<%  color="Red" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=YesPercent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<tr>
<td align=center><font size= -1>
<B><%=wc_NO%></b>
</td>

<td align=center>
<font size=-1>
<B><%=NoCount%></b>
</td>

<td align = center><font size=-1>
<B><%=NoPercent%> </b>
</td>

<%  color="Blue" %>

<td align=left><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=NoPercent*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


<tr>
<td align=center bgcolor=F0F0C0><font size= -1>
<B><%=wc_Total%></b>
</td>

<td align=center  bgcolor=F0F0C0>
<font size=-1>
<B><%=TotalAnswers%></b>
</td>

<td align = center  bgcolor=F0F0C0><font size=-1>
<B>100</b>
</td>


<%  color="BROWN" %>

<td align=left bgcolor=F0F0C0><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=300><font size=-1>&nbsp</td></tr></table>

</td>
</tr>


</table>
<br>
<br>


<% End Sub %>

