<% 'Module: DoTEmailContact.asp

   'Description: This module is the submit module for the EmailContact.asp module.

   '(C) 2000,2001-2005 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/26/01	SAV		Created original ASP

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<% 'Get the form data

	Customer_ID = Request.form("Customer_ID") ' Customer_ID may  be different than the values passed

	LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")

	CustomerName = Request.form("CustomerName")
	CustomerEmail = Request.form("CustomerEmail")

	ContactRepName = Request.form("ContactRepName")
	ContactRepEmail = Request.form("ContactRepEmail")

	CCName = Request.form("CCName")
	CCEmail = Request.form("CCEmail")


	Subject = Request.form("Subject")
	MessageText = Request.form("Message")

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


		' Check for the required fields or combinations of submitted form
		' elements which are not correct.


		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message


		If CustomerEmail  = ""  Then
			ErrorMessage = ErrorMessage & "<LI> You must enter a customer Email address."
		End If

		If ContactRepEmail  = "" Then
			ErrorMessage = ErrorMessage & "<LI> You must enter a FROM email address."
		End If

		If Subject =  "" Then
			ErrorMessage = ErrorMessage & "<LI> You must enter a subject line."
		End If



		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else ' Fields are ok so send email

		' Send out the Email now

		' If customer_id is selected, then get their email address

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""

		' Add your customizations here if desired

		' *********************** USER CUSTOMIZATIONS**********************

		Message = Message & MessageText

		' *************User Customizations *************************
		' You can change the Subject line if necessary

		SubjectLine = Subject

		' Create Email to be inserted into customer log enty
		CustomerLogEntry = ""
		CustomerLogEntry = "<hr><B>TO:</b>  " & CustomerName & "  &lt;" &  CustomerEmail & "&gt;" & "<br>"
		CustomerLogEntry = CustomerLogEntry & "<B>FROM:</b>&nbsp;&nbsp;" & ContactRepName & "&nbsp;&nbsp;&lt;" & ContactRepEmail & "&gt;<br>"


 		If CCName <> "" And CCEmail <> "" Then
			CustomerLogEntry = CustomerLogEntry & "<B>CC:</b>&nbsp;&nbsp;" & CCName & "&nbsp;&nbsp;&lt;" & CCEmail & "&gt;<P>"
		End If

		CustomerLogEntry = CustomerLogEntry & "<B>SUBJECT:</b>&nbsp;&nbsp;" & Subject & "<P>"


		'Replace all the CRLF with <BR> for formatting
		FormattedMessage = replace(Message, vbCR, "<br>")

		CustomerLogEntry = CustomerLogEntry & FormattedMessage & "<hr>"
		' Adding to Customer Notes table based on Customer_ID value


		UserName = TechFullName() ' Get the name of the tech logged in

	'************ Contact Notes Field *****************
	' This field is set up here to be add to only.  Each new entry is
	' date stamped and time stamped and added to the previous entry.
	' This could be set up differently to allow persons to edit
	' previous contact notes.


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from CustomerNotes where customer_ID = '" & Customer_ID & "'"
		'response.write SQL


		NewRecord.Open SQL,Conn,3,3

		If NewRecord.EOF = True then
			NewRecord.AddNew
		End If

		NewRecord("Customer_ID") = Customer_ID

			CurrentNotes = NewRecord("ContactNotes")

			' Add Date and Time stamps and who edited the notes
						' Time Stamp the Case History before we put it into the case record

			CreateTimeDateValues DateString, TimeString, DateTimeString

			NewNotes = "<font color=green><B>Date:</b>" &  DatetimeString &  "</font><br><font color=brown><B>By: </b> "& UserName & "</font><br><B>Sent Email:</b>" & CustomerLogEntry &"<P>" &  CurrentNotes

			NewRecord("ContactNotes") = NewNotes


		NewRecord.Update
	If  err.number>0 then
		  response.write "VBScript Errors Occured:" & "<P>"
		  response.write "Error Number=" & err.number & "<P>"
		 response.write "Error Descr.=" & err.description & "<P>"
		  response.write "Help Context=" & err.helpcontext & "<P>"
		  response.write "Help Path=" & err.helppath & "<P>"
		  response.write "Native Error=" & err.nativeerror & "<P>"
		  response.write "Source=" & err.source & "<P>"
		  response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
		  response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
		  response.write "Error #" & conn.errors(counter).number & "<P>"
		  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


		' Now we have everything we need to send the email to the customer
		' Only send the message if  CustomerEmail exists


		If CustomerEmail <> ""  Then


		' Check if CCEmail and CCName exists and set global that is used in SendEmail.inc
		' Also, a special FromEmailAddress and FromName can overwrite the system settings.

		FromEmailAddress = ContactRepEmail
		FromName = ContactRepName


			If MyOS = "Windows" Then
				SendEmail CustomerEmail, CustomerName, SubjectLine, Message
			Else
				SendLinuxEmail CustomerEmail, CustomerName, SubjectLine, Message
			End If


'old method for SA Mailer

'			If MyOS = "Windows" Then
'				SendEmailWithCC CustomerEmail, CustomerName, SubjectLine, Message, ContactRepEmail, ContactRepName, CCName, CCEmail
'			Else
'				SendLinuxEmail CustomerEmail, CustomerName, SubjectLine, Message,
'			End If

		End If

%>

<% ' Display the page now %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Calendar_View%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>



<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td Align=center>
<font size=+1 face=arial>Email Contact With Note Logging Confirmation</font>
</td></tr></table>

<br>
<br>
<center>
<font size=+1>
The following email was sent and logged:
<P>

<table width=98% border = 1 cellspacing=3 cellpadding = 4 bgcolor=FFFFFF>
<tr>
<td align=left
<font size=-1 face=arial>
<B>TO:</b>&nbsp;&nbsp;<%=CustomerName %> &nbsp;&nbsp;&lt;<%=CustomerEmail%>&gt;<br>
<B>FROM:</b>&nbsp;&nbsp;<%=ContactRepName %> &nbsp;&nbsp;&lt;<%=ContactRepEmail%>&gt;<br>

<% If CCName <> "" And CCEmail <> "" Then%>
	<B>CC:</b>&nbsp;&nbsp;<%=CCName %> &nbsp;&nbsp;&lt;<%=CCEmail%>&gt;<P>
<%End If %>


<B>Subject:</b>&nbsp;&nbsp;<%=Subject%><P>

<% ' Replace all the CRLF with <BR> for formatting
	FormattedMessage = replace(Message, vbCR, "<br>")
%>

<I>
<%=FormattedMessage%>
</i>

</font>
</td></tr></table>


<p>
</center>
<P>
<center>
<a href=NewCustomer.asp?ID=<%=Customer_ID%>><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>

</body>
</html>



<% End if ' End of IF ErrorMessage <> ""%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>


<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText

'	For i = 1 to len(NewText)
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>


<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>




<% Function CreateCategoryText(Case_Number)
	' This function performs a query of the set categories and
	' returns a string to be used when sending out the email messages

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here


	set rstemp2=conntemp.execute(mySQL3)


	' Create the category display for this case

	CategoryString = ""
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)


			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next ' Loop through the first 20 Categories

		If CategoryString = "" then
			CategoryString = "Categories: None set." & vbCRLF
		Else
			CategoryString = "Categories:" & vbCRLF & CategoryString
		End If

	CreateCategoryText = CategoryString ' Put function return value


	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


 End Function ' CreateCategoryText
%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	CurrentDateFormatted = CStr(Year(Date))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(Date))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(Date))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(Date)) & " " & MonthName(Month(Date)) & " " & Day(Date) & ", " & Year(Date) & " " & Time

	End Sub ' End of CreateTimeDateValues
%>



