<% 'Module: EditOptionalCustomerInformation.asp

   'Description: This module is the Page where the 10 optional Customer information field and labels
   ' labels can be configured and enabled.  Typically this was done only in the business+center admin.

   '(C) 2000,2001,2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/23/02	SAV		Created original EditCaseTextLabels.asp Module
   '10/28/13	SAV		Created EditOptionalCustomerInformation.asp module from EditCaseTextLabels.asp module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditOptionalCustomerInformation.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996 - 20013 by Internet Software Sciences -->
<head>
<title>Edit Optional Customer Information Field Labels</title>
</head>
<body bgcolor=#C0C0C0>

<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Edit Optional Customer Information Field Labels</b>
</font>
<br>
</td></tr></table><p>
</center>


<% ' Get the Additional customer information field labels and enable status

	' Get the current white board contents into a variable if it exists.
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from BConfiguration" ' There should only be one row in this table

	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then ' Check to see Configuration row created yet
		WhiteBoardContents = " White Board Not yet configured"
	Else
		WhiteBoardContents = rstemp("BWhiteboard")
		Box1Label = rstemp("Box1Label")
		Box2Label = rstemp("Box2Label")
		Box3Label = rstemp("Box3Label")
		Box4Label = rstemp("Box4Label")
		Box5Label = rstemp("Box5Label")
		Box6Label = rstemp("Box6Label")
		Box7Label = rstemp("Box7Label")
		Box8Label = rstemp("Box8Label")
		Box9Label = rstemp("Box9Label")
		Box10Label = rstemp("Box10Label")

	' Get the Enabled state of the boxes

		Box1Enabled = rstemp("Box1Enabled")
		Box2Enabled = rstemp("Box2Enabled")
		Box3Enabled = rstemp("Box3Enabled")
		Box4Enabled = rstemp("Box4Enabled")
		Box5Enabled = rstemp("Box5Enabled")
		Box6Enabled = rstemp("Box6Enabled")
		Box7Enabled = rstemp("Box7Enabled")
		Box8Enabled = rstemp("Box8Enabled")
		Box9Enabled = rstemp("Box9Enabled")
		Box10Enabled = rstemp("Box10Enabled")

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>


<form action=DoEditOptionalCustomerInformation.asp method=post>


<P>


		<center>
		<font size=-1 face=arial><B><%=wc_Optional_Customer_Text_Fields%></b><br>
		<table  border=1 cellspacing=2 cellpadding=2>
		<tr>
		<th>
		<font size=-1 face=arial><%=wc_Field_number%>
		</th>

		<th>
		<font size=-1 face=arial><%=wc_Field_Label%></th>

		<th>
		<font size=-1 face=arial><%=wc_Enabled%>
		</th>

		</tr>

		<% ' Individual fields %>
		<% ' fieldcounter = 0 %>
		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box1Label value="<%=Box1Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box1Enabled = True Then%>
		<input type=checkbox name=Box1Enabled checked>
		<%Else %>
		<input type=checkbox name=Box1Enabled>
		<% End IF %>

		</td>
		</tr>


		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box2Label value="<%=Box2Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box2Enabled = True Then%>
		<input type=checkbox name=Box2Enabled checked>
		<%Else %>
		<input type=checkbox name=Box2Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box3Label value="<%=Box3Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box3Enabled = True Then%>
		<input type=checkbox name=Box3Enabled checked>
		<%Else %>
		<input type=checkbox name=Box3Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box4Label value="<%=Box4Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box4Enabled = True Then%>
		<input type=checkbox name=Box4Enabled checked>
		<%Else %>
		<input type=checkbox name=Box4Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box5Label value="<%=Box5Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box5Enabled = True Then%>
		<input type=checkbox name=Box5Enabled checked>
		<%Else %>
		<input type=checkbox name=Box5Enabled>
		<% End IF %>

		</td>
		</tr>


		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box6Label value="<%=Box6Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box6Enabled = True Then%>
		<input type=checkbox name=Box6Enabled checked>
		<%Else %>
		<input type=checkbox name=Box6Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box7Label value="<%=Box7Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box7Enabled = True Then%>
		<input type=checkbox name=Box7Enabled checked>
		<%Else %>
		<input type=checkbox name=Box7Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box8Label value="<%=Box8Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box8Enabled = True Then%>
		<input type=checkbox name=Box8Enabled checked>
		<%Else %>
		<input type=checkbox name=Box8Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box9Label value="<%=Box9Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box9Enabled = True Then%>
		<input type=checkbox name=Box9Enabled checked>
		<%Else %>
		<input type=checkbox name=Box9Enabled>
		<% End IF %>

		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<input size=20 maxlength=50 name=Box10Label value="<%=Box10Label%>"><P>
		</td>
		<td><font size=-1  face=arial>

		<% If Box10Enabled = True Then%>
		<input type=checkbox name=Box10Enabled checked>
		<%Else %>
		<input type=checkbox name=Box10Enabled>
		<% End IF %>

		</td>
		</tr>

		</table>

		<table width=50%>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle>
		<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		</td>
		</tr>
		</table>
		</center>


</form>

</body>
</html>

<% End If %>

