<% 'Module: ExportAssets.asp

   'Description: This module is first prompt page for export
   'assets to comma delimited or other file formats.
   '
   '(C)  2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/23/01	SAV		Created ExportAssets.asp Page
   '09/16/11    CMB     Added support for query
   '10/27/11   CMB     Age As Of

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel =3 ' Allow only ReadWrite techs  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ExportAssets.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<html>

<head>
<title><%=wc_Export_Assets%></title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center>
<center>
<table width=90% border=1 cellpadding=2 cellspacing=2>
<tr>
<td align=center>
<font size=+1>
<%=wc_Export_Assets%>


</td>
</tr>
</table>
</center>


<br>


<FORM METHOD=POST ACTION=DoExportAssets.asp>

<%   ' NEW ASSETS
Query = request.querystring("Query")
ReportAgeAsOf = Request.QueryString("RptAgeOf")  ' 10/27/2011

%>
<INPUT TYPE=HIDDEN size=100 NAME=QUERY value="<%=Query%>">
<INPUT TYPE=HIDDEN size=100 Name=ReportAgeAsOf value="<%=ReportAgeAsOf%>">
<%' END OF NEW ASSETS %>

<center>



<% ' Display the Form questions at the bottom of the page %>
<center>
<B><%=wc_Export_Options%> </b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" bgcolor = F0F0F0>

<TR>
<td align=right><font size=-1><%=wc_Export_Format%>
</font>
</td>
<td align=left><font size=-1>
<select name=formattype size=1>

<option value="COMMASCREEN"><%=wc_Comma_Delimited_To_Screen%></option>

<option value="COMMAFILE"><%=wc_Comma_Delimited%></option>
<option value="TAB"> <%=wc_Excel_Tab_Delimited%></option>
</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1><%=wc_Asset_Export_Options%>
</font>
</td>
<td align=left><font size=-1>
<select name=AssetExportOption size=1>
<option value="KEY"><%=wc_Export_Key_Fields%></option>
<option value="EQUIP"><%=wc_Export_Key_Equipment_Fields%></option>
<option value="EQUIPCUSTOM">Export Key+Equip+Custom</option>

<option value="ALL"><%=wc_Export_All_Fields%></option>

</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1><%=wc_Asset_Assignment_Export_Options%>
</font>
</td>
<td align=left><font size=-1>
<select name=AssetAssignmentExport size=1>
<option value="NO"><%=wc_NO%></option>
<option value="YES"><%=wc_Export_Asset_Assignments%></option>

</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1>Primary Sort
</font>
</td>
<td align=left><font size=-1>
<select name=SortBy size=1>
<option value="Asset_Number"><%=Asset_Number_Label%></option>
<option value="Equipment_Type"><%=Description_Label%></option>
<option value="Location"><%=Location_Label%></option>
<option value="Property_Tag"><%=Property_Tag_Label%></option>

<option value="Custom_Field1"><%=Custom_Field_1_Label%></option>
<option value="Custom_Field2"><%=Custom_Field_2_Label%></option>
<option value="Custom_Field3"><%=Custom_Field_3_Label%></option>
<option value="Custom_Field4"><%=Custom_Field_4_Label%></option>
<option value="Custom_Field5"><%=Custom_Field_5_Label%></option>


<option value="Assigned_Group"><%=Assigned_Group_Label%></option>
<option value="Computer_ID"><%=Computer_ID_Label%></option>
<option value="Date_Assigned"><%=Date_Assigned_Label%></option>


</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1>Primary Sort Ascending/Descending
</font>
</td>
<td align=left><font size=-1>
<select name=primaryascendingdescending size=1>
<option value="ASC">Ascending</option>
<option value="DESC">Descending</option>
</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1>Secondary Sort (Optional)
</font>
</td>
<td align=left><font size=-1>
<select name=SecondarySort size=1>
<option value="">No Secondary Sort</option>

<option value="Asset_Number"><%=Asset_Number_Label%></option>
<option value="Equipment_Type"><%=Description_Label%></option>
<option value="Location"><%=Location_Label%></option>
<option value="Property_Tag"><%=Property_Tag_Label%></option>

<option value="Custom_Field1"><%=Custom_Field_1_Label%></option>
<option value="Custom_Field2"><%=Custom_Field_2_Label%></option>
<option value="Custom_Field3"><%=Custom_Field_3_Label%></option>
<option value="Custom_Field4"><%=Custom_Field_4_Label%></option>
<option value="Custom_Field5"><%=Custom_Field_5_Label%></option>


<option value="Assigned_Group"><%=Assigned_Group_Label%></option>
<option value="Computer_ID"><%=Computer_ID_Label%></option>
<option value="Date_Assigned"><%=Date_Assigned_Label%></option>


</select>

</font>
</td>
</tr>



<TR>
<td align=right><font size=-1>Secondary Sort Ascending/Descending
</font>
</td>
<td align=left><font size=-1>
<select name=secondaryascendingdescending size=1>
<option value="ASC">Ascending</option>
<option value="DESC">Descending</option>
</select>

</font>
</td>
</tr>


</table>

<P>
<table width=90%>
		<tr>
		<td  align=center><font size=-1 >
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
		</td><td  align=center width=50% valign=top><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</table>



</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

