<% 'Module: ExportMyCases.asp

   'Description: This module is first prompt page for export
   'my cases to PDA *.tda file formats.
   '
   '(C)  2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/23/01	SAV		Created ExportMyCases.asp Page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel =3 ' Allow only ReadWrite techs  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ExportMyCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<html>

<head>
<title><%=wc_Export_My_Cases%></title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center>
<center>
<table width=90% border=1 cellpadding=2 cellspacing=2>
<tr>
<td align=center>
<font size=+1>
<%=wc_Export_Open_Cases_For_Tech%>:


<% ' Get the tech cookie or this page is called from the supervisors report,
	' it passed a request.querystring variable called xyztech.  This will
	' override the cookie value

	CookieID = Request.Querystring("xyztech")

	If CookieID = "" Then ' check if cookieID not set so use cookie
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN")
	End If


' Get the Logged TechID from the cookie
FullTechName = GetTechName(CookieID)
response.write FullTechName
%>
</td>
</tr>
</table>
</center>


<br>


<FORM METHOD=POST ACTION=DoExportMyCases.asp>

<input type=hidden name=xyztech value="<%=CookieID%>">
<center>



<% ' Display the Form questions at the bottom of the page %>
<center>
<B><%=wc_Export_Options%> </b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<font size=-1>(<a href=PDAInstructions.asp>Instructions</a>)<Br></font>

<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" bgcolor = F0F0F0>

<TR>
<td align=right><font size=-1><%=wc_Export_Format%>
</font>
</td>
<td align=left><font size=-1>
<select name=formattype size=1>
		<option value="OUTLOOK"><%=wc_MS_Outlook_Address_Book_format%></option>
		<option value="TAB"><%=wc_TAB_Delimited_Excel_format%></option>
		<option value="COMMA"><%=wc_Comma_Delimited_File_format%></option>
		<option value="COMMASCREEN"><%=wc_Comma_Delimited_To_Screen_format%></option>
</select>

</font>
</td>
</tr>

<TR>
<td align=right><font size=-1><%=wc_Categories_Optional%>
</font>
</td>
<td align=left><font size=-1>
<input name=category size=20 maxlength=50>


</font>
</td>
</tr>

</table>

<P>
<table width=90%>
		<tr>
		<td  align=center><font size=-1 >
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
		</td><td  align=center width=50% valign=top><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</table>



</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% Function GetTechName(Passed_Tech_ID)
' This function returns the name of the tech from the Tech_ID

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2="select * from Tech_staff where Tech_ID = '" & Passed_Tech_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetTechName = "Tech (" & Passed_tech_id & ") No Longer Registered" ' Tech may no longer exist in the database
	Else
		GetTechName = rstemp2("first_name") & " " & rstemp2("last_name")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	Set Conntemp = Nothing

End Function
%>
