<% 'Module: KBoptions.asp

   'Description: This module set the knowledge base options page
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
    '4/26/01	AJS	Changed KB Options to be numbered properly there were two of option 2

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "KBoptions.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>





<html>

<head>
<title>Knowledge base options</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% 'Get the KB Configuration options %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from KBConfiguration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		LastUpdate = ""
		IncludeOneLine = "?"
		IncludeHistory =  "?"
		IncludeSummary ="?"
		IncludeResolution = "?"

	Else


		LastUpdate = rstemp2("LastKBDate")

	' This boolean flag is handled differently for Access/SQL Server

	If DatabaseType = "ORACLE" Then

		If rstemp2("IncludeOneLine") = "-1" THEN
			IncludeOneLine = "YES"
		Else
			IncludeOneLine = "NO"
		End If

		If rstemp2("IncludeHistory") = "-1" THEN
			IncludeHistory = "YES"
		Else
			IncludeHistory = "NO"
		End If


		If rstemp2("IncludeSummary") = "-1" THEN
			IncludeSummary = "YES"
		Else
			Includesummary = "NO"
		End If


		If rstemp2("IncludeResolution") = "-1" THEN
			IncludeResolution = "YES"
		Else
			IncludeResolution = "NO"
		End If

	Else ' Support for Access/SQL*SErver

		If rstemp2("IncludeOneLine") = True THEN
			IncludeOneLine = "YES"
		Else
			IncludeOneLine = "NO"
		End If

		If rstemp2("IncludeHistory") = True THEN
			IncludeHistory = "YES"
		Else
			IncludeHistory = "NO"
		End If


		If rstemp2("IncludeSummary") = True THEN
			IncludeSummary = "YES"
		Else
			Includesummary = "NO"
		End If


		If rstemp2("IncludeResolution") = True THEN
			IncludeResolution = "YES"
		Else
			IncludeResolution = "NO"
		End If

	End IF ' If not Oracle Support



	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Knowledge_Base_Options%></FONT></B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<table bgcolor=F0F0f0 border=1 width=95% cellspacing=4 cellpadding=4><tr><td>
<font size=-1>
<B><%=wc_Build_Options%>:</b><P>

<UL>
<B><%=wc_Option_1%></b><br>
<a href=UpdateKB.asp?LastUpdate=<%=LastUpdate%>&NextRecordCount=0><%=wc_Update_all_Cases_modified%></a><P>

<B><%=wc_Option_2%></b><br>
<a href=UpdateKB.asp?NextRecordCount=0><%=wc_Update_All_Cases_Into%></a><P>


<form action = UpdateKB.asp method=post>
<b><%=wc_Option_3%>:</b><br>
<%=wc_Update_with_Cases_since%><br>
<%=wc_Date%>: <input name=Start_Date size=12 maxlength=12>
<input type=hidden name=NextRecordCount value = 0>
<input type=submit name=submit value="Process Knowledge Base">
<P>
</form>

<P>



<form action = UpdateKB.asp method=post>
<b><%=wc_Option_4%>:</b><br>
<%=wc_Process_one_case_into_KB%><br>
<%=wc_Case_Number%>: <input name=casenumber size=12 maxlength=12>
<input type=submit name=submit value="Process One Case">
<P>
</form>

<P>



<B><%=wc_Option_5%></b><br>
<a href=Clearkb.asp><%=wc_Clear_all_KB_Information%></a><P>

</ul>
</td></tr></table><P>

<table bgcolor=F0F0f0 border=1  width=95%  cellspacing=4 cellpadding=4><tr><td>
<font size=-1>
<B><%=wc_Configuration_Options%></b><P>

<%=wc_Date_of_Last_Update%>: <%=LastUpdate%><P>

<%=wc_Include_text_sections_in_KB%>:<P>
<UL>
<form action=UpdateKBOptions.asp method = post>

<%
	If IncludeOneLine = "YES" Then
		Response.write "<input type=checkbox name=IncludeOneLine value=YES CHECKED>" & wc_Include_One_Line_Descr_in_KB & "<P>"
	Else
		Response.write "<input type=checkbox name=IncludeOneLine value=YES >" & wc_Include_One_Line_Descr_in_KB & "<P>"
	End If

	If IncludeHistory = "YES" Then
		Response.write "<input type=checkbox name=IncludeHistory value=YES CHECKED>" & wc_Include_Case_History_in_KB & "<P>"
	Else
		Response.write "<input type=checkbox name=IncludeHistory value=YES >" & wc_Include_Case_History_in_KB & "<P>"
	End If

	If Includesummary = "YES" Then
		Response.write "<input type=checkbox name=Includesummary value=YES CHECKED>" & wc_Include_Case_Summary_in_KB & "<P>"
	Else
		Response.write "<input type=checkbox name=Includesummary value=YES >" & wc_Include_Case_Summary_in_KB & "<P>"
	End If

	If IncludeResolution = "YES" Then
		Response.write "<input type=checkbox name=IncludeResolution value=YES CHECKED>" & wc_Include_Case_Resolution_in_KB & "<P>"
	Else
		Response.write "<input type=checkbox name=IncludeResolution value=YES >" & wc_Include_Case_Resolution_in_KB & "<P>"
	End If

%>

<input type=submit name=submit value = "Update KB Configuration Options">
</form>
</ul>
<P>

</td></tr></table>

</BODY>
</HTML>

<%End If ' End of security checks %>
