<% 'Module: LinuxDatabaseClear.asp

   'Description: This module is used to clear out all the contents of an existing database


   '(C) 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/27/03	JC		Created original ASP module

%>


<html>
<head>
<title>Database Clear </title>
<body bgcolor=cornsilk>
<font color=red size=+3>Database Clear</font><font size=+1>  (Clears all database contents in preparation for loading new data)</font>
<p>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->


<%
testpath = Server.MapPath(".")
if Instr(testpath,"\") Then
   slash = "\"
else
   slash = "/"
end if

If Request.Form("Driverfile") <> "" Then
    CurrentFilePath = Request.Form("Driverfile")
Else
    CurrentFilePath = Server.MapPath(".") & slash & "LinuxDatabaseDriver.txt"
End If

If Request.Form("DSNstring") <> "" Then
    DSNstring = Request.Form("DSNstring")
Else
    DSNstring = "driver={MySQL};server=localhost;database=mydatabase;uid=myid;pwd=mypwd (template)"
End If

if request.form("show_directives") = "on" then
   checked = "checked"
else
   checked = ""
End if

If Request.Form("selfcall") <> "Yes" Then
   checked = "checked"
End if

%>
<table bgcolor=silver>

<form method=POST action=LinuxDatabaseClear.asp>

<input type=hidden name=selfcall value="Yes">
<tr>
 <td>
   <b>Driver Filepath/name:</b>
 </td>
 <td>
   <input type=text size=100 name=Driverfile value='<%=CurrentFilePath%>'>
 </td>
</tr>
<tr>
 <td align=right>
   <b>DSN String:</b>
 </td>
 <td>
   <input type=text size=100 name=DSNstring value='<%=DSNstring%>'>
 </td>
</tr>

<tr>
   <td align=right><b>Show Directives:</b></td>
   <td><INPUT TYPE="checkbox" NAME="show_directives" <%=checked%> ></td>
</tr>


<tr>
  <td>
     <input type=submit name=submit value="DoIt">
  </td>

</tr>
</table>
</form>
<% If Request.Form("selfcall") <> "Yes" Then %>

<p><b>Instructions for use:</b>
<Blockquote>
Please provide the full path and file name for the "driver" file in the first box above.<p>
<%If myDSN = "" Then %>
    Please provide the DSN string for access to the database the second box above.
<% else %>
    It appears that a DSN string to access the database is available to be used (provided in an environment variable)
     <ul>
     <li> If you wish to use this already available DSN string, <u>please clear the second box above.</u>
     <li> If you wish to use a different DSN string, please enter it into the second box above.(Sample template provided)
     </ul>
<% end if %>
<Blockquote>
<% End If %>
<hr>

<%

If Request.Form("selfcall") = "Yes" Then     ' If we have been called from the Form Submission

if request.form("DSNstring") = "driver={MySQL};server=localhost;database=mydatabase;uid=myid;pwd=mypwd (template)" Then
   response.write "<font color=red><b> You must either supply a valid DSN string in the second box above or clear it to empty</b></font><p>"
   response.flush
   response.end
end if

'****************Phase 1 is to load up the Driver file into an array so we can loop over the driver info *************

' Set up the file infrastructure



Set fs1 = CreateObject("Scripting.FileSystemObject")
REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(CurrentFilePath, 1, FALSE)



Tabchar = Chr(9)

Headx = "Processing Driver File " & CurrentFilePath & "<br>"
response.write Headx



response.write "<p><blockquote>"


if checked <> "checked" then
  response.write "<!--"
end if

Response.write "<hr><center><font size=+2><b>Contents of Driver File are as follows:</b></font></center>"
Linecounter = 0
DiagFlag = 0
ValidWords = "INT CHAR SMALLINT TINYINT MEDIUMTEXT DATE TIME"

Dim Array_driver()

response.write "<table border=0 cellpadding=3 cellspacing=0 bgcolor=silver>"

While not b.AtEndOfStream
	InRec  = b.Readline

	InRec = Trim(Inrec)
	if Inrec = "" Then
		  ' do nothing
		else
		Token = Split(Inrec,tabchar)

		If Token(0) = "#CREATE" Then

		     ReDim preserve Array_driver(linecounter)
		     Array_driver(linecounter) = Inrec
		     linecounter = linecounter + 1
			 response.write "<tr><td><font size=-1><b>" & Token(1) & "</b></font></td><td><hr></td><td><hr></td></tr>"

		Else

		     ReDim preserve Array_driver(linecounter)
		     Array_driver(linecounter) = Inrec
		     linecounter = linecounter + 1
		     response.write "<tr>"
		     If Ubound(Token) = 2 Then
		        If Token(2) = "#UNIQUE" then
		            response.write "<td align=right><font size=-1 color=Yellow>Unique Key ---&gt;</font></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
		        Else
		            response.write "<td align=right><font color=red><b>Bad Syntax - " & Token(2) & "</b></font></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
		            DiagFlag = 1
		        End If
		     Else
		        If  (Instr(ValidWords,Token(1))) Then
                   response.write "<td></td><td><font size=-1>" & Token(0) & "</font></td><td><font size=-1>" & Token(1) & "</font></td>"
                Else
                   response.write "<td></td><td><font size=-1>" & Token(0) & "</font></td><td><font color=red><b>Bad Syntax - " & Token(1) & "</b></font></td>"
                   DiagFlag = 1
                End if

             End if
             response.write "</tr>"
        end if

	end if ' go process next line
Wend
response.write "</table> Line count of Driver data is " & linecounter & "<p>"
' Insert a final marker at the very end of the array
ReDim preserve Array_driver(linecounter)
Array_driver(linecounter) = "#ENDOFFILE"
linecounter = linecounter + 1
b.Close

Response.write "<center><font size=+2><b>Completed Loading The Driver File</b></font></center>"
response.write "<hr>"

if checked <> "checked" then
  response.write "  -->"
end if

If DiagFlag <> 0 Then
	Response.write "<center><font size=+2 color=red><b>Errors Exist in the Driver Directives (see above)</b></font></center>"
	Response.write "<center><font size=+2 color=red><b>Please Correct These Before Proceeding</b></font></center>"
	Response.flush
	Response.end
End If

' *********************** End of Phase 1 *******************************

Response.write "<center><font size=+2><b>Processing The Database Contents</b></font></center>"

DSNstring = Request.Form("DSNstring")

if trim(DSNstring) = "" Then
  ' do nothing - he is telling use to use the one in the environment variable
else
  myDSN = DSNstring
End if

%>

<% ' Safety Check ***********************************

    ' ********************************************************************************************
    ' If you wish to over-ride the safety threshold, change the value accordingly in the next line
    ' ********************************************************************************************
	  Threshold = 2 ' Allow only 2 or less records (customers and/or Cases) to already exist if we are to proceed

        Customer_count = 0
        Cases_count = 0

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Customers"
		set rstemp=conntemp.execute(mySQL2)



        Do while Not rstemp.eof
          Customer_count = Customer_count +1
          Temp = rstemp("customer_id")
          rstemp.Movenext
        Loop





		mySQL2="SELECT * from Cases"
		set rstemp=conntemp.execute(mySQL2)

        Do while (Not rstemp.eof)
          Cases_count = Cases_count +1
          Temp = rstemp("case_number")
          rstemp.Movenext
        Loop


		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


		If customer_count > threshold or cases_count > threshold Then
		    response.write "<font color=red><b>"
			response.write "I see " & customer_count & " Existing Customer Records in the Database<br>"
			response.write "I see " & cases_count & " Existing Case Records in the Database<br>"
			response.write "The safety threshold level is set to " & Threshold & " - so execution is stopped<p>"
			response.flush
			response.end
       End if



 ' End of Safety Check checks
 %>

<%

set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

Last_Entry = Linecounter - 1
Current_Table = 0
Next_Table = 0
SetNext_Table

DeleteRecs


While Array_driver(Next_Table) <> "#ENDOFFILE"

	Current_Table = Next_Table
	SetNext_Table
	DeleteRecs

Wend




Response.write "<hr><center><font size=+2><b>Database Clearing Operation Completed</b></font></center>"


End If ' If we have been called from the Form Submission

'-----------------------Subroutines---------------------------

Sub SetNext_Table()
   ' this subroutine is called with pointer to *current* tablename in the array. Its job is to find the *next* table name in the array and point to it
	Next_Table = Current_Table + 1
	Token = Split(Array_driver(Next_Table), tabchar)

	While (Token(0) <> "#CREATE") and (Token(0) <> "#ENDOFFILE")
		  Next_Table = Next_Table + 1
		  Token = Split(Array_driver(Next_Table), tabchar)
	Wend
End Sub

' ----------------------------------------------------------

Sub DeleteRecs()
    ' this subroutine is given a table name (pointed to in the array) and his job is to  deleteall records from that table


	Token = Split(Array_driver(Current_Table), tabchar)
	table_name = Token(1)
	response.write "Processing Table <b>" & table_name  & "</b> <br> "

	rec_count = 0
    mySQL2="DELETE * from " & Token(1)
	set rstemp=conntemp.execute(mySQL2)


	response.flush



End Sub



%>
<p>

</body>
</html>
