<% 'Module: NewCase.asp

   'Description: This module display the New Case page when the user press the
   ' New Case button.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/03/00	SAV		Created original NewCase.asp Module Page
   '09/22/11    CMB     Pass in Asset Number


	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>


<% ' Display the New Case Form %>


<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Open_New_Case%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	Asset_Number = Request.querystring("Asset_Number")  ' CMB 09/22/11 NEW ASSETS

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>


<FORM METHOD=POST  name="myform" ACTION=TCaseForm.asp>
<input type=hidden name=txtAssetNumber value=<%=Asset_Number%>>  <!-- ' CMB 09/22/11 NEW ASSETS -->

<center>


<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Open_New_Case%></td>
</tr>
</table>
<p>

<input type=hidden name=case_number value=0>

<table class=outerformwrapper  cellspacing=0 cellpadding=0>
<tr>
<td>

<table class=innerformwrapper cellspacing=0 cellpadding=10>
<tr>
<td align=center class=formlabelsuper><%=wc_Customer_ID%>: </td>

<td class=formboxholder>
<%' Check for CustomerDropDownFlag

'--AKS<-- Conversion to INT required

	Customer_Id_List = CInt(Customer_Id_List)

	' Display debug message about customer_id_list value
	response.write "<!--Customer_ID_List Value = " & Customer_ID_List & "-->" & vbCRLF

	If Customer_Id_List = 1 Then %>
<select size=1 name=customer_id>

<% ' Now get all of the customers from the customer table
%>

<% ' Grab all customers from customer table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Customer_Id"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		response.write "<option value=xx>" & wc_No_Customers_Found & "</option>"
	Else
		response.write "<option value=>" & wc_Select_One & "</option>"

		Do While rstemp.EOF <> True
			FixedCustomerID = Trim(rstemp("Customer_ID"))
			response.write "<option value=""" & FixedCustomerID & """>" & rstemp("customer_ID") & "</option>" & chr(10) & chr(13)
			rstemp.MoveNext
		Loop

		response.write "</select></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
 End If




   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window




%>




</td>
</tr>
</table>


<table cellspacing=0 cellpadding=0><tr><td height=10></td></tr></table>



<table align=center>
<tr>
<td >
<input type=image name=b_get src=/<%=WCLanguageDirectory%>/ts_open_case30x100.gif border=0>
</td>

<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>

<td>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>


</td>
</tr>
</table>


</form>
</body>
</html>


<% End If ' End of IF Valid User %>


