<% 'Module: NewCustomer.asp

   'Description: This module is the Email List registration
   ' module that is used to create new or update existing
   ' customer registration information.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/27/00	SAV		Created original Registration Page
   '6/28/01	SAV		Added feature for customers to select super access rights
   '03/21/12CMB      Removed 'no user categories found' option in user categories box. whenthis is selected causes problems

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Information%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>


<% ' First check to see if we displaying a New customer form
	' or an existing customer.  This page can be called like:
	' EmailListReg.asp?ID=XXXXXXX   (customer update)
	'   OR
	' EmailListReg.asp    (New Customer)

	Customer_ID = Request.querystring("ID")

	If Customer_ID <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Customers where Customer_ID ='" & Customer_ID & "'"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

	Else
		Customer_Password = rstemp2("customer_password")
		Realpassword = Customer_password
		' Note: We donot want to display the password in the HTML form
		' so we will put in (5) Stars as the default.

		'If they edit it, it will then be encoded and saved.

		Customer_Password = "*****"


		contact_fname = rstemp2("contact_fname")
		contact_lname = rstemp2("contact_lname")
		company = rstemp2("company")
		address = rstemp2("address")
		mailstop = rstemp2("mailstop")
		city = rstemp2("city")
		state = rstemp2("state")
		Zip = rstemp2("Zip")
		Country = rstemp2("Country")
		email = rstemp2("email")
		phone1 = rstemp2("phone1")
		phone2 = rstemp2("phone2")
		fax = rstemp2("fax")
		contact_method = rstemp2("contact_method")
		contact_times = rstemp2("contact_times")
		customer_username = rstemp2("customer_username")
		ViewEmailCategoryID = rstemp2("ViewEmailCategoryID")

		company_id = rstemp2("company_id")
		auto_update = rstemp2("auto_update")
		SendTXTNotifications = rstemp2("SendTXTNotifications")

		login_ip =rstemp2("login_ip") ' This field is used flag whether to display time and billing
		'record info on customer page

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


		' Check to see there are any assets assigned to this customer
		If CInt(Assets_Db) = 1 then

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="select * from AssetAssignment where Customer_ID = '" & Customer_ID & "'"

			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				AssignedAsset = "None"
			Else
				AssignedAsset = rstemp2("Asset_number")

			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

		End IF ' End if Asset_db = 1

	End If ' End of If Customer_ID <> ""

%>

<% ' Display the Registration Form
%>

	<form action=DoNewCustomer.asp  name="myform" method=post>

	<% If customer_ID <> "" Then %>
		<input type=hidden name=customer_id value="<%=customer_ID%>">
	<% End if ' End if customer_id <> ""%>

<P>
<center>
<Table class=BGWrapper >
<tr>
<td width=30% align=center valign=center class=majorscreentitlefixed>



<%=wc_Customer_Information%>
</td>
<td width=30% align=center valign=center  class=MajorScreenTitleValue>
<font  color=red>


<% If Customer_ID = "" Then %>
<%=wc_New_Customer%>
<%Else %>
<%=Customer_ID%>
<%End  IF %>

</td>

<% ' Add new section to manage companies %>


<td width=40% align=center valign=center class=majorscreentitlefixed>



<a href=TManage_Companies.asp>Manage Company Records</a>

</td>


</tr></table>



<table><tr><td height=5></td></tr></table><!--- little spacer -->



<% ' First display all of the information very condensed at the top and then
	' put the form elements with data at the bottom for updating
	' only if we have a current record

%>

<% If Customer_ID <> "" Then %>

<center>
<%
indent=10
cardbackground = "aliceblue"
addr_string = Address
if Mailstop <> "" then addr_string = addr_string & ", " & Mailstop
city_string = City
if state <> "" then city_string = city_string & ", " & state
if zip <> "" then city_string = city_string & " " & zip
if country <> "" then city_string = city_string & ", " & country


%>
<table class=BusinessCardWrapper cellpadding=0 cellspacing=0 border=0>
   <tr><td>
       <Table cellspacing=0 cellpadding=0>



		<tr>
			<td  align=left class=BusinessCardTitle colspan=2><%=Contact_fname%>&nbsp;<%=Contact_lname%>&nbsp;&nbsp;</td>
			<td bgcolor=<%=cardbackground%> align=right  class=BusinessCardlabel ><%=wc_Phone1%>:&nbsp;</td> <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall >   <%=Phone1%></td>
		</tr>
		<tr>
		    <td width=<%=indent%></td>
			<td  align=left class=BusinessCardText><%=Company%>&nbsp;&nbsp;</td>
			<td bgcolor=<%=cardbackground%> align=right  class=BusinessCardlabel ><%=wc_Phone2_Cell%>:&nbsp;</td> <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall >   <%=Phone2%></td>
	    </tr>
	    <tr>
	        <td width=<%=indent%></td>
			<td  align=left class=BusinessCardTextsmall ><%=addr_string%>&nbsp;&nbsp;</td>
			<td bgcolor=<%=cardbackground%> align=right  class=BusinessCardlabel ><%=wc_Contact_Method%>:&nbsp;</td> <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall >   <%=Contact_Method%></td>
		</tr>
		<tr>
		    <td width=<%=indent%></td>
			<td  align=left class=BusinessCardTextsmall><%=city_string%>&nbsp;&nbsp;</td>
			<%	If CInt(Assets_Db) = 1 then		 ' Display this only if assets is enabled %>
					<td  bgcolor=<%=cardbackground%>  align=right class=BusinessCardlabel >&nbsp;&nbsp;Customer Assets:&nbsp;</td>
					   <% If AssignedAsset = "None" Then %>
					       <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall ><%=AssignedAsset%></td>
					   <%else %>
					       <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall ><a href=DoAssets.asp?Customer_ID=<%=Customer_ID%>>View Assets</a></td>
					   <%End If %>
			<% End if ' End if assets_db = 1 %>
		</tr>
		<tr>
		    <td width=<%=indent%></td>
			<td align=left  class=BusinessCardTextsmall ><a href=mailto:<%=email%>><%=Email%></a>&nbsp;&nbsp;</td>
			<td  bgcolor=<%=cardbackground%> align=right class=BusinessCardlabel >Notes:&nbsp;</td> <td bgcolor=<%=cardbackground%> class=BusinessCardTextSmall >  <%=Contact_Times%></td>
		</tr>




		<% ' Now display any contact notes if they exist
				If Customer_ID <> "" Then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN

					mySQL2="select * from CustomerNotes where Customer_ID = '" & Customer_ID & "'"

					set rstemp2=conntemp.execute(mySQL2)
					If rstemp2.EOF = True then ' Notes not set for this customer
				%>


					<%else ' Set for this customer so add selected
						NoteText = rstemp2("ContactNotes")

						'now chop off the trailing <p> as wasting space on the screen
						lambda = Len(NoteText)
						If Lambda > 4 then
					    	lambda = Lambda - 3
						End If
						If isNull(Lambda) Then
						  NoteText = ""
						else
						  NoteText = Left(NoteText, Lambda)
						end if

                        NoteText = Replace(NoteText,vbCRLF,"<br>")

						' Get these 10 text notes
						TextNote1 = rstemp2("TextNote1")
						TextNote2 = rstemp2("TextNote2")
						TextNote3 = rstemp2("TextNote3")
						TextNote4 = rstemp2("TextNote4")
						TextNote5 = rstemp2("TextNote5")
						TextNote6 = rstemp2("TextNote6")
						TextNote7 = rstemp2("TextNote7")
						TextNote8 = rstemp2("TextNote8")
						TextNote9 = rstemp2("TextNote9")
						TextNote10 = rstemp2("TextNote10")


					%>

					<!--- little spacer -->

        <tr><td height=5 colspan=2 ></td><td height=5 colspan=2 bgcolor=<%=cardbackground%> ></td></tr>
        <tr>
		<td  colspan = 4  align=left class=BoxBodyText bgcolor=<%=cardbackground%> ><%=NoteText%></td>
		</tr>
					<%End If %>

			<%
					' Close this record set
					rstemp2.Close ' Close this record set
				conntemp.close ' Close the connection
				set conntemp=nothing

			End If ' End of if Customer_ID <> ""
			%>

	</td>
	</tr>
  </table>

</table>

<% End If ' End if Customer_ID <> "" %>


<table><tr><td height=5></td></tr></table><!--- little spacer -->
<table  width=100%>
<tr><td class=outerformwrapper> <!---- start of overall form wrapper -->
  <table width=100% ><!-- contains left and right cells -->
   <tr>
     <td valign=top><!-- start left cell -->

        <center>
        <table  class=InnerformWrapper width=100%>
        <!-- <tr><td colspan=3>here is the beginning left</td></tr> -->
         <tr>
            <td  class=MinorFormTitle colspan=3 align=center><%=wc_Customer_Contact_information%></td>
            <input type=hidden name=company_id value="<%=company_id%>"
        </tr>
        <tr>
        <td  class=formlabel align=right><%=wc_First_Name%>:</td>
        <td  class=formboxholder align=left colspan=2><input type=text name=contact_fname size=20 maxlength=40 value="<%=contact_fname%>"></td></tr>
        <tr>
        <td    class=formlabel align=right><%=wc_Last_Name%>:</td>
        <td   class=formboxholder  align=left colspan=2><font size=-1 ><input type=text name=contact_lname size=20 maxlength=40 value="<%=contact_lname%>"></td></tr>


        <tr>
			<td   class=formlabel  align=right><%=wc_Company%>:</td>
			<td   class=formboxholder  colspan=2 align=left valign=top>
			    <input size=25 name=company maxlength=50 value = "<%= company %>">&nbsp;<font color=red>&equiv;</font>&nbsp; &nbsp;
				<a href='javascript:var w=window.open("Company_Field_Assist2.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
				<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <span class=tinyprint><%=wc_Find_Company%></span>
			</td>
		</tr>



        <tr>
			<td  class=formlabel align=right><%=wc_Address%>:</td>
			<td  class=formboxholder align=left><font size=-1 ><input type=text name=address size=25 maxlength=50 value="<%=address%>">&nbsp;<font color=red>&equiv;</font></td>
			<td rowspan=3 align=left  class=FormBoxWrapper>
				 <Table align=left width=100% height=100% cellpadding=4 cellspacing=0 border=0>
					  <tr>
						  <td class=formboxholder colspan=2 align=center>Synch&nbsp;<font color=red>&equiv;</font> Fields?</td>
					  </tr>
					  <tr>
						  <td class=formboxholder>&nbsp;&nbsp;<input type=radio  name=auto_update value="N"
						      <% if auto_update <> "Y" then response.write " checked " %>
						       >&nbsp;No</td>
						   <td rowspan=2 >
						   		<a href='javascript:var w=window.open("Company_Field_Assist_Help.asp","subwindow77","width=500,height=650,screenX=500,screenY=50,left=500,top=50,scrollbars=yes,resizable=yes")'>
						        <img src="/<%=WCLanguageDirectory%>/Small_Help.gif" border=0></a>
						    </td>
					  </tr>
					  <tr>
						  <td class=formboxholder>&nbsp;&nbsp;<input type=radio  name=auto_update value="Y"
						      <% if auto_update = "Y" then response.write " checked " %>
						      >&nbsp;Yes</td>
					  </tr>
				 </table>



			</td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Mailstop%>:</td>
        <td  class=formboxholder  align=left><font size=-1 ><input type=text name=mailstop size=25 maxlength=50 value="<%=mailstop%>">&nbsp;<font color=red>&equiv;</font></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_City%>:</td>
        <td  class=formboxholder   align=left><font size=-1 ><input type=text name=city size=25 maxlength=50 value="<%=city%>">&nbsp;<font color=red>&equiv;</font></td>
		</tr>

        <tr>
        <td class=formlabel align=right><%=wc_State%>:</td>
        <td  class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=State size=15 maxlength=50 value="<%=State%>">&nbsp;<font color=red>&equiv;</font></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Zipcode%>:</td>
        <td  class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=Zip size=15 maxlength=50 value="<%=Zip%>">&nbsp;<font color=red>&equiv;</font></td>
		</tr>

        <tr>
        <td class=formlabel align=right><%=wc_Country%>:</td>
        <td  class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=country size=15 maxlength=50 value="<%=Country%>">&nbsp;<font color=red>&equiv;</font></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Phone1%>:</td>
        <td  class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=phone1 size=15 maxlength=20 value="<%=phone1%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Phone2%>:</td>
        <td  class=formboxholder  colspan=1 align=left><font size=-1 ><input type=text name=phone2 size=15 maxlength=20 value="<%=phone2%>"></td>
<td  class=formlabel align=left >

<% If Version8point0 = "YES" Then
		If SendTXTNotifications Then
			SendTXTNotificationsFlag = "CHECKED"
		End IF

%>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=checkbox name=SendTXTNotifications value="YES" <%=SendTxtNotificationsFlag%> DISABLED> Send TXT Msg for Case Updates


<%End If %>
        </td>
		</tr>

        <tr>
        <td class=formlabel align=right><%=wc_Fax%>:</td>
        <td class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=fax size=15 maxlength=50 value="<%=fax%>"></td>
		</tr>



        <tr>
        <td    class=formlabel align=right><%=wc_Email%>:</td>
        <td  class=formboxholder  align=left colspan=2><font size=-1 ><input type=text name=email size=30 maxlength=80 value="<%=email%>"></td>
		</tr>

		<!-- <tr><td colspan=3>here  is the end of left ttable</td></tr> -->

   </table>

<table align=center >
    <tr>
      <td height=5></td>
    </tr>

	<tr>



		<%if CInt(tech_level) > 2 Then %>
                 <td  align=center>
				<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
                </td>
                <td width=50</td>
		<% End If %>

		       <td   align=center width=50% valign=top>
		           <a href="status.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		       </td>
   </tr>


</table>

<table cellpadding=0 cellspacing=0><!-- just a little vertical spacer -->
<tr><td height=5></td></tr>
</table>

<table  class=InnerformWrapper width=100%>
   <tr><td  class=MinorFormTitle  align=center><%=wc_New_Contact_Notes%></td></tr>
   <tr><td  class=formboxholder   align=center><textarea name=notes rows=8 cols=58 wrap=on></textarea></td></tr>

</table>




</td> <!-- end of left cell -->

<td width=2></td> <!-- spacer between left and right cells -->

<td valign=top>   <!-- start of right cell -->


<table  class=InnerformWrapper width=100%>
       <!-- <tr><td colspan=3>hier is het start</td></tr> -->
        <tr><td  class=MinorFormTitle colspan=3 align=center><%=wc_Customer_Attribute_information%></td></tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Username_Login%>:</td>
        <td  class=formboxholder  colspan=2 align=left><font size=-1 ><input type=text name=customer_username  size=20 maxlength=20 value="<%=customer_username%>" DISABLED></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Password%>:</td>
        <td class=formboxholder  colspan=2 align=left><font size=-1 ><input type=password name=customer_password size=20 maxlength=20 value="<%=customer_password%>" DISABLED></td>
		</tr>


        <tr>
        <td    class=formlabel  align=right valign=top>
		<%=wc_User_Groups%>
		</td>
        <td  class=formboxholder  align=left>
		<select name=emailUserCategory size=4 multiple DISABLED>
		<option value="">None or Un-select</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		' COMMENTED THIS OUT - was causing problems 03/21/12 response.write "<Option>No categories found</option>"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any Categories already defined
		If Customer_ID <> "" Then
			mySQL2="select * from EmailCategoryLinks where Customer_ID = '" & Customer_ID & "' AND EmailCategoryID = " & rstemp("EmailCategoryID")

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("EmailCategoryID")%>>
				<%=rstemp("EmailCategory")%>
				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("EmailCategoryID")%> SELECTED>
				<%=rstemp("EmailCategory")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("EmailCategoryID")%>>
		<%=rstemp("EmailCategory")%>
		</option>

			<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

	<%' Contact Management Assignments %>
        <tr>
        <td   class=formlabel  align=right valign=top>
		<%=wc_Assigned_To%>
		:
		</td>
        <td  class=formboxholder align=left>
		<select name=customerTechAssignment size=4 multiple DISABLED>
		<option value="">Nobody or Un-select</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No categories found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Customer_ID <> "" Then
			mySQL2="select * from CustomerTechAssignment where Customer_ID = '" & Customer_ID & "' AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("tech_ID")%>>
				<%=rstemp("First_Name")%> <%=rstemp("Last_Name")%>
		</option>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>


<% ' Display Super customer user option to view ALL User Group cases %>

        <tr>
        <td   class=formlabel  align=right valign=top>
		User Group Read Access:
		</td>
        <td   class=formboxholder  align=left>
		<select name=ViewemailCategoryID size=1 DISABLED>
		<option value="">None or Un-select</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No categories found"
	Else

		Do While rstemp.EOF <> True

			If ViewEmailCategoryID = rstemp("EmailCategoryID") then ' Category set for this group
		%>
				<Option value=<%=rstemp("EmailCategoryID")%> SELECTED>
				<%=rstemp("EmailCategory")%>
				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("EmailCategoryID")%> >
				<%=rstemp("EmailCategory")%>
				</option>

			<%End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>




        <tr>
        <td   class=formlabel  align=right><%=wc_Deleted_From_Email_List%>:</td>

		<% ' Display if Deleted Email List is selected for existing customer
				If Customer_ID <> "" Then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN

					mySQL2="select * from DeleteList where Customer_ID = '" & Customer_ID & "'"

					'response.write "MySQL=" & mySQL2

					set rstemp2=conntemp.execute(mySQL2)
					If rstemp2.EOF = True then ' Delete Option not set for this customer
				%>
        <td  class=formboxholder align=left>
		<input type=checkbox name=DeletedFromLists value=YES DISABLED> YES</td>

					<%else ' Set for this customer so add selected %>

        <td  class=formboxholder align=left>
		<input type=checkbox name=DeletedFromLists value=YES CHECKED DISABLED>YES</td>
					<%End If %>

			<%
					' Close this record set
					rstemp2.Close ' Close this record set

			conntemp.close ' Close the connection
			set conntemp=nothing
			Else ' If Customer_ID = ""
	%>
        <td  class=formboxholder align=left>
			<input type=checkbox name=DeletedFromLists value=YES DISABLED>YES</td>
	<%
			End If ' End of if Customer_ID <> ""
	%>

		</tr>


	<% ' New option to select whether this customer will allow time spent records to be displayed and
		' and authorized in the Customer+center application
	%>

        <tr>
        <td   class=formlabel  align=right>Time and Billing Record:</td>




        <td  class=formboxholder align=left>

        <Select name=TimeAndBilling size=1 DISABLED>

		<% ' Most customer records will not have anything in this field so we need to have an blank/null option)
		%>


		<% IF (login_ip = "") Or (Login_ip = NULL) Then %>
		<option value="" SELECTED>No Views Defined</option>
		<% Else %>
		<option value="">No Views Defined</option>
		<% End If %>




		<% IF login_ip = "CUSTOMERTECHVIEWAT" Then %>
		<option value="CUSTOMERTECHVIEWAT" SELECTED>Customer Auhorize and Tech View</option>
		<% Else %>
		<option value="CUSTOMERTECHVIEWAT">Customer Authorize and Tech View</option>
		<% End If %>



		<% IF login_ip = "CUSTOMERTECHVIEW" Then %>
		<option value="CUSTOMERTECHVIEW" SELECTED>Customer and Tech View</option>
		<% Else %>
		<option value="CUSTOMERTECHVIEW">Customer and Tech View</option>
		<% End If %>

		<% IF login_ip = "TECHVIEWONLY" Then %>
		<option value="TECHVIEWONLY" SELECTED>Tech View Only</option>
		<% Else %>
		<option value="TECHVIEWONLY">Tech View Only</option>
		<% End If %>



		</select>
		</td>
		</tr>



        <tr>
        <td  class=formlabel align=right valign=top><%=wc_Contact_Method%>:</td>
        <td  class=formboxholder  colspan=2 align=left valign=top><font size=-1 >
		<select name=contact_method size=1 DISABLED>

		<% If Contact_Method = "Email" Or Contact_Method = "" Then%>
			<option selected>Email</option>
		<% Else %>
			<option>Email</option>
		<% End If %>

		<% If Contact_Method = "Phone" Then%>
			<option selected>Phone</option>
		<% Else %>
			<option>Phone</option>
		<% End if %>

		<% If Contact_Method = "Fax" Then	%>
			<option selected>Fax</option>
		<% Else %>
			<option>Fax</option>
		<% End If %>

		</select>

		</td>
		</tr>
        <tr>
        <td  class=formlabel align=right><%=wc_Contact_Preferences%>:</td>
		<td  class=formboxholder  colspan=2 align=left><textarea name=contact_times rows=3 cols=35 wrap=on><%=Contact_Times%></textarea></td>
		</tr>




		 <tr><td  class=MinorFormTitle colspan=3 align=center><%=wc_Optional_Information_Fields%></td></tr>



	<% ' Call to display the optional text boxes and their values %>

	<%	DisplayOptionalTextBoxes(Customer_ID) %>



		<!-- <tr><td>hier is het eind</td></tr> -->
	</table>



</td> <!-- end of right cell -->
</tr>



</table> <!-- end of table containing a left and a right cell -->



		</center>


</form>

</tr></td></table> <!-- end of form wrapper table -->
</body>
</html>

<% End If ' End if IF valid user%>




<% Sub DisplayOptionalTextBoxes(Customer_ID)

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		If Customer_ID <> "" Then ' Attempt to get customer optional field values

			set conntemp2=server.createobject("adodb.connection")
			conntemp2.open myDSN

			mySQL2="select * from CustomerNotes where Customer_ID = '" & Customer_ID & "'"

			set rstemp2=conntemp2.execute(mySQL2)

			' Keep this record set open for the loop below
		End IF


		mySQL="select * from BConfiguration" ' There should only be one row in this table

		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see configuration row created yet
			'WhiteBoardContents = " White Board Not yet configured"
		Else ' row found in BConfiguration table

			for i = 1 to 10
				Enableflag = "Box" & i & "Enabled"
				TextColumn = "Box" & i & "Label"

				If CBool(rstemp(EnableFlag)) = True THEN ' Display text column
			%>
			<tr>
			<td   class=formlabel align=right>

			<%
				rstemp.movefirst
			Response.write  rstemp(TextColumn)
			%>

			:</td>

			<% ' Get the value for this customer
			ColumnName = "TextNote" & i
			If Customer_ID <> "" Then ' Attempt to get customer optional field values
				If rstemp2.EOF <> True Then
					Value = rstemp2(ColumnName)
				End IF

				Else
				Value = ""
			End IF
			%>

			<td   class=formboxholder align=left><input type=text name=<%=ColumnName%> size=25 maxlength=50 value="<%=Value%>"></td>
			</tr>
			<%
				End IF
			next
		End If

		rstemp.close
		set rstemp=nothing

		If Customer_ID <> "" Then

			rstemp2.Close ' Close this record set
			Set rstemp2 = Nothing

			conntemp2.close ' Close the connection
			set conntemp2=nothing

		End IF

		conntemp.close ' Close the connection
		set conntemp=nothing


	End Sub
%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
