<% 'Module: PDAcustomers.asp

   'Description: This module gives info on how to use
   ' the PDA export functions.
   
   
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
	'01/23/01	SAV	Created original PDAInstructions.asp
	

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>



<% ' Put all of your custom web site changes into BCHeader.inc %>


<html
<head>
<title>PDA Export Instructions</title>
</head>
<body bgcolor=FFFFFF>


<Center>
<table border=1 width=90% cellpadding=4 cellspacing=4>
<tr><td align=center>
<font face=arial>Exporting Customer/Tech Staff Information</font>
</td></tr>
</table>
</center>
<P>

<center>
<img src=PDA.GIF>
</center>

<center>
<table width=80%>
<tr><td>
<font size=-1 face=arial>

<B>How to Export selected or all customers</B><P>

<font color=brown>Step 1: Export customer information to a TAB delimited file. </font>
<UL>
<LI> Press the Get Customer Button
<LI> Press the Export Search Link
<LI> Enter any appropriate search criteria (User Groups, assignments, company, first or last names, etc) OR
<LI> Do Not Enter any search criteria if you wish to export all customer records
<LI> Select the appropriate Export File Type (Defaults to MS Outlook Tab Delimited Type)
<LI> Select one of the existing categories for the address book category or enter a new address book 
in the text below the choice list. <br>

<LI> Press the Submit Button.  
<LI> It will ask whether to Save or Open the file.  Select the Save Option
<LI> In the Save As window, name the file as *.txt since we are creating a text based TAB delimited file.

</ul>

<font color=brown>Step 2: Import the TAB file into MS Outlook </font>

<UL>

<LI> Now launch MS Outlook application
<LI> Click on the Contacts icon.
<LI> Select the File... Import and Export ...  Option menu option.
<LI> Select the option (Import from another program or file)
<LI> Press the Next > button.
<LI> Select the Tab Separated Values (Windows) as the file type to export form.
<LI> Navigate to your file.  It may have saved the file as *.txt.asp since some
browsers will default to *.asp since the original script was called "asp".  You
should rename the file *.txt if the file has the extension *.asp.
<LI> Select other import options as needed.
<LI> Press Next
<LI> The selected customers should now be imported into your address book with category information.

</ul>

<font color=brown>Step 3: Hot Sync with your Palm Pilot </font>

<LI>

<LI> Connect your computer and your Palm with your HotSync cable or cradle.
<LI> Press the HotSync button to transfer changed or new address book entries.
</ul>
<P>

<B>How to Export your Staff/Tech Staff Database</B><P>

<font color=brown>Step 1: Export Tech Staff Information to a TAB Delimited Text File.</font>

<UL>
<LI> Press the Other Cases Button.
<LI> Press the Export Tech Staff Information Link located at the bottom of the page.
<LI> First Select whether you want to Export <I>All Records</i> or a particular support group.
<LI> Select the File Output format.  To view in your browser window what will be output,
select the Comma Delimted To Screen option.  To output a TAB Delimited Outlook compatible
file, select the Outlook Address Book option.
<LI> Choose an Address Book category or enter a new category for the tech staff records you are exporting.
<LI> Press the Submit Button.
<LI> It will ask whether to Save or Open the file.  Select the Save Option
<LI> In the Save As window, select the file type as All Files and save
the file as *.txt file somewhere on your local machine.
</uL>


<font color=brown>Step 2: Import the TAB file into MS Outlook Task</font>

<UL>

<LI> Now launch MS Outlook application
<LI> Click on the <i>Contacts</i> icon.
<LI> Select the <I>File... Import and Export ...</i> Menu options.
<LI> In the Import and Export Wizard, select the <I>Import from another program or File </i> option
<LI> Press the Next  button.
<LI> Select the file type to import from as <I>Tab Separated Values (Windows)</i>.  This option may be
at the bottom of the list.
<LI> Press Next button.
<LI> Press the Browse button to navigate to the file (*.txt) file you created in Step 1. 
<LI> (Optional) Select any addition import options (Replace duplicates, etc) as needed
<LI> Press Next
<LI> When it ask to select a destination folder, the Tasks folder should already be selected.  Select
this folder if it is not already selected.
<LI> Press Next
<LI> On the final screen, one can optionally review the import mappings.
<LI> Press the Finish button to import your Open Cases to Outlook Task List.

</ul>

<font color=brown>Step 3: Hot Sync with your Palm Pilot </font>

<UL>


<LI> Connect your computer and your Palm with your HotSync cable or cradle.
<LI> Press the HotSync button to transfer changed or new address book entries.
</ul>
<P>


</font>

</td></tr>
</table>


</body>
</html>

