<% 'Module: PerformInspection.asp

   'Description: This module is invoked for a single asset inspection for a single case ticket from
   ' the inspection button.
   'When originaly invoked it is passed the case_number via ID parameter on the URL, then
   ' it contains a form with a button that can cause it to loop on itself allowing it
   ' to update the Pnotes for this case number
   ' It also expects a parameter called "mode" which can be either "Show", "Update", "Clear" or "Confirm"
   ' which drives the mainline logic to perform the relevant action


   '(C) 2000,2001, 2002 2003, 2004, 2006 - 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '8/30/2006	JC		Created original module
   '01/19/2011	SAV		Created PerformINspection.asp module
    '04/12/2011 CMB     Added trim to notes because was adding weird characters
    '01/05/2012  CMB    Multiple inspections for each case/asset.  fixed bug where not putting in proper tech id
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% if request.querystring("Mode") = "Close" Then %>
<SCRIPT language="javascript">
    window.close();
</SCRIPT>
<% end if %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>

<html>
<head>
	<title>Perform Asset Inspections</title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>
<body class=rightwindow>
<%


If request.querystring("ID") <> "" Then '
	 case_number = request.querystring("ID")
	 Asset_number  = request.querystring("Asset")
	' RESPONSE.WRITE "ASSET" & asset_Number
	' response.flush
	' response.end

	 mode = request.querystring("Mode")
else
		case_number = request.form("case_number")
	  If request.form("update.y") <> "" then
		 mode="Update"
	  end if
	  If request.form("clear.y") <> "" then
		 mode="Clear"
	  end if
	  If request.form("confirm.y") <> "" then
		 mode="Confirm"
	  end if

end if

%>
  <center>

	<Table  class=BGWrapper><tr><td>
	<div class=MajorScreenTitleFixed>
	 Perform Asset Inspections For Case Number <%=Case_number%> with Asset <%=Asset_Number%>

	</div>
	</tr></td></table>
	</center>

<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

if Mode = "Show" then
  read_display case_number,mode
end if

if Mode = "Update" Then
   ' first make sure there is a record to be updated

   Case_Number = Request.form("Case_Number")

	' A hidden form element will have a list of the asset number that we will use to
	' find the other form elements.

For i = 1 To Request.Form("Asset_Number").Count
	' Debugging
'	Response.Write Request.Form("Asset_number")(i) & "<br>"
		Asset_Number = Request.Form("Asset_number")(i)

	'Now get all of the form fields for status, date, time, tech and notes

	FormName = "InspectionStatus" &  Asset_Number
		InspectionStatus = Request.form(Formname)

	FormName = "InspectionDate" & Asset_Number
		InspectionDate = Request.form(Formname)

	FormName = "InspectionTime" & Asset_Number
		Inspectiontime = Request.form(Formname)

	FormName = "Tech_ID" & Asset_Number
		Tech_ID = Request.form(Formname)

	FormName = "Notes" & Asset_Number
		Notes = Trim(Request.form(Formname))   '04/13/2011 CMB added trim


' Now insert the value into the database

	Set Conn5 = Server.CreateObject("ADODB.Connection")
	conn5.open  myDSN

	' Check to see if asset_number exists then this is an update ' 01/04/12 NOT ANYMORE -- always an insert!


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Inspection where Case_number = " & Case_number & " AND Asset_Number = " & Asset_Number
			'response.write SQL

			NewRecord.Open SQL,Conn5,3,3

		'	If NewRecord.EOF = True  THEN ' 01/04/12 NOT ANYMORE!
				NewRecord.AddNew  ' This will create  a new record if it doesn't exist ' 01/04/12 ALWAYS CREATE A NEW RECORD

		'	End IF ' 01/04/12 NOT ANYMORE!

			' Set all of the variables the same for either new/update

			NewRecord("Case_number") = Case_number

			NewRecord("Asset_Number") = Asset_Number

			NewRecord("InspectionDate") = CDate(InspectionDate)

			NewRecord("InspectionTime") = InspectionTime

			NewRecord("InspectionStatusIndex") = InspectionStatus

			NewRecord("Tech_ID") = Tech_ID

			NewRecord("InspectionNotes") = Notes

			NewRecord.Update


	'If  err.number>0 then
	'      response.write "VBScript Errors Occured:" & "<P>"
	'      response.write "Error Number=" & err.number & "<P>"
	'     response.write "Error Descr.=" & err.description & "<P>"
	'      response.write "Help Context=" & err.helpcontext & "<P>"
	'      response.write "Help Path=" & err.helppath & "<P>"
	'      response.write "Native Error=" & err.nativeerror & "<P>"
	'      response.write "Source=" & err.source & "<P>"
	'      response.write "SQLState=" & err.sqlstate & "<P>"
	'else
	'      response.write "No VBScript Errors Occured" & "<P>"
	'end if
	'IF  conn.errors.count> 0 then
	'      response.write "Database Errors Occured" & "<P>"
	'for counter= 0 to conn.errors.count
	'      response.write "Error #" & conn.errors(counter).number & "<P>"
	'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	'next
	'else
	''      response.write "No Database Errors Occured!" & "<P>"
	'end if


	NewRecord.Close

	Conn5.Close

	Set NewRecord = Nothing


Next

   mySQL="select * from Pnotes WHERE Case_number =" & case_number
  ' response.write "Mysql is " & mysql & "<P>"
 '  response.flush
 '  response.end

   set rstemp=conntemp.execute(mySQL)
   if rstemp.eof then
	   MySQL = "INSERT into Pnotes (Case_Number) values (" & case_number & ")"
	  ' response.write "INSerting viz " & Mysql & "<P>"
   'response.flush
   'response.end
	   set rstemp=conntemp.execute(mySQL)
   end if
   Pnote_text = request.form("Pnote")
   If Pnote_text = "" then ' protect against updating with zero length string - if user tries to do this we just delete the record
	   mysql = "DELETE from Pnotes Where Case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   else
      Pnote_text = Replace(Pnote_text,"'","''")   ' protect aginst embedded apostrphes
	   mysql = "UPDATE Pnotes SET Pnote = '" & Pnote_text & "' WHERE case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   end if
   read_display case_number,mode
end if



if Mode = "Confirm" then
  mysql = "DELETE from Pnotes Where Case_number =" & case_number
  set rstemp=conntemp.execute(mySQL)

  response.write "Deleted<p>"
%>

<SCRIPT language="javascript">
    window.close();
</SCRIPT>

<%
end if

%>


<%
Dim Computer_ID
Dim Propery_Tag
Dim Equipment_Type

Sub Read_display(this_case,this_mode)
	mySQL = "SELECT assets.asset_number, assets.computer_id, assets.property_tag, assets.equipment_type FROM assets ":
	mySQL = mySQL & " where  Assets.Asset_Number = " & Asset_Number


		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3

	If NOT rstemp.eof then ' Check to see any Groups exist
		Computer_ID = rstemp("Computer_ID")
		property_tag = rstemp("Property_tag")
		Equipment_Type = rstemp("Equipment_Type")

	End If
	rstemp.close
	set rstemp = nothing

%>
<center>
<p>
<form action=PerformSingleInspection.asp METHOD=POST name=myform>

<input type=hidden name="Case_number" value = "<%=Case_Number%>">

<table cellspacing=0 cellpadding=0>
<tr>
   <td class=outerformwrapper align=center>
		  <table cellspacing=0 cellpadding=0>
			<tr>
			  <td>

		<table border=1>
		<tr>
		 <td bgcolor=white><span class=tinyprint>Asset<br>Number</span>
		</td>


		 <td bgcolor=white><span class=tinyprint>Barcode<br>Label</span>
		</td>

		 <td  bgcolor=white><span class=tinyprint>Asset<br>Description</span>
		</td>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Status</span>
		</td>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Date</span>
		</td>

		 <td bgcolor=white><span class=tinyprint>Inspection<br>Time</span>
		</td>

		 <td bgcolor=white><span class=tinyprint><br>Techician</span>
		</td>

		 <td bgcolor=white><span class=tinyprint><br>Notes</span>
		</td>
		</tr>

<%

		' First we need to see if there are any inspection completed for any of the assets already and
		' if so, fill those in other set the default values

		' To do, we pass the case_number and the asset_number and see if there an inspection with those keys
		' and if so then return the information.

		'mySQL3 = "SELECT Top 1 InspectionStatus.InspectionStatus, Inspection.InspectionDate, Inspection.InspectionTime, Inspection.InspectionNotes, Inspection.Tech_ID, tech_staff.last_name, tech_staff.first_name, Inspection.InspectionStatusIndex FROM (Inspection INNER JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex) INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id "
		mySQL3 = "SELECT InspectionStatus.InspectionStatus, Inspection.InspectionDate, Inspection.InspectionTime, Inspection.InspectionNotes, Inspection.Tech_ID, tech_staff.last_name, tech_staff.first_name, Inspection.InspectionStatusIndex FROM (Inspection INNER JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex) INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id "

		WhereString = " WHERE Inspection.Case_Number = " & Case_Number & " AND Inspection.Asset_Number = " & Asset_Number

		mySQL3 = mySQL3 & WhereString & " Order by InspectionDate DESC, InspectionTime DESC, inspectionindex DESC"  ' 01/04/12 CMB

		'response.write "mySQL3 = " & mySQL3


		set rstemp3 = server.createobject("adodb.recordset")
		rstemp3.open mySQL3, conntemp, 1,3

			' default values

			if not rstemp3.eof then
				InspectionStatusIndex = rstemp3("InspectionStatusIndex")
				InspectionStatus = rstemp3("InspectionStatus")
				InspectionTechID = cookid_id  'rstemp3("Tech_ID") or use cookie
			else
				InspectionStatusIndex = ""
				InspectionStatus = ""
				InspectionTechID = ""
				InspectionTechName = ""
			end if

			InspectionDate = Month(Now) & "/" & Day(Now) & "/" & Year(Now)
			InspectionTime = Hour(Now) & ":" & Minute(Now)
			InspectionNotes = ""
%>

		<tr>
		<td>
		<span class=plaintext color="FFFFFF">
		<%=Asset_Number%>
		<input type=hidden name="Asset_Number" value = "<%=Asset_Number%>">
		</span>
		</td>

		<td>
		<span class=plaintext color="FFFFFF">
		<%=Property_Tag %>
		</span>
		</td>

		<td>
		<span class=plaintext color="FFFFFF">
		<%=Computer_ID %>
		</span>
		</td>

		<td>
		<span class=formboxholder>

<% ' Get all of the status values from the database and loop thru FILL STATUS BOX

		mySQL5 = "Select * From InspectionStatus"

		set rstemp5 = server.createobject("adodb.recordset")
		rstemp5.open mySQL5, conntemp, 1,3

	If  rstemp5.eof then ' Check to see any Groups exist
			Response.write "No Status Values Defined - You must create at least one status value "
			Response.flush
	Else

		response.write "<select name = InspectionStatus" & Asset_Number & " size=1>"

		Do While rstemp5.EOF <> True

				If InspectionStatusIndex = rstemp5("InspectionStatusIndex") then
					response.write "<option value=" & rstemp5("InspectionStatusIndex") & " SELECTED>" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
				Else

					if rstemp5("DefaultStatus") = True AND InspectionStatusIndex = "" Then
						response.write "<option value=" & rstemp5("InspectionStatusIndex") & " SELECTED>" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp5("InspectionStatusIndex") & ">" & rstemp5("InspectionStatus") & "</option>" & chr(10) & chr(13)
					End If

				End If

			rstemp5.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp5.close
	set rstemp5=nothing

 %>


		</span>
		</td>


		<td>
		<span class=formboxholder>

		<input name="InspectionDate<%=Asset_Number%>" size=10 value = "<%=InspectionDate%>">

		</span>
		</td>

		<td>
		<span class=formboxholder>

		<input name="InspectionTime<%=Asset_Number%>" size=10 value = "<%=InspectionTime%>">

		</span>
		</td>


		<td>
		<span class=formboxholder>


<% ' Get all of the status values from the database and loop thru

		mySQL5 = "Select * From Tech_Staff"

		set rstemp5 = server.createobject("adodb.recordset")
		rstemp5.open mySQL5, conntemp, 1,3

	If  rstemp5.eof then ' Check to see any Groups exist
			Response.write "No Tech Staff Found"
			Response.flush


	Else

		response.write "<select name = Tech_ID" & Asset_Number & " size=1>"

		Do While rstemp5.EOF <> True

				If InspectionTechID = rstemp5("Tech_ID") then  ' CMB 01/05/12 TYPO
					response.write "<option value=" & rstemp5("Tech_ID") & " SELECTED>" & rstemp5("First_Name") & " " & rstemp5("Last_Name") & "</option>" & chr(10) & chr(13)
				Else

					response.write "<option value=" & rstemp5("Tech_ID") & ">" & rstemp5("First_Name") & " " & rstemp5("Last_Name") & "</option>" & chr(10) & chr(13)

				End If

			rstemp5.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp5.close
	set rstemp5=nothing

 %>

		</span>
		</td>


		<td>
		<span class=formboxholder>
		<input name=Notes<%=Asset_Number%> size=20 maxlength=100 value="<%=InspectionNotes%>">

		</span>
		</td>
		</tr>

<%

			do while not rstemp3.eof
			%>
				<tr>
				<td><span class=plaintext color="FFFFFF">&nbsp;</span></td>
				<td><span class=plaintext color="FFFFFF">&nbsp;</span></td>
				<td><span class=plaintext color="FFFFFF">&nbsp;</span></td>
				<td><span class=plaintext color="FFFFFF"><%=rstemp3("InspectionStatus")%></span></td>
				<td><span class=plaintext color="FFFFFF"><%=rstemp3("InspectionDate")%></span></td>
				<td><span class=plaintext color="FFFFFF"r><%=rstemp3("InspectionTime")%></span></td>
				<td><span class=plaintext color="FFFFFF"><%=rstemp3("first_Name")%> <%=rstemp3("Last_Name")%></span></td>
				<td><span class=plaintext color="FFFFFF"><%=rstemp3("InspectionNotes")%></span></td>
<%
				rstemp3.movenext
			loop

		rstemp3.close
		set rstemp3 = nothing

		response.write "</table>"
%>

			  </td>
			</tr>
			<tr>
			  <td align=center>
					<% If this_mode = "Update" then %>
					 <span class=tinyprint>(Updated)</span>
					 <% else %>
					 <span class=tinyprint>&nbsp;</span>
					 <% end if %>
			 </td>
			</tr>
			</table>
  </td>
</tr>
<tr><td height=10></td></tr>
<tr><td align=center>
	<% If this_mode = "Clear" then %>
		<input type=image name=confirm src=/<%=WCLanguageDirectory%>/ts_red_delete30x100.gif border=0>
        &nbsp; &nbsp; &nbsp;
        <a href=Pnotes.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% else %>

		<input type=image name=update src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>
		&nbsp; &nbsp; &nbsp;
        <a href=PerformInspection.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% end if %>


</td></tr></table>
</form>
<%

end sub
%>




<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>
