<% 'Module: SystemAdmin.asp

   'Description: This module is the main menu page for Systems Administration


   '(C) 2000, 2001, 2002, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/04/02	 JC		Created original ASP version based on old DLL version
   '10/05/11     CMB    Additional notifications removed if not an option
   '11/19/12    CMB     Changed style for rounded subcategories
   '03/21/14    CMB     Got rid of V7 in title
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<% ' Define if to run License Key DLL or use License Key Verification

'DLLOKAY = "YES"

%>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, ldap_enabled, bAdditionalEmailNotifications %>

<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Permit Maintenance</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<style>
.adminheader  {
			font-family: verdana, arial, helvetica, sans-serif;
			font-size: 14;
			font-weight: bold;
			background-color: lightsteelblue;
			color: black;
		    border-width: 1px;
		    border-style: solid;
		    border-color: black;
		    padding-top: 3px;
		    padding-bottom: 3px;
		    padding-left: 25px;
		    padding-right: 25px;
		    /* added below 11/19/12 */
		border-bottom-left-radius: 8px;
		border-bottom-right-radius: 8px;
		border-top-left-radius: 8px;
		border-top-right-radius: 8px;


                   }
.linkage {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 13;
          color: black;
          font-style: normal;
		}
.bigjump {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 13;
          color: black;
          font-weight: bold;
		}

</style>
</head>
<body  class=rightwindow>

<% ' --- response.write "User is " & CookieID & " level is " & users_tech_level & "<P>" %>

<center>



<Table class=BGWrapper align=center>
<tr>
    <td align=center valign=center class=majorscreentitlefixed>Permit Maintenance</td>
</tr>
</table>
<p>

<table cellspacing=3 cellpadding=3>

<tr>
    <td valign=top class=linkage align=center>

			<p><Span class=adminheader >Manage Customer Assignment </span></p>
			<table border=0 width=100%><tr>
			<td align=left class=linkage>
			<A href=RenameCustomerID.asp>Rename Customer ID</a><br><dd><font size=-2 color=blue>Rename customer ID {This does not change the customer name, only the ID} </font><br>
			<a href=PMReAssignCaseCustomerID.asp>Re-Assign All Customer Cases to another Customer ID</a><br><dd><font size=-2 color=blue>Transfer all permits that are associated with one customer to another customer</font><br>
			<a href=PMReAssignOneCaseCustomerID.asp>Re-Assign One Case To New Customer ID</a><br><dd><font size=-2 color=blue>Reassign ONE permit to another customer</font>
			</td>
			</tr></table>

   </td>
 
</tr>
</table>
<p>
<a href=status.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a></b>

<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, ldap_enabled, bAdditionalEmails)
	'This function gets the database configuration information

		bAdditionalEmails = False

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			ldap_enabled = rstemp2("option1")

			If Version7point5 = "YES" Then
				if Not IsNull(rstemp2("AdditionalNotificationEmails")) then
					bAdditionalEmails = rstemp2("AdditionalNotificationEmails")
				End If
			Else
				If Version7 = "YES" and AdditionalNotificationEmails = "YES" then
					bAdditionalEmails = True
				End If
			End If
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>




</body>
</html>
