<% 'Module: SMSConfig.asp

   'Description: This module is where we configure the SMS Twilio configuration parameters.

   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/23/02	SAV		Created original EditCaseTextLabels.asp Module
   '06/03/13	SAV		Created new module called SMSConfig.asp


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditPriority.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get Database Configuration data

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else

		EnableSMS = rstemp2("EnableSMS")
		SMSNumber = rstemp2("SMSNumber")
		SMSAccountSID = rstemp2("SMSAccountSID")
		SMSAuthToken  = rstemp2("SMSAuthToken")

		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing


%>


<html>
<!-- (C) 1996 - 2002 by Internet Software Sciences -->
<head>
<title> SMS Notification Configuration</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>SMS Notification Configuration</b>
</font>
<br>
</td></tr></table><p>
</center>


<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=left>

<b>SMS Notification Configuration</b>
<UL>
Web+Center can send SMS notification messages to customers who have a cell /SMS number defined in their customer
record and also have configured a SMS gateway.  SMS messages must be sent through special phone company SMS networks
and it requires a paid subscription to enable this option.  Web+Center uses the SMS service provided by
<a href=https://www.twilio.com/>Twilio.com</a>.  You must purchase separate from your Web+Center product,
an account with Twilio to enable this service.  They will provide you with necessary information you
will need to enter below to send SMS messages to your mobile clients phones.
</font>
<br>
</td></tr></table><p>
</center>


<FORM METHOD=POST ACTION=DoSMSConfig.asp>




<center>


	<table width=50%>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
<br>
<table border=1 cellspacing=2 cellpadding=3 width=80%>

<tr>
<td align=center bgcolor=FFFFFF><font size=-1><B>Enable SMS Messaging and Notifications</font></b></td>
<td align=left bgcolor=FFFFFF><font size=-1><input type=checkbox name=EnableSMS

<% If EnableSMS = True Then %>
CHECKED

<% End If %>



YES</font></td>

</tr>

<tr>
<td align=center bgcolor=FFFFFF><font size=-1><B>SMS Phone Number/Short Code<Br>(Example: +16509490942)</font></b></td>
<td align=left bgcolor=FFFFFF><font size=-1><input type=text size=40 maxlength=100 name=SMSNumber value="<%=SMSNumber%>"></font></td>

</tr>

<tr>
<td align=center bgcolor=FFFFFF><font size=-1><B>SMS Account SID<br> (Example: ACxxxxxxxxxxxxxxxxxxxxxxxxxxxxx)</font></b></td>
<td align=left bgcolor=FFFFFF><font size=-1><input type=text name=SMSAccountSID value="<%=SMSAccountSID%>" ></font></td>

</tr>

<tr>
<td align=center bgcolor=FFFFFF><font size=-1><B>SMS Auth Token</font></b></td>
<td align=left bgcolor=FFFFFF><font size=-1><input type=textbox size=40 maxlength=100 name=SMSAuthToken value="<%=SMSAuthToken%>"></font></td>

</tr>

<tr>
<td align=center bgcolor=FFFFFF><font size=-1><B>Twilio TWIML Application Path</b> <br>
		Enter this path in your Twilio dashboard <Br>
		by clicking on Dev Tools and then TWIML Apps.  <Br>
		Click on Create App and then enter this full URL <br>
		under SMS Request URL (Post) and press SAVE CHANGES.

</font></td>
<td align=left bgcolor=FFFFFF><font size=-1>


<% ' Create the path to the ProcessSMSEvent.asp that we can display here

			HostName =  Request.ServerVariables("SERVER_NAME")

			SCRIPT_Name =  Request.ServerVariables("SCRIPT_NAME")

			SMS_URL_Path = "http://" & HostName & replace(Script_Name, "SMSConfig.asp", "ProcessSMSEvent.asp")


	response.write SMS_URL_PATH

%>
</font></td>

</tr>





</table>

</center>

</form>

</body>
</html>

<% End If %>

