<% 'Module: SendSMSTechPopup.asp

   'Description: This module is invoked into a sub-window from a button in TCaseForm.
   'When originaly invoked it is paster the case_number via ID parameter on the URL, then
   ' it contains a form with a button that can send a cell TXT message directly to the customer for notifications.
   ' It also expects a parameter called "mode" which can be either "Show", "Update", "Clear" or "Confirm"
   ' which drives the mainline logic to perform the relevant action


   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '8/30/2006	JC		Created original module
   '05/06/13	SAV		CreatedSendSMSPopup.asp module
   '06/07/13	SAV		Created SendSMSTechPop.asp to send TXT message for techs instead of customers

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<% if request.querystring("Mode") = "Close" Then %>
<SCRIPT language="javascript">
    window.close();
</SCRIPT>
<% end if %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%
		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


			response.flush
			response.end
		Else

			TechFullName = rstemp("First_name") & " " & rstemp("Last_name") ' Used later
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>

<% ' Get Database Configuration data

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		set rstemp2 = server.createobject("adodb.recordset")

		rstemp2.open mySQL2, conntemp, 1,3

	' OLD WAY - Fails with SQL*Server using conntemp.execute
'		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else

		EnableSMS = rstemp2("EnableSMS")
		SMSNumber = rstemp2("SMSNumber")
		SMSAccountSID = rstemp2("SMSAccountSID")
		SMSAuthToken  = rstemp2("SMSAuthToken")


		'Other Fields

		MaxHistorySize =  CLng(rstemp2("max_case_history_size"))
		MaxSummarySize =  rstemp2("max_case_summary_size")
		MaxResolutionSize =  rstemp2("max_case_resolution_size")

		smtp_host_address = rstemp2("smtp_host_address")
		Standard_reply_to_address = rstemp2("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp2("customer_case_notify"))
		UserPageColor = rstemp2("ts_user_page_color")


		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

%>


<html>
<head>
	<title>SMS Notifications</title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>
<body class=rightwindow>

<form action=SendSMSTechPopup.asp METHOD=POST name=myform>


<%


If request.querystring("ID") <> "" Then '
 case_number = request.querystring("ID")
 mode = request.querystring("Mode")
else
case_number = request.form("case_number")
  If request.form("SendTxtNotification.y") <> "" then
    mode="SendTxtNotification"
  end if



  If request.form("update.y") <> "" then
    mode="Update"
  end if
  If request.form("clear.y") <> "" then
    mode="Clear"
  end if
  If request.form("confirm.y") <> "" then
    mode="Confirm"
  end if

end if

%>
  <center>

	<Table  class=BGWrapper><tr><td>
	<div class=MajorScreenTitleFixed>
	 Send Technician SMS Notification Message
	</div>
	</tr></td></table>
	</center>


<% If Request.QueryString("Tech_ID") <> "" Then ' If this is called from a query then display just that tech info
%>

  <center>
<br>

	<Table  class=TightTableWrapper cellspacing=1><tr><td>
	<div class=ColumnLabel>

	Send SMS Text notification to:
	<br>


<%' Get the Tech name and Cell SMS phone number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		if Tech_ID  = "" Then
			Tech_ID = Request.querystring("tech_ID")
		End If



		mySQL2=" SELECT * from Tech_Staff where Tech_ID = '" & tech_id & "'"


'		response.write "MySQL2=" & mySQL2
'		response.flush
'		response.end



		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			TechName = "Not Found"
			TechSMSNumber = "Not Found"
		Else
			TechName = rstemp("first_name") & " " & rstemp("Last_name")
			TechSMSNumber = FixPhoneNumber(rstemp("Work_Phone2"))

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

%>

Tech: <%=TechName%> <br>
SMS Number:<%=TechSMSNumber %>

<input type=hidden name=Tech_ID value=<%=tech_ID%>>

	</div>
	</tr></td></table>
	</center>

<br>

<center>
<table cellspacing=0 cellpadding=0>
<tr>
   <td class=outerformwrapper align=center>
		  <table cellspacing=0 cellpadding=0>
			<tr>
			  <td>
				<input type=hidden name=case_number value=<%=this_case%> >
				<textarea name=SMSMessage wrap=virtual rows=3 cols=60></textarea>
			  </td>
			</tr>
			<tr>
			  <td align=center>
					 <span class=tinyprint>(150 characters max)</span>
			 </td>
			</tr>
			</table>
  </td>
</tr>
<tr><td height=10></td></tr>
<tr><td align=center>
		<input type=image name=SendTxtNotification src=/<%=WCLanguageDirectory%>/ts_sendtxtnotification.gif border=0>
		&nbsp; &nbsp; &nbsp;
        <a href=SendSMSTechPopup.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>


</td></tr></table>
</form>

</center>



<% End If  ' End of If calling this window already for known tech
%>



<% If Request.form("tech_ID") = "" and Request.QueryString("Tech_ID") = "" Then
%>


  <center>
<br>

	<Table  class=TightTableWrapper cellspacing=1><tr><td>
	<div class=ColumnLabel>

	Select Technician to send SMS Notification:
	<Ul>

<span class=formboxholder><SELECT size=1 name=tech_id>
<option value= "" > Select a technician</option>


<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		mySQL3="SELECT Group_list.group_name, Groups.tech_id FROM Group_list INNER JOIN Groups ON Group_list.group_number = Groups.group_number "
		mySQL3 = mySQL3 & " where tech_id = '" & rstemp("Tech_ID") & "'"
		set rstemp3=conntemp.execute(mySQL3)

		If rstemp3.EOF <> True Then
			GroupName = " ("& rstemp3("Group_name") & ")" ' Grab only the first one
		Else
			GroupName = "" ' Clear group name
		End IF

		rstemp3.close ' close the record set
		set rstemp3=nothing
		' * * * * * * * * End User Customizations * * * * * * * * * * * * *

		' Also display their SMS phone number

		SMS_Number = rstemp("Work_Phone2")

		If IsNull(SMS_Number) OR SMS_Number = "" Then
		' No SMS Number
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & ", " & rstemp("first_Name") & "(No SMS Phone Number Provided)</option>" & chr(10) & chr(13)


		Else


			IF Tech_Id = rstemp("Tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & ", " & rstemp("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & ", " & rstemp("first_Name") & GroupName & "</option>" & chr(10) & chr(13)
			End If
		End If


			rstemp.MoveNext

		Loop

		response.write "</select></span>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



	</div>
	</tr></td></table>
	</center>

<% End IF ' Only display this box initially but not after SEND
%>



<%

'response.write "I see the case number is " & case_number & "<P>"
'response.write "I see the mode is " & mode & "<P>"
'response.write request.form
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

if Mode = "Show" then
  read_display case_number,mode
end if

if Mode = "SendTxtNotification" Then

' Get the passed Tech SMS number and name information

' Get the Tech name and Cell SMS phone number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		if Tech_ID  = "" Then
			Tech_ID = Request.form("tech_ID")
		End If



		mySQL2=" SELECT * from Tech_Staff where Tech_ID = '" & tech_id & "'"


'		response.write "MySQL2=" & mySQL2
'		response.flush
'		response.end



		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			TechName = "Not Found"
			TechSMSNumber = "Not Found"
		Else
			TechName = rstemp("first_name") & " " & rstemp("Last_name")
			TechSMSNumber = FixPhoneNumber(rstemp("Work_Phone2"))

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


' Check to see if the cell SMS number is a valid one before sending the message.

IF Len(TechSMSNumber)  = 12 Then ' Valid number of "+1XXXxxxXXXX"



' This is called when they press the Send TXT notification button
' it will send the message and it will record into the case history when and what message was sent.

'response.write "SENDING MESSAGE START "

	' Send SMS message code here ----------------------------

' setup the URL
baseUrl = "https://api.twilio.com"
smsUrl = baseUrl & "/2008-08-01/Accounts/" & SMSaccountSid & "/SMS/Messages"

' setup the request and authorization
Set http = Server.CreateObject("MSXML2.ServerXMLHTTP")
http.open "POST", smsUrl, False, SMSaccountSid, SMSauthToken
http.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"

' message parameters
from = SMSNumber ' the number to send the message from
recipient = TechSMSNumber ' the number to send the message to


body = Request.form("SMSMessage") ' message contents

postData = "From=" & Server.URLEncode(from)
postData = postData & "&To=" & Server.URLEncode(recipient)
postData = postData & "&Body=" & Server.URLEncode(body)

' send the POST data
http.send postData

' optionally write out the response if you need to check if it worked
' Response.Write http.responseText

' clean up
Set http = Nothing

' ---------------------- END OF SMS Message code -----------------


 ' Call to add it to the case history

 ' NOTE: This message send could be sent to the case history but for now it is not logged

'	AddNoteToCaseHistory Case_Number, Request.form("SMSMessage")


%>


<center>
	<Table  class=TightTableWrapper cellspacing=1 width=80%><tr><td>
	<div class=ColumnLabel>
	<B>To:</b> <%=TechName%> <br>
	<B>SMS Number:</b> <%=TechSMSNumber%><br>

	 <B>Message:</b>  <%= Request.form("SMSMessage") %><br>
	 <B>Sent At:</b> <%=Now() %>
	 <br>

	</div>
	</tr></td></table>
	</center>



<br>
<br>
<center>
        <a href=SendSMSTechPopup.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>

</center>


<% else
%>


<center>
	<Table  class=TightTableWrapper cellspacing=1 width=80%><tr><td>
	<div class=ColumnLabel>
	<B>To:</b> <%=TechName%> <br>
	<B>SMS Number:</b> <%=TechSMSNumber%><br>

	 <B>Message:</b>  <%= Request.form("SMSMessage") %><br>
	 <font color=red> Invalid SMS Number - Message not sent </font>
	 <br>

	</div>
	</tr></td></table>
	</center>



<br>
<br>
<center>
        <a href=SendSMSTechPopup.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>

</center>


<% End If  ' If Submit but invalid phone number
%>
<% End If %>



<%
Sub Read_display(this_case,this_mode)
%>
<center>
<p>




<table cellspacing=0 cellpadding=0>
<tr>
   <td class=outerformwrapper align=center>
		  <table cellspacing=0 cellpadding=0>
			<tr>
			  <td>
				<input type=hidden name=case_number value=<%=this_case%> >
				<textarea name=SMSMessage wrap=virtual rows=3 cols=60></textarea>
			  </td>
			</tr>
			<tr>
			  <td align=center>
					 <span class=tinyprint>(150 characters max)</span>
			 </td>
			</tr>
			</table>
  </td>
</tr>
<tr><td height=10></td></tr>
<tr><td align=center>
		<input type=image name=SendTxtNotification src=/<%=WCLanguageDirectory%>/ts_sendtxtnotification.gif border=0>
		&nbsp; &nbsp; &nbsp;
        <a href=SendSMSTechPopup.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>


</td></tr></table>
</form>
<%

end sub
%>




<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>

<% Sub AddNoteToCaseHistory(Case_Number, HistoryNote)

' This sub will perform the necessary updating to the case by:
'	(1) Updating the Mod Time with the current time and Date
'	(2) Updating the history with the new history notes (SMS message passed)


	' First create the Date and Time strings

	CreateTimeDateValues DateString, TimeString, DateTimeString


	' Check to see if case_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Case_Number = "0" Then
			SQL = "Select * from Cases"
		Else
				SQL = "Select * from Cases where case_number = " & case_number
		End IF

		'response.write SQL
		'response.write "Escalating/Updating Case: " & Case_Number

		NewRecord.Open SQL,Conntemp,3,3

		' We should only need to do existing case updates

			NewRecord("modified_flag") = 1
			NewRecord("mod_date") = DateString ' YYYYMMSS
			NewRecord("mod_time") = TimeString ' HHMMSS


			'NewRecord("Case_One_Line") = Case_One_Line

			' *************************************************************
			' Only a limited set of fields will be updated by escalation!
			'**************************************************************

			Current_Case_History = NewRecord("Case_History")

			' Make sure we are not exceeding the size of the case_history field.

			' Append to the bottom of the case

			New_Case_History = Current_Case_History &  vbCRLF & "{r[" &  DatetimeString &  " SMS Message send by tech[" & TechFullName & "] ]r}"  &  vbCRLF

			New_Case_History = New_Case_History &  "SMS Receipent: " & CustomerName & vbCRLF
			New_Case_History = New_Case_History &  "SMS Phone Number: " & CustomerSMSNumber &  vbCRLF
			New_Case_History = New_Case_History &  "Message: "& HistoryNote & vbCRLF



			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of & Len(New_Case_History) & wc_exceeds_maximum_value_of & MaxHistorySize - 10 & "<br>"
			End If

		NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if


	IF  conntemp.errors.count> 0 then
	    response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conntemp.errors.count
		      response.write "Error #" & conntemp.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conntemp.errors(counter).description & "<P>"
		next
	else
	      'response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing


	End Sub

%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>

<% Function FixPhoneNumber(SMSPhoneNumber)
' This function will take the passed cell number and remove all spaces, dashes, parens, dots,
' And add a + sign to the front of the string if it does not exist and confirm it is 10 characters total
' it will add a 1 to the front of it too.

IF SMSPhoneNumber <> "" Then

	SMSPhoneNumber = Replace(SMSPhoneNumber, ")", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, "(", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, "-", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, " ", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, "[", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, "]", "")
	SMSPhoneNumber = Replace(SMSPhoneNumber, ".", "")

	IF len(SMSPhoneNumber) = 10 Then
		SMSPhoneNumber = "+1" & SMSPhoneNumber
	ElseIf len(SMSPhoneNumber) = 11 Then
		SMSPhoneNumber = "+" & SMSPhoneNumber
	Elseif Len(SMSPhoneNumber) < 10 Then
		SMSPhoneNumber = "NOT invalid SMS Phone - XXX-XXX-XXX"
	End if

End IF


FixPhoneNumber = SMSPhoneNumber

End Function

%>

