<% 'Module: SetInitialConfigurations.asp

   'Description: This module configures some of the initial configurations of the system.
   ' that are setup by the InstallTest.asp module.
   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/01/02	JC		Created original ASP module to replace the ?dll version
   '11/02/05    JC      Cloned from DoSystemConfigOptions
   '08/19/08	SAV		Cloned from  SetEmailConfig.asp
   '03/14/14     CMB     Version 8.0

%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>



<html>

<head>
<title> Set Initial Configurations </title>
<style>
.wrapper {
		border-width: 1px;
		border-style: solid;
		border-color: bisque;
		background-color: bisque;
		padding-top: 5px;
		padding-bottom: 5px;
		padding-left: 5px;
		padding-right: 5px;
		}
.marker {
        background-color: bisque;
}

</style>
</head>

<body bgcolor=FFFFFF>


<% ' Prevent this page from being run by a non authorized user so
	'Only show this page if the user is new as has css-1000 account
	'Other wise display an error message to tell user to use the administration based tools

%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = 'css-1000' AND Tech_password = 'config'"
		set rstemp=conntemp.execute(mySQL2)

		If NOT rstemp.EOF  Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>



<% If ValidUser <> "YES" Then
%>

<br>
<br>
<Center>
<font color=red>Sorry</font>.. you must use the Administrator tools / System Configuration Menu to configure the system
<br>
now that the
initial default System Configurator account password has been modified.



<br>
<br>
</center>

</body>
</html>

<% Response.flush
	Response.end
%>

<% End If %>






<center>
<table width=60% border=1 bgcolor=beige>
<tr>
<td>
<center>
<img src=../language80/installtesthead.jpg>
</center>
<blockquote>
<P>
<br>
<B>Web+Center  tests - Set Initial Web+Center Configuration Parameters</b>
<P>
<font size=-1>
<B>Options:</b> The Web+Center applications are now filled with numerous
features including:

<UL>
<LI> Text Messaging
<LI> Asset Management
<LI> Integrating calendaring and scheduling
<LI> Time spent reporting and invoicing
<LI> LDAP and Active Directory integrated logins
<LI> Auto escalation
<LI> Customer Surveys
<LI> File Download options
<LI> Email notification options
<LI> Automatic group routing and dispatching
<LI> and many more
</ul>


To simplify the initial installation configuration for users, this screen allows
users to enable/disable some features of the Web+Center application with the form below.

Each option inlcudes a feature description and a recommended initial default option.

<P>
All of the options can always be re-enabled or disabled at any time later through the
Web+Center administration options and in all cases, they will all
be fully installed for later re-enabling.

<P>
Please refer to the Web+Center User guide in the documentation directory
for more information on additional options not configurable here.

<% ' If we were called from the form - Save all of the values into the Configuration table
formcalled = Request.form("formcalled")

If formcalled = "Yes" then

    myDSN = Application("myDSN")
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Configuration"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

	' -------- Set Values and check for empty string before setting ----------


		' Move the form field assets_db	to the database field assets_db


           Assets_db = Request.form("Assets_db")
           If  Assets_db = "" Then
                NewRecord("Assets_db") = 0
		   Else
                NewRecord("Assets_db") = 1
           End If


		' Move the form field EnableWebcenterCalendar to the database field language
		' place the text string of "EnableWebCenterCalendar" into that character field
		' The language field can contain a few flag variables in it.


           Calendar = Request.form("Calendar")
           If  Calendar = "" Then  ' Disable this function


			If IsNull(NewRecord("Language"))  Then

			Else


				CurrentLanguageVariable = NewRecord("Language")


				NewRecord("Language") = Replace(CurrentLanguageVariable, "Calendar", "NoCal")


				'response.write "NewRecord = " & NewRecord("Language")
				'response.flush
				'response.end


			End IF

		   Else
		   		If Instr(NewRecord("Language"), "Calendar") Then

		   		' do nothing
		   		else

               	 NewRecord("Language") = NewRecord("Language") & "Calendar"
               	 NewRecord("Language") = Replace(NewRecord("Language"), "NoCal", "")
                End If


           End If

' --------------------------------------------------------------------------------------------------------
' Note - We are using the database field called "option2" to carry the TextMessagingEnabled flag
' --------------------------------------------------------------------------------------------------------

		' Move the form field Ldap_config	to the database field Option1

           TextMessagingEnabled = Request.form("TextMessagingEnabled")
           If  TextMessagingEnabled = "" Then
                NewRecord("Option2") = 0
		   Else
                NewRecord("Option2") = 1
           End If




		' Move the form field ExtendedTimeSpent	to the database field ExtendedTimeSpent


           ExtendedTimeSpent = Request.form("ExtendedTimeSpent")
           If  ExtendedTimeSpent = "" Then
                NewRecord("ExtendedTimeSpent") = 0
		   Else
                NewRecord("ExtendedTimeSpent") = 1
           End If




' End Game Follows --------------------------------------

	NewRecord.Update
	NewRecord.Close
	Conn.Close

	Set NewRecord = Nothing
	Set Conn = nothing

	session("SetInitialConfiguration") = "OK"

end if ' if we were called because a form was submitted

' NOW  Get the values from the configuration file and into variables
  myDSN = Application("myDSN")
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File


		EnableAssetsDatabase = rstemp("assets_db")


       Language = rstemp("Language") ' Returns various system configurations - Not used for language

        ' New 5.0 Fields for SMTP


        ExtendedTimeSpent = rstemp("ExtendedTimeSpent") ' Field to enable Extended Time Spent Options
        Ldap_enabled = rstemp("Option1") ' Field to enable LDAP integration
        TextMessagingEnabled = rstemp("Option2") ' Field to enable Text Messaging integration




	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>
         <center>
         <FORM METHOD=POST ACTION=SetInitialConfigurations.asp>
	    <table  bgcolor=silver border=1 cellpadding=3>

               <tr>
                  <td align=right><font size=-1><b>Text Messaging Support: </b>
                  <br> Enable this if you wish to provide text messaging support to your customers
                  using our integrated web-based instant text messaging feature.



                  </font></td>
                  <td>
                <input type=checkbox name=TextMessagingEnabled
                  <% If TextMessagingEnabled = True or TextMessagingEnabled = 1 Then response.write "checked"%>  >
			Enable </td>
               </tr>
               <tr>
                  <td   align=right><font size=-1><b>  Asset Management: </b><br>
                  Asset management allows you to catalog and track your assets (such as PCs)
                  and associate trouble tickets against them.


                  </font></td>
                  <td>

                  <input type=checkbox name=Assets_db
                  <% If EnableAssetsDatabase = "1" Then response.write "checked"%>  >
                 Enable


                  </td>
               </tr>



               <tr>
                  <td   align=right><font size=-1><b>Integrated Web+Center Calendar/Scheduler: </b>
                  <br>
                  A integrated calendar component that interfaces to Outlook calendar is included.  Disable
                  this feature if you plan to use another calendar/scheduler program

                  </font></td>
                  <td>

	<% ' Code to check if calendar is enabled
		If InStr(Language,"Calendar")   Then
			Calendar = "YES"
		Else
			Calendar = "NO"
		End If

	%>



                  <input type=checkbox name = Calendar


                  <% If Calendar= "YES" Then response.write " checked"%>
        			>

        			Enable


</td>
               </tr>
                        <input type=hidden name="formcalled" value="Yes">

	<Tr>
	<td align=right><font size=-1>

                    <B>Extended Time Spent recording and invoicing</B>
                    <br>
                    Enable this feature if you plan to record time spent by
                    technician on cases and a billing rate for the technician which
                    can be later use to create time spent billing invoices.


	</td>
	<td>
                <input type=checkbox name=ExtendedTimeSpent
                  <% If ExtendedTimeSpent = True or ExtendedTimeSpent = 1 Then response.write "checked"%>  >
                  Enable

	</td>
	</tr>




         </table>

<br>

         <input type=submit name="submit" value="Submit">
         </form>
        </center>


<% If formcalled = "Yes" then %>

Your parameters have been stored in the database as shown above. If these are not correct, please modify and re-submit the form, otherwise you can return to
the main Installation Test Page by clicking on the following link:<p>

<% End If %>














<a href=Installtest.asp>Return to Installation Tests </a><P>
</center>
</blockquote></tr></tr></table>
</center>

</body>
</html>






