<%  ' Module: Faq_Gen.asp
	'
	' Description: Generate static html version of  Top "10" support cases as defined by techs'
	' It generates the static html file called FAQ.htm inside the CustomerCenter folder.
	' This module is automatically invoked via CreateTop10.asp when the latter passes control to either
	' DoCreatTop10.asp or DoDeleteTop10.asp or DoReorderTop10.asp - each of which does their thing and then
	' calls this module which does its thing and then in turn returns to CreatTop10.asp. All of the above jumping around is
	' by means of response.redirect
	'
	' (C) 2000-2009 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'05/11/09    JC     Cloned from TopTen.asp to create Static File Faq Generator

%>

<% 'Define the DSN for this database %>
<% ' Define the three rotating colors for the category lists
	Color1 = "#F02020" ' Red color
	Color3 = "#A52a2a" ' Brown
	Color2 = "#778899"	' lightslategray
%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- do not include FILE="Adovbs.inc" as it will cause double definition-->



<%
    The_File_Name = "FAQ.htm"  ' <----- Set this value to whatever you want the name of the faq file to be
    faqdirectory = "CustomerCenter"  ' <---- the name of the directory to contain the FAQ files (sibling level to Tech and Customer directories)
    baseDirectory = Server.MapPath(".")

    slash = "\"
    Tab = Chr(9)
    ' now we chop off end of baseDirectory string to point us up to our parent directory
    lastpos = InstrRev(baseDirectory,slash)
    baseDirectory = Left(baseDirectory,lastpos)
    lfn = baseDirectory & faqdirectory & slash & The_File_Name

   '  Response.Write "lfn filename is set to " & lfn  & "<br>"



	Set fs = CreateObject("Scripting.FileSystemObject")


    Set a = fs.OpenTextFile(lfn, 2, TRUE)

    REM The "2" in the previous line apparently means "rewind and start afresh" and the TRUE means to create file if not yet existing
	REM The "8" in the previous line means "ForAppending" and the TRUE means to create file if not yet existing

	' Now assemble whatever info we want into the output record

	Emit"<html>"
	Emit"<head>"
	Emit"<title>FAQ Static Page</title>"
	Emit "<link rel=stylesheet href=wc_Style.css type=text/css />"
	Emit"</head>"

	Emit"<body bgcolor=beige>"

	Emit "<center>"
    Emit "<span class=Customer-Screen-Title> FAQ SUMMARY </span><P>"

    mydata = "FAQ file generated as of " & Now() & "<P>"
	Emit mydata




    emit "<table width=800 border=0> <tr> <td>"


	mySQL2 = "Select * from TopCases order by CaseListType"


	'response.write mySQL2
	FAQCount = 1 ' Start with 1


	' Open the connection here

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=conntemp.execute(mySQL2)

'	set rstemp = Server.CreateObject("adodb.recordset")
'	rstemp.open mySQL2, myDSN, 3


	' Check to see if any records are returned
	' if none found then

		count = 0

		if rstemp.EOF = True or rstemp.BOF = true then
			response.write " No FAQ articles have been identified for this list.  Please try again later.<p>"
		Else

		RecordsFound = rstemp.recordcount

		do while not rstemp.eof

		' Start to display each case record case summary and resolution


		Emit "<table class=Boxtablewrapper width=800>"


	mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

	'response.write mySQL3


	set rstemp2=conntemp.execute(mySQL3)



'	set rstemp2 = Server.CreateObject("adodb.recordset")
'	rstemp2.open mySQL3, myDSN, 3



	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")
	 CaseNumber = rstemp2("Case_Number")
	 OpenDateUnformatted = rstemp2("Open_date")
	 ModDateUnformatted = rstemp2("mod_date")
	 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
	 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)

  ' Replace CR with <BR> characters
	New_Summary = ""
	if Case_Summary <> "" Then
		New_summary = Format_Case_Text(Case_summary)
	End If
	If New_Summary = "" Then
		New_Summary = wc_No_Summary_defined
	End If



  ' Replace CR with <BR> characters and handle special tags
	New_Resolution = ""
	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text( Case_Resolution)
	End If

	If New_Resolution = "" then
		New_Resolution = wc_No_Resolution_Defined
	End If








    Myrecord = "<tr><td colspan=2 class=Customer-FAQ-Summary ><font size=+1>" & FAQCount & " <b>Query</b></font> " & " <blockquote>" & New_summary & "</blockquote> </td></tr>"

    Emit Myrecord

	Emit "<tr>"

	Myrecord = "   <td class=WhiteboardText valign=top align=left> &nbsp; &nbsp;<font size=+1><b>Response </b></font><blockquote>" & New_Resolution & "</blockquote></td>"
	Emit myrecord


	Emit "    <td valign=top>"


	Emit "       <table class=Customer-FAQ-sub-box-wrapper  align=right cellpadding=0 cellspacing=0 border=0>"

	Myrecord =  "        <tr><td nowrap class=boxbodytext align=right><b>Date Createdy: </b></td><td class=boxbodytext>" & OpenDateFormatted & "</td></tr>"
	Emit myrecord

	Myrecord = "         <tr><td nowrap class=boxbodytext align=right><b>Last Modified: </b></td><td class=boxbodytext>" & ModDateFormatted & "</td></tr> "
    Emit myrecord

    RetrieveCategories

	Emit   "   </table> "
	Emit "    </td>"
	Emit " </tr>"





	Emit "</td>"
	Emit "</tr>"

	Emit "</table><p>"




			rstemp.movenext
			count = count + 1
			FAQCount = FAQCount + 1
		loop
	End If ' End if rstemp.EOF = True ( No Cases define in top ten list)




	rstemp.close
	set rstemp=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing




	Emit "</td>"
	Emit "</tr>"
	Emit "</table>"

    Emit"</body>"
    Emit"</html>"


    a.Close

   ' response.write "Static FAQ file generated in Customer+Center with file name = FAQ.htm"

   response.redirect "CreateTop10.asp"
%>

<%
Function Emit(TheRec)
   TheRecord = TheRec
   a.WriteLine(TheRecord)
End Function
%>

<% Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>

<% Sub RetrieveCategories


	' Create the category display for this case

	CategoryString = ""
	ColorChoice = 1
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

	set rstemp3=conntemp.execute(mySQL4)

'			set rstemp3 = Server.CreateObject("adodb.recordset")
'			rstemp3.open mySQL4, myDSN, 3

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

                Mystring = " <tr><td nowrap align=right class=boxbodytext><b>" & CategoryName & ": </b></td><td nowrap class=boxbodytext>" & Item_name & "</td></tr>"

                emit mystring

				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

		If CategoryString = "" then
			CategoryString = wc_No_Categories_defined
		End If

	' Close this intermediate record set



	rstemp2.close
	set rstemp2=nothing

End Sub
%>
