<%  ' Module: StartEmailToCase.asp
	'
	' Description: Starting the EmailToCase feature window
	'
	' (C) 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'06/10/02	SAV		Created File
	'05/27/2010	SAV		Created files from StartEscalation
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "StartEmailToCase.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Start Email To Case Polling</FONT></B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<script language="Javascript">

<!--
var win;

function showFAQ() {

        if (win == null || win.closed){
                win = window.open("/help/index.html", "win", "toolbar=yes,location=no,directories=no,status=no,menubar=yes,scrollbars=yes,resizable=yes,width=360,height=300")
    }else{
        if (navigator.appName.substring(0.8) == "Netscape"){
                win.location.href = "/help/index.html";
            this.win.focus();
    }else{
        win = window.open("/help/index.html", "win", "toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=360,height=300")
    }
    }
}

var infoWin
bName = navigator.appName;
bVer = parseInt(navigator.appVersion);

function closeWin() {
        if(infoWin && !infoWin.closed) {
                infoWin.close()
                }
        }

function makeWin(infoURL) {

        if (bName == "Microsoft Internet Explorer" && bVer >= 4 || bName == "Netscape" && bVer > 3){
                itsNav3(infoURL)
        } else if (bName == "Netscape" && bVer <= 3){
                itsNav3(infoURL)
        } else {
                eyeE3(infoURL)
        }

}

function itsNav3(infoURL) {
        if(infoWin == null || infoWin.closed) {
                infoWin = window.open(infoURL, "", "toolbar=NO,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=360,height=600")
        } else {
                infoWin.close()
                infoWin = window.open(infoURL, "", "toolbar=NO,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=360,height=600")
        }
}

function eyeE3(infoURL) {
                infoWin = window.open(infoURL, "popup", "toolbar=NO,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=360,height=600")
}


function stepOne() {
        var here=document.forms[0].begin
        location=here.options[here.selectedIndex].value
}

function stepTwo() {
        var here=document.forms[0].contact
        location=here.options[here.selectedIndex].value
}

//-->


</script>






	<form action=Escalation.asp method=post>

	<center>
<input type="button" value="Start Email To Case" onClick="makeWin('EmailToCase.asp')">
<br>

<P>
<B>To STOP the case Email To Case function, simply close this Email To Case window.</b>

	</center>
	</form>

</body>
</html>

<%End If ' End of If Valid User %>
