<% 'Module: CustomerSummary.asp

   'Description: This module is the module to display only the
   ' summary of the customer information including:
   	'	customer/contact address information
   	'   Any notes about the customer
   	'   Any optional information fields
   	'   Any invoices associated with this customer
   	'   Any Support cases with this customer

   	' This module must be called by passing the Customer_ID as
   	' a query string variable like: CustomerSummary.asp?ID=Smith_Jane

   	' It should not be called by itself without the customer_ID field


   '(C) 2000-2004 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/27/00	SAV		Created original Registration Page
   '03/5/04 SAV		Created CustomerSummaryPage.asp
   '08/16/04 JC     Cloned from Business Center to Tech+Center



%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/InvoiceLabels.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>

<% ' Check to see if this is being called from the customerOptions page
	If Action = "" Then

%>


<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

	<body class=rightwindow>

<% End If %>


<% ' First get some database configuration information

	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		BusinessVirtual = rstemp("BusinessVirtual") ' Business+Center Virtual Directory


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>



<% ' First check to see if we displaying a New customer form
	' or an existing customer.  This page can be called like:
	' EmailListReg.asp?ID=XXXXXXX   (customer update)
	'   OR
	' EmailListReg.asp    (New Customer)

	Customer_ID = Request.querystring("ID")

	If Customer_ID <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Customers where Customer_ID ='" & Customer_ID & "'"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

	Else
		'Customer_Password = rstemp2("customer_password")

		' Note: We donot want to display the password in the HTML form
		' so we will put in (5) Stars as the default.

		'If they edit it, it will then be encoded and saved.

		Customer_Password = "*****"

		contact_fname = rstemp2("contact_fname")
		contact_lname = rstemp2("contact_lname")
		company = rstemp2("company")
		address = rstemp2("address")
		mailstop = rstemp2("mailstop")
		city = rstemp2("city")
		state = rstemp2("state")
		Zip = rstemp2("Zip")
		Country = rstemp2("Country")
		email = rstemp2("email")
		phone1 = rstemp2("phone1")
		phone2 = rstemp2("phone2")
		fax = rstemp2("fax")
		contact_method = rstemp2("contact_method")
		contact_times = rstemp2("contact_times")
		customer_username = rstemp2("customer_username")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End If ' End of If Customer_ID <> ""

%>

<% ' Display the Registration Form
%>
<center>

<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
<%=wc_Customer_Summary_Sheet%>
</td>
</tr>
</table>


<P>



 <table class=BoxTableWrapper cellpadding=0 cellspacing=0 ><!-- outermost holder --- -->
 <tr>
   <td>
		 <table cellpadding=0 cellspacing=0> <!-- first table here ----------------- -->

			<tr>
			<td class=BoxBodyTextHilight valign=bottom><%=wc_Name%>:</td>
			<td class=BoxBodyText valign=bottom> <%=Ucase(Contact_fname)%>&nbsp;<%=Ucase(contact_lname)%>&nbsp;<A HREF="NewCustomer.asp?ID=<%=Customer_ID%>"><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></A></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Company%>:</td><td class=BoxBodyText><%=Company%></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Address%>:</td><td class=BoxBodyText><%=Address %></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Mailstop%>:</td><td class=BoxBodyText><%=Mailstop%></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_City_State%>:</td><td class=BoxBodyText><%=City%>,<%=State%></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Zip_Country%>:</td><td class=BoxBodyText><%=Zip%>&nbsp;<%=Country%></td>
			</tr>


			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Email%>:</td><td class=BoxBodyText> <a href=mailto:<%=email%>><%=Email%></a>&nbsp;&nbsp</td>
			</tr>

		</table>
    </td>

    <td> &nbsp; &nbsp; &nbsp; &nbsp; </td>
    <td valign=top ><!-- second table here ------ -->

		  <table cellpadding=0 cellspacing=0>

			<tr>
			<td class=BoxBodyTextHilight>&nbsp;</td><td class=BoxBodyText height=18>&nbsp;</td><!-- empty row to line up tops -->
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Phone%>:</td><td class=BoxBodyText><%=Phone1%></td>
			</tr>


			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Phone2_Cell%>:</td><td class=BoxBodyText><%=Phone2%></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Fax%>:</td><td class=BoxBodyText><%=Fax%></td>
			</tr>

			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Contact_Method%>:</td><td class=BoxBodyText><%=Contact_Method%></td>
			</tr>


			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Contact_Times%>:</td><td class=BoxBodyText><%=Contact_Times%></td>
			</tr>



			<% If Email <> "" Then %>
			<tr>
			<td class=BoxBodyTextHilight valign=top NOWRAP><%=wc_Log_email%>:</td><td class=BoxBodyText> <a href=TEmailContact.asp?ID=<%=Customer_ID%>><%=wc_Email_Contact_and_Log%></a></td>
			</tr>
			<%End If %>

		  </table>
    </td>
    </tr>
    <tr>
    <td colspan=3 class=BoxBodyText><!-- third table here ------------- -->
      <table cellpadding=0 cellspacing=0 >




		<% ' Now display any contact notes if they exist



				If Customer_ID <> "" Then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN

					mySQL2="select * from CustomerNotes where Customer_ID = '" & Customer_ID & "'"

					set rstemp2=conntemp.execute(mySQL2)
					If rstemp2.EOF = True then ' Notes not set for this customer

					NoteText= ""
				%>


					<%else ' Set for this customer so add selected
						NoteText = rstemp2("ContactNotes")

						'now chop off the trailing <p> as wasting space on the screen
						lambda = Len(NoteText)
						If Lambda > 4 then
							lambda = Lambda - 3
						End If
						If isNull(Lambda) Then
						  NoteText = ""
						else
						  NoteText = Left(NoteText, Lambda)
						end if


						' Get these 10 text notes
						TextNote1 = rstemp2("TextNote1")
						TextNote2 = rstemp2("TextNote2")
						TextNote3 = rstemp2("TextNote3")
						TextNote4 = rstemp2("TextNote4")
						TextNote5 = rstemp2("TextNote5")
						TextNote6 = rstemp2("TextNote6")
						TextNote7 = rstemp2("TextNote7")
						TextNote8 = rstemp2("TextNote8")
						TextNote9 = rstemp2("TextNote9")
						TextNote10 = rstemp2("TextNote10")

                   End If
					%>

        <tr>
			<td   class=BoxBodyText colspan=2  align=left>
			<%=NoteText%>
			</td>
		</tr>


			<%
					' Close this record set
					rstemp2.Close ' Close this record set
				conntemp.close ' Close the connection
				set conntemp=nothing

			End If ' End of if Customer_ID <> ""
			%>

        </table>


		</td>
		</tr>
		</table>


<!-- finish here ------------------- -->





	<% ' Call to display the optional text boxes and their values %>

	<%	DisplayOptionalTextBoxesValues(Customer_ID) %><P>


	<% DisplayCustomerInvoices(Customer_ID) %>

<% DisplayCustomerCases(Customer_ID) %>





<% ' Put all of your custom web site footer changes into BCFooter.inc %>

<% ' Check if called from Customeroptions page
	If Action = "" Then
%>
</body>
</html>


<% End If %>



<% Sub DisplayOptionalTextBoxesValues(Customer_ID)

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		If Customer_ID <> "" Then ' Attempt to get customer optional field values

			set conntemp2=server.createobject("adodb.connection")
			conntemp2.open myDSN

			mySQL2="select * from CustomerNotes where Customer_ID = '" & Customer_ID & "'"

			set rstemp2=conntemp2.execute(mySQL2)

			' Keep this record set open for the loop below
		End IF

%>
        <p>
		<Table class=tighttablewrapper cellspacing=1>
		<% ' consider instead using class=innerformwrapper as an alternative for no green lines %>
		<tr>
		<td colspan=2 align=center class=minorformtitle>


		<%=wc_Optional_Information_Fields%>
		</td>
		</tr>

		<tr>


<%

		mySQL="select * from BConfiguration" ' There should only be one row in this table

		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see Configuration row created yet
			'WhiteBoardContents = " White Board Not yet configured"
		Else ' row found in BConfiguration table

			TwoPerRow = 0

			for i = 1 to 10
				Enableflag = "Box" & i & "Enabled"
				TextColumn = "Box" & i & "Label"

				If rstemp(EnableFlag) = True THEN ' Display text column
			%>
			<td  width=50% class=tightbodytext align=left><B>

			<%
				rstemp.movefirst
			Response.write  rstemp(TextColumn)
			%>

			:</b>

			<% ' Get the value for this customer
			ColumnName = "TextNote" & i
			If Customer_ID <> "" Then ' Attempt to get customer optional field values
				If rstemp2.EOF <> True Then
					Value = rstemp2(ColumnName)
				End IF

				Else
				Value = ""
			End IF
			%>

			<%=Value%></td>

			<% ' Calculate two per row
				TwoPerRow = TwoPerRow + 1
				If TwoPerRow = 2 Then
					TwoPerRow = 0
			%>
			</tr>
			<tr>
				<% End If %>


			<%
				End IF
			next
		End If

		If TwoPerRow = 1 then ' fill out right side if odd number and close tr, else empty line to close out the already established tr
		  response.write "<td class=tightbodytext>&nbsp;</td></tr>"
		Else
		  response.write "<td class=tightbodytext colspan=2></td></tr>"
		End if

		rstemp.close
		set rstemp=nothing

		If Customer_ID <> "" Then

			rstemp2.Close ' Close this record set
			Set rstemp2 = Nothing

			conntemp2.close ' Close the connection
			set conntemp2=nothing

		End IF

		conntemp.close ' Close the connection
		set conntemp=nothing

	 ' Close the Table %>

	</table>


<%

	End Sub
%>


<% Sub DisplayCustomerInvoices(Customer_ID)
	' This Subroutines displays the invoices for this customer

		' Get the form variables if passed from the original form


		If Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Invoice.Customer_ID  like '%" & Customer_ID & "%'"
			AndText = " AND "
		End IF



	' Build the query based on the passed input fields

	' Use a special query if Company is used since it requires the customer Table

	' Special statement for Companies

		mySQL2 = "SELECT * From Invoice "


'mySQL2 = " SELECT Customers.contact_lname, Customers.contact_fname, Customers.company, Invoice.Case_num, Invoice.PurchaseTotal, Invoice.PurchaseTotal, Invoice.InvoiceDescription, Invoice.PONumber, Invoice.CheckNumber, Invoice.TransactionID, Invoice.Customer_ID, Invoice.InvoiceStatusID, InvoiceStatus.InvoiceStatus, InvoiceType.InvoiceType, PaymentMethod.PaymentMethod FROM (((Customers INNER JOIN Invoice ON Customers.customer_id = Invoice.Customer_ID) INNER JOIN InvoiceStatus ON Invoice.InvoiceStatusID = InvoiceStatus.InvoiceStatusID) INNER JOIN InvoiceType ON Invoice.InvoiceTypeID = InvoiceType.InvoiceTypeID) INNER JOIN PaymentMethod ON Invoice.PaymentMethodID = PaymentMethod.PaymentMethodID "



	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
	End If



	' Add in the word "WHERE"
	If WhereStatement <> "" Then
		WhereStatement = " WHERE " & WhereStatement
	End If


	mySQL2 = mySQL2 & WhereStatement & " Order by InvoiceNumber Desc"


	' Uncomment this line for debugging SQL statement
	'response.write mySQL2

	' DEBUGGING - Uncomment this line too if you SQL breaks the code
	'mySQL2 = "SELECT * From Invoice "

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>

	<center>
	<table class=tighttablewrapper cellspacing=1>

	<tr>
	<td colspan = 5 class=minorformtitle align=center><%=wc_Invoice_Invoice_Information%>
	</td>
	</tr>

	<tr>
	<td class=columnlabel width=15%><%=wc_Invoice_Invoice%></td>

<% ' If Invoice Date Field is specifed then display it
	If InvoiceDateField <> "" Then %>

	<td class=columnlabel>

	<%
	   If InvoiceDateField = " PurchaseDate " Then
			DateFieldLabel = wc_Invoice_Purchase_Date
	   End If
	   If InvoiceDateField = " PaymentDueDate " Then
			DateFieldLabel = wc_Invoice_Payment_Due_Date
	   End If

	   If InvoiceDateField = " RenewalDate " Then
			DateFieldLabel = wc_Invoice_Renewal_Date
	   End If

	   If InvoiceDateField = " PaidDate " Then
			DateFieldLabel = wc_Invoice_Paid_Date
	   End If

	%>

	<%=DateFieldLabel%></td>

	<% End If %>

	<td class=columnlabel><%=wc_Invoice_Description%></td>
	<td class=columnlabel><%=wc_Invoice_Type%></td>
	<td class=columnlabel><%=wc_Invoice_Status%></td>
	<td class=columnlabel><%=wc_Invoice_Amount%></td>
	</tr>



<%

	' Check to see if any records are returned
	' if none found the

		count = 0


		do while not rstemp.eof

%>
	<tr>
	<td align=center class=tightbodytext>
	<a href=ShowBCInvoice.asp?InvoiceNumber=<%= rstemp("InvoiceNumber") %> Target=BCWindow><%=rstemp("InvoiceNumber")%></a>
	</td>


<% ' If Invoice Date Field is specifed then display it
	If InvoiceDateField <> "" Then
		' InvoiceDateField has extra spaces infront and behind name that must be removed.
		InvoiceFieldName = Trim(InvoiceDateField)
	%>


	<td align=left class=tightbodytext>
	<%= rstemp(InvoiceFieldName) %><br>
	</td>

	<%End If %>


	<td align=left class=tightbodytext>
	<%= rstemp("InvoiceDescription") %><br>
	</td>


	<td align=left class=tightbodytext>
	<%= GetInvoiceType(rstemp("InvoiceTypeID")) %><br>
	</td>


	<td align=left class=tightbodytext>

	<%=	GetInvoiceStatus(rstemp("InvoiceStatusID")) %>

	<br>
	</td>

	<td align=right class=tightbodytext>

	<%= DisplayMoney(rstemp("PurchaseTotal")) %><br>

	<% ' Add up PurchaseTotal Amounts

		If IsNull(rstemp("PurchaseTotal")) = FALSE Then
			SummaryTotal =  rstemp("PurchaseTotal") + SummaryTotal
		End IF

	%>

	</td>




	</tr>

<%
			rstemp.movenext
			count = count + 1
		loop


	rstemp.close
	set rstemp=nothing

%>



<% ' Now Display the summary Purchase Total

%>

<tr>
<td class=columnlabel colspan=4 align=right>

<B><%=wc_Invoice_Invoice_Totals%> &#8658;</b></font></td>


<td class=columnlabel align=right>
	<B>

<%=DisplayMoney(SummaryTotal)%>

</b>
</td>
</tr>



	</table>
	</center>


<%
   End Sub
 %>

<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Clng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Clng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<% Function GetInvoiceStatus(StatusID)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from InvoiceStatus WHERE InvoiceStatusID = " & StatusID
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

		GetInvoiceStatus = " No Status Found"

	Else

		GetInvoiceStatus = rstemp2("InvoiceStatus")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End Function

%>

<% Function GetInvoiceType(TypeID)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from InvoiceType WHERE InvoiceTypeID = " & TypeID
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

		GetInvoiceType = " No Status Found"

	Else

		GetInvoiceType = rstemp2("InvoiceType")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End Function

%>



<% Sub DisplayCustomerCases(Customer_ID)

' This subroutines display any cases for the customer

			ResultsView = "BRIEF"

	Tech_ID = Request.Cookies("ISS_BUSINESS") ' Get the Logged TechID from the cookie


		' Start to Create the query based on the passed fields

		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF


	' Build the query based on the passed input fields

	' There are two basic queries... one for a search with a search string and
	' another for searches without search strings.


		mySQL2 = "Select * from Cases "

	If Company <> "" Then
		mySQL2 = "SELECT Customers.contact_fname, Customers.contact_lname, Customers.Customer_id, Customers.company, Cases.case_number, Cases.open_date, Cases.open_time, Cases.case_one_line, Cases.status, Cases.due_date, Cases.due_time FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id"
	Else
		mySQL2 = "SELECT Customers.contact_fname, Customers.contact_lname, Customers.Customer_id, Customers.company, Cases.case_number, Cases.open_date, Cases.open_time, Cases.case_one_line, Cases.status, Cases.due_date, Cases.due_time FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id"

	End If


	If TextSearchQuery = "" AND WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	Else

		' Sort order is passed as form element from select list
		If Request.form("SortOrder") = "" Then ' If called from link then no sort order specified
			Orderby = " Order by Cases.case_number desc"
		Else
			Orderby = " Order by " & Request.form("SortOrder")
		End If
		mySQL2 = mySQL2 & Orderby


	End If


	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	TotalQuery = WhereStatement & OrderBy
	Query = Server.URLEncode(TotalQuery)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>




	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.



	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

%>

		<br>
		<CENTER>
		<TABLE class=tighttablewrapper cellspacing=1 >
		<tr>
		<td colspan=5 align=center class=minorformtitle>
		<%= wc_Invoice_Support_Cases%>
		</td>
		</tr>

		<td class=columnlabel align=center><%=wc_Case%></td>


		<td class=columnlabel  align=center ><%=wc_One_Line_Description%></td>
		<td  class=columnlabel  colspan=2><%=wc_Status%></td>

		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		do while not rstemp.eof

		' Start to display each case record summary

							' Now display a link directly to the tech+center for that case window.

			' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

			if Key = "SERVER_NAME" Then
				HostName =  Request.ServerVariables(key)
			End IF

			if Key = "SCRIPT_NAME" Then
				SCRIPT_Name =  Request.ServerVariables(key)
				' Replace DoEmailListSend.asp with RemoveFromList.asp
				' This will handle all of the necessary virtual directory mappings

				Virtual_Path = replace(Script_Name, "TCustomerSummary.asp", "SC.asp")

				' Edit these virtual directory settings if needed - case sensitive
				CustomerCenterVirtual = "customer50"
				TechCenterVirtual = "tech50"


				If BusinessVirtual = "" Then
					BusinessCenterVirtual = "business50"
				Else
					BusinessCenterVirtual = BusinessVirtual ' Grab it from database
				End IF

				If TechVirtual = "" Then
					TechCenterVirtual = "tech50"
				Else
					TechCenterVirtual = TechVirtual
				End If



				Virtual_Path = replace(Virtual_Path, BusinessCenterVirtual, TechCenterVirtual)

			End IF

		Next

			CaseLink = "http://" &  hostname & Virtual_path &"?ID=" & Tech_ID & "&N=" & rstemp("Case_Number")


%>


<TR>
<TD ALIGN=CENTER valign=top class=tightbodytext><B>
<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>" target="user_screen"><%=rstemp("Case_Number")%></A></B><br>


</B>
</TD>

<TD class=tightbodytext valign=top><%=rstemp("Case_One_Line")%></TD>



<% If CInt(rstemp("Status")) <> 1 Then
	Response.write "<TD ALIGN=CENTER valign=top class=tightbodytextopen>Open</td>"
  Else
	Response.write "<TD ALIGN=CENTER valign=top class=tightbodytextclosed>Closed</td>"
  End If
%>

<%
 due_date = rstemp("due_date")
 due_time = rstemp("due_time")

 if isNull(due_date) Then
    due_date = ""
 end if
 if isNull(due_time) Then
    due_date = ""
 end if

 current = Now()

 If Due_date <> "" Then
    delta = DateDiff("d",Now(),due_date)
 Else
    delta = ""
 end if

If CInt(rstemp("Status")) <> 1 and delta <> "" Then
     if delta < 0  Then
  %>
          <td valign=top class=tightbodytextopen><%=Abs(delta)%>&nbsp;<%=wc_Days_Overdue%></td>
    <% Else %>
           <td valign=top class=tightbodytext><%=delta%>&nbsp;<%=wc_Days_Remain%></td>
    <% End If  %>

 <% Else %>
     <td valign=top class=tightbodytext></td>
 <% End If %>







</TR>








<%
			rstemp.movenext
			count = count + 1
		loop

		response.write "</table>"


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing


End Sub

%>

