<% 'Module: TEmailContact.asp

   'Description: This module is the EmailCase button first page located in the Tech+Center
   ' directory.  It is built from the EmailContact.asp module from the business +center.


   '(C) 2001-2005 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '11/26/2001	SAV		Created Original EmailContact.asp module
   '05/09/2005	SAV		Created TEmailContact.asp module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged Business+Center from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EmailContact.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Calendar_View%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>



<% ' This routine should always be passed a Customer_ID
	Passed_Customer_ID = Request.querystring("ID")
%>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
		ReplyToEmail = rstemp2("Standard_reply_to_address")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Get the full name and email address for the customer and the logged in tech

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers where customer_id = '" & Passed_Customer_ID & "'"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		CustomerName = "Not Found"
		CustomerEmail = "" ' Do not send out any if not found

	Else
		CustomerName = rstemp("Contact_fname") & " " & rstemp("Contact_lname")
		CustomerEmail = rstemp("email")
	End IF

	rstemp.close
	set rstemp=nothing


' Now get Contact Rep Information( Name, email address)

	mySQL="select * from Tech_staff where Tech_Id = '" & CookieID & "'"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then '
		ContactRepName = "Not Found"
		ContactRepEmail = "Please Enter"

	Else
		ContactRepName = rstemp("First_Name") & " " & rstemp("Last_Name")
		ContactRepEmail = rstemp("Work_email")
	End IF

	rstemp.close
	set rstemp=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td>
<div align=center>
<font size=+1 face=arial>
Email Contact with Note Logging
</font>
<br>
<font size=+1 color=blue>
<b>
</b>
</font>
</div>
<div align=left>

</td>
</tr>
</table>
<p>

<FORM METHOD=POST ACTION=DoTEmailContact.asp>

<% ' Include hidden element for passed_customer_id %>

<input type=hidden name="Customer_ID" value="<%=Passed_Customer_ID%>">

<center>
<table width=70%>
<tr>
<td width=50% align=center>
<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>


</td>
<td align=center>
<a href=NewCustomer.asp?ID=<%=Passed_Customer_ID%>>
<img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>


<br>

<table border=0 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td align=center>
<table border=0 cellspacing=1 cellpadding=1 width=90% bgcolor=F0C0D0>
<tr>
<td valign=center width=20% align=right>

<FONT SIZE=-1 face=arial>




<B> TO: &nbsp;&nbsp; </b>
</td>
<td align=left>
<font size=-1 face=arial>
Name:
<input size=20 maxlength=100 name=CustomerName value="<%=CustomerName%>">
<br>

 Email:
<input size=40 maxlength=100 name=CustomerEmail value="<%=CustomerEmail%>">
</td>
</tr>
</table>

<table border=0 cellspacing=1 cellpadding=1 width=90% bgcolor=D0B0F0>

<tr>
<td valign=center  align=right width=20%>


<B> FROM:&nbsp;&nbsp;<B>
</td>
<td>
<font size=-1 face=arial>
Name:
<input size=20 maxlength=100 name=ContactRepName value="<%=ContactRepName%>">
<br>

 Email:

<input size=40 maxlength=100 name=ContactRepEmail value="<%=ContactRepEmail%>">

</td></tr>
</table>

<table border=0 cellspacing=1 cellpadding=1 width=90% bgcolor=B0F0E0>

<tr>
<td valign=center  align=right width=20%>


<B> CC: &nbsp;&nbsp;  <B>
</td>
<td>
<font size=-1 face=arial>
Name:
<input size=20 maxlength=100 name=CCName>
<br>

 Email:

<input size=40 maxlength=100 name=CCEmail>

</td></tr>

</table>
</td>
</tr>
</table>

<table border=0 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td align=center>

<table border=0 cellspacing=1 cellpadding=1 width=90% bgcolor=F0A0C0>

<tr>
<td valign=center  align=right>

<font size=-1 face=arial>
<B> Subject: &nbsp;&nbsp;  <B>
</td>
<td>
<font size=-1 face=arial>
<input size=45 maxlength=100 name=Subject>


</td></tr>

</table>
</td></tr>
</table>

<table border=0 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td align=center>

<table border=0 cellspacing=1 cellpadding=1 width=90%>

<tr>
<td valign=center  align=center>

<font size=-1 face=arial>
<B> Message: &nbsp;&nbsp;</b><br>
<textarea name=message rows=12 cols=90></textarea>


</td></tr>

</table>
</td></tr>
</table>





</form>

</body>
</html>



<%End If ' End of security check %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>