<%  ' Module: TlistCompanyCustomers.asp
	'
	' Description: This screen shows a list of customers (and links) cor customers associtated with a given Company (Billing) Address
	'
	' (C) 2005 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '11/7/2006   JC       Created Original Version
   '04/04/14    CMB      Fixed 'clean' so didn't clean if null - causing error

%>



<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<!-- #INCLUDE FILE="Version.inc" -->

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
	    Else

	    %>
	    <html>
	    <head>
	    <title>Tech+Center</title>
	    </head>
	    <Body bgcolor=beige>
	    <center>
	    <p>&nbsp;<p>
	    <font color=red size=+1><b>Warning!&nbsp;</b><font color=black> You are not logged in - permission denied
	    <%
	    response.flush
	    response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>






<html>
<!-- (C) 1996,1998, 2006 by Internet Software Sciences -->
<head>
<title>Tech+Center</title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>
<body class=rightwindow TOPMARGIN=7  MARGINHEIGHT=7 LEFTMARGIN=7 MARGINWIDTH=7>
<%

	this_company = request.querystring("ID")

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
	mySQL2="SELECT * from Companies WHERE company_id =" & this_company
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF  Then
		Response.write "<font color=red size=+1><p><b>This company not found in the Companies Table</b><p></font> "
    Else

    company_name = rstemp("company_name")
    company_address = rstemp("company_address")
    company_mailstop = rstemp("company_mailstop")
    company_city = rstemp("company_city")
    company_state = rstemp("company_state")
    company_zip = rstemp("company_zip")
    company_country = rstemp("company_country")

%>


<Table class=BGWrapper align=center>
<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Customers_associated_with%>
	</td>

    <td  align=center valign=center  class=MajorScreenTitleValue>
       <font  color=red><%=rstemp("company_name")%></font>
       <br>
 <!-- start of business card -->

	<% indent=5 %>

	 <table class=BusinessCardWrapper align=center cellpadding=0 cellspacing=0 >
	  <tr>
	  <td valign=top>
			<table  cellpadding=0 cellspacing=0 border=0>
			  <tr>
				<td class=BusinessCardText ><b>Billing Address:&nbsp;</b></td>
				<td  colspan=2 class=BusinessCardText><%=rstemp("company_address")%>
			      <%
					addr_string = ""
					if rstemp("company_mailstop") <> "" Then
					  addr_string = addr_string & ", " & rstemp("company_mailstop")
					end if
					if rstemp("company_city") <> "" Then
					  addr_string = addr_string & ", " & rstemp("company_city")
					end if
					if rstemp("company_state") <> "" Then
					  addr_string = addr_string & ", " & rstemp("company_state")
					end if
					if rstemp("company_zip") <> "" Then
					  addr_string = addr_string & ", " & rstemp("company_zip")
					end if
					if rstemp("company_country") <> "" Then
					  addr_string = addr_string & ", " & rstemp("company_country")
					end if
				  %>
				<%=addr_string%></td>
             </tr>
			</table>
	   </td>
	 </tr>
	</table>

<!-- end of business card -->

    </td>
</tr>




</table>
<p>



<%
	End If ' there was no company address found in the company table

	rstemp.close
    overall_flag = "N"

%>

<br clear=all>
<p>


<%



mySQL2="SELECT * from Customers WHERE company_id = " & this_company & " ORDER BY contact_lname"

rstemp.open mySQL2, conntemp, 1,3




If rstemp.EOF  Then
	Response.write "<center><font color=red size=+1><p><b>No customer records were found that are associated with this Billing Address</b><p></font> "
	response.flush
	response.end
End If







%>
<center>
 <table >
 <tr>
  <td class=outerformwrapper> <!---- start of overall form wrapper -->
  <table cellspacing=2>
    <tr>
      <td class=MinorScreenTitle align=center valign=bottom>Name</td>
      <td class=MinorScreenTitle align=center valign=bottom>Company</td>
      <td class=MinorScreenTitle align=center valign=bottom>Address</td>
      <td class=MinorScreenTitle align=center valign=bottom>Synch</td>
      <td class=MinorScreenTitle align=center valign=bottom>Edit/Summary</td>


    </tr>
    <tr>
    <td colspan=5 height=1 bgcolor=black></td>
    </tr>
     <%
     do while not rstemp.eof
     this_name = rstemp("contact_lname") & ",&nbsp;" & rstemp("contact_fname") & "&nbsp;"
     cust_company = rstemp("company")
     cust_address = rstemp("address")
     cust_mailstop = rstemp("mailstop")
     cust_city = rstemp("city")
     cust_state = rstemp("state")
     cust_zip = rstemp("zip")
     cust_country = rstemp("country")
     flagged = "N"

     %>
		<tr>
		   <td class=TightBodyText valign=top ><%=this_name%></td>

		   <% if rstemp("auto_update") <> "Y" Then %>

			   <td class=TightBodyText valign=top ><%=cust_company%></td>
			   <td class=TightBodyText valign=top >
				   <%

					If cust_address <> "" then response.write  cust_address
					If cust_mailstop <> "" then response.write ", " & cust_mailstop
					If cust_city <> "" then response.write ", " & cust_city
					If cust_state <> "" then response.write ", " & cust_state
					If cust_zip <> "" then response.write ", " & cust_zip
					If cust_country <> "" then response.write ", " & cust_country
				   %>
			   </td>
			   <td class=TightBodyText valign=top  align=center>No</td>
		   <% else %>
		       <%
				    If cust_company <> "" then
				      If clean(cust_company) <> clean(company_name) then
				         cust_company = "<font color=red>" & cust_company & "</font>"
				         flagged = "Y"
				      end if
				    end if


		       %>

				   <%
				    If cust_address <> "" then
				      If clean(cust_address) <> clean(company_address) then
				         cust_address = "<font color=red>" & cust_address & "</font>"
				         flagged = "Y"
				      end if
				    end if

				    If cust_mailstop <> "" then
				      If clean(cust_mailstop) <> clean(company_mailstop) then
				         cust_mailstop = "<font color=red>" & cust_mailstop & "</font>"
				         flagged = "Y"
				      end if
				    end if

				    If cust_city <> "" then
				      If clean(cust_city) <> clean(company_city) then
				         cust_city= "<font color=red>" & cust_city & "</font>"
				         flagged = "Y"
				      end if
				    end if

				    If cust_state <> "" then
				      If clean(cust_state) <> Clean(company_state) then
				         cust_state= "<font color=red>" & cust_state & "</font>"
				         flagged = "Y"
				      end if
				    end if

				    If cust_zip <> "" then
				      If clean(cust_zip) <> clean(company_zip) then
				         cust_zip= "<font color=red>" & cust_zip & "</font>"
				         flagged = "Y"
				      end if
				    end if


				    If cust_country <> "" then
				      If clean(cust_country) <> clean(company_country) then
				         cust_country= "<font color=red>" & cust_country & "</font>"
				         flagged = "Y"
				      end if
				    end if
				    If flagged = "Y" then
				      %>
				         <td class=TightBodyText valign=top ><%=cust_company%></td>
                         <td class=TightBodyText valign=top >
				      <%
						If cust_address <> "" then response.write  cust_address
						If cust_mailstop <> "" then response.write ", " & cust_mailstop
						If cust_city <> "" then response.write ", " & cust_city
						If cust_state <> "" then response.write ", " & cust_state
						If cust_zip <> "" then response.write ", " & cust_zip
						If cust_country <> "" then response.write ", " & cust_country
				   else
				        response.write "<td class=TightBodyText valign=top  colspan=2 align=center><i>(as above)</i></td>"
				   end if
				   %>

               </td>
               <td class=TightBodyText valign=top  align=center>
               <%
                 If flagged = "Y" then
                     response.write "<font color=red>*</font>"
                     overall_flag = "Y"
                 else
                     response.write "<font color=green>OK</font>"
                 end if
                %>
               </td>
		   <% end if %>


           <td class=TightBodyText valign=top  align=center>
			   <a href=NewCustomer.asp?ID=<%=rstemp("customer_id")%>>Edit</a>
			   /
			   <a href=TCustomerSummary.asp?id=<%=rstemp("customer_id")%>>Summary</a>
			   /
			   <a href=TCustomerUnlink.asp?Company_id=<%=this_company%>&id=<%=rstemp("customer_id")%>>Unlink</a>
           </td>
		</tr>
      <%
		rstemp.movenext
		loop
      %>

  </table>
  </td>
 </tr>
 </table>

 <%
 if overall_flag <> "N" Then
   response.write "<p><font color=red><b>Caution!</b></font><br>Records marked with <font color=red>*</font> above are marked as synchronized with Billing Address, however some address details differ"
 end if

 %>



<%
' due to the danger of apostrophe use in Javascript parameter data, we replace apostrophes with a safe character
Function Clean(thisfield)
	if not isnull(thisfield) then  ' 04/04/14
  clean = replace(thisfield,"`","'")
     end if
end function
%>