<% 'Module: TechTxtMsg.asp

   'Description: This module is the top level Tech+Center TXT messaging module
   ' that polls for any new incoming TXT message requests.

   '(C) 2000, 2001, 2002 - 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/26/06	SAV		Created original TechTxtMsg.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow Tech/Write and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TechSendTextMsg.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% TextChatThread = Request.querystring("TextChatThread")
%>


<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


' We will now either update the (1) record or add a record
' to the TextAgentAvailable table with the current date and time
' so a customer will know if a text agent is available.


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

				SQL = "Select * from TextAgentAvailable"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		If NewRecord.EOF = True Then
			NewRecord.AddNew
		End IF


			NewRecord("Tech_ID") = CookieID ' Set this field with the Tech who made the last update.

			NewRecord("LastDateTime") = Now() ' Set the current date and time


		' Now add or update the record

		NewRecord.Update

' Comment out the error messages since it creates errors with SQL 2000

'	If  err.number>0 then
'	      response.write "VBScript Errors Occured:" & "<P>"
'	      response.write "Error Number=" & err.number & "<P>"
'	      response.write "Error Descr.=" & err.description & "<P>"
'	      response.write "Help Context=" & err.helpcontext & "<P>"
'	      response.write "Help Path=" & err.helppath & "<P>"
'	      response.write "Native Error=" & err.nativeerror & "<P>"
'	      response.write "Source=" & err.source & "<P>"
'	      response.write "SQLState=" & err.sqlstate & "<P>"
'	else
'	'      response.write "No VBScript Errors Occured" & "<P>"
'	end if
'
'
'	IF  conn.errors.count> 0 then
'	    response.write "Database Errors Occured" & "<P>"
'		for counter= 0 to conn.errors.count
'		      response.write "Error #" & conn.errors(counter).number & "<P>"
'		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'		next
'	else
'	      'response.write "No Database Errors Occured!" & "<P>"
'	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing





%>

<HTML>
<HEAD>

   <META HTTP-EQUIV="Refresh" CONTENT="<%=wc_TechCheckForTxtMsgRefreshRate%>">

   <TITLE><%=wc_Dispatcher_Status%></TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<center>

<% ' Display the Table of active text messages %>

<% ' Display the Table Headers %>

<TABLE class=TightTableWrapper cellspacing=1>
<TR>
<TD  class=ColumnLabel align=center>Thread</TD>
<TD  class=ColumnLabel align=center>Msg Status</TD>
<TD  class=ColumnLabel align=center>Last Tech Updated</TD>
<TD  class=ColumnLabel align=center>Customer/Company</TD>
<TD  class=ColumnLabel align=center>Connect</TD>

</TR>





<%

	StartNewAlertSound = "NO"

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2="select MessageStatus, Tech_ID, customer_id, TextChatThread from TextChat where MessageStatus <> 'CLOSED'"
	'mySQL2="select * from TextChat where MessageStatus <> 'CLOSED'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		TextChatHistory = "No Pending Txt Message Requests" ' Send out default Message
	Else

		do while not rstemp2.eof


		MessageStatus = rstemp2("MessageStatus")
		MessageThread = rstemp2("TextChatThread")
		Tech_ID = rstemp2("Tech_ID")
		customer_ID = rstemp2("Customer_ID")

%>


<TR>
<TD align=center class=TightBodyText>

	<%=MessageThread%>
</td>

<TD align=center class=TightBodyText>


	<% IF MessageStatus = "NEW" Then %>

	<Font color=red>
	<% End IF %>

	<%=MessageStatus%>

	<% IF MessageStatus = "NEW" Then %>
	</font>
	<% End IF %>



</td>


<TD align=center class=TightBodyText>


	<%

		Response.write ConnectedTechFullName(Tech_ID)
	%>


</td>


<TD align=center class=TightBodyText>


	<%

		Response.write GetCustomerName(Customer_ID)
	%>


</td>



<TD align=center class=TightBodyText>

       <a href='javascript:var w=window.open("TechChatFrame.asp?TextChatThread=<%=MessageThread%>","TextChat<%=MessageThread%>","width= 440,height=600,screenX=450,screenY=200,left=250,top=200,scrollbars=yes,resizable=yes")'>CONNECT</a></td></tr>

</td>
</tr>


<%

		If MessageStatus = "NEW" Then
			StartNewAlertSound = "YES"
		End IF


		rstemp2.MoveNext
		loop

	End If ' End of if not EOF

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End IF


%>

</center>

<% '****** User Customization *******
	' One can define a auto-repeating sound to appear here for new cases
	' The WAV sound can be customized below. This file should be placed into the
	' techcenter directory.


	If (StartNewAlertSound = "YES") AND (AlertSoundWaveFile <> "") Then

%>

<embed src="<%=AlertSoundWaveFile%>" autostart="true" loop="False" hidden="true" >

<% End If %>


</body>
</html>


<%
Function Format_Text_Msg_Text(TextChatHistory)

' This subroutines formats the case_text with the proper color coding conventions

NewText = TextChatHistory
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


	NewText = replace(NewText, chr(13)&chr(10), "<br>")



	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

' following formatting added when going to stylesheets
' we first remove all occurrences of <br><br>
' we then add a thinline (made by a skinny table) just before start of any font color change

    double_br = "<br>" & chr(13) & "<br>"
    thinline = "<table cellpadding=0 cellspacing=5 width=100% ><tr bgcolor=#808080 ><td height=1></td></tr></table>"

    'NOTE: 4/29/05 - Possible ASP compatibility issue found
    '**** Under SUN ONE ASP , this next statement can cause an error
    ' and may need to be commented out. (This is indeed necessary - confirmed by another site on 5/31/2005)

    If Application("MyOS") = "Linux" Then
      ' Do Nothing
    Else
       NewText = replace(NewText, double_br, "")
    End If

    newbreak1 = thinline & "<font color=#FF0000>"
    NewText = replace(NewText, "<font color=#FF0000>", newbreak1)
	Format_Text_Msg_Text = NewText


    newbreak2 = thinline & "<font color=#008000>"
    NewText = replace(NewText, "<font color=#008000>", newbreak2)

    NewText = NewText & thinline


	Format_Text_Msg_Text = NewText

End function
%>


<% Function ConnectedTechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here

			mySQL5="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp5=conntemp.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				ConnectedTechFullName = "Not Defined"
			Else
				ConnectedTechFullName = rstemp5("first_name") & " " & rstemp5("Last_name")
			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of TechFullName
	%>


<% Function GetCustomerName(Customer_ID)
	'This function gets the full name of the Customer and company


		If Customer_ID = "" Then
			GetCustomerName = "Not Defined"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here


			mySQL5 = "select * from Customers where customer_ID = '" & Customer_ID & "'"

			set rstemp5=conntemp.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				GetCustomerName = "Not Defined"
			Else
				GetCustomerName = rstemp5("contact_fname") & " " & rstemp5("contact_lname")
				If rstemp5("Company") <> "" Then
					GetCustomerName = GetCustomerName & "/(" & rstemp5("Company") & ")"
				End IF

			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of GetCustomerName
	%>


