<% 'Module: TestCookie.asp

   'Description: This module is used to test the setting of web+center cookie.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '04/30/2002	SAV		Created orginal test module
   '03/14/14    CMB     Changed image

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Send out the test cookie

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.

	 TechID = "TESTID" ' Send out fake ID of TESTID

	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

		 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
		 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90

%>


<html><!-- (C) 1996,1998, 1999, 2000, 2001, 2002  by Internet Software Sciences-->
<head>
<title>Cookie Test</title>
</head>
<body>
<center>
<table width=60% border=1 bgcolor=beige>
	<tr>
	<td>
	<center>
<img src=../language80/installtesthead.jpg>
	</center>
	<blockquote>

	A Web+Center Cookie has been sent to your browser.  To confirm that this cookie
	is properly set, click on the <B>Verify Cookie</b> link below to verify that the cookie has been set and
	can be read by the server properly.

	<P>

	<B><a href=VerifyCookie.asp>Verify Cookie</a></b>
	<P>
	Note: If this test fails, then you must check your cookie handling settings
	within your browser or try another browser and see if the cookie is properly saved
	with that browser.




	</blockquote></tr></tr></table>
	</center>

</td></tr></table>

<br>
</body>
</html>

