<% 'Module: TimeSpentByTechGroupByReferenceByDate.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '9/09/99		SAV		Created original OpenCasesByTech.asp page
   '10/5/01 	SAV		Create originalOpenCasesByCustoerByDate.asp module
   '02/18/02	SAV		Created OpenCasesByCompanyByDate.asp Page from AllCasesByCustomerByDate.asp
	'03/28/02	SAV		CreatedTimeSpentByCompanyByDate.asp Page from OpenCAsesByCompanyByDate.asp
	'04/01/02	SAV		CreatedTimeSpentByUserGroupByDate.asp Page from OpenCAsesByCompanyByDate.asp
	'04/01/02	SAV		CreatedTimeSpentByUserGroupByReferenceByDate.asp Page from TimeSpentByUserGroupByDate.asp
	'08/13/02	SAV		CreatedTimeSpentByTechGroupByReferenceByDate.asp page
	'08/13/11   CMB     UK Date Compliance only; giving wrong group totals!

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Time_Spent_Reports%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
    Call GetTimeSpentStuff(TimeSpentCategory,TimeSpentInterval)
    MinutesPerCategory = TimeSpentInterval


 ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
	'	Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)

		Start_Date_Encoded = Server.URLEncode(Start_Date)
		End_Date_Encoded = Server.URLEncode(End_Date)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_TIME_SPENT_REPORTS%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Time_Spent_By_Tech_Group_Reference%></font>
<br>
<font size=-2>This report returns number of cases closed and time spent for cases opened <br>within the specified date range
by tech group and case reference.
</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<form action=TimeSpentByTechGroupByReferenceByDate.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data

	' Only return Cases where the case status is closed (=1)

	WhereStatement = " Where Cases.Status = 1 "
	AndText = " AND "
	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_Date  >= '" & NewStartDate & "'"
		AndText = " AND "
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_Date  <= '" & NewEndDate & "'"
		AndText = " AND "
	End IF

	Start_Date_Encoded = Server.URLEncode(Start_Date)  ' this will be passed as either UK or US
	End_Date_Encoded = Server.URLEncode(End_Date)

%>

<%' First get all of the closed total count in this date range since we will need that for our percentage calculation

    'Get Total number of cases in this timeperiod
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases "  & Wherestatement
	'response.write "SQL" & mysql
	'response.flush
	'response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")  ' actually this is total CLOSED cases
	rstemp.close
	set rstemp=nothing

	Query = Server.URLEncode(WhereStatement)
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=F0F0F0><font size=-1><%=wc_Tech_Group%></th>
<th width=20% bgcolor=F0F0F0><font size=-1><%=wc_Reference%></th>

<th width=10% bgcolor=F0F0F0><font size=-1> # <%=wc_of_Cases%></th>
<th width=10% bgcolor=F0F0F0><font size=-1> <%=wc_Avg_Time_Spent%></th>
<th width=30% bgcolor=F0F0F0><font size=-1><%=wc_Total_Time_Spent%></th>
</tr>

<%
	If  TotalOpenCases = 0 then ' Check to see if any closed Cases
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Cases found </b></font></td></tr>
<%
	Else ' Must be one or more  Cases

			if TimeSpentCategory <> "" then
	 			sqltemp = "Select count(case_Number) as JobsClosed, sum(" & TimeSpentCategory & ") as TotalCompletionTime, "
	 		else
	 	 		sqltemp = "Select count(case_Number) as JobsClosed, "
			end if

			sqltemp = sqltemp & " Cases.group_number, External_case_number, Group_list.group_name FROM (Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN Group_list ON Cases.group_number = Group_list.group_number "

			sqltemp = sqltemp & WhereStatement
			sqltemp = sqlTemp & " GROUP BY Cases.Group_Number, Group_list.group_name, external_case_number  Order by Group_list.group_name, external_case_number"

		'response.write sqltemp
		'response.flush
		'response.end

			' Setup for the first one  outside of the loop

			NewCategoryCount = 0 ' Default this to zero first
			TotalCompletionTime = 0 ' Default To zero
			TotalJobsClosed = 0 ' Default to Zero
			CustomerOpenCases = 0  '

			bFirst = 1

			UserGroupTotalClosed = 0
			UserGroupTotalTime = 0

			set rstemp=Server.CreateObject("adodb.Recordset")
			set rstemp=conntemp.execute(sqltemp)

			do while not rstemp.eof
			'	CompanyEncoded = ""
				NewCategoryCount  = NewCategoryCount  + 1
				CompletionTime = 0 ' Default to zero

				' Check to see if this EXTERNAL CASE NUMBER is null or blank
				if IsNull(rstemp("External_case_number"))  Then
					customer = wc_No_Value
				Else
					If ASC(rstemp("External_Case_Number")) = 0 Then
						Customer = wc_No_Value
					Else
						Customer = rstemp("External_Case_Number")
					End If
				End If

				if IsNull(rstemp("External_Case_Number"))  Then
					NewUserGroup  = rstemp("Group_Name")
				Else
					NewUserGroup = rstemp("Group_Name")
				End If

				UserGroupEncoded =  Server.URLEncode(NewUserGroup)
				CompanyEncoded = Server.URLEncode(Customer)

				if bFirst = 1 then
					LastUserGroup = NewUserGroup
					bFirst = 0
				end if

				' Now compare Last GROUP  to see if they are the same.  If
				' they are the same then continue on until they change and then
				' output a record

				'**** output summary
				If LastUserGroup <> NewUserGroup then

					' Compute Avg Time Spent and Total Time Spent Strings
						If UserGroupTotalClosed <> 0 Then
							UserGroupAverageTime = Int(UserGroupTotalTime*MinutesPerCategory/UserGroupTotalClosed)
						Else
							UserGroupAverageTime = 0
						End IF

		    	' Compute Total Time Spent
				  'Compute the time and display it in hours and minutes if greater than 60
				  TotalMinutes = Int(UserGroupTotalTime*MinutesPerCategory)
					If TotalMinutes <=60 then
						TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
					Else
						TotalHours = int(TotalMinutes/60)
						TotalMinutes = TotalMinutes - TotalHours*60
						TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " &  wc_Minutes
					End IF

	%>
            		<tr>
					<td bgcolor=F0B0D0><font size=-1><Br></td>
					<td bgcolor=F0B0D0 align=right><font size=-1><B>-------<%=wc_Tech_Group%>: 	<%= LastUserGroup %>
					<br><%=wc_Sub_Total%>:</b></font></td>
					<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupTotalClosed%></font><br></td>
					<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupAverageTime%></font></td>
					<td bgcolor=F0B0D0 align=center><font size=-1><%=TotalTimeSpent%></font></td>
					</tr>

	<%
					' Now reset variables
						UserGroupTotalClosed = 0
						UserGroupTotalTime = 0
            End if

			'***** do calculation
			JobsClosed = rstemp("JobsClosed")

			If TimeSpentCategory <> ""  Then
				CompletionTime = rstemp("TotalCompletionTime")
			End IF

			TotalJobsClosed = TotalJobsClosed + JobsClosed
			TotalCompletionTime = TotalCompletionTime + CompletionTime
			UserGroupTotalClosed = UserGroupTotalClosed + JobsClosed
			UserGroupTotalTime = UserGroupTotalTime + + CompletionTime

			AverageCompletionTime = Int(CompletionTime*MinutesPerCategory/JobsClosed)

		  'Compute the time and display it in hours and minutes if greater than 60
			If AverageCompletionTime <=60 then
				AverageCompletionTimeString =  AverageCompletionTime & " " & wc_Minutes
			Else
				TotalAvgHours = int(AverageCompletionTime/60)
				TotalAvgMinutes = AverageCompletionTime - TotalAvgHours*60
				AverageCompletionTimeString =  TotalAvgHours & " " &  wc_Hrs & " " & TotalAvgMinutes & " " & wc_Minutes
			End IF

		  	TotalMinutes = Int(CompletionTime*MinutesPerCategory)
		 	If TotalMinutes <=60 then
				TotalTimeSpent =  TotalMinutes &  " " & wc_Minutes
			Else
				TotalHours = int(TotalMinutes/60)
				TotalMinutes = TotalMinutes - TotalHours*60
				TotalTimeSpent =  TotalHours & " " & wc_Hrs  & " " & TotalMinutes & " " & wc_Minutes
			End IF

			' OUTPUT THE RECORD
%>
<tr>
<td><font size=-1><%=NewUserGroup%></td>

<td><font size=-1>
<a href=TimeSpentByTechGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&GroupName=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=Customer%></a>
</td>

<td align=center><font size=-1><%=JobsClosed %></td>
<td align=center><font size=-1><%=AverageCompletionTime %></td>
<td align=center><font size=-1><%=TotalTimeSpent %></td>
</tr>

<%
			rstemp.movenext
			LastUserGroup = NewUserGroup
		loop

		rstemp.close ' Close the record set and the connection
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	end if ' not rstemp.eof

%>


<%	'****** User Group Sub Totals *********************************


		' Compute Avg Time Spent and Total Time Spent Strings
			If UserGroupTotalClosed <> 0 Then
				UserGroupAverageTime = Int(UserGroupTotalTime*MinutesPerCategory/UserGroupTotalClosed)
			Else
				UserGroupAverageTime = 0
			End IF

	' Compute Total Time Spent
	  'Compute the time and display it in hours and minutes if greater than 60
	  TotalMinutes = Int(UserGroupTotalTime*MinutesPerCategory)
		If TotalMinutes <=60 then
			TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
		Else
			TotalHours = int(TotalMinutes/60)
			TotalMinutes = TotalMinutes - TotalHours*60
			TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " &  wc_Minutes
		End IF
%>
	<tr>
	<td bgcolor=F0B0D0><font size=-1><Br></td>
	<td bgcolor=F0B0D0 align=right><font size=-1><B>-------<%=wc_Tech_Group%><br><%=wc_Sub_Total%>:</b></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupTotalClosed%></font><br></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupAverageTime%></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=TotalTimeSpent%></font></td>
	</tr>


<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1><br></td>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  Summary Total:</b>

<%
	' Compute summary values
		If TotalJobsClosed <> 0 Then
			TotalAverageCompletionTime = Int(TotalCompletionTime*MinutesPerCategory/TotalJobsClosed)
			If TotalAverageCompletionTime <=60 then
				TotalAverageCompletionTimeString =  TotalAverageCompletionTime & " Minutes"
			Else
				TotalAvgHours = int(TotalAverageCompletionTime/60)
				TotalAvgMinutes = TotalAverageCompletionTime - TotalAvgHours*60
				TotalAverageCompletionTimeString =  TotalAvgHours & " Hrs " & TotalAvgMinutes & " Minutes"
			End IF
		Else
			TotalAverageCompletionTimeString = "0 Min"
		End IF

		' Compute Total Time Spent
	  'Compute the time and display it in hours and minutes if greater than 60
	  TotalMinutes = Int(TotalCompletionTime*MinutesPerCategory)
		If TotalMinutes <=60 then
			TotalTimeSpent =  TotalMinutes & " Minutes"
		Else
			TotalHours = int(TotalMinutes/60)
			TotalMinutes = TotalMinutes - TotalHours*60
			TotalTimeSpent =  TotalHours & " Hrs " & TotalMinutes & " Minutes"
		End IF
%>

</td>
<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalJobsClosed%></b></td>
<td align=center bgcolor=FFFFFF NOWRAP><font size=-1><%=TotalAverageCompletionTimeString%></td>
<td bgcolor=FFFFFF align=center><font size=-1><%=TotalTimeSpent%></td>
</tr>

	<%' Close the Table %>
</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
</body>
</html>


