<%  ' Module: TimeSpentByUserGroupReferenceDetail.asp
	'
	' Description: Page showing Time Spent Detail for specific company/Date Range
	'
	' (C) 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'4/26/01	AJS		Changed Search By Case Status to work properly
	'4/01/02	SAV		Modified DoSearch to Display TimeSpentByCompanyDetail
	'08/13/11   CMB     UK Date Compliance only

%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Company = Request.Querystring("Company")
	Reference = Request.Querystring("Reference")
	ResultsView= "BRIEF"
	Start_Date = Request.querystring("Start_Date")
	End_Date = Request.querystring("End_Date")
	UserGroup = Request.Querystring("UserGroup")

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Time_Spent_Reports%></TITLE>
<!-- (C) 1996,1998, 1999, 2000,2001, 2002 by Internet Software Sciences -->
</HEAD>

<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
    Call GetTimeSpentStuff(TimeSpentCategory,TimeSpentInterval)
    MinutesPerCategory = TimeSpentInterval
%>
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_TIME_SPENT_REPORTS%></font>
</td>
<td bgcolor=F0E0F0 align=center >
<font size=+1><%=wc_Tech_Group%>  <font color=red><%=Group_Name%> </font><br>
<%=wc_User_Group_Time_Spent_Report_for_Reference_Number%><font color=red>
&nbsp;<%=Reference%> </font></font>
</B>
<br><font color=blue size=-1>
<% if Start_Date = "" then
		if End_Date = "" then
			response.write "current"
		else
			response.write " - " & end_Date
		end if
	else
		response.write start_Date
		if end_Date > "" then
			response.write " - " & end_Date
		else
			response.write " - current "
		end if
	end if
%>

</font>
<br>
<font size=-2>This report shows details about the cases for this group/reference number.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>

<%

	' Build the query based on the passed input fields

	mySQL2 ="SELECT Cases.case_number, Cases.tech_id, Cases.case_one_line, Cases.customer_id, Cases.c1, Cases.c2,  Cases.c3,  Cases.c4,  Cases.c5,  Cases.c6,  Cases.c7,  Cases.c8,  Cases.c9,  Cases.c10,  Cases.c11,  Cases.c12,  Cases.c13,  Cases.c14, Cases.open_date, Cases.open_time, Cases.mod_date, Cases.mod_time, Cases.status, Customers.company, Customers.contact_lname, Customers.contact_fname FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id "

	mySQL2 = "SELECT Cases.case_number, Cases.case_summary, Cases.case_resolution, Cases.External_case_Number, Cases.customer_id, Cases.open_date, Cases.open_time, Cases.mod_time, Cases.mod_date, Cases.case_one_line, Cases.status, Cases.c1, Cases.c2, Cases.c3, Cases.c4, Cases.c5, Cases.c6, Cases.c7, Cases.c8, Cases.c9, Customers.contact_fname, Customers.contact_lname, EmailCategory.EmailCategory, EmailCategory.EmailCategoryID, Customers.company FROM ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) INNER JOIN EmailCategory ON EmailCategoryLinks.EmailCategoryID = EmailCategory.EmailCategoryID "


	WhereStatement = Query

	If Reference = "-No Value-" Then
		WhereStatement = WhereStatement  & " AND EmailCategory = '" & UserGroup & "' AND External_Case_Number IS NULL"
	Else
		WhereStatement = WhereStatement & " AND EmailCategory = '" & Usergroup & "'  AND External_Case_Number = '" & Reference & "'"

	End If

	mySQL2 = mySQL2 & WhereStatement & " Order by EmailCategory"

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' Uncomment Line here to debug SQL statement
	'response.write mySQL2
	' * * * * * * ** * * * * * * * * * * * * * * * * *

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query




	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>


	 <center><B> <%=RecordsFound%> &nbsp;<%=wc_Cases_Found%></b> <br></center><P>

	</font>


	<%
	' Check to see if any records are returned
	' if none found the

		count = 0



%>
		<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>
		<th bgcolor=D0E0F0><font size=-1><%=wc_case%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Customer%>/<br><%=wc_User_Group%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Opened%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Closed%></th>
		<th bgcolor=D0E0F0 width=50%><font size=-1><%=wc_Description%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Time_Spent%></th>
		</tr>
<%

		do while not rstemp.eof

		' Start to display each case record summary
%>

<TR>
<TD ALIGN=CENTER valign=top><FONT SIZE=-1><B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B><br><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ALIGN=CENTER valign=top><FONT size=-1><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A><br><%=UserGroup%></FONT></TD>

<% ' Date and Time must be reformatted from the internal Text format of:
	' YYYYMMDD to mm/dd/yyyy
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in DB_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If DateDisplayFormat = "DDMMYYYY" Then
		ConvertedOpenDate =   mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),1,4)
	Else
		ConvertedOpenDate = mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),1,4)
	End IF

	ConvertedOpenTime = mid(rstemp("Open_time"), 1,2) & ":" & mid(rstemp("Open_time"),3,2)

	ConvertedHour = int(mid(rstemp("Open_time"),1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedOpenTime = CStr(ConvertedHour) & mid(ConvertedOpenTime, 3,3)
	Else
		AMPM = " AM"
	End If


%>
<td align=center valign=top><font size=-1>
<%=ConvertedOpenDate%><Br>
<%=ConvertedOpenTime%><%=AMPM%>


</FONT>
</TD>

<TD ALIGN=CENTER valign=top>

<FONT SIZE=-1>
<% ' Date and Time must be reformatted from the internal Text format of:
	' YYYYMMDD to mm/dd/yyyy
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in DB_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If DateDisplayFormat = "DDMMYYYY" Then

		ConvertedmodDate = mid(rstemp("mod_date"),7,2) & "/" & mid(rstemp("mod_date"),5,2)  &  "/" & mid(rstemp("mod_date"),1,4)
	else ' Default to US version
		ConvertedmodDate = mid(rstemp("mod_date"),5,2) & "/" & mid(rstemp("mod_date"),7,2) & "/" & mid(rstemp("mod_date"),1,4)
	End IF

	ConvertedmodTime = mid(rstemp("mod_time"), 1,2) & ":" & mid(rstemp("mod_time"),3,2)

	ConvertedHour = int(mid(rstemp("mod_time"),1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedmodTime = CStr(ConvertedHour) & mid(ConvertedmodTime, 3,3)
	Else
		AMPM = " AM"
	End If


%>

<%=ConvertedModDate%><Br>
<%=ConvertedModTime%><%=AMPM%>



</FONT>
</TD>


<% ' Get the Case Summary/Resolution information

	'*********** USER Customizations ***********************
	Include_Case_Info = 1 ' Uncomment this line to display summary/resolution
	Max_Info_Length = 100 ' Change this size if necessary
	'****************End of User Customizations ************************

	Adjusted_Case_Resolution = ""
	Adjusted_Case_summary = ""

	Case_Resolution =  rstemp("Case_Resolution")
	If Case_Resolution <> "" Then
		Adjusted_Case_Resolution = mid(Case_Resolution, 1, Max_Info_Length)
		Adjusted_Case_Resolution = "<B>Resolution:</b> " & Adjusted_Case_Resolution
		If Len(Case_Resolution) > Max_Info_Length Then
			Adjusted_case_Resolution = Adjusted_case_resolution & "<B><font color=red>. . . </font></b>"
		End If
	End IF

	Case_Summary = rstemp("Case_summary")
	If Case_Summary <> "" Then
		Adjusted_Case_summary = mid(Case_Summary, 1, Max_Info_Length)
		Adjusted_Case_Summary = "<B>Summary: </b>" & Adjusted_Case_Summary
		If Len(case_Summary) > Max_Info_Length Then
			Adjusted_Case_summary = Adjusted_case_summary & "<B><font color=red>  . . . </font></b>"
		End If
		Adjusted_Case_Summary = Adjusted_case_summary & "<br>"
	End IF



%>


<TD valign=top>
<FONT SIZE=-1><B><U><%=rstemp("Case_One_Line")%></u></b>
<% if Include_Case_Info = 1 then %>

<br>
<%=Adjusted_Case_summary%>
<%=Adjusted_Case_Resolution%>

<%End If %>


<TD ALIGN=CENTER valign=top>
<font size=-1>

<% ' Compute time spent

	CompletionTime = CompletionTime + rstemp(TimeSpentCategory)
	TotalCompletionTime = TotalCompletionTime + CompletionTime
	  TotalMinutes = Int(CompletionTime*MinutesPerCategory)
		If TotalMinutes <=60 then
			TotalTimeSpent =  TotalMinutes & " " & wc_Min
		Else
			TotalHours = int(TotalMinutes/60)
			TotalMinutes = TotalMinutes - TotalHours*60
			TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " & wc_Min
		End IF

%>
<%=TotalTimeSpent%>

</TD>
</TR>


<%
			rstemp.movenext
			count = count + 1
			CompletionTime = 0
		loop

' Display the summary row

	  TotalMinutes = Int(TotalCompletionTime*MinutesPerCategory)
		If TotalMinutes <=60 then
			TotalTimeSpent =  TotalMinutes & " " & wc_Min
		Else
			TotalHours = int(TotalMinutes/60)
			TotalMinutes = TotalMinutes - TotalHours*60
			TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " & wc_Min
		End IF


%>

<tr>
<td bgcolor=FFFFFF>
<font size=-1><br></font>
</td>
<td bgcolor=FFFFFF>
<font size=-1><br></font>
</td>
<td bgcolor=FFFFFF>
<font size=-1><br></font>
</td>
<td bgcolor=FFFFFF>
<font size=-1><br></font>
</td>

<td bgcolor=FFFFFF align=right>
<font size=-1><B> ----<%=wc_Total%>----></b></font>
</td>

<td bgcolor=FFFFFF>
<font size=-1><B><%=TotalTimeSpent%></b>
</font>
</td>
</tr>
</table>


<%
	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>





<%End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>



<%Function Format_Case_Text_Old(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = ""

	LenCaseText = Len(Case_text)
	i = 1




	Do while i <= LenCaseText

		CurrentChar = mid(Case_text, i,1)

		If i <= LenCaseText - 3 Then ' Check to see if special format characters in string

			If CurrentChar = "{" Then

				If  mid(Case_text, i+1, 1) = "g" AND  mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#008000 size=-1>"
					i = i + 3


				ElseIf  mid(Case_text, i+1, 1) = "r" AND mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#FF0000 size=-1>"
					i = i + 3
				End If

			ElseIf CurrentChar = "]" THEN

				If mid(Case_text, i+1, 1) = "g" AND mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3

				ElseIf mid(Case_text, i+1, 1) = "r" AND  mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3
				End If

			ElseIf CurrentChar = chr(13) Then
				NewText = NewText & "<br>"
				i = i + 1
			Else
				NewText = NewText & Mid(case_text, i,1)
				i = i + 1
			End If
		Else ' Else if LenCaseText  is less than 3 characters from the end
			NewText = NewText & Mid(case_text, i,1)
			i = i + 1
		End If
	Loop

	Format_Case_Text_Old = NewText



End function
%>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>

