<% 'Module: UnassignedAssetsRpt.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.

   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/01/12 CMB		Created original from InspectionReport.asp
   '02/12/12 CMB     Added where to sql statement - i think this was showing all assets whether assigned or not;
   '                 added comment out for sbcc-age specific things

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
  	Call SetLocale (1033) ' this is needed if using Month and day and other cstring functions CMB 08/15/2011

%>
<%
	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ReportAgeAsOf = "12/31/" & DatePart("yyyy",Date())
	bIsTech = IsTech()
	nPERPAGE = 50

	MAXPAGES = 180  ' SBCC

	SortBy = "Assets.Asset_Number"
%>

<%
' *** to customize this report changes the following values
 Field2 =  wc_Customer   'Computer_ID_Label   ' Computer name  CUSTOMER NAME
 sField2 = "Computer_ID"  ' leave as is, overwrite later with value

 Field1 =  Serial_Number_Label  ' Serial Number
 sField1 = "Serial_Number"

 Field3 = Monitor_model_Label  ' System model
 sField3 = "Monitor_model"

 Field4 = Lease_Or_Purchase_Label ' System Status
 sField4 = "Lease_Or_Purchase"

 Field5 = Location_Label  ' building
 sField5 = "Location"

 Field6 = Assigned_Group_Label  ' Room
 sField6 = "Assigned_Group"  ' hopefully this isn't a dropdown

 Field7 = Monitor_Serial_Number_Label  ' Status
 sField7 = "Monitor_Serial_Num"  ' hopefully this isn't a dropdown

 Field8 = Custom_field_2_Label   ' App_1_Label '
 sField8 = "Custom_field2"   ' "App1"

 Field9 = Custom_field_3_Label   'Date_put_into_service_Label ' date installed
 sField9 = "Custom_field3"  '"Date_in_service"

 Field10 = Processor_Speed_Label  'refresh
 sField10 = "Processor_Speed"


  '    Select computerName, SerialNumber, SystemModel, #Cases (LINK), SystemStatus, Building, Location, ShipDate, InstallDate, Age (shipdate), asset_Number

		sFields =  "App1, " & sField1 & ", " & sField2 & ", " & sField3
		sFields = sFields & ", " & sField4 & ", " & sField5 & ", " & sField6 & ", " & sField7 & ", " & sField10 & ",  AssetAssignment.Tech_ID "
		sFields = sFields & ", "  & sField8 & ", "& sField9 &  " , AssetAssignment.Customer_ID, Assets.Asset_Number "
		mySQL2 = "Select " & sFields & " from Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"
   mySql2 = mySql2 & " where assetassignment.asset_number is null "  ' added this 02/21/12
	mySQL2 = mySQL2  & " Order by " & SortBy

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

		RecordsFound = rstemp.recordcount
	%>

	<!--   HEADER -->
	<!-- REPORT HEADER -->

	<title>Inspections Report</title>
	</head>

	<body bgcolor="<%=UserPageColor%>">
	<center>
	<table border=1 width=95%>
	<tr>
	<td align=center bgcolor=F0F0BO>
	<font size=+1><%=wc_Unassigned_Assets_report%></font>
	<br><Font size=-2>This report shows assets which are not assigned to either a tech, customer, or another asset.</font>

	</td>
	<td bgcolor=F0E0F0 align=center>
		&nbsp;<%=RecordsFound%>&nbsp;
		<%=wc_matching_records%>.

		<td align=center bgcolor=B0F0F0 >
	<font size=-1><%=Now%></font>
	</td>
	</tr></table>
	</center>

<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
<p>
	<% sURL=curPageURL & "?Page=1&PerPage=" & nPerPage & "&Query=&Sortby=&RptAgeOf=" %>


	<% ' **************** Page Numbers   Algorithm for showing more pages
	'	Take the number of matching records and divide by nPERPAGE.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages


	If RecordsFound > 0 Then
		NumOfPages = Int((RecordsFound-1)/nPERPAGE)  + 1  ' cmb actually subtract one first
		If NumOfPages > MAXPAGES Then ' changed 01/31/2012
			NumOfPagesShown = MAXPAGES      ' changed 01/31/2012
		Else
			NumofPagesShown = NumOfPages ' changed 01/31/2012
		End If
	End If

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPagesShown
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
			%>
			<a href="UnassignedAssetsRpt.asp?Page=<%=i%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=i%></a>
			<%
			End If
			response.write chr(10)& chr(13)
		next

		if cint(CurrentPage) > NumofPagesShown then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		If CInt(CurrentPage) < NumOfPages then 'dont show next if last page
		%>
		&nbsp;&nbsp;&nbsp; &nbsp;<a href="UnassignedAssetsRpt.asp?Page=<%=CurrentPage+1%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=wc_Next%>.. &gt;&gt; </a>
		<%
		End If
		response.write "<P></font>"
	End If

		count = 0

		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" and Page <> "1" Then ' calculate record Number
			PageNum = ((CInt(Page)-1)*nPERPAGE)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

%>
		<!-- TABLE HEADER -->
		<CENTER>
		<TABLE BORDER CELLSPACING=2 CELLPADDING=2 WIDTH="98%" >
		<tr>
		<td class=formlabelsuper align=center><%=wc_Asset%></td>
		<td class=formlabelsuper align=center><%=Field1%></td>
		<td class=formlabelsuper align=center><%=Field3%></td>
		<td class=formlabelsuper align=center><%=Field4%></td>
		<td class=formlabelsuper align=center><%=Field5%></td>
		<td class=formlabelsuper align=center><%=Field6%></td>
	<%	IF SBCC = "YES" Then %>
		<td class=formlabelsuper align=center>Age Today</td>
		<td class=formlabelsuper align=center>Age on <br><%=ReportAgeAsOf%></td>
	<%	END IF %>
		<td class=formlabelsuper align=center><%=Field7%></td>

		<td class=formlabelsuper align=center><%=Field8%></td>
		<td class=formlabelsuper align=center><%=Field9%></td>
		<td class=formlabelsuper align=center><%=Field10%></td>
			<td class=formlabelsuper align=center><%=wc_Tech%></td>

		<% if SBCC <> "YES" THEN %>

		<% if  bIsTech then %>
		<td class=formlabelsuper align=center><%=wc_Number_of_Cases%></td>
		<% end if %>
		<% END IF %>
		</tr>
<%

		do while not rstemp.eof AND Count < nPERPAGE
		   ' Start to display each case record summary
			cnt = GetCaseCount(rstemp("asset_number"))
%>
			<TR>
				<TD ALIGN=CENTER NOWRAP  class=datavalue>
<% if bIsTech then %>
					<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A>
					&nbsp;&nbsp;
					<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
					<IMG SRC="newwindow.gif" BORDER=0 ></A>
				&nbsp;</TD>
<% else %>
		<%=rstemp("asset_Number")%>&nbsp;</TD>
<% end if %>

			<TD class=datavalue><%=rstemp(sField1)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField3)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField4)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField5)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField6)%>&nbsp;</TD>

<%
		IF SBCC = "YES" Then

			' Calculate Age using above formatted date
			if isValidDateInput(rstemp("App1"),DateDisplayFormat) then  ' mm/dd/yyyy
				s=GetAgeAsOf(rstemp("App1"),Date(),DateDisplayFormat)  ' changed 01/31/2012
				's=GetAge(rstemp("App1"),DateDisplayFormat)
			else
				s="N/A"
			End If
%>
			<TD class=datavalue><%=s%>&nbsp;</TD>
<%  ' AGE AS OF
			' Calculate Age using above formatted date
			if isValidDateInput(rstemp("app1"),DateDisplayFormat) and IsValidDateInput(ReportAgeAsOf,DateDisplayFormat) then  ' mm/dd/yyyy
				s=GetAgeAsOf(rstemp("app1"),ReportAgeAsOf,DateDisplayFormat)
			else
				s="N/A"
			End If
%>
			<TD class=datavalue><%=s%>&nbsp;</TD>
<% end if 'sbcc %>

			<TD class=datavalue><%=rstemp(sField7)%>&nbsp;</TD>

			<TD class=datavalue><%=rstemp(sField8)%>&nbsp;</TD>

			<TD class=datavalue><%=rstemp(sField9)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField10)%>&nbsp;</TD>
<% if SBCC <> "YES" THEN %>
			<% ' case count is a link to the cases table %>
			<% if bIsTech then %>
				<TD ALIGN=CENTER NOWRAP  class=datavalue>

					<%=cnt%>&nbsp;&nbsp;
					<A HREF="DisplayCasesForAssetNumber.asp?asset_number=<%=rstemp("asset_number")%>"  target=pending_screen>
					<img src=topframe.gif border=0></A>
					&nbsp;&nbsp;
					<A HREF="DisplayCasesForAssetNumber.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
					<IMG SRC="newwindow.gif" BORDER=0 ></A>
				&nbsp;</TD>
			<% end if %>
	<% END IF 'not SBCC %>
	<%
				If IsNull(rstemp("Tech_ID")) then
					sTechID = "Unassigned"
				else
					sTechID = techfullname(rstemp("Tech_ID"))
				End If
				%>
				<TD class=datavalue><%=sTechID%>&nbsp;</TD>

			</TR>

<%
			rstemp.movenext
			count = count + 1
		loop

		response.write "</table>"
	rstemp.close
	set rstemp=nothing

%>
<P>

	<% ' **************** BOTTOM Page Numbers   Algorithm for showing more pages

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPagesShown ' changed 01/31/2012
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
			%>
			<a href="UnassignedAssetsRpt.asp?Page=<%=i%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=i%></a>
			<%
			End If
			response.write chr(10)& chr(13)
		next

		if cint(CurrentPage) > NumofPagesShown then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		If CInt(CurrentPage) < NumOfPages then ' Don't show next if on last pages
		%>
		&nbsp;&nbsp;&nbsp; &nbsp;<a href="UnassignedAssetsRpt.asp?Page=<%=CurrentPage+1%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=wc_Next%>.. &gt;&gt; </a>
		<%
		End If
		response.write "<P></font>"
	End If
	' END OF BOTTOM PAGE
%>
<%'End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>


<% Function IsTech()
		Dim bReturn
		bReturn = false

		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		if CookieID > "" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="SELECT Tech_Level from Tech_staff where Tech_ID = '" & CookieID & "'"
			set rstemp=conntemp.execute(mySQL2)
			If NOT rstemp.EOF Then
				If not isNull(rstemp("Tech_Level")) then
					bReturn = true
				end if
			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		End If
		IsTech = bReturn
	End Function

 %>
<%
  	Function GetAgeAsOf(sDate1,sDate2,DateFormat) ' returns age in years with one decimal place 10/27/2011
  		Dim sDate
  		Dim sAsOf

  		sDate = sDate1
		sAsOf = sDate2

  		Locale = GetLocale()
  		Call SetLocale (1033)

  		nAge = 0
  		on error resume next
		if isValidDateInput(sDate, DateFormat) and isValidDateInput(sAsOf, DateFormat) then
			if DateFormat = "DD/MM/YYYY" then
				sDate = SwitchMonthDate(sDate)
				'sAsOf = SwitchMonthDate(sDate2)
			End If
			d=datediff("d",sDate,sAsOf)
		  ' m=datediff("m",sDate,sAsOf)
			nAge=formatNumber(d/365.25,1)  ' 2 decimal 02/06 12
			'nAge=formatNumber(m/12,1)
		End If
  		Call SetLocale(Locale)
  		GetAgeAsOf = nAge

  	End Function
%>
<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>
<%
function curPageURL()
' This function returns the URL of this page so it can be sent in an email for viewing the report with the search parameters

 dim s, protocol, port

 if Request.ServerVariables("HTTPS") = "on" then
   s = "s"
 else
   s = ""
 end if

 protocol = strleft(LCase(Request.ServerVariables("SERVER_PROTOCOL")), "/") & s

 if Request.ServerVariables("SERVER_PORT") = "80" then
   port = ""
 else
   port = ":" & Request.ServerVariables("SERVER_PORT")
 end if

 curPageURL = protocol & "://" & Request.ServerVariables("SERVER_NAME") &_
              port & Request.ServerVariables("SCRIPT_NAME")
end function

function strLeft(str1,str2)
 strLeft = Left(str1,InStr(str1,str2)-1)
end function
%>
<%
Function GetCaseCount(nAss)
' This function returns the number of cases associated with a given asset number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL4="SELECT count(Case_Number) as cnt from cases where Asset_Number = " & nAss
		set rstemp4=conntemp.execute(mySQL4)

		If rstemp4.EOF  Then
			GetCaseCount = 0
		Else
			GetCaseCount = rstemp4("cnt")
		End If

		rstemp4.close
		set rstemp4=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

End Function
%>