<% ' This top line is required to prevent the SessionID cookie from being set %>
<%  ' Module: UpdateKB.asp
	'
	' Description: Update Module for Knowledge Base
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
%>

<% ' Set the Script Timeout value to something fairly large
	' You may need to increase this if you are sending to large volume of customers

	Server.ScriptTimeOut = 10000 ' Set to 1200 seconds (20 minutes)

%>



<% 'Define the DSN for this database %>
<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow any tech  to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "UpdateKB.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% 'Get the KB Configuration options %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from KBConfiguration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		LastUpdate = ""
		IncludeOneLine = "?"
		IncludeHistory =  "?"
		IncludeSummary ="?"
		IncludeResolution = "?"

	Else
		LastUpdate = rstemp2("LastKBDate")
		If rstemp2("IncludeOneLine") = True THEN
			IncludeOneLine = "YES"
		Else
			IncludeOneLine = "NO"
		End If

		If rstemp2("IncludeHistory") = True THEN
			IncludeHistory = "YES"
		Else
			IncludeHistory = "NO"
		End If


		If rstemp2("IncludeSummary") = True THEN
			IncludeSummary = "YES"
		Else
			Includesummary = "NO"
		End If


		If rstemp2("IncludeResolution") = True THEN
			IncludeResolution = "YES"
		Else
			IncludeResolution = "NO"
		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form

	' This page can be called 5 different ways including:
	' Method (1) Update all cases modified since last update
	'	For this case, it is a Get Method LastDate Parameter passed
	' 	and record count = 0.
	'
	' Method (2) Update all cases into knowledge base
	' 	For this case, NextRecordCount = 0 and No LastDate Parameter is passed
	'
	' Method (3) Update cases created after passed LastDate
	'	This form based method is passed the LastDate as a form element
	'	and the NextRecordCount= 0
	'
	' Method (4) Process one Case with specified case number
	'	This method is where a form passed one form element, casenumber.

	' Method (5) - Methods 1-3 will cause the page to auto-refresh and
	' process one case after another.  When it is running the multiple
	' pages, the NextRecordCount variable is passed is greater than zero.


	'Get Form Method Parameters


	Start_date = Request.querystring("LastUpdate")
	Query = Request.querystring("Query")
	If Query <> "" Then
			URLQuery = Server.URLEncode(Query)
	End If
	UpdateType = request.querystring("UpdateType")

	' Future Method called from link
	Process_Case_number = request.querystring("CaseNumber") ' check if case number is passed

	' Methods (1-3)
	NextRecordCount = Request.querystring("NextRecordCount")


	Submit = request.form("Submit") ' Get the Button Name

	' Get the form variables if we are passing form data
	If Submit = "Process Knowledge Base" THEN ' Method (2)

		Start_Date = Request.form("Start_date")
		NextRecordCount = request.form("NextRecordCount")
	End If


	' Method (4) - Process one case
	If Submit = "Process One Case" THEN
		Process_Case_number = Request.form("Casenumber")'
		NextRecordCount = 0
	End If


	' Start to Create the query based on the passed fields

	' Date Ranges - Convert passed date ranged into internal format of YYYYMMDD

	If Start_Date <> "" Then
		Start_Date = Replace (Start_Date, "/", "") ' Remove slashes
		NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

		WhereStatement = " WHERE Cases.Mod_Date >= '" & NewDate & "'"
		AndText = " AND "
	End If

	If Process_Case_number <> "" Then
		WhereStatement = "WHERE Cases.Case_number = " & Process_case_number
	End If

	If Start_Date <> "" Then ' Method 1
		NextRecordCount = 0
	End If


	' Before we get started, we need to determine if we have reached the end
	' of the cases found by the query to add to the knowledgebase.
	' This test will allow us to put a refresh tag is there are other cases still
	' to be processed.

		If NextRecordCount <> "" Then
			mySQL2 = "Select * from Cases "

			If Query <> "" Then
				WhereStatement = Query ' See if Query is passed as part of the link
			End If

			mySQL2 = mySQL2 & WhereStatement & " Order by Case_Number"

			'response.write mySQL2

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the Connection again

			set rstemp = Server.CreateObject("adodb.recordset")
			rstemp.open mySQL2, conntemp, adopenstatic

			If rstemp.BOF = True or rstemp.EOF = True THEN
				Refresh = "NO"
			ElseIf NextRecordCount <> "" Then
					rstemp.Move NextRecordCount
			End If

			If rstemp.BOF = True OR rstemp.EOF = True THEN
				Refresh = "NO"
			End IF

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

	End If ' End of If NextRecordCount <> ""

	' Display the Main body of the page %>


<HTML>
<HEAD>
   <TITLE>Knowledge Base Update</TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<% ' Put in refresh tag if we are stepping through the Cases

	If NextRecordCount <> "" AND Refresh <> "NO" Then
		NewNextRecordCount = NextRecordCount + 1
		If WhereStatement <> "" Then
			URLQuery =Server.URLEncode(WhereStatement) ' Get the query ready for URL
		End If
		response.write "<meta http-equiv=""Refresh"" content = ""10; URL=UpdateKB.asp?NextRecordCount=" & NewNextRecordCount &"&Query="&URLQuery&""">"
	End If
%>

</HEAD>


<body bgcolor="<%=UserPageColor%>">

&nbsp;
<TABLE BORDER CELLSPACING=2 CELLPADDING=10 WIDTH="98%" >
<TR>
<TD>
<CENTER><B><FONT SIZE=+1><%=wc_Knowledge_Base_Update%></FONT></B></CENTER>

</TD>
</TR>
</TABLE>



<% ' Check to see if refresh is set to NO. If it is, then display a complete page

  If NextRecordCount = "" OR Refresh = "NO" Then%>
		<font size=-1 face=arial>
		<UL>
		<B><%=wc_The_requested_KB_update_completed%></b><P>
		<a href=KBoptions.asp><B><%=wc_Return_to_KB_Options%></b></a>
	<%Else

	' Build the query based on the passed input fields

	mySQL2 = "Select * from Cases "

	If Query <> "" Then
		WhereStatement = Query ' See if Query is passed as part of the link
	End If

	mySQL2 = mySQL2 & WhereStatement & " Order by Case_Number"

	'response.write mySQL2

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the Connection again

	set rstemp3 = Server.CreateObject("adodb.recordset")
	rstemp3.open mySQL2, conntemp, adopenstatic

	if rstemp3.EOF <> True OR rstemp3.BOF <> True Then

		If NextRecordCount <> "" Then
			rstemp3.Move NextRecordCount
		End If

	End IF

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp3.recordcount

	%>

	<% If NextRecordCount = "" Then%>
	 <center><%=wc_Proccessing%> &nbsp;   <%=RecordsFound%>  &nbsp; <%=wc_Case_records%><br></center><P>
	<%Else%>
	<%
		RecordNumber = NextRecordCount + 1
	%>
	 <center><%=wc_Proccessing_Record%>&nbsp;<%=RecordNumber%>&nbsp;<%=wc_Of_Total%>&nbsp;<%=RecordsFound%>&nbsp;<%=wc_Case_records%>&nbsp;<%=wc_Matching_start_criteria%> <br></center><P>
	<%End If%>
	</font>

	<% If NextRecordCount <> "" AND Refresh <> "NO" Then %>
	<font size=-1 face=arial>
	<UL>
	<B><%=wc_The_KB_is_being_created%></b> <P>
    <%=wc_KB_leave_window_open_block%>
	<center>
	<table width=30% bgcolor=red cellspacing=2 cellpadding=3><tr><td align = center><font size=+1>
	<a href=KBoptions.asp><B> <%=wc_Stop_Processing%> </b></a>
	</font></tr></td></table>
	</center>
	</ul>
	<%End If %>


<%

		count = 0

		do while not rstemp3.eof

		' Read in each case History, and Summary and Resolution


		CaseOneLine = rstemp3("Case_One_Line")
		History = rstemp3("Case_History")
		Casesummary = rstemp3("Case_summary")
		CaseResolution = rstemp3("Case_Resolution")
		CaseNumber = rstemp3("case_number")


			Response.write "<UL>" & wc_Currently_processing_case & " " & CaseNumber & "<P></ul>"

			' First Process History
			Section = 2

			If IncludeHistory = "YES" THEN
				History = UCASE(History)
				NewHistory = Fix_Case_Text(History)
				'response.write NewHistory
				'response.write "<P> Words = <br>"
				CreateWordList(NewHistory)
			End If

			If IncludeOneLine = "YES" THEN
				' Second Process One Line Description
				Section = 1
				CaseOneLine = UCASE(CaseOneLine)
				NewCaseOneLine = Fix_Case_Text(CaseOneLine)
				'response.write NewHistory
				'response.write "<P> Words = <br>"
				CreateWordList(NewCaseOneLine)
			End If

			If IncludeSummary = "YES" THEN
				' Third Process Case Summary
				Section = 3
				Casesummary = UCASE(Casesummary)
				NewCasesummary = Fix_Case_Text(Casesummary)
				'response.write NewHistory
				'response.write "<P> Words = <br>"
				CreateWordList(Casesummary)
			End IF

			If IncludeResolution = "YES" THEN
				' 4th  Process Case Resolution
				Section = 4
				Casesummary = UCASE(CaseResolution)
				NewCasesummary = Fix_Case_Text(Casesummary)
				'response.write NewHistory
				'response.write "<P> Words = <br>"
				CreateWordList(Casesummary)
			End If

			rstemp3.movenext

			If rstemp3.EOF <> True AND NextRecordCount <> "" Then
				' We are stepping through the cases so grab the next case number
				NextRecordCount = NextRecordcount + 1
				Exit Do ' Get out this loop
			End If

			Exit Do ' Get out this loop in all Cases


			count = count + 1

		loop


		rstemp3.close
		set rstemp3=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	' Now update the lastkbupdate

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(Date))
	End If

	CurrentDateFormatted = CurrentDateFormatted & "/"

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(Date))
	End If

	CurrentDateFormatted = CurrentDateFormatted & "/"

	CurrentDateFormatted = CurrentDateFormatted & CStr(Year(Date))

	Set ObjCommand = Server.CreateObject("ADODB.Command")
	objCommand.ActiveConnection = myDSN
	objCommand.CommandType = adCmdText

	objCommand.CommandText = "Update KBConfiguration set LastKBdate = '" & CurrentDateFormatted & "'"
	objCommand.Execute intRecords

	Set objCommand = Nothing

%>

	<%End If ' End of if Refresh = "NO" %>


</body>
</html>

<% End If ' End of Security Checks %>

<% ' Add to Knowledge database and knowledge base word mappings
Sub AddToKB(Word, CaseNumber)
' This routine add words to the knowledge base
' Before we place it into the database, we will do some additional processing on the
' on the word such as remove the period, commas with spaces proceeding, etc
' and any extra spaces

' Case 1 - If we detect a "." ( period followed by a space we will remove both characters)
		NewWord = Replace (NewText, ". ", "")

' Case 2 - If we detect a "," ( comma followed by a space we will remove both characters)
		NewWord = Replace (NewText, ", ", "")

' Case 3 - If we detect a "! " ( Check for "!" followed by a space we will remove both characters)
		NewWord = Replace (NewText, "! ", "")

' Case 4 - If we detect a "! " ( check for "?" followed by a space we will remove both characters)
		NewWord = Replace (NewText, "? ", "")

	WordIndex = "" ' Clear this value initially

	word = trim(word) ' Lastly, remove all extra leading and following spaces
	If Len(Word) < 2 Then ' word must be 2 characters or more
		Exit Sub ' Exit without checking to see if the word exists
	End If


	' Check to see if the last character is a "." or "," or "?" or "!" and if so
	' then remove that character so we don't put in two entries like "dog." and "dog"

	RightCharacter = right(word, 1) ' Get right most character

	If RightCharacter = "." OR RightCharacter = "," or RightCharacter = "?" or RightCharacter = "!" Then
		Word = mid(word, 1, (len(Word)-1)) ' Remove the last character
	end If

	' Now check to see if the word remaining if 2 or more characters.
	If Len(Word) < 2 Then ' word must be 2 characters or more
		Exit Sub ' Exit without checking to see if the word exists
	End If


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN ' Open connection

	' Search Word will need to have any single quotes converted to two single quotes
	' for valid SQL search syntax

		for i = 1 to len(word)
			if (Mid(Word, i,1) = "'") Then
				SearchWord = SearchWord & "''"
			else
				SearchWord = SearchWord & Mid(Word, i,1)
			End If
		next


	Set NewRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from  KBWords where word = '" & SearchWord & "'"
		NewRecord.Open SQL,Conn,3,3 ' Open Record Set for Update or new

		If NewRecord.EOF = True Then ' Word not found so add it.
			NewRecord.AddNew
			NewRecord("Word") = Word
			NewRecord.Update


		If  err.number>0 then
			  response.write "VBScript Errors Occured:" & "<P>"
			  response.write "Error Number=" & err.number & "<P>"
			  response.write "Error Descr.=" & err.description & "<P>"
			  response.write "Help Context=" & err.helpcontext & "<P>"
			  response.write "Help Path=" & err.helppath & "<P>"
			  response.write "Native Error=" & err.nativeerror & "<P>"
			  response.write "Source=" & err.source & "<P>"
			  response.write "SQLState=" & err.sqlstate & "<P>"
		else
		'      response.write "No VBScript Errors Occured" & "<P>"
		end if
		IF  conn.errors.count> 0 then
'			  response.write "Database Errors Occured" & "<P>"
'		for counter= 0 to conn.errors.count
'			  response.write "Error #" & conn.errors(counter).number & "<P>"
'			  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'		next
		else
		'      response.write "No Database Errors Occured!" & "<P>"
		end if


		Else

' Don't try and read the index immediately since this fails under certain drivers.

'			WordIndex = NewRecord("WordIndex") ' Get this index for next mapping step

			' Word already exists in the database so do not put it in again.
		End If

	NewRecord.Close
	Set NewRecord = Nothing

	' Close the connection and reopen it to make sure it was updated

	Conn.Close
	Set Conn = Nothing

	' Get the WordIndex
	If WordIndex = "" Then

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		mySQL2="select * from KBWords where Word = '" & SearchWord & "'"

		set rstemp=conn.execute(mySQL2)

'		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			WordIndex = rstemp("WordIndex")
		Else
			Response.write "Error in finding WordIndex for word: " & SearchWord & "<br>"
		End If

		rstemp.close
		set rstemp=nothing

	End If

	' Now check add this to the kbmap table if it does not exist
	' for this case number before closing connection

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  KBMap where wordindex = " & WordIndex & " AND Case_Number = "& CaseNumber

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True Then
				NewRecord.AddNew
				NewRecord("WordIndex") = WordIndex
				NewRecord("Case_Number") = CaseNumber
				NewRecord("Section") = Section
				' Define what section 1=oneline 2=history 3 = summary 4=resolution
				NewRecord.Update

			Else
				' Word already exists in the database so do not put it in again.
			End If

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
'	      response.write "Database Errors Occured" & "<P>"
'	for counter= 0 to conn.errors.count
'	      response.write "Error #" & conn.errors(counter).number & "<P>"
'	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing



End Sub
%>


<% Sub CreateWordList(text)
' This routine goes letter by letter through the passed text and picks out words
'that are separated by spaces.

If text <> "" Then

	TextLen = Len(text)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(text, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			' Trim any word to 50 characters or less
			If Len(NewWord) > 50 Then
				NewWord = Mid(NewWord, 1, 50)
			End If

			AddToKB NewWord, CaseNumber
			'response.write NewWord & "<br>"
			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else

			NewWord = NewWord & currentchar
			LastChar = CurrentChar
		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			' Trim any word to 50 characters or less
			If Len(NewWord) > 50 Then
				NewWord = Mid(NewWord, 1,50)
			End If

			AddToKB NewWord, CaseNumber

			'response.write NewWord & "<br>"

End If ' End of if text <> blank

End Sub
%>


<%Function Fix_Case_Text(Case_Text)

' This subroutines remove the special inserted formatted characters

If Case_text <> "" THEN

NewText = Case_Text


		NewText = Replace (NewText, "{G[", "")

		NewText = Replace (NewText, "{R[", "")

		NewText = Replace (NewText, "]R}", "")

		NewText = Replace (NewText, "]G}", "")

		' Other replacements
		' Replace all CR with spaces

		NewText = Replace (NewText, chr(10), " ")
		NewText = Replace (NewText, chr(13), " ")

		' Replace commas with spaces
		NewText = Replace (NewText, chr(13), ",")

End IF
	Fix_Case_text = NewText

End function
%>
