<% 'Module: AttachFileToCaseNet.asp

   'Description: This module allows the tech to attach a file to the case
   ' by downloading a file into a common virtual directory and then
   ' creating a link to that file that the customer or tech can reference.

   ' It is passed a case ID
   '(C) 2000-2009 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/29/02	SAV		Created original module.
   '04/06/09	SAV		Created .net module for file download for hosted platform

	' CONSTANTS
%>




<%@ Page Language="VB" %>

<%

	Dim myDSN as String
	Dim TechLevel as Long
	Dim CookieID as String
	
	Dim CaseNumber as String
	
	
	casenumber = Request.querystring("casenumber")
	'response.write ("casenumber = " & casenumber)
	
	
	
%>


<script runat="server">
    Public Sub Button1_Click(ByVal sender As Object, _
      ByVal e As System.EventArgs)
         
      
	Dim CaseNumber as String
	Dim NewFileName As String 
	Dim FileUploadPath As String
      
	casenumber = Request.querystring("casenumber")
	
	FileUploadPath = Replace(Request.querystring("FileUploadPath"),"*","\")
	
	
      	'FileUploadPath = Application("FileUploadPath")
      
      
        If FileUpload1.HasFile Then
            Try
            
            'Rename the file
            
            NewFileNAme = "C" & CaseNumber & "." &  FileUpload1.FileName
            
            ' Get FileUploadPath from the application variable
            
            '*************************************
            'NOTE!!  this requires an extra slash character at the end of the upload path
            ' the regular download version does not!
            '*************************************
            
         ' Debugging   
         
          ' response.write ("FileUploadpath = " & FileUploadPath)
          ' response.flush
          ' response.end
            
            
            'FileUploadPath = "C:\wcdownloads\"
            
           ' FileUploadPath = "\\fs1-n01\stor1wc1dfw1\388142\389027\deta.inet-webcenter.com\web\content\downloadfiles\"
            
            
                FileUpload1.SaveAs(FileUploadPath & _
                   NewFileName)
                Label1.Text = "File name: " & _
                   FileUpload1.PostedFile.FileName & "<br>" & _
                   "File Size: " & _
                   FileUpload1.PostedFile.ContentLength & " kb<br>" & _
                   "Content type: " & _
                   FileUpload1.PostedFile.ContentType
            Catch ex As Exception
                Label1.Text = "ERROR: " & ex.Message.ToString()
            End Try
        Else
            Label1.Text = "You have not specified a file."
        End If
        
        Dim Redirectstring as String
        
        RedirectString = "LogFileDownload.asp?FileName="& NewFileNAme & "&CaseNumber=" &CaseNumber
        
        Response.redirect(RedirectString)
        
        
    End Sub
</script>

<html  >
<head runat="server">
    <title>Upload File to Case</title>
</head>
<body>



<center>
<B>Attach File To Case</b><br>
</center>
<br>

Press the <B>Browse...</b> button and select your file and press the 
<B>Upload File</b> button.
<br>
<br>


    <form id="form1" runat="server">
    <div>
        <asp:FileUpload ID="FileUpload1" runat="server" /><br />
        <br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" 
         Text="Upload File" />&nbsp;<br />
        <br />
        <asp:Label ID="Label1" runat="server"></asp:Label></div>
    </form>
</body>
</html>
