<% 'Module: VerifyAsset.asp

   'Description: This module is the asset search engine first page.
   '(C) 1999, 2000, 2001, 2002-2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'12/12/00	SAV	Created Assets.asp search page from search.asp page
	'08/17/06	SAV	Created VerifyAsset.asp page from ASsets.asp page.

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Assets.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>


<html>

<head>
<title>Verify Asset</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed>Verify Asset</td>
</tr>
</table>
<p>

<Center>


<FORM METHOD=POST name="myform" ACTION=DoTVerifyAsset.asp>

<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0>

<tr>
  <td align=center class=minorformtitle>Asset Values</td>
</tr>

<tr>
<td>




<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 >
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2 >


<TR>

<TD valig=top class=formlabelsuper><%=Property_Tag_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=property_tag size=20 maxlength=25></span></td>


<TD valign=top class=formlabelsuper><%=Computer_ID_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=computer_id size=20 maxlength=25></span></td>

<TD valign=top class=formlabelsuper><%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=serial_number size=20 maxlength=25></span></td>


</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->







</td>
</tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>
<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>


<!-- ------------------------- end buttons ----------------------------- -->
</td></tr>



</td>
</tr>
</table><!-- end of outerform wrapper -->


	<Table cellspacing=10 cellpadding=10>
	<tr>
		 <td class=BGWrapper><span class=tinyprint><a href=AssetInfo.asp><%=wc_Create_New_Asset%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=AssetInfo.asp target=NewAssetWindow><%=wc_New_Window%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=ExportAssets.asp><%=wc_Export_Assets%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=VerifyAsset.asp>Verify Asset</a></span></td>

	</tr>
	</table>

</CENTER>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
