<% 'Module: ViewCustomer.asp

   'Description: This module is the ViewCustomer Button Start Page
   ' that allows Tech+Center users to search and view customer information
   ' This simple customer view can be used for several views of data.

   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
	'11/13/00  SAV	Created from EmailListSearch.asp Page
	'7/30/03	SAV	Created Orignial ViewCustomer.asp module

	' Instructions to customized for your own web site
	' This page and all of the Tech+Center web pages are
	' defined to be tightly integrated with your current
	' web site.

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Calendardefs.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 5 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ViewCustomer.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with Configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% If Customer = "New" Then %>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search%></title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>



<% ' Display the Customer Search Form
%>

	<form action=DoGetCustomer.asp method=post>

	<% If customer_ID <> "" Then %>
		<input type=hidden name=customer_id value="<%=customer_ID%>">
	<% End if ' End if customer_id <> ""%>

<center>
<Table border=1 cellspacing=3 cellpadding=10 width=98%>
<tr>
<td  align=center valign=center>
<font size=+1>

<B><%=wc_Customer_Search%></b>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font><font size=-1 face=arial>(<a href=GetCustomerExport.asp><%=wc_Export_Search%></a>)

</font>
</td>
</tr></table>
</center>
<br>
        <center><font size=-1 >
		To find a customer, partially complete one or more customer search fields. <br>
<P>
        </font>
		</center>


        <center>
        <table width=90%>
        <tr>
        <td bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_First_Name%>:</font></b></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=contact_fname size=20 maxlength=40 value="<%=contact_fname%>"></td></tr>
        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_Last_Name%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=contact_lname size=20 maxlength=40 value="<%=contact_lname%>"></td></tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_Email%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=email size=30 maxlength=80 value="<%=email%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_Company%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=company size=20 maxlength=50 value="<%=company%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_Address%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=address size=20 maxlength=50 value="<%=address%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_City%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=city size=20 maxlength=50 value="<%=city%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_State%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=State size=15 maxlength=50 value="<%=State%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right><B><font size=-1 ><%=wc_Phone1%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 ><input type=text name=phone1 size=15 maxlength=50 value="<%=phone1%>"></td>
		</tr>

        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 ><B>

		<%=wc_User_Groups%></b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 >
		<select name=emailUserCategory size=4 multiple>
		<option value=""><%=wc_All_User_Groups%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("EmailCategoryID")%>>
	<%=rstemp("EmailCategory")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

	<%' Contact Management Assignments %>
        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1><B>
		<%=wc_Assigned_To%>:
		</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 >
		<select name=CustomerTechAssignment size=4 multiple>
		<option value="ALL">No Assignment</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Customer_ID <> "" Then
			mySQL2="select * from CustomerTechAssignment where Customer_ID = '" & Customer_ID & "' AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
							<% Response.write " " %>
					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
						<% Response.write " " %>
				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("tech_ID")%>>
				<%=rstemp("First_Name")%>
				<% Response.write " " %>


				<%=rstemp("Last_Name")%>
		</option>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>




		<tr>
		<td bgcolor=F0F0f0 align=center><font size=-1 >
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  bgcolor=F0F0F0 align=center width=50% valign=top><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>


		</table>
		</center>


</form>

</body>
</html>


<%else ' Get Configuration Data and exit %>



<% GetDatabaseConfiguration2 ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>



<%End If %>


<% End If ' End if IF valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

	<% Sub GetDatabaseConfiguration2(ts_user_page_color, Assets_db, customer_drop_down)
		'This function gets the database configuration information
		' including the max size of the history field and
		' the email message appendages

			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Configuration"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				ts_user_page_color = "FFFFFF"
				Assets_db = 0
			Else
				ts_user_page_color = rstemp2("ts_user_page_color")
				Assets_db = rstemp2("Assets_db")
				customer_drop_down = rstemp2("customer_id_list")
			End If

			'---- Debugging Code - start
			'response.write " Test = " & ts_User_page_color
			'response.write " Test = " & assets_db

			response.redirect(screentotal)

			'response.write " Test = " & Screen_Size
			'---- End Debugging Code


			rstemp2.close
			set rstemp2=nothing


			conntemp.close ' Close the connection
			set conntemp=nothing

		End Sub ' End of GetdatabaseConfiguration
	%>
