<% 'Module: ViewSurveyDetail.asp

   'Description: This module is the Page for displaying one survey result detail.


   ' Note: this Survey builder is designed to a "simple" survey for customers to fill out
   ' once a case is completed and not designed to be a comprehensive set of
   ' surveys and test taking applications.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'08/26/02	SAV		Created ViewSurveyDetail.asp module  Module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Only Allow Dispatchers and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ViewSurveyDetail.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%

	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_Customer_Survey_Detail%></title>
</head>
<body bgcolor=#<%=UserPageColor%>>


<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_Survey_Detail%>
</b>
</font>
<br>
</td></tr></table><p>
</center>


<center>

<% ' Get the Result_ID and then get all of the results and questions for this result_id


	Results_ID = Request.QueryString("Results_ID")

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2 = "SELECT Survey.Survey_Question, Survey.Question_Type, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Survey_Date FROM (Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID "

	mySQL2= mySQL2 & " where Survey_Results.Results_ID = " & Results_ID

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Results found"
	Else

		Survey_Date = rstemp("Survey_Date")
		Case_Number = rstemp("Case_Number")

	' Display the Case Information at the top of the detail

	mySQL3= "select * from Cases where case_number = " & Case_Number

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL3, conntemp, 1,3

	If rstemp2.EOF = True then
		response.write "Case not found"
	Else

		Customer_ID = rstemp2("Customer_ID")
		Case_One_Line = rstemp2("Case_One_Line")
	End IF

	rstemp2.close
	set rstemp2=nothing

	' Display the top table with the top information

%>

<table border=1 cellspacing=2 cellpadding=2 width=98%>
<tr>
<td width=50% bgcolor=F0E0C0>
<font size=-1><B>Survey Date:</b> &nbsp;&nbsp;&nbsp;&nbsp;<%=Survey_Date%>
</td>
<td bgcolor=F0E0C0>
<font size=-1><B>Customer:</b>&nbsp;&nbsp;&nbsp;&nbsp;
<a href=NewCustomer.asp?ID=<%=Customer_ID%>><%=customer_ID%></a>

</td></tr>
<tr>
<td bgcolor=F0E0C0><font size=-1>
<b>Case:</b>&nbsp;&nbsp;&nbsp;&nbsp;

<a href=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=Case_Number%>><%=Case_Number%>
</td>
<td bgcolor=F0E0C0><Font size=-1><B>Description:</b>&nbsp;&nbsp;&nbsp;&nbsp;<%=Case_One_Line%>
</td>
</tr>
</table>
<br>

<%


	' Now Step through record set and get all of the questions and answers

		Do While rstemp.EOF <> True

			Survey_Question = rstemp("Survey_Question")
			Question_Type = rstemp("Question_Type")
			Question_ID = rstemp("Question_ID")
%>
<center>
<table border=1 cellspacing=3 cellpadding=4 width=98%>
<tr>

<td bgcolor=F0C0C0 width=98%><font size=-1>
<B>Question:</b> <%=Survey_Question%></font>
</td>
</tr>

<tr>

<td bgcolor=C0F0B0 ><font size=-1><B>Answer:</b>




<% if Question_Type = 1 Then

		Range = rstemp("Range_Answer")

		If Range = 1 Then
			response.write "   <B><font color=RED>(1)</font></b> 2  3  4  5"
		End If

		If Range = 2 Then
			response.write " 1 <B> <font color=RED>(2)</font></b> 3  4  5"
		End If

		If Range = 3 Then
			response.write " 1  2  <B><font color=RED>(3)</font></b>  4  5"
		End If

		If Range = 4 Then
			response.write " 1  2  3  <B><font color=RED>(4)</font></b>  5"
		End If

		If Range = 5 Then
			response.write " 1  2  3  4  <B><font color=RED>(5)</font></b>"
		End If


 End If

 %>

<%if Question_Type = 2 Then

		YESNO = rstemp("YES_NO_Answer")

		If YESNO = True then
			Response.write "  YES"
		Else
			Response.write "  NO"
		End If
End If
%>

<%if Question_Type = 3 Then

	OpenEnded = rstemp("Open_Ended_Answer")
	response.write "  " & OpenEnded

End If
%>

<%if Question_Type = 4 Then

	OpenEnded = rstemp("Open_Ended_Answer")
	response.write "  " & OpenEnded

 End If
 %>

</font>
</td>
</tr>
</table></center>
<br>


<%
		rstemp.MoveNext
		Loop

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

</body>
</html>

<% End If %>

