<%  ' Module: ViewTopTen.asp
	'
	' Description: Display Top "10" (or more) support cases as defined by techs
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
%>

<% 'Define the DSN for this database %>
<% ' Define the three rotating colors for the category lists
	Color1 = "#F02020" ' Red color
	Color3 = "#A52a2a" ' Brown
	Color2 = "#778899"	' lightslategray
%>
<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>


<%	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE>Frequently Asked Questions </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
</HEAD>
<body bgcolor="<%=UserPageColor%>">
<UL>
<br>
<center>
<table width=90% border=1 cellspacing=2 cellpadding=2>
<tr><td align=center><br>
<font size=+2> Frequently Asked Questions</Font><P>
</td></tr></table>

</center>
<P>

<%

	mySQL2 = "Select * from TopCases order by CaseListType"


	'response.write mySQL2
	FAQCount = 1 ' Start with 1


	' Open the connection here

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=conntemp.execute(mySQL2)

'	set rstemp = Server.CreateObject("adodb.recordset")
'	rstemp.open mySQL2, myDSN, adopenstatic

	%>


	<Font size=-1>

<%

	' Check to see if any records are returned
	' if none found then

		count = 0

		if rstemp.EOF = True or rstemp.BOF = true then
			response.write " No FAQ articles have been identified for this list.  Please try again later.<p>"
		Else

		RecordsFound = rstemp.recordcount

		do while not rstemp.eof

		' Start to display each case record case summary and resolution


	mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

	'response.write mySQL3


	set rstemp2=conntemp.execute(mySQL3)



'	set rstemp2 = Server.CreateObject("adodb.recordset")
'	rstemp2.open mySQL3, myDSN, adopenstatic



	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")
	 CaseNumber = rstemp2("Case_Number")
	 OpenDateUnformatted = rstemp2("Open_date")
	 ModDateUnformatted = rstemp2("mod_date")
	 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
	 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)

	' Create the category display for this case

	CategoryString = ""
	ColorChoice = 1
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

	set rstemp3=conntemp.execute(mySQL4)

'			set rstemp3 = Server.CreateObject("adodb.recordset")
'			rstemp3.open mySQL4, myDSN, adopenstatic

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				If ColorChoice = 1 Then
					ColorFont = "<font color=" & Color1 & ">"
					Colorchoice = 2
				elseif ColorChoice = 2 then
					ColorFont = "<font color="& Color2 & ">"
					Colorchoice = 3
				elseif ColorChoice = 3 then
					ColorFont = "<font color="& "Color2" & ">"
					Colorchoice = 1
				End if

				CategoryString = CategoryString & ColorFont & "  [" & CategoryName & "==" & Item_Name & "]</font>"


				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

		If CategoryString = "" then
			CategoryString = "No Categories defined"
		End If

	' Close this intermediate record set



	rstemp2.close
	set rstemp2=nothing

%>
	<dl><dt>
	<B><%=FAQCount%>.</b>


<% ' Replace CR with <BR> characters
	New_Summary = ""
	if Case_Summary <> "" Then
		New_summary = Format_Case_Text(Case_summary)
	End If
	If New_Summary = "" Then
		New_Summary = "No Summary defined"
	End If

%>

	<a href=TViewCase.asp?Casenum=<%=CaseNumber%>&ReturnPage=FAQ>
	<B><%=New_summary%></b>
	</a></dt>
	<dd>


<% ' Replace CR with <BR> characters and handle special tags
	New_Resolution = ""
	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text( Case_Resolution)
	End If

	If New_Resolution = "" then
		New_Resolution = " No resolution defined"
	End If

	If Len (New_Resolution) > 100 then
		New_Resolution = Mid(New_Resolution, 1, 97) & "..."
	End If

%>
	<%=New_Resolution%>
	<br>
	<B>Categories:  </b>

	<%= CategoryString%>


	<font color="#808080">
	<br>Date Created: <%=OpendateFormatted%> &nbsp;&nbsp;&nbsp;&nbsp;
	Last modified on: <%=Moddateformatted%>
	</font>
	<P>
	</dd>
	</dl>

<%


			rstemp.movenext
			count = count + 1
			FAQCount = FAQCount + 1
		loop
	End If ' End if rstemp.EOF = True ( No Cases define in top ten list)




	rstemp.close
	set rstemp=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

<P>

</ul>
</Body>
</html>



<% Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>


<% Function Create_Text_Word_Query(Search_String)

' This function takes the Search_string as input and
' creates the query with each word mapped as a kbword entry
' it is exists.

If Search_string <> "" Then

	TextLen = Len(Search_string)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(search_string, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery = TotalQuery & ORWord & Query
					ORWord = " OR "

			End If

			'response.write NewWord & "<br>"
			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else
			NewWord = NewWord & currentchar
			LastChar = CurrentChar
		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery =  TotalQuery & ORWord & Query
					ORWord = " OR "
			End If


			'response.write NewWord & "<br>"

End If ' End of if Search_String <> blank

	Create_Text_word_Query = TotalQuery

End Function
%>

<% Sub AddToQuery(Word,  Query)
' Check to see if word exists and returns it to the query
' We will be creating a query like:
'  	WHERE (((KBMap.WordIndex) = 1 Or (KBMap.WordIndex)=2 Or (KBMap.WordIndex)=3))


' The Algorithm here is to use the "like SQL operator to find the word.

		mySQL2="select * from KBWords where Word like '%" & Word & "%'"


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			Query = "KBMap.WordIndex = " & rstemp("WordIndex")
		Else
			Query = "" ' If no match then clear out query
		End If

		rstemp.close
		set rstemp=nothing

		Conn.Close

End Sub
%>
